DCS Features

Full suite of standard emulations

The core product includes ADDS VP/60, ANSI-BBS, SCO ANSI, AT&T 605/705, DEC VT 52/100/102/220/320/420, and Wyse 50/60. Additional emulations, AT&T 4425, TN3270, TN5250, HP 700/94 and Tandem 6530, are available separately as add-on client options.

A range of standard connectivity options

Telnet (TCP/IP and IPX/SPX), Modem (Com TAPI), Direct Serial (Com Direct), and 32-bit Meridian LAT connectors are included in the core product. Additional connectivity options, such as a Microsoft SNA Gateway, are available as part of client option packages.

Full suite of standard file transfer protocols

The core product includes FTP (file transfer protocol), Kermit, XModem, YModem-Batch, and ZModem. Additional file transfer protocols, such as IND$File and IXF, are available as part of client option packages.

Powerful event-driven scripting language

An integrated, full-featured script language with over 350 commands and functions is included in the DynaComm Connectivity Series 8. The DynaComm scripting language’s high-level capabilities include conditional execution, subroutine execution, event handling, and the creation of custom menus and dialog boxes.

Drag-and-drop file handling

Load a session, memo, or script just by dragging its icon into the DynaComm application window.

Toolbar editor

Customize the application toolbar with the toolbar editor. Create custom toolbar buttons to send a string, launch an application or script, or perform a menu command.

Menu editor

Use the menu editor to customize the application-level menus. Custom menu items can send a string or launch an application or script.

OLE-compliant text editor

An OLE-compliant text editor is included in the core product. Embed documents from other applications into a memo document, giving you instant access to a variety of applications files all within DynaComm.

Y2K Compliant

The only use of dates is through scripting functions that make a call to the Windows operating system and use the date provided by this system. Windows dates are based on a four-character year and, therefore, are not affected by the change of the century.

Euro symbol support

Input or display the euro character representing European Union common currency that began replacing national European currency symbols in 1999.

9 END :


System and Product Requirements

The minimum requirements for operating DCS are:

Software

  • Windows XP Professional

  • Windows 2003

  • Windows Vista

  • Windows 2008

  • Windows 7

Hardware

  • CD-ROM drive or Internet access for download

  • Approximately 14 megabytes of free hard drive space for installation.

  • Either 1) one free serial port for direct connections, or 2) a modem for connection over phone lines, or 3) a network interface card for network connectivity.

9 END :


Access, Display, View . . .

Access the Attributes Map Editor

Access the Character Translation Map Editor

Access the Custom Button Editor

Access the Hotspot Editor

Access the Keyboard Map Editor

Access the Menu Editor

Access the Options dialog

Access the Script Status dialog box

Access the Toolbar Editor

Arrange multiple open session windows

View all reserved Short Names for HLLAPI enabled session files

View a list of all hotspot definitions

View all available keyboard terminal functions (meta keys) for an emulation

View all current settings in a keyboard map

View all properties for an individual key

View installed connectors

View installed emulations

View installed file transfer protocols

View session connector properties

View session emulator properties

View session file transfer properties

View the properties of a custom button

9 END :


Add, Assign, Create . . .

Add a custom add-in button to the Toolbar Editor

Add a custom button to a toolbar

Add a default button to a toolbar

Add a menu selection

Add a menu separator

Add a new menu

Add/remove a space between toolbar buttons

Add sound to a DCS event

Assign a menu selection to a key

Assign a menu selection to a toolbar button

Assign a script to a hotspot

Assign a script to a key

Assign a script to a toolbar button

Assign a short name to a new HLLAPI enabled session

Assign a short name to a saved HLLAPI enabled session

Assign a string to a hotspot

Assign a string to a key

Assign a string to a toolbar button

Assign a terminal keyboard function (meta key) and text to a key

Assign a terminal keyboard function (meta key) to hotspot

Assign a terminal keyboard function (meta key) to a key

Assign an application to a hotspot

Assign an application to a key

Assign an application to a toolbar button

Assign an escape sequence to a key

Create a new memo document

Create a new script document

Create a new session file with the New Session Wizard

Create a new session file with the New Session Wizard disabled

Create a session window caption

Create a toolbar

9 END :


Change, Edit, Insert, Save . . .

Change an attribute

Change default file locations

Change foreground and background

Change text display attributes

Change the application assigned to a custom button

Change the cursor characteristics in a session window

Change the default connector module

Change the default emulator module

Change the default file transfer module

Change the default keyboard template

Change the display character size in a session window

Change the display font

Change the display of a character copied from a session window to a Windows application

Change the display of a Host character sent in a session window

Change the menu function assigned to a custom button

Change the position of a menu in the menu hierarchy

Change the position of a selection on a menu

Change the script assigned to a custom button

Change the string assigned to a custom button

Copy text from a DCS memo document or script file to a compound document

Customize mouse behavior

Edit a menu selection

Edit toolbar

Insert a file as a linked OLE/ActiveX object into a memo document

Insert a file as an embedded OLE/ActiveX object into a memo document

Insert a new DCS session file into a compound document

Insert a new OLE/ActiveX object into a memo document

Insert a saved DCS session file as a linked OLE/ActiveX object

Insert a saved DCS session file as an embedded OLE/ActiveX object

Insert a toolbar into the toolbar area

Rename a menu selection

Rename a menu

Save a session file

9 END :


Configure, Select, Set up . . .

Configure a connector

Configure a local print job

Configure a printer

Configure general session properties

Configure the Microsoft SNA Server connector

Select a character translation map file for a session

Select a font developed for the emulation

Select a hotspot map file

Select a keyboard map file for a session

Select a standard font for a session window display

Select an attribute map file

Select or change a connector

Select or change an emulation

Select or change a file transfer protocol

Set automatic display of scroll bars in a session window

Set automatic sizing of display characters in a session window

Set the number of display characters or lines in a session window

Set up automatic start of a compiled script when a session is opened

Set up automatic start of a compiled script when DCS is started

Set up a trace for a terminal in Block mode

Set up a trace for a terminal not in Block mode

9 END :


Delete, Remove, Reset . . .

Delete a custom add-in button from the Toolbar Editor

Delete a hotspot file

Delete a menu

Delete a menu selection (item)

Delete a toolbar

Remove a hotspot from the active set of hotspots

Reset a default toolbar to its default settings

Reset all menus to the default settings

Reset key properties to the default properties

Separate a toolbar from the toolbar area

9 END :


Start, Open, Connect, Stop . . .

Compile a new script document

Compile an existing script document

Connect to a host when Auto connect is disabled

Open a session file and customized mapper file(s) stored on a web server

Open a session file and customized mapper file(s) stored on a local machine

Open a session file(s) stored on the local PC

Open a session file(s) stored on a web server

Open a session file stored on a local machine and customized mapper file(s) stored on a web server

Open a session through Microsoft Internet Explorer

Open a session through Netscape Navigator

Playback a session trace

Pause the execution of a script file

Resume the execution of a paused script file

Start a compiled script from Windows

Start a compiled script with a menu command

Start DCS and then start a compiled script from a DOS command line

Start DCS from the DOS command line

Start DCS from the Start menu

Start DCS in a browser

Start DCS with an automatic open of a script, session, or memo file

Start FTP from a DOS command line

Start FTP from the DCS program group

Start FTP from within DCS

Stop the execution of a script file

9 END :


Send, Receive, Print, Log . . .

Log a session to a file

Preview a print job

Print from an open session window

Print a script or memo document

Receive a file from a host

Send a file to a host

Send a text file to a host

9 END :


Enable/Disable, Show, Hide, Turn On/Off . . .

Enable/disable Auto connect for a session

Enable/disable display of session messages

Enable/disable hotspots in a session

Enable/disable keyboard accelerator keys

Enable/disable the automatic save of a session window position

Enable/disable use of the New Session Wizard

Hide a toolbar

Show a toolbar

Turn off the full screen display of the application window

Turn on the full screen display of the application window

Turn on/off the cursor display

Turn on/off the display of scroll bars in a session window

Turn on/off the display of session buttons in a session window

Turn on/off the display of status lines in a session window

Turn on/off the display of the background bitmap in the application window

Turn on/off the display of the Status Bar in the application window

Turn on/off the display of the terminal border in a session window

9 END :


DCS Series Program Group

The DCS program group is created during the installation process. It is added to the Programs section of the Windows Start menu and contains the following items:
Each selection performs a particular action:
This selection | Does this . . .
DynaComm Connectivity... | Starts the DCS application
Product Activation | Runs the Serial Number activation program
FutureSoft on the Web | Starts your default Internet browser and automatically accesses www.futuresoft.com/
9 END :


Starting DCS

Start DCS using one of the following:

Standard Windows methods, including:

  • double-clicking the DCSeries shortcut icon on the desktop

  • selecting Start > Programs > DynaComm Connectivity Series 8

DOS method

  • entering a command on a DOS command line

Web method

  • entering a URL in an Internet browser

When you start DCS you can also open a specific file or session or specify the start of an executable file such as a DCS script or .exe file.

See Also

Starting DCS

  • Steps to start DCS from the Start menuMAIN_TASK_Start_DCS_From_Start_Menu>Main

  • Steps to start DCS as an OLE object

  • Steps to start DCS in a browser

Starting DCS and other files

  • Steps to start DCS from a command line

  • Steps to start DCS and then open a specific file

  • Steps to start DCS and then start a compiled script

9 END :


About DynaComm Dialog Box

Help > About DynaComm

The About DynaComm dialog box is accessed with either a menu selection or a toolbar button. This dialog box provides several pieces of information that you will find useful in working with DCS and if you should require support from FutureSoft. All of the information is read-only and cannot be changed.

The table below describes each component of the dialog box:

This element

Will . . .

Version

Display the full product name and version number.

Copyright

State the copyright and trademark information for the software product.

FutureSoft URL

Provide the complete Internet address for the FutureSoft Web site.

Licensee

Show the licensee name, company name and serial number.

If no serial number is shown, the installed copy is a trial version that has an expiration date.

--------------------------------------------------------------------------------------------------------

Click to close the dialog box.

Click to expand the lower portion of the dialog box to display all installed modules such as connectors, emulators and file transfer protocols and the corresponding module version number for each.

The modules listed in Module correspond to the software that is installed. That is, you will see all modules available in the base DCS product and any others for Client Options that you have installed.

9 END :


DCS File Types

This filename extension | is this FutureSoft file type
*.acm | Attribute map file
*.flx | Emulation, Connector and File Transfer object files
*.dcp | Script document
*.dct | Compiled Script files
*.kbm | Keyboard map files
*.mem | Memo document
*.ses | Session document
*.trc | Trace Facility files
Double-clicking on the icon of a file associated with any of these file types starts DCS Web 8 and opens the file. Compiled scripts execute automatically when opened this way.
9 END :


Default File Locations

Default Directory Name | Name in Directory Types | Contains
conn | Connectors | Application extensions for connectors, such as Telnet or modem.
display | Displays | Application extensions for the displaying an emulation in a session window.
dnload | Downloads | Files downloaded from remote systems.
emul | Emulators | Application extensions and libraries for emulations, such as VT Series, ATT 605, and ANSI-BBS.
fonts | Font Files | Fonts for DCS emulations.
ft | File Transfers | Application extensions for file transfer protocols, such as ZModem and Kermit.
maps | Maps | Keyboard mapping files with a KBM file type, that you create in the Keyboard Map dialog. For more information, see Keyboard Mapper.
memos | Memos | Files with a DCM file type, created with the Memo Editor.
scripts | Scripts | Files with a DCP or DCT file type, that you created to automate DynaComm with DynaComm’s Script Language. This directory also contains FSIcons.TXT, which lists the names of all of the icons in DynaComm’s icon library, FSEIco32.DLL.
session | Sessions | Files with a SES file type created when you saved your settings for a session window. For more information, see the Session Properties command.
trace | Trace files | Files with a TRC file type, that you created when you traced a session with DynaComm’s Trace facility. For more information, see Trace Facility.
upload | Upload files | Files that you placed in this directory before transferring them to remote systems.


Working with Memo Documents

Memo documents are much like word processing documents. Typically text is entered into the document using limited formatting techniques. Several text processing functions are available through the Edit menu and toolbar buttons, such as cutting, copying, pasting, finding, etc.

Memo documents are also OLE/ActiveX compliant. The documents can act as a container and receive either linked or embedded objects, such as pictures or a DCS session window.

When a memo document is saved, the file is given a *.dcm extension. By default, a memo document is saved to:

Program Files\Futuresoft\DCSeries\memos

See Also

General

  • File Locations

  • DCS and OLE/ActiveX

Tasks

  • Steps to create a new memo document

  • All OLE/ActiveX tasks

9 END :


Working with Scripts

Scripts exist in two formats:

  • text documents (simply called scripts) that use the Script Editor to write commands and functions that make up a "script", and

  • compiled script files (also called task files) that are executed or run to perform a series of commands and functions.

Working with scripts includes the following set of activities:

1 Creating a script document

The File New Script command creates a new script document. Script commands and functions are entered into the script document using the Script Editor. Opening or creating a script file automatically starts the Script Editor. You can also use a word processor, but the document must be saved as a text file with the .dcp extension.

2 Saving a script document

The script document is saved with the:

  • File Save or File Save As command just as you would with a session file or memo document.

  • Script Compile command with a new script document on display the save process automatically starts. This is true only for new, unsaved script documents.

The Save As dialog appears. By default, each script is saved with the .dcp file extension in the scripts folder.

3 Compiling a script document

Before a script can be executed, it must be compiled with the Script Compile command. The compiled script file is saved with the same name as the script file and given the .dct extension. When you access Script Compile, the Select a script file to compile dialog box is displayed. When you select a script file and then click OK, the compilation process begins. The Script Compiler dialog displays to show you the progress of the compilation as well as alert you to any errors encountered.

4 Starting a script file

Many methods are available for starting a script(s). The most straight-forward method is to use the Script Run command. The Select a script file to execute dialog appears. Using standard Windows navigation techniques, select a compiled script file (.dct) from the list and click Open.

5 Using the Script Status dialog

If you are executing multiple scripts, you may find that a particular script execution needs to be paused or stopped entirely. The Script Status dialog allows you to work with single scripts or multiple scripts at the same time to modify execution of a single script, selected scripts or all scripts.

See the online Script Reference for detailed information on all script activities.

See Also

Related

  • Methods for starting scripts

  • Script Compiler dialog box

  • Script Status dialog box

Tasks

  • Steps to create a new script document

  • Steps to compile new script document

  • Steps to compile an existing script document

  • Steps to start a compiled script

  • Steps to access the Script Status dialog box

9 END :


Methods for Starting Scripts

The use of scripts to automate most functions is practically unlimited. Automating functions can help to increase productivity and accuracy. Methods for starting scripts are flexible and varied and fall into two categories: commands and automated features.

Using Commands

  • From Windows

Steps to start DCS and then execute a compiled script from a DOS command line.

Steps to start a compiled script from Windows,

Steps to start a compiled script from Windows Explorer

  • With a menu command

Steps to start a compiled script with a menu command.

Using Automated Features

Script execution can be associated or assigned to particular events or to accessing a key, toolbar button, menu selection, or a hotspot. A single script can be associated with:

  • The DCS application – each time DCS is started, the script is executed. An entire series of events can be automated.

Steps to set up automatic start of a script when DCS is started.

  • An individual session – each time the session is opened, the script is executed. The entire session can be automated.

Steps to set up automatic start of a script when a session is opened.

  • Any key or key combination – when the key or key combination is pressed, the script is executed.

Steps to assign a script to a key or key combination.

  • A menu selection – when the menu item is selected, the script is executed.

Steps to assign a script to a menu selection.

  • Custom toolbar button – when the button is selected, the script is executed.

Steps to assign a script to a toolbar button.

  • A hotspot – when the mouse is used to click on the hotspot text, the assigned script is started.

Steps to assign a script to a hotspot.

9 END :


Application Control Menu

The application Control menu lists commands that change the size or position of the main or application window. The table below lists each menu selection as a link to a short description. Also, shortcut keys, if available, are listed along with any notes about the command. Click on a command to see a short description.
Command | Shortcut Key | Notes
Restore |  |
Move |  |
Size |  |
Minimize |  |
Maximize |  |
----------------------------------------------------------------------------------------------------------------
Close | Alt+F4 |
9 END :


File Menu

The File menu is available for both application and client windows. This menu lists commands that work with various file types, such as session or script files. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
New > Session Memo Script | Alt+N Alt+M Alt+R | All New commands are always available.
Open > Session . . . Memo . . . Script . . . Session From Web Server | Alt+O Alt+D Alt+I Alt+B | All Open commands are always available.
Close |  | Available when a client window is open.
Save |  | Available when a client window is open.
Save As . . . |  | Available when a client window is open.
-----------------------------------------------------------------------------------------------------------------------
Print . . . | Alt+P | Available when a client window is open.
Print Preview |  | Available when any client window is open.
Print Setup . . . |  | Available when any client window is open.
------------------------------------------------------------------------------------------------------------------------
Send Mail . . . |  | Available when a session window is open.
------------------------------------------------------------------------------------------------------------------------
recent file list |  | Available when a client window has been opened.
------------------------------------------------------------------------------------------------------------------------
Exit |  | The Exit command is always available.
9 END :


Edit Menu

The Edit menu is available for all types of client windows and lists commands that work with text in a displayed file, screen or buffer. The table below lists each menu selection as a link to a short description. Also, shortcut keys, if available, are listed along with any notes about the command.

Command

Shortcut Key

Notes

Undo

Ctrl+Z

Available after an editing action has been performed in a memo document or script file.

----------------------------------------------------------------------------------------------

Cut

Ctrl+Shift+X

Available after highlighting a selection in a memo document or script file.

Copy

Ctrl+Shift+C

Available when a text in a session window is highlighted or a selection is made in a memo document or script file.

Paste

Ctrl+Shift+V

Available when text in a session window or a memo document or script file selection has been copied to the Clipboard.

Send

Available in a connected session window.

Clear

Del

Available in an active memo document or script file windows.

Clear Screen

Available in a connected session window.

Copy Special

Available in a connected session window.

Clipboard formats:
Bitmap, Table or Text

If Bitmap is chosen, the Invert selection becomes available so that the colors can be inverted when the selection is copied.

File format

Copies selected area to a specified text file. Only Text can be copied to the file.

Append is used to place the copied text at the end of an existing text file.
Do not append text to a binary file, such as a native Microsoft Word file. Instead, use the Clipboard option to paste text into an open Word document.

Printer format

Sends the selected area to the default Windows printer.

Only Text can be sent to the printer.

Copy Screen to Buffer

Available in connected session windows.

The copied session screen remains in the history buffer until the session ends or the buffer completely fills.

When you scroll through the history buffer, the last item copied is displayed first or "at the top" of the buffer. The history buffer also contains other screens or lines from the session such as escape sequences from the remote system and session lines received from the active session. In addition, if Save Cleared Screen To History Buffer on the History sub tab of the Session Properties Displays tab is selected, cleared screens are also seen in the history buffer.

This selection is most useful for paged terminal emulations such as the TN3270 and TN5250 terminals. that cannot make use of the history buffer as other emulations can. This selection allows you to manually place a copy of the session screen in the history buffer.

Paste Special

Available in active memo document windows.

Select All

Ctrl+Shift+A

Available in an active window.

A memo document or a script file must have some entered characters. A session window must be connected to a remote host.

------------------------------------------------------------------------------------------------

Paste from File . . .

Available in an active session window.

------------------------------------------------------------------------------------------------

Find . . .

Ctrl+Shift+F

Available for all client window types.

Find Next

F3

Available for all client window types and after the Find command has been used.

Replace

Ctrl+H

Available for script file or memo document windows.

Go To Line

Ctrl+G

Available for script file or memo document windows.

-------------------------------------------------------------------------------------------------

Links

Available for memo document windows only.

Allows for editing all OLE objects in a memo document.

Object Properties

Alt+Enter

Available for memo document windows when an OLE object is selected.

Allows for editing only the selected OLE object.

Object

Edit

Open

Available for memo document windows when an OLE object is selected.

See the Windows Help for more information.

9 END :


Insert Menu

The Insert menu is available when a memo document is open in an active window. The menu offers one command that is listed below as a link to a short description. The corresponding shortcut key, if available, and any notes for the command.
Command | Notes
Object . . . | Available when a memo document is displayed in the active window.
9 END :


Session Menu

The Session menu is always available for session windows. This menu lists commands that you can use to configure a session window, connect to and disconnect from a remote system and to transfer files with a remote system. The menu also provides selections to use when tracing or printing a session.

The table below lists each menu selection as a link to a short description. Also, shortcut keys, if available, are listed along with any notes about the command.

Command

Shortcut Key

Notes

Connect/Disconnect

Alt+7

Connect All

Disconnect All

-----------------------------------------------------------------------------------------------------------

Send File

Available in a connected session window.

Receive File . . .

Available in a connected session window.

Remote Kermit . . .

Available when you have selected the Kermit binary transfer protocol on the File Transfers tab of the Session Properties dialog.

NOTE: Some Kermit servers do not support all of the remote Kermit commands that DCS supports.

-----------------------------------------------------------------------------------------------------------

Trace

Before starting or replaying a trace, you must specify the trace filename. The trace file collects the trace data.

The Trace tab in the Session Properties dialog provides a selection to specify the trace file name.

Start/Stop

Toggles the collection of trace information on or off. This command closes the Trace function.

Pause/Resume

Toggles the collection or replay of trace information to temporarily stop or start. This command does not exit the Trace function.

Log Incoming Data

A character set available for the specific terminal emulation is used.

Log to Printer

When active, a check mark appears next to the selection on the menu. When the check mark appears, a log print file is created and collects session information.

The log file is sent to the printer when you toggle the selection off or when the session is disconnected.

NOTE: The printer is designated at the time the selection is turned on. To change to another printer, toggle the selection off, change the default printer, and then toggle the selection on.

Log to File . . .

When active, a check mark appears next to the selection on the menu.

To stop sending session data to the file:

  • Toggle the menu selection off

  • Select Session > Disconnect

  • Close the session window

Close Printer Channel

Available when:

  • Keep Print Channel Open Between Print Jobs in the Print Setup dialog box is selected.

  • A print channel is open.

-----------------------------------------------------------------------------------------------------------

Reset Terminal

Changes the emulation operating parameters.

Hard

Always available.

Soft

Always available.

Defaults

Always available.

-----------------------------------------------------------------------------------------------------------

Break

CTRL+Break

Always available.

Properties

Alt+9

Always available.

9 END :


Script Menu

The Script menu is available for all types of client windows. The menu lists commands that work with script files. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
Run . . . | Alt+L | Only task files (with .dct file name extensions) can be executed. A task file is created when a script file (with .dcp file name extension) is compiled.
Stop |  | Available when a script is active or running. If more than one script is executing, the Stop One or More Scripts dialog is displayed to allow selection of the scripts to stop.
Status |  | Available when one or more scripts are active or running.
Compile . . . | Alt+Q | If the active window contains a script file, that file is compiled. Otherwise, the Open dialog box appears.
9 END :


View Menu

The View menu is available for both application and client windows. This menu lists commands that work with window components or the window itself. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
Toolbar . . . |  | Always available.
Status Bar |  | Always available.
Full Screen | Alt+8 | Always available. Note: The Alt+8 key combination may be used by the emulation and therefore cannot be used to return the window display to inside the application window.
9 END :


Tools Menu

The Tools menu is available for both application and client windows. This menu lists commands that work with special DCS utilities to customize certain DCS features. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
FTP |  | Always available.
-----------------------------------------------------------------------------------------------------------
HLLAPI Auto-Launch . . . |  | Available for TN3270 and TN5250 emulation sessions.
-----------------------------------------------------------------------------------------------------------
Customize . . . |  | Always available.
Options . . . |  | Always available.
9 END :


Window Menu

The Window menu is available when client windows are open. This menu lists commands that arrange and size session windows and certain components. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
Cascade |  | Always available.
Tile Horizontally |  | Always available.
Tile Vertically |  | Always available.
-----------------------------------------------------------------------------------------------------------
Arrange Icons |  | Always available.
Close All |  | Always available. If the Allow Confirmation Messages option is turned on (Options dialog box), a confirmation message is displayed for each window.
-----------------------------------------------------------------------------------------------------------
open session list |  | The active client window is placed first in the list. If you open more than nine client windows, the More Windows option appears in the Window menu. Selecting this option displays the Select Window dialog.
9 END :


Help Menu

The Help menu is available for both application and client windows. This menu lists commands that access various Help systems and information about DCS. The table below lists each menu selection as a link to a short description. Also, shortcut keys are provided, if available, along with any notes about the command.
Command | Shortcut Key | Notes
Contents |  | Always available.
Script Reference |  | Always available.
Help on Help |  | Always available.
------------------------------------------------------------------------------------------------------------
About DynaComm . . . |  | Always available.
9 END :


Pop-Up Menus

DCS provides several pop-up menus that offer frequently used functions or command. The following window and window components provide pop-up menus.

Session Window

Clicking the right mouse button with the mouse cursor over a session window displays functions from the Edit, File, View, and Session menus.

The Mouse tab in the Session Properties dialog allows you to select whether the pop-up menu is displayed and which mouse button activates the menu.

For more information about configuring the mouse buttons, see:

Customizing mouse behavior and actions

Mouse tab in the Session Properties dialog

This pop-up menu selection

is this menu equivalent

Copy

Edit > Copy

Paste

Edit > Paste

Paste From File

Edit > Paste From File

Print

File > Print

Full Screen

View > Full Screen

Properties

Session > Properties

Menu Bar

Clicking the right mouse button with the mouse cursor over the menu bar displays a pop-up menu with one selection: Menu Editor. This selection displays the Customize dialog that is accessed with the Customize selection from the Tools menu.

For more information, see the

Toolbars or a default toolbar button

Clicking the right mouse button with the mouse cursor over a toolbar bar area or a default button in a toolbar (not a custom button in a toolbar) displays a pop-up menu with one selection: Toolbars. This selection displays the Toolbars dialog that is also accessed with the Toolbar selection from the View menu.

For more information, see in the

Toolbar Buttons

Clicking the right mouse button with the mouse cursor over a custom button in a toolbar, displays a pop-up menu with one selection: Toolbars.

Selecting Toolbars displays the Toolbars dialog and .

Selecting Button Properties displays the Toolbars dialog box that is also accessed with the Toolbar selection from the View menu. This dialog allows for editing the toolbar button.

For more information, see

9 END :


Standard Toolbar Buttons

The standard toolbar is displayed when you first start DCS. Below are the buttons available with the default setting. You can turn the display of this toolbar on or off with the View Toolbar command.

New

Open

Save

Cut

Copy

Paste

Session Properties

Connect/Disconnect

Send File

Receive File

Print

About

What’s This? Help

9 END :


File Toolbar Buttons

The File toolbar provides file maintenance functions that are commonly selected from the File menu. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

New

Open

Close

Save

Save As

Print

Print Preview

Print Setup

Exit

9 END :


Edit Toolbar Buttons

The Edit toolbar provides editing functions that are commonly selected from the Edit menu. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Find

Find Next

Replace

Undo

Cut

Copy

Paste

Erase

Select All

Go To Line

9 END :


OLE Toolbar Buttons

The OLE toolbar provides commons functions that are used with OLE objects. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Session Properties

Open

Copy

Paste

Connect/Disconnect

Send File

Receive File

Print

About

What’s This? Help

9 END :


Script Toolbar Buttons

The Script toolbar provides file transfer functions that are commonly selected from the Session menu. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Run Script

Stop Script

Pause Script

Resume Script

Compile Script

9 END :


Session Toolbar Buttons

The Session toolbar provides file transfer functions that are commonly selected from the Session menu. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Session Properties

Connect/Disconnect

Hard Terminal Reset

Soft Terminal Reset

Default Terminal Reset

Send File

Receive File

9 END :


Trace Toolbar Buttons

The Trace toolbar provides file transfer functions that are commonly selected from the Session menu. The table below lists the default buttons available on the toolbar.

The display of the Trace toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Start/Stop Trace

Pause/Resume Trace

9 END :


Transfer Toolbar Buttons

The Transfer toolbar provides file transfer functions that are commonly selected from the Session menu. The table below lists the default buttons available on the toolbar.

The display of the Transfer toolbar is turned on or off with the View Toolbar command that accesses the Toolbar Editor. Default buttons can be removed or reset with this editor.

Custom buttons can be added, modified or removed with the Custom Button Editor. This editor allows for the assignment of a script or other executable file, a string or a menu selection (function) to a toolbar button.

Send File

Receive File

Remote Kermit

9 END :


Application Window

The DCS window has several main components found in all Windows applications.

See Also

  • Customizing at the Application Level

  • Customizing General Application Options

9 END :


Application Window Appearance

The components of the DCS application window can be changed to turn on or off the display of:

  • background bitmap

  • selected toolbars

  • a full screen

  • status bar

See Also

  • Customizing at the Application Level

  • Customizing General Application Options

Tasks

  • Steps to turn on/off the display of the background bitmap

  • Steps to turn on/off the display of a toolbar

  • Steps to turn on/off a full screen.

  • Steps to turn on/off the application window status bar.


Session Window

The components of a session window depend on:

  • the emulation selected in the session properties, and

  • customization of the window components

However, because DCS is a Microsoft Windows compliant application, a session window always has a frame surrounding it, a title bar at the top that identifies the session name, and a set of window control buttons. Below is an example of two open session windows:

See Also

  • Session Window Appearance

9 END :


Session Window Appearance

The components of a session window depend on:

  • the emulation selected in the session properties, and

  • customization of the window components

Emulation Influence

The selected emulation determines many features for the appearance of a session window. Below is an example of a TN3270 session window using default session properties. Notice that it uses green characters on a black screen, has an "Operator Information Area" (OIA) below the horizontal scroll bar, includes both a vertical and a horizontal scroll bar, and displays a terminal border at the top and bottom of the display.

The second example seen below is an HP 700/94 session. Note that it includes a row of function buttons below a status area, displays only a vertical scroll bar, uses white characters on a black screen, and includes terminal borders on the left and right sides.

Customization Influence

A session window has several components that can be made visible or hidden, or modified in a variety of ways, if needed. Below is the same HP 700/94 session window seen above that has been modified to turn off the display of the terminal border and the session buttons, and to display characters in blue color:

See Also

  • Customizing Session Window Components

  • Customizing Session Window Contents

9 END :


Print Preview Window

File > Print Preview

The Print Preview window allows you to see how a print job appears on print out before actually printing. You can then use the Print Setup command to make changes such as switching the page orientation or selecting a paper size.

Below is an example of the Print Preview window. Use the table below the window to determine how the various window components can be used to help customize your print job.

Click to print the file as shown in the Print Preview window.

The Print dialog box appears.

Click to display the next page in the print job.

This button becomes available when the print job has two or more pages and before the last page is displayed.

Click to display the prior page in the print job.

This button becomes available when the print job has two or more pages and when page 2 or higher is displayed.

Click to show two pages, side by side, at the same time in the window.

Default: one page display.

This button becomes available when one page is shown and the print job has two or more pages.

Click to show one page in the Print Preview window.

This button becomes available when two pages are shown in the window.

Click to expand the page size such that it enlarges first by ~30% and then by ~50%.

This same action can be accomplished by moving the mouse cursor over the displayed page(s) and clicking once when the mouse cursor changes to a magnifying glass icon.

Click to shrink the page size by 50% or to fit the whole page entirely in the Print Preview window.

This same action can be accomplished by moving the mouse cursor over the displayed page(s) and clicking once when the mouse cursor changes to a magnifying glass icon.

Click to close the Print Preview window.

9 END :


To turn on/off the display of the background bitmap in the application window

1 On the Tools menu, select Options.

2 In the General group, select Show background bitmap.

A checkmark indicates that the bitmap will be displayed. Clearing the checkmark specifies to display a gray background.

3 Click OK.

9 END :


To turn on a full screen display of the application window

  • On the View menu, select Full Screen.

A checkmark indicates that the Status Bar is visible. Clicking on the menu selection specifies to hide the Status Bar.

9 END :


To turn off the full screen display of the application window

  • Choose one of the following:

  • Press ALT+8, or

  • If displayed, click

The application screen returns to its default view.

9 END :


To turn on/off the display of the Status Bar in the application window

  • On the View menu, select Status Bar.

A checkmark indicates that the Status Bar is visible. Clicking on the menu selection specifies to hide the Status Bar.

9 END :


To show a toolbar

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check a toolbar(s).

3 Click OK.

The toolbar(s) appear in the order selected.

9 END :


To hide a toolbar

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Uncheck the name of the toolbar(s) to hide

3 Click OK.

The toolbar(s) are removed from the display.

9 END :


To arrange multiple open session windows

1 On the DCS menu bar, select Window.

2 Choose one of the following commands from the Window menu:

  • Cascade

Rearranges windows into an overlapping stack. Each window has the same size and the title bar of each window is visible.

  • Tile Horizontally

Rearranges all windows to fit within the DCS application window such that the entire window is visible. Each window has the same horizontal width and equal vertical lengths.

  • Tile Vertically

Rearranges all windows to fit within the DCS application window such that the entire window is visible. Each window has the same vertical length and equal horizontal widths.

9 END :


To preview a print job

Note

The session, script file or memo document to be previewed must be in the active window before starting these steps.

1 On the File menu, select Print Preview.

2 Choose one of the following:

  • Print

Sends the job to the printer and closes the print preview window.

  • Next Page

Moves forward through the print document.

  • Prev Page

Moves backward through the print document.

  • Zoom In

Increases the level of magnification.

  • Zoom Out

Decreases the level of magnification.

  • Close

Closes the Print Preview window and does not send a job to the printer.

9 END :


Creating a session

Creating a new session is started with the File New > Session menu selection or by clicking [image]. The Session Properties dialog presents all the options and choices available for configuring a session. Configuring a new session requires specifying, at a minimum, the following:

  • an emulator – what type of terminal do you want the session to behave as?

  • a connector – why type of physical connection do you want the session to use?

Optionally, a file transfer protocol can also be specified.

The File New > Session command or the [image] button activate the New Session Wizard. This wizard walks you through the initial configuration of a session with a remote system by presenting the primary configuration options for a session in three separate dialog boxes. Then, the Wizard displays the Session Properties dialog so that you can customize the setup of the session, such as, selecting a phone number or Telnet address, keyboard map, and other session options. Selecting OK closes the dialog and automatically attempts to connect the new session with the parameters specified on the various tabs in the Session Properties dialog.

When a new session is created, it is given the temporary name of Session#. The session file remains a temporary file until you use the File Save command. The Windows Save As dialog box appears and points, by default, to the Program Files/Futuresoft/DCSeries/session directory. Also by default, the file is saved as a DynaComm Session (*.ses) type. The temporary name is placed in the File name text box. You can use this name or enter a new one, using Windows file naming conventions, before clicking OK.

If you ask to close the new session or exit DCS before saving the session, you will be prompted to save the session file. If you choose to save the session, the Windows Save As dialog box appears. If you choose not to save the session, the session is closed and all configuration options will be lost.

See Also

Related

  • New Session Wizard

  • Session Properties dialog

Tasks

  • Steps to create a new session with the New Session Wizard

  • Steps to create a new session with the New Session Wizard disabled

  • Steps to save a new session file

9 END :


New Session Wizard

The New Session Wizard helps you to easily create a new session that configures, at a minimum, all the required options. This wizard is started by:

  • accessing the File New > Session command, or

  • clicking the [image] button on the Toolbar.

Three dialog boxes are presented in this order:

  • Emulation Type

---------------------------------------------------------------------------------------------------------------------------------------------

  • Connector Type

---------------------------------------------------------------------------------------------------------------------------------------------

  • File Transfer Type

Clicking on Finish in the File Transfer Type dialog box exits the New Session Wizard. The Session Properties dialog appears next.

Note

To turn off the New File Wizard, access the Options dialog with the Tools > Options command and remove the checkmark in front of the Use New Session Wizard selection. Click OK to save the change.

See also

  • Session Properties dialog

Tasks

  • Steps to create a new session with the New Session Wizard

9 END :


Opening a Saved Session

Opening a saved session file in DCS is accomplished with the same techniques used to open any Windows application file:

  • Toolbar Button:

  • Menu Command: File Open > Session

  • Recently opened documents list from File menu

In addition, a session file name can be listed in a Windows Explorer window and then double-clicked. If DCS is not running, it will be started and the session file opened.

If the Auto Connect option (Session Properties > General) is selected, the session will attempt to connect to the designated remote host and display the corresponding login prompt.

Specifically you are able to:

  • Open a session file stored on the local PC.

  • Open a session file stored on a web server.

  • Open a session file and access mapper files stored on the local PC.

  • Open a session file and access mapper files stored on a web server.

  • Open a session file stored on the local PC and access mapper files stored on a web server.

See Also

Opening session files

  • Steps to open a session file stored on the local PC

  • Steps to open a session file stored on a web server

  • Steps to open a session file and customized mapper files stored on the local PC

  • Steps to open a session file and customized mapper files stored on a web server

  • Steps to open a session file from the local PC and customized mapper files stored on a web server

  • Steps to open a session file through Microsoft Internet Explorer

  • Steps to open a session file through Netscape Navigator

Working with Auto Connect

  • Steps to disable Auto Connect in a saved session file

  • Steps to connect a session to a remote host when Auto Connect is disabled

9 END :


Working With Multiple Session Windows

DCS is designed with a Windows Multiple Document Interface (MDI). Multiple session files, scripts, or memos can be open simultaneously within a single instance of DCS.

The Windows menu lists all open windows. A check mark appears next to the window in focus (the active window). Choose any window in the list to make it the active window.

Multiple windows may also be arranged to fit the application workspace. Either the Window menu commands or mouse functions can be used to rearrange the size and location of each window.

9 END :


Session History Buffer

The history buffer is in the upper scrolling region of the session window. Generally, terminals have a fixed number of lines in a session screen (for instance, twenty-four lines). When a new line enters at the bottom of the terminal screen, all of the lines move up one and the top line is lost.

In a DCS session, the history buffer can be sized such that from 0 to 9,999 lines are preserved. This is set in the Lines list box on the History sub-tab of the Displays tab in the Session Properties dialog.

The history buffer applies only to continuous or streaming sessions, such as ANSI-BBS or VT100 emulations. For page or form sessions, such as the IBM 3270 emulation, when a new page enters the session screen, the previous page is deleted from emulation memory.

Note

  • If you change the size of the buffer while a session is connected, the history buffer is cleared.

  • When you close a session window, the contents of the session screen and history buffer are cleared.

9 END :


Trace Facility

Generally, the Trace Facility can show you terminal emulation, connector, and file transfer protocol behavior during a session with a remote system. The Trace Facility captures a session with a remote system and places the captured information into a file. The Trace Facility can capture practically anything that passes through the session, including passwords, server information, and other sensitive data that may occur during the session. The captured information is then viewed with the playback feature of the facility. This allows for analyzing a particular session to address problems that may have occurred.

Depending on the type of trace requested, a binary or text file can be created. With the Trace Facility active, the binary file format can be used for any emulation. However, for sessions using emulations that will not be in block mode only the text file format can be used. The trace can capture:

  • all the characters that enter the session

  • the escape sequences sent between the remote system and the emulation

  • the handshaking conducted during a file transfer

  • the contents of files sent during a transfer.

The Trace Facility is comprised of:

  • Trace tab in the Session Properties dialog

This tab is used during configuration of a trace session to specify the trace file properties, such as whether to collect only data or to include communication protocol information, or whether to collect information being sent to the host or from the host, etc.

  • Trace Play connector on the Connectors tab of the Session Properties dialog

This tab is used to specify the file to "playback" (display). The file must be a trace file (*.trc) created during a trace session.

Configuring a Trace Session

The Trace tab in the Session Properties dialog allows you to specify the options for a trace file captured during a trace session. The options are selected before you start a trace session.

Starting and Stopping a Trace

A trace can be started:

  • when the session file is opened, or

  • by selecting the Trace >Start command on the Session menu.

Playing Back a Trace

The Trace Play connector in the Connectors tab of the Session Properties dialog allows you to playback binary traces in a session window. When playing back a trace, you can:

  • start

  • pause

  • stop

The commands to perform these functions can be found on either the:

  • Trace submenu accessed from the Session menu

  • Trace toolbar

See Also

Related

  • Session Properties Connectors tab

  • Text Report trace example

Tasks

  • Steps to set up a trace for a terminal in block mode

  • Steps to set up a trace for a terminal not in block mode

9 END :


To select or change a connector

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the Connectors tab.

4 Select the desired connector by clicking one of the Connector buttons across the top of the dialog.

5 Complete other selections on the individual sub-tab(s) as needed.

6 Click OK.

7 On the File menu, select Save to store the changes.

Note

  • Only those connectors that have been installed will appear in the Session Properties dialog.

  • If you select a network connector, such as Telnet, you must enter a valid host address in the General tab.

  • If you select the Modem connector, be sure to:

  • select the correct Telephony Device for your system. The Modem connector will use the default settings you have specified for this device in the Modems item of the Windows Control Panel.

  • enter a phone number.

  • If you select the Direct Serial connector, you must select a valid COM port.

  • If you do not save your changes, the selected session properties are discarded when you close the session.

  • The properties selected for a particular session do not affect the properties chosen for a different session.

9 END :


To configure general session properties

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the General tab.

4 Make changes as needed.

5 Click OK.

When a connection is established, the session connected icon appears in the status line.

9 END :


To connect to a host when the Auto connect option is disabled

1 Open a session or select the desired open session, if more than one session is open.

2 On the Session menu, select Connect.

When a connection is established, the session connected icon appears in the status line.

9 END :


To enable/disable Auto connect for a session

1 Open a saved session file.

2 On the Session menu, click Properties.

3 In the Session Properties dialog, click the General tab.

4 In the Options group, select/clear Auto connect on session open.

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

5 Click OK.

6 On the File menu, click Save.

9 END :


To enable/disable use of the New Session Wizard

1 Start DCS.

2 On the Tools menu, select Options.

The Options dialog appears.

3 Click the General tab.

4 Select/clear Use ‘New Session’ Wizard.

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

5 Click OK.

9 END :


To create a new session file with the New Session Wizard

1 Start DCS.

2 Click New on the toolbar.

The New Session Wizard – Emulation Type dialog box appears.

3 In the list of available emulators, select the emulation the new session will use.

4 Click Next.

The New Session Wizard – Connector Type dialog box appears.

5 In the list of available connectors, select the connector the new session will use.

6 Click Next.

The New Session Wizard – File Transfers Type dialog box appears.

7 In the list of available file transfer protocols, select the protocol the new session will use or select None if no file transfers will be performed.

8 Click Finish.

The New Session Wizard ends and the Session Properties dialog appears.

9 Make changes as needed to the Session Properties dialog to complete set up of the session.

10 Click OK.

The new session is automatically connected using the settings you created in the Session Properties dialog.

9 END :


To create a new session file with the New Session Wizard disabled

1 Select File from the menu bar.

2 On the File menu, select New > Session.

The Session Properties dialog automatically opens and displays the Connectors General tab.

Note

By default the Telnet connector, ANSI-BBS emulator and ZModem file transfer protocol are established for the new session.

3 If necessary, choose a different emulation by clicking the Emulations tab and then selecting one of the Emulator buttons across the top of the dialog. Make changes as needed to customize the emulation by clicking the sub-tabs available on the Emulations tab and choosing from the various options.

4 If necessary, choose a different connector by clicking the Connectors tab and then selecting one of the Connector buttons across the top of the dialog. Make changes as needed to customize the connector by clicking the sub-tabs available on the Connectors tab and choosing from the various options.

5 If necessary, choose a different file transfer protocol by clicking the File Transfer tab and then selecting one of the File Transfer buttons across the top of the dialog. Make changes as needed to customize the file transfer protocol by clicking the sub-tabs available on the File Transfers tab and choosing from the various options.

6. Click OK.

Note

DCS will automatically attempt to make a connection with the new session properties.

9 END :


To save a session (file)

1 Open a session or select the desired open session, if more than one session is open.

2 On the File menu, select Save or Save As.

Note

Save saves the new session with the default name. Save As displays the Save As dialog to allow you to specify a new file name.

3 If you chose Save As, click OK in the Save As dialog.

Note

If a session file with the same name exists in the selected directory, you will be warned before the file is saved.

9 END :


To log a session to a file

1 Create a new session window or open a saved session.

To capture a session starting with its connection with the remote host, clear the Auto Connect On Session Open option on the General tab of the Session Properties dialog. If you do not clear this option, you will lose connection information.

2 When you want to start the capture, select Log To File on the Session > Log Incoming Data menu

The Select Log File dialog appears.

  3. Choose one of the following:

a If you want to place the session data into a new file, enter the name of a file in File Name, and select a location for the file in the list of folders and files above File Name.

b If you want to add the session data to a previously saved file or to overwrite the contents of a previously saved file, select a file name in the list of folders and files, or enter a path name into File Name.

  4. If you have selected a previously saved file in step A, select Append or Overwrite in File Options. The default is Append.

If you select Append, the new session data is added to the end of the file’s previous contents.

If you select Overwrite, the file is cleared before placing the session data into the file.

5 In Logging Options, select the information to add in the log file to the session data.

6 Check Time/Date Stamp to insert three lines at the beginning of the new session log. The three lines are a line with the date and the time on it and with a blank line before and after the line with the date and time. The lines have a format similar to the following:

12/31/99 14:03:25 PM

7 Check Header to insert three lines at the beginning of the session log, but after any lines inserted if you checked Time/Date Stamp. The three lines are a line with the text, that you enter in the Header text box, and a line filled with asterisks before and after the line with the text. The lines have a format similar to the following:

********************************************************************************

Header text

********************************************************************************

8 Check Footer to insert three lines after the last line of the session data. The three lines are similar to the lines inserted if you checked Header, but instead of text from the Header text box, the second line will have the text from the Footer text box.

9 If you checked Header in Logging options, enter text in the Header text box in Text Editor.

10 If you checked Footer in Logging options, you may enter text in the Footer text box in Text Editor.

  11. Click Open.

Session data is copied to the file and a check mark is placed next to Log To File on the Session > Log Incoming Data menu.

12 If the session was not connected in order to capture the beginning of a session, select Connect in the Session menu.

13 To stop logging the session information to a file, select Log To Fileand then select Disconnect in the Session menu.

9 END :


OLE Overview

OLE (Object Linking and Embedding) technology developed in the early 1990’s as a method of creating compound documents. A compound document is the result of combining information from two separate pieces of software. These special documents appear to the user as one seamless document or file. One example is the placement of a Microsoft Excel spreadsheet inside a Microsoft Word document, such as shown below:

OLE in a nutshell

In creating an OLE (compound) document, one piece of software functions as the container that receives or holds the data from the second piece of software. In the example above, Microsoft Word acts as the container. The second software functions as a server by serving its data to the first application. The OLE server can either:

  • embed its data into the container, or

  • provide a link to its data.

If the data is embedded in the container, it is actually stored in the same file as the container’s data. The server data is static meaning that it can be modified in the container application but will not affect the data in the server application.

If the data is linked, a reference to the data is stored in the container’s file. The server’s data remains in its own file. This means that modifications:

  • made to the linked data in the container application are reflected in the server application, and

  • made to the linked data in the server application are reflected in the container application.

Further Study

If you would like to study OLE in more detail, we recommend the following resources:

Chappell, David. Understanding ActiveX and OLE. Redmond, Washington: Microsoft Press, 1996.

Denning, Adam. OLE Controls Inside Out. Redmond, Washington: Microsoft Press, 1995.

See Also

Concepts

  • Component Object Model (COM) Overview

  • ActiveX Overview

  • DCS and OLE/ActiveX

  • DCS as an OLE/ActiveX Container

  • DCS as an OLE/Active X Server

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


Component Object Model (COM) Overview

The architects of OLE technology created a set of technologies that are applicable to more than compound documents. Premier among these technologies is COM – Component Object Model. COM provides a standard for exchanging information for many diverse types of software – utilities, libraries, system software, applications, and more. This standard defines the methods by which these software types interact.

Initially, ActiveX applied to technologies related to the Internet and applications that grew out of the Internet, such as the World Wide Web. Now, all new technologies using a COM-based approach are labeled ActiveX regardless of their relationship with the Internet.

Accessing Services

To understand COM, first consider the ways that one piece of software could access the services provided by another piece of software:

  • An application might link to a library and access the library services using function calls.

  • An application might use the services of a second application by using an inter-process communication mechanism (protocol) which runs a process separate from the two applications.

  • An application might make system calls to services provided by an operating system.

  • An application might require the services of software running on a separate machine that is accessed through a network.

The common denominator of all the examples given above is that one piece of software needs to access the services provided by another. COM supplies this common denominator that works in all these cases.

The Mechanics of COM

The building blocks of COM include:

  • objects - services provided by a piece of software.

  • interfaces – allows access to an object’s data through the use of methods; a COM object supports one or more interfaces.

  • methods – functions or procedures that perform a specific action and that can be called by the piece of software using the COM object.

A COM object is implemented inside a server. The server can be either a dynamic-link library (DLL) or a separate process. The DLL is loaded as needed when the application is running. To invoke the methods in an interface, a client must acquire a pointer to that interface.

Standard interfaces are a necessity for the use of standard components produced by competing companies. Microsoft has sponsored a program, OLE Industry Solutions, whose goal is to define standard interfaces for a variety of components.

COM was originally made available on Windows and Windows NT. COM is now also available on the Macintosh. Software developed using COM objects is available on all kinds of systems from standalone terminals to mainframes.

Why COM?

COM provides these distinct advantages:

  • COM objects can be packaged into libraries or executable files and then distributed in a binary format. This eliminates distribution of source code.

  • COM objects can be written in one language and used in another. COM defines a standard way to access the binary objects .

  • All clients automatically receive the new version of a COM object because the objects are instantiated as needed. Thus no need for recompiling when a new or updated object is made available.

  • Existing interfaces are never changed such that older clients are not affected. COM objects that provide new features also provide new interfaces. New clients can use the new interfaces.

Further Study

If you would like to study COM in more detail, we recommend the following resources:

Box, Don. Essential COM. Reading, Massuchusetts: Addison-Wesley Publishing Company, Inc., 1998.

Chappell, David. Understanding ActiveX and OLE. Redmond, Washington: Microsoft Press, 1996.

Denning, Adam. OLE Controls Inside Out. Redmond, Washington: Microsoft Press, 1995.

Platt, David S. The Essence of COM with ActiveX, A Programmer’s Workbook. Second Edition. Upper Saddle River, N.J.: Prentice Hall PTR, 1998.

See Also

Related

  • OLE Overview

  • ActiveX Overview

  • DCS and OLE/ActiveX

  • DCS as an OLE/ActiveX Container

  • DCS as an OLE/Active X Server

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


ActiveX Overview

ActiveX technology is one of several technologies based on COM and the desire to create reusable software components. One of the goals of COM is to be able to create components that provide basic functionality for specific application needs, such as database functions that perform lookup activities. A new application could be built from the available components rather than building the whole application from scratch. The components or pieces could be readily obtained from many and varied sources.

To use components effectively, the ActiveX Controls specification defines standards for:

  • Interfaces that COM objects can support to carry out particular actions, and

  • Control containers that know how to use an ActiveX control.

ActiveX Controls

An ActiveX control is a stand-alone software component that performs a particular function(s) in a standard manner. ActiveX controls were originally called OLE controls (OCXs). With the addition of new features that made the controls more usable with the Internet and the World Wide Web, the name was changed.

ActiveX controls are servers that plug into a control container. These controls can store their data on a Web page or it can be downloaded from a web server and then executed on a client machine. The container can be a programming environment or it can be a web browser.

ActiveX controls are available from many companies and can be easily obtained by downloading them from the Web. The controls provide diverse functionality ranging from database functions, mainframe data access, and more. Developers can include ActiveX controls in new application software to create component software, providing new functionality that extends or enhances current software functionality.

Further Study

If you would like to study ActiveX controls in more detail, we recommend the following resources:

Chappell, David. Understanding ActiveX and OLE. Redmond, Washington: Microsoft Press, 1996.

Denning, Adam. OLE Controls Inside Out. Redmond, Washington: Microsoft Press, 1995.

Platt, David S. The Essence of COM with ActiveX, A Programmer’s Workbook. Second Edition. Upper Saddle River, N.J.: Prentice Hall PTR, 1998.

See Also

Related

  • OLE Overview

  • Component Object Model

  • DCS and OLE/ActiveX

  • DCS as an OLE/ActiveX Container

  • DCS as an OLE/Active X Server

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


DCS and OLE/ActiveX

A piece of software can be designed to act as a container only, a server only, or as both. DCS is an OLE/ActiveX enabled program that is able to function as either a container or a server. Support for OLE/ActiveX functionality has been incorporated in the DynaComm Connectivity Series since the first offerings of the product. In the latest versions, OLE/ActiveX support has been extended and enhanced to provide a robust solution for legacy mainframe applications and current terminal technology.

Support of OLE/ActiveX controls

See the DCS Web Reference for more information.

With DCS you can:

  • Use DCS as a container to create a compound document by either linking or embedding an OLE/ActiveX object into a memo document (only). Neither session files nor script files are able to accept OLE/ActiveX objects.

  • Use DCS as a serverto create a compound document by linking a session file to an OLE/ActiveX enabled application that is capable of functioning as an OLE/ActiveX container.

  • Use DCS as a serverto create a compound document by embedding a session file in an OLE/ActiveX enabled application document.

  • Use DCS as a server to provide access to a remote host through a web browser, using customized web interfaces developed by in-house programming staff.

See Also

Related

  • OLE Overview

  • Component Object Model (COM) Overview

  • ActiveX Overview

  • DCS as an OLE/ActiveX Container

  • DCS as an OLE/Active X Server

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


DCS as an OLE/ActiveX Container

DCS is able to function as an OLE/ActiveX container within specific parameters. A compound document can be created with a DCSmemo document acting as the container. Using this OLE/ActiveX function allows you to take advantage of another application’s functions and capabilities within DCS. Several different commands can be used to create a compound document with DCS functioning as the OLE/ActiveX container:

  • Insert Object

  • Copy/Paste Special

  • Drag-and-drop

Insert Object

The Insert Object command is available in a memo document to insert either:

  • a new OLE/ActiveX object, or

  • an existing file.

When you insert a new object, the entered data is embedded in the memo document. When the new OLE/ActiveX object is created, a small window appears in the memo document at the cursor insertion point. The window characteristics are that of the object type.

For example, if you insert a Microsoft Excel worksheet object into a DCS memo document, the resulting window has column and row header tiles, horizontal and vertical scroll bars and a spreadsheet grid appearance to indicate rows and columns. The Excel toolbar and menu bar appear in place of the DCS toolbar and menu bar. Data is keyed into the worksheet using standard Excel functions. When the cursor is clicked outside the object window, the DCS toolbar and menu bar return. The data in the object is accessed and modified only through the DCS memo document.

When you insert an existing file into a DCS memo document you can specify to either link the data or embed the data. Embedding the data is simply making a copy of the data and pasting the copy into the memo document. The data can be modified in the same manner as discussed above when a new object is inserted. Any modifications are not reflected in the original file.

Linking the data allows for:

  • Updates made in the server application to appear in the memo document object.

  • Updates made in the memo document to appear in the server application file when viewed through the server application.

Copy/Paste Special

The same basic functions described above under Insert Object can be accomplished with the Edit Copy and Edit Paste Special commands. The server application is opened, text is highlighted and then copied to the Clipboard. DCS is made the active window, a memo document is opened and Edit Paste Special is used to display the Paste Special dialog box. Paste is chosen when the copied data is to be embedded into the memo document. Paste Link is chosen when the copied data is to be linked to the memo document. Treatment of the copied data follows the same guidelines as discussed under Insert Object.

Drag-and-Drop

Again the same functions described above under Insert Object can be accomplished with the drag-and-drop feature. DCS is started and a memo document is opened. The server application is opened, text is highlighted in a file and then moved or copied by using the mouse and modifier keys, where appropriate. Treatment of the copied data follows the same guidelines as discussed under Insert Object.

See Also

Related

  • OLE Overview

  • Component Object Model (COM) Overview

  • ActiveX Overview

  • DCS and OLE/ActiveX

  • DCS as an OLE/Active X Server

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


DCS as an OLE/ActiveX Server

DCS is able to function as an OLE/ActiveX server within specific parameters. A compound document can be created by:

  • inserting a DCS sessionfile in an application that supports OLE/ActiveX container functions.

  • copying text from a memo document or script file and then pasting it into an OLE/ActiveX enabled application file.

Session Files

The Insert Object command is used in the OLE/ActiveX container application to insert either:

  • a new DynaComm session, or

  • an existing DynaComm session file.

When you insert a new DynaComm session into an OLE/ActiveX container, a new session is created with default session configuration options (Telnet connector, ANSI-BBS emulation, and ZModem file transfer protocol). The session appears in a small window in the compound document at the cursor insertion point. The menu bar and toolbar change to the DCS standard menu bar and toolbar. The session is embedded in the compound document such that changes made in the session file do not affect DCS in any way.

When you insert an existing session file into an OLE/ActiveX container you can specify to either link the session or embed the session. Embedding the session simply makes a copy of the session and all session properties and pastes the copy into the container document. The session properties can be modified in the same manner as discussed above when a new session is inserted. Any modifications are not reflected in the original session file.

Linking the session file allows for:

  • Updates made to the session properties in the server application (DCS) to appear in the session file object.

  • Updates made in the session file object in the container application to appear in the server application (DCS).

Text Copy

The embed function described above under Insert Object can be accomplished with the Edit Copy and Edit Paste Special commands for text or data in DCS files. DCS is started, a file opened, data or text highlighted and then copied to the Windows clipboard. An OLE/ActiveX enabled application is started, a file opened and Edit Paste Special is used to display the Paste Special dialog box. Paste is the only option available. Linking is not supported by DCS server functions. Therefore, changes made to the data in either the container application file or DCS file are not reflected in the corresponding server or container application file.

The same functions described above under Copy/Paste Special can be accomplished with the drag-and-drop feature. An OLE/ActiveX enabled application is started and a compound document is opened. DCS is started, a file opened, data or text highlighted and then moved or copied with the mouse and modifier keys, where appropriate. The data or text is not linked; therefore, changes made to the copied data are not reflected in the originating DCS file.

See Also

Related

  • OLE Overview

  • Component Object Model (COM) Overview

  • ActiveX Overview

  • DCS and OLE/ActiveX

  • DCS as an OLE/ActiveX Container

Tasks

  • All DCS OLE/ActiveX Tasks

9 END :


Insert Object Dialog Box

Edit > Insert Object

The Insert Object dialog box appears when Insert Object is selected from the Edit menu. This dialog provides the selections to place an OLE object into a memo document. The object can be a new object or created from an existing file.

The table below describes each component of the dialog box and how it is used:

Use this component

in this manner . . .

  • Create New

Select to insert a new object into the receiving document.

  • Create from File

Select to insert a complete file as the new object.

Object Type

Lists the possible object types (applications) that can be inserted into the receiving document.

This selection is shown when Create New is selected.

File

Displays the directory path of the object file to be inserted.

This field is shown when Create from File is selected.

Click to display the Open dialog box.

Use standard Windows navigation techniques to select the file to insert.

This field is shown when Create from File is selected.

Link

Select to establish a link between the inserted object and the receiving file such that updates to either are reflected in the other.

Clear to simply make a copy of the file and insert into the receiving file. Updates made to either are not reflected in the corresponding file.

This field is shown when Create from File is selected.

Display As Icon

Select to have the application icon represent the inserted object in the receiving document.

Clear to show the inserted object in its full form.

Result

Describes the resulting action of the selections chosen in the dialog box.

This is a read-only area.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selections and insert the selected object type into the receiving document at the cursor location.

Click to discard changes and to close the dialog.

9 END :


All DCS OLE/ActiveX Tasks

DCS supports both OLE/ActiveX container and server functions but within specific parameters. Below is a list of all OLE/ActiveX tasks supported by DCS:

DCS as an OLE/ActiveX container

  • Steps to insert a new OLE/ActiveX object in a memo document

  • Steps to insert a file as an embedded OLE/ActiveX object in a memo document

  • Steps to insert a file as a linked OLE/ActiveX object in a memo document

DCS as an OLE/ActiveX server

Opening a session file

  • Steps to open a session file through Microsoft Internet Explorer

  • Steps to open a session file through Netscape Navigator

Inserting a session file

  • Steps to insert a new DCS session file in a compound document

  • Steps to insert a saved DCS session file as an embedded OLE/ActiveX object

  • Steps to insert a saved DCS session file as a linked OLE/ActiveX object

Copying Text

  • Steps to copy text from a memo document or script file to a compound document

9 END :


To insert a file as an embedded OLE/ActiveX object into a memo document

1 Open a new or existing memo document.

2 Position the cursor where the file (OLE object) is to appear.

3 On the Insert menu, click Object.

The Insert Object dialog box appears.

4 In the Insert Object dialog box, click Create from File.

5 Click Browse.

The Browse dialog box appears.

6 Use standard Windows navigation techniques to locate and select the desired file.

7 Click Insert.

The Insert Object dialog box re-appears.

8 In File, verify the filename and path that are listed.

9 Click OK.

A window appears that is similar to the application window of the selected object type. The toolbar and menu bar reflect the server application functions. The selected file appears in the window.

10 Modify the data, if needed, using the functions of the server application.

Note

  • To move the cursor back to the memo document, click anywhere in the memo text.

  • To move the cursor back into the OLE object, double-click anywhere inside the object text.

11 To save the inserted object, click [image] Save or use the File Save command.

The object data is stored in/with the memo document.

Note

To make changes to the object data you must open the DCS memo document and double-click on the object to activate the server application functions. Any changes made to the original file are not reflected in the object seen in the memo document.

9 END :


To insert a file as a linked OLE/ActiveX object into a memo document

1 Open a new or existing memo document.

2 Position the cursor where the file (OLE object) is to appear.

3 On the Insert menu, click Object.

4 In the Insert Object dialog box, click Create from File.

5 Click Browse.

The Browse dialog box appears.

6 Use standard Windows navigation techniques to locate and select the desired file.

7 Click Insert.

The Insert Object dialog box re-appears.

8 In File, verify the filename and path that are listed.

9 Select Link.

A checkmark appears in the box in front of the selection.

10 Click OK.

A window appears that is similar to the selected object type. The toolbar and menu bar reflect the server application functions. The selected file appears in the window.

11 Modify the data, if needed, using the functions of the server application.

Note

  • To move the cursor back to the memo document, click anywhere in the memo text.

  • To move the cursor back into the OLE object, double-click anywhere inside the object text.

12 To save the inserted object, click [image] Save or use the File Save command.

The object data is stored in the original file with a reference to the linked file stored in the memo document.

Note

Any changes made to the object data in the original file are reflected in the object seen in the memo document. The reverse is also true, changes made to the object in the memo document are reflected in the original file.

9 END :


To insert a new OLE/ActiveX object into a memo document

1 Open a new or existing memo document.

2 Position the cursor where the new OLE object is to appear.

3 On the Insert menu, click Object.

The Insert Object dialog box appears.

4 In the Insert Object dialog box, verify that Create New is selected.

5 In the Object Type list, scroll to and click on the desired OLE object type.

6 Click OK.

A window appears that is similar to the application window of the selected object type. The toolbar and menu bar reflect the server application functions.

7 Enter the new data, using the functions of the server application.

Note

  • To move the cursor back to the memo document, click anywhere in the memo text.

  • To move the cursor back into the OLE object, double-click anywhere inside the object text.

8 To save the new object data, click [image] Save or use the File Save command.

The object data is stored in/with the memo document.

Note

If this is a new memo document, the [image] Save or File Save commands display the Save As dialog. Enter a name for the memo document in the Save As dialog. The OLE object is not saved separately and does not require a separate name.

9 END :


To insert a new DCS session file into a compound document

1 Open a new or saved document or file in an OLE enabled application.

2 Position the cursor where the session file is to appear.

3 On the Insert menu, click Object.

A dialog box appears. Each application provides the same basic functions in the dialog box but may have variations on how the functions are presented.

4 In the dialog box, click on Create New.

5 In the Object Type list, scroll to and click on DynaComm Session.

6 Click OK.

A session window appears with a modified DCS standard toolbar and menu bar.

Note

The session is created with the default session properties: Telnet connector, ANSI-BBS emulation, and ZModem file transfer protocol. If needed, change the properties through the Session Properties dialog. However, the modified session properties cannot be saved.

7 Perform session functions, as needed.

8 To save the inserted session file, click [image] Save or use the File Save command.

The session file and its session properties are stored in/with the container’s compound document.

Note

If you need to save specific session properties other than the default properties, create the session file first in DCS and then use Steps to insert a saved DCS session file as an embedded object in a compound document .

9 END :


To insert a saved DCS session file as an embedded OLE/ActiveX object

1 Open a new or saved file in an OLE enabled application.

2 Position the cursor where the saved DCS session file is to appear.

3 On the Insert menu, click Object.

A dialog box appears. Each application provides the same basic functions in the dialog box but may have variations on how the functions are presented.

4 In the dialog box, click Create from File.

5 Click Browse.

The Browse dialog box appears.

6 Use standard Windows navigation techniques to locate and select the desired file.

7 Click Insert.

The [Insert Object] dialog box re-appears.

8 In Filename, verify the session filename and path that are listed.

9 Click OK.

A DCS session window appears. The toolbar and menu bar reflect the DCS standard toolbar and menu bar.

10 Perform session functions, as needed.

11 To save the inserted session file, click [image] Save or use the File Save command.

The session file and its session properties are stored in/with the container’s compound document.

Note

To make changes to the session file and its properties you must open the compound document in the OLE enabled application, double-click on the DCS session file object and make your changes. Any changes made to the session file in DCS are not reflected in the session file seen in the compound document.

9 END :


To insert a saved DCS session file as a linked OLE/ActiveX object

1 Open a new or saved file in an OLE enabled application.

2 Position the cursor where the saved DCS session file is to appear.

3 On the Insert menu, click Object.

A dialog box appears. Each application provides the same basic functions in the dialog box but may have variations on how the functions are presented.

4 In the dialog box, click Create from File.

5 Click Browse.

The Browse dialog box appears.

6 Use standard Windows navigation techniques to locate and select the desired file.

7 Click Insert.

The [Insert Object] dialog box re-appears.

8 In Filename, verify the session filename and path that are listed.

9 Select Link to file.

A checkmark appears in the box in front of the selection.

10 Click OK.

A DCS session window appears with a modified standard toolbar and menu bar.

11 Perform session functions, as needed.

12 To save the inserted session file, click [image] Save or use the File Save command.

The session file and its session properties are stored in/with the container’s compound document.

Note

Because the DCS session file is linked to the container file, changes made to the DCS session file in the container application file are reflected in the original DCS session file. If changes are made in the session file through DCS, the changes are reflected in the container application file.

9 END :


To copy text from a DCS memo document or script file to a compound document

1 Open a DCS memo document or script file.

2 Highlight the desired text and click [image] Copy.

3 Open a new or saved file in an OLE enabled application.

4 Position the cursor where the copied text is to appear.

5 On the Edit menu, click Paste Special.

A dialog box appears.

Note

Each application provides the same basic functions in the dialog box but may present the functions differently.

6 Verify that Paste is selected.

7 In the Format or As list, select Text.

8 Click OK.

The text appears in the OLE container application.

9 To save the inserted text, click [image] Save or use the File Save command.

The copied text is stored in the container’s compound document.

Note

Changes made to the copied text in either the DCS file or the container application file are not reflected in the corresponding file.

9 END :


To open a session through Microsoft Internet Explorer

1 Start Internet Explorer and select Open from the File menu.

2 In the Open dialog box, use Browse to open the Program Files/FutureSoft/DCSeries/session folder.

3 In Files of type, select All Files to display your session files.

4 Select the session file and then click Open.

5 Click OK.

The session opens as a page in the browser.

9 END :


To open a session through Netscape Navigator

1 Start Netscape Navigator and select Open Page from the File menu.

2 In the Open Page dialog box, use Choose File to open the
Program Files/FutureSoft/DCSeries/session folder.

3 In Files of type, select All Files to display your session files.

4 Select Navigator.

5 Select the session file and then click Open.

6 Click Open It.

The session opens as a page in the browser.

9 END :


Script Compiler Dialog Box

Script > Compile
The Script Compiler dialog appears when you select Compile from the Script menu. This dialog tracks the progress of the compilation of your script and displays various status messages. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Filename | Displays complete path name of the script file that is being compiled.
Compiler Options group
Include Line Numbers | Select to include line numbers in the executable script file (*.dct) during compilation. Including line numbers in the script file allows for display of the line number from the source file. The line number is shown along with the script file name in Critical, Warning or Fatal error dialog boxes. Including line numbers is useful when error trapping code is not used.
Build Information group
Warnings | Displays a running numeric total of warnings encountered during the compilation. This category includes Critical, Warning, and Fatal errors which are serious conditions whereby the script can continue execution but results are neither reliable nor accurate.
Errors | Displays a running numeric total of errors encountered during the compilation. This category includes Fatal Script Task Errors which are conditions whereby the script cannot continue execution.
[compilation state] | Provides a short description of the state of the compilation. Generally, you will see either "Compiling…" or "Finished." in this area.
[message box] | Provides a running list of all error messages. Each message includes the line number and character position where the error occurred.
[indicator bar] | Provides a visual display tracking the amount or percentage of the total compilation that has completed at any given moment.
-----------------------------------------------------------------------------------------------------------
 | Click to start the compilation process of the script file displayed in the Filename text box. This button becomes available when selecting/deselecting the Include Line Numbers option.
 | Click to executes the corresponding compiled script (.dct) file for the script file displayed in the Filename text box. This button becomes available when all errors have been corrected.
 | Click to highlight the line in the script file that contains the error you highlighted in the Script Compiler dialog error list. The Script Compiler dialog closes when you choose this button.
 | Click to accept changes and to close the dialog.
 | Click to discard changes and to close the dialog.
9 END :


Working with the Script Status dialog box

From time to time you may need to determine how a particular executing script is performing. You may also need to pause or stop the execution of the script(s). The Script Status dialog box is used to perform all of these functions.

Displaying the Script Status dialog box

The Script Status dialog box is displayed by accessing the Script Status command. This command is available only if one or more scripts are executing. For each script the following is shown:

  • a unique ID that identifies the particular script execution

  • complete path of the executing script

  • current state of the executing script

Script Status functions

With the Script Status dialog on display, the following functions can be performed:

  • stop the execution of a script(s)

  • pause the execution of a script(s)

  • resume the execution of a paused script(s)

Note

Only scripts that have been temporarily stopped with the Pause button in the Script Status dialog box can be restarted with the Resume button. Scripts that are in a wait state due to the processing of a function call in the script cannot be resumed with the Resume button.

Selecting a script in the Script Status dialog can be performed with these methods:

  • An individual script is selected by clicking on the individual script name.

  • A group of scripts is selected by clicking on the first script name in the group, press and hold the Shift key and then click on the last script name in the group.

  • Multiple scripts are selected by clicking on script names while holding down the Ctrl key.

  • All listed scripts are selected by clicking Select All.

See Also

Related

  • Script Status dialog box

Tasks

  • Steps to access the Script Status dialog box

  • Steps to pause execution of a script file

  • Steps to resume execution of a script file

  • Steps to stop execution of a script file

9 END :


Script Status Dialog Box

Script > Status

The Script Status dialog box appears after accessing the Status command on the Script menu. This dialog displays status information for all currently executing scripts. The contents of the dialog box are updated approximately every 100 milliseconds. It is very likely that a script will transition between states several times during the update period.

The table below lists all Script Status dialog elements with a description of each:

Use this element

in this manner . . .

Current Scripts: [#]

Displays the total number of currently executing scripts.

Script ID

Unique hexidecimal number assigned by DCS to an executing script.

Script Name

Displays the complete path name for the executing script file (.dct).

Current State

Displays a short description of the current state of the executing script.

Possible descriptions include:

  • Aborting – script is ending before a normal termination.

  • Error – signals an internal error and the script shuts down automatically.

  • Initializing – signals script start up.

  • Paused – script has been temporarily suspended with the Pause button in the Script Status dialog box.

  • Processing Command – script is processing a command or function.

  • Processing Event – a script event has been triggered.

  • Running – script is executing normally.

  • Shutting Down – script is performing a clean shut down.

  • Stopped – script has ended.

  • Waiting – script has been temporarily suspended due to the processing of a command in the script, such as (DDE) Wait Signal.

-----------------------------------------------------------------------------------------------------------

Click to close the dialog.

Click to end execution of the selected script(s).

Note

If a script that updates data is stopped, you may need to perform cleanup functions to ensure data integrity.

Click to temporarily stop execution of the selected script(s).

Click to restart execution of the selected script(s) that have been paused.

Note

Only scripts that have been temporarily stopped with the Pause button in the Script Status dialog box can be restarted with the Resume button. Scripts that are in a wait state due to the processing of a function call in the script cannot be resumed with the Resume button.

Click to select all listed scripts.

Individual scripts can be selected using standard Windows selection techniques by clicking on the script name or in combination with either the CTRL or Shift key.

9 END :


To create a new script document

1 On the File menu, select New.

2 On the New sub-menu, select Script.

A new script document is opened. The Script Editor is active.

3 Enter script commands and functions.

Refer to the Script Reference for details on each command and function.

4 On the File menu, select Save.

The Save As dialog appears.

5 Enter a name for the script file and click Save.

Note

See the Script Reference for more information on working with scripts.

9 END :


To compile a new script document

1 Open a new script file and create the script text.

2 On the Script menu, select Compile.

The Save As dialog appears with a suggested script name in the File name text box.

3 If desired, change the file name and then click Save.

The compilation is started and the Script Compiler dialog appears.

4 To jump to a listed error, highlight the error and then click Goto Error.

The Script Compiler dialog closes and the line in the script file that contains the error is highlighted.

Note

  • The compiled script is automatically saved with the .dct extension in the default folder. The default folder is assigned through the Options File Locations tab.

  • See the Script Reference for more details on the compilation process and using the Script Compiler dialog.

9 END :


To compile an existing script document

1 Open an existing script document.

2 On the Script menu, select Compile.

The compilation is started and the Script Compiler dialog appears.

3 To jump to a listed error, highlight the error listing in the Compiling… list and then click Goto Error.

The Script Compiler dialog closes and the line in the script file that contains the error is highlighted.

Note

See the Script Reference for more details on the compilation process and using the Script Compiler dialog.

9 END :


To access the Script Status dialog box

  • On the Script menu, select Status.

The Script Status dialog appears.

Note

At least one script must be active for the Script Status command to be available.

9 END :


To pause the execution of a script file

1 On the Script menu, select Status.

The Script Status dialog appears.

2 In the list of active/paused scripts, select the script(s) to be temporarily stopped.

3 Click Pause.

The Status column changes to display "Paused".

Note

Multiple script files can be selected by using either the Shift or Ctrl keys when clicking on script file names with the mouse. All script files can be selected by clicking Select All.

9 END :


To resume the execution of a paused script file

1 On the Script menu, select Status.

The Script Status dialog appears.

2 In the list of active/paused scripts, select the script(s) to be resumed.

3 Click Resume.

The Status column changes to display "Processing Command".

Note

Multiple script files can be selected by using either the Shift or Ctrl keys when clicking on script file names with the mouse. All script files can be selected by clicking Select All.

9 END :


To stop the execution of a script file

1 On the Script menu, select Status.

The Script Status dialog appears.

2 In the list of active scripts, select the script(s) to be stopped.

3 Click Stop.

The entry for the selected script file is removed from display.

Note

Multiple script files can be selected by using either the Shift or Ctrl keys when clicking on script file names with the mouse. All script files can be selected by clicking Select All.

9 END :


To start a compiled script from Windows

1 Click Start on the Windows taskbar.

2 Select Run from the Start menu.

3 Use the Browse button to locate the compiled script (.dct) file.

4 Click Open.

The script begins execution.

Note

A separate instance of DCS is automatically started with this method.

9 END :


To start a compiled script with a menu command

1 On the Script menu, click Run.

The Select a script file to execute dialog appears.

2 Use standard Windows navigation and selection techniques to select a compiled script file.

Note

Compiled script files have the .dct extension.

3 Click Open.

The script begins execution.

9 END :


To set up the automatic start of a compiled script when a session is opened

1 Open a new session or an existing session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the General tab.

4 In the Startup script group, select a script name from the list or use the Browse button to locate the desired script.

5 Click OK.

6 On the File menu, select Save to store the changes.

The next time the session is opened, the selected script will automatically start.

9 END :


To set up the automatic start of a compiled script when DCS is started

1 Create a script and save it with the name AUTOSTRT.

2 From the Script menu, select Compile.

Be sure the script compiles with no errors and is located in the futuresoft/dcseries/scripts folder.

The next time DCS is started, the AUTOSTRT.DCT script will be automatically started.

9 END :


Customizing

DCS provides various utilities that allow you to customize certain components to fit the specific demands of your local and host environments. DCS can be customized:

  • At the application level

Dialog boxes and two editors provide the means to tailor the application window.

  • At the session level

The Session Properties dialog and four editors can be used to customize a session.

  • With scripts

Scripts can automate and streamline repetitive tasks and make getting to work easier and quicker.

9 END :


Customizing at the Application Level

Application-level customization affects DCS as a whole. All sessions are affected by application level customization. At the application level, you can customize:

  • general options, such as, changing the background display for the main window

  • file locations, such as, default directory specifications

  • menus

  • toolbars

  • event sounds

The Options dialog offers two tabs, General and File Locations, that contain several options affecting miscellaneous items as well as locations for application-provided and user-created files. To display this dialog, access the Tools > Options command.

The General tab has several checkboxes for turning on or off general application parameters and those that apply to the display of OLE objects.

The File Locations tab lists all directory types and provides the ability to browse through the directory structure to make modifications.

Menu and toolbar changes can be applied to the application window (also referred to as the main window), or a specific window type (session window, script document, or memo document). However, sound events apply to the entire application.

See Also

Related

  • Customizing general application options

  • Options dialog

  • Menu Editor

  • Toolbar Editor

Tasks

  • Steps to access the Options dialog

  • Steps to access the Menu Editor

  • Steps to access the Toolbar Editor

  • Steps to add sound to a DCS event

9 END :


Customizing General Application Options

Each session is initially created with a set of general options that can be changed, if needed. By default the following options are selected (enabled):

  • display the "splash screen" (FutureSoft logo) when the application is starting.

  • display a confirmation message to disconnect and save session properties when closing a connected session.

  • display session error messages.

  • save the size and screen location of the main window.

  • use of the New Session Wizard.

  • display the FutureSoft logo in the background of the application window.

Each of the above options can be disabled. In addition, two other options are available but are not enabled:

  • automatically close any sessions that become disconnected.

  • run only a single occurrence of DCS

These options are found on the General tab of the Options dialog. The Tools Options command displays the Options dialog.

See Also

Related

  • Options dialog

Tasks

  • Steps to access the Options dialog

9 END :


Customize Dialog

Tools > Customize

The Customize dialog appears when you access the Tools Customize command. This dialog contains two tabs which access the Menu Editor and Toolbar Editor:

  • Menus

  • Toolbar

Below the tabs these buttons are available:

Click to accept the selections and to close the dialog.

Click to discard changes and to close the dialog.

Click to display the Online Reference.

9 END :


Options Dialog

Tools > Options

The Options dialog contains two tabs that provide several selections that affect the DCS application as a whole.

  • General tab

Contains two option groups:

General provides eight (8) selections that affect a variety of items ranging from use of the New Session Wizard to display of messages and special screens.

OLE offers three options that relate to the use of special OLE properties.

  • File Locations tab

Allows for changing the default location for user files as well as application modules.

Below the tabs, the following buttons are available:

Click to accept the selections and to close the dialog.

Click to discard changes and to close the dialog.

Click to display the Online Reference.

9 END :


Options Dialog: File Locations Tab

Tools > Options > File Locations
The File Locations tab allows you to change the default locations of DynaComm’s directories and the default selection for the connector, emulation, and file transfer protocol. In Windows 95 and Windows 98, the default location of DynaComm’s directories is within DynaComm’s main directory. In Windows NT, some directories (Conn, Display, Emul, Fonts, and FT) are in DynaComm’s main directory, and other directories (Dnload, Maps, Memos, Scripts, Session, Trace, and Upload), are in the user’s personal directory inside of the Profiles directory in the Windows directory. The table below lists each File Locations tab element with a description of each.
Use this element | in this manner . . .
Directory Types | Displays the current directories.
User Directory | Allows for modification of the default directory for the selected directory type.
User Default Module | Allows for modification of the default module for Emulators (ANSI-BBS), Connectors (Telnet), and File Transfers (ZModem).
-----------------------------------------------------------------------------------------------------------
 | Click to return the directory and module settings to the default selections.
9 END :


Options Dialog: General Tab

Tools > Options > General

The Tools > Options command displays the Options dialog. The Options dialog box provides two tabs: General and File Locations. Selections on these tabs allow for customizing some basic operations. The table below lists each General tab element with a description of each.

Note

For changes to take effect, you must close and then re-open DCS.

Use this element

in this manner . . .

General group

Show splash screen

Select to display the DCS icon and version number at application start.

Clear to disable display of DCS icon and version number at application start.

Default: Selected

Prompt disconnect & save when closing

Select to display confirmation request messages for certain actions, such as closing all connected sessions.

Clear to disable display of confirmation request messages.

Default: Selected

Show error message

Select to display all application error messages.

Clear to prevent the display of all application error messages.

Note

Selecting or clearing this option does not affect the display of session messages. To prevent the display of session messages, you must clear the Error information option on the Session Properties General tab.

Save application size

Select to save the size and screen location of the main window.

Default: Selected

Use ‘New Session’ Wizard

Select to automatically start the New Session wizard when you click the New toolbar button.

Clear to disable use of the New Session wizard.

Default: Selected

Show background bitmap

Select to display the DCS logo in the client area.

Clear to display the color selected on the Appearance tab of the Windows Control Panel.

Default: Selected

Automatically close disconnected sessions

Select to leave disconnected sessions open.

Clear to automatically close a session when it disconnects from the remote host.

Default: Cleared

Run a single instance of DCS

Select to disallow new starts of separate instances of DCS.

Clear to allow new instances of DCS.

If an instance of DCS is running and the user double clicks a session file name in Windows Explorer, the session file will be opened in the running instance of DCS rather than a new instance started. However this will not occur if the existing instance is in a different desktop or window station.

OLE group

Enable OLE menu

Select to display these menus in the OLE client menu bar: Edit, Session, View, and Help.

Clear to display the Help menu in the OLE client menu bar. The Help menu may replace or be added to the Help menu of the OLE client.

Default: Selected

Note

If you have:

  • unchecked Auto Connect On Session Open on the Session Properties General sub-tab to prevent the session from automatically connecting, and

  • unchecked Enable OLE Menu, and

  • unchecked Enable OLE Toolbar,

you will only be able to connect the session by pressing Alt+7 or by running a script. To display the Select A Script To Run dialog, press Alt+L.

Enable OLE toolbar

Select to display the DCS OLE toolbar when a session is opened in an OLE client. The DCS OLE toolbar does not provide buttons comparable to the File menu selections of Open, New, and Save.

Clear to display no toolbar.

Default: Selected

Note

If you have:

  • unchecked Auto Connect On Session Open on the Session Properties General sub-tab to prevent the session from automatically connecting, and

  • unchecked Enable OLE Menu, and

  • unchecked Enable OLE Toolbar,

you will only be able to connect the session by pressing Alt+7 or by running a script. To display the Select A Script To Run dialog, press Alt+L.

Enable OLE status bar

Select to display the status bar when a session is opened in an OLE client.

Clear to hide the status bar for a session opened in an OLE client.

Default: Selected

Width

Select an integer from 10 to 999 to specify the width of a session window when the session is embedded in an another application (an OLE client).

The number in Width represents a relative size. The number in Width is a one to one correspondence with the monitor’s resolution or the size of the monitor screen.

Default: 371

Height

Select an integer from 10 to 999 to specify the height of a session window when the session is embedded in an another application (an OLE client).

The number in Height represents a relative size. The number in Width is a one to one correspondence with the monitor’s resolution or the size of the monitor screen.

Default: 182

9 END :


Application Event Sounds

Sound files in the WAV format may be associated with specific events in DCS. Adding sounds to these events is done in the same way sounds are added to other Windows events. Events to which you can add a sound include:

  • Connect Session

  • Disconnect Session

  • Enter Full-Screen mode

  • File Transfer Completed

  • File Transfer Failed

  • Launch Script

  • Leave Full-Screen mode

  • Start DynaComm

See Also

Task

  • Steps to add sound to a DCS event

9 END :


Available Modules Dialog Box

Tools > Options > File Locations >User Default Module

When you select the button next to the User Default Module text box on the File Locations tab of the Options dialog, the Available modules dialog box appears. The Select a module list displays emulators, connectors or file transfer protocols depending on the directory type that was highlighted on the File Locations tab when you clicked the More button.

The modules listed in Select a module correspond to the software that is installed. That is, you will see all modules available in the base DCS product and any others for Client Options that you have installed.

The selected module appears as the default emulation, file transfer protocol, or connector, when you create a new session with the File New > Session command.

Note:

The User Default Module text box is available only when Emulators, Connectors, or File Transfers in the Directory Types list is highlighted.

Use this selection

in this manner . . .

Select a module

Displays the available module for the selected Directory Type in the File Locations tab.

Select a different module from the list to change the default for all new sessions.

-----------------------------------------------------------------------------------------------------------------------------------------

Click to accept the new module selection.

Click to discard changes and to close the dialog.

9 END :


To add a sound to a DCS event

1 Click Start on the Windows taskbar.

2 Select Settings from the Start menu.

3 Double click Sounds icon.

The Sounds Properties dialog appears.

4 In the Events list select the desired event in the DynaComm Connectivity Series section.

5 In the Sound Name list select the desired sound file

6 Click OK.

The Sounds Properties dialog closes.

9 END :


To change default file locations

1 On the Tools menu, select Options.

2 Click File Locations.

3 In Directory Types, select the desired type.

Note

If you choose Emulators, Connectors, or File Transfers, two options appear to the right of the Directory Types list.

If you choose any other selection, only one option appears to the right of the Directory Types list.

4 Click the More button to the right of User Directory.

The Browse for Folder dialog box appears.

5 Use standard Windows navigation methods to select the new default directory for the selected directory type.

6 Click OK.

The Browse for Folder dialog box closes.

7 Click OK.

The Options dialog closes.

9 END :


To change the default connector module

1 On the Tools menu, select Options.

2 Click File Locations.

3 In Directory Types, select Connectors.

Two options appear to the right of the Directory Types list.

4 Click the More button to the right of User Directory.

The Browse for Folder dialog box appears.

5 Use standard Windows navigation methods to select the directory where the new connector file is stored.

6 Click OK.

The Browse for Folder dialog box closes.

7 Click the More button to the right of User Default Module.

The Available modules dialog box appears.

8 In Select a module, select the new default connector.

9 Click OK.

The Available modules dialog box closes.

10 Click OK.

The Options dialog closes.

9 END :


To change the default emulator module

1 On the Tools menu, select Options.

2 Click File Locations.

3 In Directory Types, select Emulators.

Two options appear to the right of the Directory Types list.

4 Click the More button to the right of User Directory.

The Browse for Folder dialog box appears.

5 Use standard Windows navigation methods to select the directory where the new emulator file is stored.

6 Click OK.

The Browse for Folder dialog box closes.

7 Click the More button to the right of User Default Module.

The Available modules dialog box appears.

8 In Select a module, select the new default emulator.

9 Click OK.

The Available modules dialog box closes.

10 Click OK.

The Options dialog closes.

9 END :


To change the default file transfer module

1 On the Tools menu, select Options.

2 Click File Locations.

3 In Directory Types, select File Transfers.

Two options appear to the right of the Directory Types list.

4 Click the More button to the right of User Directory.

The Browse for Folder dialog box appears.

5 Use standard Windows navigation methods to select the directory where the new file transfer file is stored.

6 Click OK.

The Browse for Folder dialog box closes.

7 Click the More button to the right of User Default Module.

The Available modules dialog box appears.

8 In Select a module, select the new default file transfer.

9 Click OK.

The Available modules dialog box closes.

10 Click OK.

The Options dialog closes.

9 END :


Toolbar Editor

Tools > Customize > Toolbar

The Toolbar Editor gives you complete access to, and control over, all toolbars and toolbar buttons. Use it to:

  • Create, edit or remove custom toolbars

  • Create, edit or remove custom toolbar buttons

  • Reset the eight default toolbars to the default settings (buttons)

Toolbars

The Toolbar Editor allows you to edit the eight default toolbars or create and edit eight new toolbars. Almost any number of buttons can be placed on a toolbar - the only limit is practicality. The toolbars have a structure that is similar to toolbars in other Windows applications (for instance, Microsoft Word or Microsoft Excel).

Toolbar Buttons

The Toolbar Editor provides default buttons as well as custom buttons that can be placed on any toolbar. The default buttons are common buttons seen in Microsoft compatible applications. The built-incustom buttons are special buttons created especially for DCS by FutureSoft. These buttons can be added or removed from either standard or custom toolbars. However, they cannot be removed from the Toolbar Editor. Built-in custom buttons are always available.

You can also add your own add-in custom buttons that you have created with third-party programs. Add-in custom buttons must be *.ico files. These buttons can be added or removed from either standard or custom toolbars with the Toolbar Editor. In addition, they can also be removed from the Toolbar Editor to completely remove access to the buttons.

The add-in custom button files are stored in the DCSeries folder. If add-in custom buttons are added to a toolbar and then the corresponding *.ico files are removed, DCS creates numbered buttons to replace the removed buttons. If the deleted *.ico files are replaced, the temporary buttons are automatically replaced with the correct button.

*.ico files are created in two sizes: 16X16 and 32X32 pixels. This accommodates both small and large button sizes. The default button size in DCS is "small" or 16X16 pixels. However, large buttons can be displayed by selecting Large Buttons in the Toolbars dialog box (View > Toolbars). The 32X32 pixels *.ico file is then used for the button display. If you choose to use add-in custom buttons, and, if you wish to accommodate the use of small and large buttons, two files must be supplied. If only one *.ico file is available, the button icon may appear irregular in one size.

See Also

Toolbar Editor

  • Customize dialog: Toolbar tab (Toolbar Editor)

  • Steps to access the Toolbar Editor

  • Steps to add custom add-in buttons to the Toolbar Editor

  • Steps to delete custom add-in buttons from the Toolbar Editor

Toolbar Tasks

  • Steps to create a new toolbar

  • Steps to edit a toolbar

  • Steps to delete a toolbar

  • Steps to hide toolbar

  • Steps to show a toolbar

  • Steps to reset toolbar to default settings

  • Steps to insert a toolbar into the toolbar area

  • Steps to separate a toolbar from the toolbar area

Toolbar Button Tasks

  • Steps to add a default button to a toolbar

  • Steps to add a custom button to a toolbar

  • Steps to add or remove space between toolbar buttons

  • Steps to assign an application to a toolbar button

  • Steps to assign a string to a toolbar button

  • Steps to assign a menu selection to a toolbar button

  • Steps to assign a script to a toolbar button

9 END :


Custom Button Editor

Custom button > [right click] > Properties

The Custom Button Editor allows you to change the properties of a built-in or add-in custom button. A custom button is one that you created through the Toolbar Editor and placed on either a standard or a custom toolbar.

The Custom Button Editor interface is the Properties dialog box displayed by right clicking on the custom button and then choosing Button Properties on the pop-up menu.

Note

This editor allows you to only edit a custom button. Standard buttons cannot be edited with this method.

See Also

Custom Button Editor

  • Properties dialog box

  • Steps to access the Custom Button Editor

Tasks

  • Steps to view the properties of a custom button

  • Steps to change the menu selection assigned to a custom button

  • Steps to change the script assigned to a custom button

  • Steps to change the string assigned to a custom button

  • Steps to change the application assigned to a custom button

9 END :


Customize Dialog: Toolbar Tab

Tools > Customize > Toolbar

The Customize dialog appears when you select Customize on the Tools menu. The Toolbar tab is the Toolbar Editor interface. This tab provides all the tools needed to create, change or delete toolbars and .

The table below lists all dialog tab elements with a description of each.

Use this element

in this manner . . .

Default group

Category

Select one toolbar category to display all available buttons in the category.

The buttons displayed in the Buttons sub-group reflect related functions. For example, the File category contains all those functions that act on files.

Note

Many of these buttons are used on the standard toolbars. Be careful that you do not create confusion in re-using or copying these buttons.

Buttons sub-group

Displays all available buttons in the selected category.

Description

Provides a short description of the selected button.

Note

This is a read-only area. You cannot make changes to the description.

Custom group

Category

Select one toolbar category to display all available buttons in the custom category.

Buttons sub-group

Displays all available buttons in the selected category.

Click to remove the selected add-in custom button.

A confirmation message appears asking you to verify the deletion request.

Note

  • Default and built-in custom buttons cannot be removed. Only custom add-in buttons can be removed.

  • If you choose to delete a custom add-in button, the button will be removed from all locations.

Click to display the Futuresoft\DCSeries folder.

Use standard Windows navigation techniques to move to the folder where the *.ico custom add-in button files are located.

Select a menu

Select a menu function to assign to the button.

Tooltips

Enter a short name to display when the mouse cursor is moved over the button.

9 END :


Toolbars Dialog Box

Toolbars Dialog

View > Toolbar
The Toolbar dialog box is used to begin work with any of the toolbars, standard or custom. The table below lists each field, option, or button in this dialog with a description of each.
Use this element | in this manner . . .
Toolbar [scroll list] | Lists all available standard, default and custom toolbars. Toolbars pre-ceeded with a checkmark indicate those that are currently displayed. Select (checkmark) or clear toolbars to be shown or hidden. Default: Standard toolbar is selected.
Large Buttons | Select to display toolbar buttons that are approximately twice the default size. Clear to display toolbar buttons in the default size. Default: Cleared
Show Tooltips | Select to display short descriptions when the mouse cursor is moved over a toolbar button. Clear to hide short button descriptions. Default: Selected
-----------------------------------------------------------------------------------------------------------
 | Click to accept the selections and to close the dialog.
 | Click to discard changes and to close the dialog box.
 | Click to display the New Toolbar dialog.
 | Click to return the default settings (buttons) to the highlighted toolbar.
 | Click to display the Toolbar tab in the Customize dialog.
 | Click to display the Online Reference.
9 END :


New Toolbar Dialog Box

New Toolbar Dialog

View > Toolbar > New
The New Toolbar dialog box is used to create a new, custom toolbar to which custom or standard buttons can be added. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Toolbar name | Enter a character string to represent the custom toolbar. Default: Blank Note This name appears in the Toolbars dialog.
-----------------------------------------------------------------------------------------------------------
 | Click to accept the string keyed into Toolbar name and to close the dialog box.
 | Click to discard changes and to close the dialog box.
9 END :


To access the Toolbar Editor

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Customize dialog, select the Toolbar tab.

9 END :


To access the Custom Button Editor

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains a custom button.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to a custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Properties dialog box appears,

9 END :


To add a custom add-in button to the Toolbar Editor

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Customize dialog, click Toolbar.

The Toolbar tab appears.

3 In the Custom group, click Add Button.

The Open dialog box appears and displays all *.ico files in the Futuresoft\DCSeries folder.

4 Select the desired *.ico file and click Open.

The new button appears in the Buttons sub-group.

The new button is now available for use through the Toolbar Editor. To set up button assignments at a later time, click Cancel to close the dialog.

9 END :


To add a custom button to a toolbar

1 On the Tools menu, select Customize.

The Customize dialog box appears.

2 Click Toolbar.

The Toolbar tab appears.

3 In the Buttons sub-group, select a button.

4 In Category, select the button assignment type.

The text boxes in the Custom group change to correspond to the selected category.

5 Complete the text boxes in the Custom group to assign a menu, script or file to the selected button.

6 Click and drag the custom button from the Buttons sub-group to the desired toolbar.

7 Click OK.

The Customize dialog box closes.

Note

You can not drag a button from one toolbar to another. When a toolbar button is dragged outside the original toolbar area, it is deleted.

See Also

  • Steps to assign a menu selection to a toolbar button.

  • Steps to assign a string to a toolbar button.

  • Steps to assign a script to a toolbar button.

  • Steps to assign an executable file to a toolbar button.

9 END :


To add a default button to a toolbar

1 On the Tools menu, select Customize.

The Customize dialog box appears.

2 Click Toolbar.

The Toolbar tab appears.

3 In the Default group, select a (toolbar) category.

The buttons shown in the Buttons sub-group change to correspond to the selected category.

4 In the Buttons sub-group, click and drag a button to the desired toolbar.

5 Click OK.

The Customize dialog box closes.

Note

You can not drag a button from one toolbar to another. When a toolbar button is dragged outside the original toolbar area, it is deleted.

See Also

  • Steps to assign a menu selection to a toolbar button.

  • Steps to assign a string to a toolbar button.

  • Steps to assign a script to a toolbar button.

  • Steps to assign an executable file to a toolbar button.

9 END :


To add/remove a space between toolbar buttons

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 In the Default group, select File in the Category list.

5 To add a space, click and drag the [image] button from the Buttons group onto the toolbar.

6 To remove a space, click and drag the space from the toolbar and release the mouse button.

7 Click OK.

The Customize dialog box closes.

9 END :


To assign an application to a toolbar button

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 In the Custom group, select Launch in the Category list.

5 In the Buttons group, select a button to represent the application.

6 In the Directory box, enter, or browse to, the folder where the application executable is stored and select a file name.

The default file type is .exe

7 In the Select a File combo box, the file name is automatically supplied if you selected a file in step 6. Otherwise, enter the application file name.

The file name must include the file extension of .exe

8 In Tooltips, the file name is automatically supplied if you selected a file in step 6. Otherwise, enter a short description of the new button.

9 Click and drag the selected button over the toolbar and then release the mouse button.

The new button is inserted onto the toolbar.

10 Click OK.

The Customize dialog box closes.

9 END :


To assign a menu selection to a toolbar button

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 In the Select a menu box, choose a menu item.

The tooltip for the selected menu item appears in the Tooltips box.

A description of the menu item action appears in the Description group to the left of Select a menu.

5 In the Custom group, verify that Menu is highlighted in the Category list.

6 From the Buttons group, select, drag and drop a button to the toolbar.

7 Click OK.

The Customize dialog box closes.

9 END :


To assign a script to a toolbar button

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 In the Custom group, select Script in the Category list.

5 In the Buttons group, select a button to represent the script.

6 In the Directory box, enter, or browse to, the folder where the compiled script is stored.

The default folder is futuresoft/dcseries/scripts

7 In the Select a Script combo box, enter the file name of a compiled script. Or, select a script name from the drop down list.

The file name must include the file extension and should have the following format: scriptname.dct

If the script is to begin execution at a particular label in the script, use the following format: scriptname.dct*label

where no spaces are included in the filename string.

8 In Tooltips, enter a short description of the new button.

9 Click and drag the selected button over the toolbar and then release the mouse button.

The new button is inserted onto the toolbar.

10 Click OK.

The Customize dialog box closes.

9 END :


To assign a string to a toolbar button

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 In the Custom group, select String in the Category list.

5 In the String Type group, select one of the following:

  • Normal – sends alphanumberic characters

  • Meta Keys – performs the function of a terminal keyboard.

  • Hex – sends an escape sequence or other non-display characters in the hexadecimal representation of the characters.

Non-display characters might be the first thirty characters of the ASCII character set. or the upper ANSI character set.

6 In Type A String, enter a sequence or string of characters.

If you selected Normal in String Type, enter any string of alphanumeric characters as you would enter the characters in the session window.

If you selected Include Meta Key in String Type, enter any combination of alphanumeric characters and meta-keys. A meta-key is a textual representation of a terminal’s keyboard function. For more information, see Meta Keys.

If you selected Hex in String Type, enter the hexadecimal representation of each character that the toolbar button option should send to the remote system. For a list of characters and their hexadecimal representation, see the ASCII character set and the ANSI character set. For example, if you want to send a user name (for instance, WashG ) followed by a carriage return, you would enter the following:

 W a s h G CarriageReturn

 57 61 73 68 47 0d

Each character must be represented by two hexadecimal digits (for instance, a carriage return is represented by a zero and the letter d, not just the letter d). You may separate each hexadecimal pair with a space or a comma.

7 In Tooltips, enter a short description of the new button.

8 Click and drag the selected button over the toolbar and then release the mouse button.

The new button is inserted onto the toolbar.

9 Click OK.

The Customize dialog box closes.

9 END :


To change the application assigned to a custom button

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains the custom button to edit.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to the custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Properties dialog box appears. The current button properties are shown.

6 In the Properties dialog box, select Launch.

7 In the Directory box, enter, or browse to, the folder where the application executable is stored and select a file name.

The default file type is .exe

8 In the Select a File combo box, the file name is automatically supplied if you selected a file in step 6. Otherwise, enter the application file name.

The file name must include the file extension of .exe

9 In Tooltips, the file name is automatically supplied when you selected the new application file in step 6. If necessary, enter a different short descriptive name.

The name entered in Tooltips is shown when the mouse cursor is held over the button.

10 Click OK.

9 END :


To change the menu function assigned to a custom button

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains the custom button to edit.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to the custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Properties dialog box appears. The current button properties are shown.

6 In the Properties dialog box, select Menu.

7 In the Select a Menu list, choose a new menu selection to assign to the button.

8 In Tooltips, enter a short descriptive name.

The name entered in Tooltips is shown when the mouse cursor is held over the button.

9 Click OK.

9 END :


To change the script assigned to a custom button

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains the custom button to edit.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to the custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Properties dialog box appears. The current button properties are shown.

6 In the Properties dialog box, select Script.

7 In the Directory box, enter, or browse to, the folder where the compiled script is stored.

The default folder is futuresoft/dcseries/scripts

8 In the Select a Script combo box, enter the file name of a compiled script. Or, select a script name from the drop down list.

The file name must include the file extension and should have the following format: scriptname.dct

If the script is to begin execution at a particular label in the script, use the following format: scriptname.dct*label

where no spaces are included in the filename string.

9 In Tooltips, enter a short descriptive name.

The name entered in Tooltips is shown when the mouse cursor is held over the button.

10 Click OK.

9 END :


To create a toolbar

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Click New.

The New Toolbar dialog box appears.

3 Enter the name of the new toolbar.

4 Click OK.

The Customize dialog box appears.

5. From the Toolbar tab, drag buttons to the new toolbar.

To remove the button, simply drag it off the toolbar.

6 Click OK.

The new toolbar is ready to use.

9 END :


To delete a custom add-in button from the Toolbar Editor

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Customize dialog, click Toolbar.

The Toolbar tab appears.

3 In the Custom group, select the add-in button to delete.

4 Click Delete Button.

A confirmation message appears asking you to verify the removal of the custom add-in button.

5 Click Yes.

The custom add-in button is removed from the Buttons sub-group and all toolbars.

6 Click Cancel to close the dialog.

9 END :


To delete a toolbar

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Select the name of a toolbar.

3 Click Delete.

A Confirmation dialog box appears.

4 Click OK.

The Toolbars dialog box reappears.

5 Click OK.

6 To remove more toolbars, repeat steps 2 through 4.

Note

You cannot remove the default toolbars: Standard, File, Edit, Session, Transfer, Trace, Script, and OLE.

9 END :


To edit a toolbar

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Check the name of the toolbar to edit.

3 Click Customize.

The Customize dialog box appears with the Toolbar tab displayed.

4 To add buttons, drag buttons from the Toolbar tab to the new toolbar.

To remove buttons, simply drag them off the toolbar and "drop".

5 Click OK.

The Customize dialog box closes.

9 END :


To insert a toolbar into the toolbar area

1 With the left mouse button, click anywhere in a toolbar that surrounds the buttons and hold the button down.

2 Drag the toolbar to the area under the menus or into a toolbar area.

3 Release the mouse button.

The toolbar now rests in the toolbar area.

9 END :


To reset a default toolbar to its default settings

1 On the View menu, select Toolbar.

The Toolbars dialog box appears.

2 Select the name of a default toolbar.

3 Click Reset.

A confirmation dialog box appears.

4 Click OK.

The Toolbars dialog box reappears.

5 To reset more default toolbars, repeat steps 2 through 4.

Note

The default toolbars are: Standard, File, Edit, Session, Transfer, Trace, Script, and OLE.

9 END :


To separate a toolbar from the toolbar area

1 With the left mouse button, click anywhere in a toolbar that surrounds the buttons and hold the button down.

2 Drag the toolbar to a new location.

3 Release the mouse button.

The toolbar will have its own title bar.

9 END :


To view the properties of a custom button

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains the custom button to edit.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to the custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Toolbar Button Properties menu appears. The current button properties are shown.

9 END :


Menu Editor

The Menu Editor gives you complete access to, and control over, all DCS menus and menu selections. Use it to modify the existing menu structure or to create custom menus and menu selections.

Some of the things you can do with the Menu Editor include:

  • rearrange the order of menu selections

  • add cascading submenus

  • add separators to group selections on a menu

Each menu item can be defined or redefined to execute a specific menu command, to send a string, to launch a script, or to launch another application.

See Also

Menu Editor

  • Customize dialog: Menus tab

  • Steps to display the Menu Editor

Tasks

  • Steps to add a new menu

  • Steps to add a new menu selection

  • Steps to add a menu separator

  • Steps to change the position of a menu

  • Steps to change the position of a menu selection

  • Steps to delete a menu

  • Steps to delete a menu selection

  • Steps to edit a menu selection

  • Steps to rename a menu

  • Steps to rename a menu selection

  • Steps to reset all menus

9 END :


Customize Dialog: Menus Tab

Tools > Customize > Menus

The Customize dialog appears when you select Customize on the Tools menu. The Menu tab is the Menu Editor interface. This tab provides all the tools needed to create, change or delete menus and menu selections.

The table below lists all dialog tab elements with a description of each.

Use this element

in this manner . . .

Window group

  • Main

  • Memo

  • Script

  • Session

Select one window type.

The current menu names and menu selections set up for the window type appear in the Menu group.

Menu group

[menu hierarchy]

Displays the current hierarchy for the menus and menu selections in the selected window type.

A "+" in front of a menu name indicates that the menu selections are hidden or collapsed. Click on the "+" to display the next level in the menu structure.

A "-" in front of a menu name indicates that the menu selections are displayed. Click on the "+" to collapse or hide the menu selections.

An "&" appears before the corresponding accelerator key. For example, "&View" means that pressing Alt with the V key accesses the View menu selection.

Disable keyboard accelerators

Select to make all keyboard accelerators ineffective.

Clear to enable or turn on the keyboard accelerator function.

Default: Cleared

-----------------------------------------------------------------------------------------------------------

Click to display a submenu with three selections: Menu, Menu Item, Separator.

The Menu and Menu Item selections display the Menu and Menu Item dialog boxes, respectively. These dialog boxes are used to add new menus and menu items.

See Menu dialog box and Menu Item dialog box for more information.

Click to display either the Menu or the Menu Item dialog boxes.

The dialog box that is displayed depends on the highlighted item in the Menu group. These dialog boxes are used to edit existing menus or menu items.

See Menu dialog box and Menu Item dialog box for more information.

Click to delete the highlighted item in the Menu group

A confirmation message appears that you must respond to before continuing.

Click to display a sub-menu with four selections: Move Up, Move Down, Promote, Demote.

The sub-menu selections re-position the highlighted item in the Menu group in the menu hierarchy.

Click to reset the highlighted menu in the Menu group.

A confirmation message appears that you must respond to before continuing.

9 END :


To access the Menu Editor

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Customize dialog, select the Menus tab.

9 END :


To add a menu selection

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 In the Menu list, select a menu item where the new item is to appear.

The new menu item will be placed above the selected item.

4 Choose Add.

5. Select Menu Item.

The Menu Item dialog appears.

6 Assign a menu command, string, script or executable using the sub tabs at the bottom of the Menu Item dialog.

7 In the Caption box, enter the name of the new menu item and then click OK.

8 Click OK again to close the Customize dialog.

Note

If you are adding the first item to an empty menu, the Append to menu checkbox appears at the bottom of the dialog. If you uncheck this box you will add a new menu.

Tip

  • To designate keyboard accelerators, place an "&" in front of the character to be used with the Alt key that will activate the menu or command.

  • You can also directly edit the selected item by clicking a second time on the item, making the changes and then pressing Enter.

9 END :


To add a menu separator

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Select a menu item.

The separator will appear above the selected menu item.

4 Choose Add.

5. Select Separator.

The separator appears in the menu list.

Tip

  • To designate keyboard accelerators, place an "&" in front of the character to be used with the Alt key that will activate the menu or command.

  • You can also directly edit the selected item by clicking a second time on the item, making the changes and then pressing Enter.

9 END :


To add a new menu

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Choose Add.

4. Select Menu.

5 Enter the name of a new menu and then click OK

Tip

  • To designate keyboard accelerators, place an "&" in front of the character to be used with the Alt key that will activate the menu or command.

  • You can also directly edit the selected item by clicking a second time on the item, making the changes and then pressing Enter.

9 END :


To change the position of a menu in the menu hierarchy

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Choose a menu name from the menu hierarchy displayed in the Menu list.

Menus are the top-level of the menu hierarchy.

4 Click Position.

5 Use the following to make changes:

  • Move Up

Moves the menu up in the menu hierarchy.

  • Move Down

Moves the menu down in the menu hierarchy.

9 END :


To change the position of a selection on a menu

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Choose a menu name from the menu hierarchy displayed in the Menu list.

Menu are the top most level of the menu hierarchy.

4 Click Position.

5 Use the following to make changes:

  • Move Up

Moves the item up within the menu.

  • Move Down

Moves the item down within the menu.

  • Promote

Moves the item up to the menu name level.

9 END :


To delete a menu

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Window group, select the window type that displays the menu.

3 In the Menu list, select the menu name to delete.

4 Click Delete.

A confirmation box appears.

5 Click Yes.

The Customize dialog reflects the change in the Menu list.

6 Click OK.

The Customize dialog closes.

9 END :


To delete a menu selection (item)

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Click the Menus tab.

3 In the Window group, select the window type that displays the menu.

4 In the Menu list, choose the menu selection to delete.

5 Click Delete.

A confirmation box appears.

6 Click Yes.

The Customize dialog reflects the change in the Menu list.

7 Click OK.

The Customize dialog closes.

9 END :


To edit a menu selection

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 In the Window group, select the window type that displays the menu to edit.

3 In the Menu list, select a menu item where the new item is to appear.

The new menu item will be placed above the selected item.

4 Choose Add.

5. Select Menu Item.

The Menu Item dialog appears.

6 Assign a menu command, string, script or executable using the sub tabs at the bottom of the Menu Item dialog.

7 In the Caption box, enter the name of the new menu item and then click OK.

8 Click OK again to close the Customize dialog.

Note

If you are adding the first item to an empty menu, the Append to menu checkbox appears at the bottom of the dialog. If you uncheck this box you will add a new menu.

Tip

  • To designate keyboard accelerators, place an "&" in front of the character to be used with the Alt key that will activate the menu or command.

  • You can also directly edit the selected item by clicking a second time on the item, making the changes and then pressing Enter.

9 END :


To rename a menu

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Choose a menu name displayed in the Menu list.

Menus are the top-most level of the menu hierarchy.

4 Choose Edit.

5 Enter the new menu name and then click OK.

6 Click OK.

Tip

  • To designate keyboard accelerators, place an "&" in front of the character to be used with the Alt key that will activate the menu or command.

  • You can also directly edit the selected item by clicking a second time on the item, making the changes and then pressing Enter.

9 END :


To rename a menu selection (item)

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Select a window type.

3 Choose a menu selection from the menu hierarchy displayed in the Menu list.

Menu selections are shown below menu names.

4 Choose Edit.

5 Enter the new selection name and then click OK.

6 Click OK.

9 END :


To reset all menus to the default settings

1 On the Tools menu, select Customize.

The Customize menu appears.

2 Select a window type.

3 Click Reset.

4 Click Yes.

9 END :


Customizing at the Session Level

Session-level customization affects only a specific session. Each session can be tailored to fit the specific needs of the remote host application.

At the session level, you can customize such things as:

  • connector, emulation and file transfer protocol selections

  • key mapping

  • text attributes

  • display attributes

  • mouse actions

The tools that allow for session level customization are:

  • Session Properties dialog

Connector options

Emulation options

File Transfer Protocol options

Display options

General options

Mouse options

Trace options

  • Map File Editors

Attributes Map

Character Translation Map

Hotspots Map

Keyboard Map

Note

Changes to menus or toolbars cannot be applied to a specific session, script, or memo.

9 END :


Customizing General Session Options

Each session has several general options that allow you to tailor certain individual session properties to fit your application needs. These options are found on the General tab in the Session Properties dialog and relate to such items as various session messages that can be enabled/disabled, automatically connecting to the specified host when the session is opened, automatically starting an identified script file, and more.

When you change any option on the General tab, the changes affect only the individual session. And, you must save the session file (File > Save) to make your changes permanent. Otherwise, the changes are effective only until you close the session. Any changes that are not saved at that point are discarded.

See Also

Related

  • Session Properties General tab

Tasks

  • Steps to enable/disable Auto connect on session open

  • Steps to enable/disable automatic save of session window position

  • Steps to enable/disable session messages

  • Steps to create a session window caption

  • Steps to set up an automatic start of a compiled script when a session is opened

9 END :


Attributes Map Editor

Session > Properties > Emulations > Attributes

The Attributes sub-tab on the Emulations tab in the Session Properties dialog allows you to differentiate between the character and field display attributes defined for a terminal. The character attributes defined for a terminal could be, among other attributes, bold, dim, reverse, and underline. Some terminals might have fields that can only contain numeric data or have fields in which the remote system prevents you from changing the data in a field.

With the Attributes tab, you can make the remote system’s character or field attributes distinguishable in a session, when they might not be. You can map a host attribute for a character or field to another attribute, such as a background color, a foreground color, and a character attribute (such as bold, underline, blink, reverse, dim, strike-thru, and invisible).

Changing attributes for characters in a session is not required. A default character attributes map is included for each emulation. However, the Attributes Map Editor makes it possible to configure your workspace to your specific needs.

See Also

Attributes Map Editor

  • Attributes dialog

  • Steps to access the Attributes Map Editor

Tasks

  • Steps to change an attribute

  • Steps to select an attribute file

9 END :


Attributes Dialog Box

Attributes Dialog

Session > Properties > Emulations > Attributes > Edit

The Attributes dialog appears when you click the Edit button on the Attributes sub-tab of the Emulations tab in the Session Properties dialog. This dialog is the Attributes Map Editor interface.

The Attributes dialog provides several options for associating a host attribute with a terminal attribute. Several emulations also allow the association of foreground and background colors with a display attribute.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Attributes group

Host

Select the host display attribute to associate with a local terminal display attribute.

Local

Select the local terminal display attribute to associate with a host display attribute.

Colors group

Foreground

[list box]

Refers to the displayed text characters.

Select a new color from the drop down list.

Click to display the Windows Color dialog. Create a custom color with this dialog before returning to the Attributes dialog.

Background

[list box]

Refers to the area behind displayed text characters.

Select a new color from the drop down list.

Click to display the Windows Color dialog. Create a custom color with this dialog before returning to the Attributes dialog.

Preview

Provides an example of the selected attributes and colors.

-----------------------------------------------------------------------------------------------------------

Click to accept the selections.

Click to discard changes and to close the dialog.

Click to save the attribute selections in a new file.

Displays the Windows Save As dialog box.

Click to display the Online Reference.

9 END :


To access the Attributes Map Editor

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Attributes tab.

5 Click Edit.

The Attributes dialog appears.

9 END :


To select an attribute map file

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the Emulations tab.

4 Select the name of an emulation in the horizontal list box, if necessary.

5 Click the Attributes sub-tab.

6 Do one of the following:

a Select Local File and then click the arrow button in the list box to display a list of the available attribute files in the Map directory. An attribute file has a .acm extension.

Choose a file from the drop down list and then click OK.

To find attribute files that are not in the Map directory, click the Browse button to search for a .acm file.

To return the emulation to the default attributes, select [Default] in the list.

b Select Internet File and then enter the complete URL for the attribute file. You must start the URL address with "http://" and you must include the .acm file extension.

8 Click OK.

9 END :


To change an attribute

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Attributes tab.

Note

  • Some emulations because of settings on another tab (for the example, the VT Series emulation has Allow ANSI Colors on the General tab), and other emulations by their nature (for instance, ANSI-BBS) may prevent some or all of the possible configurations on the Attributes tab.

  • If you have previously defined the attributes for an emulation and saved your definition by clicking Save As on this tab, you may select an attributes definition by clicking the down arrow in Map File and selecting the name of an attributes file (a file with an ACM extension). Since the attributes for one emulation may not be appropriate for another emulation, DynaComm will prevent you from applying the attributes defined for one emulation to another emulation.

5 Select an item in Host. Host contains a list of the attributes and fields which the remote system can display in the session, and which the emulation supports. As you select items in Local or colors in Colors, the text in Preview will change to reflect your changes.

6 To change the color of a character, select a color in Foreground. Foreground contains the sixteen basic colors of Windows and any colors you have defined through the Custom buttons. To define another color, and if the display of your computer system allows more than 16 colors, select the Custom button next to Foreground. DynaComm will then display the Color dialog, which Windows presents when you select the Display control panel and define a color on the Appearance tab. After selecting or creating a color in the Color dialog, click OK to select and insert the color in Foreground. For more information about the Color dialog, see the Windows documentation.

7 To change the color background of a character, select a color in Background. Background contains the same colors that Foreground contains. You can add colors to Background and select colors in Background as you would in Foreground.

8 To change another host attribute, repeat steps five through eight.

9 To save the attribute mappings you have made for the selected emulation, click Save As, and give the mapping a file name. If you plan to create a session file with this color mapping, you must save the mapping to a file or the mapping will be lost.

Note

To return the attributes for an emulation to their default, select [Default] in Map File.

9 END :


Character Translation

Character translation refers to the process whereby computers using different languages represent the same character with different binary codes. It also involves the situation where computers of different classes (mainframes vs. PCs) represent the same character differently.

The character translation feature translates:

  • the binary code of a character from a remote system to the proper binary code of the character in Windows in order to display the correct character in a session window.

  • a character in a session window or typed characters to the correct binary code for the character in a remote system’s character set.

For instance, an IBM mainframe groups the characters for a language on code pages. Each of the code pages has its basis in the EBCDIC character set. Each code page contains the EBCDIC character set and special characters for a national language. Each of the characters in the code page is represented by a binary code.

In Windows, the same concept of a code page is used. Windows 95 might use an ANSI or OEM character set, depending on the language version of Windows. Windows NT uses Unicode. An application in Windows 95 or NT can base its code page on an ANSI character set, an OEM character set, or Unicode. Each code page might represent the same character with a different binary code.

The Translation sub-tab on the Emulations tab (Session Properties dialog) allows you to choose a different character translation map file from the default map file, which is included with the emulation. Custom character translation map files are created with the Character Translation Map Editor. This editor is accessed with the Edit button on the Translation sub-tab.

See Also

  • Character Translation Map Editor

  • Character Map Editor dialog

Tasks

  • Steps to access the Character Translation Map Editor

  • Steps to select a character translation map for a session

  • Steps to change the display of a character copied from a session window into a Windows application

  • Steps to change the display of a Host character in a session window

9 END :


Character Translation Map Editor

Session > Properties > Emulations > Translation > Edit

The Character Translation Map Editor allows you to create or edit customized character translation maps. By creating your own character translation map, you can determine how individual characters are displayed in a session, as well as how characters are copied from a session to the Windows clipboard. The Character Translation Map Editor interface is the Character Map Editor dialog. This dialog is accessed by clicking on the Edit button on the Translation sub-tab on the Emulations tab in the Session Properties dialog.

Character Translation Map File

The character translation map is a file with the .trf extension. It contains three types of character sets which are used to convert (translate) characters:

  • Host

  • Display

  • Windows

When editing a character translation map, you can either create a new .trf file or replace an existing one. To create a new map, use the [Default] map as a base, make changes, and save the map using a different name. The Character Map Editor cannot save changes to the [Default] character translation map. Any changes made to the [Default] map must be saved to a new map file.

Host Character Sets

The number of Host character sets available varies by emulation. DCS provides three standard Display character sets for each emulation:

  • FSANSI

  • FSCOMP1

  • FSCOMP2

Only FSCOMP1 is available as a Windows character set (FSCYRILLIC is available for the Tandem 6530 emulation).

When translated characters are sent from the host to your local machine,

  • the Host character sets list the characters supported by the remote system, and

  • the Display character sets identify the corresponding characters that will be displayed in Windows.

When translated characters are sent from the Display to the Windows clipboard,

  • the Display character sets list the characters used by the DCS, and

  • the Windows character sets identify the corresponding characters that will be used when the character is copied to the Windows clipboard.

See Also

Character Map Editor

  • Character Map Editor dialog

  • Steps to access the Character Translation Map Editor

Tasks

  • Steps to select a character translation map file

  • Steps to change the display of a host character in a Windows display

  • Steps to change the display of a character copied from a Windows display to a Windows application


Character Translation Map Editor Dialog

Session > Properties > Emulations > Translation > Edit

When you access the Character Translation Map Editor, the Character Map Editor dialog appears. This dialog contains two sub-tabs that allow for editing of display characters:

  • Host to Display

  • Display to Windows

Below the tabs, the following buttons are available:

Click to accept the selections.

Click to discard changes and to close the dialog.

Click to save the attribute selections in a new file.

Displays the Windows Save As dialog box.

Click to display the Online Reference.

9 END :


Character Map Editor: Display to Windows Tab

Session > Properties > Emulations > Translation > Edit
The Character Map Editor dialog is the interface used for associating a Host character with a Display character and/or associating a Display character with a Windows character. It contains two tabs: Host to Display and Display to Windows. Each tab has several elements that either allow you to make changes or view the character. The table below lists each element on the Display to Windows tab with a short description of each.
Use this element | in this manner . . .
Display to Windows tab
Display [character set name] [character list] | (You are specifying the display character to be modified.) Select a character set from the drop down list. Select a display character from the scroll list below the character set name box.
Windows [character set name] [character list] | (You are specifying how you want the display character to appear when it is copied from the display into a Windows application.) Select a character set from the drop down list. Select a Windows character from the scroll list below the character set name box.
Description | Displays a brief description of what your selections are specifying. The description changes as you make new associations.
Preview | Shows how the selected Display character will appear if copied to a Windows application. The window changes as you make new selections.
 | Displays all characters in the currently selected character set in a text editor file.
9 END :


Character Map Editor: Host to Display Tab

Session > Properties > Emulations > Translation > Edit
The Character Map Editor dialog is the interface used for associating a Host character with a Display character and/or associating a Display character with a Windows character. It contains two tabs: Host to Display and Display to Windows. Each tab has several elements that allow you to make changes or view the character. The table below lists each element on the Host to Display tab with a short description of each.
Use this element | in this manner . . .
Host to Display tab
Host [character set name] [character list] | (You are specifying the host character to be modified.) Select a character set from the drop down list. Select a host character from the scroll list below the character set name box.
Display [character set name] [character list] | (You are specifying how you want the host character to appear when it is displayed on the terminal screen.) Select a character set from the drop down list. Select a display character from the scroll list below the character set name box.
Description | Displays a brief description of what your selections are specifying. The description changes as you make new associations.
Preview | Shows how the selected host character displays with its current map. The window changes as you make new selections.
9 END :


To access the Character Translation Map Editor

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Translation sub-tab.

5 Click the down arrow in Character Translation Map to display a list of the available character translation files. A character translation file has a TRF extension.

Note

The Character Translation Map list includes all of the character translation maps for all emulations. If you select a character translation map for an emulation other than the active emulation, you will receive an error message. The [Default] character translation map can be used by all emulations.

4. Click Edit.

The Character Map Editor dialog appears. This dialog contains two tabs:

  • Host to Display - defines how characters sent from the host are displayed by DynaComm.

  • Display to Windows - defines how characters copied from a DynaComm session window will be stored in the Windows clipboard.

9 END :


To select a character translation map file for a session

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Translation sub-tab.

5 Do one of the following:

a Select Local File and then click the arrow button in the list box to display a list of the available character translation files in the Map directory. A character translation file has a .trf extension.

Choose a file from the drop down list and then click OK.

To find character translation files that are not in the Map directory, click the Browse button to search for a .trf file.

To return the emulation to the default character translation, select [Default] in the list.

b Select Internet File and then enter the complete URL for the character translation map file. You must start the URL address with "http://" and you must include the .trf file extension.

6 Click OK.

9 END :


To change the display of a Host character in a session window

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Translation sub-tab.

5 Click Edit.

The Character Map Editor dialog appears..

6 Select the Host to Display sub-tab.

7 Select a character from the Host list.

The characters in the selected Host character set will be listed below the drop-down list.

8 Scroll through the characters list and select the Host character to edit. The corresponding Display character will also be highlighted.

When you select the Host character, a description of the currently selected character is displayed, and the symbol for that character appears in the Preview window.

9 Select a character set from the Display drop-down list box. The characters in the selected Display character set will be listed below the drop-down list box.

10 Scroll through the characters list and select the new Display character.

You can view the current Host Character Set to Display Character Set table by clicking Overview. Use this table to help locate the new Display character.

The character’s description and the symbol in the Preview window will change as the new Display character is selected.

Example:

In the Host characters list, character 0x03 is converted by DynaComm and displayed in Windows as character 0x6C. The Preview window shows how this character is displayed. The hexadecimal value represents the location of the character in the character set. To change the character DynaComm displays when it receives a 0x03 character from the host, select the new character from the Display characters list. Use the Overview button to view all of the characters in the currently selected character set. The Preview window will change to show how the new character will display. The character’s description will also change.

11 Click Save As.

12 Enter the name of the new character translation map or select an existing filename if you are editing an existing character translation map.

Note

You can use the Browse function to save your character translation map file in another location. However, if the file is saved in a location other than the default maps directory, DynaComm will not include it in the Character Translation Map list. To ensure that DynaComm can find your customized character translation map, save it in the default location.

13 Click Save.

The file appears in the Character Translation Map list on the Translation sub-tab. This file will now appear in the Character Translation Map list for all emulations.

14 To apply the new character translation map in the current session, click OK in the Character Map Editor dialog.

If you do not want to use the new character translation map in the current session, click Cancel. The session will continue to use the previously selected character translation map.

15 Click OK on the Session Properties dialog to apply all changes and return to the session window.

9 END :


To change the display of a character copied from a session window into a Windows application

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Translation sub-tab.

5 Click Edit.

The Character Map Editor dialog appears.

6 Select the Display to Windows sub-tab.

7 Select a character from the Display drop-down list box.

The characters in the selected Display character set will be listed below the drop-down list.

Note

Only one character set is available for translation in this manner. If you need to perform a translation for a different character set, contact FutureSoft.

8 Scroll through the characters list and select the Host character to be edited. The corresponding Display character will also be highlighted.

When you select the Host character, a description of the currently selected character is displayed, and the symbol for that character appears in the Preview window.

9 Select a character set from the Windows drop-down list box. The characters in the selected Windows character set will be listed below the drop-down list box.

Note

Only one character set is available for translation in this manner. If you need to perform a translation for a different character set, contact FutureSoft.

10 Scroll through the Windows characters list and select the new Windows character.

You can view the current Display Character Set to Windows Character Set table by clicking Overview. Use this table to help locate the new Windows character.

The character’s description and the symbol in the Preview window will change as the new Display character is selected.

11 Click Save As.

12 Enter the name of the new character translation map or select an existing filename if you are editing an existing character translation map.

Note

You can use the Browse function to save your character translation map file in another location. However, if the file is saved in a location other than the default maps directory, DynaComm will not include it in the Character Translation Map list. To ensure that DynaComm can find your customized character translation map, save it in the default location.

13 Click Save.

The file appears in the Character Translation Map list on the Translation sub-tab. This file will now appear in the Character Translation Map list for all emulations.

14 To apply the new character translation map in the current session, click OK in the Character Map Editor dialog.

If you do not want to use the new character translation map in the current session, click Cancel. The session will continue to use the previously selected character translation map.

15 Click OK on the Session Properties dialog to apply all changes and return to the session window.

9 END :


Working with Session Displays

DCS offers a variety of methods to customize your session window displays. You can either:

  • change the components of the window

Window components include items such as the cursor, scroll bars, graphical function buttons, status bars, and more. Turning on or off the display may help you to view more data at one time. This, however, depends on the settings for the second area, display of the window contents.

  • change the display of the window contents

Modifying the window contents by changing fonts or character attributes can make viewing and scanning data much easier and less time consuming.

See Also

Related

  • Customizing Session Window Components

  • Customizing Session Window Contents

9 END :


Customizing Session Window Components

Various components that make up or are used in the session window can be turned on or off, set to appear only when needed, or modified in shape or attribute. Changing certain components will result in a larger viewing area while changing others results in a larger or smaller amount of data displayed in the viewing area.

In particular, you can:

  • Turn on/off the display of the scroll bars

  • Set the automatic display of scroll bars

  • Turn on/off the display of the status lines

  • Turn on/off the display of the terminal border

  • Set the number of display lines

  • Turn on/off the display of special function buttons

  • Turn on/off the display of the cursor

  • Change the cursor characteristics

The items above are changed on the Displays tab in the Session Properties dialog.

See Also

Related

  • Session Properties Displays tab

Tasks

  • Steps to turn on/off the display of status lines

  • Steps to turn on/off the display of scroll bars

  • Steps to set the automatic display of scroll bars

  • Steps to set the number of display characters or lines

  • Steps to turn on/off the display of a terminal border

  • Steps to turn on/off the display of special function buttons

  • Steps to turn on/off the cursor display

  • Steps to change cursor characteristics

9 END :


Customizing Session Window Contents

Window contents can be modified in three ways:

  • Fonts

Screen text can be displayed in any non-proportional (fixed pitch) TrueType or bitmapped font installed in the Windows Fonts control panel. Or, you can choose the font provided by FutureSoft for the emulation. Font size can also be changed to a specific size or allowed to adjust to the window size.

Note

Line-drawn characters that are specific to certain emulations cannot be changed.

  • Colors

Many host applications transmit color data. DCS is designed to accurately represent the host color data by default. However, some DCS emulations allow you to specify exactly how the foreground and background colors of the local display screen appear within each session for a specific text attribute. When you make changes to the local display colors, these changes will override the host-transmitted color data. Use the Attributes Map Editor to make changes to display colors.

  • Text

Many host applications transmit text attribute data. DCS is designed to accurately represent this data by default. However, some DCS emulations allow you to specify exactly how the text attributes of the local display screen appear within each session. When you make changes to the local text attributes, these changes will override the host-transmitted attribute data.

See Also

Related

  • Attributes Map Editor

Tasks

  • Steps to change foreground and background display colors for a session window

  • Steps to change text display attributes for a session window

  • Steps to set the number of display characters or lines for a session window

  • Steps to select a standard font for a session window

  • Steps to change the display font for a session window

  • Steps to select a FutureSoft font for a session window

  • Steps to change display character size for a session window

  • Steps to set automatic sizing of display characters for a session window

9 END :


Session Properties Dialog: Displays Tab

Session > Properties > Displays
The various options on the Displays tab determine how a session window appears and how it displays the information from the remote system and your keyboard. Four sub-tabs are available:
 | Selections for customizing Status lines, scrollbars, terminal borders, session buttons, and hotspots. Tell me more
 | Selections for specifying and sizing display fonts. Tell me more
 | Selections for customizing cursor attributes. Tell me more
 | Selections for working with the History buffer. Tell me more
9 END :


To change the display font

1 Open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the Font sub-tab.

The current font parameters are listed.

5 In the Font group, select Specify font.

The Choose button becomes available.

6 Click Choose.

The Font dialog appears.

7 In the Font dialog box, select a font from the provided list.

8 Click OK.

9 In the Session Properties dialog, click OK.

10 On the File menu, select Save to retain the association of the new map file with the session.

Note

  • If you do not complete step 10, the new map file will be effective only during the current session.

  • Line-drawn characters that are specific to certain emulations cannot be changed.

9 END :


To change the cursor characteristics in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the Cursor sub-tab.

5 Choose one or all actions from the following, as needed:

  • In the Type group, select Block or Underline, as needed.

  • In the Blink group, select Blink or Steady, as needed.

  • Select Auto Scroll to Cursor, as needed.

6 Click OK.

9 END :


To change foreground and background display colors

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Attributes sub tab.

The current attributes map is listed.

5 Click Edit.

The Attributes dialog appears. The Colors group appears on the right.

6 In the Colors group, click Custom.

The Colors dialog appears.

7 Select a basic color or create a custom color.

8 Click OK.

9 Click Save As.

The Save As dialog appears.

10 Enter a new file name or select a file from the list.

11 Click Save.

If you selected an existing map file, a confirmation box appears.

12 Click Yes to replace the existing file with the new changes.

13 On the File menu, select Save to retain the association of the new map file with the session.

Note

  • If you do not complete step 12, the new map file will be effective only during the current session.

  • The ANSI-BBS emulation does not allow modification of color attributes.

  • The ADDS VP/60 emulation allows for color modification on an attribute by attribute basis.

  • The VTSeries requires that you uncheck Allow ANSI colors on the General tab before accessing the Attributes tab to modify colors.

Tip

The same map file can be associated with any number of sessions.

9 END :


To change text display attributes for a session

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Attributes sub tab.

The current attributes map is listed.

5 Click Edit.

The Attributes dialog appears.

6 In the Host list, select an attribute.

7 In the Local list, select or remove the attributes to be assigned by the local terminal.

8 Click Save As.

The Save As dialog appears.

9 Enter a new file name or select a file from the list.

10 Click Save.

If you selected an existing map file, a confirmation box appears.

11 Click Yes to replace the existing file with the new changes.

12 On the File menu, select Save to retain the association of the new map file with the session.

Note

If you do not complete step 12, the new map file will be effective only during the current session.

Tip

The same map file can be associated with any number of sessions.

9 END :


To change the display character size in a session window

1 On the Session menu, select Properties.

2 In the Session Properties dialog, select the Displays tab.

3 Select the Font sub-tab.

4 Uncheck Autosize Font To Fit Session Window.

5 Enter a number in Width, indicating the width of a character in pixels . The width can be any number of pixels from three to eighteen.

6 Enter a number in Height, indicating the height of a character in pixels .The height can be any number of pixels from four to forty-eight.

7 Click OK.

9 END :


To select a standard font for a session window display

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the Font sub-tab.

The current font parameters are listed.

5 In the Font group, select Specify font.

The Choose button becomes available.

6 Click Choose.

The Font dialog appears.

7 In the Font dialog box, select a font from the list provided.

8 Click OK.

9 In the Session Properties dialog, click OK.

Note

Line-drawn characters that are specific to certain emulations cannot be changed.

9 END :


To select a font developed for an emulation

1 On the Session menu, select Properties.

2 In the Session Properties dialog, select the Displays tab.

3 Select the Font sub-tab.

4 Select Use Emulation Font.

5 Click OK.

9 END :


To set the automatic display of scroll bars in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the General sub-tab.

5 In the Scrollbars group, click the Horizontal and/or Vertical arrows.

6 Select Auto from the drop down list, as needed.

7 Click OK.

The corresponding scroll bars appear or are hidden when the window dimensions change and text is beyond the window display limits.

9 END :


To set the number of display characters or lines in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the General sub-tab.

5 In the Other options group, click the Display rate arrow to display a list of options.

6 Select the number of characters or lines to display after pressing Transmit in a session window.

7 Click OK.

9 END :


To set automatic sizing for display characters in a session window

1 On the Session menu, select Properties.

2 In the Session Properties dialog, select the Displays tab.

3 Select the Font sub-tab.

4 Check Autosize Font To Fit Session Window.

5 Click OK.

9 END :


To turn on/off the display of status lines in a session window

1 Determine whether the terminal supports one or more status lines.

2 On the Session menu, select Properties.

3 Select Displays.

4 Check the appropriate status line(s) to display.

After a connection is made, the remote system changes the contents of the Status line as needed.

9 END :


To turn on/off the cursor display

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the Cursor sub-tab.

5 In the Visibility group, select On or Off, as needed.

6 Click OK.

9 END :


To turn on/off the display of scroll bars in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the General sub-tab.

5 In the Scrollbars group, click the Horizontal and/or Vertical arrows.

6 Select On or Off from the drop down list, as needed.

7 Click OK.

The corresponding scroll bars appear or are hidden.

9 END :


To turn on/off the display of session buttons in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the General sub-tab.

5 In the Other options group, select Show session buttons.

6 Click OK.

A set of graphical function buttons (F1, F2, F3, etc.) appears at the bottom of the display.

9 END :


To turn on/off the display of the terminal border in a session window

1 Open a new or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click Displays.

4 On the Displays tab, select the General sub-tab.

5 In the Other options group, select Terminal border.

6 Click OK.

A narrow gray border appears around the display screen.

9 END :


Keyboard Map Editor

Session > Properties > Emulations > Keyboard > Edit

Host applications typically make use of keys on the keyboard of the original terminal that was developed for use with the host. With the advent of the personal computer, the original terminal has been replaced with PCs. PC keyboards rarely have the same keys as the original terminal. To work around this limitation, keys on a local PC keyboard are remapped to function in the same manner as the keys on the original terminal. The PC and host can work together in a seamless fashion.

Each emulation provides a keyboard map that contains pre-configured key map assignments. These default mappings are designed to accurately transmit the standard key data in the same manner as the original equipment and application.

However, the DCS keyboard mapper allows you to change these default mappings as well as customize the PC keyboard to do much more than just transmit key data. You may also re-map a key to:

• a PC keyboard function with the Terminal sub-tab

• send a string with the String sub-tab

• launch a script or application with the Launch sub-tab

• execute a menu command with the Menu sub-tab

Note

  • Be cautious of changing some keys. Re-mapping some keys may have unintended side effects. Some key combinations have a function defined in Windows. For example, Alt+F6 displays the Start menu in Windows 95, and Alt+F4 exits a program. Changing a Windows key combination may mean that you will not be able to exit DCS via the keyboard, or some other keyboard function may not work.

  • The modifier keys (Shift, Ctrl, Alt, and Alt GR) have many uses in Windows. For example, if you re-map the Shift key, you may not be able to produce capital letters with the Shift key; or if you re-map the Alt key, you may not be able to access the menus through the keyboard.

  • Windows does not allow you to re-map the Print Screen (or System Request) key.

See Also

Keyboard Map Editor and Related Dialogs

  • Keyboard Map dialog

  • Steps to access the Keyboard Map Editor

  • Change Keyboard Template dialog

  • Key Properties dialog box

Tasks

  • Steps to select a keyboard map file for a session

  • Steps to view all current settings in a session’s keyboard map file

  • Steps to view individual key properties

  • Steps to reset key properties to default settings

  • Steps to change the default keyboard template

  • Steps to assign an application to a key

  • Steps to assign an escape sequence to a key

  • Steps to assign a menu selection to a key

  • Steps to assign a script to a key

  • Steps to assign a string to a key

  • Steps to view the available keyboard terminal functions (meta keys)

  • Steps to assign a terminal keyboard function (meta-key) to a key

  • Steps to assign a terminal keyboard function (meta-key) and text to a key

9 END :


Change Keyboard Template Dialog Box

Change Keyboard Template Dialog

Session > Properties > Emulations > Keyboard > Edit > Keyboard
The Change Keyboard Template dialog box appears when the Keyboard key is clicked from the Keyboard Map Editor (Keyboard Map dialog). This dialog box is used to select a different template for your terminal’s keyboard. The templates reflect language variations and can be used as the basis for setting up custom keyboard map files. The table below describes each component of the dialog box and how it is used:
Use this element | in this manner . . .
Keyboard template [list] | Select a keyboard template name, using the scroll bar to view all available template names if necessary.
-----------------------------------------------------------------------------------------------------------
 | Click to accept the selected keyboard template.
 | Click to discard changes and to close the dialog.
9 END :


Key Properties Dialog Box

Key Properties Dialog

Session > Properties > Emulations > Keyboard > Edit > [right click on key display] > Properties
The Key Properties dialog box allows you to set the properties for the selected key.
Use this selection | in this manner . . .
Key group
Name | Displays the name of the selected key.
State | Displays one of the eight possible states of the key. The activation of one or more modifier keys (Shift, Ctrl, Alt, and Alt GR), defines the state of a key. You can see each possible state by selecting the contents of State, and then pressing the keyboard’s Up and Down Arrow keys to cycle-through the available states. As you select a new item in State, the contents of Current Mapping and Default Mapping will change, displaying the mapping of the key for the state you have selected.
Current mapping group
Terminal key: | Displays whether you, a keyboard mapping file (a file with a KBM extension), or the emulation has changed the normal function of the key on the PC keyboard to perform some other function.
Default mapping group
Terminal key: | Displays whether the emulation has changed the normal function of the key on the PC keyboard to the function or key of the terminal’s keyboard.
-----------------------------------------------------------------------------------------------------------
 | Click to change the key’s properties to the selection in the Key State list.
 | Click to close the dialog box.
9 END :


Keyboard Map Dialog

Session > Properties > Emulations > Keyboard > Edit

The Keyboard Map dialog appears when the Edit button is clicked on the Keyboard sub-tab of the Emulations tab in the Session Properties dialog. This dialog provides several options for associating or mapping functions and actions with selected keyboard keys.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

US keyboard group

[Standard 101/102 keyboard display]

Click a key to re-map.

Keys outlined in blue have custom mappings.

Note

Keys outlined in magenta have default mappings. Take caution if you choose to re-map these keys.

Map Left and Right Ctrl and Alt Keys Separately

Select to allow separate mapping for the Ctrl and Alt keys.

Clear to allow either/or mapping for the Ctrl and Alt keys.

With this option cleared, associating (mapping) a function to either the left or right Ctrl key sets up the association for both keys. For example, if you map a symbol to the left Ctrl key with the Keyboard Map Editor, the same symbol appears if you use the left Ctrl key or the right Ctrl key.

With this option selected, associating a function to the left Ctrl key sets up the association for only the left Ctrl key. The right Ctrl key is unaffected and a separate association can be made for this key. For example, the left Ctrl key may be associated with a terminal keyboard function while the right Ctrl key may be associated with starting a script.

Mapping Options group

Assigns a terminal keyboard function to the selected key.

Tell me more

Assigns a string to a selected key.

Tell me more

Assigns a script or executable file to a selected key.

Tell me more

Assigns a menu option to a hotspot.

Tell me more

-----------------------------------------------------------------------------------------------------------

Click to remove the current association between the selected key and the specified terminal key function, string, file to launch or menu selection to perform.

This button becomes available when a key with an associated mapping is selected on the keyboard in the US keyboard group.

Click to quit the Keyboard Map editor and close the Keyboard Map dialog.

Click to display the Keyboard Mappings report in a temporary text editor file.

The report is split into two sections: Non-Numpad Keys and Numpad Keys. The report parameters include:

  • Key – lists the name shown on the key cap.

  • Key states – lists one of eight states indicating if the key is pressed normally (Normal state) or if a modifier key is used in conjunction with the key.

  • Type of mapping – lists the association type set up for the key (string, terminal key function, executable or menu function).

  • Current mapping – lists the complete mapping, such as, the text string, file name, etc.

Click to save the keyboard map in a new file.

Displays the Windows Save As dialog box.

Click to display the Change Keyboard Template dialog box.

Click to display the Online Reference.

9 END :


To access the Keyboard Map Editor

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Keyboard tab.

5 Click Edit.

The Keyboard Map dialog appears.

9 END :


To view all properties for an individual key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

6 Select the location of the keyboard map file.

7 Click on the arrow key at the end of the list box to display the list of the available keyboard map files.

A keyboard map file has a .kbm extension. The available keyboard map files include only those based upon the default keyboard map of the selected emulation.

8 Select a keyboard map file.

Note

To return to the default keyboard map, select [Default].

9 Click Edit.

10 With the right mouse button, click on a key in the keyboard template.

A pop-up menu appears

11 Select Properties.

The Key Properties dialog appears.

9 END :


To view all current settings in a keyboard map

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

6 Select the location of the keyboard map file.

7 Click on the arrow key at the end of the list box to display the list of the available keyboard map files.

A keyboard map file has a .kbm extension. The available keyboard map files include only those based upon the default keyboard map of the selected emulation.

8 Select a keyboard map file.

Note

To return to the default keyboard map, select [Default].

9 Click Edit.

10 Click Overview.

The keyboard map file appears in a text editor. You can scroll through the listing or print the file.

9 END :


To view all available keyboard terminal functions (meta keys) for an emulation

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab.

4 Select the terminal emulation.

5 Click the Keyboard sub-tab.

6 Click Edit.

7 In the Keyboard Map dialog, select the Terminal sub-tab.

In the Terminal keys list, all of the keyboard functions available for the selected emulation are displayed. For a meta key, the function name is case insensitive. You must also include all of the characters in the name, including spaces between words that make up the name.

8 Click Overview.

The present mappings of the terminal keyboard functions to the PC keyboard are shown in a text editor. You can print the mappings with the text editor’s Print command.

9 END :


To change the default keyboard template

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys mapped by default are identified by a magenta border.

6 Click Keyboard.

The Change Keyboard Template dialog box appears.

7 In the Keyboard Template list, select a national keyboard.

8 Click OK.

The selection is now the template for any emulation or keyboard map file that you select.

9 Click Close

10 Click OK to close the Session Properties dialog.

9 END :


To select a keyboard map file for a session

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the Emulations tab.

4 Select the name of an emulation in the horizontal list box, if necessary.

5 Click the Keyboard sub-tab.

6 Do one of the following:

a Select Local File and then click the arrow button in the list box to display a list of the available keyboard files in the Map directory. A keyboard file has a .kbd extension.

Choose a file from the drop down list and then click OK.

To find keyboard files that are not in the Map directory, click the Browse button to search for a .kbd file.

To return the emulation to the default keyboard map, select [Default] in the list.

b Select Internet File and then enter the complete URL for the session file. You must start the URL address with "http://" and you must include the .kbd file extension.

7 Click OK.

9 END :


To assign an escape sequence to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the String sub-tab.

8 In the Type list, select Hex.

Meta-keys are the functions of the terminal keys listed in Terminal Keys on the Terminal tab.

9 In String, enter up to an 80 character string.

The string represents one or more escape sequences. When you have selected Hex in Type, the String text box will allow you only to enter pairs of hexadecimal numbers and a space or comma to separate one hexadecimal pair from another. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the escape sequence topics in the emulation sections.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set.

10 Click Map Key.

11 Click Close to close the Keyboard Map dialog.

12 Click OK.

The Session Properties dialog closes.

13 On the File menu, select Save.

Note

If you do not complete step 13, the changes made will be effective only during the current session.

9 END :


To assign an application to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the Launch sub-tab.

8 In the Type of File to Launch list, select Other.

9 In File Name, enter the path name of the file.

The file name must have an .exe extension. If the exact path name of the file is unknown, click Browse to search for the file.

Click the down arrow to select a file name, from a list of previously entered file names.

10 Click Map Key.

11 Click Close to close the Keyboard Map dialog.

12 Click OK.

The Session Properties dialog closes.

13 On the File menu, select Save.

Note

If you do not complete step 13, the changes made will be effective only during the current session.

9 END :


To assign a menu selection to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the Menu sub-tab.

8 In the Menu items list, choose a menu selection.

9 Click Map Key.

10 Click Close to close the Keyboard Map dialog.

11 Click OK.

The Session Properties dialog closes.

12 On the File menu, select Save.

Note

If you do not complete step 12, the changes made will be effective only during the current session.

9 END :


To assign a script to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the Launch sub-tab.

8 In the Type of File to Launch list, select Script.

9 In File Name, enter the path name of the script file.

The file name must have a .dct extension. If the compiled script is in the Scripts directory, you only need to type the script’s file name.

If the exact path name of the file is unknown, click Browse to search for the file.

Click the down arrow to select a file name, from a list of previously entered file names.

10 Click Map Key.

11 Click Close to close the Keyboard Map dialog.

12 Click OK.

The Session Properties dialog closes.

13 On the File menu, select Save.

Note

If you do not complete step 13, the changes made will be effective only during the current session.

9 END :


To assign a string to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys mapped by default are identified by a magenta border.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping Options, select the String sub-tab.

8 In Type, select Normal.

9 In String, enter up to 80 characters.

10 Click Map Key to set the assignment selected.

11 Click Close to close the Keyboard Map dialog.

12 Click OK.

The Session Properties dialog closes.

13 On the File menu, select Save.

Note

If you do not complete step 13, the changes made will be effective only during the current session.

9 END :


To assign a terminal keyboard function (meta key) to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the Terminal sub-tab.

8 In the Terminal keys list, choose a terminal function.

9 Click Map Key.

10 Click Close to close the Keyboard Map dialog.

11 Click OK.

The Session Properties dialog closes.

12 On the File menu, select Save.

Note

If you do not complete step 12, the changes made will be effective only during the current session.

9 END :


To assign a terminal keyboard function (meta key) and text to a key

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys outlined in pink are assigned functions by default. Keys outlined in blue have been assigned new keys or functions.

6 In the Keyboard group, select a key or key combination.

For key combinations, the Shift, Alt or Ctrl keys can be used as desired. To select key combinations, hold down the Shift key on the keyboard while using the mouse to click on the keyboard display in the Keyboard Map dialog.

7 In Mapping options, select the String sub-tab.

8 In the Type list, select Include Meta Keys.

Meta-keys are the functions of the terminal keys listed in Terminal Keys on the Terminal tab.

9 In String, enter up to an 80 character string.

You can enter practically any combination of normal text and meta-keys; however, you must surround each meta-key with curly brackets. For example, let’s say you want to map a key to:

1) perform a Tab key function,

2) perform a Left Arrow key function

3) send the word yes, and then

4) perform an Enter key function.

You will select the key names in Terminal Keys on the Terminal tab. For each key name enter a left curly bracket, the key name, and then a right curly bracket. So, for the above example, you would enter the following in String for the TN3270 emulation:

{Tab}{Left}yes{Return}

Note

  • The name for each key must be spelled, including spaces, as it is spelled in Terminal Keys on the Terminal tab.

  • If you enter a left curly bracket without a following right curly bracket, all characters after and including the left curly bracket are ignored.

10 Click Map Key.

11 Click Close to close the Keyboard Map dialog.

12 Click OK.

The Session Properties dialog closes.

13 On the File menu, select Save.

Note

If you do not complete step 13, the changes made will be effective only during the current session.

9 END :


To reset key properties to the default properties

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Emulations tab and verify the correct emulation is selected.

4 On the Emulations tab, select the Keyboard sub tab.

The current keyboard map is listed.

5 Click Edit.

The Keyboard Map dialog appears. Keys mapped by default are identified by a magenta border.

6 With the right mouse button, click on a key in the keyboard template.

A pop-up menu appears.

7 Select Reset

A confirmation message appears asking to confirm resetting all states of the key.

8 Click:

Yes to return the default settings for the emulation.

No to make no changes to the current mappings.

Note

The keys outlined in pink are PC keys that the emulation has remapped to function like the terminal keyboard. The keys outlined in light blue are PC keys remapped to another function.

9 END :


Hotspot Editor

Session > Properties > Emulations > Hotspots > Edit

Hotspots are individual characters or sequences of characters (strings) that appear highlighted in a session window. A hotspot can be configured to:

  • execute a terminal function

  • send a string

  • launch a script or program

  • perform a menu option.

Each emulation has a set of predefined hotspots that you can choose to redefine, if desired. You can add your own hotspots customized actions. The Hotspots sub-tab on the Emulations tab in the Session Properties dialog allows for the selection or editing of a set of hotspots for the selected terminal emulation.

Hotspot Guidelines

The hotspot can contain a number of characters that can range from one to the maximum number of columns in the session. However, if the number of columns in the session changes, define hotspots no larger than the minimum width of the session, which is usually eighty columns.

The hotspot must be wholly contained on one line in the session and cannot continue from one line to the next.

The hotspot must be wholly contained within the search range defined for a hotspot. As a default the search range is the entire session screen; however, the Hotspot Editor allows you to define a search area that is a subset of the entire screen.

Hotspots can only contain characters that display in the session, namely the characters in the ASCII character set from hexadecimal 20 to hexadecimal 7E. These characters are the alphanumeric characters, space character, and symbol characters on the PC keyboard.

Several sets of hotspots can be associated with a session . The hotspots are saved in a .hot file type in the Maps folder.

Hotspot Highlight Methods

  • Highlight the character or string in the session. In this case, the hotspot must not have any termination characters defined for it (the Termination Characters text box in the Hotspots Setup dialog must be empty), and the hotspot must not be a whole word hotspot (the Whole Word box in the Hotspots Setup dialog must be unchecked).

  • Highlight the character or string when it is followed by a termination character. In this case, at least one character has been entered into the Termination Characters text box in the Hotspots Setup dialog. The hotspot cannot include a semicolon character or include any termination character from the Termination Characters text box. A semicolon character cannot be a termination character.

Note

The Termination Characters text box can have up to ten (10) single character termination characters defined for a hotspot. Each termination character in the text box must be separated from another termination character by a semicolon.

If a hotspot needs more than ten (10) termination characters, a second hotspot can be created with the same name and configuration, but with a different set of termination characters.

  • Highlight the character or string when it is preceded by a space character or starts in the first column of a search range and when it is followed by a space character or ends in the last column of a search range. In this case, the Whole Word box in the Hotspots Setup dialog is checked. Even though space characters are used in a manner similar to terminating characters, space characters are allowed in hotspots when Whole Word is checked.

See Also

Hotspot Editor

  • Hotspots Setup dialog

  • Steps to access the Hotspots Editor

Tasks

  • Steps to select a Hotspots Map file for a session

  • Steps to view a list of all Hotspot definitions

  • Steps to delete a Hotspots map file

  • Steps to remove a Hotspot from the set of active hotspots

  • Steps to enable/disable hotspots in a session

  • Steps to assign a terminal keyboard function (meta key) to a hotspot

  • Steps to assign a string to a hotspot

  • Steps to assign a script to a hotspot

  • Steps to assign an application to a hotspot

9 END :


Hotspots Setup Dialog

Session > Properties > Emulations > Hotspots > Edit

The Hotspots Setup dialog appears when the Edit button is clicked on the Hotspots sub-tab of the Emulations tab in the Session Properties dialog. This dialog provides several options for associating certain actions with selected hotspot text.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Hotspots group

[text box]

Enter the characters to search for in the session window.

[terminal keys list]

Select the PC key to associate with the hotspot.

Options group

Case Sensitive

Select to distinguish between lowercase and uppercase characters when matching characters from the session window to characters in the Hotspots text box.

Uncheck to ignore character case when matching characters.

Whole Word

Select to highlight only those instances of the hotspot characters when:

  1. the characters are preceded by a space character or start in the first column of a search range, and

  2. the characters are followed by a space character or end in the last column of a search range.

Clear to look for hotspots anywhere in the search range or to use termination characters as a criteria for highlighting hotspots.

Note

Whole Word and Termination characters selections are mutually exclusive. For more information see Hotspots Guidelines.

Termination characters

Enter one or more characters to signal the end of a hotspot.

Leave empty to look for hotspots anywhere in the search range.

Up ten (10) single character termination characters can be defined for a hotspot. Each termination character in the text box must be separated with a semicolon. A semicolon character cannot be a termination character. The hotspot characters cannot include a semicolon character or include a character listed in the Termination Characters text box.

Note

Whole Word and Termination characters selections are mutually exclusive. For more information see Hotspots Guidelines.

Tooltip

Enter a name or word string to display when the mouse cursor moves over the hotspot on the session screen.

Range group

Starting

Ending

Select an area of the session screen to search for the characters listed in the Hotspots text box.

  • Row – 1 to 24

  • Column – 1 to 80

Default: Entire session screen

When the search range is smaller than the whole screen, the search for hotspot characters is faster.

Mapping Options group

Assigns a terminal keyboard function to a hotspot.

Tell me more

Assigns a string to a hotspot.

Tell me more

Assigns a script or executable file to a hotspot.

Tell me more

Assigns a menu option to a hotspot.

Tell me more

-----------------------------------------------------------------------------------------------------------

Click to set the association between the specified hotspot character(s) in the Hotspots list box and the specified terminal key or string, file to launch, or menu selection to perform.

This button becomes available when a new entry is listed in the Hotspots list box.

Click to reset the association for the selected hotspot.

If an item is selected in the Hotspots list box, you will redefine an existing hotspot instead of creating a new hotspot.

Click to remove the current association for a previously defined hotspot.

This button becomes available only when a previously defined hotspot is selected in the Hotspots list box.

Click to remove a hotspot from the active set of hotspots.

This button becomes available only when a previously defined hotspot is selected in the Hotspots list box.

Click to accept the selections.

Click to discard changes and to close the dialog.

Click to save the hotspot configuration in a new file.

Displays the Windows Save As dialog box.

Click to display the Hotspots List in a temporary text editor file.

The current setting parameters for each hotspot include:

  • Hotspots - Contains the characters for which DynaComm will look in the session window.

  • Function - Contains a description of the function (the name of a terminal function, the string, the path name of a file to launch, or the name of a menu option) that the hotspot will perform when you click the hotspot.

  • Type - Contains one of the following labels, describing the function of the hotspot: TKey (terminal function), String (sequence of characters), Proc (a file with an EXE file type), Script (a compiled script), and Menu (menu option).

  • Csensitive - Indicates whether to distinguish between lowercase and uppercase characters when trying to match characters from the session window to the characters in the hotspots characters.

  • Wword - Indicates whether to only highlight the hotspot text when it is preceded by a space character or starts in the first column of a search range and when it is followed by a space character or ends in the last column of a search range.

  • Tchars - Contains a list of the termination characters for the hotspot text, if any.

Click to display the Online Reference.

9 END :


To access the Hotspot Editor

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 Select a terminal emulation from the row of horizontal buttons at the top of the dialog.

4 Select the Hotspot tab.

5 Click Edit.

The Hotspots Setup dialog appears.

9 END :


To view a list of all hotspot definitions

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click the down arrow to display the available sets of hotspots.

5 Select an item in the drop-down list box.

6 Click Edit.

The Hotspots Setup dialog appears.

7 Click Overview.

The Hotspots Editor will display information about the hotspots in a text editor (for instance, Windows Notepad). In the text editor you can save the information to a file or print out the information.

9 END :


To assign a script to a hotspot

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click the down arrow to display the available sets of hotspots.

Each emulation has its [Default] set of hotspots included with the emulation. The [Default] cannot be changed or deleted. However, a new set of hotspots can be based on the [Default] set and saved with the .hot file extension. Any other names in the drop-down list are sets of hotspots contained in .hot files. Hotspot files are stored in the Program Files\Futuresoft\DCSeries\maps folder.

5 Click Edit.

The Hotspots Setup dialog box appears.

6 Click Deselect.

If the dialog is displaying the Deselect button, a previously defined hotspot is selected in the Hotspots list box. If an item is selected in the Hotspots list box, you will redefine an existing hotspot instead of creating a new hotspot.

7 In the Hotspots text box, enter the characters to search for in the session window.

8 In Options, check Case Sensitive.

Select Case Sensitive to distinguish between lowercase and uppercase characters when trying to match characters from the session window to the characters in the Hotspots text box. For example, if a hotspot character were a lowercase a, only matches with lowercase as in the session window are made.

Clear Case Sensitive to match a hotspot character with the upper- or lowercase representations of the character in the session window.

9 Select Whole Word to highlight only those instances of the hotspot characters preceded by a space character or start in the first column of a search range and followed by a space character or end in the last column of a search range.

Clear Whole Word to search for hotspots anywhere in the search range or to use termination characters as a criteria for highlighting hotspots

Note

The Whole Word and Termination Characters items are mutually exclusive options for a hotspot. For more information about the Whole Word and Termination Characters items, see the section about refining hotspots in Hotspot Guidelines.

10 Enter one or more characters in Termination Characters.

The Termination Characters box can have up to ten single character termination characters defined for a hotspot. Each termination character in the text box must be separated with a semicolon. The hotspot characters cannot include a semicolon character or include any termination character from the Termination Characters text box. A semicolon character cannot be a termination character.

Leave the Termination Characters text box empty to search for hotspots anywhere in the search range or to highlight a whole word hotspot.

11 In Range, select an area of the session screen to search for the characters in the Hotspot text box. The default search is the entire session screen. Setting a search range creates a faster search.

12 In Mapping Options, select the Launch sub-tab.

13 In the Type of File to Launch list, select Script.

14 In File Name, enter the path name of the script file.

The file name must have a .dct extension. If the compiled script is in the scripts folder, you only need to type the script’s file name.

If the exact path name of the file is unknown, click Browse to search for the file.

Click the down arrow to select a file name, from a list of previously entered file names.

15 Click Define

16 Click OK to close the Hotspots Setup dialog.

17 Click OK.

The Session Properties dialog closes.

18 On the File menu, select Save.

Note

If you do not complete step 18, the changes made will be effective only during the current session.

9 END :


To assign a string to a hotspot

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click the down arrow to display the available sets of hotspots.

Each emulation has a [Default] set of hotspots included with the emulation. The [Default] set cannot be changed or deleted. However, a new set of hotspots can be based on the [Default] set and saved to a file with the .hot file extension. Any other names in the drop-down list are sets of hotspots contained in .hot files. Hotspot files are stored in the Program Files\Futuresoft\DCSeries\maps folder.

5 Click Edit.

The Hotspots Setup dialog box appears.

6 Click Deselect.

If the dialog is displaying the Deselect button, a previously defined hotspot is selected in the Hotspots list box. If an item is selected in the Hotspots list box, you will redefine an existing hotspot instead of creating a new hotspot.

7 In the Hotspots text box, enter the characters to search for in the session window.

8 In Options, check Case Sensitive.

Check Case Sensitive to distinguish between lowercase and uppercase characters when trying to match characters from the session window to the characters in the Hotspots text box. For example, if a hotspot character were a lowercase a, DynaComm would only match the hotspot character with lowercase a’s in the session window, no uppercase A’s.

Uncheck Case Sensitive to allow DynaComm to match a hotspot character with the upper- or lowercase representations of the character in the session window.

9 Select Whole Word to highlight only those instances of the hotspot characters preceded by a space character or start in the first column of a search range and followed by a space character or end in the last column of a search range.

Clear Whole Word to search for hotspots anywhere in the search range or to use termination characters as a criteria for highlighting hotspots

Note

The Whole Word and Termination Characters items are mutually exclusive options for a hotspot. For more information about the Whole Word and Termination Characters items, see the section about refining hotspots in Hotspot Guidelines.

10 Enter one or more characters in Termination Characters.

The Termination Characters box can have up to ten single character termination characters defined for a hotspot. Each termination character in the text box must be separated with a semicolon. The hotspot characters cannot include a semicolon character or include any termination character from the Termination Characters text box. A semicolon character cannot be a termination character.

Leave the Termination Characters text box empty to search for hotspots anywhere in the search range or to highlight a whole word hotspot.

11 In Range, select an area of the session screen to search for the characters specified in the Hotspot text box. The default search range is the entire session screen. Setting a search range sets up a faster search.

12 In Mapping Options, select the String sub-tab.

13 In Type, select one of the following:

Normal - the contents of the String text box are entered at the insertion cursor in the session window (just as you would enter text with the keyboard).

Include Meta Key - the contents of the String text box are entered at the insertion cursor in session window and any terminal functions indicated by meta-keys in the string are performed. A terminal function is symbolized in the string by a meta-keys. A meta-key consists of curly brackets surrounding a name of a terminal function. The names of the terminal functions are listed in the Terminal Keys list box on the Terminal tab. For instance, the function of a Tab key followed by the function for a Left Arrow key would appear as the following:

{Tab}{Left}

Note

  • The name for each key must be spelled, including spaces, as it is spelled in Terminal Keys on the Terminal tab.

  • If you enter a left curly bracket without a following right curly bracket, DynaComm will ignore all characters after and including the left curly bracket.

Hex - the contents of the String text box are sent as an escape sequence to the remote system. The escape sequence must be in the form of pairs of hexadecimal numbers with each pair of numbers separated by a space or comma. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the respective escape sequence sections in the Table of Contents.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set.

14 In String, enter up to 30 characters.

15 Click Define

16 Click OK to close the Hotspots Setup dialog.

17 Click OK.

The Session Properties dialog closes.

18 On the File menu, select Save.

Note

If you do not complete step 18, the changes made will be effective only during the current session.

9 END :


To assign a terminal keyboard function (meta key) to a hotspot

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click the down arrow to display the available sets of hotspots.

Each emulation has a [Default] set of hotspots included as a part of the emulation. You cannot change or delete the [Default] set, since the set is a part of the emulation. However, you may base a new set of hotspots on the [Default] set and save the new set to a file with the .hot file extension. Any other names in the drop-down list are sets of hotspots contained in .hot files. Hotspot files are stored in the Program Files\Futuresoft\DCSeries\maps folder.

5 Click Edit.

The Hotspots Setup dialog box appears.

6 Click Deselect.

If the dialog is displaying the Deselect button, a previously defined hotspot is selected in the Hotspots list box. If an item is selected in the Hotspots list box, you will redefine an existing hotspot instead of creating a new hotspot.

7 In the Hotspots text box, enter the characters to search for in the session window.

8 In Options, check Case Sensitive.

Select Case Sensitive to distinguish between lowercase and uppercase characters when trying to match characters from the session window to the characters in the Hotspots text box. For example, if a hotspot character were a lowercase a, only matches to lowercase as in the session window would be made. No uppercase As matches would be made.

Clear Case Sensitive to match a hotspot character with the upper- or lowercase representations of the character in the session window.

9 Select Whole Word to highlight only those instances of the hotspot characters preceded by a space character or start in the first column of a search range and followed by a space character or end in the last column of a search range.

Clear Whole Word to search for hotspots anywhere in the search range or to use termination characters as a criteria for highlighting hotspots

Note

The Whole Word and Termination Characters items are mutually exclusive options for a hotspot. For more information about the Whole Word and Termination Characters items, see the section about refining hotspots in Hotspot Guidelines.

10 Enter one or more characters in Termination Characters.

The Termination Characters box can have up to ten single character termination characters defined for a hotspot. Each termination character in the text box must be separated with a semicolon. The hotspot characters cannot include a semicolon character or include any termination character from the Termination Characters text box. A semicolon character cannot be a termination character.

Leave the Termination Characters text box empty to allow DynaComm to look for hotspots anywhere in the search range or to allow DynaComm to highlight a hotspot based on whether it is a whole word hotspot.

11 In Range, select an area of the session screen where you want DynaComm to search for the characters in the Hotspot text box. DynaComm default to the whole session screen. The main advantage of setting a search range smaller than the whole screen is that DynaComm will be able to search for and highlight the hotspot characters faster.

12 In Mapping Options, click Terminal.

13 In Terminal Keys, select a function.

14 Click Define

15 Click OK to close the Hotspots Setup dialog.

16 Click OK to close the Session Properties dialog.

17 On the File menu, select Save.

Note

If you do not complete step 17, the changes made will be effective only during the current session.

9 END :


To assign an application to a hotspot

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click the down arrow to display the available sets of hotspots.

Each emulation has its [Default] set of hotspots included with the emulation. The [Default] cannot be changed or deleted. However, a new set of hotspots can be based on the [Default] set and saved with the .hot file extension. Any other names in the drop-down list are sets of hotspots contained in .hot files. Hotspot files are stored in the Program Files\Futuresoft\DCSeries\maps folder.

5 Click Edit.

The Hotspots Setup dialog box appears.

6 Click Deselect.

If the dialog is displaying the Deselect button, a previously defined hotspot is selected in the Hotspots list box. If an item is selected in the Hotspots list box, you will redefine an existing hotspot instead of creating a new hotspot.

7 In the Hotspots text box, enter the characters to search for in the session window.

8 In Options, check Case Sensitive.

Select Case Sensitive to distinguish between lowercase and uppercase characters when trying to match characters from the session window to the characters in the Hotspots text box. For example, if a hotspot character were a lowercase a, only matches with lowercase as in the session window are made.

Clear Case Sensitive to match a hotspot character with the upper- or lowercase representations of the character in the session window.

9 Select Whole Word to highlight only those instances of the hotspot characters preceded by a space character or start in the first column of a search range and followed by a space character or end in the last column of a search range.

Clear Whole Word to search for hotspots anywhere in the search range or to use termination characters as a criteria for highlighting hotspots

Note

The Whole Word and Termination Characters items are mutually exclusive options for a hotspot. For more information about the Whole Word and Termination Characters items, see the section about refining hotspots in Hotspot Guidelines.

10 Enter one or more characters in Termination Characters.

The Termination Characters box can have up to ten single character termination characters defined for a hotspot. Each termination character in the text box must be separated with a semicolon. The hotspot characters cannot include a semicolon character or include any termination character from the Termination Characters text box. A semicolon character cannot be a termination character.

Leave the Termination Characters text box empty to search for hotspots anywhere in the search range or to highlight a whole word hotspot.

11 In Range, select an area of the session screen to search for the characters in the Hotspot text box. The default search is the entire session screen. Setting a search range creates a faster search.

12 In Mapping options, select the Launch sub-tab.

13 In the Type of File to Launch list, select Other.

14 In File Name, enter the path name of the file.

The file name must have an .exe extension. If the exact path name of the file is unknown, click Browse to search for the file.

Click the down arrow to select a file name, from a list of previously entered file names.

15 Click Define

16 Click OK to close the Hotspots Setup dialog.

17 Click OK.

The Session Properties dialog closes.

18 On the File menu, select Save.

Note

If you do not complete step 18, the changes made will be effective only during the current session.

9 END :


To select a hotspot map file

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the Emulations tab.

4 Click an emulation button, if necessary.

5 Click the Hotspot sub-tab.

6 Do one of the following:

a Select Local File and then click the arrow button in the list box to display a list of the available hotspot map files in the Map directory. A hotspot file has a .hot extension.

Choose a file from the drop down list and then click OK.

To find hotspot map files that are not in the Map directory, click the Browse button to search for a .hot file.

To return the emulation to the default hotspots, select [Default] in the list.

b Select Internet File and then enter the complete URL for the hotspot file. You must start the URL address with "http://" and you must include the .hot file extension.

7 Click OK.

9 END :


To delete a hotspot file

1 Open the Program Files\Futuresoft\DCSeries\maps folder.

2 Select the hotspot file (file with a .hot file extension).

3 Press the Delete key.

9 END :


To remove a hotspot from the active set of hotspots

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Emulations tab.

3 On the Emulations tab, select the Hotspot sub-tab.

The Hotspots Setup dialog appears.

4 Click Edit

The Hotspots Setup dialog box appears. If you want to delete a hotspot from a set of hotspots other than the active hotspots file, select an item in the drop-down list box in the Hotspots Map group.

5 In the Hotspots list, select the hotspot to delete.

6 Click Remove.

Note

Hotspots cannot be removed from the [Default] hotspots file. However, you can save to changes in the [Default] hotspots file to a new hotspots file and then associate the new hotspots file with a session.

7 To delete more hotspots from the file, repeat steps 5 and 6.

8 Click Save As to save your changes.

9 Click OK to close the Hotspots Setup dialog.

10 On the File menu, select Save.

Note

If you do not complete step 10, the changes made will be effective only during the current session.

9 END :


To enable/disable hotspots in a session

1 On the Session menu, select Properties.

The Session Properties dialog appears.

2 In the Session Properties dialog, select the Displays tab.

3 On the Displays tab, select the General sub-tab.

4 In the Other Options group, select/clear Enable Hotspots.

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

5 Click OK.

9 END :


Meta-Keys

Meta-keys are textual representations of the functions of a terminal keyboard. The meta-keys only have meaning in a connected session with a remote system, and the available meta-keys depend upon the emulation you have selected on the Emulations tab in the Session Properties dialog. Various editors allow you to assign terminal functions in the form of meta-keys to toolbar buttons, menus, the PC keyboard keys, and hotspots.

Meta-key Format

A meta-key has the following format:

{FunctionName}

where FunctionName is case insensitive and is one or more words, describing a function of a terminal keyboard. For example, the ANSI-BBS emulation has a Left Arrow keyboard function. The meta-key would appear as the following (a space separates left and arrow):

{left arrow}

Meta String Text

The Meta String text is inserted into a normal text string, but appears enclosed within braces. When the host receives the string, normal text is processed as such, but the text within braces will cause the host to respond as though a specific terminal key had been pressed.

For example, to simulate pressing the Enter key after typing a predefined line of text, such as a user ID, the text is followed by the appropriate Meta String for the Enter key:

MyuserID{Enter}

Note

  • The Meta String text used in each emulation may vary, even if the key performs a similar function.

  • If you have not spelled FunctionName properly, or if you have entered a function name that is not appropriate for the emulation, the characters are sent to the remote system, and the remote system will not perform a terminal function.

See Also

Related

  • Toolbar Editor

  • Menu Editor

  • Keyboard Mapper

  • Hotspot Editor

Tasks

  • Steps to assign a terminal keyboard function (meta key) to a hotspot

  • Steps to assign a terminal keyboard function (meta key) to a key

  • Steps to assign a terminal keyboard function (meta key) and text to a key

9 END :


To change the string assigned to a custom button

1 On the View menu, select Toolbar.

The Toolbars dialog appears.

2 Check the name of the toolbar that contains the custom button to edit.

3 Click OK.

The Toolbars dialog box closes and the selected toolbar appears.

4 Point to the custom button and click the right mouse button.

A pop-up menu appears.

5 On the pop-up menu, select Button Properties.

The Toolbar Button Properties menu appears. The current button properties are shown.

6 In the Properties dialog box, select String.

7 In the String Type group, select one of the following:

  • Normal – sends alphanumberic characters

  • Meta Keys – performs the function of a terminal keyboard.

  • Hex – sends an escape sequence or other non-display characters in the hexadecimal representation of the characters.

Non-display characters might be the first thirty characters of the ASCII character set. or the upper ANSI character set.

8 In Type A String, enter a sequence or string of characters.

If you selected Normal in String Type, enter any string of alphanumeric characters as you would enter the characters in the session window.

If you selected Include Meta Key in String Type, enter any combination of alphanumeric characters and meta-keys. A meta-key is a textual representation of a terminal’s keyboard function. For more information, see .

If you selected Hex in String Type, enter the hexadecimal representation of each character that the toolbar button option should send to the remote system. For a list of characters and their hexadecimal representation, see the ASCII character set and the ANSI character set. For example, if you want to send a user name (for instance, WashG ) followed by a carriage return, you would enter the following:

 W a s h G CarriageReturn

 57 61 73 68 47 0d

Each character must be represented by two hexadecimal digits (for instance, a carriage return is represented by a zero and the letter d, not just the letter d). You may separate each hexadecimal pair with a space or a comma.

9 In Tooltips, enter a short descriptive name.

The name entered in Tooltips is shown when the mouse cursor is held over the button.

10 Click OK.

9 END :


Working with Mouse Actions and Behavior

Default actions for the mouse buttons are:

Modifier Type of Click Mouse Button Action

None Single Left Make Box Selection

Ctrl Single Left Make Line Selection

None Single Right Display Pop-up Menu

Shift Double Right Select Word at Mouse Point

Ctrl Double Right Send Word at Mouse Point

Note

  • If you assign actions to the single- and double-click events for a mouse button, and if each type of click has the same modifier key or no modifier key, both actions are performed when you double-click the mouse button.

  • If a button is only mapped to a single-click (with or without a modifier key), and if you double-click the mouse button in the session window, the single-click action is performed.

9 END :


Customizing Mouse Actions and Behavior

Mouse behavior for each session can be customized to respond with a specific action. This can increase efficiency by providing quicker access to frequently used processes.

Mouse behavior that can be customized includes:

  • clicking the left, middle, or right mouse button

  • double-clicking the left, middle, or right mouse button

  • combining either of the above actions with a key modifier (Alt, Shift, or Ctrl)

Mouse actions that can be mapped to the mouse behavior include:

  • making a selection in a box or line

  • selecting a single character

  • sending the first character in a word

  • selecting or sending an entire word

  • sending selected text

  • moving the cursor to the mouse location

  • executing a script or launching an application

  • displaying a popup menu

  • perform light pen touch (IBM only)

See Also

Related

  • Working with mouse actions and behavior

Tasks

  • Steps to customize mouse actions and behavior

9 END :


To customize the mouse behavior

1 Open a new session or open an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Mouse tab.

4 On the Mouse tab, select one of the button sub tabs to work with.

The current parameters for the selected mouse button are listed.

5 In the Mouse Event group, select the desired click action.

6 If necessary, select a key in the Key Modifier group to be used in conjunction with the mouse event.

7 In the Mouse Action group, select the desired action that will be triggered when the mouse event is performed.

8 Click OK.

9 On the File menu, select Save to retain the association of the new map file with the session.

Note

  • If you do not complete step 9, the new map file will be effective only during the current session.

  • If you choose Execute script or Launch executable program in the Mouse Action group, you must supply the script or program path and filename in the Script or program filename box.

9 END :


Customizing with Scripts

The DCS scripting language provides even more ways to modify the application or a session to suit your needs. After a script is created, you can specify that the script be launched:

  • by clicking on a menu selection

  • by clicking a toolbar button

  • by pressing a key on the keyboard

  • by clicking on hotspot text

  • when starting DCS

  • when opening a particular host session

Use these procedures to customize DCS or a session:

  • Assign a script to a custom button

  • Assign a script to a hotspot

  • Assign a script to a keyboard key

  • Assign a script to a menu selection (item)

  • Set up automatic start of a compiled script when DCS is started

  • Set up automatic start of a compiled script when a session is opened

See the Script Reference for more information.

9 END :


New Session Default Configuration

Whenever a new session is created, DCS automatically opens the Session Properties dialog. This dialog provides a single location for configuring all session-level properties, including emulation type, connector, and file transfer protocol.

Default emulation, connector, and file transfer protocol selections are provided for each new session. These are:

  • ANSI-BBS emulation

  • Telnet connector

  • ZModem file transfer protocol

If these default selections are not appropriate for your session, select and specify the correct configuration options.

Note

The default selections may have been changed by your system administrator.

9 END :


Required Session Configuration Options

The default configuration established when you use the New Session command provides the minimum information required by a session.

However, if you want to make a connection, you must also specify:

  • a network host (for network connectors), or

  • a serial communication port (for the direct serial connector), or

  • a phone number (for the modem connector).

Without this information, the session cannot establish a connection. All other parameters (including emulation and file transfer) can function in their default configuration.

9 END :


Session Properties Dialog

Session > Properties

The Session Properties dialog appears when:

  • creating a new session file

  • accessing the Session Properties command

Seven tabs display across the top of the dialog. Each tab corresponds to a major property of the session file. The tabs provide options for customizing the major property of the individual session. Most tabs provide a set of sub-tabs that provide more options for customizing a particular component of the major property. For example, clicking on the Emulations tab displays a row of buttons across the top of the tab that represent each installed terminal or printer emulation. Clicking on an emulation button causes a series of sub-tabs to appear in the lower half of the Emulations tab.

The seven major session properties are:

  • Connectors

  • Emulations

  • File Transfers

  • Displays

  • General

  • Mouse

  • Trace

Below the tabs, the following buttons are available:

Click to accept the selections and to close the dialog.

Click to discard changes and to close the dialog.

Click to display the Online Reference.

9 END :


Session Properties Dialog: Connectors Tab

Session > Properties > Connectors

The Connectors tab offers seven different connectors to select from for an individual session connection. The base DCS product provides seven connectors: Direct Serial, Modem, Telnet, Meridian LAT32 ,SSH, and Trace Play. The Microsoft SNA Server connector is provided with the TN3270 and TN5250 Client Options.

Each connector has a specific set of sub-tabs that are displayed below the horizontal row of connector buttons on the Connectors tab. The options listed on each sub-tab correspond to the selected connector.

Note

The connectors available on the Connectors tab reflect those that are installed on your system. Connectors can be selected or removed from the installation process.

For information on the options for a particular connector, use the links below:

Direct Serial

Meridian LAT32

Modem

Microsoft SNA

SSH

Telnet

Trace Play

9 END :


Session Properties Dialog: General Tab

Session > Properties > General

The General tab of the Session Properties dialog is used to set various parameters for a session.

The table below lists all tab elements with a description of each:

Use this element

in this manner . . .

Options

Auto connect on session open

Select to effect a connection after a session file is opened.

Clear to require effecting a host connection with either the Session Connect All command or the Connect/Disconnect toolbar button.

Default: Cleared

Save window position

Select to save the position and size of the session window when you select Save or Save As on the File menu.

Default: Selected

Startup Script

[list box]

Enter or select the file name of a compiled script (.dct) to be executed when the session file is opened.

The drop-down list displays compiled script files (.dct) stored in the Scripts folder.

Default: Blank

Note

See the Script Reference for more information about creating scripts.

Click to display the Select a Script file to load dialog.

Use standard Windows navigation methods to locate the desired .dct (script) file.

Messages

Disconnect confirmation

Select to alert when closing the session window if an active connection exists.

Clear to eliminate sending confirmation messages when the session window is closed.

Default: Selected

Note:

Some host systems require issuing a specific command to log out. Closing or disconnecting the session in DCS may not log the session off of the host system.

Save confirmation

Select to display a message asking to save changes made to session properties when closing a session.

Clear to eliminate the display of a message asking to save changes made to session properties when closing a session.

Default: Selected

Connection information

Select to display a status message when the session establishes a connection to a remote host.

Clear to prevent the display of a status message when the session establishes a connection to a remote host.

Default: Cleared

Error information

Select to display a status message for connector communications errors that may occur when the session establishes a connection to a remote host.

Clear to prevent the display of a status message for connector communications errors that may occur when the session establishes a connection to a remote host.

Default: Selected

Session window caption

[text box]

Enter a caption or title for the session window.

The caption displays in the session window title bar.

Default: Blank

9 END :


Session Properties Dialog: Mouse Tab

Session > Properties > Mouse

The Mouse tab of the Session Properties dialog allows for configuring the actions of the mouse buttons. In a connected session window, each of the mouse buttons can act in a number of ways. The Mouse tab provides three sub-tabs that correspond to the three mouse buttons.

Note

Before assigning actions to the mouse buttons, review the default mouse actions.

Each sub-tab has five to six options for customizing the actions and behavior of the individual mouse button. Each sub-tab contains the following items:

Use this element

in this manner . . .

Mouse Event group

  • Single Click

  • Double Click

Select the mouse event to associate with the mouse button.

Default: Single Click

Key Modifier group

  • No modifier

  • Shift key

  • Control key

  • Alt key

Select the keyboard key that is used in conjunction with the selected mouse event.

Default: No modifier

Default Mapping group

Returns the default settings for the mouse button.

Mouse Action group

No action

Makes a single- or double-click ineffective in a session window.

Make box selection

Enables a drag-selection action to define a rectangular selection area in the session window. After selecting, the text can be copied to the Windows clipboard and then pasted in a window. Selecting characters in the session window can only include or exclude whole characters; you cannot select partial characters.

A selected area remains selected until a new area is selected. To clear a selected area without making a new selection, perform the mouse action assigned to this item (single-click of the left mouse button, for example) but do not select an area. Deselecting a selected area is not an option that can be assigned to a separate mouse action.

This action is the default in a session window with a single-click of the left mouse button.

Note

  • Unlike some word processing applications, such as Microsoft Word, this option does not re-position the session cursor location when a selection is made. Moving the session cursor location is a separate action.

  • This option is not allowed for a double-click of the mouse button.

Make line selection

Enables the definition of a selection area with a drag-selection action based on the characters selected in one or more contiguous lines in the session window.

After selecting, copy the text to the Windows clipboard and then paste the text in a window. Selecting characters in the session window can only include or exclude whole characters; you cannot select partial characters.

This action is the default in a session window when holding down the Ctrl key with a single-click of the left mouse button.

Note

This item is not allowed for a double-click of the mouse button.

Send character at mouse point

Enables the mouse to type a character when you single- or double-click the mouse button, while the mouse cursor is over the character.

Send first character of word at mouse point

Enables the mouse to type the first letter of a word that is under the mouse cursor. The mouse types the letter at the current location of the session cursor.

A word is one or more letters surrounded by any of the following characters: spaces, periods, commas, brackets, parentheses, or the ends of lines.

Select word at mouse point

Allows the mouse to select a word when you single- or double-click the mouse button, while the mouse cursor is over the word.

A word is considered to be one or more letters surrounded by any of the following characters: spaces, periods, commas, brackets, parentheses, or the ends of lines.

This action is the default in a session window when holding done the Shift key with a double-click of the right mouse button.

Send word at mouse point

This option allows the mouse to type a word, that is under the mouse cursor. The mouse types the word at the current location of the session cursor.

A word is considered to be one or more letters surrounded by any of the following characters: spaces, periods, commas, brackets, parentheses, or the ends of lines.

This action is the default in a session window when holding done the Ctrl key with a double-click of the right mouse button.

Send selected text

Enables the mouse to type text that is currently selected in the session window. The mouse types the text at the current location of the session cursor.

Move cursor to mouse point

Moves the session cursor to the mouse cursor location.

Execute script

Starts a script.

Launch executable program

Starts a Windows application.

Specify the program to start in the Script or program filename box.

Display pop-up menu

Displays a pop-up menu with certain options from selected menus:

Edit menu

Copy

Paste

Paste From File

File menu

Print

View menu

Full Screen

Session menu

Properties

Note

  • This action is the default in a session window with a single-click of the right mouse button.

  • The setting of this mouse function for a session does not affect the function of a single-click of the right mouse button over the menu bar or a toolbar and its buttons. For more information, see Pop-up Menus.

Perform Light Pen Touch
(IBM only)

Allows the mouse to function as a Light Pen with those screen display fields that have the Light Pen attribute set.

Script or program filename

[text box]

Enter the file name of a compiled script (.dct) or executable file to be executed when the specified mouse action is performed.

Click to display the Select Script file or Select Executable File dialog.

Use standard Windows navigation methods to locate the desired file.

[Miscellaneous]

Append CR

Select to add a carriage return when certain actions are selected.

Clear to not add a carriage return when certain actions are selected.

This option is available when the following actions are selected:

Send character at mouse point

Send first character of word at mouse point

Send word at mouse point

Send selected text

9 END :


Session Properties Dialog: Trace Tab

Session > Properties > Trace

The Trace tab of the Session Properties dialog is used to set the parameters for a session trace. The table below lists all tab elements with a description of each:

Use this element

in this manner . . .

Click to display the Select a Trace File dialog box.

Enter a path name in the File Name text box, or select a file on your system in which to place the trace file.

When you first display the Select A Trace File dialog, the trace file is named trace.trc and placed in the Trace folder. In subsequent traces for a session file, the same trace file is used for the new trace. To retain the old trace file, change the file name in the Select A Trace File dialog.

Trace Content group

  • Data Only (Recommended)

Select to create a trace file that contains information regarding the terminal emulation and the file transfer protocol.

Capturing communication protocol information can sometimes interfere with the data collected for the terminal emulation or file transfer protocol. Therefore, when you are trying to investigate a problem with an emulation or a file transfer, select Data Only.

  • Data with Communication Protocol

Select to create a trace file that contains emulation and file transfer information as well as connector information about the connection with the remote system.

Default Selection: Data Only (Recommended)

Mode group

  • Binary

Select to create a playback file.

The Trace Facility can produce a file for playback purposes or that reports the data and activities during a connection. A playback file can be created for any emulation.

However, a trace must be in Binary mode if the emulation you have selected will be in Block mode during a session. The TN3270 emulation is always in Block mode during a session. The Tandem 6530 emulation may enter and leave Block mode a number of times during a session.

A playback file runs in a session window with the Trace Play connector selected. Such a recording enables a support analyst to see the exact problems that were detected in a connection with a remote system, since the file contains the data exchanged between the two systems. A trace file in Binary mode can contain the data going to the remote system or coming from the remote system, but not both directions.

Before replaying a binary trace with the Trace Play connector, you must select the same character set for the emulation that was selected when the trace was recorded.

For instance, the sessions for the TN3270 and TN5250 Client Options can have one of a number of character sets associated with the session (from the Character set list on the Session sub-tab on the Emulations tab in the Session Properties dialog).

  • Text Report

Creates a trace text file.

A text trace file can contain either the data going to or coming from the remote system, or both. The text trace file contains:

  • the hexadecimal representation of the characters entering the session

  • the textual representation of the actual characters entering the session (if the character does not translate to a printable ANSI character, the Trace facility represents the character with a period)

  • timing indicators telling how much time passed between the beginning of the session and the beginning of a section of session data

  • indicators telling where data was going.

If you have selected an emulation that enters Block mode, you should select Binary mode. If you trace a session with an emulation in Block mode, but with Text Report mode selected, you may see unpredictable results.

Default Selection: Binary

Direction group

[Data direction]

Indicates the data to collect.

Traces in Binary mode can only capture data going to or coming from the remote system, but not both. Therefore, if you have selected Binary in the Modes group, only two selections are available for data direction.

Traces in Text Report mode can capture data in one or both directions.

Default: Data Received from Host

Options group

Start Trace on Connect

Select to automatically start a trace when a session connects with a remote host.

Clear to manually control starting the trace with the Start selection on the Session > Trace submenu. This menu also has options to pause or stop the trace.

Default: Cleared

Note

After the session connects, this option is automatically cleared to prevent any subsequent connections from overwriting the trace file.

Stop Trace on Disconnect

Select to automatically stop a trace if the host chooses to disconnect the session.

Clear the box if you want the trace to continue after a host disconnection.

Default: Cleared

Block Mode

Select to trace a session for a terminal emulation that is in or may enter Block mode.

Clear the box when the emulation does not operate in Block mode.

Default: Cleared

The TN3270 and TN5250 emulations operate in block mode. For emulations that operate in Block mode, the playback of the data in the trace will be inaccurate or incorrect if you do not check Block Mode. The data will not be displayed in the blocks that the remote system sent.

Be sure to also select Binary in the Modes group. Without these selected, the trace file may not present an accurate picture of the session.

9 END :


Session Properties Dialog: File Transfers Tab

Session > Properties > File Transfers

The settings of the File Transfers tab determine how a file transfer session handles the movement of file data between a host and your local computer. Each file transfer protocol has a specific set of options that are listed on the sub-tabs on the File Transfers tab.

IND$FILE

If the TN3270 Client Option is installed, the IND$FILE file transfer protocol is available to move files between your local computer and an IBM host.

IXF

If the Tandem 6530 Client Option is installed, the IXF file transfer protocol is available to move files between your local computer and a Tandem host.

Kermit

The Kermit file transfer protocol is available with the base DCS product. No additional Client Options are required for use of this protocol.

Kermit specifically handles file transfers with hosts whose operating system cannot support the extended ASCII code and ASCII control characters.

XYModem

The XYModem file transfer protocol is available with the base DCS product. No additional Client Options are required for use of this protocol.

XYModem allows you to specify use one of three protocols: XModem, YModem, or YModem-G.

  • XModem transfers single files in 128 byte blocks and uses a simple error checking scheme.

  • YModem transfers single or multiple files in 128 or 1024 byte blocks and uses a Cyclic Redundancy Checking (CRC) method to handle error detection.

  • YModem-G supports transmission of multiple files, uses 1,024 byte blocks and is used with error-correcting modems.

ZModem

The ZModem file transfer protocol is available with the base DCS product. No additional Client Options are required for use of this protocol.

ZModem includes all the features of the XYModem protocol. It varies the block size based on the quality of the line. Line quality is determined by the number of retransmission requests received. In addition, this protocol is able to restart a transmission at its previous point of failure. This eliminates the necessity to retransmit the entire file when a transmission session fails.

9 END :


Session Properties Displays Tab: General Sub-tab

Session > Properties > Displays > General

The selections on the General sub-tab of the Displays tab of the Session Properties dialog work with a variety of display options that relate to application and session windows. The table below lists each General tab element with a description of each.

Use this element

in this manner . . .

Status lines group

Enable top

Enable bottom

Select one or both options to display status lines in a session window.

DCS automatically displays a session status line area if the emulation requires the status line. A status line can be turned on, whether or not the emulation requires it.

A session status line contains information about the session cursor location (row and column numbers), connection information, keyboard states, and other information about the session. Most emulations use a bottom status line, but some, like ANSI BBS, do not use a session status line, some use the top status line, and a few use both top and bottom status lines.

Default: Cleared

Scrollbars group

Horizontal

Vertical

Select one or both to view parts of the session that may have passed out of the session window.

Choices are:

  • Auto - Automatically display a scrollbar when the height or width of the session screen is not showing.

  • On – Display scrollbar all the time.

  • Off – Never display scrollbar.

Default: Horizontal = Auto, Vertical = On

Generally, if you have checked Autosize Font To Fit Session Window on the Font subtab, you may only need the vertical scrollbar to view other parts of the session screen. If the emulation is a continuous or streaming session and because the active part of the session screen will display in the session window, only the vertical scrollbar may be needed to view the older session lines that have passed into the history buffer. See the History subtab for more information about the history buffer.

Choosing to select one or both options depends on:

  • size of the session window

  • size of the font used in the session window

  • how characters from the remote system flow into the session screen (paged or streaming).

Generally, with a paged session screen and a checked Autosize Font To Fit Session Window, scrollbars are unnecessary.

Other options group

Terminal border

Select to fill the area between the window border and the session screen with a gray color.

Display of a terminal border allows for easier viewing of the actual extent of the active session screen within the session window. Without the terminal border, it is more difficult to tell exactly where the last line in a session or the last character in a line falls.

A dead area between the session screen and the session window occurs because of the available font size. The font and session window sizes control the session screen ratio of width to height.

Default: Selected

Note

The session screen is centered in the session window.

Show session buttons

Select to display a row of buttons below the session window and the session status bar.

Default: Cleared

Session buttons are automatically shown if the remote system requests them. Up to four sets can be displayed. However, emulations that support session buttons, typically only support one or two sets.

Session buttons are defined by escape sequences from the remote system. Each row contains nine buttons. The center button displays other sets of buttons, if configured by the remote system. The other eight buttons perform actions in the session as determined by the remote system.

Enable Hotspots

Select to allow searching for hotspot characters in an active session.

Clear to prevent searching for hotspot characters.

Default: Cleared

For more information about configuring hotspots, see Hotspot Editor .

Display rate

Select from three items to determine the balance between making a smooth display of data entering the session window versus the speed that the data enters the session window.

Choices:

Character

1 line

12 lines

24 lines

Host block

Default: Host block

If Character is selected, the data enters the session window in the smoothest possible manner, depending on how steadily the remote system sends the data. However, this setting slows the data display because the flow of characters is metered.

If Host Block is selected, the data displays as fast as it is sent. The display may appear jumpy.

The other settings allow for choosing a medium between the extremes. If you select 1 line, the session window updates after it receives a line feed character or a cursor down control sequence. Likewise, if you select 12 lines or 24 lines, the session window updates after every twelfth or twenty-fourth line feed character or cursor down control sequence.

9 END :


Session Properties Displays Tab: Font Sub-tab

Session > Properties > Displays > Font

The selections on the Font sub-tab of the Displays tab of the Session Properties dialog work with a variety of options for fonts and font attributes. The table below lists each Font element with a description of each element.

Use this element

in this manner . . .

Sizing group

utosize font to fit session window

Select to allow DCS to select the size of the display characters.

Clear to specify the display character size.

Default: Selected

Auto-sizing selects the largest character size that allows the entire screen to appear in the session window. The display character size changes as the session window size changes.

Specifying the character size sets the display size to a fixed size even though a session screen may be much smaller or larger than the session window.

Note

The characters will never be made any smaller than the size indicated in Width and Height under Minimum Font Size.

Width

Height

Specify the display character size in pixels.

These list boxes become available when Autosize font to fit session window is cleared.

Default: Width = 11, Height = 25

Minimum font size when autosizing

Width

Height

Specify the smallest desired character size.

These list boxes become available when Autosize font to fit session window is checked.

Default: Width = 5, Height = 8

Font group

  • Use emulation font

Select to use the font included with the emulation.

Default Selection

  • Specify font

Select to choose any monospaced (fixed pitch) font installed on your computer.

Click to display the Font dialog box.

Use the Font dialog box to select an installed font.

Other options group

Enable Blinking

Check to activate blinking for host attributes that have been assigned a blink attribute.

Uncheck to produce a steady character display.

Default: Selected

Generally, the session creates the display faster when this option is unchecked.

Character attributes are determined by the emulation and the selections on the Attributes sub-tab. For more information about attributes in the session window and the Attributes tab, see the Attributes Editor .

9 END :


Session Properties Displays Tab: Cursor Sub-tab

Session > Properties > Displays > Cursor

The selections on the Cursor sub-tab of the Displays tab of the Session Properties dialog determine how the cursor appears in the session window. The table below lists all Cursor tab options with a description of each.

Use this selection

in this manner . . .

Visibility group

  • On

Select to make the cursor visible in the screen display.

  • Off

Select to hide the cursor.

Default Selection: On

Type group

  • Block

Select to display the cursor as a rectangular block shape.

  • Underline

Select to display the cursor as a single underline shape.

Default selection: Block

Blinking group

  • Blink

Select to display the cursor as an intermittent display character.

  • Steady

Select to display the cursor as a continuous display character.

Default selection: Blink

Note

Clearing Enable Blinking on the Font sub-tab in the Displays tab does not affect the cursor, whether blinking or steady.

Auto Scroll to Cursor

Select to automatically move the session screen to display the location of the session cursor, when the session cursor moves in a non-displaying region of the session screen.

Clear to prevent moving the screen to show the session cursor.

Default: Cleared

Note

Selecting On or Off in the Visibility group does not affect whether DynaComm will automatically move the session screen.

9 END :


Session Properties Displays Tab: History Sub-tab

Session > Properties > Displays > History

The selections on the History sub-tab of the Displays tab of the Session Properties dialog set up various parameters for the history buffer. The table below lists each History tab element with a description of each element.

Use this element

in this manner . . .

History Buffer Size group

Lines

Select a value between 0 and 9,999.

Default: 100

Approximate memory usage

Provides an estimate of the memory requirements for the number of lines selected.

Display only.

Reverse history buffer background color

Select to reverse the colors of the lines in the history buffer in order to make it easier to tell where the lines of the active session end and the history buffer begins.

Clear this box to leave the colors of the lines in the history buffer as they were in the active session screen.

Default: Selected

Save cleared screen to history buffer

Select to place an active session screen cleared by the remote system into the history buffer.

Clear this box to prevent saving a cleared session screen.

Default: Selected

9 END :


Session Properties Dialog: Emulations Tab

Session > Properties > Emulations

The Emulations tab offers up to thirteen different terminal emulations to select from for a session with a host computer. The available emulations depend on which Client Options, if any, are installed. The base DCS product includes six emulations: ADDS/VP60, ANSI-BBS, AT&T 605, TV950, VT Series, and WYSE. Each Client Option, which is purchased separately, offers its own emulation(s).

Each emulation has a specific set of options that are listed on the sub-tabs displayed on the Emulations tab. The individual sub-tabs shown depend on the selected emulation.

For information on the options for a particular connector, use the links below:

DCS base product emulations

ADDS ViewPoint 60

ANSI-BBS (with SCO ANSI extensions)

AT&T 605/705

TeleVideo 925/950

Digital VT-52, 100/102, 220, 320 and 420

Wyse 50/60

AT&T 4425 Client Option emulations

AT&T 4425 emulation supports

  • AT&T 4425 and equivalent 6539 functionality

  • Telnet, Modem and Direct Serial connectors

  • FTP, Kermit, XYModem, and ZModem file transfer protocols

HP 700/94 Client Option emulations

HP 700/94 emulation supports

  • Hotspots, downloadable characters/soft fonts and on-screen function keys

  • HP 700/92 and HP 700/94 emulation

  • Telnet, Modem and Direct Serial connectors

  • XYModem, ZModem, FTP and Kermit file transfer protocols

Tandem 6530 Client Option emulations

Tandem 6530 emulation supports:

  • EM3270, Block mode type ahead, hotspots

  • Tandem 6530 terminal emulation

  • Telnet, Modem and Direct Serial connectors

  • IXF and FTP file transfer protocols

TN3270 Client Option emulation

TN3270 emulation supports:

  • EHLLAPI, WinHLLAPI, hotspots and LU1/LU3 print

  • 3278 Models 2-5, 3279 Models 2-5 (with and without extended attributes), 3287 Telnet print, TN3270E with print

  • Microsoft SNA Server with print and Telnet connector

  • IND$FILE (supports TSO, CICS and CMS) and FTP file transfer protocols

TN5250 Client Option emulation

TN5250 emulation supports:

  • EHLLAPI, WinHLLAPI, and hotspots

  • 5250 Model (Models 2 and 5)

  • Telnet connector

  • FTP file transfer protocol

9 END :


Session Properties Dialog: Mapping Tabs

Session > Properties > Emulations > [Mapping tab]

The last four sub-tabs on the Emulations tab provide access to the editors for the various map files. These tabs allow for selecting a stored map file on either the local PC or a Web server. In addition the editors can be accessed through the Edit button. Use one of the following to display specific information for the individual tabs:

  • Attributes

  • Translation

  • Keyboard

  • Hotspots

9 END :


Connectors: Working with Connectors

Connectors specify the type of physical connection your terminal uses to communicate with other computers. The Connectors tab in the Session Properties dialog contains configuration information for implementing the selected connector on your computer. The following connectors are available:

  • Direct Serial

  • Modem

  • Meridan LAT32

  • TCP/IP (a setting in the Telnet connector)

  • IPX/SPX (a setting in the Telnet connector)

  • Microsoft SNA Server (available with the TN3270 Client Option)

  • SSH

The information in this Online Reference about connectors can only be suggestions or guidelines in certain situations. Some of the connectors must function in many different network environments (for example, NDIS and ODI).

DCS supports several versions of these connectors. In addition some connectors may require additional installations and configuration changes within Windows. To correctly configure your network for DCS, you may need to consult documentation for your network or your network administrator.

DCS Connectors

DCS provides up to five file transfer protocols. However, the connectors available on your particular terminal depend on the ones chosen during the installation process. To determine which connectors you have access to on your system, use the Help > About DynaComm > Modules command to view a listing of all installed modules. The connectors are listed with a prefix of:

c:\Program Files\FutureSoft\DCSeries\conn\

The following table provides the corresponding file name for each connector:

Connector

File name

Telnet

telnet.flx

Direct Serial

comdir.flx

Modem

comtapi.flx

Meridian LAT32

merdnlat.flx

Microsoft SNA

fmidll.flx

9 END :


Connectors: Direct Serial Connector

The Direct Serial connector allows for connection from a COM port to another device with an RS-232 cable or an RS-422, 423, or 449 cable running:

  • in Windows 95

  • in Windows 98

  • in Windows NT 4.0 or later

Some of the connections appropriate for this type of connector are:

  • a terminal connection to a host system

  • a network connection, such as a virtual com port in a Local Area Transport, or LAT, network access interface

  • connections to devices that transmit data serially.

Configuring the Direct Serial connector in the session’s properties requires setting up options on one sub-tab: General. This tab provides configuration options for determining the transfer speed, specifying whether to use parity and stop bits and how to accomplish handshaking functions.

The options on this tab have default settings. Check these settings carefully to ensure correct set up for the Direct Serial connector.

See Also

  • Working with Configuration Options

  • General tab configuration options configuration options

  • Connector tasks

9 END :


Direct Serial Connector: Working with Configuration Options

Before configuring the Direct Serial connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Direct Serial connector is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\comdir.flx

To begin configuring a session to use the Direct Serial connector, click Direct Serial in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. One sub-tab appears below the row of horizontal buttons. This tab contains all the options needed to configure the Direct Serial connector.

The one sub-tab used to configure the Direct Serial connector is:

  • General options

9 END :


Direct Serial Connector Configuration Options: General Sub-tab

Session > Properties > Connectors > [Direct Serial] > General

The General tab provides all the selections necessary to configure the Direct Serial connector. The table below lists all options with a description of each.

Use this option

in this manner . . .

Device Control Parameters group

Port

Select one of your computer’s serial ports. This port must have a connected device that communicates serially.

If you connect the port to a modem, and if you use the Direct Serial connector, you must send commands to the modem with the keyboard or with a script to make the modem function. Otherwise, use the Modem connector.

Default: COM2

Baud rate

Select a number.

The number represents the maximum speed at which characters (or data) will travel between your computer and another device. The actual rate of communication is a function of many factors, such as the quality and length of the communications line.

Default: 9600

Data bits

Select a number.

With most connections, you should usually select eight data bits. The number represents the number of bits in a byte that will represent a character during a transmission. A byte has eight bits.

Default: 8

Parity

Select a parity type.

If you select Even, Odd, Mark, or Space items, one of the bits in a transmitted character will be the parity bit (leaving only seven bits to represent data). Parity is a less rigorous method of checking for errors occurring during the transmission of data. If the data bits are eight, parity must be none.

Default: None

Stop bits

Select a number.

A stop bit is an interval time after a system sends a character and indicates the end of the character.

Default: 1

Preferences group

Enable Parity Checking

Select to require checking for parity errors When a parity error is detected, a question mark is displayed in place of the erroneous character.

Clear to ignore parity errors.

Default: Blank

Drop DTR to Disconnect

Select to require disconnection from a remote system by turning off the signal on the Data Terminal Ready (DTR) line to the device.

Clear when the remote device detects a disconnection by another means.

Default: Selected

Handshaking group

  • Hardware (RTS / CTS)

Select this option when the hardware should control the flow of data.

Hardware (RTS / CTS) specifies the use of pins in the RS 232 line to control the flow of data between the PC and the device.

When the RTS (Request To Send) pin carries a signal, the pin indicates that the sending system has data to send and asks the receiving system whether it is ready to receive.

When the CTS (Clear To Send) pin carries a signal, the pin indicates to the sending system that the receiving system is ready to receive data.

Default: Selected

  • Software (XOn / XOff)

Select this option when the software should control the flow of data.

Software (XOn / XOff) indicates that the communicating systems are to use special characters for signaling when to begin and stop transferring data.

The Xon character is the ASCII character DC1 (or hexadecimal 11).

The Xoff character is the ASCII character DC3 (or hexadecimal 13).

When the receiving system’s input buffer is almost full the receiving system sends an XOff message to the sending system. The sending system then pauses the transfer until it receives an XOn message from the receiving system, indicating to send more data.

  • None

Select this option if the remote device does not support either Hardware or Software flow control.

9 END :


Connectors: Meridian LAT32 Connector

The Meridian LAT32 connector provides access to remote host systems through the Meridian SuperLAT developed by Meridian Technology Corporation.

The Meridian SuperLAT allows for access through Digital’s Local Area Transport (LAT) Access Interface for:

  • operating over Ethernet networks

  • accessing multiple LAT applications concurrently

  • sharing devices, such as printers and modems.

The Meridian LAT32 connector requires:

  • installation of Meridian SuperLAT for Windows on your computer, and

  • access to an Ethernet network with LAT services.

Configuration Options

The Connectors tab in the Session Properties dialog for a Meridian LAT32 connector contains three sub-tabs: General, Node and Connect. These sub-tabs provide all the selections necessary to configure the Meridian LAT32 connector. Each sub-tab is described in the following tables. Each table lists all selections and descriptions for each.

See Also

  • Working with Configuration Options

  • General tab configuration options configuration options

  • Node tab configuration options configuration options

  • Connect tab configuration options configuration options

  • Connector tasks

9 END :


Meridian LAT32 Connector: Working with Configuration Options

Before configuring the Meridian LAT32 connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Meridian LAT32 connector is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\merdnlat.flx

To begin configuring a session to use the Meridian LAT32 connector, click LAT32 in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. Three sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the Meridian LAT32 connector.

The three sub-tabs used to configure the Meridian LAT32 connector is:

  • General options

  • Node options

  • Connect options

9 END :


Meridian LAT32 Connector Configuration Options: General Sub-tab

Session > Properties > Connectors > [Meridian LAT32] > General

Depending upon the requirements of the service, at a minimum, the LAT32 connector requires selection of a service name in Learned Service Name List and a node in Node Name. If the service is unique on the network, you may not need to select the name of a node.

All options on this tab have no default settings.

Use this option

In this manner . . .

Learned Service Name List

Select a service.

An LAT service can be modems, computers, or applications. This list contains:

  • names of services advertised by various LAT hosts on the network

  • names that you have entered in Service Name on the Connect sub-tab.

Service Information group

Node Name

Select a node.

The listed nodes offer the service selected in the Learned Service Name List.

Status

Displays the condition of the service selected on the node in Node Name.

A service can have one of the following states: available, unknown, initializing, or unreachable.

Rating

Displays a rating of the service selected in Learned Service Name List.

The rating is an integer from zero to 255. The remote system provides the rating to indicate the level of availability for the service. The lower the rating, the less available (or more busy) the service is. This rating helps prevent a node from being over or under utilized in a network that has several nodes providing the same service.

Identification

Displays a description of the service selected in Learned Service Name List.

The description is provided by the remote system when it advertises its services.

9 END :


Meridian LAT32 Connector Configuration Options: Node Sub-tab

Session > Properties > Connectors > [Meridian LAT32] > Node
The Node tab provides information about the node used for the Meridian LAT32 connection. All options on this sub-tab have no default settings.
Use this option | In this manner . . .
Node Name | Select a node to see information displayed on its various properties.
Status | Displays the condition of the node in Node Name. A node can be reachable or not reachable.
Node Information group | Specifies information about the LAT service.
LAT Protocol | Displays information about the version of the LAT protocol that the node.
Data Link Frame Size | Displays the maximum size of a packet of data that the LAT host can receive.
Address | Displays the Media Access Control (MAC) address of the node’s Ethernet connection.
Node ID | Displays a description of the node.
9 END :


Meridian LAT32 Connector Configuration Options: Connect Sub-tab

Session > Properties > Connectors > [Meridian LAT32] > Connect
The Connect tab allows for setting of optional properties for the service and node that you chose on the General tab for the Meridian LAT32 connector. All options on this sub-tab have no default settings.
Use this option | In this manner
Service Name | Displays the name of the service selected on the General sub-tab.
Node Name | Displays the name of the node for the service selected on the General sub-tab.
Password | Enter your password for the service. Not all services or nodes require a password. A password can contain up to seventeen alphanumeric characters.
Port | Enter the identification for the service’s port (line). Not all services or nodes require access to the service through a specific port. A port identification can contain up to seventeen alphanumeric characters.
Block I/O | Select to exchange characters with the remote system in blocks of characters instead of one character at a time. In most cases, sending and receiving characters in blocks is more efficient, than exchanging or sending characters one at a time. Clear to send characters one character at a time. The default is unchecked.
 | Click to remove the information displayed in all boxes (edit boxes and check boxes) on the sub-tab.
9 END :


Connectors: Modem Connector

The Modem connector supports modems using the Microsoft Windows Telephony Application Programming Interface (TAPI). This connector functions in Windows 95, Windows 98, and Windows NT 4.0.

Configuring the Modem connector in the session’s properties requires setting up options on one sub-tab: General. This tab provides configuration options for selecting a modem and specifying the phone number to use.

The options on this tab have default settings. Check these settings carefully to ensure correct set up for the Modem connector.

See Also

  • Working with Configuration Options

  • General sub-tab configuration options configuration options

  • Connector tasks

9 END :


Modem Connector: Working with Configuration Options

Before configuring the Modem connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Modem connector is installed, you should see the following listings:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\comtapi.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\modems.dat

To begin configuring a session to use the Modem connector, click Modem in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. One sub-tab appears below the row of horizontal buttons. This tab contains all the options needed to configure the Modem connector.

The one sub-tab used to configure the Modem connector is:

  • General options

9 END :


Modem Connector Configuration Options: General Sub-tab

Session > Properties > Connectors > [Modem] > General

The Connectors tab in the Session Properties dialog for a Modem connector contains one sub-tab: General. This sub-tab provides all the selections necessary to configure the Modem connector. The table below lists each dialog selection and a description.

The listed devices were installed through the Windows Control Panel. The first time you work with a device, the device properties are those that are currently set in Windows. Changing the properties through DCS does not change the properties in Windows.

Use this option

In this manner . . .

Telephony Devices group

[list box]

Select a device.

The listed devices were configured with the Windows Control Panel programs: Add New Hardware or Modems.

Click this button to display the Windows [Modem] Properties dialog for the selected device. Use the three tabs in this dialog to set or modify the properties for the selected device. For more information about the dialog, see Windows Help.

Changing the properties in the [Modem]Properties dialog will not change the defaults for the device in Windows. Your changes are stored only in DCS.

Dial Number group

Specifies the phone number to dial when connecting to a host.

Country

Enter a new country code or select an existing country name (code).

Default: United States of America (1)

Area Code

Enter the area code number.

This is automatically entered when a phone number is selected from the Phone Number list.

Phone Number

Enter a new phone number or select an existing phone number from the list.

In the drop down list each phone number includes:

Number preceding the ":" represents the device.

Number in the parenthesis represents the name of the country chosen in Country.

Numbers following the country number are the dialing method, area code, and phone number.

When an item is selected in the drop-down box, the values in Telephony Devices, Country, and Area Code as well as Phone Number are automatically changed.

Click this button to display the Windows Dialing Properties dialog for the selected device. Use the My Locations tab in this dialog to set or modify the conditions for using the selected phone number. For more information about the dialog, see Windows Help.

Changing the properties in the Dialing Properties dialog will not change the defaults for the device in Windows. Your changes are stored only in DCS.

Note

  • The DCS Modem connector does not support connections created with the Windows Direct Cable Connection accessory.

  • If you delete a telephony device in Windows, it will still be shown in the Telephony Devices group in this dialog.

  • For DCS 3.xx users migrating to the DynaComm Connectivity Series and Windows 95, most of the options that you set in DCS 3.xx’s Communications dialog, such as baud rate, data bits, flow control, and other settings, are set in Windows 95/98 and not in DCS.

9 END :


Connectors: Microsoft SNA Connector

Note

This connector is not part of the base DCS product. It is only available if you have purchased and installed the TN3270 Client Option.

With the Microsoft SNA Server (MSS) connector, the IBM 3270 emulation in the TN3270 Client Option can connect to an IBM mainframe on an SNA (Systems Network Architecture) network. The IBM 3270 emulation allows you to connect to three of the more popular IBM host environments: CMS, TSO, and CICS. The connector option allows your PC to become an LU (logical unit) on an SNA network, but because DynaComm allows multiple connections, your PC can be as many LUs as memory in your PC will allow and as you are authorized to access.

Before Using the Microsoft SNA Server Connector Option

To use the MSS connector, install the Microsoft SNA client software. The client software is available from Microsoft and allows you to configure a connection with a Microsoft SNA Server residing on a Microsoft Windows NT Server. For more information on configuring the Microsoft SNA client software, please read the SNA client’s documentation or contact your network administrative personnel.

The MSS connector only works with the IBM 3270 emulation in the TN3270 Client Option; therefore, you must install the TN3270 Client Option to be able to use the MSS connector.

See Also

The following topics describe all details for the Microsoft SNA Server:

  • Working with Configuration Options

  • Connect sub-tab configuration options

  • Scripting Parameter Values

  • Steps to configure the Microsoft SNA Server

9 END :


Microsoft SNA Connector: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer’s Online Reference for detailed information about a function or command and the associated keywords for its parameters.
Note See the TN3270 & TN3270 Print emulation section for Scripting Keywords for use with the emulation. See the IND$File file transfer protocol section for Scripting Keywords for use with the protocol.
Function | Parameter(s) | Keyword* | Value(s) Returned | Value Type
GetConnConfig () | KeyString | LUNAME | A sequence of up to eight characters. | String
ConnConfig | String | LUNAME | A sequence of up to eight characters. The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). | String
Set Connection | Connector |  | SNA or FMI | String
Settings () | Keyword | CONNECTOR | SNA or FMI | String
*applies only to those commands where a parameter requires both a keyword and a value.
9 END :


Microsoft SNA Connector: Working with Configuration Options

Before configuring the Microsoft SNA connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the SNA connector is installed, you should see the following listings:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\fmidll.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\fmi3270.dll

To begin configuring a session to use the SNA connector, click Modem in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. One sub-tab appears below the row of horizontal buttons. This tab contains all the options needed to configure the Microsoft SNA connector.

The one sub-tab used to configure the Modem connector is:

  • General options

9 END :


Microsoft SNA Connector Configuration Options: Connect Sub-tab

Session > Properties > Connectors > [Microsoft SNA] > Connect
The Connectors tab in the Session Properties dialog for the Microsoft SNA connector contains one sub-tab: Connect. This sub-tab provides all the selections necessary to configure the SNA connector. The following table lists all selections and descriptions for the sub-tab:
Use this option | In this manner . . .
LU Name | Enter a 1 to 8 character string for the logical unit name. The name must be unique among other logical unit names, is case sensitive, and can consists of numbers, uppercase letters, and special characters (such as the following symbols: percent (%), dollar ($), number (#), and at symbol (@).
9 END :


To configure the Microsoft SNA Server connector

1 Open a session window.

2 On the File menu, select New and then select Session.

A new session is created and the Session Properties dialog is automatically opened.

3 Click the Emulations tab.

4 In the row of horizontal emulation buttons, select 3270 or 3270 Print. Configure the emulation as you would when connecting with the remote host.

5 In the Session Properties dialog, select the Connectors tab.

6 In the row of horizontal connector buttons, select Microsoft SNA Server.

The SNA server may ask you to log into the server before proceeding. Whether the SNA server requires you to log in depends on the configuration of the Microsoft SNA Client and your connection to the server.

7 In LU Name, select a name.

8 Do one of the following:

  • a Select Display Connection Dialog to display the Connection Status dialog box. This dialog tracks the progress of the connection to the remote system.

  • b Clear the box to prevent the display of the Connection Status dialog box.

9 Using the remaining tabs of the Session Properties dialog, set any other needed parameters for the session with the remote system.

10 Click OK.

11 On the File menu, select Save As.

The Save Session As dialog box appears.

12 Enter a name for the session file and then click Save.

When you are ready to connect to the remote system, select Connect on the Session menu.

9 END :


Connectors: Telnet Connector

The Telnet connector establishes a Telnet session with a remote computer through either:

  • TCP/IP (Transport Control Protocol/Interface Program)

  • IPX/SPX (Novell’s Internetwork Package Exchange/Sequenced Packet Exchange).

TCP/IP

When using the TCP/IP protocol for a Telnet session verify the following:

  • The TCP/IP driver must conform to the Windows Sockets Interface version 1.1, or later.

  • The network server of the remote computer must have the host Telnet service software running.

  • Your computer has a working physical connection to the remote computer.

  • The TCP/IP software or Windows is properly configured for TCP/IP networking.

IPX/SPX

When using the IPX/SPX protocol for a Telnet session, a client/server relationship must exist between your computer running DCS and another computer system. In the communications session, DCS is the client.

When using the IPX/SPX protocol for a Telnet session verify the following:

  • Your computer must have a network adapter compatible with NetWare 3.x, or higher.

  • In Windows 95/98 or Windows NT 4.0, the IPX/SPX component of the system software must be installed. Typically, the software is installed when you add the network adapter to Windows.

  • In Windows NT 3.5x, you must install the IPX/SPX software (usually IPX.COM or IPXODI.COM) on your computer.

See Also

  • Telnet Terminal Types

  • General tab configuration options

  • Terminal tab configuration options

  • Other tab configuration options

  • Connector tasks

9 END :


Telnet Connector: DCS Terminal Types

When working with the Telnet connector, if you specify TCP/IP for the Network Type (General tab) you may specify the terminal type that is attempting the connection. This is done by selecting the Use the following Terminal Type selection option on the Terminal sub-tab of the Connectors tab in the Session Properties dialog.

Selected Emulation

Terminal Type

ADDS ViewPoint/60

ADDS

ANSI-BBS

Depends on Emulation Mode:

  • ANSI

  • SCOANSI

  • TTY

AT&T 605

Depends on Terminal Mode:

  • ATT605

  • PCXT

  • PCAT1

  • PCAT2

  • ATT705

TeleVideo 950

Depends on TeleVideo Model:

  • TV925

  • TV950

VT Series

Depends on Terminal Model:

  • VT52

  • VT100

  • VT101

  • VT102

  • VT220

  • VT320

  • VT420

Wyse

Depends on Emulation Mode:

  • Wyse50

  • Wyse60

9 END :


Telnet Connector: Telnet Terminal Types

ANSI Terminal Types

ANSI

Digital Equipment Corporation (DEC) Terminal Types

DEC-VT05 DEC-VT50 DEC-VT50H DEC-VT52 DEC-VT55 DEC-VT61 DEC-VT62

DEC-VT100 DEC-VT101 DEC-VT102 DEC-VT125 DEC-VT131 DEC-VT132

DEC-VT200 DEC-VT220 DEC-VT240 DEC-VT241

DEC-VT300 DEC-VT320 DEC-VT340

Hewlett Packard (HP) Terminal Types

HP-2392

HP-2621 HP-2623 HP-2626 HP-2626A HP-2626P HP-2627

HP-2640 HP-2640A HP-2640B

HP-2645 HP-2645A

HP2648 HP2648A

HP-2649 HP2649A

Network Virtual Terminal

TeleVideo, Inc. Terminal Types

TELEVIDEO-910 TELEVIDEO-912

TELEVIDEO-920 TELEVIDEO-920B TELEVIDEO-920C TELEVIDEO-925

TELEVIDEO-950 TELEVIDEO-955

TELEVIDEO-970 TELEVIDEO-975

International Business Machines (IBM) Terminal Types

TN6530-8

Wyse Technology Inc. Terminal Types

WYSE-30

WYSE-50

WYSE-60

WYSE-75

WYSE-85


Telnet Connector: Working with Configuration Options

Before configuring the Telnet connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Telnet connector is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\wixf.dll

To begin configuring a session to use the Telnet connector, click Telnet in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. Three sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the Telnet connector.

The three sub-tabs used to configure the Telnet connector are:

  • General options

  • Terminal options

  • Other options

9 END :


Telnet Connector Configuration Options: General Sub-tab

Session > Properties > Connectors > [Telnet ]> General

For most new Telnet connections, you may only need to enter the Host Address on the General tab. The other settings and tabs allow DCS to function properly in the wide variety of host systems and connections available in a Telnet connection.

Use this option

In this manner . . .

Host Address

If you selected TCP/IP for Network Type, enter the IP address of a remote system or select it from the list displayed below the text box. An IP address has the following format:

x1.x2.x3.x4

where xn is a decimal number in the range of 1 to 255.

If your connection supports a Domain Name Server, you can enter a host name in Host Address. DynaComm will remember the valid IP addresses and host names that you have entered

If you selected IPX/SPX for Network Type, enter the network address and the node address of the internetwork (IPX) address to connect to. A single space should separate these addresses. The addresses should have the following format:

NetworkAddress.NodeAddress

where NetworkAddress is an eight hexadecimal digit number determined by the LAN (Local Area Network) administrator, and

where NodeAddress is the twelve hexadecimal digit network address of the LAN adapter card.

Default: blank

TCP Port

(available when TCP/IP is selected in Network Type)

If you selected TCP/IP for Network Type, enter a port number for the remote system.

Default: 23

SPX Socket

(available when IPX/SPX is selected in Network Type)

If you selected IPX/SPX for Network Type, enter four hexadecimal digits. The host software determines the socket address.

Network Type

Select either:

  • TCP/IP

  • IPX/SPX

When you make this selection DCS automatically disables those Telnet configuration options (such as Terminal Type) which are not applicable to SPX network types. The Terminal and Other sub-tabs disappear.

Default: TCP/IP

Auto Reconnect

Select to automatically reconnect a session when the remote system has disconnected the session.

If the Telnet connector cannot reconnect, the connector attempts to reconnect every sixty (60) seconds. After the fifth unsuccessful attempt to reconnect, the connector displays a dialog box, notifying you that it could not reconnect to the remote system. To then reconnect to the remote system, you must either select Connect from the Session menu or use a script that connects the session.

Clear the box to disable automatic reconnection.

Default: Blank

Note

An attempt to reconnect will not be made if you have disconnected the session by selecting Disconnect or Disconnect All from the Session menu or if a script has executed a Disconnect command.

9 END :


Telnet Connector Configuration Options: Terminal Sub-tab

Session > Properties > Connectors > [Telnet] > Terminal

The Terminal tab provides information about the terminal that is connecting to the remote host. This sub-tab is available only for TCP/IP network types.

Use this option

In this manner . . .

Terminal Type Identification group

Do not negotiate Terminal Type

Prevents sending a specific terminal type to the remote host.

Use Terminal Type of currently selected emulation

Sends a terminal type based on the emulation you selected on the Emulation tab in the Session Properties dialog.

See Terminal Types or Telnet Terminal types.

Default selection

Use the following Terminal Type

Sends the terminal type selected or entered in the text box.

The terminal type list includes those types that are provided with DCS. To specify a type that is not in the list, enter the custom terminal type name in the text box. To save the type for later use, save the session properties with the File > Save command.

When the custom terminal type is saved in the session properties, it remains in the text box and is not placed in the list displayed with the arrow button. The custom terminal type is not available to other sessions or other users. That is, this entry is specific to the session.

If the custom terminal type is removed or overwritten with a different custom terminal type in the text box and the session properties saved, the prior custom terminal type must be re-entered if needed.

See Available Telnet Terminal Types .

9 END :


Telnet Connector Configuration Options: Other Sub-tab

Session > Properties > Connectors > [Telnet ]> Other

The Other tab allows for setting of optional properties specific to the Telnet connector.

Use this option

In this manner . . .

Initiate Negotiations group

Binary Mode

Select to ask the remote system whether the remote system expects data (sent and received) as 8-bit characters (binary mode) or as 7-bit characters (ASCII, or character mode).

Default: Cleared

Line Mode

Select if the selected emulation can send data to the remote system a line at a time.

Selecting this option directs a buffer to hold the characters entered, until a carriage return character is used (usually the Enter key). The Line Mode setting is relevant in a session where the TCP Port is set to 23. Otherwise, the setting is ignored.

Default: Selected

Respond to All Telnet Timing Marks

Select to have DCS respond to timing marks used for negotiations by the host system or application beyond the initial mark.

If the host is set up to use timing marks and the terminal does not respond within the specified time range, the terminal session is disconnected.

Default: Cleared

Client Socket group

Local Port

Enter an integer for the TCP/IP socket port that DCS (as the client) uses.

A valid socket port number must be an integer in the range of 1 and 65536. However, if you enter zero (the default for most remote systems) in Client Socket, the remote system will set the port number for the session to an available port.

Some remote servers expect particular socket port numbers for its clients. Without a correct socket port number, such a server might reject an attempt to connect to it.

Default: 0

Bypass TIME-WAIT state

Select this option to force the Telnet connection to attempt to reconnect to the same port without waiting for the standard period defined by the Transmission Control Protocol (TCP).

The TIME-WAIT state helps to prevent packet loss in the case of an interrupted transmission or disconnection by preventing new data from being sent to the port before the previously transmitted data has been received. If you have enabled Bypass TIME_WAIT state, new data (or even data from another user) may arrive at the port before older data.

Default: cleared

Break Signal group

Interrupt Process

Select if the remote system requires an IAC IP type of break signal.

Default: Selected

Telnet Break

Select if the remote system requires an IAC TB type of break signal.

Wait for data mark

Select if the remote system sends a Data Mark after a Break signal.

You may need to experiment with the remote system to find the correct setting for this check box.

Default: Cleared

Service

Enter the type of service that the remote system recognizes. For instance, a service might be TACL.

Default: Blank

Note

DCS uses this property only when you have selected the Tandem emulation. See Tandem Emulation for more information.

CR Pairing (for Outbound data)

Select a character to append to a carriage return (CR).

  • None the connector does not append any character to a carriage return (the CR character, or hexadecimal 0D).

  • Null the null character (hexadecimal 00) follows a carriage return character.

  • CR/LF the line feed character (hexadecimal 10) follows a carriage return character

Default: None

9 END :


Connectors: Trace Play Connector

The Trace Play connector is a part of the Trace facility that replays a binary trace file session.

A trace file is used to determine the source of problems in a session. A trace is useful for looking at problems occurring around the terminal emulation, file transfer protocol, and connector in a session. A trace session is configured with the Trace connector of the Session Properties dialog.

Configuring the Trace Play connector in the Session Properties dialog requires setting up options on one tab: General. This tab provides configuration options for selecting a file to collect the session activity as well as options for sizing the Read buffer.

The options on this tab have default settings. Check these settings carefully to ensure correct set up for the Trace Play connector.

See Also

  • General tab configuration options

  • Connector tasks

9 END :


Text Report Trace Example

Below is an example of a text trace. The first line of a section indicates where the data was going, the type of trace, and how many milliseconds since the session started (in the first line, 3599 ms, or 3.599 seconds). The next line or lines are the characters moving to or from the remote system.

In the first section below, the line represents twelve characters sent from the host. The left side is the hexadecimal representation of the characters. The right side is the textual representation of the characters.

Data from Host (with communication protocol) : Delta 3599 ms

FF FB 03 FF FB 01 FF FB 00 FF FD 00 ÿû.ÿû.ÿû.ÿý.

Data from Host (with communication protocol) : Delta 3620 ms

41 75 74 6F 2D 73 65 6E 73 69 6E 67 2E 2E 2E 0D 0A 20 20 20 Auto-sensing.....

20 1B 5B 36 6E 08 08 08 08 0D 20 20 20 20 1B 5B 21 08 08 08 .[6n..... .[!...

0D 01 01 01 01 01 01 01 01 01 08 08 08 08 08 08 08 08 08 ...................

Data to Host (with communication protocol) : Delta 3639 ms

1B 5B 31 3B 30 52 .[1;0R

Data from Host (with communication protocol) : Delta 3673 ms

FF FB 03 FF FD 03 ÿû.ÿý.

9 END :


To set up a trace for a terminal in Block mode

1 Open a new session or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Trace tab.

4 Click Select.

The Select a Trace File dialog box appears. The name of the last trace file is shown in the File name text box.

5 If necessary, select a different file to capture the trace results.

6 Click OK.

If you are using the previous trace file, you will be prompted to confirm overwriting its contents.

7 If necessary, click Yes to overwrite the current trace file contents.

8 Select one option in the Trace Content group.

9 Select Binary in the Mode group.

10 Select the data direction in the Direction group.

11 Check Block Mode in the Options group.

12 Check any other selections in the Options group, if needed.

13 Click OK.

14 If you did not select Start Trace on Connect in the Options group, select Session and then click Trace > Start to start the trace capture.

15 Perform the session activities that you want to analyze.

16 Select Session and then click Trace > Stop.

9 END :


To set up a trace for a terminal not in Block mode

1 Open a new session or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Trace tab.

4 Click Select.

The Select a Trace File dialog box appears. The name of the last trace file is shown in the File name text box.

5 If necessary, select a different file to capture the trace results.

6 Click OK.

If you are using the previous trace file, you will be prompted to confirm overwriting its contents.

7 If necessary, click Yes to overwrite the current trace file contents.

8 Select one option in the Trace Content group.

9 Select Text Report in the Mode group only if you do not want to replay the trace.

10 Select the data direction in the Direction group.

11 Verify that Block Mode in the Options group is unchecked.

12 Check any other selections in the Options group, if needed.

13 Click OK.

14 If you did not select Start Trace on Connect in the Options group, select Session and then click Trace > Start to start the trace capture.

15 Perform the session activities that you want to analyze.

16 Select Session and then click Trace > Stop.

9 END :


To playback a session trace

1 From the File menu, select New > Session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 For TN3270 or TN5250 emulation playback sessions, you must specify the same character set that was used during the trace session. Therefore, on the General tab of the Session Properties dialog, select the corresponding character set from the Character set list.

4 Click the Connectors tab.

5 Select Trace Play.

6 Click Select in the Trace File group.

7 Select the trace file and click Open.

8 Enter a number in Bytes and ms.

9 If the trace file was created in Block mode, check Block Mode File.

10 Click OK.

The playback starts automatically if Auto Connect On Session Open on the General tab of the Session Properties dialog is selected.

11 To start the playback, select Trace > Start from the Session menu.

12 Choose one of the following:

  • Allow the playback to complete.

  • To suspend the playback, select Trace > Pause from the Session menu.

  • To stop (abort) the playback, select Trace > Stop from the Session menu.

  • To restart the playback, select Trace > Start from the Session menu.

9 END :


Trace Play Connector: Working with Configuration Options

Before configuring the Trace Play connector, determine if the connector is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Trace Play connector is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\CONN\trcconn.flx

To begin configuring a session to use the Trace Play connector, click Modem in the row of horizontal buttons at the top of the Connectors tab in the Session Properties dialog. One sub-tab appears below the row of horizontal buttons. This tab contains all the options needed to configure the Trace Play connector.

The one sub-tab used to configure the Trace Play connector is:

  • General options

9 END :


Trace Play Connector Configuration Options: General Sub-tab

Session > Properties > Connectors > [Trace Play] > General

The Connectors tab in the Session Properties dialog for a Trace Play connector contains one sub-tab: General. This sub-tab provides all the selections necessary to configure the Trace Play connector. The following tables list all selections and descriptions for the sub-tab:

Use this option

In this manner . . .

Trace File group

Displays the Select A Trace File To Replay dialog.

Select a trace file to replay. A trace file has a .trc extension and is stored in the Program Files/FutureSoft/DCSeries/trace folder.

Read Buffer Size group

Bytes

Enter a number to specify the trace file section size to display at a time.

The number determines how smoothly the trace facility replays successive sections of the trace file in the session window. The higher the number, the more irregular or abrupt the replay appears - whole groups of characters (or lines of characters) at a time will suddenly appear in the session window.

The entered value can be from 1 to 99999.

Default: 50

Read Rate group

ms

Enter a number to specify the amount of elapsed time (in milliseconds) to separate the display of successive sections from the trace file.

The number determines the speed that the trace facility replays the trace file in the session window.

The entered value can be from 0 to 99999.

Default: 1000

Block Mode File

Check if the:

  • terminal emulation has a block mode, and

  • trace file was created with Block Mode in the Options group on the Trace tab in the Session Properties dialog selected.

Default: Cleared

Note

  • If you do not check this option for trace files created in block mode, you may see seemingly spurious characters in the session window.

If you check this option for trace files which were not created in block mode, the replay may be unpredictable.

  • Before replaying a binary trace with the Trace Play connector, you must select the same character set for the emulation that was selected when the trace was recorded.

For example, a character set can be specified for the TN3270 and TN5250 Client Options from the Character set list on the Session sub-tab on the Emulations tab in the Session Properties dialog. Before replaying a trace of one of these emulations, you must select the same character set used in the trace.

9 END :


To configure a connector

1 Open a new session or an existing session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 In the Session Properties dialog, click the Connectors tab.

4 Select one of the connector buttons from the horizontal row of buttons.

5 Complete the text boxes and make the appropriate selections in the various sub-tabs on the Connectors tab.

6 Click OK.

See Also

  • Direct Serial connector

  • Meridian LAT32 connector

  • Modem connector

  • Microsoft SNA Server connector

  • Telnet connector

  • Trace Play connector

9 END :


To view installed connectors

1 On the Help menu, select About DynaComm.

2 In the About DynaComm dialog box, click Modules >>>.

A scroll list of all installed software modules and components is displayed.

3 In the Module list, locate all files listed in the c:\Program Files\FutureSoft\DCSeries\connl\ directory.

Use the Connectors Files >Main list to determine which protocols are installed.

9 END :


To view session connector properties

1 Open a saved session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 Click the Connectors tab.

To determine which connector has been configured for the session, locate the depressed button in the horizontal row of buttons at the top of the dialog.

To determine which options have been selected, click on the sub-tab(s) in the lower half of the dialog box to bring each set of properties into view.

9 END :


Emulations: Working with Emulators

Emulators specify the type of terminal your PC will act as to communicate with other computers. The Emulations tab in the Session Properties dialog contains configuration information for implementing the selected emulator on your computer. The following emulations are available:

  • ADDS ViewPoint/60

  • ANSI/TTY/SCO-ANSI

  • AT&T 605/705

  • AT&T 4425

  • DEC VT Series

  • HP 700/94

  • Tandem 6530

  • TeleVideo 925/950

  • TN3270

  • TN5250

  • Wyse 50/60

The information in this Online Reference about emulators can only be suggestions or guidelines in certain situations. Some of the emulations must function with a variety of hosts. To correctly configure your emulator, you may need to consult vendor documentation for the emulator or your network administrator.

DCS Emulators

DCS provides up to 11 emulators. However, the emulators available on your particular terminal depend on the ones chosen during the installation process. To determine which emulators you have access to on your system, use the Help > About DynaComm > Modules command to view a listing of all installed modules. The emulators are listed with a prefix of:

example: c:\Program Files\FutureSoft\DCSeries\emul\

The following table provides the corresponding file name for each emulator:

Emulator

File name

ADDS ViewPoint/60

addsvp60.flx

ANSI/TTY/SCO-ANSI

ansi.flx

AT&T 605/705

att605.flx

AT&T 4425

att4425.flx

DEC VT Series

vt420.flx

HP 700/94

hp70094.flx

Tandem 6530

tandem.flx

TeleVideo 925/950

tv950.flx

TN3270

ibm3270.flx

TN5250

ibm5250.flx

Wyse 50/60

wyse.flx

9 END :


ADDS Viewpoint/60 Emulation

Selecting the ADDS/VP60 button on the Emulations tab of the Session Properties dialog enables the ADDS (Applied Digital Data Systems, Inc.) Viewpoint 60 terminal emulation.

The table below is your information map to all reference information available for the ADDS VP/60 emulation:

Section

Description

General Information and Support

An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.

Configuration Options

Describes each configurable option for the emulation. The options are located on five separate sub-tabs on the Emulations tab of the Session Properties dialog.

Map files

Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.

Escape sequences

Lists the supported escape sequences.

Scripting Parameter Values

A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


ADDS VP/60: General Information and Support

Conversational mode

The ADDS VP/60 emulation supports Conversational mode for unformatted screens, only. In Conversational mode, data is not buffered but rather transferred on a character by character basis as it is typed. No buffered data mode is supported. Message, Page, Form, and Modify modes are not supported.

Printing and Connections functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the ADDS VP/60 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Editor to remove the default mapping for this key.

Shift Key

Un-shifted alphanumeric keys will always display in the session window as the character associated with the un-shifted state of the key. This characteristic is unlike an ADDS VP/60 terminal, which can display either lowercase or uppercase characters when a key is un-shifted. However, the ADDS VP/60 emulation in DCS does retain the other functions of the Shift key in the ADDS VP/60 terminal: displays alternate characters for an alphanumeric key, and performs alternate functions for a key, when pressed with a command key (such as the Tab key).

9 END :


ADDS VP/60 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the ADDS VP/60 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

ADDS VP/60 Terminal Key
or Terminal Function

Meta String

Sends Escape Sequence

Break

Break

Esc[

F1

F1

STX1

F2

F2

STX2

F3

F3

STX3

F4

F4

STX4

F5

F5

STX5

F6

F6

STX6

F7

F7

STX7

F8

F8

STX8

Shift F1

Shift F1

STX!

Shift F2

Shift F2

STX"

Shift F3

Shift F3

STX#

Shift F4

Shift F4

STX$

Shift F5

Shift F5

STX%

Shift F6

Shift F6

STX_

Shift F7

Shift F7

STX’

Shift F8

Shift F8

STX(

Cursor Move Left

Left Arrow

^U

Cursor Move Right

Right Arrow

^F

Cursor Move Up

Up Arrow

^Z

Cursor Move Down

Down Arrow

^J

Delete Character

Delete

EscE

Backspace

Backspace

^H

Tab

Tab

^I

Enter Key

Enter

^M

Carriage Return

Return

^M

Scroll Lock

Scroll Lock

n/a

9 END :


ADDS VP/60: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.
Function/Command | Parameter(s) | Keyword* | Value(s) Returned | Value Type
GetEmulConfig () | KeyString | LOCALECHO | true, false | String
 |  | AUTOSCROLL | true, false | String
 |  | AUTOLINEFEED | true, false | String
 |  | LINETERMINATOR | none, cr, creot, cretx | String
EmulConfig | String | LOCALECHO | true, false | String
 |  | AUTOSCROLL | true, false | String
 |  | AUTOLINEFEED | true, false | String
 |  | LINETERMINATOR | none, cr, creot, cretx | String
Set Emulation | Emulation |  | ADDSVP60 | String
Settings () | Keyword | EMULATE | ADDSVP60 | String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


ADDS VP/60: Working with Configuration Options

To determine if the ADDS Viewpoint 60 emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the ADDS Viewpoint 60 emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\addsvp60.flx

To configure a session to emulate an ADDS Viewpoint 60 terminal, begin by clicking ADDS/VP60 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Five sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an ADDS Viewpoint 60 terminal.

The five sub-tabs used to configure the ADDS Viewpoint 60 emulation are:

  • General tab options

  • Attributes tab options

  • Translation tab options

  • Keyboard tab options

  • Hotspots tab options

9 END :


ADDS VP/60 Configuration Options: General Sub-tab

Session > Properties > Emulations > [ADDS VP/60] > General

The General tab contains several configuration options for the ADDS VP/60 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Line terminator group

The selected parameter determines which hexadecimal character sequence is sent when you press the Enter key, the function keys F1 through F8, or the function keys Shift+F1 through Shift+F8.

  • No terminator

No line termination character is sent.

  • CR

Sends line termination character with hexadecimal value 0D.

  • CR EOT

Sends line termination character with hexadecimal value 0D 04.

  • CR ETX

Sends line termination character with hexadecimal value 0D 03.

Default: No terminator

Auto linefeed

Select to move the insertion cursor to the first column of the next line when the Enter key is pressed, or when the insertion cursor is in the rightmost column and the Right Arrow key is pressed.

Clear to move the insertion cursor to the first column of the same line when the Enter key is pressed, or when the insertion cursor is in the rightmost column and the Right Arrow key is pressed.

Default: Selected

Auto scroll

Select to move the display up one row when the insertion cursor is on row 24 and either the Down Arrow key is pressed or the session receives a line feed. The top row is lost and the cursor remains on the row 24.

Clear to move the cursor to the top row when the insertion cursor is on row 24 and either the Down Arrow key is pressed or the session receives a line feed.

Default: Selected

Local echo

Select to have keystrokes sent to the host also displayed in the session window. This setting is useful when the host system does not automatically echo the keystrokes back to the PC (and therefore they will not be displayed in the session).

Clear to have keystrokes sent to the host not displayed in the session window. This setting is most common since most host systems automatically echo the keystrokes back to the PC (and therefore they will be displayed in the session).

Default: Cleared

Note

If you see two characters appear on the screen for each of your keystrokes, clear this setting.

9 END :


Session Properties Emulations Tab: Attributes Sub-tab

Session > Properties > Emulations > Attributes

Each emulation includes a default attribute map. The attribute map assigns a host display attribute, such as Underline, to a similar attribute on the PC. In effect, the attribute map makes your PC display act like the display of the emulated terminal.

For various reasons you may need to change the display attributes to aid in locating certain functions or character strings. The Attributes sub-tab offers the capability to select a different attribute map file for the individual session. You can select a file stored on your local machine (Local File selection) or a file stored on a Web server (Internet File selection).

Alternatively, the Edit key accesses the Attribute Editor that provides the capability to create a completely new attribute map file.

Use this element

in this manner . . .

Attributes Map group

Local File

Select a file from the drop down list.

The Browse button is available to navigate to a saved file on your terminal. The Edit button is also available to change the currently selected attribute file or to create a new attribute file that is then stored on your local machine.

Default: [Default]

Internet File

Enter the full URL path after entering the "http://" notation to select a attribute file stored on a Web server.

Default: Blank

Note

Neither the Browse button nor the Edit button is available. Saving or changing files on a Web server is not allowed.

-------------------------------------------------------------------------------------------------

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the desired file location. Select the desired attribute file name (.acm) and then click Open to place the file name in the text box on the Attributes sub-tab.

Click to access the Attributes Map Editor.

The Attributes dialog appears. See the Attributes Editor for more information.

Click to delete or remove the attribute map file name displayed in the text box.

9 END :


Session Properties Emulations Tab: Translation Sub-tab

Session > Properties > Emulations > Translation

Each emulation includes a default character translation map. The character translation map assigns a host display character to a display character on your local machine. In effect, the character translation map makes your local terminal keyboard act like the keyboard of the emulated terminal.

The Translation sub-tab offers the capability to select a different character translation map file for the individual session. This allows you to set up different translation files for separate applications accessed on a host. You can select a character translation file stored on your local machine (Local File selection) or a file stored on a Web server (Internet File selection).

Alternatively, the Edit key accesses the Character Translation Map Editor that provides the capability to create a completely new character translation file.

Use this element

in this manner . . .

Character Translation Map group

Local File

Select a file from the drop down list.

The Browse button is available to navigate to a saved file on your terminal. The Edit button is also available to change the currently selected character translation file or to create a new character translation file that is then stored on your local machine.

Default: [Default]

Internet File

Enter the full URL path after entering the "http://" notation to select a character translation file stored on a Web server.

Default: Blank

Note:

Neither the Browse button nor the Edit button is available. Saving or changing files on a Web server is not allowed.

-------------------------------------------------------------------------------------------------

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the desired file location. Select the desired character translation file name (.trf) and then click Open to place the file name in the text box on the Translation tab.

Click to access the Character Translation Map Editor.

The Character Map Editor dialog appears. See the Character Translation Map Editor for more information.

Click to delete or remove the character translation map file name displayed in the text box.

9 END :


Session Properties Emulations Tab: Keyboard Sub-tab

Session > Properties > Emulations > Keyboard

Each emulation includes a default keyboard map. The keyboard map assigns a terminal key or the function of a terminal key to a key on the PC keyboard. In effect, the keyboard map makes your PC keyboard act like the keyboard of the emulated terminal. The emulated terminal’s keyboard and your computer’s keyboard may not have the same set of keys or may not have similar functions for the various keys.

The Keyboard sub-tab offers the capability to select a different keyboard map file for your computer’s keyboard. You can select a file stored on your local machine (Local File selection) or a file stored on a web server (Internet File selection).

Alternatively, the Edit key accesses the Keyboard Map Editor that provides the capability to create a completely new keyboard map file. The Keyboard Map Editor is often referred to as the Keyboard Mapper.

Note

Windows does not allow you to re-map the Print Screen (or System Request) key.

Use this element

in this manner . . .

Local File

Select a file from the drop down list.

The Browse button is available to navigate to a saved file on your terminal. The Edit button is also available to change the currently selected keyboard file or to create a new keyboard file that is then stored on your local machine.

Default: [Default]

Internet File

Enter the full URL path after entering the "http://" notation to select a keyboard file stored on a Web server.

Default: Blank

Note

Neither the Browse button nor the Edit button is available. Saving or changing files on a Web server is not allowed.

-------------------------------------------------------------------------------------------------

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the desired file location. Select the keyboard map file name (.kbm) and then click Open to place the file name in the text box on the Keyboard sub-tab.

Click to access the Keyboard Map Editor.

The Keyboard Map dialog appears. See the Keyboard Map Editor for more information.

Click to delete or remove the keyboard map file name displayed in the text box.

9 END :


Session Properties Emulations Tab: Hotspots Sub-tab

Session > Properties > Emulations > Hotspots

Each emulation includes a default hotspots map. Hotspots are used to automate repetitive functions or tasks by associating a terminal key function, a text string, launch of an executable file or a menu selection to a key or character string.

The Hotspots sub-tab offers the capability to select a different hotspots map file for the individual session. This allows you to set up different hotspot files for separate applications accessed on a host. You can select a hotspot file stored on your local machine (Local File selection) or a file stored on a Web server (Internet File selection).

Alternatively, the Edit key accesses the Hotspot Editor that provides the capability to create a completely new hotspot file.

Use this element

in this manner . . .

Hotspots Map group

Local File

Select a file from the drop down list.

The Browse button is available to navigate to a saved file on your terminal. The Edit button is also available to change the currently selected hotspot file or to create a new hotspot file that is then stored on your local machine.

Default: [Default]

Internet File

Enter the full URL path after entering the "http://" notation to select a hotspot file stored on a Web server.

Default: Blank

Note

Neither the Browse button nor the Edit button is available. Saving or changing files on a Web server is not allowed.

-------------------------------------------------------------------------------------------------

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the desired file location. Select the desired hotspots file name (.hot) and then click Open to place the file name in the text box on the Hotspots tab.

Click to access the Hotspot Editor.

The Hotspots Setup dialog appears. See the Hotspot Editor for more information.

Click to delete or remove the hotspot map file name displayed in the text box.

9 END :


ADDS VP/60: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The ADDS ViewPoint 60 emulation supports the following escape sequences:

  • General, Display, or Terminal Functions

  • Cursor Movement Functions

  • Horizontal or Vertical Cursor Position

  • Absolute Cursor Position

  • Editing Functions

  • Fine Line Graphics Display

  • Video Attributes

9 END :


ADDS VP/60 Escape Sequences: General, Display, or Terminal Functions

Function | Escape Sequence | Description
Aux Off (Aux Port Disable) | ^T | This function is similar to the Transparent Mode Disable function. The host system sends characters to the session screen. This function sends the ASCII Dc4 character. Note Default state for the emulation.
Aux On (Aux Port Enable) | ^R | This function is similar to the Transparent Mode Enable function. The remote system sends characters to your computer’s default printer, not to the session screen. This function sends the ASCII Dc2 character.
Break | Null | Interrupts and terminates any active data transmission between the remote system and the host session.
Clear Screen | ^L | Clears the entire session screen.
Cursor Off | ^W | Makes the session cursor invisible in the session window.
Cursor On | ^X | Makes the session cursor visible in the session window.
Fine Line Graphics Disable | Esc 2 | Turns off Fine Line Graphics.
Fine Line Graphics Enable | Esc 1Graph | Displays a graphics character described by Graph. Use the Fine Line Graphics table to determine the character to use for Graph.
Ring Bell | ^G | Produces a tone for approximately 500 ms and produces an audible key click.
Set Video Attributes | Esc 0Attr | Displays a character with the attribute described by Attr. Use the Video Attributes table to determine which character to use for Attr.
Transparent (Print) Mode Disable | Esc 4 | Turns off Transparent Mode. Characters sent by the host are sent to the session screen. Note Default state for the emulation.
Transparent (Print) Mode Enable | Esc 3 | Turns on Transparent Mode. Characters sent by the host are sent to your computer’s default printer and not to the session screen.
9 END :


ADDS VP/60 Escape Sequences: Cursor Movement Functions

Function

Escape Sequence

Description

Backspace
(non-destructive)

^H

Moves the cursor to the left. This function sends the ASCII Bs character.

If the cursor is at the beginning of the line, the cursor moves to the opposite end of the previous line.

If the cursor is at the top, leftmost, character position, the cursor moves to the bottom, rightmost, character position.

Carriage Return

^M

Moves the cursor to the beginning of the next line, if Auto Linefeed is enabled on the ADDS VP/60 General tab of the Session Properties dialog.

If Auto Linefeed is disabled, the cursor moves to the beginning of the current line.

Cursor Horizontal Position

^PHPos

Moves the cursor to the column specified by HPos. Use the Horizontal/Vertical Position table to determine which character to use for HPos.

The cursor stays on the same line. This function sends the ASCII DLE character before sending the column information.

Cursor Move Down

^J

This function is the line feed character and moves the cursor down and stays in the same column.

If Auto scroll is enabled on the ADDS VP/60 General tab in the Session Properties dialog, and if the cursor is in row 24 (the session screen’s last line), the cursor moves to the top row in the session screen.

If Auto scroll is disabled, and the cursor is in the last line, the screen will move up one line. The first line is lost and the cursor stays in the new bottom line.

Cursor Move Home

^A

Moves the cursor to the top, leftmost, character position.

Cursor Move Left

^U

This function acts like the Backspace function, but sends the ASCII NAK character. If the cursor is in the leftmost column, the cursor moves to the rightmost column of the previous line.

Cursor Move Right

^F

Moves the cursor to the next column. If Auto Linefeed is enabled on the ADDS VP/60 General tab of the Session Properties dialog, and if the cursor is in the rightmost column of a line, the cursor moves to the beginning of the next line.

If Auto Linefeed is disabled, the cursor moves to the beginning of the current line.

If the cursor is on line 24 in the rightmost column, the screen will scroll up one line.

Cursor Move Up

^Z

Moves the cursor up one line. If the cursor is in the top line, the cursor moves to the bottom line, while staying in the same column.

Cursor Position (Absolute)

Esc YLineCol

Moves the cursor to the character position specified by Line and Col.

Use the Absolute Position table to determine which characters to use for Line and Col.

Cursor Vertical Position

^KVPos

Moves the cursor to the line described by VPos and stays in the same column.

Use the Horizontal/Vertical Position table to determine which character to use for VPos. The ASCII VT character precedes the line information.

9 END :


ADDS VP/60 Escape Sequences: Absolute Cursor Position

To move the cursor to a specific screen location, use escape sequence:

Esc YlineCol

where line and Col are values from the table below.

Position

Line

Col

1

(Space)

(Space)

2

!

!

3

"
(Double Quote)

"
(Double Quote)

4

#

#

5

$

$

6

%

%

7

&

&

8

'
(Single Quote)

'
(Single Quote)

9

(

(

10

)

)

11

*
(Asterisk)

*
(Asterisk)

12

+

+

13

,
(Comma)

,
(Comma)

14

-
(Hyphen)

-
(Hyphen)

15

.
(Period)

.
(Period)

16

/

/

17

0

0

18

1

1

19

2

2

20

3

3

21

4

4

22

5

5

23

6

6

24

7

7

25

8

26

9

27

:
(Colon)

28

;
(Semicolon)

29

<

30

=

31

>

32

?

33

@

34

A

35

B

36

C

37

D

38

E

39

F

40

G

41

H

42

I

43

J

44

K

45

L

46

M

47

N

48

O

49

P

50

Q

51

R

52

S

53

T

54

U

55

V

56

W

57

X

58

Y

59

Z

60

[

61

\

62

]

63

^
(Caret)

64

_
(Underscore)

65

`
(Grave)

66

a

67

b

68

c

69

d

70

e

71

f

72

g

73

h

74

i

75

j

76

k

77

l

78

m

79

n

80

o

9 END :


ADDS VP/60 Escape Sequences: Horizontal/Vertical Cursor Position

To move the cursor a horizontal or vertical cursor position, use escape sequences:

^KHPos

^PVPos

respectively, where HPos or VPos is a value from the table below.

Position

HPos

VPos

1

^@

@

2

^A

A

3

^B

B

4

^C

C

5

^D

D

6

^E

E

7

^F

F

8

^G

G

9

^H

H

10

^I

I

11

^P

J

12

^Q

K

13

^R

L

14

^S

M

15

^T

N

16

^U

O

17

^V

P

18

^W

Q

19

^X

R

20

^Y

S

21

(Space)

T

22

!

U

23

"
(Double Quotes)

V

24

#

W

25

$

26

%

27

&

28

`
(Grave)

29

(

30

)

31

0

32

1

33

2

34

3

35

4

36

5

37

6

38

7

39

8

40

9

41

@

42

A

43

B

44

C

45

D

46

E

47

F

48

G

49

H

50

I

51

P

52

Q

53

R

54

S

55

T

56

U

57

V

58

W

59

X

60

Y

61

\

62

a

63

b

64

c

65

d

66

e

67

f

68

g

69

h

70

i

71

p

72

q

73

r

74

s

75

t

76

u

77

v

78

w

79

x

80

y

9 END :


ADDS VP/60 Escape Sequences: Editing Functions

Function | Escape Sequence | Description
Delete Character | Esc E | Deletes the character at the cursor and moves all characters on the right of the deleted character to the left one column position. A space fills the right-most column. The movement of characters only affects the line with the cursor.
Delete Characters to End of Line | Esc K | Deletes the characters from the cursor position to the end of the line.
Delete Characters to End of Page | Esc e | Deletes all characters from the cursor position to the end of the session screen.
Delete Variable Fields to End of Page | Esc k | Deletes all variable fields from the cursor to the end of the session screen.
Delete Line | Esc l | Deletes the line which contains the cursor, and moves up each line below the cursor. A blank line fills the session screen as the last line.
Insert Characters in a Line | Esc F | Characters are inserted at the current cursor position. Characters to the right of the cursor are moved to the right one column as a new character is inserted. Characters in the rightmost column are lost when a character is inserted. If the cursor is in the rightmost column, only the last character is preserved in the session screen. The characters will not move to the beginning of the next line.
Insert Line | Esc M | The line of characters with the cursor in it and all lines below the cursor move down one line to make room for a blank line, the characters in the last line of the session screen are lost, and the cursor moves to the leftmost column.
Tab | ^I | Moves the cursor to the next tab stop in a line.
Tab Back | Esc O | Moves the cursor to the previous tab stop in a line. If the cursor is at a variable field, the cursor will move to the beginning of the previous variable field.
9 END :


ADDS VP/60 Escape Sequences: Fine Line Graphics Display

To enable Fine Line Graphics, use escape sequence:

Esc 1Graph

where Graph is a value from the table below. When Fine Line Graphics are enabled, pressing one of the keys indicated below will display the graphic shown.

Fine Line Graphic

Display Attributes

Normal

Half Intensity

Flashing

Half intensity Flashing

Lower right corner

@

A

B

C

Lower left corner

D

E

F

G

Upper right corner

H

I

J

K

Upper left corner

L

M

N

O

Bottom intersect

P

Q

R

S

Left Intersect

T

U

V

W

Right Intersect

X

Y

Z

[

Top Intersect

\

]

^
(caret)

_
(underscore)

Horizontal Line

` (grave)

a

b

c

Vertical Line

d

e

f

g

Crossed Lines

h

i

j

k

9 END :


ADDS VP/60 Escape Sequences: Video Attributes

To set a video attribute Fine Line Graphics, use escape sequence:

Esc 0Attr

where Attr is a value from the table below.

Note

Protected and Constant video attributes are not supported.

Video Attributes

Variable

Print Only

Normal

@

Half Intensity (Half)

A

Blink

B

Half/Blink

C

Invisible (or Zero)

D

l

Reverse

P

Reverse/Half

Q

Reverse/Blink

R

Reverse/Half/Blink

S

Reverse/Zero

T

Underline

`
(grave)

Underline/Half

a

Underline/Blink

b

Underline/Half/Blink

c

Underline/Reverse

p

Underline/Reverse/Half

q

Underline/Reverse/Blink

r

Underline/Reverse/Blink/Half

s

9 END :


ADDS VP/60: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the ADDS ViewPoint 60 emulation, the following map files are available:

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


ADDS VP/60 Map Files: Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] ADDS Viewpoint 60 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Bold | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | white | black
Half intensity | X |  |  |  |  | white | black
Reverse |  | X |  |  |  | black | white
Half intensity Reverse | X | X |  |  |  | black | white
Flashing |  |  | X |  |  | white | black
Half intensity Flashing | X |  | X |  |  | white | black
Reverse Flashing |  | X | X |  |  | black | white
Half intensity Reverse Flashing | X | X | X |  |  | black | white
Underline |  |  |  | X |  | white | black
Half intensity Underline | X |  |  | X |  | white | black
Reverse Underline |  | X |  | X |  | black | white
Flashing Underline |  |  | X | X |  | white | black
Half intensity Reverse Underline | X | X |  | X |  | black | white
Half intensity Flashing Underline | X |  | X | X |  | white | black
Reverse Flashing Underline |  | X | X | X |  | black | white
Half intensity Reverse Flashing Underline | X | X | X | X |  | black | white
Invisible |  |  |  |  | X | n/a | black
Half intensity Invisible | X |  |  |  | X | n/a | black
Reverse Invisible |  | X |  |  | X | n/a | white
Flashing Invisible |  |  | X |  | X | n/a | black
Underline Invisible |  |  |  | X | X | n/a | black
Half intensity Reverse Invisible | X | X |  |  | X | n/a | white
Half intensity Flashing Invisible | X |  | X |  | X | n/a | black
Half intensity Underline Invisible | X |  |  | X | X | n/a | black
Reverse Flashing Invisible |  | X | X |  | X | n/a | white
Reverse Underline Invisible |  | X |  | X | X | n/a | white
Flashing Underline Invisible |  |  | X | X | X | n/a | black
Half intensity Reverse Flashing Invisible | X | X | X |  | X | n/a | white
Half intensity Reverse Underline Invisible | X | X |  | X | X | n/a | white
Half intensity Flashing Underline Invisible | X |  | X | X | X | n/a | black
Reverse Flashing Underline Invisible |  | X | X | X | X | n/a | white
Half intensity Reverse Flashing Underline Invisible | X | X | X | X | X | n/a | white
9 END :


ADDS VP/60 Map Files: Character Translations

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.

The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead.

The [default] ADDS Viewpoint 60 character translation map file has the following mappings established:

Host to Display

Display to Windows

Host

Display

Display

Windows

FSANSI

FSANSI

FSCOMP1

FSCOMP1

See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each character set.

9 END :


ADDS VP/60 Map Files: Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] ADDS Viewpoint 60 hotspot map file has the following mappings established:
Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
9 END :


ADDS VP/60 Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] ADDS Viewpoint 60 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted
VP/60 Keyboard | IBM PC Keyboard | ASCII | Hexadecimal
F1 | F1 | STX 1 | 02 31
F2 | F2 | STX 2 | 02 32
F3 | F3 | STX 3 | 02 33
F4 | F4 | STX 4 | 02 34
F5 | F5 | STX 5 | 02 35
F6 | F6 | STX 6 | 02 36
F7 | F7 | STX 7 | 02 37
F8 | F8 | STX 8 | 02 38
Shift F1 | Shift F1 | STX ! | 02 21
Shift F2 | Shift F2 | STX " | 02 22
Shift F3 | Shift F3 | STX # | 02 23
Shift F4 | Shift F4 | STX $ | 02 24
Shift F5 | Shift F5 | STX % | 02 25
Shift F6 | Shift F6 | STX & | 02 26
Shift F7 | Shift F7 | STX ‘ | 02 27
Shift F8 | Shift F8 | STX ( | 02 28
Arrow Down | Arrow Down | LF | 00 0A
Arrow Left | Arrow Left | Nak | 00 15
Arrow Right | Arrow Right | Ack | 00 06
Arrow Up | Arrow Up | Sub | 00 1A
BACKSPACE | Backspace | Bs | 00 08
RETURN | Enter | None | None
 |  | CR | 00 0D
 |  | CR EOT | 0D 04
 |  | CR ETX | 0D 03
DEL | Delete | Del | 00 7F
ESC | Escape | Esc | 00 1B
HOME | Home (Ctrl A) | SOH | 00 01
TAB | Tab (Ctrl I) | HT | 00 09
Tab Back | Shift Tab | Esc O | 1B 4F
BREAK | Ctrl Pause | Esc [ |
XMIT | Not mapped, not applicable |  |
PRINT | Not mapped, use File > Print |  |
AUX | Not mapped, use escape sequence |  |
RESET | Not mapped, not applicable |  |
INS L | Not mapped, use escape sequence |  |
DEL L | Not mapped, use escape sequence |  |
INS C | Not mapped, use escape sequence |  |
DEL C | Not mapped, use escape sequence |  |
E ALL | Not mapped, use escape sequence |  |
EOF | Not mapped, use escape sequence |  |
CONV | Not mapped, conversational is default emulation mode |  |
MSG | Not mapped, message mode is not supported |  |
PAGE | Not mapped, page mode is not supported |  |
9 END :


ANSI/TTY/SCO-ANSI Emulation

Selecting the ANSI-BBS button on the Emulation tab of the Session Properties dialog enables an emulation that supports the ANSI (American National Standards Institute) standard of data transmission and display.

The table below is your information map to all reference information available for the ANSI emulation:

Section

Description

General Information and Support

An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.

Configuration Options

Describes each configurable option for the emulation. The options are located on five separate sub-tabs on the Emulations tab of the Session Properties dialog.

Map files

Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.

Escape sequences

Lists the supported escape sequences.

Scripting Parameter Values

A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


ANSI: General Information and Support

The ANSI emulation supports these modes:

TTY (teletypewriter)

This mode produces characters like a basic typewriter: plain text without any attributes (such as colors or bolding).

ANSI (American National Standards Institute)

The mode gives the characters and areas of the screen attributes similar to the attributes allowed by the ANSI.SYS device driver for DOS. More screen colors and other special display attributes are supported. This mode is especially useful when connecting to a BBS (Bulletin Board System).

SCO ANSI (an enhanced version of the ANSI emulation developed by Santa Cruz Operation, Inc.)

This mode is useful when connecting to UNIX host systems.

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the ANSI F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

The ANSI and SCO ANSI modes support the following foreground and background colors: Black, Red, Green, Yellow (or Brown), Blue, Magenta, Cyan, and White. Usually, the normal intensity of the colors is half-intensity (or dim), and the bold intensity of the colors is full-intensity. However, the colors Black and White are treated differently.

 | Normal | Bold
Black | Black | Dark Gray
White | Light Gray | White

The ANSI emulation uses MS-DOS Code Page 437 (United States character set) by default. Code Page 850 (Multi-lingual Latin I character set) is also available in the emulation’s configuration parameters.

9 END :


ANSI Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the ANSI/TTY/SCO-ANSI emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

ANSI Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Backspace | Backspace | ^[
Break | Break | ^[
Carriage Return | Return | ^M
Cursor Move Left | Left Arrow | ^[D
Cursor Move Right | Right Arrow | ^[C
Cursor Move Up | Up Arrow | ^[A
Cursor Move Down | Down Arrow | ^[B
Delete Character | Delete | 1F
End | End | ^[[F
Enter Key | Enter | ^M
Home | Home | ^[[H
Insert | Insert | ^[[L
Page Down | Page Down | ^[[G
Page Up | Page Up | ^[[I
Scroll Lock | Scroll Lock | n/a
Shift Print Screen | ShiftPrintScreen | ^[0I
Tab | Tab | ^I
F1 | F1 | ^[M
F2 | F2 | ^[N
F3 | F3 | ^[O
F4 | F4 | ^[P
F5 | F5 | ^[Q
F6 | F6 | ^[R
F7 | F7 | ^[S
F8 | F8 | ^[T
F9 | F9 | ^[U
F10 | F10 | ^[V
F11 | F11 | ^[W
F12 | F12 | ^[X
Shift F1 | ShiftF1 | ^[Y
Shift F2 | ShiftF2 | ^[Z
Shift F3 | ShiftF3 | ^[a
Shift F4 | ShiftF4 | ^[b
Shift F5 | ShiftF5 | ^[c
Shift F6 | ShiftF6 | ^[d
Shift F7 | ShiftF7 | ^[e
Shift F8 | ShiftF8 | ^[f
Shift F9 | ShiftF9 | ^[g
Shift F10 | ShiftF10 | ^[h
Shift F11 | ShiftF11 | ^[i
Shift F12 | ShiftF12 | ^[j
Ctrl F1 | CtrlF1 | ^[k
Ctrl F2 | CtrlF2 | ^[l
Ctrl F3 | CtrlF3 | ^[m
Ctrl F4 | CtrlF4 | ^[n
Ctrl F5 | CtrlF5 | ^[o
Ctrl F6 | CtrlF6 | ^[p
Ctrl F7 | CtrlF7 | ^[q
Ctrl F8 | CtrlF8 | ^[r
Ctrl F9 | CtrlF9 | ^[s
Ctrl F10 | CtrlF10 | ^[t
Ctrl F11 | CtrlF11 | ^[u
Ctrl F12 | CtrlF12 | ^[v
Ctrl Shift F1 | CtrlShiftF1 | ^[w
Ctrl Shift F2 | CtrlShiftF2 | ^[w
Ctrl Shift F3 | CtrlShiftF3 | ^[w
Ctrl Shift F4 | CtrlShiftF4 | ^[w
Ctrl Shift F5 | CtrlShiftF5 | ^[w
Ctrl Shift F6 | CtrlShiftF6 | ^[w
Ctrl Shift F7 | CtrlShiftF7 | ^[w
Ctrl Shift F8 | CtrlShiftF8 | ^[w
Ctrl Shift F9 | CtrlShiftF9 | ^[w
Ctrl Shift F10 | CtrlShiftF10 | ^[w
Ctrl Shift F11 | CtrlShiftF11 | ^[w
Ctrl Shift F12 | CtrlShiftF12 | ^[w
9 END :


ANSI: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.
Function/Command | Parameter(s) | Keyword* | Value(s) Returned | Value Type
GetEmulConfig () | KeyString | MODE | ANSI, SCOANSI, TTY | String
 |  | LINEWRAP | true, false | String
 |  | DESTBACKSPACE | true, false | String
 |  | LOCALECHO | true, false | String
 |  | CODEPAGE850 | true, false | String
 |  | SCREENROW | 24, 25 | String
EmulConfig | String | MODE | ANSI, SCOANSI, TTY | String
 |  | LINEWRAP | true, false | String
 |  | DESTBACKSPACE | true, false | String
 |  | LOCALECHO | true, false | String
 |  | CODEPAGE850 | true, false | String
 |  | SCREENROW | 24, 25 | String
Set Emulation | Emulation |  | ANSI | String
Settings () | Keyword | EMULATE | ANSI, SCOANSI, TTY | String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


ANSI: Working with Configuration Options

To determine if the ANSI emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the ANSI emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\ansi.flx

To configure a session to emulate an ANSI terminal, begin by clicking ANSI-BBS in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Five sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an ANSI terminal.

The five sub-tabs used to configure the ANSI emulation are:

  • General tab

  • Attributes tab options

  • Translation tab options

  • Keyboard tab options

  • Hotspots tab options

9 END :


ANSI Configuration Options: General Sub-tab

Session > Properties > Emulations > [ANSI] > General

The General tab contains several options for configuring general parameters for the ANSI/TTY/ANSI-SCO emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Emulation Mode group

  • ANSI

  • TTY

  • SCO-ANSI

Select one to specify the ANSI emulation version to use.

Default: ANSI

Note

Changing modes while a session is connected clears any data already displayed in the session window.

Screen Height group

  • 24 rows

  • 25 rows

Select one option to specify the number of lines in the terminal screen display:

Default: 24 rows

Destructive backspace

Select to have characters deleted as the cursor moves backwards when pressing the Backspace key.

Clear to not have characters deleted as the cursor moves backwards when pressing the Backspace key.

Default: Cleared

Use code page 850

Select to use MS-DOS code page 850
(multi-lingual Latin I character set).

Clear to use MS-DOS code page 437
(US character set).

Default: Cleared

Local echo

Select to have keystrokes sent to the host also displayed in the session window. This setting is useful when the host system does not automatically echo the keystrokes back to the PC (and therefore they will not be displayed in the session).

Clear to have keystrokes sent to the host not also displayed in the session window. This setting is most common since most host systems automatically echo the keystrokes back to the PC (and therefore they will be displayed in the session).

Default: Cleared

Note:

If you observe two characters appear on the screen for each of your keystrokes, clear this setting.

Line wrap

Select to determine how the cursor behaves when characters are received in the session window.

ANSI mode: If a character is received when the cursor is in the last column of a row, the cursor is moved to the first column in the next row.

SCO-ANSI mode: If a character is received when the cursor is in the last column of a row, the cursor is moved to the first column in the next row. If an escape sequence is received when the cursor is in the last column of a row, the cursor is moved to the first column in the next row and the escape sequence executed.

Clear to have the cursor remain in the same position and any new characters received overwrite the existing character if a character is received when the cursor is in the last column of a row.

However, the emulation will still respond to cursor movement escape sequences which. For example, if the host sends a carriage return character (CR, or hexadecimal 0D) and a line feed character (LF, or hexadecimal 0A), the cursor will move to the first column of the next row.

Default: Selected

9 END :


ANSI: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The ANSI emulation supports the following escape sequences:

  • General, Display, or Terminal functions

  • Cursor Movement functions

  • Editing functions

  • Character Attributes and Colors

  • SCO-ANSI Host Defined Attributes

9 END :


ANSI Escape Sequences: General, Display, or Terminal Functions

Function

Escape Sequence

Description

Bell

^G

Generates the system beep.

Cancel

^X

Character Attributes

Esc[nm

For n, use the values shown in the Character Attributes table.

Enquiry

Ctrl E

Generates the ENQ, or Enquiry, character.

Escape

Esc

Host-defined Attributes

Esc[=nF

Esc[=nG

SCO ANSI Host-defined attributes.

For n, use the values shown in the SCO ANSI Host-defined Attributes table.

Line feed reverse

Ctrl [j

Line feed

Ctrl J

Generates the LF character

Media Copy

Esc[2i

SCO ANSI’s MC function - Media Copy. Sends session screen to host.

Current screen contents are sent to the application.

Name

?
(question mark)

Quote

"
(double quote)

Reports cursor location

Esc[6n

The emulation responds with the escape sequence:

Escl;cR

where l is an integer from 0 to 23 or 24, depending on the height of the terminal screen, and where c is an integer from 0 to 79.

Reports status

Esc[5n

The emulation responds with the escape sequence:

Escnn

where n=0 indicates that the terminal is functioning properly, and where n=3 indicates that the emulation is in an error state.

Scrolls n lines down

Esc[nT

SCO ANSI function only. As the line containing the cursor moves down, blank lines fill in from the top of the session screen. SCO ANSI’s SD function - Scroll Down. The Termcap code is sr.

Reset Mode
(keyboard unlock)

Esc[2l

SCO ANSI’s RM function - Reset mode.

Unlocks the keyboard, allowing keyboard input into the session screen.

Reset Mode Automatic Margins
(autowrap off)

Esc[?7l

SCO ANSI’s RMAM function - Reset Mode Automatic Margins.

The Termcap code is ra.

Scroll Up

Esc[nS

SCO ANSI’s SU function - Scroll Up. Scrolls n lines up.

The Termcap code is sf.

As the line containing the cursor moves up, blank lines fill in from the bottom of the session screen.

SCSG0

^\

Generates the File Separator (FS) character

SCSG1

^]

Generates the Group Separator (GS) character

Shift in

Ctrl O

Generates the SI character

Shift out

Ctrl N

Generates the SO character

Set Mode
(keyboard lock)

Esc[2h

SCO ANSI’s SM function - Set Mode.

Prevents keyboard input into the session screen. Any characters entered while the keyboard is locked are lost.

Set Mode Automatic Margins
(autowrap on)

Esc[?7h

SCO ANSI’s SMAM function - Set Mode Automatic Margins.

The Termcap code is sa.

Transparent Print off

Esc[4i

Turns off Transparent Print. Characters sent by the host are sent to the session screen. This state is the default for the emulation.

Transparent Print on

Esc[5i

Turns on Transparent Print. Characters sent by the host are sent to your computer’s default printer and not to the session screen.

9 END :


ANSI Escape Sequences: Cursor Movement Functions

Function | Escape Sequence | Description
Cursor Down | Esc[nB | SCO ANSI’s CUD function - Cursor Down. The Termcap code is do (kd). Move cursor down n lines. If the cursor is in the bottom line, DynaComm ignores the escape sequence.
Cursor Backward | Esc[nD | SCO ANSI’s CUB function - Cursor Backward. Cursor moves left n columns. The Termcap code is bs (kl). If the cursor is in the leftmost column, the escape sequence is ignored.
Cursor Forward | Esc[nC | SCO ANSI’s CUF function - Cursor Forward. Cursor moves right n columns. The Termcap code is nd (kr). If the cursor is in the rightmost column, the escape sequence is ignored.
Cursor Position | Esc[l;cH | SCO ANSI’s CUP function - Cursor Position. The Termcap code is cm. The line, l, is denoted by an integer from 0 to 23 or 24 depending on the height of the terminal screen. The column, c, is denoted by an integer from 0 to 39 or 79.
Cursor Position — Horizontal & Vertical | Esc[l;cf | SCO ANSI’s HVP function – Horizontal & Vertical Position. The line, l, is denoted by an integer from 0 to 23 or 24 depending on the height of the terminal screen. The column, c, is denoted by an integer from 0 to 39 or 79.
Cursor Position at [0,0] | Esc[;H | The coordinates [0,0] is the upper left-hand corner of the terminal screen
Cursor Position Restore | Esc[u | Moves the cursor to the position that was saved with the Cursor Position Save escape sequence.
Cursor Position Save | Esc[s | Saves the current cursor position, which can then be recalled by using the Cursor Position Restore escape sequence.
Cursor Right | ^L | Moves the cursor one column to the right.
Cursor Up | Esc[nA | SCO ANSI’s CUU function - Cursor Up. Cursor moves up n lines. The Termcap code is up (ku). If the cursor is in the top line, this escape sequence is ignored.
Cursor to Next Line | Esc[nE | SCO ANSI’s CNL function - Cursor Next Line. Move to Column 0, down n lines. The cursor moves to the beginning of a line n lines down from the cursor’s location.
Cursor to Previous Line | Esc[nF | SCO ANSI’s CPL function - Cursor to Previous Line. Move to Column 0, up n lines. The cursor moves to the beginning of a line n lines up from the cursor’s location.
Horizontal Position Absolute | Esc[n | SCO ANSI’s HPA function – Horizontal Position Absolute. Cursor moves to column n. The column value, n, can be any integer in the range of 0 to 39 or 79, depending on whether the screen is 40 or 80 columns wide.
Horizontal Position Relative | Esc[na | SCO ANSI’s HPR function - Horizontal Position Relative. Cursor moves right n columns.
Vertical Position Absolute | Esc[nd | SCO ANSI’s VPA function - Vertical Position Absolute. Cursor moves to line n. The line value, n, can be any integer in the range of 0 to 23 or 24, depending on whether the screen is 24 or 25 lines high.
Vertical Position Relative (VPR) | Esc[ne | SCO ANSI’s VPR function - Vertical Position Relative. Cursor moves down n lines.
9 END :


ANSI Escape Sequences: Character Attributes and Colors

To enable character attributes, use escape sequence: Esc[nm where n is a value from the table below.
n | Attribute
Character Attributes
0 | All attributes off (normal)
1 | Bold on
4 | Underscore on (monochrome monitors only)
5 | Blink on (if your computer system allows it)
7 | Reverse video on
8 | Concealed on
10 | Use the primary font. SCO ANSI only.
11 | Use first alternate font. ASCII characters with a decimal value of less than 32 are represented by ROM characters. SCO ANSI only.
12 | Use a second alternate font. Extended ASCII characters (characters with a decimal value in the range of 128 and 255) are represented by ROM characters. SCO ANSI only.
Colors: Foreground
30 | Black
31 | Red
32 | Green
33 | Yellow (Brown in the SCO ANSI emulation.)
34 | Blue
35 | Magenta
36 | Cyan
37 | White
38 | Underline on. White foreground with white underscores. SCO ANSI only.
39 | Underline off. SCO ANSI only.
Colors: Background
40 | Black
41 | Red
42 | Green
43 | Yellow (Brown in the SCO ANSI emulation.)
44 | Blue
45 | Magenta
46 | Cyan
47 | White
9 END :


ANSI Escape Sequences: Editing Functions

Function | Escape Sequence | Description
Backspace | ^H | Sends a backspace to the host.
Carriage return | ^M | Sends a carriage return to the host.
Delete Line | Esc[nM | SCO ANSI’s DL function - Delete Line. Deletes n lines. The Termcap code is dl.
Delete Character | Esc[nP | SCO ANSI’s DCH function - Delete Character. Deletes n number of characters. The Termcap code is dc.
Erase Character | Esc[nX | SCO ANSI’s ECH function - Erase Character. Erases n characters.
Erase in Display | Esc[nJ | SCO ANSI’s ED function – Erase in Display. The Termcap code is cd. If n equals 0, erases from the cursor position to the end of the screen. If n equals 1, erases from the beginning of the screen (position [0,0]) to the cursor position. If n equals 2, erases the entire screen, and moves the cursor to the home position [0,0].
Erase in Line | Esc[nK | SCO ANSI’s EL function - Erase in Line. The Termcap code is ce. If n equals 0, erases from the cursor position to the end of the line. If n equals 1, erases from beginning of the line to the cursor position. If n equals 2, erases the entire line, deleting all characters from the cursor position to the end of the line, including the character at the cursor position.
Insert Character | Esc[n@ | SCO ANSI’s ICH function - Insert Character. Replace n characters with space characters. The Termcap code is ic.
Insert Line | Esc[nL | SCO ANSI’s IL function - Insert Line. Inserts n new, blank lines. The Termcap code is al.
Tab | ^I |
Tab backward | ^[I |
Tab vertical | ^K |
Tabulation — Clear | Esc[ng | SCO ANSI’s TBC function - Tabulation Clear. If n=0, clears the horizontal tab stop in the cursor’s column. If n=3, clears all of the horizontal tab stops.
Tabulation — Cursor Backward | Esc[nZ | SCO ANSI’s CBT function - Cursor Backward Tabulation. Tab backward n tab stops. The Termcap code is bt.
9 END :


ANSI Escape Sequences: SCO-ANSI Host-defined Attributes

To enable SCO ANSI Host-defined Attributes, use escape sequence:

Esc[=nF for Foreground Color

Esc=nG for Background Color

where n is a value from the table below.

n | Color
0 | Black
1 | Blue
2 | Green
3 | Cyan
4 | Red
5 | Magenta
6 | Brown
7 | White
8 | Grey
9 | Lt. Blue
10 | Lt. Green
11 | Lt. Cyan
12 | Lt. Red
13 | Lt. Magenta
14 | Yellow
15 | Lt. White
9 END :


ANSI: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the ANSI emulation, the following map files are available:

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


ANSI Map Files: Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Bold | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | white | black
Bold | X |  |  |  |  | white | black
Reverse |  | X |  |  |  | black | white
Bold Reverse | X | X |  |  |  | black | white
Flashing |  |  | X |  |  | white | black
Bold Flashing | X |  | X |  |  | white | black
Reverse Flashing |  | X | X |  |  | black | white
Bold Reverse Flashing | X | X | X |  |  | black | white
Underline |  |  |  | X |  | white | black
Bold Underline | X |  |  | X |  | white | black
Reverse Underline |  | X |  | X |  | black | white
Flashing Underline |  |  | X | X |  | white | black
Bold Reverse Underline | X | X |  | X |  | black | white
Bold Flashing Underline | X |  | X | X |  | white | black
Reverse Flashing Underline |  | X | X | X |  | black | white
Bold Reverse Flashing Underline | X | X | X | X |  | black | white
Invisible |  |  |  |  | X | n/a | black
Bold Invisible | X |  |  |  | X | n/a | black
Reverse Invisible |  | X |  |  | X | n/a | white
Flashing Invisible |  |  | X |  | X | n/a | black
Underline Invisible |  |  |  | X | X | n/a | black
Bold Reverse Invisible | X | X |  |  | X | n/a | white
Bold Flashing Invisible | X |  | X |  | X | n/a | black
Bold Underline Invisible | X |  |  | X | X | n/a | black
Reverse Flashing Invisible |  | X | X |  | X | n/a | white
Reverse Underline Invisible |  | X |  | X | X | n/a | white
Flashing Underline Invisible |  |  | X | X | X | n/a | black
Bold Reverse Flashing Invisible | X | X | X |  | X | n/a | white
Bold Reverse Underline Invisible | X | X |  | X | X | n/a | white
Bold Flashing Underline Invisible | X |  | X | X | X | n/a | black
Reverse Flashing Underline Invisible |  | X | X | X | X | n/a | white
Bold Reverse Flashing Underline Invisible | X | X | X | X | X | n/a | white
9 END :


ANSI Map Files: Character Translations

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default character mapping can be changed to suit your host environment using the Character Translation Map Editor. The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] character translation map file has the following mappings established:
Host to Display |  | Display to Windows
Host | Display | Display | Windows
FS437 FS850 | FSANSI FSCOMP1 FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each character set.
9 END :


ANSI Map Files: Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.
The [default] ANSI hotspot map file has the following mappings established:
Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
F9 | F9 | Terminal key F9
F10 | F10 | Terminal key F10
F11 | F11 | Terminal key F11
F12 | F12 | Terminal key F12
9 END :


ANSI Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted
ANSI Keyboard | IBM PC Keyboard | ASCII | Hexadecimal
BACKSPACE | Backspace | BS | 08
RETURN | Return/Enter | CR | 0D
DELETE | Shift Backspace | Del | 7F
ESCAPE | Escape | Esc | 1B
TAB | Tab | Tab | 09
9 END :


AT&T 605/705 Emulation

Selecting the AT&T 605 button on the Emulations tab of the Session Properties dialog enables the AT&T 605/705 terminal emulation. The following reference information is available for the AT&T 605/705 emulation:
Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Options | Describes each configurable option for the emulation. The options are located on seven separate sub-tabs on the Emulations tab of the Session Properties dialog.
Map files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape sequences | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.
9 END :


AT&T 605/705: General Information and Support

The AT&T 605/705 emulation supports Conversational mode with unformatted screens only. In conversational mode, data is not buffered but rather transferred on a character by character basis as it is typed. No buffered data mode is supported. Message, Page, Form, and Modify modes are not supported.

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the AT&T 605/705 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

Emulation Function Keys

The ATT 605 emulation supports two sets of emulation function keys: User Function Keys and System Function Keys. The User Function Keys contain eight keys, and the System Function Keys contain twenty-eight keys. All of the keys have default settings (see AT&T 605/705 Keyboard Map), which the remote system can change at any time. The emulation also allows you to configure the eight keys of the User Function Keys. (To configure the User Function Keys, see AT&T 605/705 Configuration Parameters: User Function Keys tab.)

The center on-screen button allows you to toggle between User Function Keys and System Function Keys.

As a default, when a session window configured with the ATT 605 emulation is first displayed, the emulation automatically:

  • displays the nine on-screen session buttons for the window,

  • activates the User Terminal Function Keys, and

  • configures eight of the session buttons with the eight keys of the User Function Keys.

The center button displays the word "User". While these buttons are active, you can access any of the User Function Keys by using the corresponding keyboard key or by clicking the on-screen session buttons.

To access the System Terminal Function Keys, click the center button in the on-screen session buttons. The center button changes to the "System" setting, and the System Function Keys are enabled (the User Function Keys are now inaccessible). With the System Function Keys enabled, you can access any of the System Function Keys by using the keyboard. Also, you can access the first eight System Function Keys by clicking the on-screen session buttons. For a list of the keys to press for each System Function Key, see AT&T Keyboard Map. To enable the User Function Keys again, click the center button to toggle from "System" back to "User".

The 705 terminal supports two host sessions on the same screen; this is not supported as part of the 705 emulation in DCS since DCS supports multiple independent sessions. The 705 terminal also supports VT emulation; again, this is not supported in DCS since DCS already supports VT emulations.

9 END :


AT&T 605/705 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the AT&T 605/705 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

AT&T 605/705 Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Tab | Tab | ^I
Cursor Move Left | Left | ^[[D
Cursor Move Right | Right | ^[[C
Cursor Move Up | Up | ^[[A
Cursor Move Down | Down | ^[[B
Keypad 0 | Numeric pad 0 | SS3 p
Keypad 1 | Numeric pad 1 | SS3 q
Keypad 2 | Numeric pad 2 | SS3 r
Keypad 3 | Numeric pad 3 | SS3 s
Keypad 4 | Numeric pad 4 | SS3 t
Keypad 5 | Numeric pad 5 | SS3 u
Keypad 6 | Numeric pad 6 | SS3 v
Keypad 7 | Numeric pad 7 | SS3 w
Keypad 8 | Numeric pad 8 | SS3 x
Keypad 9 | Numeric pad 9 | SS3 y
F1 | F1 | Application defined
F2 | F2 | Application defined
F3 | F3 | Application defined
F4 | F4 | Application defined
F5 | F5 | Application defined
Keypad = | Numeric pad equal | SS3 P
Keypad * | Numeric pad star | SS3 Q
Keypad / | Numeric pad slash | SS3 R
Backspace | Backspace | ^H
Keypad + | Numeric pad plus | SS3 S
Insert | Insert | ^[[@
Keypad - | Numeric pad minus | SS3 m
Keypad , | Numeric pad coma | SS3 l
Keypad Enter | Numeric pad enter | SS3 M
Keypad . | Numeric pad decimal | SS3 n
F6 | F6 | Application defined
F7 | F7 | Application defined
F8 | F8 | Application defined
F9 | F9 | Application defined
F10 | F10 | Application defined
F11 | F11 | Application defined
F12 | F12 | Application defined
F13 | F13 | Application defined
F14 | F14 | Application defined
Home | Home | ^[[H
Page Up | PageUp | PageUp
End | End | ^[[24; 1H
Page Down | PageDown | ^[[U
Delete Character | Delete | ^[[P
Break | Break | Break command
Carriage Return | Return | ^M
Enter Key | Enter | ^M
Scroll Lock | Scroll Lock | n/a

9 END :


AT&T 605/705: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.
Function | Parameter(s) | Keyword* | Value(s) Returned | Value Type
EmulConfig | String | MODE | att605, att705, pcxt, pcat1, pcat2 | String
 |  | BITCONTROL | 7, 8 | String
 |  | SWAP DELETE | true, false | String
 |  | SCREENROW | 24, 25 | String
 |  | NEWLINE | true, false | String
 |  | LOCALECHO | true, false | String
 |  | DESTRUCTIVEBS | true, false | String
 |  | COLUMNS | 80, 132 | String
 |  | LINEWRAP | true, false | String
 |  | NUMPADAPPLICATION | true, false | String
 |  | LIGHTSCREEN | true, false | String
 |  | DISPLAYCONTROLS | true, false | String
 |  | NCRMODE | true, false | String
 |  | NCRLANG | usascii, frenchcanadian | String
GetEmulConfig () | KeyString | MODE | att605, att705, pcxt, pcat1, pcat2 | String
 |  | BITCONTROL | 7, 8 | String
 |  | SWAP DELETE | true, false | String
 |  | SCREENROW | 24, 25 | String
 |  | NEWLINE | true, false | String
 |  | LOCALECHO | true, false | String
 |  | DESTRUCTIVEBS | true, false | String
 |  | COLUMNS | 80, 132 | String
 |  | LINEWRAP | true, false | String
 |  | NUMPADAPPLICATION | true, false | String
 |  | LIGHTSCREEN | true, false | String
 |  | DISPLAYCONTROLS | true, false | String
 |  | NCRMODE | true, false | String
 |  | NCRLANG | usascii, frenchcanadian | String
Set Emulation | Emulation |  | ATT605/705 | String
Settings () | Keyword | EMULATE | ATT605, ATT705 | String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


AT&T 605/705: Working with Configuration Options

To determine if the AT&T 605/705 emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the AT&T 605/705 emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\att605.flx

To configure a session to emulate an AT&T 605/705 terminal, begin by clicking AT&T 605 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an AT&T 605/705 terminal.

The seven sub-tabs used to configure the AT&T 605/705 emulation are:

  • General tab

  • User Function Keys

  • Language

  • Attributes tab options

  • Translation tab options

  • Keyboard tab options

  • Hotspots tab options

9 END :


AT&T 605/705 Configuration Options: General Sub-tab

Session > Properties > Emulations > [AT&T 605] > General

The General tab contains options related to configuring various general terminal options for the AT&T 605/705 terminal emulation. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

Other options

Terminal mode

Select one of the following to emulate the normal mode of a 605 or 705 terminal.

AT&T 605

AT&T 705

Each emulation provides the standard capabilities for transmitting ASCII characters with a remote system (such as a computer with an AT&T 3B processor).

Select one of the following to emulate a 605 terminal transmitting the scan codes from the keyboard of an XT- or AT-compatible computer.

PCXT

PCAT1

PCAT2

The PC modes are useful when communicating with a remote PC, or during a session with an AT&T UNIX server which is running software simulating the DOS environment (for example, Simultask). The PC modes use only an 8-bit character set; therefore, in these modes the emulation ignores the selection in Send Controls. The emulation also ignores the status of Local echo, Swap delete, and Destructive backspace as well as some escape sequences that the 605 and 705 terminals would recognize.

The PCXT mode corresponds to an XT-compatible computer. Both the PCAT1 and PCAT2 modes correspond to an AT-compatible computer.

Default: AT&T 605

Columns

Select one of the following to set the width of the display to either 80 or 132 columns.

80

132

The selection should match the maximum number of characters per line required by an application on the host system.

Default: 80

Send controls

Select one of the following to send control codes to the host system for some function keys.

7 bit
8 bit

Note

The emulation ignores this setting if you have selected a Terminal Mode of PCXT, PCAT1, or PCAT2.

See AT&T 605/705 Send Controls Code table for specific 7- and 8-bit control codes.

Default: 7bit

Monitor Mode

Select to display escape sequences and controls codes that enter the session instead of acting upon them.

Clear to allow the emulation to act upon all of the escape sequences and controls codes it receives; the characters that compose the sequences and codes are not displayed.

Default: Cleared

Host Modes group

Local echo

Select to have keystrokes sent to the host also displayed in the session window.

Clear to have keystrokes sent to the host not displayed in the session window.

This setting is useful when keystrokes are not displayed in the session (due to the host system not automatically echoing the keystrokes back to the PC).

Note

If two characters appear on the screen for each of your keystrokes, clear this setting.

Default: Cleared

Autowrap

Select to move the cursor to the first column in the next row. if a character is received when the cursor is in the last column of a row.

Clear to have the cursor remain in the same position and any new characters received overwrite the existing character, if a character is received when the cursor is in the last column of a row.

Default: Selected

Newline on LF

Select to move the session cursor to the first column of the next line when the emulation receives a line feed character.

Clear to move the session cursor to the current column of the next line when the emulation receives a line feed character.

Note

A line feed is represented by the ASCII character LF (Ctrl+J or hexadecimal 0A). The Return, or Enter, key is represented by the ASCII carriage return character CR (Ctrl+M, or hexadecimal 0D). For more information on character representations, see Appendix A: ASCII Character Set.

Default: Cleared

Swap delete

Selected or cleared, the emulation sends specific characters to the remote system when you press the Delete key by itself or in a key combination.

See the Swap Delete table for the specific keys sent when this setting is either selected or cleared.

Note

The emulation ignores this setting if you have selected a Terminal Mode of PCXT, PCAT1, or PCAT2.

Default: Cleared

Destructive backspace

Select to delete characters as the cursor moves backwards when the Backspace key is pressed.

Clear to not delete characters as the cursor moves backwards when the Backspace key is pressed.

Default: Cleared

Reverse video

Select to set the display to use a light background with a dark foreground.

Clear to set the display to use a dark background with a light foreground.

Default: Cleared

9 END :


AT&T 605/705 Configuration Options: Language Sub-tab

Session > Properties > Emulations > [AT&T 605] > Language

The Language tab contains options to change the emulation display and data stream from 8-bit characters to 7-bit characters. The two options are discussed below:

Use this option

in this manner . . .

  • Multinational Mode
    (8-bit characters)

Select to have the emulation display and data stream use 8-bit characters from the DEC Multinational or ISO Latin-1 character sets.

Unless your host requires a 7-bit data stream, do not change the default setting.

Default: Selected

  • NRC Mode
    (National Character Replacement sets)

Select to have the emulation display and data stream use 7-bit characters.

You must also select a specific character set. Options for the character set are:

USASCII (the default)

French Canadian NRC

Unless your host requires a 7-bit data stream, do not change the default setting.

9 END :


AT&T 605/705 Configuration Options: User Function Keys Sub-tab

Session > Properties > Emulations > [AT&T 605] > User Function Keys

The User Function Keys tab contains two columns that allow you to create a different label for a key as well as associate a different string function with the user function keys located at the top of the terminal keyboard. The table below provides a description of each column and the options available for making changes.

Use this option

in this manner . . .

F1 label

F2 label

F3 label

F4 label

F5 label

F6 label

F7 label

F8 label

F1 (default)

F2 (default)

F3 (default)

F4 (default)

F5 (default)

F6 (default)

F7 (default)

F8 (default)

Enter a text string that displays as a label for the on-screen button. If you change the default text, the button label will change to the new text.

You may enter a maximum of 16 characters in a label field.

F1 string

F2 string

F3 string

F4 string

F5 string

F6 string

F7 string

F8 string

^=8Fc (default)

^=8Fd (default)

^=8Fe (default)

^=8Ff (default)

^=8Fg (default)

^=8Fh (default)

^=8Fi (default)

^=8Fj (default)

Enter a string that may be composed of ASCII characters and some upper ANSI character (such as escape and control codes). However, you must enter escape and control codes with caret notation.

The default values shown here are in 8-bit notation. If your system requires it, you may also use 7-bit notation.

See the AT&T 605/705 Caret Notation section for more information.

9 END :


AT&T 605/705: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The AT&T 605/705 emulation supports the following escape sequences:

  • General, Display, or Terminal functions

  • Cursor Movement Functions

  • Editing Functions

  • Character Attributes

  • Line Attributes

  • Character Set One

  • Character Set Two

  • Emulation Settings

  • Status Request

  • Printer Functions

  • Private Mode

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


AT&T 605/705 Escape Sequences: Character Attributes

To enable a character attribute, use escape sequence Esc [CharAttribm where CharAttrib is a value from the table below.

Character Attribute | CharAttrib
All Attributes Off | 0
Bold | 1
Subdued | 2
Underline | 4
Blinking | 5
Negative Image | 7
Blank | 8
Bold - Off, Subdued - Off | 21
Bold - Off, Subdued - Off | 22
Underline - Off | 24
Blinking - Off | 25
Negative Image - Off | 27
Blank - Off | 28

9 END :


AT&T 605/705 Escape Sequences: General, Display, or Terminal Functions

Function | Escape Sequence | Description
ANSI Conformance Level 1 | Esc SpaceL |
ANSI Conformance Level 2 | Esc SpaceM |
ANSI Conformance Level 3 | Esc SpaceN |
Character - Set Attribute to CharAttrib | Esc [CharAttribm | For CharAttrib, use the values shown in the Character Attribute table.
Character Set - Map CharSet1 into G0 | Esc (CharSet1 | For CharSet1, use the values shown in the Character Set One table.
Character Set - Map CharSet1 into G1 | Esc )CharSet1 | For CharSet1, use the values shown in the Character Set One table.
Character Set - Map CharSet1 into G2 | Esc *CharSet1 | For CharSet1, use the values shown in theCharacter Set One table.
Character Set - Map CharSet1 into G3 | Esc +CharSet1 | For CharSet1, use the values shown in theCharacter Set One table.
Character Set - Map CharSet2 into G1 | Esc -CharSet2 | For CharSet2, use the values shown in the Character Set Two table.
Character Set - Map CharSet2 into G2 | Esc .CharSet2 | For CharSet2, use the values shown in theCharacter Set Two table.
Character Set - Map CharSet2 into G3 | Esc /CharSet2 | For CharSet2, use the values shown in theCharacter Set Two table.
Character Set - Map G0 into GL | Ctrl O | Shift In (SI) character. Lock Shift. (LS0).
Character Set - Map G1 into GL | Ctrl N | Shift Out (S0) character. Lock Shift. (LS1).
Character Set - Map G1 into GR | Esc ~ | Lock Shift. (LS1R).
Character Set - Map G2 into GL | Esc N | Single Shift 2. (SS2). For the character immediately to the right of the cursor only.
Character Set - Map G2 into GL | Esc n | Lock Shift. (LS2).
Character Set - Map G2 into GR | Esc } | Lock Shift. (LS2R).
Character Set - Map G3 into GL | Esc O | Single Shift 3. (SS3). For the character immediately to the right of the cursor only.
Character Set - Map G3 into GL | Esc o | Lock Shift. (LS3).
Character Set - Map G3 into GR | Esc | | Lock Shift. (LS3R).
Emulation Screen - Reset | Esc c | Clears the screen and homes the cursor to the upper, left hand character position
Host Changes Emulation Settings | Esc [P1 ; P2 | | Changes terminal mode, keyboard language. For the values of P1 and P2, see the Emulation Settings table.
Line Attributes | Esc #LineAttrib | This escape sequence determines the height and width of the lines in the session. For LineAttrib, use the values shown in the Line Attributes table.
Monitor Mode - On | Esc U |
Page - Set n Lines Per Page | Esc [nt |
Presentation State Report - Ignore Request | Esc [0$w |
Presentation State Report - Request Cursor Information | Esc [1$w |
Presentation State Report - Request Tab Information | Esc [2$w |
Printer - Change Function | Esc [Prnti | For Prnt, use the values shown in the Printer Function table.
Private Mode - Off | Esc [PrivModel | For PrivMode, use the values shown in the Private Mode table.
Private Mode - On | Esc [PrivModeh | For PrivMode, use the values shown in the Private Mode table.
Ring Bell | ^G |
Scroll Region - Set | Esc [Top;Btmr | Use an integer for each variable (Top;Btm).
Send 7-bit Controls to the Remote System | Esc SpaceF |
Send 8-bit Controls to the Remote System | Esc SpaceG |
Status Request | Esc [Statusn | For Status, use the values shown in the Status Request table.
Terminal Type - Request | Esc [c |
Terminal Type - Request | Esc [0c |
9 END :


AT&T 605/705 Escape Sequences: Cursor Movement Functions

Function

Escape Sequence

Description

Backspace (non-destructive)

^H

Moves the cursor to the left. This function sends the ASCII Bs character.

If the cursor is at the beginning of the line, the cursor moves to the opposite end of the previous line.

If the cursor is at the top, leftmost, character position, the cursor moves to the bottom, rightmost, character position.

Carriage Return

^M

Moves the cursor to the beginning of the next line, if Auto Linefeed is enabled on the AT&T 605/705 General tab of the Session Properties dialog.

If Auto Linefeed is disabled, the cursor moves to the beginning of the current line.

Cursor Horizontal Position

^PHPos

Moves the cursor to the column specified by HPos. Use the Horizontal/Vertical Position Table to determine which character to use for HPos.

The cursor stays on the same line. This function sends the ASCII DLE character before sending the column information.

Cursor Move Down

^J

This function is the line feed character and moves the cursor down and stays in the same column.

If Auto scroll is enabled on the AT&T 605/705 General tab in the Session Properties dialog, and if the cursor is in row 24 (the session screen’s last line), the cursor moves to the top row in the session screen.

If Auto scroll is disabled, and the cursor is in the last line, the screen will move up one line. The first line is lost and the cursor stays in the new bottom line.

Cursor Move Home

^A

Moves the cursor to the top, leftmost, character position.

Cursor Move Left

^U

This function acts like the Backspace function, but sends the ASCII Nak character. If the cursor is in the leftmost column, the cursor moves to the rightmost column of the previous line.

Cursor Move Right

^F

Moves the cursor to the next column. If Auto Linefeed is enabled on the AT&T 605/705 General tab of the Session Properties dialog, and if the cursor is in the rightmost column of a line, the cursor moves to the beginning of the next line.

If Auto Linefeed is disabled, the cursor moves to the beginning of the current line.

If the cursor is on line 24 in the rightmost column, the screen will scroll up one line.

Cursor Move Up

^Z

Moves the cursor up one line. If the cursor is in the top line, the cursor moves to the bottom line, while staying in the same column.

Cursor Position (Absolute)

Esc YLineCol

Moves the cursor to the character position specified by Line and Col. Use the Absolute Position Table to determine which characters to use for Line and Col.

Cursor Vertical Position

^KVPos

Moves the cursor to the line described by VPos and stays in the same column. Use the Horizontal/Vertical Position Table to determine which character to use for VPos. The ASCII VT character precedes the line information.

Cursor - Back One Tab Stop

Esc I

Cursor - Down n Lines

Esc [nB

Cursor - Down One Line

^J

Line Feed (LF) character.

Cursor - Down One Line

^K

Vertical Tab (VT) character.

Cursor - Down One Line

^L

Form Feed (FF) character.

Cursor - Down One Line

Esc [S

Pans down, scrolling up.

Cursor - Down One Line

Esc D

Index. If the insertion cursor is in the bottom line of the session, the emulation inserts a new line at the bottom, scrolls all the lines up one, and moves the insertion cursor to the new bottom line. The top line scrolls into session window’s History Buffer.

Cursor - Down One Line

Esc E

New Line. Moves the insertion cursor to the beginning of the line below the cursor’s current line. If the insertion cursor is in the bottom line of the session, the emulation inserts a new line at the bottom, scrolls all lines up one, and moves the insertion cursor to the beginning of the new bottom line. The top line scrolls into session window’s History Buffer.

Cursor - Left n Character Positions

Esc [nD

Cursor - Left One Character Position

^H

Backspace (BS) character.

Cursor - Left One Character Position

Esc 6

Cursor - Move to Leftmost Column

^M

Carriage Return (CR) character.

Cursor - Move To Position (Row, Column)

Esc [Row;Colf

Row is an integer in the range of 1 to 24. Col is an integer in the range of 1 to 80 or 132, depending on the number of columns in the terminal session.

Cursor - Move To Position (Row, Column)

Esc [Row;ColH

Row is an integer in the range of 1 to 24. Col is an integer in the range of 1 to 80 or 132, depending on the number of columns in the terminal session.

Cursor - Position Restore

Esc 8

Cursor - Position Save

Esc 7

Cursor - Position To The Status Line

Esc [Row;Colx

Cursor - Right n Character Positions

Esc [nC

Cursor - Right One Character Position

Esc 9

Cursor - Right One Tab Stop

^I

Horizontal Tab (HT) character.

Cursor - Up n Lines

Esc [n1A

Cursor - Up One Line

Esc [T

Pans up, scrolling down.

Cursor - Up One Line

Esc M

Reverse Index. Moves the insertion cursor to the line before the cursor’s current line. If the insertion cursor is in the top line of the session, the emulation inserts a new line at the top of the session, scrolls all lines down one, and moves the insertion cursor to the new top line. The bottom line scrolls out of the session, but does not become apart of any History Buffer.

Cursor -Up One Line

Esc j

Page - Display Page n

Esc [nSpaceP

Page - Back n Pages

Esc [nSpaceR

Page - Forward n Pages

Esc [nSpaceQ

Page Down

Esc [U

Page Up

Esc [V

Tab

^I

Moves the cursor to the next tab stop in a line.

Tab Back

Esc O

Moves the cursor to the previous tab stop in a line. If the cursor is at a variable field, the cursor will move to the beginning of the previous variable field.

Tab - Back n Times

Esc [nZ

Tab - Right n times

Esc [nI

9 END :


AT&T 605/705 Escape Sequences: Editing Functions

Function | Escape Sequence | Description
Replace Character | Esc [nX | Replaces n characters with spaces.
Insert spaces | Esc [n@ | Insert n spaces.
Repeat Character | Esc [nb | Repeat last character n times.
Delete Characters | Esc [nP | Delete n characters.
Delete Columns | Esc [n'~ | Delete n columns.
Insert Columns | Esc [n'} | Insert n columns.
Delete Character | Esc E | Deletes the character at the cursor. All characters to the right of the deleted character are moved one column position to the left. A space fills the right-most column. The movement of characters only affects the line with the cursor.
Delete Characters to End of Line | Esc K | Deletes the characters from the cursor position to the end of the line.
Delete Characters to End of Page | Esc e | Deletes all characters from the cursor position to the end of the session screen.
Delete Variable Fields to End of Page | Esc k | Deletes all variable fields from the cursor to the end of the session screen.
Delete Line | Esc l | Deletes the line which contains the cursor, and moves up each line below the cursor. A blank line fills the last line.
Insert Characters in a Line | Esc F | Characters are inserted at the current cursor position. Characters to the right of the cursor are moved to the right one column as a new character is inserted. Characters in the rightmost column are lost when a character is inserted. If the cursor is in the rightmost column, only the last character is preserved in the session screen. The characters will not move to the beginning of the next line.
Insert Line | Esc M | The line of characters with the cursor in it, and all lines below the cursor, move down one line to make room for a blank line. The characters in the last line of the session screen are lost, and the cursor moves to the leftmost column.
Line - Clear All | Esc [0K | Erase all characters from the insertion cursor to the end of the insertion cursor’s line.
Line - Clear All | Esc [1K | Erase all characters from the insertion cursor to the beginning of the insertion cursor’s line.
Line - Clear All | Esc [2K | Erase all characters in the insertion cursor’s line.
Line - Delete n Lines | Esc [nM |
Line - Insert n Lines | Esc [nL |
Line - Selective Clear | Esc [?0K | Erase unprotected characters from the insertion cursor to the end of the insertion cursor’s line.
Line - Selective Clear | Esc [?1K | Erase unprotected characters from the insertion cursor to the beginning of the insertion cursor’s line.
Line - Selective Clear | Esc [?2K | Erase all unprotected characters in the insertion cursor’s line.
Numeric Keypad - Set to Alternate mode | Esc = | Application Mode.
Numeric Keypad - Set to Numeric mode | Esc > |
On-Screen Keys - Download functions | Esc [n1;..n4 q Lbl Strng | For more information, see the manual for the AT&T 605 or AT&T 705 terminals.
On-Screen Keys - Select System | Esc [0p |
On-Screen Keys - Select User | Esc [1p |
Options Upload - Request | Esc [s |
Session Window - Clear All | Esc [0J | Erase all characters from the insertion cursor to the end of the session screen.
Session Window - Clear All | Esc [1J | Erase all characters from the insertion cursor to the first character position of the session screen.
Session Window - Clear All | Esc [2J | Erase all characters from the session screen.
Session Window - Selective Clear | Esc [?0J | Erase unprotected characters from the insertion cursor to the end of the session screen.
Session Window - Selective Clear | Esc [?1J | Erase unprotected characters from the insertion cursor to the first character position of the session screen.
Session Window - Selective Clear | Esc [?2J | Erase all unprotected characters in the session screen.
Tab Stop - Clear At Cursor Column | Esc [0g | Deletes the tab stop in the column of the insertion cursor.
Tab Stop - Set | Esc H | Inserts a tab stop in the column of the insertion cursor.
Tab Stop - Set Emulation Defaults | Esc y |
Tab Stops - Clear All | Esc [3g |
9 END :


AT&T 605/705 Escape Sequences: Emulation Settings

To enable an emulation setting, use escape sequence Esc #Attrib where Attrib is a value from the table below.

Emulation Setting | P1 | P2
AT&T 605 Terminal | 50 | 0
PC-XT emulation | 50 | 1
PC-AT1 emulation | 50 | 2
PC-AT2 emulation | 50 | 3
AT&T 705 terminal | 50 | 4
US Keyboard | 51 | 0
French Canadian NRC (PS2) Keyboard | 51 | 2
9 END :


AT&T 605/705 Escape Sequences: Character Set One

To map a character set into G0, use escape sequence: Esc (CharSet1,

To map a character set into G1, use escape sequence Esc )CharSet1,

To map a character set into G2, use escape sequence Esc *CharSet1,

To map a character set into G3, use escape sequence Esc +CharSet1,

where CharSet1 is a value from the table below.

Character Set | CharSet1
ASCII | B
DEC Special Graphics | 0
French Canadian | Q or 9
ISO Latin-1 Supplemental | <
ISO United Kingdom | A
Mosaic | }
Securities | 1

9 END :


AT&T 605/705 Escape Sequences: Character Set Two

To map a character set into G1, use escape sequence: Esc -CharSet2,

To map a character set into G2, use escape sequence Esc .CharSet2,

To map a character set into G3, use escape sequence Esc /CharSet2,

where CharSet2 is a value from the table below.

Character Set | CharSet2
ISO Latin-1 Supplemental | A

9 END :


AT&T 605/705 Escape Sequences: Line Attributes

To enable a line attribute, use escape sequence Esc #LineAttrib where LineAttrib is a value from the table below.

Line Attribute | LineAttrib
Double Height, Double Width, Top | 3
Double Height, Double Width, Top | 4
Single Height, Single Width | 5
Single Height, Single Width | 6

9 END :


AT&T 605/705 Escape Sequences: Printer Functions

To change a printer function, use escape sequence Esc [Prnti where Prnt is a value from the table below.

Printer Function | Prnt
Print Screen | 0
Auto Print (print online) — Off | ?4
Auto Print (print online) — Off | ?5
Print Controller (Media Copy) — Off | 4
Print Controller (Media Copy) — On | 5

9 END :


AT&T 605/705 Escape Sequences: Private Mode

To enable a line attribute, use escape sequence Esc #LineAttrib where LineAttrib is a value from the table below.

Private Mode | PrivMode
132 Columns | ?3
Auto Line Wrap | ?7
Blank Screen | ?10
Cursor Blink | ?12
Cursor Underline (Not Block) | ?11
Cursor Visible | ?25
Insert Mode | 4
Keyboard Lock | 2
Labels Hide | ?13
Newline Mode | 20
NRC Mode | ?42
Print Form Feed | ?18
Print Full Screen | ?19
Relative Origin | ?6
Reverse Screen | ?5
Send Only (No Local Echo) | 12
9 END :


AT&T 605/705 Escape Sequences: Status Request

To send a status request, use escape sequence Esc [Statusn where Status is a value from the table below.

Status Request | Status
Cursor Contents | ?7
Cursor Position | 6
Printer | ?15
Terminal Status | 5

9 END :


AT&T 605/705: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the AT&T 605/705 emulation, the following map files are available:

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


AT&T 605/705 Map Files: Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] AT&T 605/705 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  |  | Color
 | Bold | Reverse | Blink | Underline | Dim | Invisible | Fore | Back
Normal |  |  |  |  |  |  | lt gray | black
Bold | X |  |  |  |  |  | lt gray | black
Reverse |  | X |  |  |  |  | black | lt gray
Bold Reverse | X | X |  |  |  |  | black | lt gray
Flashing |  |  | X |  |  |  | lt gray | black
Bold Flashing | X |  | X |  |  |  | lt gray | black
Reverse Flashing |  | X | X |  |  |  | black | lt gray
Bold Reverse Flashing | X | X | X |  |  |  | black | lt gray
Underline |  |  |  | X |  |  | lt gray | black
Bold Underline | X |  |  | X |  |  | lt gray | black
Reverse Underline |  | X |  | X |  |  | black | lt gray
Flashing Underline |  |  | X | X |  |  | lt gray | black
Bold Reverse Underline | X | X |  | X |  |  | black | lt gray
Bold Flashing Underline | X |  | X | X |  |  | lt gray | black
Reverse Flashing Underline |  | X | X | X |  |  | black | lt gray
Bold Reverse Flashing Underline | X | X | X | X |  |  | black | lt gray
Subdued |  |  |  |  | X |  | lt gray | black
Bold Subdued | X |  |  |  | X |  | lt gray | black
Reverse Subdued |  | X |  |  | X |  | black | lt gray
Flashing Subdued |  |  | X |  | X |  | lt gray | black
Underline Subdued |  |  |  | X | X |  | lt gray | black
Bold Reverse Subdued | X | X |  |  | X |  | black | lt gray
Bold Flashing Subdued | X |  | X |  | X |  | lt gray | black
Bold Underline Subdued | X |  |  | X | X |  | lt gray | black
Reverse Flashing Subdued |  | X | X |  | X |  | black | lt gray
Reverse Underline Subdued |  | X |  | X | X |  | black | lt gray
Flashing Underline Subdued |  |  | X | X | X |  | lt gray | black
Bold Reverse Flashing Subdued | X | X | X |  | X |  | black | lt gray
Bold Reverse Underline Subdued | X | X |  | X | X |  | black | lt gray
Bold Flashing Underline Subdued | X |  | X | X | X |  | lt gray | black
Reverse Flashing Underline Subdued |  | X | X | X | X |  | black | lt gray
Bold Reverse Flashing Underline Subdued | X | X | X | X | X |  | black | lt gray
Blank |  |  |  |  |  | X | n/a | black
Bold Blank | X |  |  |  |  | X | n/a | black
Reverse Blank |  | X |  |  |  | X | n/a | lt gray
Flashing Blank |  |  | X |  |  | X | n/a | black
Underline Blank |  |  |  | X |  | X | n/a | black
Subdued Blank |  |  |  |  | X | X | n/a | black
Bold Reverse Blank | X | X |  |  |  | X | n/a | lt gray
Bold Flashing Blank | X |  | X |  |  | X | n/a | black
Bold Underline Blank | X |  |  | X |  | X | n/a | black
Bold Subdued Blank | X |  |  |  | X | X | n/a | black
Reverse Flashing Blank |  | X | X |  |  | X | n/a | lt gray
Reverse Underline Blank |  | X |  | X |  | X | n/a | lt gray
Reverse Subdued Blank |  | X |  |  | X | X | n/a | lt gray
Flashing Underline Blank |  |  | X | X |  | X | n/a | black
Flashing Subdued Blank |  |  | X |  | X | X | n/a | black
Underlined Subdued Blank |  |  |  | X | X | X | n/a | black
Bold Reverse Flashing Blank | X | X | X |  |  | X | n/a | lt gray
Bold Reverse Underline Blank | X | X |  | X |  | X | n/a | lt gray
Bold Reverse Subdued Blank | X | X |  |  | X | X | n/a | lt gray
Bold Flashing Underline Blank | X |  | X | X |  | X | n/a | black
Bold Flashing Subdued Blank | X |  | X |  | X | X | n/a | black
Bold Underline Subdued Blank | X |  |  | X | X | X | n/a | black
Reverse Flashing Underline Blank |  | X | X | X |  | X | n/a | lt gray
Reverse Flashing Subdued Blank |  | X | X |  | X | X | n/a | lt gray
Reverse Underline Subdued Blank |  | X |  | X | X | X | n/a | lt gray
Flashing Underline Subdued Blank |  |  | X | X | X | X | n/a | lt gray
Bold Reverse Flashing Underline Blank | X | X | X | X |  | X | n/a | lt gray
Bold Reverse Flashing Subdued Blank | X | X | X |  | X | X | n/a | lt gray
Bold Reverse Underline Subdued Blank | X | X |  | X | X | X | n/a | lt gray
Bold Flashing Underline Subdued Blank | X |  | X | X | X | X | n/a | lt gray
Reverse Flashing Underline Subdued Blank |  | X | X | X | X | X | n/a | lt gray
Bold Reverse Flashing Underline Subdued Blank | X | X | X | X | X | X | n/a | lt gray
9 END :


AT&T 605/705 Map Files: Character Translations

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default character mapping can be changed to suit your host environment using the Character Translation Map Editor. The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] AT&T 605/705 character translation map file has the following mappings established:
Host to Display |  | Display to Windows
Host | Display | Display | Windows
USAASCII UKASCII SPLCHARS SECINDUSTRY MOSAICS 605ISOLATIN 605DECSUP 605CANFR | FSANSI FSCOMP1 FSGREEK FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


AT&T 605/705 Map Files: Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.
The [default] AT&T 605/705 hotspot map file has the following mappings established:
Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
9 END :


AT&T 605/705 Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] AT&T 605/705 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted
AT&T 605Keyboard | IBM PC Keyboard | ASCII | Hexadecimal
F1 | F1 | Esc Oc | 1B 4F 63
F2 | F2 | Esc Od | 1B 4F 64
F3 | F3 | Esc Oe | 1B 4F 65
F4 | F4 | Esc Of | 1B 4F 66
F5 | F5 | Esc Og | 1B 4F 67
F6 | F6 | Esc Oh | 1B 4F 68
F7 | F7 | Esc Oi | 1B 4F 69
F8 | F8 | Esc Oj | 1B 4F 6A
F9 | F9 | Esc No | 1B 4E 6F
F10 | F10 | Esc Np | 1B 4E 70
F11 | Ctrl F1 or F11 | Esc Nq | 1B 4E 71
F12 | Ctrl F2 or F12 | Esc Nr | 1B 4E 72
F13 | Ctrl F3 | Esc Ns | 1B 4E 73
F14 | Ctrl F4 | Esc Nt | 1B 4E 74
F15 or Shift F1 | Shift F1 | Esc OC | 1B 4F 43
F16 or Shift F2 | Shift F2 | Esc OD | 1B 4F 44
F17 or Shift F3 | Shift F3 | Esc OE | 1B 4F 45
F18 or Shift F4 | Shift F4 | Esc OF | 1B 4F 46
F19 or Shift F5 | Shift F5 | Esc OG | 1B 4F 47
F20 or Shift F6 | Shift F6 | Esc OH | 1B 4F 48
F21 or Shift F7 | Shift F7 | Esc OI | 1B 4F 49
F22 or Shift F8 | Shift F8 | Esc OJ | 1B 4F 4A
F23 or Shift F9 | Shift F9 | Esc NO | 1B 4E 4F
F24 or Shift F10 | Shift F10 | Esc NP | 1B 4E 50
F25 or Shift F11 | Shift Ctrl F1 or Shift F11 | Esc NQ | 1B 4E 51
F26 or Shift F12 | Shift Ctrl F2 or Shift F12 | Esc NR | 1B 4E 52
F27 or Shift F13 | Shift Ctrl F3 | Esc NS | 1B 4E 53
F28 or Shift F14 | Shift Ctrl F4 | Esc NT | 1B 4E 54
Down | Arrow Down | Esc [B | 1B 5B 42
Left | Arrow Left | Esc [D | 1B 5B 44
Right | Arrow Right | Esc [C | 1B 5B 43
Up | Arrow Up | Esc [A | 1B 5B 41
BACKSPACE | Backspace | Bs | 00 08
RETURN | Enter | None | None
Delete | Delete or Ctrl F9 | Esc [P | 1B 5B 50
Delete | Shift Delete | Del | 7F
End | End or Ctrl F7 | Esc [24;1H | 1B 5B 32 34 3B 31 48
ESC | Escape | Esc | 00 1B
Home | Home or Ctrl F5 | Esc [H | 1B 5B 48
Shift Home | Shift Home | Esc [2J | 1B 5B 32 4A
Insert | Insert | Esc [@ | 1B 5B 40
Shift Insert | Shift Insert | Esc [L | 1B 5B 4C
Page Down | Page Down or Ctrl F8 | Esc [U | 1B 5B 55
Page Up | Page Up or Ctrl F6 | Esc [V | 1B 5B 56
Return | Enter or Shift Enter | CR LF | 0D 0A
Return | Ctrl Enter | LF | OA
Ctrl Down or Scroll Down | Shift Down Arrow or Ctrl Down Arrow | Esc [S | 1B 5B 53
Ctrl Left or Scroll Left | Shift Left Arrow or Ctrl Left Arrow | Esc [SpaceA | 1B 5B 20 41
Ctrl Right or Scroll Right | Shift Right Arrow or Ctrl Right Arrow | Esc [Space@ | 1B 5B 20 40
Ctrl Up or Scroll Up | Shift Up Arrow or Ctrl Up Arrow | Esc [T | 1B 5B 54
Tab | Tab or Pause | Tab | 09
Shift Tab (Tab Back) | Shift Tab | Esc [Z | 1B 5B 5A
9 END :


AT&T 4425 Emulation

Note

This emulation is not part of the base DCS product. It is only available if you have purchased and installed the AT&T 4425 Client Option.

Selecting the AT&T 4425 button on the Emulations tab of the Session Properties dialog enables the AT&T 4425 terminal emulation. The following reference information is available for the AT&T 4425 emulation:

Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Options | Describes each configurable option for the emulation. The options are located on five separate sub-tabs on the Emulations tab of the Session Properties dialog.
Map files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape sequences | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


AT&T 4425: General Information and Support

The AT&T 4425 emulation is a hybrid emulation, providing the escape sequences common to the following AT&T terminal emulations: 513, 615, 715, 4410, 4415, and 4425. The basis for all other features is the 4425 terminal, including:

  • Screen Display, Fixed Regions, and Display Memory

  • 80 character columns, with functions addressable to 80 rows

  • Eight on-screen function keys (for both User and System modes), which may be dynamically labeled and configured

  • 730-Mouse-menu functionality

  • ISO Standard 102 ‘QWERTY’ keyboard with default mapping to AT&T 4425 keyboard

  • ISO ASCII Standard keyboard transmission sequences

  • US ASCII font

  • Four cardinal direction (arrow) keys, with Shift+Arrow key operation

  • Ten-digit Key Pad

  • Screen Print

Screen Display and Memory

The AT&T 4425 display memory serves as an off-screen storage area for a limited number of lines which have been received from the host. The emulation supports a display memory region of up to 78 lines in 80-column mode, and up to 51 lines in 132 column mode.

The screen display is the visible region of the display memory. A maximum of 24 lines (one page) of the display memory may be viewed at time. Scroll the screen display up or down to view the entire display memory.

Cursor movement and editing operations affect the entire display memory. Therefore, a line inserted or deleted beyond the range of the screen display will have an effect on the entire display memory. For example, if a line is inserted, all lines at the cursor location and below are moved down one line and the last line of the display memory is discarded.

Fixed Display Regions

Fixed display regions are horizontal areas at the top and bottom of the display screen which do not scroll. The size of the fixed display regions, and their locations, depend upon the size of the display screen as specified by the Set Scrolling Region escape sequence; those sections of the display screen which are outside of the scrolling region (as defined in the escape sequence) become fixed display regions.

For example, if the escape sequence is ESC[5;20 r , then the top row of the scrolling region is 5 and the bottom row is 20. Lines 1-4 and lines 21-24 become two fixed display regions; lines 5-20 are the scrolling region.

Downloading Terminal Setting Options

A limited number of terminal options may be downloaded by the host and are supported through escape sequences. See AT&T 4425 Escape Sequences for more information.

Onscreen Function Keys

The on-screen function keys do not provide the Set-up, Dial, Print, Modes, or Menu functions found on the terminal keyboard, and no "Root keys" are associated with the on-screen function keys. Instead, all 8 keys are mapped as either System PF or User PF keys, allowing for access to host-defined or user-defined functions, respectively. F1 through F8 access the System PF keys. Shift+F1 through Shift+F8 access the User PF keys. Use the Set PF Key escape sequences to download labels and strings for the on-screen function keys.

Although the on-screen function keys appear similar to the Session Toolbar keys available for other DynaComm emulations, the PF keys are designed to access host-defined or user-defined functions only.

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the AT&T 4425 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

9 END :


AT&T 4425 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the AT&T 4425 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

AT&T 4425 Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Left Arrow Key | Left Arrow | Esc [D
Right Arrow Key | Right Arrow | Esc [C
Up Arrow Key | Up Arrow | Esc [A
Down Arrow Key | Down Arrow | Esc [B
Break key | Break | ^[
Backspace key | Backspace | Esc [D
Return key | Return | CR
Scroll display memory up | Scroll Up | Esc [T
Scroll display memory down | Scroll Down | Esc [S
Scroll to top of display memory | Scroll to top | Esc t
Scroll to bottom of display memory | Scroll to bottom | Esc z
Insert a character | Insert character | Esc [s
Delete a character | Delete a character | Esc [P
Insert a line | Insert line | Esc [L
Delete a line | Delete a line | Esc [M
F1 key | F1 | ^Oc
F2 key | F2 | ^Od
F3 key | F3 | ^Oe
F4 key | F4 | ^Of
F5 key | F5 | ^Og
F6 key | F6 | ^Oh
F7 key | F7 | ^Oi
F8 key | F8 | ^Oj
Shift F6 key | ShiftF6 | ^O}
Shift F8 key | ShiftF8 | ^O~
Enter key | Enter | CR
Tab key | Tab | ^I
Delete key | Delete | DEL
Scroll Lock | Scroll Lock | n/a
9 END :


AT&T 4425: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

RETURNKEYSENDS

CR, LF, CRLF

String

COLUMNS

80, 132

String

LOCALECHO

true, false

Boolean

AUTOWRAP

true, false

Boolean

ANSWERBACK

string

String

NEWLINEONLINEFEED

true, false

Boolean

DISABLEAUXPRINTMODE

true, false

Boolean

GetEmulConfig ()

KeyString

RETURNKEYSENDS

CR, LF, CRLF

String

COLUMNS

80, 132

String

LOCALECHO

true, false

Boolean

AUTOWRAP

true, false

Boolean

ANSWERBACK

string

String

NEWLINEONLINEFEED

true, false

Boolean

DISABLEAUXPRINTMODE

true, false

Boolean

Set Emulation

Emulation

ATT4425

String

Settings ()

Keyword

EMULATE

ATT4425

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


AT&T 4425: Working with Configuration Options

Before configuring the AT&T 4425 emulation, you must install the AT&T 4425 Client Option. This is an add-on package that is purchased separately from the base DCS product.

To determine if this Client Option is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the AT&T 4425 Client Option is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\att4425.flx

To configure a session with the AT&T 4425 emulation, begin by clicking AT&T 4425 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Five sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an AT&T 4425 terminal.

The five sub-tabs used to configure the AT&T 4425 emulation are:

  • General tab

  • Attributes tab options

  • Translation tab options

  • Keyboard tab options

  • Hotspots tab options

9 END :


AT&T 4425 Configuration Options: General Sub-tab

Session > Properties > Emulations > [AT&T 4425] > General

The General tab contains options related to configuring various general terminal options for the AT&T 4425 terminal emulation. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

Return Key Sends group

  • CR

  • LF

  • CRLF

Select one option to assign one of the following responses to the Return key:

CR: Sends a carriage return.

LF: Sends a line feed.

CRLF: Sends a carriage return followed by a line feed.

Default: CR

Note

If the Return key has been remapped (via the keyboard mapper) to send something other than Return, this options will not apply to the key. Conversely, if another key has been mapped to operate as Return, it will be governed by this option.

Terminal Width group

  • 80

  • 132

Select one option to specify the number of columns in the session display.

Select a terminal width that best suits the applications you will use on the host system.

Default: 80

Host Modes group

Local echo

Select to have keystrokes sent to the host displayed in the session window also.

Clear to have keystrokes sent to the host not displayed in the session window.

Most host systems automatically echo the keystrokes back to the PC (which are then displayed in the session).

Default: Cleared

Note

If two characters appear on the screen for each of your keystrokes, clear this setting.

Autowrap

Select to require the emulation to move the cursor to the beginning of the next line, when the session cursor is in the last column of the present line, and when the emulation receives a character.

Clear to allow the cursor to move from the last column to the first column of the next line only when the emulation receives an explicit escape sequence to do so. For example, when the emulation sequentially receives a carriage return character (CR, or hexadecimal 0D) and a line feed character (LF, or hexadecimal 0A), the emulation will move the session cursor to the first column of the next line.

Default: Selected

Newline on linefeed

Select to allow the emulation to move the session cursor to the first column of the next line (in effect, a carriage return function and a linefeed function), when the emulation receives a linefeed.

Clear to allow the emulation to move the session cursor to the first column of the current line, when the emulation receives a linefeed character.

Default: Cleared

Other options

Answerback

Enter a string of up to 69 ASCII characters in the field.

The string specified is sent to the host upon receipt of an ENQ or other host-initiated request, or when the Here Is key is pressed.

Default: ATT4425

Disable aux print mode

Select to disable the auxiliary print mode.

Clear to retain the default auxiliary print mode to perform any print-related escape sequences which are in the data stream.

By disabling the auxiliary print mode, escape sequences which turn on or off any printing-related function are ignored by the emulation.

Default: Cleared

9 END :


AT&T 4425: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The AT&T 4425 emulation supports the following escape sequences:

  • Cursor Movement Functions

  • Editing Functions

  • General, Display, or Terminal Functions

  • Terminal Options

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


AT&T 4425 Escape Sequences: General, Display, or Terminal Functions

Those escape sequences containing the variable pn may be repeated by substituting a positive integer value for pn. If no value is specified, the sequence will be performed once.

Those escape sequences containing the variables row or column allow for positioning a cursor in a specified location by substituting a positive integer value for row or column. If no value is specified, the value defaults to 1 (one) and the cursor is positioned at row 1 or column 1 as appropriate.

Function

Escape Sequence

Description

Advance Line

Esc [?8i

Advance Page on Printer

Esc [?6i

Autowrap — off (4)

Esc [?7l

Manual CR/LF at Line End

Autowrap — on (2)

Esc [?7h

Auto CR/LF at Line End

Clear Screen Labels

Esc ¦

Control Representation — off (3)

Esc [3l

Control Characters Blanked

Control Representation — on (1)

Esc [3h

Control Characters Displayed

Cursor Position Report

Esc [row;columnR

This sequence is the response to the Report Status Sequence; it reports the current cursor position.

Device Attributes

Esc Z

Host will transmit a string of characters identifying the terminal.

Device Attributes

Esc [c or Esc [0c

Upon receipt of either of these sequences, the terminal will transmit Esc [?1;2;25;20c to identify the terminal.

Device Reset

Esc c

Performs a software reset.

Device Reset

Esc [2;0 y

Display Blank (5)

Esc [8m

Display Blink (5)

Esc [5m

Display Bold (5)

Esc [1m

displayed as half intensity

Display Half Intensity (5)

Esc [2m

Display Normal (5)

Esc [0m

default

Display Reverse (5)

Esc [7m

Display Underscore (5)

Esc [4m

End Protected Field

Esc W

The last column of a protected field is created at the cursor position.

Enter Media Copy

Esc [?9i

Allows the host to send data directly to the printer without sending the data to the screen.

Erasure — all (1)

Esc [6h

Clear All

Erasure — unprotected only (3)

Esc [6l

Clear Unprotected Only

Exit Media Copy

Esc [?8i

Format Effector Action — off (3)

Esc [13l

Monitor Mode Off

Format Effector Action — on (1)

Esc [13h

Monitor Mode On

Horizontal Tab Set

Esc H

Set a tab stop.

Insert — off (3)

Esc [4l

Insert Mode Off

Insert — on (1)

Esc [4h

Insert Mode On

Keyboard Access — Lock (1)

Esc [2h

Lock Mode

Keyboard Access — Unlock (3)

Esc [2l

Unlock Mode

Load Default Tabs

Esc y

Default tab stops are set at every 8 columns.

Lock Mode

Esc `

Locks all keys except BREAK.

New Line on Linefeed — off (3)

Esc [20l

Index (Cursor Down)

New Line on Linefeed — on (1)

Esc [20h

NL on LF

Next Page

Esc [pnU

Displays the next full page of data from the display memory onto the screen.

Origin — entire screen (4)

Esc [?6l

Entire Screen Active

Origin — in middle (2)

Esc [?6h

Activates Middle Region in Scroll Mode

Perform Terminal Test

Esc [2;1 y

Previous Page

Esc [pnV

Displays the previous full page of data from the display memory onto the screen.

Print Extent — region (4)

Esc [?19l

Print Only Scrolling Region

Print Extent — screen (2)

Esc [?19h

Print Entire Screen

Print From Cursor

Esc [?0i

Prints the from the current cursor location to the end of the display memory.

Print Line

Esc [?1i

Prints the line at the current cursor location.

Print Screen

Esc [0i

Prints the content of the display screen, including all fixed and scrollable regions.

Print Termination — FF off (4)

Esc [?18l

No Form Feed to Printer after Print Screen

Print Termination — FF on (2)

Esc [?18h

Form Feed to Printer after Print Screen

Print to Cursor

Esc [?2i

Prints from the top of the display memory to the current cursor location.

Report Screen Cursor Position

Esc [6n

Report Status

Esc [5n

Restore Cursor Position

Esc 8

Returns the cursor to the previously stored position and attributes.

Restore System PF Labels

Esc ~

Restore User PF Labels

Esc }

Screen Color — normal (4)

Esc [?5l

Normal Video Entire Screen

Screen Color — reverse (2)

Esc [?5h

Reverse Video Entire Screen

Screen Column Width 132 (2)

Esc [?3h

132 Column Mode

Screen Column Width 80 (4)

Esc [?3l

80 Column Mode

Scroll Down

Esc [pnT

Causes data to scroll from the top of the screen to the bottom.

Scroll Up

Esc [pnS

Causes data to scroll from the bottom of the screen to the top.

Set PF Key

Esc [a;b;c;d q label+string

The a variable defines which PF key is to be written (1 to 8).

The b variable defines the number of characters.

The c variable defines key function:

0=Keyed

1=Local

2=Send

The d variable defines if the PF is a System PF (0) or USER PF (1).

The label (16 characters max.) must be followed by the string (80 characters max.)

Set Scrolling Region

Esc [top row;bottom rowr

Establishes a scrolling region bounded by the top and bottom rows specified in the sequence.

Set Terminal Options

Esc [ps1;ps2j

The ps1 variable defines the option number.

The ps2 variable is the parameter.

The options and parameters are listed in Terminal Options.

Note

These options may not be chained together; you must use a separate escape sequence for each option.

Start Protected Field

Esc V

The first column of a protected field is created at the cursor position.

Stop Print

Esc [?9i

Stops printing and cancels the Media Copy mode.

Store Cursor Position

Esc 7

Stores the cursor position and attributes.

Terminal Status - Test Failed

Esc [3n

Terminal Status - Test Passed

Esc [0n

Transmit Function Key String

Esc [x;y k

The x variable defines which function key is to be sent and can have a value of 1-11.

The y variable defines the function key as a System PF (0), or a User PF (1), unshifted F1-F11 (2), or shifted F1-F11 (3).

Turn Off Print on Line

Esc [?4i

Turns off the Print on Line operation and cancels the Media Copy mode.

Turn On Print on Line

Esc [?5i

Unlock Mode

Esc b

Restores access to all keys.

1. Standard online mode settings: these escape sequences can be chained together using the format Esc [ps;ps;ps;psh where ps represents the numeric value in each of the escape sequences.

2. Private online mode settings: these escape sequences can be chained together using the format Esc [?ps;ps;ps;psh where ps represents the numeric value in each of the escape sequences.

3. Standard online mode resettings: these escape sequences can be chained together using the format Esc [ps;ps;ps;psl where ps represents the numeric value in each of the escape sequences.

4. Private online mode resettings: these escape sequences can be chained together using the format Esc [?ps;ps;ps;psl where ps represents the numeric value in each of the escape sequences.

5. Set graphics rendition: these escape sequences can be chained together using the format Esc [ps;ps;ps;ps;psm where ps represents the numeric value in each of the escape sequences below. The renditions are additive, meaning all graphic renditions remain active until cleared by Esc [0m (Normal).

9 END :


AT&T 4425 Escape Sequences: Cursor Movement Functions

Those escape sequences containing the variable pn may be repeated by substituting a positive integer value for pn. If no value is specified, the sequence will be performed once.
Those escape sequences containing the variables row or column allow for positioning a cursor in a specified location by substituting a positive integer value for row or column. If no value is specified, the value defaults to 1 (one) and the cursor is positioned at row 1 or column 1 as appropriate.
Function | Escape Sequence | Description
Absolute | Esc [column` | Moves the cursor to the column specified, relative to the screen display.
Absolute | Esc [row;columnf | Moves the cursor to the column and row specified, relative to the screen display.
Active Memory Positioning | Esc [row;columnt | Moves the cursor to the column and row specified, relative to the display memory, and then scrolls until the location is on the screen.
Bottom of Memory | Esc z | Moves the cursor at the top of the 4425 emulation’s display memory.
Cursor Back Tab | Esc [pnZ | Moves the cursor to the previous tab stop.
Cursor Down | Esc [pnB | Moves the cursor down one line in the same column.
Cursor Home Down | Esc u | Moves the cursor to the first column of the last line of the screen.
Cursor Left | Esc [pnD | Moves the cursor one column to the left in the same line.
Cursor Next Line | Esc [pnE | Moves the cursor to the beginning of the next line.
Cursor Positioning | Esc [row;columnH | Moves the cursor to the column and row specified, relative to the display memory.
Cursor Previous Line | Esc [pnF | Moves the cursor to the beginning of the previous line.
Cursor Right | Esc [pnC | Moves the cursor one column to the right in the same line.
Cursor Tab | Esc [pnI | Moves the cursor to the next tab stop.
Cursor Up | Esc [pnA | Moves the cursor up one line in the same column.
Horizontal Position | Esc [columnG | Moves the cursor to the column specified, relative to the display memory.
Horizontal Position Relative | Esc [pna | Moves the cursor to the right pn columns. If pn exceeds the number of columns available, the cursor stops at the last column on the right.
Index (Cursor Down) | Esc D | Moves the cursor to the same column in the next line.
Next Line (New Line) | Esc E | Moves the cursor to the beginning of the next line.
Reverse Index | Esc M | Moves the cursor to the same column in the previous line.
Top of Memory | Esc t | Moves the cursor at the top of the 4425 emulation’s display memory.
Vertical Position | Esc [rowd | Moves the cursor to the row (line) specified, relative to the display memory.
Vertical Position Relative | Esc [pne | Moves the cursor down pn lines. If pn exceeds the number of lines available, the cursor stops at the last line of the display memory.
9 END :


AT&T 4425 Escape Sequences: Editing Functions

Function | Escape Sequence | Description
Character Delete | Esc [pnP | Deletes the character at the current cursor location.
Character Insert | Esc [pn@ | Inserts a blank character at the current cursor location.
Clear All Tab Stops | Esc [3g | Clears all tab stops in all columns.
Clear Tab Stop in Column | Esc [0g | Clears all tab stops in the column of the current cursor location.
Delete Line | Esc [pnM | Deletes the line at the current cursor location.
Erase Entire Line | Esc [2K | Erases all unprotected text on the line containing the cursor.
Erase Entire Page | Esc [2J |
Erase to End of Line | Esc [0K | Erases all unprotected text between the current cursor location and the end of the line..
Erase to End of Page | Esc [?J | Erases all unprotected text between the current cursor location and the bottom of the display screen.
Erase to Start of Line | Esc [1K | Erases all unprotected text between the current cursor location and the beginning of the line.
Erase to Start of Page | Esc [1J | Erases all unprotected text between the current cursor location and the top of the display screen.
Insert Line | Esc [pnL | Inserts a blank line at the current cursor location.
Write Spaces | Esc [pns | Inserts pn spaces at the current cursor location with current attributes.
9 END :


AT&T 4425 Escape Sequences: Terminal Options

Use these values with the escape sequence Esc [ps1;ps2j, where ps1 and ps2 are values from the following table:

Terminal Option | ps1 | ps2 | Description
Column width | 5 | 0 | 80 column
Column width | 5 | 1 | 132 column
Return key | 9 | 0 | CR
Return key | 9 | 1 | LF
Return key | 9 | 2 | CR/LF
New line on LF | 10 | 0 | no
New line on LF | 10 | 1 | yes
Autowrap text | 11 | 0 | no
Autowrap text | 11 | 1 | yes
"Enter" Key Text (1) | 25 | # of Chars. | 1 - 4 ASCII characters
Field Separator (1) | 26 | 1 | 1 ASCII character (default = HT)
Block Terminator (1) | 27 | 1 | 1 ASCII character (default = ETX)
Answerback (1) | 28 | # of Chars. | 1 to 69 ASCII characters

(1) For these options, the escape sequence is followed by a string of characters, or a single character, that is the option value and is transmitted following the sequence.

9 END :


AT&T 4425: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the AT&T 4425 emulation, the following map files are available:

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

You can create your own map files using the following editors:

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

  • Keyboard Map Editor

9 END :


AT&T 4425 Map Files: Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] AT&T 4425 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Dim | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | white | black
Dim | X |  |  |  |  | white | black
Reverse |  | X |  |  |  | black | white
Dim Reverse | X | X |  |  |  | black | white
Flashing |  |  | X |  |  | white | black
Dim Flashing | X |  | X |  |  | white | black
Reverse Flashing |  | X | X |  |  | black | white
Dim Reverse Flashing | X | X | X |  |  | black | white
Underline |  |  |  | X |  | white | black
Dim Underline | X |  |  | X |  | white | black
Reverse Underline |  | X |  | X |  | black | white
Flashing Underline |  |  | X | X |  | white | black
Dim Reverse Underline | X | X |  | X |  | black | white
Dim Flashing Underline | X |  | X | X |  | white | black
Reverse Flashing Underline |  | X | X | X |  | black | white
Dim Reverse Flashing Underline | X | X | X | X |  | black | white
Invisible |  |  |  |  | X | n/a | black
Dim Invisible | X |  |  |  | X | n/a | black
Reverse Invisible |  | X |  |  | X | n/a | white
Flashing Invisible |  |  | X |  | X | n/a | black
Underline Invisible |  |  |  | X | X | n/a | black
Dim Reverse Invisible | X | X |  |  | X | n/a | white
Dim Flashing Invisible | X |  | X |  | X | n/a | black
Dim Underline Invisible | X |  |  | X | X | n/a | black
Reverse Flashing Invisible |  | X | X |  | X | n/a | white
Reverse Underline Invisible |  | X |  | X | X | n/a | white
Flashing Underline Invisible |  |  | X | X | X | n/a | black
Dim Reverse Flashing Invisible | X | X | X |  | X | n/a | white
Dim Reverse Underline Invisible | X | X |  | X | X | n/a | white
Dim Flashing Underline Invisible | X |  | X | X | X | n/a | black
Reverse Flashing Underline Invisible |  | X | X | X | X | n/a | white
Dim Reverse Flashing Underline Invisible | X | X | X | X | X | n/a | white
9 END :


AT&T 4425 Map Files: Character Translations

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] AT&T 4425 character translation map file has the following mappings established:
Host to Display |  | Display to Windows
Host | Display | Display | Windows
USAASCII UKASCII SPLCHARS SECINDUSTRY MOSAICS | FSANSI FSCOMP1 FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


AT&T 4425 Map Files: Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] AT&T 4425 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
9 END :


AT&T 4425 Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] AT&T 4425 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted |  | Comments
AT&T 4425 Keyboard | IBM PC Keyboard | ASCII | Hexadecimal |
F1 | F1 | ^Oc |  |
F2 | F2 | ^Od |  |
F3 | F3 | ^Oe |  |
F4 | F4 | ^Of |  |
F5 | F5 | ^Og |  |
F6 | F6 | ^Oh |  |
F7 | F7 | ^Oi |  |
F8 | F8 | ^Oj |  |
User Mode | Shift F6 | ^O} |  |
System Mode | Shift F8 | ^O~ |  |
Backspace | Backspace | Esc [D |  |
Break | Ctrl Pause | ^[ |  |
Cursor Down | Arrow Down | Esc [B |  | Move the cursor down one line. The screen scrolls if the key is pressed when the cursor is at the bottom of the session screen.
Cursor Left | Arrow Left | Esc [D |  | Move the cursor one character position to the left.
Cursor Right | Arrow Right | Esc [C |  | Move the cursor one character position to the right.
Cursor Up | Arrow Up | Esc [A |  | Move the cursor up one line. The screen does not scroll if the key is pressed when the cursor is at the top of the session screen.
Return (num pad) | Return (num pad) | CR |  | Move the cursor to the start of the cursor’s line.
Num Lock | Num Lock | n/a | n/a |
9 END :


DEC VT Series Emulation

Selecting the VT Series button on the Emulations tab of the Session Properties dialog enables the DEC VT Series terminal emulation. The following reference information is available for the DEC VT Series emulation:
Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Parameters | Describes each configurable option for the emulation. The options are located on seven sub-tabs on the Emulations tab of the Session Properties dialog.
Map Files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape Sequences for VT52 VT100 and greater | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.
9 END :


DEC VT Series: General Information and Support

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the DEC VT Series F1 terminal key. If you prefer F1 to access the online Help system, use the Keymap Editor to remove the default mapping for this key.

Unsupported Features

The following escape sequences are not supported:

  • Auto Repeat (on/off)

  • Interlace (on/off)

  • Scrolling – Jump Mode

  • Scrolling – Smooth Mode

  • Terminal Test

  • Xoff, Xon.

See Unsupported Features for more information.

9 END :


DEC VT Series: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

MODE

Vt52, vt100, vt101, vt102, vt220, vt320, vt420

String

SCREENROW

24, 25

String

COLUMNS

80, 132

String

BITCONTROL

7, 8

String

DESTRUCTIVEBS

DEL, BS

String

ANSWERBACK

string

String

GISEXTENSION
(ansi colors)

true, false

String

DISPLAYCONTROLSMODE

true, false

String

LOCALECHO

true, false

String

LINEWRAP

true, false

String

NEWLINE

true, false

String

NUMPADAPPLICATION

true, false

String

CURSORKEYAPP

true, false

String

LIGHTSCREEN

true, false

String

GetEmulConfig ()

KeyString

MODE

Vt52, vt100, vt101, vt102, vt220, vt320, vt420

String

SCREENROW

24, 25

String

COLUMNS

80, 132

String

BITCONTROL

7, 8

String

DESTRUCTIVEBS

DEL, BS

String

ANSWERBACK

string

String

GISEXTENSION
(ansi colors)

true, false

String

DISPLAYCONTROLSMODE

true, false

String

LOCALECHO

true, false

String

LINEWRAP

true, false

String

NEWLINE

true, false

String

NUMPADAPPLICATION

true, false

String

CURSORKEYAPP

true, false

String

LIGHTSCREEN

true, false

String

Set Emulation

Emulation

VT52, VT100, VT101, VT102, VT220, VT320, VT420

String

Settings ()

Keyword

EMULATE

VT52, VT100, VT101, VT102, VT220, VT320, VT420

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


DEC VT Series Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the DEC VT Series emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

DEC VT Series Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Break | Break | Break command
Cursor Move Left | Left |
Cursor Move Right | Right |
Cursor Move Up | Up |
Cursor Move Down | Down |
Keypad 0 | Numeric pad 0 | SS3 p
Keypad 1 | Numeric pad 1 | SS3 q
Keypad 2 | Numeric pad 2 | SS3 r
Keypad 3 | Numeric pad 3 | SS3 s
Keypad 4 | Numeric pad 4 | SS3 t
Keypad 5 | Numeric pad 5 | SS3 u
Keypad 6 | Numeric pad 6 | SS3 v
Keypad 7 | Numeric pad 7 | SS3 w
Keypad 8 | Numeric pad 8 | SS3 x
Keypad 9 | Numeric pad 9 | SS3 y
Keypad - | Numeric pad minus | SS3 m
Keypad , | Numeric pad coma | SS3 l
Keypad . | Numeric pad period | SS3 n
Keypad Enter | Numeric pad enter | SS3 M
PF1 key | PF1 | SS3 P
PF2 key | PF2 | SS3 Q
PF3 key | PF3 | SS3 R
PF4 key | PF4 | SS3 S
Backspace key | Backspace | 0x7F
Find key | Find | CSI 1~
Insert editing key here | Insert Here | CSI 2~
Remove key | Remove | CSI 3~
Select key | Select | CSI 4~
Previous Page | Prev | CSI 5~
Next Page | Next | CSI 6~
F6 | F6 | CSI 17~
F7 | F7 | CSI 18~
F8 | F8 | CSI 19~
F9 | F9 | CSI 20~
F10 | F10 | CSI 21~
F11 | F11 | CSI 23~
F12 | F12 | CSI 24~
F13 | F13 | CSI 25~
F14 | F14 | CSI 26~
F15 (Help) | F15 | CSI 28~
F16 (Do) | F16 | CSI 29~
F17 | F17 | CSI 31~
F18 | F18 | CSI 32~
F19 | F19 | CSI 33~
F20 | F20 | CSI 34~
UDK F6 | UDK F6 | Application or user defined
UDK F7 | UDK F7 | Application or user defined
UDK F8 | UDK F8 | Application or user defined
UDK F9 | UDK F9 | Application or user defined
UDK F10 | UDK F10 | Application or user defined
UDK F11 | UDK F11 | Application or user defined
UDK F12 | UDK F12 | Application or user defined
UDK F13 | UDK F13 | Application or user defined
UDK F14 | UDK F14 | Application or user defined
UDK F15 | UDK F15 | Application or user defined
UDK F16 | UDK F16 | Application or user defined
UDK F17 | UDK F17 | Application or user defined
UDK F18 | UDK F18 | Application or user defined
UDK F19 | UDK F19 | Application or user defined
UDK F20 | UDK F20 | Application or user defined
Delete key | Delete | DEL
Tab key | Tab | HT
Help (F15) | Help | CSI 28~
Do (F16) | Do | CSI 29~
Enter key | Enter | CR
Enter key | Return | CR
Scroll Lock | Scroll Lock | n/a

9 END :


DEC VT Series: Working with Configuration Options

To determine if the DEC VT Series emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the DEC VT Series emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\vt420.flx

To configure a session to emulate a DEC VT Series terminal, begin by clicking DEC VT Series in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an ADDS Viewpoint 60 terminal.

The seven sub-tabs used to configure the ADDS Viewpoint 60 emulation are:

  • General options

  • User Defined Keys options

  • Language options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


DEC VT Series Configuration Options: General Sub-tab

Session > Properties > Emulations > [DEC VT Series] > General

The General tab contains several general configuration options for the DEC VT Series emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Terminal model

Select a terminal model that best suits the applications you will use on the host system.

VT52

VT100

VT101

VT102

VT220

VT320

VT420

Default: VT420

Note

The VT52 model supports only:

  • 7-bit control codes received from the host;

  • DEC private control functions;

  • ASCII and DEC Special Graphic character sets.

For a list of the DEC private control functions, see VT52 section of functions , numpad and keyboard topics.

Lines per screen

Select one of the following:

24

25

Sets the height of the display to either 24 or 25 lines per screen. The selection should match the maximum number of lines per screen required by an application on the host system.

Default: 24

Columns per page

Select one of the following:

80

132

Sets the width of the display to either 80 or 132 columns. The selection should match the maximum number of characters per line required by an application on the host system.

Default: 80

Send Controls

Select one of the following to send 7-bit or 8-bit control codes to the host system for certain function keys:

7-bit

8-bit

Default: 7-bit

Note

8-bit controls are understood only by models VT220 and greater.

Backspace sends

Select one of the following:

DEL - When the Backspace key is pressed, characters are deleted as the cursor moves backward. Sends hexadecimal character 7F to the host.

BS - When the Backspace key is pressed, characters are not deleted as the cursor moves backward. Sends hexadecimal character 08 to the host.

Default: DEL

Note

Applies only to models VT100 and higher.

Answerback

Enter a message (up to 30 characters) to be sent to the host system when the host requests the terminal to identify itself.

Default: VT429

Note

Applies only to models VT220 and higher.

Allow ANSI colors

Select to allow the emulation to process ANSI color escape sequences sent by the host, in addition to those normally applicable to the terminal model.

Clear to allow only escape sequences normally applicable to the terminal model to be processed by the emulation.

Default: Selected

Note

  • When selected, you may not change color attributes in the Attributes map.

  • Applies only to models VT100 and higher.

Display controls mode

Select to display a control character on the screen when screen functions are sent or received, rather than performing the function.

Clear to have screen functions operate normally and no control character is displayed on the screen.

Default: Cleared

Note

  • The following screen functions will create a new line (carriage return and line feed) in addition to displaying the control character: line feed, form feed, vertical tab.

  • Xon (ASCII DC1 or ^Q; hexadecimal 11) and Xoff (ASCII DC3 or ^S; hexadecimal 13) are communication controls and, therefore, will not be displayed when this configuration option is selected.

Host Modes group

Local echo

Select to have keystrokes sent to the host displayed in the session window. This setting is useful when keystrokes are not displayed in the session (due to the host system not automatically echoing the keystrokes back to the PC).

Clear to have keystrokes sent to the host not displayed in the session window.

Default: Cleared

Note

If two characters appear on the screen for each of your keystrokes, clear this setting.

Auto line wrap

Select to move the cursor to the first column in the next row, if a character is received when the cursor is in the last column of a row.

Clear to have the cursor remain in the same position and any new characters received overwrite the existing character, if a character is received when the cursor is in the last column of a row.

Default: Cleared

Newline mode

Select to move the session cursor to the first column of the next line when the emulation receives a line feed, vertical tab, or form feed character.

Clear to move the session cursor to the current column of the next line when the emulation receives a line feed character.

Default: Cleared

Note

A line feed is represented by the ASCII character LF (^J, or hexadecimal 0A). The Return, or Enter, key is represented by the ASCII carriage return character CR (^M, or hexadecimal 0D). For more information on character representations, see Appendix A: Character Sets, ASCII.

Numpad application

Select to send application commands to the host system when keys on the numeric keypad are pressed.

Clear to send the keypad characters to the host system when keys on the numeric keypad are pressed.

Default: Cleared

Note

The top row of keys, (Num Lock, slash, asterisk, and minus) are mapped by default to the PF1 through PF4 keys. If you want to change the mapping, you must do so in the Keymap editor.

Cursor keys application

Select to send application commands to the host system when keys on the cursor keypad are pressed.

Clear to send the cursor movement characters to the host system when keys on the cursor keypad are pressed.

Default: Cleared

Light screen

Select to set the screen background to a light color with a dark foreground color.

Clear to set the screen background to a dark color with a light foreground color.

Default: Cleared

9 END :


DEC VT Series Configuration Options: Language Sub-tab

Session > Properties > Emulations > [DEC VT Series] > Language

The Language tab provides the ability to specify the use of an 8-bit or 7-bit character set. Various languages are then available within that selection.

The table below lists each option found on the tab along with a description each.

Use this option

in this manner . . .

Multinational Mode
(8-bit characters)
Default

User-preferred supplemental

Select to have the emulation display and data stream use 8-bit characters.

Choose one of the following character sets:

DEC Supplemental Graphic

ISO Latin-1 supplemental

Default: DEC Supplemental Graphic

Unless your host requires a 7-bit data stream, do not change the default setting.

NCR Mode
(National Replacement Character sets)

Select to have the emulation display and data stream use 7-bit characters.

You must also select a specific character from one of the following:

US ASCII

United Kingdom

Dutch

Finnish

French

French Canadian

German

Italian

Norwegian/Danish

Spanish

Swedish

Swiss NRC

Default: US ASCII

Note

  • Unlike the original terminals, the emulation allows you to use characters from the NCR sets if you have selected the VT52 or VT100 terminal models.

  • Unless your host requires a 7-bit data stream, do not change the default setting.

9 END :


DEC VT Series Configuration Options: User Defined Keys Sub-tab (VT220 and higher)

Session > Properties > Emulations > [DEC VT Series] > User Defined Keys

The User Defined Keys tab provides the ability to specify the action or function that is to be performed when a key in the F6 to F20 key range is pressed. These keys are called user defined keys (UDKs).

The table below lists each element found on the tab along with a description each.

Use this option

in this manner . . .

Lock UDKs
(Prevents host redefinition)

Select to prevent the host from redefining the User Defined Keys which you have specified.

Clear so that the host may redefine the function keys F6-F20 to operate as determined by the host application.

Default: Cleared

[Text boxes]

F6

F7

F8

F9

F10

F11

F12

F13

F14

F15

F16

F17

F18

F19

F20

Enter a text string, an escape sequence or control code in a text box next to a key.

Normally, the characters sent by function keys are determined by a host application. The User Defined Keys may be defined to override the application definitions and send text, escape sequences and control codes.

You may define any and all of the UDKs in any combination. Each text box may contain a maximum of 256 characters. The characters may be from the ASCII or upper ANSI (escape and control code) character sets.

See VT Series escape sequence and control code notation for VT52 or VT100 and greater.

Default: Blank

Note

  • UDK F6 – UDK F10 are mapped by default to PC keys Shift+F6 through Shift+F10.

  • UDK F11 – UDK F20 are mapped by default to PC keys Ctrl+Shift+F1 through Ctrl+Shift+F10.

9 END :


DEC VT Series: Working with Escape Sequences for VT52

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The DEC VT52 emulation supports the following escape sequences:

General, display, or terminal functions

Cursor movement functions

Cursor position

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


DEC VT Series: Working with Escape Sequences for VT100 and Greater

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The DEC VT100 and greater emulation supports the following escape sequences:

General, display, or terminal functions

Cursor movement functions

Editing functions

Character Set

Terminal Mode

Media Copy Modes

Character Attributes

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


DEC VT Series Escape Sequences: Unsupported Features

Unsupported Feature | Escape Sequence | Comment
Auto repeat Off | Esc [?l | Pressing key for any length of time does not make the key repeat. The Windows operating system determines the operation of the keyboard.
Auto Repeat On | Esc [?8h | Pressing a key for more than a half second automatically repeats. The Windows operating system determines the operation of the keyboard.
Interlace Off | Esc [?9l | Causes the monitor display to un-interlace its scan lines. This function is handled by the driver software for your computer’s monitor.
Interlace On | Esc [?9h | Causes the monitor display to interlace scan lines. This function is handled by the driver software for your computer’s monitor.
Scrolling - Jump Mode | Esc [?4l | Adds lines to the session screen as fast as they can be received from the remote system.
Scrolling - Smooth Mode | Esc [?4h | Adds lines to the session screen at a rate of 6 lines per second (or slower depending on how fast the remote system is sending characters).
Terminal Test | Esc [4;xy | Hardware tests are not supported, since the emulation is on a machine other than an actual terminal.
Xoff | DC3 | Device Control Three (hexadecimal representation 13, Ctrl+S) is handled in the connector that you choose. Xoff stops the flow of data in a connection.
Xon | DC1 | Device Control One (hexadecimal representation 11, Ctrl+Q) is handled in the connector that you choose, not the VTSeries emulation. Xon restarts the flow of data in a connection.
9 END :


DEC VT Series Escape Sequences: Cursor Movement Functions (VT52)

Function | Escape Sequence | Description
Cursor Down | Esc B |
Cursor Home | Esc H |
Cursor Left | Esc D |
Cursor Position Set | Esc YLineCol | Line and Col are ASCII characters representing the number of a line and column in a session screen. Use the VT52 Cursor Position table to determine which characters to use for Line and Col.
Cursor Right | Esc C |
Cursor Up | Esc A |
9 END :


DEC VT Series Escape Sequences: Cursor Position (VT52)

To move the cursor to a specific screen location, use escape sequence:

Esc YlineCol

where Line or Col is a value from the table below.

Position

Line

Col

1

(Space)

(Space)

2

!

!

3

"
(Double Quote)

"
(Double Quote)

4

#

#

5

$

$

6

%

%

7

&

&

8

'
(Single Quote)

'
(Single Quote)

9

(

(

10

)

)

11

*
(Asterisk)

*
(Asterisk)

12

+

+

13

,
(Comma)

,
(Comma)

14

-
(Hyphen)

-
(Hyphen)

15

.
(Period)

.
(Period)

16

/

/

17

0

0

18

1

1

19

2

2

20

3

3

21

4

4

22

5

5

23

6

6

24

7

7

25

8

8

26

9

27

:
(Colon)

28

;
(Semicolon)

29

<

30

=

31

>

32

?

33

@

34

A

35

B

36

C

37

D

38

E

39

F

40

G

41

H

42

I

43

J

44

K

45

L

46

M

47

N

48

O

49

P

50

Q

51

R

52

S

53

T

54

U

55

V

56

W

57

X

58

Y

59

Z

60

[

61

\

62

]

63

^
(Caret)

64

_
(Underscore)

65

`
(Grave)

66

a

67

b

68

c

69

d

70

e

71

f

72

g

73

h

74

i

75

j

76

k

77

l

78

m

79

n

80

o

9 END :


DEC VT Series Escape Sequences: Editing Functions (VT52)

Function | Escape Sequence | Description
Erase From Cursor To End Of Line | Esc K |
Erase From Cursor To End Of Screen | Esc J |
9 END :


DEC VT Series Escape Sequences: General, Display, or Terminal Functions (VT52)

Function | Escape Sequence | Description
Alternate Keypad Mode Enter | Esc = |
Alternate Keypad Mode Exit | Esc > |
Autoprint Mode Enter | Esc ^ |
Autoprint Mode Exit | Esc _ |
Graphics Mode Enter | Esc F |
Graphics Mode Exit | Esc G |
Identify | Esc Z |
Line Feed Reverse | Esc I |
Print Line with the Cursor | Esc V |
Print Screen | Esc ] |
Printer Controller Mode Exit | Esc X |
Printer Controller Mode Enter | Esc W |
VT52 Mode Exit / Previous Mode Enter | Esc < | When exiting VT52 mode, the emulation will enter the mode which it had been prior to VT52. If the emulation had not been in another mode previously, it will enter the VT220 mode
9 END :


DEC VT Series Escape Sequences: Character Attributes (VT100 & Greater)

To enable character attributes, use escape sequence:

Esc[xm

where x is a value from the table below. The variable x can be one value or a number of semicolon separated values.

Attributes
x | Attribute
0 | All attributes off (normal)
5 | Blinking on
25 | Blinking off
1 | Bold on
22 | Bold off (normal intensity)
4 | Underscore on
24 | Underscore off
7 | Reverse video on
27 | Reverse video off
Colors
x | Foreground Color
30 | Black
31 | Red
32 | Green
33 | Yellow
34 | Blue
35 | Magenta
36 | Cyan
37 | White
x | Background Color
40 | Black
41 | Red
42 | Green
43 | Yellow
44 | Blue
45 | Magenta
46 | Cyan
47 | White
9 END :


DEC VT Series Escape Sequences: Character Set (VT100 & Greater)

To enable a character set, use escape sequence:

Esc TrmSet CharSet

where TrmSet and CharSet are values from the tables below.

Note

Where more than one character from CharSet can be used to represent a character set, use the first character shown whenever possible.

Terminal Character Set

TrmSet

Comments

G0

(
(Right Parenthesis)

G1

)
(Left Parenthesis)

G2

*
(Asterisk)

VT100 series terminals do not allow a character set to be assigned to G2.

G3

+
(Plus Sign)

VT100 series terminals do not allow a character set to be assigned to G3.

Character Set

CharSet

Comments

ASCII

B or 1

Default.

DEC Supplemental Graphic

%5 or %C

VT100 series terminal models do not support this character set.

ISO Latin-1
(United Kingdom)

A

VT100 series terminal models load the United Kingdom character set. VT200 series, and greater, models load the ISO Latin-1 character set

DEC Special Graphics

0 or 2

Dutch

4

DEC Finnish

5 or C

ISO French

R

DEC French Canadian

9 or Q

ISO German

K

ISO Italian

Y

DEC Norwegian/Danish

` (Grave)
or E
or 6

ISO Spanish

Z

DEC Swedish

7 or H

DEC Swiss

=
(Equal Sign)

9 END :


DEC VT Series Escape Sequences: Cursor Movement Functions (VT100 & Greater)

Function | Escape Sequence | Description
Cursor Down | Esc [nB | Moves the cursor down the number of lines indicated by n, but stays in the same column. If n is not included, the cursor moves down one line. The Escape Sequence has no effect when the cursor is at the session screen’s bottom margin.
Cursor Left | Esc [nD | Moves the cursor backward the number of columns indicated by n, but stays in the same line. If n is not included, the cursor moves backward one column. The Escape Sequence has no effect when the cursor enters the session screen’s leftmost column.
Cursor Position Set | Esc [Line;ColH | Moves the cursor the line and column indicated by Line and Col. The final position is affected by the state of the Origin Mode. For information about the Origin Mode, see the Terminal Mode Set or Reset Escape Sequences and the Terminal Mode table.
Cursor Position Set Absolute | Esc [Line;Col f | Moves the cursor to the line and column indicated by Line and Col. The final position is affected by the state of the Origin Mode. For information about the Origin Mode, see the Terminal Mode Set or Reset Escape Sequences and the Terminal Mode table.
Cursor Right | Esc [nC | Moves the cursor forward the number of columns indicated by n, but stays in the same line. If n is not included, the cursor moves forward one column. The escape sequence has no effect when the cursor enters the session screen’s rightmost column.
Cursor Up | Esc [nA | Moves the cursor up the number of lines indicated by n, but stays in the same column. If n is not included, the cursor moves up one line. The escape sequence has no effect when the cursor is at the session screen’s top margin.
Form feed | Ctrl L | Acts like the line feed control sequence.
Index | Esc D | Moves the cursor to the next line without changing columns. If the cursor is at the bottom margin, the screen session also scrolls up one line.
Index Reverse | Esc M | Moves the cursor to the previous line without changing columns. If the cursor is at the top margin, the screen session also scrolls down one line.
Line feed | Ctrl J | The action of this escape sequence depends on the state of the Line Feed/New Line mode. For more information, see the Terminal Mode table.
Line Next | Esc E | Moves the cursor to the first column of the next line. If the cursor is at the bottom margin, the session screen also moves up one line.
Tab Horizontal | Ctrl I | Moves the cursor to the next tab stop or the right margin in a line.
Tab Vertical | Ctrl K | Acts like the line feed control sequence.
9 END :


DEC VT Series Escape Sequences: Editing Functions (VT100 & Greater)

Function

Escape Sequence

Description

Backspace

Ctrl H

Moves the cursor to the left one column. If the cursor is in the first column, the emulation does nothing.

Carriage Return

Ctrl M

Moves to the left margin of a line.

Character Delete

Esc [nP

Deletes one or more characters, starting at the cursor. The value of n indicates the number of characters to delete in the line. The characters to the right of a deleted character move left and a space character with default attributes fills at the rightmost column.

Character Insert

Esc [n@

A function for VT200 series, or greater, terminal models only. Inserts one or more space characters with default attributes, starting at the cursor. The value of n indicates the number of space characters to insert. The cursor does not move. Characters to the right of the inserted blanks are moved to the right, and any characters moved past the rightmost column are lost.

Erase Character

Esc [nX

A function for VT200 series, or greater, terminal models only. Replaces n characters with spaces, starting at the cursor location and replacing characters to the right. Each new space character will have default character attributes. If n is equal to zero, or is not included, this function will delete one character.

Erase In Line

Esc [nK

If n is not included, or if n equals zero, the function replaces characters with space characters at the cursor and to the end of the line.

If n equals 1, the function replaces characters with space characters at the cursor and to the beginning of the line.

If n equals 2, the function replaces with space characters all characters in the line. The cursor does not move.

The space characters are given default attributes.

Erase In Line - Selective

Esc [?nK

A function for VT200 series, or greater, terminal models only. This function will not replace characters that are made non-erasable by the Character Attributes - Erasing function.

If n is not included, or if n equals zero, the function replaces erasable characters with space characters at the cursor and to the end of the line.

If n equals one, the function replaces erasable characters with space characters at the cursor and to the beginning of the line.

If n equals two, the function replaces with space characters all erasable characters in the line. The cursor does not move.

Erase In Session Screen

Esc [nJ

If n is not included, or if n equals zero, the function replaces characters with space characters at the cursor and to the end of the session screen. A line, where all its characters have been replaced, is made single-width and single-height.

If n equals one, the function replaces characters with space characters at the cursor and to the beginning of the session screen. A line, where all its characters have been replaced, is made single-width and single-height.

If n equals two, the function replaces with space characters all characters in the session screen. The cursor does not move. All lines become single-width.

The space characters are given default attributes.

Erase In Session Screen - Selective

Esc [?nJ

A function for VT200 series, or greater, terminal models only. This function will not replace characters that are made non-erasable by the Character Attributes - Erasing function.

If n is not included, or if n equals zero, the function replaces erasable characters with space characters at the cursor and to the end of the session screen.

If n equals one, the function replaces erasable characters with space characters at the cursor and to the beginning of the session screen.

If n equals two, the function replaces with space characters all erasable characters in the session screen. The cursor does not move.

Line Delete

Esc [nM

Deletes the number of lines indicated by n, if the cursor is in the session screen’s scrolling region. This escape sequence deletes n lines from the session screen, including the line with the cursor and any succeeding screen lines, up to the value of n or the remaining screen lines, depending on which is the lesser.

Any lines below the deleted lines and in the scrolling region are moved up and blank lines fill the remaining session screen. The cursor moves to the first column.

Line Insert

Esc [nL

Inserts one or more lines if the cursor is in the session’s scrolling region.

If n is not given or is equal to zero, one line is inserted. If n is greater than the number of lines between the cursor’s line and the last line of the session’s scrolling region, a number of lines equal to the number of lines left in the scrolling region are inserted; otherwise, the number of lines indicated by n are inserted.

When lines are inserted, the line with the cursor and all lines below it are moved down. Any lines that move past the bottom line of the scrolling region are lost. The cursor moves to the first column.

Tab Clear

Esc [g or Esc [0g

Clears the horizontal tab stop in cursor’s column.

Tab Clear All

Esc [3g

Clears all horizontal tab stop in the session screen.

Tab Set Horizontal

Esc H

Sets a tab stop in the cursor’s column.

9 END :


DEC VT Series Escape Sequences: General, Display, or Terminal Functions (VT100 & Greater)

Function

Escape Sequence

Description

Bell

Ctrl G

Generates a system beep.

Cancel

Ctrl X

Terminate any in-progress escape or control sequence.

Character Attributes - Erasing

Esc n"q

A function for VT200 series, or greater, terminal models only. Determines whether a character is erasable by an Erase Selective function. If n equals 0 or 2, all characters entered after the function is sent are erasable. If n equals 1, all characters entered after the function are not erasable.

Character Attributes - Rendition

Esc [xm

Changes the rendition of all characters entered after the function is sent. The variable x can be one value or a number of semicolon separated values. See the Character Attributes table to determine which character to use for x.

Character Set Selection (Designation)

Esc TrmSet CharSet

Maps CharSet (a special character set) to TrmSet (the name of a character set that the emulation uses). A special character set contains graphics characters, or characters specific to a country, which the default character sets in the emulation may not contain.

TrmSet is a character representing one of the terminal’s hard character sets:

CharSet is one or two characters representing a character set.

See the VT200 (and greater) Character Set table to determine which characters to use for TrmSet and CharSet.

Character Set -
Lock Shift G0

Ctrl O

Accesses the G0 character set. A Character Set Selection escape sequence designates the G0 character set.

Character Set -
Lock Shift G1

Ctrl N

Accesses the G1 character set. A Character Set Selection escape sequence designates the G1 character set.

Character Set -
Lock Shift G1 (Right)

Esc ~

A function for VT200 series, or greater, terminal models only. Accesses the G1 character set as the secondary character set.

Character Set -
Lock Shift G2

Esc n

A function for VT200 series, or greater, terminal models only. Accesses the G2 character set.

Character Set -
Lock Shift G2 (Right)

Esc }

A function for VT200 series, or greater, terminal models only. Accesses the G2 character set as the secondary character set.

Character Set -
Lock Shift G3

Esc o

A function for VT200 series, or greater, terminal models only. Accesses the G3 character set.

Character Set -
Lock Shift G3 (Right)

Esc |

A function for VT200 series, or greater, terminal models only. Accesses the G3 character set as the secondary character set.

Character Set -
Single Shift G2

Esc N

A function for VT200 series, or greater, terminal models only. Accesses the G2 character set for the next displayable character. A Character Set escape sequence designates the G2 character set.

Character Set -
Single Shift G3

Esc O

A function for VT200 series, or greater, terminal models only. Accesses the G3 character set for the next displayable character. A Character Set escape sequence designates the G3 character set.

Compatibility Mode - Level 1

Esc [61"p

A function for VT200 series, or greater, terminal models only. Sets the emulation to Level 1, or VT100 mode.

Compatibility Mode - Level 2

Esc [62x"p

A function for VT200 series, or greater, terminal models only. Sets the emulation to Level 2, or VT200 mode. The value of x determines whether 8-bit or 7-bit controls are supported. If x is not included, or if x equals ;0 (a zero following a semicolon) or ;2 (a two following a semicolon), the emulation supports 8-bit controls. If x equals ;1 (a one following a semicolon), the emulation supports 7-bit controls.

Control Sequence Introducer

Esc [

Begins a control sequence.

Controls Select - 7-bit

Esc SpaceF

A function for VT200 series, or greater, terminal models only. Turns all 8-bit control sequences into 7-bit control sequences.

Controls Select - 8-bit

Esc SpaceG

A function for VT200 series, or greater, terminal models only. Allows 8-bit controls.

Cursor Restore

Esc 8

Restores the settings saved by the Cursor Save escape sequence. If the Cursor Save function had not been sent, the cursor moves to the top leftmost character position, Origin Mode is reset, character rendition is left as is, and the default character set is accessed.

Cursor Save

Esc 7

Saves the cursor position, the graphic rendition, the shift state of the character sets, and whether the following are active or not: line wrapping, Origin Mode, and Erase Selective.

Device Control String

Esc P

The opening delimiter of a device control string.

Device Control String Terminator

Esc \

The closing delimiter of a device control string.

Enquiry

Ctrl E

The emulation sends an answerback message to the remote system.

Escape

Esc

Introduces escapes sequences, and terminates any escape sequences in progress.

Identify

Esc Z

Request the emulation to send a primary DA response sequence. This function is similar to the Request Device Attributes function, but is supported by lesser terminals than the VT200 series terminal models. The emulation responds with - Esc / Z.

Keypad Application Mode

Esc =

Makes the numpad generate application control functions.

Keypad Numeric Mode

Esc >

Allows the numpad to function as a numeric keypad; however, the top row of keys (the Num Lock, slash, asterisk, and minus on the PC keyboard) will still act as the PF1 through PF4 keys.

Line Height Double
Bottom Half

Esc #4

Makes a line the bottom half of a line with double-width and double-height characters. When this function is sent for a line, and if the line is single-width and single-height, the characters on the right half of the line are lost.

This sequence must be sent for a line, where the screen line above it has had the Line Height Double - Top Half function sent for it.

Line Height Double
Top Half

Esc #3

Makes a line the top half of a line with double-width and double-height characters. When this function is sent for a line, and if the line is single-width and single-height, the characters on the right half of the line are lost.

This sequence must be sent for a line, where the screen line below it has had the Line Height Double - Bottom Half function sent for it.

Line Width Double

Esc #6

Makes a line with double-width and single-height characters. When this function is sent for a line, and if the line is single-width and single-height, the characters on the right half of the line are lost.

Line Width Single

Esc #5

Returns the line with the cursor to a line with single-width and single-height characters. This is the default for lines in a session screen.

Print Screen
(Media Copy Modes)

Esc [xi

If x is not included, or if x equals zero, this function prints the entire session screen or the scrolling region within the session. The Print Extent mode determines whether all or part of the screen prints. For more information, see the Terminal Modes Set or Reset functions and the Terminal Mode table.

This escape sequence allows other types of printing of the session screen. See the Media Copy Modes table to determine which value to use for x.

Request Cursor Position

Esc [6n

A function for VT200 series, or greater, terminal models only. This function asks the emulation to report its cursor position with a CPR control sequence. The emulation responds with

Esc [Line;ColR

where Line is an integer indicating which session line the cursor is in, and where Col is an integer indicating which character position the cursor is in a session line.

Request Device Attributes

Esc [c or Esc [0c

A function for VT200 series, or greater, terminal models only. This function is a primary DA request from the host to the emulation, asking the emulation’s service class code and attributes. The emulation responds with:

Esc [?nc

where n is one integer value or a series of semicolon-separated integer values, providing the information for which the remote system asked.

Request Terminal Status

Esc [5n

A function for VT200 series, or greater, terminal models only. This function asks the emulation to respond with its operating status using a DSR control sequence. The emulation responds with one of two responses:

Esc [0n

which means that the emulation has no problem, or

Esc [3n

which means the emulation is not functioning properly.

Request Printer Status

Esc [?15n

A function for VT200 series, or greater, terminal models only. This function asks the printer’s status. The emulation responds with one of three responses:

Esc [?13n

which means that no printer is connected to DynaComm, or

Esc [?10n

which means that the printer is connected and ready to use, or

Esc [?11n

which means that the printer is not ready.

Request User Defined Keys

Esc [?25n

A function for VT200 series, or greater, terminal models only. This function asks whether the UDKs are locked or not. The emulation responds with one of two responses:

Esc [?20n

which means that the keys are unlocked, or

Esc [?21n

which means that the keys are locked.

Reset to Initial State

Esc c

Sets the emulation to emulation defaults (NVR); clears User-defined Keys (UDKs), the soft character set, and the session screen; positions the cursor in the upper left corner of the session screen; sets the character rendition to normal, and sets all characters to erasable; and selects the default character set.

Reset Soft

Esc [!p

A function for VT200 series, or greater, terminal models only. Sets the emulation to the power-up default states.

Screen Alignment Pattern

Esc #8

Fills the screen with uppercase E’s.

Scrolling Region Set

Esc [Top;Bottomr

Determines the top and bottom margins of the scrolling region in the session screen, where Top and Bottom are integers from one to the maximum number of lines in the session screen (for the VT100 series terminal models, the number of lines in a screen are 24). If the function does not include Top, the top margin will be the first line of the session screen. If the function does not include Bottom, the bottom margin is the last line of the session screen.

Substitute

Ctrl Z

Terminate any in-progress escape or control sequence, and displays a reverse question mark in the session screen.

Terminal Modes Reset

Esc [xl

Sets the mode of the session to a default mode. The x parameter can be one value, or a series of semicolon separated value. See the Terminal Mode table to determine which character to use for x.

Terminal Modes Set

Esc [xh

Sets the mode of the session. The x parameter can be one value, or a series of semicolon separated value. See the Terminal Mode to determine which character to use for x.

User Defined Keys

Esc PClr;Lock|KeyDefString Esc \

A function for VT200 series, or greater, terminal models only. This function defines or redefines the emulation’s UDKs. The total space allowed for all UDKs together are 256 bytes.

If Clr is not included or equals 0, all keys are cleared before loading new values. If Clr equals 1, old values are deleted only when redefined.

If Lock is not included or equals 0, the keys are locked after loading the new values. If Lock equals 1, the keys are unlocked after loading new values.

The KeyDefString redefines the keys. The number of the key is separated by a slash from its definition string, which is composed of a hexadecimal string.

9 END :


DEC VT Series Escape Sequences: Media Copy Modes (VT100 & Greater)

A Media Copy mode copies data from the session screen and sends it to the printer. To enable a Media Copy mode, use escape sequence Esc [xi where x is a value from the table below. If no value is given for x, the entire session screen or the scrolling region within the session is printed.

Media Copy Mode

x

Comments

Autoprint Mode - Disable

?4

Stops autoprint mode: no more session lines are sent to the printer.

Autoprint Mode - Enable

?5

Sends a session line to the printer when the cursor leaves the line because of one of the following functions: line feed, form feed, vertical tab, or line wrap function. The characters sent to the printer are terminated with a carriage return character and with the character that caused the printing, respectively: line feed, form feed, vertical tab, or line feed.

Print Controller Mode - Disable

4

Stops sending the session screen characters to the printer.

Print Controller Mode - Enable

5

Sends all characters to the printer, except the null character and the following control sequences: Xon, Xoff, Esc [5i, and Esc [4i. Your keystrokes are still sent to the remote system, not the printer.

The emulation does not send add any characters to the session screen characters that it sends to the printer. It does not format the characters for the printer. It does not select a character set for the printer.

This mode can replace Autoprint mode.

Print line with Cursor

?1

Sends the cursor’s line to the printer. After the line is sent, no more characters are sent to the printer until the emulation receives another escape sequence instructing it to.

9 END :


DEC VT Series Escape Sequences: Terminal Mode (VT100 & Greater)

To set a Terminal Mode, use escape sequence Esc [xh where x is a value from the table below.

To reset a Terminal Mode, use escape sequence Esc [xl where x is a value from the table below.

Mode

Set

Reset

x

Comments

ANSI / VT52 Mode

Toggle

Toggle

?2

Toggle alternates between compatibility with ANSI control sequences, which VT100 series, and greater, terminals models support, and with VT52 emulation, where only Digital private functions are supported.

Auto Wrap Mode

On

Off

?7

On allows characters entered after the end of a screen line to continue at the beginning of the next line. If the cursor is at the end of the scrolling region, the session screen will move up one line. The top line is lost, and a new line fills at the bottom of the screen.

Off prevents characters entered after the end of a line from affecting other screen lines. The last character in the last column replaces previous characters.

Character Mode - National

National

Multinational

?42

National allows the emulation to use 7-bit characters from a National Replacement Character Set (NRC).

Multinational returns the emulation to use the characters from the DEC Multnational or the ISO Latin-1 Character Sets.

Column Mode

132

80

?3

132 provides 132 character positions (or columns) in a line in a session screen.

80 provides 80 character positions in a line.

Cursor Key Mode

Application

Cursor

?l

Application makes the cursor keys function as the remote system current application defines.

Cursor allows the cursor keys to function as cursor keys.

Insert/Replacement Mode

Insert

Replace

4

Insert allows new characters at the cursor and moves characters on the right to the right. Any characters moved past the last column are lost.

Replace allows new characters at the cursor, while erasing old characters at the cursor.

Keyboard Action Mode

Lock

Unlock

2

Lock prohibits any keyboard input. Unlock allows the keyboard and the remote system to interact normally.

Line Feed/New Line Mode

Both
(CR and LF)

Single

20

Both requires received line feed, form feed, and vertical tab characters as well as the Return key to function like a carriage return and line feed combination.

Single requires line feed, form feed, and vertical tab to function only as a line feed (the cursor moves down one line and remains in the same column). The Return key only functions line a carriage return (the cursor moves the leftmost column of the same line).

Origin Mode

User-defined Origin

Screen Origin

?6

User-defined Origin selects the upper left corner of the scrolling region as the origin of the screen. The cursor is not allowed to move out of the scrolling region.

Screen Origin selects the upper left corner of the session screen as the origin of the screen. The cursor is able to move outside of the scrolling region.

Print Form Feed Mode

Yes

No

?18

Yes sends a form feed character at the end of a print screen operation.

No does not send a form feed a the end of print screen.

Print Extent

Full Screen

Scrolling Region

?19

Full Screen sends the session screen to the printer during a print screen operation.

Scrolling Region sends only the defined scrolling region of a session screen to the printer.

Screen Mode

Reverse

Normal

?5

Reverse creates the session screen with dark characters and a light background.

Normal creates a screen with light characters on a dark background.

Send/Receive Mode

Local Echo Off

Local Echo On

12

Local Echo Off sends keystrokes only to the remote system.

Local Echo On sends keystrokes to the remote system and to the session screen.

Text Cursor Enable Mode

Visible

Invisible

?25

Visible displays the text cursor. Invisible hides the text cursor.

9 END :


DEC VT Series: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the DEC VT Series emulation, the following map files are available:

  • Keyboard Maps

Main Keyboard

VT 52

VT100/101/102

VT220/320/420

Numpd Keyboard

VT52

VT100

Cursor Keyboard Map

All

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


DEC VT Series Map Files: Attributes

Session > Properties > Emulations > [DEC VT Series] > Attributes
Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] DEC VT Series attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  | Color
 | Bold | Reverse | Blink | Underline | Fore | Back
Normal |  |  |  |  | lt gray | black
Bold | X |  |  |  | lt gray | black
Reverse |  | X |  |  | black | lt gray
Bold Reverse | X | X |  |  | black | lt gray
Flashing |  |  | X |  | lt gray | black
Bold Flashing | X |  | X |  | lt gray | black
Reverse Flashing |  | X | X |  | black | lt gray
Bold Reverse Flashing | X | X | X |  | black | lt gray
Underline |  |  |  | X | lt gray | black
Bold Underline | X |  |  | X | lt gray | black
Reverse Underline |  | X |  | X | black | lt gray
Flashing Underline |  |  | X | X | lt gray | black
Bold Reverse Underline | X | X |  | X | black | lt gray
Bold Flashing Underline | X |  | X | X | lt gray | black
Reverse Flashing Underline |  | X | X | X | black | lt gray
Bold Reverse Flashing Underline | X | X | X | X | black | lt gray
9 END :


DEC VT Series Map Files: Character Translations

Session > Properties > Emulations > [DEC VT Series] > Translation
Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] DEC VT Series character translation map file has the following mappings established.
Host to Display |  | Display to Windows
Host | Display | Display | Windows
ASCII DECSUP DECSPLGR DISPCTRL 220UK 220DUTCH 220FINNISH 220FRENCH 220FRCAN 220GERMAN 220ITALIAN 220NORDAN 220SPANSIH 220SWEDISH 220SWISS 220ISOLATIN 220DECTECH | FSANSI FSCOMP1 FSGREEK FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


DEC VT Series Map Files: Cursor Keypad Keyboard

Session > Properties > Emulations > [DEC VT Series] > Keyboard
Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] DEC VT Series cursor keypad keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted in Numeric Mode |  | Characters Transmitted in Application mode
VT100 (and greater) Cursor Keypad | IBM PC Cursor Keypad | ASCII | Hexadecimal | ASCII | Hexadecimal
Cursor Up | Cursor Up | Esc [A | 1B 5B 41 | Esc OA | 1B 4F 41
Cursor Down | Cursor Down | Esc [B | 1B 5B 42 | Esc OB | 1B 4F 42
Cursor Right | Cursor Right | Esc [C | 1B 5B 43 | Esc OC | 1B 4F 43
Cursor Left | Cursor Left | Esc [D | 1B 5B 44 | Esc OD | 1B 4F 44
9 END :


DEC VT Series Map Files: Hotspots

Session > Properties > Emulations > [DEC VT Series] > Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] DEC VT Series hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
PF1 | PF1 | Terminal key PF1
PF2 | PF2 | Terminal key PF2
PF3 | PF3 | Terminal key PF3
PF4 | PF4 | Terminal key PF4
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
F9 | F9 | Terminal key F9
F10 | F10 | Terminal key F10
F11 | F11 | Terminal key F11
F12 | F12 | Terminal key F12
F13 | F13 | Terminal key F13
F14 | F14 | Terminal key F14
F15 | F15 | Terminal key F15
F16 | F16 | Terminal key F16
F17 | F17 | Terminal key F17
F18 | F18 | Terminal key F18
F19 | F19 | Terminal key F19
F20 | F20 | Terminal key F20

9 END :


DEC VT Series Map Files: Keyboard (VT52)

Session > Properties > Emulations > [DEC VT Series] > Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] DEC VT Series keyboard map file for VT52 emulations has the following mappings established:

Keyboards

Characters Transmitted

VT52 Keyboard

IBM PC Keyboard

ASCII

Hexadecimal

PF1

F1

Esc P

1B 50

PF2

F2

Esc Q

1B 51

PF3

F3

Esc R

1B 52

PF4

F4

Esc S

1B 53

F11

Esc

1B

F12

BS

08

Ctrl F3

LF

0A

Cursor Up

Arrow Up

Esc A

1B 41

Cursor Down

Arrow Down

Esc B

1B 42

Cursor Right

Arrow Right

Esc C

1B 43

Cursor Left

Arrow Left

Esc D

1B 44

9 END :


DEC VT Series Map Files: Numpad Keyboard (VT52)

Session > Properties > Emulations > [DEC VT Series] > Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] DEC VT Series numpad keyboard map file for the VT52 emulation has the following mappings established:

Keyboards

Characters Transmitted
in Numeric Mode

Characters Transmitted
in Application mode

VT52 Numpad

IBM PC Numpad

ASCII

Hexadecimal

ASCII

Hexadecimal

0

0

0

30

Esc ?p

1B 3F 70

1

1

1

31

Esc ?q

1B 3F 71

2

2

2

32

Esc ?r

1B 3F 72

3

3

3

33

Esc ?s

1B 3F 73

4

4

4

34

Esc ?t

1B 3F 74

5

5

5

35

Esc ?u

1B 3F 75

6

6

6

36

Esc ?v

1B 3F 76

7

7

7

37

Esc ?w

1B 3F 77

8

8

8

38

Esc ?x

1B 3F 78

9

9

9

39

Esc ?y

1B 3F 79

- (minus)

Ctrl + (plus)

-

45

Esc ?m

1B 3F 6D

, (comma)

+ (plus)

,

44

Esc ?l

1B 3F 6C

. (period)

. (period)

.

46

Esc ?n

1B 3F 6E

Enter

Enter

CR

0D

Esc ?M

1B 3F 4D

CR LF

0D 0A

Esc ?M

1B 3F 4D

PF1

Num Lock

Esc P

1B 50

Esc P

1B 50

PF2

/

Esc Q

1B 51

Esc Q

1B 51

PF3

* (asterisk)

Esc R

1B 52

Esc R

1B 52

PF4

- (minus)

Esc S

1B 53

Esc S

1B 53

9 END :


DEC VT Series Map Files: Keyboard (VT100/101/102)

Session > Properties > Emulations > [DEC VT Series] > Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] DEC VT Series keyboard map file for the VT100/101/102 emulations has the following mappings established:

Keyboards

Characters Transmitted

VT100/101/102 Keyboard

IBM PC Keyboard

ASCII

Hexadecimal

PF1

F1

Esc OP

1B 4F 50

PF2

F2

Esc OQ

1B 4F 51

PF3

F3

Esc OR

1B 4F 52

PF4

F4

Esc OS

1B 4F 53

F11

Esc

1B

F12

BS

08

Ctrl F3

LF

0A

9 END :


DEC VT Series Map Files: Numpad Keyboard (VT100)

Session > Properties > Emulations > [DEC VT Series] > Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] DEC VT Series numpad keyboard map file for the VT100 emulation has the following mappings established:

Keyboards

Characters Transmitted
in Numeric Mode

Characters Transmitted
in Application mode

VT100 (and greater) Numpad

IBM PC Numpad

ASCII

Hexadecimal

ASCII

Hexadecimal

0

0

0

30

Esc Op

1B 4F 70

1

1

1

31

Esc Oq

1B 4F 71

2

2

2

32

Esc Or

1B 4F 72

3

3

3

33

Esc Os

1B 4F 73

4

4

4

34

Esc Ot

1B 4F 74

5

5

5

35

Esc Ou

1B 4F 75

6

6

6

36

Esc Ov

1B 4F 76

7

7

7

37

Esc Ow

1B 4F 77

8

8

8

38

Esc Ox

1B 4F 78

9

9

9

39

Esc Oy

1B 4F 79

- (minus)

Ctrl + (plus)

-

45

Esc Om

1B 4F 6D

, (comma)

+ (plus)

,

44

Esc Ol

1B 4F 6C

. (period)

. (period)

.

46

Esc On

1B 4F 6E

Enter

Enter

CR

0D

Esc OM

1B 4F 4D

CR LF

0D 0A

Esc OM

1B 4F 4D

PF1

Num Lock

Esc P

1B 50

Esc OP

1B 4F 50

PF2

/

Esc Q

1B 51

Esc OQ

1B 4F 51

PF3

* (asterisk)

Esc R

1B 52

Esc OR

1B 4F 52

PF4

- (minus)

Esc S

1B 53

Esc OS

1B 4F 53

9 END :


DEC VT Series Map Files: Keyboard (VT220/320/420)

Session > Properties > Emulations > [DEC VT Series] > Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] DEC VT Series keyboard map file for the VT220/320/420 emulations has the following mappings established:

Keyboards

Characters Transmitted*

VT220/320/420 Keyboard*

IBM PC Keyboard

ASCII*

Hexadecimal*

PF1

F1

Esc OP

1B 4F 50

PF2

F2

Esc OQ

1B 4F 51

PF3

F3

Esc OR

1B 4F 52

PF4

F4

Esc OS

1B 4F 53

F6

F6

Esc [17~

1B 5B 31 37 7E

F7

F7

Esc [18~

1B 5B 31 38 7E

F8

F8

Esc [19~

1B 5B 31 39 7E

F9

F9

Esc [20~

1B 5B 32 30 7E

F10

F10

Esc [21~

1B 5B 32 31 7E

F11

Ctrl F1

Esc [23~

1B 5B 32 33 7E

F12

Ctrl F2

Esc [24~

1B 5B 32 34 7E

F13

Ctrl F3

Esc [25~

1B 5B 32 35 7E

F14

Ctrl F4

Esc [26~

1B 5B 32 36 7E

F15 (Help)

Ctrl F5

Esc [28~

1B 5B 32 38 7E

F16 (Do)

Ctrl F6

Esc [29~

1B 5B 32 39 7E

F17

Ctrl F7

Esc [31~

1B 5B 33 31 7E

F18

Ctrl F8

Esc [32~

1B 5B 33 32 7E

F19

Ctrl F9

Esc [33~

1B 5B 33 33 7E

F20

Ctrl F10

Esc [34~

1B 5B 33 34 7E

UDK6

Shift F6

User or host defined

UDK7

Shift F7

User or host defined

UDK8

Shift F8

User or host defined

UDK9

Shift F9

User or host defined

UDK10

Shift F10

User or host defined

UDK11

Shift Ctrl F1

User or host defined

UDK12

Shift Ctrl F2

User or host defined

UDK13

Shift Ctrl F3

User or host defined

UDK14

Shift Ctrl F4

User or host defined

UDK15

Shift Ctrl F5

User or host defined

UDK16

Shift Ctrl F6

User or host defined

UDK17

Shift Ctrl F7

User or host defined

UDK18

Shift Ctrl F8

User or host defined

UDK19

Shift Ctrl F9

User or host defined

UDK20

Shift Ctrl F10

User or host defined

Find

Home

Esc [1~

1B 5B 31 7E

Insert Here

Insert

Esc [2~

1B 5B 32 7E

Remove

Delete

Esc [3~

1B 5B 33 7E

Select

End

Esc [4~

1B 5B 34 7E

Previous Screen

Page Up

Esc [5~

1B 5B 35 7E

Next Screen

Page Down

Esc [6~

1B 5B 36 7E

* Transmitted Characters are shown in the table above in 7-bit notation. VT220/320/420 terminal models can function in either 7-bit or 8-bit mode. For 8-bit mode, replace the 7-bit notation with 8-bit notation as follows:

Esc O (1B 4F) replace with SS3 (8F)

Esc [ (1B 5B) replace with CSI (9B)

9 END :


HP 700/94 Emulation

Note This emulation is not part of the core DCS product. It is available only if you have purchased and installed the HP 700/94 Client Option.
Selecting the HP 700/94 button in the Emulations tab of the Session Properties dialog enables the HP 700/94 terminal emulation. The following reference information is available for the HP 700/94 emulation:
Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Options | Describes each configurable option for the emulation. The options are located on the Emulation tab of the Session Properties dialog.
Map Files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape Sequences | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.
9 END :


HP 700/94: General Information and Support

On-screen Function Keys
The following on-screen function keys are supported:
On-screen Function Keys | Description
LINE MODIFY | Displays an asterisk (*) when selected, indicating the session is in Line Modify mode.
MODIFY ALL | Displays an asterisk (*) when selected, indicating the session is in Modify All mode.
BLOCK MODE | Displays an asterisk (*) when selected, indicating the session is in Block mode.
REMOTE MODE | Displays an asterisk (*) when selected, indicating the session is in Remote mode.
Modes | Switches between the modes and user function keys. When the User key appears, the user function keys are enabled.
FORMAT MODE | Displays an asterisk (*) when selected, indicating the session is in Format mode.
MEMORY LOCK | Displays an asterisk (*) when selected, indicating the session is in Memory Lock mode.
DISPLAY FUNCTNS | Displays an asterisk (*) when selected, indicating the session is in Display Functions mode.
AUTO LF | Displays an asterisk (*) when selected, indicating the session is in Auto Line Feed mode.
Status Line
The bottom (25th) line of the HP emulation screen is called the status line. It is reserved for displaying status information, such as cursor position and keyboard state. The cursor position is indicated by line and column number. The keyboard status is indicated by the following messages:
Message | Description
KB Lockd | Keyboard is locked during a data transfer, when a handshake is pending, when the emulation is in Record mode, and also by the program.
CAPS | Caps lock key is active. The keyboard is set to type uppercase.
Ins Char | Insert character mode. Characters typed on the keyboard or received from the host are inserted at the cursor position. Characters pushed beyond the right margin are lost.
Ins Wrap | Insert character with wraparound mode. Characters typed on the keyboard or received from the host are inserted at the cursor position, and characters pushed beyond the right margin are wrapped to the next line.
STOP | Scroll Lock key is active.
Scroll Bar
The vertical scroll bar, on the right side of the session screen, allows you to move around in the HP emulation the same way you can in Windows. You can move up or down one line at a time, a screen at a time, continuously, or to any position on the screen, as detailed in the following table:
To scroll | Do this
One line up or down | Click the up or down scroll arrow on the scroll bar.
One screen | Click the scroll bar.
Continuously | Point to one of the scroll arrows or the scroll bar, then click and hold down the left mouse button.
To any position | Drag the scroll box in the scroll bar to the position you want.
Printing and Connection Functions
Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.
F1 Key
The F1 key normally accesses the online Help system. When a session window is active, however, the F1 key is mapped, by default key, to behave as the HP 700/94 F1 terminal key. If you prefer F1 to access the online Help system, use the Keymap Editor to remove the default mapping for this key.
9 END :


HP 700/94 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the DEC VT Series emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

HP 700/94 Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Back Tab key | Back Tab |
Break | Break | (break command)
Clear Line | Clear Line | Esc J
Clear Display | Clear Display | Esc K
Del | Del | DEL
Down arrow key | Down Arrow | Esc B
Delete char at cursor | Delete Char | Esc P
Delete line key | Delete Line | Esc M
Esc key | Esc | Esc
Enter key | Enter | (sends screen data to host)
F1 key | F1 | Esc p
F2 key | F2 | Esc q
F3 key | F3 | Esc r
F4 key | F4 | Esc s
F5 key | F5 | Esc t
F6 key | F6 | Esc u
F7 key | F7 | Esc v
F8 key | F8 | Esc w
Home cursor key | Home | Esc H
Home down key | Home Down | Esc F
Toggle insert char mode | Insert Char | Esc Q
Insert line key | Insert Line | Esc L
Left arrow key | Left Arrow | Esc D
Step through session key levels | Level | n/a
Line feed | Line Feed | ^J
Show next page | Next | Esc U
Numeric keypad 0 | NumPad 0 | 0
Numeric keypad 1 | NumPad 1 | 1
Numeric keypad 2 | NumPad 2 | 2
Numeric keypad 3 | NumPad 3 | 3
Numeric keypad 4 | NumPad 4 | 4
Numeric keypad 5 | NumPad 5 | 5
Numeric keypad 6 | NumPad 6 | 6
Numeric keypad 7 | NumPad 7 | 7
Numeric keypad 8 | NumPad 8 | 8
Numeric keypad 9 | NumPad 9 | 9
Numeric keypad period | NumPad Period | . (period)
Numeric keypad tab | NumPad Tab | Esc I
Previous page | Prev | Esc V
Send screen data to a printer | Print | Print command
Return key | Return | ^M
Right arrow key | Right Arrow | Esc C
Scroll text down | Scroll Down | Esc T
Locks/Unlocks the screen | Scroll Lock | n/a
Scroll text down | Scroll Up | Esc S
Select key | Select | Esc & P
Tab key | Tab | TAB
Up arrow key | Up Arrow | Esc A
Toggle insert character mode with wrap | Wrap InsertChar | Esc N
Delete char at cursor with wrap | Wrap Delete Char | Esc O
9 END :


HP 700/94: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

BELL

true, false

Boolean

INVERSEBACKGROUND

true, false

Boolean

XMITFNCTN

true, false

Boolean

INHEOLWRP

true, false

Boolean

INHDC2

true, false

Boolean

AUTOLF

true, false

Boolean

TABSPACES

true, false

Boolean

WARNINGBELL

true, false

Boolean

LOCALECHO

true, false

Boolean

SPOW

true, false

Boolean

INHHNDSHK

true, false

Boolean

ESCXFER

true, false

Boolean

RETURNENTER

true, false

Boolean

MODEL

HP700/92, HP700/94

String

COLUMNS

80, 132

Integer

STARTCOL

1 – 80

Integer

LINEPAGE

line, page

String

BLOCKMODE

true, false

Boolean

NUMPADTAB

tab, return, enter

String

DECIMALTYPE
(HP 700/94 only)

US, EUR

String

PRINT

all, fields

String

IMPDECDIGITS
(HP 700/94 only)

0 – 9

Integer

TRANSMIT
(HP 700/94 only)

all, modified

String

ATTRF1

N, L, T

String

ATTRF2

N, L, T

String

ATTRF3

N, L, T

String

ATTRF4

N, L, T

String

ATTRF5

N, L, T

String

ATTRF6

N, L, T

String

ATTRF7

N, L, T

String

ATTRF8

N, L, T

String

LABELF1

string (0 – 16 characters)

String

LABELF2

string (0 – 16 characters)

String

LABELF3

string (0 – 16 characters)

String

LABELF4

string (0 – 16 characters)

String

LABELF5

string (0 – 16 characters)

String

LABELF6

string (0 – 16 characters)

String

LABELF7

string (0 – 16 characters)

String

LABELF8

string (0 – 16 characters)

String

STRINGF1

string

String

STRINGF2

string

String

STRINGF3

string

String

STRINGF4

string

String

STRINGF5

string

String

STRINGF6

string

String

STRINGF7

string

String

STRINGF8

string

String

LINEMODIFY**
(on-screen function key)

true, false

Boolean

MODIFYALL**
(on-screen function key)

true, false

Boolean

BLOCKMODE
(on-screen function key)

true, false

Boolean

REMOTEMODE
(on-screen function key)

true, false

Boolean

FORMATMODE**
(on-screen function key)

true, false

Boolean

MEMORYLOCK**
(on-screen function key)

true, false

Boolean

DISPLAYFUNCTIONS
(on-screen function key)

true, false

Boolean

AUTOLF
(on-screen function key)

true, false

Boolean

KEYBOARDLOCK**
(on-screen function key)

true, false

Boolean

GetEmulConfig ()

KeyString

BELL

true, false

Boolean

INVERSEBACKGROUND

true, false

Boolean

XMITFNCTN

true, false

Boolean

INHEOLWRP

true, false

Boolean

INHDC2

true, false

Boolean

AUTOLF

true, false

Boolean

TABSPACES

true, false

Boolean

WARNINGBELL

true, false

Boolean

LOCALECHO

true, false

Boolean

SPOW

true, false

Boolean

INHHNDSHK

true, false

Boolean

ESCXFER

true, false

Boolean

RETURNENTER

true, false

Boolean

MODEL

HP700/92, HP700/94

String

COLUMNS

80, 132

Integer

STARTCOL

1 – 80

Integer

LINEPAGE

line, page

String

BLOCKMODE

true, false

Boolean

NUMPADTAB

tab, return, enter

String

DECIMALTYPE
(HP 700/94 only)

US, EUR

String

PRINT

all, fields

String

IMPDECDIGITS
(HP 700/94 only)

0 – 9

Integer

TRANSMIT
(HP 700/94 only)

all, modified

String

ATTRF1

N, L, T

String

ATTRF2

N, L, T

String

ATTRF3

N, L, T

String

ATTRF4

N, L, T

String

ATTRF5

N, L, T

String

ATTRF6

N, L, T

String

ATTRF7

N, L, T

String

ATTRF8

N, L, T

String

LABELF1

string (0 – 16 characters)

String

LABELF2

string (0 – 16 characters)

String

LABELF3

string (0 – 16 characters)

String

LABELF4

string (0 – 16 characters)

String

LABELF5

string (0 – 16 characters)

String

LABELF6

string (0 – 16 characters)

String

LABELF7

string (0 – 16 characters)

String

LABELF8

string (0 – 16 characters)

String

STRINGF1

string

String

STRINGF2

string

String

STRINGF3

string

String

STRINGF4

string

String

STRINGF5

string

String

STRINGF6

string

String

STRINGF7

string

String

STRINGF8

string

String

LINEMODIFY**
(on-screen function key)

true, false

Boolean

MODIFYALL**
(on-screen function key)

true, false

Boolean

BLOCKMODE
(on-screen function key)

true, false

Boolean

REMOTEMODE
(on-screen function key)

true, false

Boolean

FORMATMODE**
(on-screen function key)

true, false

Boolean

MEMORYLOCK**
(on-screen function key)

true, false

Boolean

DISPLAYFUNCTIONS
(on-screen function key)

true, false

Boolean

AUTOLF
(on-screen function key)

true, false

Boolean

KEYBOARDLOCK**
(on-screen function key)

true, false

Boolean

Set Emulation

Emulation

HP.dll

Use the EMULCONFIG command to specify the model.

String

Settings ()

Keyword

EMULATE

HP70094

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

** when using these keywords with the GETEMULCONFIG function, the state of these on-screen keys can only be correctly returned when the session is connected; when the session is not connected these keywords will always return "false", even if set to "true".

9 END :


HP 700/94: Working with Configuration Options

To determine if the HP 700/94 emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the HP 700/94 emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\hp70094.flx

To configure a session to emulate a HP 700/94 terminal, begin by clicking HP 700/94 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an HP 700/94 terminal.

The seven sub-tabs used to configure the HP 700/94 emulation are:

  • General options

  • Forms options

  • User Function Keys options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


HP 700/94 Configuration Options: General Sub-tab

Session > Properties > Emulations > [HP 700/94] > General

The General tab contains several general configuration options for the HP 700/94 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Bell

Select to sound the bell when the session is in Format mode and the cursor moves from one field to the next.

Clear to disable sounding the bell.

Default: Selected

Inverse Background

Select to display dark characters on a light background.

Clear to display light characters on a dark background.

Default: Cleared

XmitFnctn(A)

Select to have the control keys send their escape sequences to the remote system for execution.

Clear to execute the control keys.

Default: Cleared

Note

If Local Echo is also selected, the emulation also executes the control keys.

InhEolWrp(C)

Select to prevent the cursor from moving from the current line to next lower line (wrapping) as data is typed. The cursor moves to the next line only when you enter a carriage return or a cursor movement control sequence into the session. If you continue entering data while the cursor is at the right margin, each new character will replace the last on the margin.

Clear to move the cursor from the right margin of the present line to the left margin of the next line.

Default: Cleared

InhDC2(H)

Select to prevent DC1/DC2/DC1 handshaking, and to allow DC1 handshaking or no handshaking.

Clear to transfer a block of data using DC1/DC2/DC1 handshaking.

Default: Cleared

Note

The above statements are general in nature, since the handshaking that the emulation uses also depends on the state of the InhHndShk(G) check box, the type of block being transferred, and the current mode of the session. The possible modes are the Character, Block Line, Block Page, and Modify modes.

AutoLF

Select to allow automatic generation of a linefeed when Return is pressed.

Clear to disable automatic generation of a linefeed when Return is pressed.

Default: Cleared

Tab = Spaces

Select to enable the Tab key to produce space characters that move the cursor to the next tab stop. The Shift+Tab combination produces backspace character codes to move the cursor to the previous tab stop on a line. When a tab stop does not exist between the cursor location and the right margin, pressing the Tab key sounds the bell, does not generate space characters, and the cursor will not move.

Clear to enable the Tab key to produce tab characters that move the cursor to the next tab stop. The Shift+Tab combination moves the cursor back to the previous tab stop without producing backspace characters.

Default: Cleared

Warning Bell

Select to enable sounding the computer bell when the cursor advances from one field to another and when the Ctrl+G control (decimal 7) is sent to the terminal.

Clear to disable the computer bell.

Default: Selected

Local Echo

Select to have the characters you type also display on the emulation screen. Checking this box is useful when the remote system does not echo back your keystrokes; however, if the remote system does echo your keystrokes, you will see two characters on the screen for each keystroke.

Clear to send the character(s) only to the remote system.

Default: Cleared

SPOW(B)

Select to engage the Space Overwrite Latch. This allows the space characters entered through the keyboard to overwrite the existing characters on the session window, depending on whether a Carriage Return character, a Linefeed character, a Tab character, or a Home Up escape sequence (Escape+H) has entered the session window.

After a Carriage Return character enters the session, spaces will move the cursor forward without overwriting existing characters. If a Linefeed or Tab character or a Home Up escape sequence enters the session, spaces will overwrite existing characters, as if Spaces Overwrite is cleared (or the Space Overwrite Latch is disabled).

Clear to allow spaces to move the cursor forward without overwriting existing characters.

Default: Cleared

InhHndShk(G)

Select to disable use of DC1 handshaking. DC1/DC2/DC1 handshaking or no handshaking can be used.

Clear to transfer a block of data using the DC1 handshaking.

Default: Cleared

Note

The statements above are general in nature, since the handshaking that the emulation uses also depends on the state of the Inhibit DC2 check box, the type of block being transferred, and the mode of the session. The possible modes are the Character, Block Line, Block Page, and Modify modes.

EscXfer(N)

Select to send the SI + Esc + &D@ escape sequence (SI is the Shift In ¾ ASCII decimal code 15, control character) before sending any data from display memory to an external printer, which returns it to the primary character set and stops any character enhancements. This also requires sending the printer all escape sequences which define the data’s appearance, and defines the fields in display memory.

Clear to prevent the emulation from sending any escape sequence from display memory.

Default: Cleared

Return = Enter

Select to have the Return key on the main keyboard function the same as pressing Enter.

Clear to allow Return to function normally.

Default: Cleared

HP Model

Select one of the following:

HP 700/94

HP 700/92

Default: HP 700/94

The HP 700/94 Client Option can emulate the HP 700/92 or the HP 700/94 terminals. The 700/94 terminal has all the features of the HP 700/92 terminal, including the following:

  • more display memory

  • the ability to store forms information locally

  • the capability to validate data in formatted screens and transmit only changed data from fields on a formatted screen

  • ability to group data on a formatted screen for logical, easy access.

Columns

Select the number of columns for the session window from the following:

80

132

Default: 80

Start Col

Select a value to define the column from which a transmission to the host will start after you have pressed Enter or Return (the session must be in Modify Line or Modify All mode).

Values: 1 through 80

However, the emulation only uses this column as a starting point when no logical start-of-text pointer exists in the line. The integer can be any number between one and eighty, inclusive.

Default: 1

Line/Page(D)

Select one of the following to specify the amount to transmit when in Block Mode and the Enter key (on the numeric keypad) is pressed:

Line

Page

Default: Line

Transmission

Select one of the following to specify how the data is sent to the host as it is typed:

Character

Block

Default: Character

NumPad Tab =

Select one of the following to change the character that the Tab key on the HP keyboard numeric keypad (+ on the PC keyboard numeric keypad) displays on the session window.

Tab

Return

Enter

Selecting Enter allows the Tab key to act like the Enter key on the HP keyboard or on the numeric keypad (PC and HP keyboards). Selecting Return allows the Tab key to act like the Return key on the keyboard. Selecting Tab allows the Tab key to behave normally.

Default: Tab

9 END :


HP 700/94 Configuration Options: Forms Sub-tab

Session > Properties > Emulators > [HP 700/94] > Forms

The Forms tab contains configuration options for working with forms in the HP 700/94 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Decimal Type

Select one of the following to specify the character to use for the decimal point between whole numbers and their decimal fractions.

US = period

EUR = comma

Note

The selection in the Decimal Type list box only has meaning to the HP 700/94 emulation.

ImpDecDigits

Enter an integer from 0 to 9 to indicate the possible number of digits to the right of the decimal point.

Default: 2

Note

The contents of Implied Decimal Digits only has meaning to the HP 700/94 emulation.

Transmit

Select one of the following to indicate which fields of a formatted session window to transmit to the host.

All Fields

Modified

Default: All fields

Note

The selection in Transmit only has meaning to the HP 700/94 emulation. When the session is emulating the HP 700/92 terminal, it always sends the data in all unprotected fields.

Print

Select one of the following to indicate which portions of a formatted screen to send to a printer.

All - print all of display memory.

Fields -print only the unprotected fields in display memory.

The Print list box setting only effects the session when the display is in Format mode and when the emulation executes a copy escape sequence or reacts to the pressing of Print.

Default: Fields

9 END :


HP 700/94 Configuration Options: User Function Keys Sub-tab

Session > Properties > Emulators > [HP 700/94] > User Function Keys

The User Function Keys tab lists the current attributes, labels, and string values of the eight user function keys (F1-F8). You can edit the function of these keys by changing the attributes and string values.

The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

For more information about escape sequences, refer to Escape Sequences.

For a description of the default settings of the User Function Keys, refer to Keyboard Mapping: Function Keys .

Use this option

in this manner . . .

Attribute
(First column)

Select one of the following:

N - treat the string as normal characters typed on the keyboard.

L - to echo the string locally to the emulation and not send it to the host computer.

T - to transmit the string to the host computer and not echo it locally.

Default: T

Label
(Second column)

Enter a user function key label to display on the button.

The label can be from 0 to 16 characters.

Default: F1 through F8

String
(Third column)

Enter a string for the new function.

Default:

^[p f1

^[q f2

^[r f3

^[s f4

^[t f5

^[u f6

^[v f7

^[w f8

9 END :


HP 700/94: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The HP 700/94 emulation supports the following escape sequences:

General, Display or Terminal Functions

Cursor Movement

Display Enhancements

Editing Functions

Field Attributes

Field Type

Function Key Labels Action

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


HP 700/94 Escape Sequences: General, Display, or Terminal Functions

Function

Escape Sequence

Description

Auto Linefeed Mode Off

Esc&k 0A

Auto Linefeed Mode On

Esc&k 1A

Adds a linefeed character to each carriage return character the keyboard generates.

Block Mode

Esc&k 1B

Sends characters to the host after the keyboard’s Enter key is pressed or after a host request.

Caps Lock Mode Off

Esc&k 0C

Caps Lock Mode On

Esc&k 1C

Generates Teletype-compatible codes only (no lowercase ASCII character codes).

Caps Mode Off

Esc&k 0P

Caps Mode On

Esc&k 1P

All alphabetic keys send uppercase letters; all shifted alphabetic keys send lowercase letters.

Character Mode

Esc&k 0B

Send characters to the host as a key is pressed.

Character Set

Ctrl N

Selects the Alternate character set as the Active Character Set.

Ctrl O

Selects the Base character set as the Active Character Set.

Esc ) @

Selects the Base character set as the Alternate Character Set.

Esc ) B

Selects the Line Drawing character set as the Alternate Character Set.

Clear Display

Esc J

In Format mode, the escape sequence clears all unprotected displaying and non-displaying characters.

When not in Format mode, this escape sequence clears the display from the cursor to end of display memory.

HP Configuration Menus:
Lock All

Esc&q 1L

Locks all configuration menus, in addition to the following modes or HP function keys: Modify All, Block, Remote, and Auto Linefeed.

HP Configuration Menus:
Unlock All

Esc&q 0L

Unlocks all terminal configuration menus so that a menu can be accessed from the keyboard.

HP Configuration Menus:
Stores All Entries

Esc&f 0B

Stores the current entries in all configuration menu fields, the current state of the function key labels (except the "modes" function keys), tab stops, margins, and the user definable key selections.

HP Configuration Menus:
Restores Stored Values

Esc&f 1B

Restores entries in all configuration menu fields, the current state of the function key labels (except the "modes" function keys), tab stops, margins, and the user definable key selections that were stored with the Esc&f 0B sequence.

Copy All to Printer

Esc&p M or Esc&p 0M

Copies to the printer all lines from the current cursor line to the bottom line of display memory. As DynaComm prints each line, the cursor moves to the first column of the next line. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect.

The keyboard locks while data is sent to the printer.

Copy Display Memory to Destinations

Esc&pB

Character b will send the line containing the cursor.

Esc&pF

Character f will send all of the screen from the line containing the cursor to the last visible screen line.

Esc&pM

Character m will send all of display memory from the line containing the cursor to the last line in display memory.

Copy Display Memory to Printer

Esc 0

Copies the entire display memory to the printer and places the cursor at the home position. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect.

The keyboard locks while DynaComm sends data to the printer.

In Format mode, the emulation will copy only the fields of display memory or all of display memory. The copy depends on the setting of the Print list box in the Forms tab of the Emulations tab of the Session Properties dialog, or on the escape sequences sent to the emulation (such as, the escape sequences Fields - Transmit all fields, Esc&k 0Z, or Fields - Transmit modified fields, Esc&k 1Z).

Copy Screen Line to Printer

Esc&p B or Esc&p 0B

The escape sequence copies to the printer the entire line which contains the cursor, and the cursor moves to the first column of the next line after the line is copied. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect.

The keyboard locks while DynaComm sends data to the printer.

Copy Screen Page to Printer

Esc&p F or Esc&p 0F

Copies to the printer each line from the cursor to the last visible screen line. As the emulation prints each line, the cursor moves to the first column of the next line. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect.

The keyboard locks while DynaComm sends data to the printer.

Cursor: Off

Esc*d R

Cursor: On

Esc*d Q

Cursor Position Sensing

Esc a

Absolute

Esc '

Relative to the Screen Coordinates

Cursor Type Block

Esc*d 1Q

Cursor Type Underline

Esc*d 0Q

Decimal Digits: Implied Size

Esc&k xY

Sets the number of digits allowed to the right of the decimal point, where x is an integer in the range of 0 through 9.

Decimal point: European

Esc&k 1X

Selects the European mark, replacing the United States mark.

Decimal point: United States

Esc&k 0X

Selects the United States mark, replacing the European mark.

Destination Selection: Printer

Esc&p 4D

Neither the emulation nor the host execute any keyboard entries until the transfer is complete.

Display Enhancement

Esc&d Char

Creates a field where the characters in the field are given a special attribute.

Char is a character in the Display Enhancements sub-table. An enhancement begins at the present cursor position and continues until an existing enhancement or until the end of the present line. On a field basis use the End Enhancement character (@) to end the enhancement.

The security character may be used with another character, but it must precede the other enhancement character. The security character has no effect when Format mode is active.

Display Functions mode: off

Esc Z

Control codes and escape sequences are executed.

Display Functions mode: on

Esc Y

Control codes and escape sequences are displayed but not executed.

Exceptions: Display Functions Mode off escape sequence, Carriage return control code, Carriage return and linefeed control code

Edit Check

Esc&e xe y

Applies optional attribute y and field type x to the field at the cursor.

For possible values of x or y, see the Field Type and Field Attribute sub-tables, respectively.

All attribute characters, except for the last character, must be lowercase. The last attribute character, or the e, if no attribute character is supplied, must be uppercase.

The y value can be zero or more individual attributes. If an attribute is not included, the attribute is considered off or not applied.

EscXfer (N)

Esc&s 0N

Prevents sending escape sequences for the display to a printer.

Esc&s 1N

Allows sending escape sequences for the display to a printer.

Field Types (in Forms Generation)

Esc 6

This escape sequence is for the HP 700/94 emulation only.

Alphabetic-only: Start
Indicates the beginning of a field that will accept alphabetic characters only. The alphabetic characters include upper and lowercase alphabetic characters and the space character.

Esc 7

This escape sequence is for the HP 700/94 emulation only.

Numeric only: Start
Indicates the beginning of a field that will accept numeric characters only. The numeric characters are the space character, zero through nine, minus sign, plus sign, comma and decimal point.

Esc {

Transmit-only: Start
Indicates the beginning of a Transmit-only field when generating a form. Field extends to the end of the line, unless ended by an Ec ] escape sequence.

Esc [

Unprotected: Start
Indicates the beginning of an unprotected field when generating a form. Field extends to the end of the line, unless ended by an Ec ] escape sequence.

Esc 8

This escape sequence is for the HP 700/94 emulation only.

Unrestricted: Start

Indicates the beginning of a field that will accept any keyboard character.

Esc ]

Stop

Indicates the end of an unprotected or transmit-only field.

Esc&k 0Z

Transmit All Fields

Esc&k 1Z

Transmit Modified Fields

Form Copy to Screen

Esc&p 9u FormIDp F

Copies a form with number FormID from the forms cache to the screen.

Form Define and Load

Esc&p 9u <FormName>n FormIDp SizeL FormDef

This escape sequence is for the HP 700/94 emulation only.

Defines and then loads the form into cache memory. The form definition can contain escape sequences and control characters.

FormName is the name of the form and can be any symbols, except control characters and escape sequences. If the name includes angle brackets ( < or > ), a left angle bracket ( < ) must precede each angle bracket. If the name is the same as a previously defined form, this escape sequence will replace the existing form with this form definition. The parameter <FormName>n is optional.

FormID is an integer in the range 1 through 255. If the number is the same as a previously defined form, this escape sequence will replace the existing form with this form definition.

Size is an integer specifying the size of the form in bytes.

FormDef is the definition of the form. This form definition can contain escape sequences and control characters.

Form Define without Size Unknown and Load

Esc&p 9u <FormName>n FormIDp <FormDef>L

This escape sequence is for the HP 700/94 emulation only.

The escape sequence defines and then loads the form into cache memory.

FormName, FormID, and FormDef have the same meaning in this escape sequence as Form Define And Load, except that FormDef cannot contain any escape sequences or control characters. Also, if FormDef includes angle brackets ( < or > ), a left angle bracket ( < ) must precede each angle bracket.

Form Purge

Esc&p 9u FormIDp 0L or Esc&p 9u FormIDpL

Purge the form with number FormID from the cache to make memory available in the cache.

Format mode: Off

Esc X

Format mode: On

Esc W

Allows data entry in unprotected fields only.

Forms Cache Status

Esc&p <FormName>n 9^

Requests whether a form (denoted by its name, FormName) is available in the forms cache. If no name is given between the angle brackets, the escape sequence requests the directory of the forms cache.

Esc&p FormIDp 9^

Requests whether a form (denoted by its number, FormID) is available in the forms cache.

Esc&p 9^

This escape sequence is for the HP 700/94 emulation only.

Requests number of memory blocks assigned to the forms cache.

Function Keys

Esc p

User definable function key F1

Esc q

User definable function key F2

Esc r

User definable function key F3

Esc s

User definable function key F4

Esc t

User definable function key F5

Esc u

User definable function key F6

Esc v

User definable function key F7

Esc w

User definable function key F8

Function Key Attributes

Esc&f Attra Keyk LblLend StrLenL Label String

Defines an on-screen function key.

Attr is an integer in the range of 0 to 2, where 0 is normal, 1 is local only, or 2 is transmit only. Zero is the default setting.

Key is an integer in the range 1 to 8 (one of the function keys one through eight). One is the default setting.

LblLen is an integer in the range 0 to 16, indicating the number of characters in Label. Zero is the default setting.

StrLen is an integer in the range of -1 to 80. Negative one erases the key definition field. Zero to eighty indicate the number of characters in the String for the key definition field. Zero is the default setting.

Label is zero or more characters for the key label, as specified in LBlLen.

String is zero or more characters for the key definition field, as specified in StrLen.

All identifiers (a, k, d, l) must be lowercase, except the last identifier, which must be uppercase.

Function Key Labels

Esc&j @

Leaves the user keys enabled but removes all key labels.

Esc&j A

Enables and displays the modes labels.

Esc&j B

Enables the user function keys and displays the labels.

Esc&j xD

Performs one or more actions, depending on the value of x, which is an integer in the range of zero to three. An action happens after Message displays from the Esc&j NumCharL Message escape sequence. The possible actions are related to the possible values of x and are delineated in the Function Key Labels Action sub-table.

Esc&j C

Remove Message
Removes the message that the Esc&j NumCharL Message escape sequence displayed on the screen and restores the current key labels.

Host Message

Esc&j NumCharL Message

Removes the key labels from the screen and display the Message string on the screen.

NumChar is an integer in the range of 1 to 160, the number of characters in Message.

Depending on the value of the x parameter in the Esc&j xD escape sequence, the terminal may beep after Message displays, and the labels may restore after Message displays and you enter a carriage return.

InhDC2 (H)

Esc&s xH

Works with the InhHndShk (G) escape sequence to determine which handshaking the emulation uses.

If x is 0, this escape sequence allows DC1/DC2/DC1 handshaking.

If x is 1, this escape sequence prevents DC1/DC2/DC1 handshaking.

InhEolWrp (C): off

Esc&s 0C

Allows the cursor to automatically move to the left margin when the right margin is reached as alphanumeric characters are entered.

InhEolWrp (C): on

Esc&s 1C

Only allows the cursor to move to the left margin with an explicit carriage return or other cursor movement function, not merely entering alphanumeric characters.

InhHndShk (G)

Esc&s xG

Works with the InhDC2 (H) escape sequence to determine which handshaking the emulation uses.

If x is 0, this escape sequence allows DC1 handshaking.

If x is 1, this escape sequence prevents DC1 handshaking.

Insert Character mode: On with wraparound

Esc N

Any characters to the right of the inserted character, that move past the right margin, move to the beginning of the next line until the next fills. If the next line fills, the emulation inserts a new line under the line, where the insertion started, and places all the moved characters on the new line.

In Format mode, and if the insertion is in an unprotected or transmit-only field, the new characters insert without wraparound and only affects the characters from the cursor to the end of the field. If the insertion is not in an unprotected or transmit-only field, the cursor moves to the first unprotected field to insert characters.

When not in Format mode, and the insertion moves unprotected and transmit-only fields, they retain their characteristics when on the original line or when wholly on the succeeding line; however, when a field is divided between two lines, the part of the field in the second line loses the field characteristics, while the part of the field on the first line retain the field characteristics.

Insert Character mode: On without wraparound

Esc Q

Any characters to the right of the inserted characters that move past the right margin are lost. If the insertion point is at the right margin, characters are inserted starting at the beginning of the next line. Characters inserted in fields or blocks enlarge the fields and blocks.

In Format mode, the inserted characters only affect unprotected characters, and when an insertion begins in a protected field, the insertion point moves to the first character in the next unprotected field.

Insert Character mode: Off

Esc R

Keyboard Auto Lock mode: off

Esc&k 0K

The emulation acts normally.

Keyboard Auto Lock mode: on

Esc&k 1K

Keyboard Lock: off

Esc b

Unlocks the keyboard when the emulation is in Keyboard Auto Lock mode.

Keyboard Lock: on

Esc c

Keyboard Warning Bell: off

Esc&k 0D

Keyboard Warning Bell: on

Esc&k 1D

Line: Advance

Esc&p xp 4u 1C

Sends linefeed characters to a printer, where x is the number of linefeed characters to send to (and therefore to produce lines on) the printer.

Line: Delete

Esc M

Deletes the cursor’s line, and rolls up all lines below cursor’s line. This escape sequence has no effect in Format mode.

Line: Insert

Esc L

Rolls down the cursor’s line and all lines below the cursor’s line, and inserts a line. The escape sequence has no effect in Format mode.

Line/Page (D)

Esc&s 0D

Allows the emulation to transmit a line as a data block.

Esc&s 1D

Allows the emulation to transmit a page as a data block.

Local Echo Mode: off

Esc&k 0L

Local Echo Mode: on

Esc&k 1L

Local Mode

Esc&k 0R

Displays alphanumeric characters on the screen, but does not send them to a remote host.

Remote mode is off.

Logging Bottom Data

Esc&p 11C

Enable Bottom Data
Sends the line that the cursor was in to the printer, when the emulation receives a linefeed or performs an end-of-line wraparound. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect. The keyboard locks while the emulation sends data to the printer.

Esc&p 12C

Enable Top Data
Sends the top line in display memory to the printer when the display memory is full and another line of data enters at the bottom of display memory, purging the top line. The emulation must have previously received Esc&p 4D (Destination Selection - Printer) for this escape sequence to have an effect. The keyboard locks while the emulation sends data to the printer.

Logging Top Data is disabled when Memory Lock mode is on (Esc l).

Esc&p 13C

Disable Logging

Margins

Esc 4

Set left margin at current cursor position
Format mode clears margins.

Esc 5

Set right margin at current cursor position
Format mode clears margins.

Esc 9

Clear All Margins

Memory Lock mode: off

Esc m

Memory Lock mode: on

Esc l

Provides overflow protection and display locking.

Modify All mode: off

Esc&k 0M

Modify All mode: on

Esc&k 1M

A special form of Block mode, when the emulation is actually in Character mode.

Next Page in Display Memory
(24 lines of data)

Esc U

Locked text remains at the top of the screen as the unlocked text moves.

Numpad Tab key

Esc&f 211P <!154>

Functions like Enter
Makes the Tab key on the HP numeric keypad or F11 on the standard mapping of the HP emulation act as Enter.

Esc&f 211P <!149>

Functions like Return
Makes the Tab key on the HP numeric keypad or F11 on the numeric keypad in the standard mapping for the PC keyboard act as Return.

Esc&f 211P < > or

Esc&f 211P <!150> or

Esc&f 211P <!211>

Functions like Tab
Makes the Tab key on the HP numeric keypad or F11 on the numeric keypad in the standard mapping for the PC keyboard act as the Tab key.

Page Advance

Esc&p 4u 0C

Sends a form feed to a printer.

Previous Page in Display Memory
(24 lines of data)

Esc V

Locked text remains at the top of the screen as the unlocked text moves.

Printer Status

Esc& p x^

Requests the status of a printer.

If x is equal to the integer 4, the escape sequence asks for the status of an external printer, but if x is equal to the integer 6, it asks for the status of an internal printer. If the escape sequence includes 6, the emulation will respond with a status byte that the printer does not exist.

Remote mode

Esc&k 1R

Sends alphanumeric characters to host. Local mode is off.

Reset Hard

Esc E

Reset Soft

Esc g

Return key

Esc&f 1m 149P <!154> or

Esc&q 8te 1{

Functions like Enter
Functions in Remote mode only.

On the PC keyboard, either escape sequence will make the Enter key on the main keyboard function like Enter on the numeric keypad.

Esc&f 1m 149P <!149> or

Esc&f 1m 149P <> or

Esc&q 8te 1{

Functions like Return
Return key on the main keyboard functions as it normally does.

Roll Down Unlocked Text One Line in Display Memory

Esc T

Unlocked text moves behind locked text.

Roll Up Unlocked Text One Line in Display Memory

Esc S

Unlocked text moves behind locked text.

Screen Blanking

Esc&w 12F

Allows the display of alphanumeric characters. Function key labels and the status line remain visible.

Esc&w 13F

Prevents the display of alphanumeric characters.

Screen

Esc&w 6f 80X

Select the 80-column Session Screen (default)

Esc&w 6f 132X

Select the 132-column Session Screen

Send a Block of Data from Display Memory to the Host

Esc d

Sends a block starting at the cursor position and ending at a block terminator or the end of display memory. This escape sequence is not affected by Keyboard Auto Lock mode.

Send Cursor Position mode: off

Esc&x 0C

Send Cursor Position mode: on

Esc&x 1C

Allows cursor information to be sent when handshaking is disabled.

Tab Regions

Esc&a Col1sCol2s…ColnS

This escape sequence is for the HP 700/94 emulation only.

Vertical
Splits display memory vertically into two or more tab regions, up to a maximum of 132 regions (or 80 for an eighty column terminal session), where the first region is the zeroth vertical region, where the column specified by Colx is the first column of a region, and where the number of regions is equal to n + 1. To clear previous settings, place 0s as the first parameter in the list.

Terminal Capabilities

Esc*s x^

Requests the capabilities of the terminal in four areas: alphanumeric capabilities (when x equals -1), graphics capabilities (when x equals -2), amount of RAM memory (when x equals -3), and interface capabilities (when x equals -4).

Terminal ID Status

Esc*s ^

Requests a five-byte string indicating the terminal identity: 70092 for an HP 700/92 terminal, and 70094 for an HP 700/94 terminal.

Terminal Status

Esc ^

Primary
Requests bytes zero through six of the terminal status bytes.

Esc ~

Secondary
Requests bytes seven through thirteen of the terminal status bytes.

Transfer ASCII Data

Esc&p xd xd W DataString

Sends the contents of DataString to one or two destinations. Both xd parameters are optional. If the escape sequence includes neither parameter, the emulation sends DataString to the current to device.

x can be the following two values: 3 or 4, the display or printer, respectively.

DataString can be up to 256 bytes, or characters. The transfer ends with the 256th byte or a linefeed character.

Transfer Binary Data

Esc&p xd xd CountW DataString

Sends the contents of DataString to one or two destinations. Both xd parameters are optional. If the escape sequence includes neither parameter, the emulation sends the contents of DataString to the current to device.

x can be the following two values: 3 or 4, the display or printer respectively.

Count is an integer in the range of 1 through 256, and indicates the number of bytes of binary data. The transfer ends when the emulation transfers the number of bytes indicated by Count.

Transfer Record Mode

Esc&p Charp 20C

Starts sending records of display data to a printer. Each record is composed of no more than 256 bytes.

Char is an optional ASCII character, that signals to the emulation to stop sending data to the printer. The default for Char is zero and means that only a hard emulation reset, a soft emulation reset, or pressing the Record Mode function key will turn off Transfer Record mode. If the escape sequence does not include the Charp parameter, the emulation assumes the default, 0p.

User Definable Function Key: Execute

Esc&f xE

Executes the function assigned to a function key denoted by x, where x is an integer in the range of one to eight, and 1 refers to the F1 key, 2 refers to the F2 key, and so on.

Wait in Transmission

Esc @

Stops data transmission from the terminal for one second.

Xmit Fnctn (A)

Esc&s 0A

Requires that all escape sequences for major function keys are only executed locally.

Esc&s 1A

Allows all escape sequences for major function keys to be executed locally and sent to the remote system to be executed.

9 END :


HP 700/94 Escape Sequences: Cursor Movement Functions

Function

Escape Sequence

Description

Cursor Move: relative to

Esc&a ± Colc ± RowR

Moves the cursor to the coordinates [Col,Row], relative to the present cursor position in display memory, where Col is an integer in the range of 0 through 131] and Row is an integer in the range of 0 through MaxLinesInDisplay. Col and Row are signed integers.

A positive number indicates right or downward movement. A negative number indicates left or upward movement.

Cursor Move: to Column and Absolute Row

Esc&a Colc RowR

Moves the cursor to the coordinates [Col,Row], relative to the display memory coordinates, where Col is an integer in the range of 0 through 79, or in the range of 0 through 131, and Row is in the range of 0 through MaxLinesInDisplay.

Cursor Move: to Column and Screen Row

Esc&a Colc RowY

Moves the cursor to the coordinates [Col,Row], relative to the screen coordinate system, where Col is an integer in the range of 0 through 131, and Row is an integer in the range of 0 through 23.

Cursor: Down

Esc B

When the cursor moves below the bottom line of the screen, the cursor continues from the top line of the screen.

Cursor: Home Down

Esc F

Moves the cursor to the lower, left corner of the screen and rolls the last line in display memory to the line above the cursor.

Cursor: Home Up

Esc H

Rolls the display memory down, so that the first line of display memory appears in the screen’s first row, and places the cursor in the upper, left corner of the screen.

In Format mode, and when the screen has protected fields, the cursor is placed at the beginning of the first unprotected field.

If the emulation’s memory is locked, display memory is rolled down so that the first line is at the top of the screen area below the locked screen area. The cursor is placed at the beginning of the unlocked area. However, if Format mode is also active, the cursor is placed in the first unprotected field of the screen.

Cursor: Home Up

Esc h

This escape sequence is the same as Esc H, but it ignores "transmit only" fields.

Cursor: Left

Esc D

When the cursor moves past the left margin of the screen, the cursor continues from the right margin of the next higher line. At the left margin of the screen’s top line, the cursor continues at the right margin of the screen’s bottom line.

Cursor: Move to the Left Margin

Esc G

Cursor: Right

Esc C

When the cursor moves past the right margin of the screen, the cursor continues from the left margin of the next lower line. At the right margin of the screen’s bottom line, the cursor continues at the left margin of the screen’s top line.

Cursor: Up

Esc A

When the cursor moves above the top line of the screen, the cursor continues from the bottom line of the screen.

Tab

Esc i

Backward to the Previous Tab Stop
In Format mode, the emulation moves the cursor to the beginning of a protected filed or moves the cursor to the beginning of the previous unprotected field.

The left margin is considered a tab stop.

Esc I or Ctrl I

Forward to the Next Tab Stop
In Format mode, the emulation moves the cursor to the beginning of the next unprotected field, or if the cursor is in the last field, it will move the cursor to the beginning of the first unprotected field.

The left margin is considered a tab stop.

9 END :


HP 700/94 Escape Sequences: Display Enhancements

For use with the Display Enhancement escape sequence: Esc&d Char where Char is a value from the table below.
Char | Display Enhancements
s | Security video
@ | End Enhancement
A | Blink
B | Inverse
C | Inverse, Blink
D | Underline
E | Underline, Blink
F | Underline, Inverse
G | Underline, Inverse, Blink
H | Half-Bright
I | Half-Bright, Blink
J | Half-Bright, Inverse
K | Half-Bright, Inverse, Blink
L | Half-Bright, Underline
M | Half-Bright, Underline, Blink
N | Half-Bright, Underline, Inverse
O | Half-Bright, Underline, Inverse, Blink
9 END :


HP 700/94 Escape Sequences: Editing Functions

Function

Escape Sequence

Description

Clear Line

Esc K

Clears all characters from the cursor to the end of the line. In Format mode, and if the cursor is in an unprotected field, the escape sequence clears all characters and unprotected character enhancements from the cursor to the end of the field; however, if the cursor is not in an unprotected field, the escape sequence does nothing.

Delete Character:
with Wraparound

Esc O

Deletes the character at the cursor, and moves characters on the right over one and moves the first character on the line below the cursor to the last position in the cursor’s line. On the line below the cursor, the characters move to the left, and a blank enters the line at the right.

When not in Format mode, a field that moves to the cursor’s line retains its characteristics, but the part of the field remaining on the line below the cursor loses the field characteristics. If the cursor is in a field, the escape sequence will shorten, but not eliminate the field; however, deleting the first character of an unprotected field will make the field protected.

Delete Character:
without Wraparound

Esc P

The escape sequence deletes the character at the cursor, and blanks fill in from the right margin. Deleting in a field or block shortens the field or block. In Format mode and when the cursor is in an unprotected field, only the characters in the field are affected.

SPOW (B) Latch:
disable

Esc&s 0B

Allows spaces to overwrite existing characters.

SPOW (B) Latch:
enable

Esc&s 1B

Allows spaces to overwrite existing characters, depending on whether the state of the latch is on or off.

A carriage return character turns on the SPOW latch, which means that spaces entered through the keyboard will not overwrite existing characters.

A line feed or tab character or the Home Up escape sequence will turn off the SPOW latch, which means that the spaces entered through the keyboard will overwrite existing characters.

Tab

Esc 1

Set a Tab Stop at Current Cursor Location
When in Format mode, the emulation ignores tab stops.

Esc 2

Clear Tab Stop at Current Cursor Location

Esc 3

Clear All Tab Stops

Tab Range

Esc&a Row1I Col1s Col2s…ColnS

This escape sequence is for the HP 700/94 emulation only.
Bottom Horizontal
Specifies vertical tab regions in an area from Row1 to the bottom of display memory in the vertical tab regions specified by Col1, Col2, …, Coln. To clear previous settings, place 0s as the first parameter in the list.

Esc&a Row1I Col1s Col2s…Colns Row2I

This escape sequence is for the HP 700/94 emulation only.
Midrange Horizontal
Specifies vertical tab regions for an area from Row1 to Row2 in the vertical tab regions specified by Col1, Col2, …, Coln. To clear previous settings, place 0i as the first parameter in the list.

Esc&a Col1sCol2s…ColnsRow1I

This escape sequence is for the HP 700/94 emulation only.
Top Horizontal
Specifies vertical tab regions in an area from the top row of display memory to Row1 in the vertical tab regions specified by Col1, Col2, …, Coln. To clear previous settings, place 0i as the first parameter in the list.

9 END :


HP 700/94 Escape Sequences: Field Attribute

For use with the Edit Check escape sequence: Esc&e xe y where y is a value from the table below.
y | Attribute | Attribute Not Supplied
R | Required | Optional
T | Total Fill | No Total Fill
J | Justify | No Justify
p | Permanent MDTs | Regular MDTs (Modified Data Tags)
9 END :


HP 700/94 Escape Sequences: Field Type

For use with the Edit Check escape sequence: Esc&e xe y where x is a value from the table below.
x | Field Type
0 | All Characters (default)
1 | Alphabetic
2 | Auto-up shift
3 | Alphanumeric
4 | Integer
5 | Signed Decimal
6 | Implied Decimal
7 | Constant
8 | Integer Fill
9 | Signed Decimal Fill
10 | Implied Decimal Fill
11 | Numeric
9 END :


HP 700/94 Escape Sequences: Function Key Labels Action

For use with the Function Key Labels escape sequence:

Esc&j xD

where x is a value from the table below.

x | Ring Bell | Send CR | Restore Labels
0 | No | No | Yes
1 | Yes | No | Yes
2 | No | Yes | No
3 | Yes | Yes | No
9 END :


HP 700/94: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the HP 700/94 emulation, the following map files are available:

  • Keyboard Maps

Main Keyboard

Keyboard Function

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


HP 700/94 Map Files: Attributes

Session > Properties > Emulations > [HP 700/94] > Attributes
Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] HP 700/94 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Dim | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | lt gray | black
Half-Bright | X |  |  |  |  | lt gray | black
Inverse Video |  | X |  |  |  | black | lt gray
Half-Bright Inverse Video | X | X |  |  |  | black | lt gray
Blinking |  |  | X |  |  | lt gray | black
Half-Bright Blinking | X |  | X |  |  | lt gray | black
Inverse Video Blinking |  | X | X |  |  | black | lt gray
Half-Bright Inverse Video Blinking | X | X | X |  |  | black | lt gray
Underline |  |  |  | X |  | lt gray | black
Half-Bright Underline | X |  |  | X |  | lt gray | black
Inverse Video Underline |  | X |  | X |  | black | lt gray
Blinking Underline |  |  | X | X |  | lt gray | black
Half-Bright Inverse Video Underline | X | X |  | X |  | black | lt gray
Half-Bright Blinking Underline | X |  | X | X |  | lt gray | black
Inverse Video Blinking Underline |  | X | X | X |  | lt gray | black
Half-Bright Inverse Video Blinking Underline | X | X | X | X |  | black | lt gray
Security |  |  |  |  | X | lt gray | black
Half-Bright Security | X |  |  |  | X | lt gray | black
Inverse Video Security |  | X |  |  | X | black | lt gray
Blinking Security |  |  | X |  | X | lt gray | black
Underline Security |  |  |  | X | X | lt gray | black
Half-Bright Inverse Video Security | X | X |  |  | X | black | lt gray
Half-Bright Blinking Security | X |  | X |  | X | lt gray | black
Half-Bright Underline Security | X |  |  | X | X | lt gray | black
Inverse Video Blinking Security |  | X | X |  | X | black | lt gray
Inverse Video Underline Security |  | X |  | X | X | black | lt gray
Blinking Underline Security |  |  | X | X | X | lt gray | black
Half-Bright Inverse Video Blinking Security | X | X | X |  | X | black | lt gray
Half-Bright Inverse Video Underline Security | X | X |  | X | X | black | lt gray
Half-Bright Blinking Underline Security | X |  | X | X | X | black | lt gray
Inverse Video Blinking Underline Security |  | X | X | X | X | black | lt gray
Half-Bright Inverse Video Blinking Underline Security | X | X | X | X | X | black | lt gray
9 END :


HP 700/94 Map Files: Character Translations

Session > Properties > Emulations > [DEC VT Series] > Translation
Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] HP 700/94 character translation map file has the following mappings established.
Host to Display |  | Display to Windows
Host | Display | Display | Windows
FSANSI SPLCHARS | FSANSI FSCOMP1 FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


HP 700/94 Map Files: Hotspots

Session > Properties > Emulations > [HP 700/94] > Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] HP 700/94 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
9 END :


HP 700/94 Map Files: Main Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] HP 700/94 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted |  | Comments
HP 700/94 Keyboard | IBM PC Keyboard | ASCII | Hexadecimal |
Arrow Down | Arrow Down |  |  | Moves the cursor down and wraps from the top of the screen.
Arrow Left | Arrow Left |  |  | Moves the cursor left and wraps from the right of the screen at the next line.
Arrow Right | Arrow Right |  |  | Moves the cursor right and wraps from the left of the screen at the previous line.
Arrow Up | Arrow Up |  |  | Moves the cursor up and wraps from the bottom of the screen.
Backspace | Backspace |  |  | Produces a backspace character
Break | Control+Pause |  |  |
Clear Line | Control+Home |  |  | Deletes the characters from the cursor to the end of the line or a field. In Format mode, protected characters are not deleted.
Clear Screen | Control+Page Up |  |  | Deletes the characters from the cursor to the end of display memory. In Format mode, protected characters are not deleted.
Del | Shift+Escape |  |  |
Delete Char | End |  |  | Deletes the character at the cursor, and characters to the right of the cursor shift left, and blanks fill.
Delete Char Wrap | Shift+End |  |  | Deletes the character at the cursor, and characters to the right of the cursor shift left, and characters from the next line fill.
Delete Line | Home |  |  | Deletes the cursor’s line, and moves up the lines below the deleted line. No effect in Format mode, and does not change the size of locked areas.
Enter Left | Enter (Numpad) |  |  | Acts as the HP700/94 Enter key.
Enter (Numpad) | Enter (Numpad) |  |  | Acts as the HP700/94 Enter key.
Enter Right | Enter (Numpad) |  |  | Acts as the HP700/94 Enter key.
Escape | Escape |  |  |
Home (Angled Arrow) | Control + Insert |  |  | Actions depend on the mode of the session. The cursor is positioned at the left margin of the screen, display memory, or a field, and might scroll to the 0,0 position in display memory.
Insert Character | Delete |  |  | Toggle - Enables or disables Insert Character mode.
Insert Character Wrap | Shift+Delete |  |  | Toggle - Enables or disables Insert Character With Wraparound mode.
Insert Line | Insert |  |  | Inserts blank line, and rolls down all subsequent lines below the inserted line. No effect in Format mode, and does not change the size of locked areas.
Next | Page Down |  |  | Moves the screen up in display memory
Prev | Page Up |  |  | Moves the screen down in display memory
Print | Shift+Enter+Left or Right |  |  | Print Screen
Return (Main Keyboard) | Enter (Main Keyboard) |  |  | Acts as the HP 700/94 Return key
Scroll Down | Shift+Arrow Down |  |  | Rolls down the screen session by one line
Scroll Up | Shift+Arrow Up |  |  | Rolls up the screen session by one line
Stop | Scroll Lock |  |  |
Tab | Tab |  |  | Positions the cursor at the next tab stop
Tab (Numpad) | F11 |  |  | Defined by Numpad Tab = setting.
Tab Back (Shift Tab) | Shift+Tab |  |  | Positions the cursor at the previous tab stop
User/System | F9 |  |  | Toggles between the Modes function keys and user function keys.
Keys not mapped in the HP emulation to the PC keyboard:
Reset(Shift Break) Reset –Hard
Note The functions for the above keys are located in the Session menu under Reset Terminal (Soft or Hard).
9 END :


HP 700/94 Map Files: Function Keys Keyboard

Session > Properties > Emulations > [HP 700/94] > Keyboard

The following table identifies the characters transmitted for each function key on the HP 700/94 or 700/92 terminal.
Note The usual function of the F1 key in Windows is to access the Help system for the present application. When a DynaComm session window is the active window, the F1 key will function as determined by the emulation.
Keyboard Type |  | Character Transmitted |  | Comments
HP | PC | ASCII | Hexadecimal | When Modes function keys display
F1 | F1 | Esc p | 1B 70 | Line Modify mode toggle.
F2 | F2 | Esc q | 1B 71 | Modify All mode toggle.
F3 | F3 | Esc r | 1B 72 | Block mode toggle.
F4 | F4 | Esc s | 1B 73 | Remote/Local mode toggle.
F5 | F5 | Esc t | 1B 74 | Format mode toggle.
F6 | F6 | Esc u | 1B 75 | Memory Lock mode toggle.
F7 | F7 | Esc v | 1B 76 | Display Functions mode toggle.
F8 | F8 | Esc w | 1B 77 | Auto Linefeed toggle.
9 END :


Tandem 6530 Emulation

Note This emulation is not part of the core DCS product. It is only available if you have purchased and installed the Tandem 6530 Client Option.
Selecting the Tandem 6530 button in the Emulations tab of the Session Properties dialog enables the Tandem 6530 terminal emulation. The following reference information is available for the Tandem 6530 emulation:
Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Parameters | Describes each configurable option for the emulation. The options are located on seven sub-tabs of the Emulations tab of the Session Properties dialog.
Map Files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Keys Map | Lists all key maps.
Escape Sequences | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.
9 END :


Tandem 6530: General Information and Support

When you start DCS and log onto a NonStop Server, you can use application programs that run on the host system. DCS sends characters you enter from the PC keyboard to the host, and the host application program processes the data.
The keyboard operations you can perform, and the way DCS handles them, depend on the operating mode set by the host application program:
Conversational Mode: | DCS sends each character to the host as you type it.
Block Nonprotected Mode: | DCS sends data to the host in blocks (usually only after you press a function key).
Block Protected Mode: | DCS sends data to the host in blocks. The host application divides the display into protected and unprotected fields. You can enter data in unprotected fields, but not in protected fields.
The current mode appears in the status line at the bottom of the session window.
Euro Symbol Support
The Euro Symbol is available in the font FSCOMP2.TTF. It is located in character position 0x5C. To display the symbol within the Tandem emulation (or any other emulation), you must create a character translation table that instructs DCS to display the symbol when your host sends a sequence you specify. For more information, see the Online Reference section describing the Character Translation Table Editor.
Connector Support
Connectors provide communication access to a Tandem NonStop Server. DCS supports the following connectors for use with 6530 emulation:
Tandem Communication Access Method | DCS Connector
Asynchronous Term Process | Direct Serial or Modem
Telnet (TCP/IP) | Telnet (TCP/IP network type)
Telnet (SPX/IPX) | Telnet (SPX/IPX network type)
Conversational Mode
When a host application places the 6530 emulation in Conversational Mode, the emulation interacts with the host on a line-by-line basis. Entries are typed on only one line at a time, and each character entered on a line is transmitted to the host as it is typed. The Enter key is usually used to send a carriage return (CR) to the host application, indicating the completion of an entry. Once an entry is completed, it may still be visible on the screen but it cannot be altered.
Conversational Mode: Local Edit Mode
To edit a line of text without transmitting each character as it is typed, use the Alt+Enter key combination to put the 6530 emulation in local edit mode. After editing the line, press Alt+Enter again to transmit the line and exit local edit mode. Any text on the line located between the local transmit column on the left, and up to, but not including, the cursor location on the right, will be transmitted. Specify the local transmit column on the General tab of the Session Properties dialog for the 6530 emulation.
Conversational Mode: Display Memory and the Display Screen
All interaction with the host is stored in a 384-line Display Memory. Only 24 lines of the Display Memory are visible at a time, shown in a Display Screen. Rolling the Display Screen up or down allows you to view the data stored in the Display Memory. The Display Screen never displays more than 24 lines, even if you maximize the DCS session window.
Characters are always entered at the current cursor position, even if previously stored data is visible at the cursor position. Therefore, if you roll the Display Screen to view a section of the Display Memory, data entered in the new location will type over any existing data.
Block Nonprotected Mode
The Block Nonprotected Mode interacts with a host on a screen-by-screen basis. You may type up to 24 lines of data (one full page), and edit it, before transmitting it to the host.
Block Nonprotected Mode :Data Attributes
You may enter any type of character data when using this mode.
Block Nonprotected Mode :Display Memory
In Block Mode, the Display Memory is divided into pages. The host application displays only one page (24 lines) at a time, and you may edit only the data on the displayed page.
Block Protected Mode
The Block Protected Mode interacts with the host on a screen-by-screen basis. Each screen may be formatted with both protected and unprotected fields of data. You may edit or enter data only in unprotected fields. Protected fields may contain prompts from the host application or may be blank.
Block Protected Mode: Data Attributes
Though you may enter data in any unprotected field, the host application can restrict the type of characters you may enter. Each unprotected field is assigned one of the following data attributes:
Attribute | Description
Free entry | Any type of character.
Alphabetic | Only uppercase and lowercase letters.
Numeric | Only numeric digits (0 through 9).
Alphanumeric | Only uppercase and lowercase letters and numeric digits.
Full numeric | Only numeric digits and characters used to express numbers ($ + , - .).
Full numeric with space | Only full numeric characters and the space character.
Alphabetic with space | Only uppercase and lowercase letters and the space character.
Alphanumeric with space | Only alphanumeric characters and the space character.
If you type an invalid character, the PC beeps. Invalid characters are not displayed and an error message appears on the status line.
Some fields may be assigned an upshift attribute, which causes all alphabetic characters you enter to be displayed in uppercase automatically.
Block Protected Mode: Display Memory
In Block Mode, the Display Memory is divided into pages. The host application displays only one page (24 lines) at a time, and you may edit only the data on the displayed page.
Moving the cursor within the page is similar to Block Unprotected Mode, but tabs move the cursor on a field-to-field basis. Also, the cursor will usually move from the end of one unprotected field to the beginning of the next unprotected field automatically. However, a host application may disable this feature in certain fields.
Block Protected Mode: EM3270 Submode
Some 3270 applications require the user to position the cursor into a protected area, and then enter a PF key. EM3270 submode enables this type of application interaction.
When the EM3270 submode is in use, some cursor movement keys operate differently. Unlike cursor movement in Block Protected Mode, the cursor can be positioned in protected fields. However, data may not be entered in protected fields; the system issues a warning sound if you are typing in a protected field and the cursor position remains unchanged.
If a page in EM3270 submode has no protected or unprotected fields, it is treated as a single unformatted field and data may be entered anywhere on the page.
Status Line
The bottom (25th) line of the 6530 emulation screen is called the status line. It is reserved for displaying status information and error messages. The Status Information section displays either the Current Mode or the Keyboard State. These are described below.
The host application program you use can write any type of text into the Messages section. When you press the [Ctrl]+[Page Down] key combination to turn off the display of the status information, only the Status Information section is affected. Any text in the Messages section remains on the screen.
Status Line: Messages Section
The Messages section occupies columns 1-65 of the status line. What messages appear here depend entirely upon the host application.
Status Line: Status Information Section
This section occupies columns 66-99 of the Status Line, and displays information about the status of the current 6530 operating environment. It displays either the Current Mode or the Keyboard State.
Mode
CONV operating in Conversational Mode
LOCAL operating in Local Edit Mode (in Conversational Mode only)
BLOCK operating in Block Mode (followed by submode)
Keyboard State
KBDLOCK indicates the keyboard is locked
6530 emulation and the History buffer
Tandem 6530 systems do not use a history buffer in Conversational Mode. For the Tandem 6530 emulation, History buffer settings do not apply. To view all data which is stored on other areas of the page, use the vertical scroll bar. See Conversational Mode for more information about display memory and the display screen.
Printing and Connection Functions
Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.
F1 Key
The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the Tandem 6530 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.
9 END :


Tandem 6530 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the AT&T 605/705 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

Tandem 6530 Terminal Key
or Terminal Function

Meta String

Sends Escape Sequence

Break

Break

^[

F1 key

F1

SOH @ CR

F2 key

F2

SOH A CR

F3 key

F3

SOH B CR

F4 key

F4

SOH C CR

F5 key

F5

SOH D CR

F6 key

F6

SOH E CR

F7 key

F7

SOH F CR

F8 key

F8

SOH G CR

F9 key

F9

SOH H CR

F10 key

F10

SOH I CR

F11 key

F11

SOH J CR

F12 key

F12

SOH K CR

F13 key

F13

SOH L CR

F14 key

F14

SOH M CR

F15 key

F15

SOH N CR

F16 key

F16

SOH O CR

Shift F1 key

Shift + F1

SOH ‘ CR

Shift F2 key

Shift + F2

SOH a CR

Shift F3 key

Shift + F3

SOH b CR

Shift F4 key

Shift + F4

SOH c CR

Shift F5 key

Shift + F5

SOH d CR

Shift F6 key

Shift + F6

SOH e CR

Shift F7 key

Shift + F7

SOH f CR

Shift F8 key

Shift + F8

SOH g CR

Shift F9 key

Shift + F9

SOH h CR

Shift F10 key

Shift + F10

SOH I CR

Shift F11 key

Shift + F11

SOH j CR

Shift F12 key

Shift + F12

SOH k CR

Shift F13 key

Shift + F13

SOH l CR

Shift F14 key

Shift + F14

SOH m CR

Shift F15 key

Shift + F15

SOH n CR

Shift F16 key

Shift + F16

SOH o CR

Left Arrow Key

Left arrow

n/a

Right Arrow Key

Right arrow

n/a

Up Arrow Key

Up

n/a

Down Arrow Key

Down

n/a

Enter key

Enter

CR

Tab key

Tab

n/a

Back tab

Back tab

n/a

Ctrl Enter

Ctrl Enter

n/a

Cursor home

Home

n/a

Ctrl Home

Ctrl Home

n/a

End

End

n/a

Set tab at cursor

Set tab

n/a

Clear tab at cursor

Clear tab

n/a

Clear all tabs

Clear all tabs

n/a

Roll up one line or act as a function key

Alt + Up

n/a

Roll up one line or act as a function key

Alt + Shift Up Arrow

n/a

Roll down one line or act as a function key

Alt + Down

n/a

Roll down one line or act as a function key

Alt + Shift Down Arrow

n/a

Page up 24 lines or act as function key

Page up

n/a

Page down 24 lines or act as function key

Page down

n/a

Erase to end of line

Erase to end of line

n/a

Erase to end of screen

Erase to end of screen

n/a

Print current screen

Print screen

n/a

Hang up and disconnect modem

Disconnect modem

n/a

Show status line

Show status line

n/a

Hide status line

Hide status line

n/a

Local action mode on/off

Alt Enter

n/a

Soft reset

Soft reset

n/a

Hard reset

Hard reset

n/a

Start of line

Shift + Enter

n/a

Insert mode on

Insert mode on

n/a

Insert character

Insert character

n/a

Delete character

Delete character

n/a

Insert line

Insert line

n/a

Delete line

Delete line

n/a

Acts as a function key

Alt Page Up

SOH r ETX

Acts as a function key

Alt Page Down

SOH s ETX

Return key

Return

n/a

Backspace key

Backspace

n/a

Scroll Lock

Scroll lock

n/a

9 END :


Tandem 6530: Working with Configuration Options

To determine if the Tandem 6530 terminal module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Tandem 6530 terminal module is installed, you should see the following listed:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\tandem.flx

To configure a session to emulate a Tandem 6530 terminal, begin by clicking Tandem 6530 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of a Tandem 6530 terminal.

The seven sub-tabs used to configure the Tandem 6530 emulation are:

  • General options

  • Language options

  • AUX Ports options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


Tandem 6530 Configuration Options: General Sub-tab

Session > Properties > Emulations > [Tandem 6530] > General

The General tab contains several general configuration options for the Tandem 6530 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Host may execute tasks on workstation

Select to enable the host application the ability to launch DOS or Windows applications on your workstation.

Clear to prevent the host application from launching a DOS or Windows applications on your workstation. Furthermore, all ESC -v sequences, including the sequence used to launch the IXF transfer protocol, are ignored. You may still initiate an IXF transfer by selecting Session > Send File or Session > Receive File.

Default: Cleared

nter key acts as function key in block mode

Select to enable the Enter key to become a function key. Different host applications may respond to this function key differently. This option applies only to Block Mode (protected and nonprotected).

Clear to have the Enter key retain its default behavior in Block Mode.

Default: Cleared

Ring bell at column

Select to enable a sound alert when the cursor reaches a specified column. You may specify a number, from 1 to 80, indicating at which column the emulation will issue the Windows "Exclamation" sound (as specified under the Sound options in the Windows Control Panel).

Clear to disable the sound alert when the cursor reaches a specified column.

Default: Selected

Default column value: 72

Allow host to change the colors

Select to render specific display color information sent by host applications. This ensures that the applications use the colors specified by the host. However, you cannot create customized color attributes (on the Attributes tab) when this option is selected.

Clear to ignore specific display color information sent from host applications. If you wish to create and use a customized set of foreground and background colors, disable this option. The emulation displays host applications using the display colors you have specified in the Attributes tab.

Default: Selected

Support EM3270 mode

Select to support host applications which require the EM3270 submode. See the comments about EM3270 submode under Block Protected Mode for more information.

Clear to disable support of EM3270 submode

Block mode type ahead

Select to buffer keystrokes whenever the status line indicates that the keyboard has been locked. Buffered keystrokes are transmitted as soon as the host unlocks the keyboard.

Clear to send keystrokes to the host as they are typed. If the host locks the keyboard, keystrokes will not be buffered.

Default: Cleared

Leftmost column to transmit in Local Edit Mode

Specify a number between 1 – 80 to indicate which column is considered the leftmost column when transmitting a line of data to the host.

When using the Local Edit Mode within Conversational Mode, this setting specifies the starting position of the line transmitted to the host; the ending position is specified by the column immediately before the current cursor position.

Default: 1

Note

  • By default, the leftmost column is column one (1).

  • This setting applies only to the Local Edit Mode of Conversational Mode. For more information, see the Conversational Mode section.

Response to host command error

Choose one of the following from the drop down list to handle commands sent from the host which are illegal or not supported by the emulation:

No action: Illegal sequences are ignored.

Display error message only: Displays an appropriate error message in the status line.

Display delete symbol only: Displays the delete symbol (a backward question mark, character 0x7F) on the screen. This is the default selection.

Display delete symbol and error message: Displays the delete symbol (a backward question mark, character 0x7F) on the screen, and an appropriate error message on the status line.

Default: Display delete symbol and error message

9 END :


Tandem 6530 Configuration Options: Language Sub-tab

Session > Properties > Emulations > [Tandem 6530] > Language
The Language tab contains options to change the emulation display and data stream from 8-bit characters to 7-bit characters. All terminals and emulators that read from, or write to, a particular application database must use the same national language support in order to read and write the data correctly. The two options are discussed below:
Use this option | in this manner . . .
Use 8-bit character sets (ISO 8859) | Select to display incoming characters and typed characters using an 8-bit character set. In the drop-down list box, select a character set from the following: 8859-1 (Western European) 8859-5 (Cyrillic) 8859-7 (Greek) Default: Selected Default character set: 8859-1 (Western European)
Use 7-bit character sets (ISO 646) | Select to display incoming characters and typed characters using the 7-bit character set. In the drop-down list box, select a character set from the following: ASCII(US) Belgian Danish English (UK) French German Norwegian Portuguese Spanish Swedish Default character set: ASCII(US)
9 END :


Tandem 6530 Configuration Options: AUX Ports Sub-tab

Session > Properties > Emulations > [Tandem 6530] > AUX Ports

The AUX Ports tab provides options to redirect output from an auxiliary port to a file or other device. The two options are discussed below:

Use this option

in this manner . . .

Send output for AUX1 to group

Select from one of the following as the output location for a print file:

Printer (with names such as PRN, LPT1, LPT2, COM1, and COM2)

File (DOS)

Other Device

None

Default Printer (raw)

If you choose File or Other Device, a dialog box appears that allows you to enter a complete path name to a file or device. Or, a Browse button is provided to navigate to a desired file or device name.

Selecting Default Printer (raw) effects raw passthrough printing through a default printer.

The Change button becomes available only after you choose a file or other device. Use this button to navigate to a new file or device name.

Note:

Selecting this option causes the opening of a generic text printer whereby all data in the print file is treated as text. Thus any escape codes included in the print file will be treated as text and will not perform any desired function.

Default: Printer

Send output for AUX2 to group

Select from one of the following as the output location for a print file:

Printer (with names such as PRN, LPT1, LPT2, COM1, and COM2)

File (DOS)

Other Device

None

Default Printer (raw)

If you choose File or Other Device, a dialog box appears that allows you to enter a complete path name to a file or device. Or, a Browse button is provided to navigate to a desired file or device name.

Selecting Default Printer (raw) effects raw passthrough printing through a default printer.

The Change button becomes available only after you choose a file or other device. Use this button to navigate to a new file or device name.

Default: Printer

9 END :


Tandem 6530: Converting From CommBASIC

If you have written a script using CommBASIC commands, the following command conversion table will help you to rewrite CommBASIC scripts in the DCS scripting language. Not all CommBASIC commands and functions have an equivalent in the DCS language, and some re-writing of older scripts may be necessary.

CommBASIC Command Conversion

The CommBASIC Command conversion table is a quick reference for converting CommBASIC script commands into DCS’s script language commands and functions. For more information on writing and using scripts, see the DCS Script Reference.

9 END :


Tandem 6530: CommBASIC Command Conversion Table

CommBASIC | Definition | DCS Script
ABS | Absolute Value | IF num<0 num=num*(-1)
ASC | returns ANSI value of character | ORD()
ASSERT | WHILE true DO | see WHILE
ATN | Arctangent | No Equivalent
Beep | pc beeps | BEEP
Begin Dialog | starts Dialog commands | DIALOG
Button | Creates a button | (DIALOG) BUTTON
Buttongroup | begins definition of custom buttons | unnecessary
CALL | execute subprogram | PERFORM, EXECUTE, or LIBRARY CALL
CANCELBUTTON | defines CANCEL button | BUTTON "CANCEL" CANCEL
CAPTION | defines title of DIALOG box | DIALOG "title"
CDBL | converts to double precision | no equivalent
CHDIR | changes default directory | SET DIRECTORY
CHDRIVE | changes default drive | SET DIRECTORY
CHECKBOX | creates check box | (DIALOG) CHECKBOX
CHR$ | returns character from ANSI value | CHR()
CINT | rounds number to short integer | INT(ROUND())
CLNG | rounds number to long integer | INT(ROUND())
CLOSE | closes a file | see TABLE SAVE and TABLE CLOSE
COMBOBOX | creates a combobox | see (DIALOG) LISTBOX
COMMAND$ | returns command line string | no equivalent
CONST | declares a constant | by variable type
COS | returns cosine of angle | no equivalent
CRTATTR | returns data field type | FLDATTR()
CRTCLS | clears and resets terminal display | CLEAR
CRTCOL | returns column position of cursor | see CURSOR()
CRTCOPY | copies display data to device | see SELECTION COPY
CRTEMIT | sends string data to emulation | see DISPLAY
CRTFIELDSEARCH | returns position of specified field | FLDPOS()
CRTGET$ | gets string from screen | SCREEN()
CRTPOSITION | returns cell position | FLDPOS()
CRTQUERY$ | returns current terminal settings | SETTINGS(keyword), see also GETCONNCONFIG, GETEMULCONFIG, GETXFERCONFIG
CRTROW | returns row position of cursor | see CURSOR()
CRTSEARCH | returns position of specified string | SEARCH()
CRTSETCURSOR | moves cursor | by emulation type
CRTSET$ | changes emulation settings | EMULCONFIG
CRT TRIGGER$ | sends command to term driver | see DISPLAY
CRTTYPESET$ | changes terminal type | SET EMULATION
CSNG | converts number to real | REAL()
$CSTRINGS | compiler:use \ as escape sequence | no equivalent
CURDIR$ | returns default drive and path | DIRECTORY(type)
DATE$ | returns current date | DATE()
DDEEXECUTE | executes command on DDE server | (DDE) INSTRUCT
DDEOPEN | open connection with DDE server | (DDE) ACCESS
DDEPOKE | poke variables to DDE server | (DDE) POKE
DDEREQUEST | retrieves data from DDE server | (DDE) REQUEST
DDETERMINATE | terminates DDE server connection | (DDE) ACCESS CANCEL
DDETIMEOUT | sets timeout variable for DDE | SET DDETIMEOUT
DECLARE | declares external procedure | not necessary in DCS script
DEFTYPE | sets default data types | by variable type(%,#,!,$)
DIALOG | starts dialog and dialog commands | DIALOG
DIM | declare variables | by variable type
DIR$ | returns filename matching pattern | ROUTE()
DO...WHILE | repeat until condition not satisfied | WHILE
EMIT | send data over I/O connection | SEND
EMITBRK | puts I/O in break condition | SENDBREAK(time), BREAK
ENVIRON$ | returns environment variable | SYSMETRICS()
EOF(filenumber%) | returns true if end of file is reached | EOF()
ERL | line number where error was trapped | see DEBUG
ERR | most recently trapped error code | RESULT()
ERROR | simulates occurrence of error | TASKERROR
ERROR$[(errorcode%)] | returns message of error code | see RESULT()
EXIT | ends loop or procedure | END or RETURN
EXP | returns e to specified power | see POWER() function
FILEATTR | information about (open) file | ATTRIBUTES()
FIX | returns integer part of number | INT()
FOR...NEXT | repeats fixed number of times | WHILE with counter
FREEFILE | returns lowest unused file number | no file numbers in DCS
FTQUERY$ | returns current transfer settings | SETTINGS(binarytransferparams)
FTSET$ | changes session properties | see CONNCONFIG, EMULCONFIG, XFERCONFIG
FTTRIGGER$ | sends command to current protocol | see FILE commands
FTTYPESET$ | changes file transfer settings | SET BINARYTRANSFERS
FUNCTION | begin function declaration | see subroutine declaration
GETFIELD$ | returns substring from source string | substr()
GLOBAL | declares global variables | see Scoping
GOTO | passes program control to label | GOTO
GROUPBOX | defines a Groupbox | (DIALOG) GROUPBOX
HEX$ | converts number to hexadecimal | no equivalent
IF...THEN...ELSE | conditional execution | IF...ELSE
$INCLUDE | includes statements from other file | LIBRARY LOAD (dll’s), PERFORM ("filename*label"), EXECUTE ("filename*label")
INPUT$ | reads characters from file | see TABLE commands
INPUT# | variable=data read from file | see TABLE commands
INPUTBOX$ | displays dialog box with prompt | (DIALOG) EDITTEXT
INSTR() | position of first substring in a string | POSITION()
INT() | returns integer portion of a number | INT()
IOINPUT$ | gets data from I/O channel | COLLECT
IOQUERY$ | returns current I/O settings | SETTINGS(keyword)
IOSET$ | changes current I/O settings | SET (by parameter)
IOTRIGGER$ | sends command to I/O driver | not necessary in DCS script
IOTYPESET$ | changes I/O type | SET CONNECTION
KILL | deletes file from disk | FILE DELETE
LBOUND | returns lower bound of array | lower bound always record 0
LCASE$ | converts all characters to lower case | no equivalent
LEFT$ | returns left portion of string | see SUBSTR()
LEN | returns string length | LENGTH($string)
LET | assigns value to variable | optional SET by variable type
LINE INPUT # | reads from Line# in file to string | no equivalent
LISTBOX | creates a listbox | (DIALOG) LISTBOX
LOF | returns length of specified file | FILESIZE($filename)
LOG | returns natural log of number | no equivalent
LTRIM$ | trims leading spaces | TRIM($string)
MID$ | replaces substring | see SUBSTR() and | operator
MID | returns substring | SUBSTR($string,start,length)
MKDIR | creates new directory | CREATE DIRECTORY
MSGBOX | displays message in box | (DIALOG) MESSAGE
NAME | renames or moves a file | FILE RENAME
$NOCSTRINGS | directs compiler: \ as normal | no equivalent
OCT$ | converts # to octal | no equivalent
OK BUTTON | creates OK button | BUTTON "OK" command
ON ERROR | branch to label when error occurs | see WHEN ERROR
OPEN | opens file or device | see Table Commands
OPTION BASE | specifies lower bound of array | lower bound of table always 0
OPTIONBUTTON | creates radio button | (DIALOG) RADIOBUTTON
OPTIONGROUP | creates group of radio buttons | (DIALOG) RADIOGROUP
PRINT | sends data to specified device | see PRINT commands
RANDOMIZE | generates random number | RANDOM(%range-1)
REDIM | changes array bounds | bounds in tables fixed
REM | comment | ;
RESET | closes files and flushes buffers | see FILE CLOSE
RESUME | concludes error handling routine | user defined, as other routines
RIGHT$ | returns right-justified substring | SUBSTR()
RMDIR | removes directory | REMOVE DIRECTORY
RND | returns random number [0..1] | see RANDOM
RTRIM$ | trims trailing spaces from string | TRIM($string,""," ")
RUNMACRO | executes and returns to script | PERFORM
SEEK | returns record number of field | see AT clause for RECORDS
SELECTCASE | begin series of case statements | SWITCH...CASE %n
SETFIELD$ | replaces part of string with substring | see PARSE command
SGN | returns sign of number | IF num<0 ...
SHELL | runs an executable program | LAUNCH
SHUTDOWN | exits DCS or OutsideView | QUIT
SIN | returns sin of an angle | no equivalent
SPACE$ | returns string containing # spaces | no equivalent
SQR | returns square root of number | POWER(num, .5)
STOP | pauses program execution | WAIT RESUME
STR$ | converts number to string | STR()
STRING$ | returns repeated character | no equivalent
SUB | begins subprogram declaration | *label
TAN | returns tangent of angle | no equivalent
TEXT | set up lines of text in dialog box | (DIALOG) MESSAGE
TEXTBOX | creates box for text entry | (DIALOG) EDITTEXT
TIME$ | returns string with current time | TIME()
TIMER | returns seconds since midnight | see SECONDS() function
TYPE | declares record variable type | see TABLE DEFINE
UBOUND | returns upper bound of an array | see TABLE LOAD, RESULT()
UCASE$ | converts text to upper case | UPPER()
VAL | converts string to a number | NUM()
WAITCRTCURSOR | pauses until cursor at position r,c | see CURSOR() or WAIT STRING
WAITCRTUNLOCK | waits until keyboard unlocked | see KEYBOARD WAIT
WAITDCD | waits for Carrier Detect or Timeout | see CONNECT()
WAITKEYSTROKES | waits for # of keys to be typed | see WHEN INPUT
WAITSILENT | waits until no I/O for specified time | WAIT QUIET "seconds"
WAITSTR | waits for specified string | WAIT STRING "string"
WAITTIME | waits for specified period of time | WAIT DELAY "seconds"
WHILE | while loop | WHILE
WRITE | writes data to sequential file | see TABLE SAVE and RECORD WRITE
9 END :


Tandem 6530: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions (or terminal keyboard keys which performed functions) by mapping the escape sequence to:

  • a PC keyboard key or key sequence with the Keyboard Map Editor

  • a hotspot with the Hotspot Map editor

  • a menu item with the Menu editor

  • a toolbar button with the Toolbar editor

The Tandem 6530 emulation supports the following escape sequences:

General, display, or terminal functionsTandem_EscSeq_General_Display_or_Terminal_Functions>Main

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


Tandem 6530 Escape Sequences: General, Display, or Terminal Functions

Function | Escape Sequence | Description
Break | ^[ | Sends a break signal to the host. The length of the break may vary.
F1 key | SOH @ CR | Application defined function
F2 key | SOH A CR | Application defined function
F3 key | SOH B CR | Application defined function
F4 key | SOH C CR | Application defined function
F5 key | SOH D CR | Application defined function
F6 key | SOH E CR | Application defined function
F7 key | SOH F CR | Application defined function
F8 key | SOH G CR | Application defined function
F9 key | SOH H CR | Application defined function
F10 key | SOH I CR | Application defined function
F11 key | SOH J CR | Application defined function
F12 key | SOH K CR | Application defined function
F13 key | SOH L CR | Application defined function
F14 key | SOH M CR | Application defined function
F15 key | SOH N CR | Application defined function
F16 key | SOH O CR | Application defined function
Shift F1 key | SOH ‘ CR | Application defined function
Shift F2 key | SOH a CR | Application defined function
Shift F3 key | SOH b CR | Application defined function
Shift F4 key | SOH c CR | Application defined function
Shift F5 key | SOH d CR | Application defined function
Shift F6 key | SOH e CR | Application defined function
Shift F7 key | SOH f CR | Application defined function
Shift F8 key | SOH g CR | Application defined function
Shift F9 key | SOH h CR | Application defined function
Shift F10 key | SOH I CR | Application defined function
Shift F11 key | SOH j CR | Application defined function
Shift F12 key | SOH k CR | Application defined function
Shift F13 key | SOH l CR | Application defined function
Shift F14 key | SOH m CR | Application defined function
Shift F15 key | SOH n CR | Application defined function
Shift F16 key | SOH o CR | Application defined function
Enter key | CR |
Acts as a function key | SOH r ETX | Application defined function; same as using Alt + Page Up key combination.
Acts as a function key | SOH s ETX | Application defined function; same as using Alt + Page Down key combination.
9 END :


Tandem 6530: National Language Support

Selecting language translations for file transfers is quick and easy. Using the Languages tab in the Session Properties dialog, simply select a language translation standard. Drop-down list boxes allows you to select the specific language and a code page.

By default, the Tandem 6530 Client Option uses the 8-bit ISO8859-1 (Western European) character set to display characters on the screen and to print characters. The 6530 emulation also provides national languages support (NLS), allowing you to print and display additional characters used in other languages.

Note

All terminals and PC emulators that read from or write to files on the host must use the same NLS standard (ISO646 or ISO8859) in order to translate and display characters properly. We recommend using the newer ISO8859 standard and an 8-bit language. However, if any older nodes on the host network do not support 8-bit languages, use a 7-bit language so that character translations are consistent among all nodes on the network.

See Also

7-Bit National Languages and Character Substitution

8-Bit National Languages and Code Pages

9 END :


Tandem 6530: Euro Symbol Support:

The Euro Symbol is available in the font FSCOMP2.TTF. It is located in character position 0x5C. To display the symbol within the Tandem emulation (or any other emulation), you must create a character translation table that instructs DCS to display the symbol when your host sends a sequence you specify. For more information, see the Online Reference section describing the Character Translation Table Editor.

9 END :


Tandem 6530: 7-Bit National Languages and Character Substitution

When using a 7-bit character set (and the ISO646 NLS standard) to support a national language, adding a character such as the English pound (£) means that one of the characters in the USASCII set must be replaced. Because different languages require different characters, the characters added and the ones replaced differ according to the language chosen. For example, in the English UK character set, the # sign is dropped to make room for the £ sign. This method of replacing a 7-bit USASCII character with a 7-bit national language character (such as £) is called 7-bit substitution or character substitution. The 7-bit substitution limits the number of displayable characters in any language to 96.
Supported ISO646 7-bit languages:
BELGIAN |  |  |  |  |  |  |  |  |  |  |  |  | FRENCH | SWEDISH
NORWEGIAN |  |  |  |  |  |  |  |  |  |  |  |  | GERMAN | PORTUGUESE
DANISH |  |  |  |  |  |  |  |  |  |  |  |  | SPANISH | UK
USASCII |  |  |  |  |  |  |  |  |  |  |  |  |  |
The following table shows the national language characters that replace USASCII characters during 7-bit character substitution in the Tandem 6530 Client Option.
ASCII to National Language Character Substitutions
Host Hex Code
 | 23 | 24 | 40 | 5B | 5C | 5D | 5E | 60 | 7B | 7C | 7D | 7E
ASCII (USA) | # | $ | @ | [ | \ | ] | ^ | ‘ | { | | | } | ~
Belgian | £ | $ | à | ° | ç | § | ^ | ‘ | é | ù | è | ö
Danish | # | $ | @ | Æ | z | Å | ^ | ‘ | æ | ø | å | ü
English (UK) | £ | $ | @ | [ | \ | ] | ^ | ‘ | { | | | } | ~
French (AZERTY) | £ | $ | à | ° | ç | § | ^ | ‘ | é | ù | è | ï
German/Austrian | # | $ | § | Ä | Ö | Ü | ^ | ‘ | ä | ö | ü | ß
Norwegian | £ | $ | @ | Æ | Ø | Å | ^ | ‘ | æ | ø | å | ü
Portuguese | # | $ | @ | Ã | Ç | Õ | ^ | ‘ | ã | ç | õ | ~
Spanish | # | $ | @ | ¡ | Ñ | ¿ | ° | ‘ | { | ñ | } | ~
Swedish/Finnish | # | ¤ | É | Ä | Ö | Å | Ü | é | ä | ö | å | ü
9 END :


Tandem 6530: 8-Bit National Languages and Code Pages

When using an 8-bit character set (and the ISO8859 NLS standard) to support a national language, the eighth bit extends the character set to include characters (such as à, é, etc.) for languages other than USASCII. Prepared code pages are used to define the national language characters. Supported ISO8859 8-bit languages:
Character Set | Languages Supported | DCS Font
ISO8859-1 | BELGIAN | FSANSI.TTF
 | DANISH |
 | FRENCH |
 | GERMAN |
 | ITALIAN |
 | NORWEGIAN |
 | PORTUGUESE |
 | SPANISH |
 | SWEDISH |
 | SWISS FRENCH |
 | SWISS GERMAN |
 | UK ENGLISH |
ISO8859-5 | CYRILLIC | FS8859CY.TTF
ISO8859-7 | GREEK | FS8859GK.TTF
9 END :


Tandem 6530: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the Tandem 6530 terminal emulation, the following map files are available:

Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

Keys Map

Lists all topics that describe the various key maps, other than the main keyboard map, for all modes.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


Tandem 6530 Map Files: Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] AT&T 605/705 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Dim | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | lt gray | dk blue
Dim | X |  |  |  |  | white | dk blue
Reverse |  | X |  |  |  | dk blue | lt gray
Dim Reverse | X | X |  |  |  | blue | lt gray
Blink |  |  | X |  |  | lt gray | blue
Dim Blink | X |  | X |  |  | white | blue
Reverse Blink |  | X | X |  |  | dk blue | white
Dim Reverse Blink | X | X | X |  |  | blue | white
Underline |  |  |  | X |  | dk yellow | dk red
Dim Underline | X |  |  | X |  | yellow | dk red
Reverse Underline |  | X |  | X |  | dk red | dk yellow
Blink Underline |  |  | X | X |  | dk yellow | red
Dim Reverse Underline | X | X |  | X |  | red | dk yellow
Dim Blink Underline | X |  | X | X |  | yellow | red
Reverse Blink Underline |  | X | X | X |  | dk red | yellow
Dim Reverse Blink Underline | X | X | X | X |  | red | yellow
Invisible |  |  |  |  | X | lt gray | dk blue
Dim Invisible | X |  |  |  | X | white | dk blue
Reverse Invisible |  | X |  |  | X | dk blue | lt gray
Blink Invisible |  |  | X |  | X | lt gray | blue
Underline Invisible |  |  |  | X | X | dk yellow | dk red
Dim Reverse Invisible | X | X |  |  | X | blue | lt gray
Dim Blink Invisible | X |  | X |  | X | white | blue
Dim Underline Invisible | X |  |  | X | X | yellow | dk red
Reverse Blink Invisible |  | X | X |  | X | dk blue | white
Reverse Underline Invisible |  | X |  | X | X | dk red | dk yellow
Blink Underline Invisible |  |  | X | X | X | dk yellow | red
Dim Reverse Blink Invisible | X | X | X |  | X | blue | white
Dim Reverse Underline Invisible | X | X |  | X | X | red | dk yellow
Dim Blink Underline Invisible | X |  | X | X | X | yellow | red
Reverse Blink Underline Invisible |  | X | X | X | X | dk red | yellow
Dim Reverse Blink Underline Invisible | X | X | X | X | X | red | yellow
9 END :


Tandem 6530 Map Files: Character Translations

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] Tandem 6530 character translation map file has the following mappings established:
Host to Display |  | Display to Windows
Host | Display | Display | Windows
FSANSI, USASCII FRENCH GERMAN SPANISH ENGLISHUK SWEDISH DANISH NORWEGIAN BELGIAN PORTUGUESE CYRILLIC GREEK | FSANSI, FSCOMP1 FSCOMP2 | FSCYRILLIC FSGREEK | FSCYRILLIC FSGREEK
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


Tandem 6530 Map Files: Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] Tandem 6530 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
F9 | F9 | Terminal key F9
F10 | F10 | Terminal key F10
F11 | F11 | Terminal key F11
F12 | F12 | Terminal key F12
F13 | F13 | Terminal key F13
F14 | F14 | Terminal key F14
F15 | F15 | Terminal key F15
F16 | F16 | Terminal key F16
9 END :


Tandem 6530 Map Files: Main Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. The [default] Tandem 6530 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted |  | Comments
Tandem 6530 Keyboard | IBM PC Keyboard | ASCII | Hexadecimal |
Alt Down Arrow | Alt Down Arrow | n/a |  | Roll down one line or act as a function key
Alt Enter | Alt Enter or Alt Enter (num pad) | n/a |  | Local action mode on/off
Alt Page Down | Alt Page Down | SOH r ETX |  | May also act as a function key
Alt Page Up | Alt Page Up | SOH s ETX |  | May also act as a function key
Alt Up Arrow | Alt Up Arrow | n/a |  | Roll up one line or act as a function key
Back Tab | Shift Tab | n/a |  |
Backspace | Backspace | n/a |  |
Break | Pause or Ctrl Pause | ^[ |  |
Clear Tab | Shift Alt F5, or Shift Alt 1, or Shift Alt t | n/a |  | Clear tab at cursor
Clear All Tabs | Alt 3, or Shift Ctrl Alt F5, or Shift Ctrl Alt t | n/a |  | Clear all tabs
Ctrl Enter | Ctrl Enter, or Ctrl Enter (num pad) | n/a |  |
Ctrl Home | Ctrl Home | n/a |  |
Delete Character | Delete | n/a |  | Delete character
Delete Line | Ctrl Delete | n/a |  | Delete line
Disconnect | Alt Scroll Lock | n/a |  | Hang up and disconnect modem
Down Arrow | Down Arrow or Shift Down Arrow | n/a |  |
End | End | n/a |  |
Enter | Enter or Enter (num pad) or Shift Enter (num pad) | CR |  | Return (CR) or act as function key
Erase Line | Alt 2 or Ctrl Alt e or Ctrl Alt 5 (num pad) | n/a |  | Erase to end of line
Erase Screen | Shift Alt 2 or Ctrl Alt d or Ctrl Alt 4 (num pad) | n/a |  | Erase to end of screen
F1 | F1 or Ctrl 1 | SOH @ CR |  |
F2 | F2 or Ctrl 2 | SOH A CR |  |
F3 | F3 or Ctrl 3 | SOH B CR |  |
F4 | F4 or Ctrl 4 | SOH C CR |  |
F5 | F5 or Ctrl 5 | SOH D CR |  |
F6 | F6 or Ctrl 6 | SOH E CR |  |
F7 | F7 or Ctrl 7 | SOH F CR |  |
F8 | F8 or Ctrl 8 | SOH G CR |  |
F9 | F9 or Ctrl 9 | SOH H CR |  |
F10 | F10 or Ctrl 0 | SOH I CR |  |
F11 | F11 or Ctrl F1 or Alt F1 | SOH J CR |  |
F12 | F12 or Ctrl F2 or Alt F2 | SOH K CR |  |
F13 | Ctrl F3 or Alt F3 | SOH L CR |  |
F14 | Ctrl F4 or Alt 4 | SOH M CR |  |
F15 | Ctrl F5 or | SOH N CR |  |
F16 | Esc or Alt 6 | SOH O CR |  |
Hard Reset | Alt Backspace | n/a |  | Hard reset
Home | Home | n/a |  | Cursor home
Insert Character | Insert | n/a |  | Insert character or Insert Mode off
Insert Line | Ctrl Insert | n/a |  | Insert line
Insert Mode On | Alt Insert | n/a |  | Insert mode on
Left Arrow | Left Arrow or Shift Left Arrow | n/a |  | Left arrow or backspace key
Page Down | Page Down | n/a |  | Page down 24 lines or act as function key
Page Up | Page Up | n/a |  | Page up 24 lines or act as function key
Print Screen | Shift Scroll Lock | n/a |  | Print current screen
Right Arrow | Right Arrow or Shift Right Arrow | n/a |  |
Scroll Lock | Scroll Lock | n/a |  |
Set Tab | Alt 1 or Ctrl Alt F5 or Ctrl Alt t | n/a |  | Set tab at cursor
Shift Alt Down Arrow | Shift Alt Down Arrow | n/a |  | Roll down one line or act as a function key
Shift Alt Up Arrow | Shift Alt Up Arrow | n/a |  | Roll up one line or act as a function key
Shift Enter | Shift Enter | n/a |  | Start of line
Shift F1 | Shift F1 or Shift Ctrl 1 | SOH ‘ CR |  |
Shift F2 | Shift F2 or Shift Ctrl 2 | SOH a CR |  |
Shift F3 | Shift F3 or Shift Ctrl 3 | SOH b CR |  |
Shift F4 | Shift F4 or Shift Ctrl 4 | SOH c CR |  |
Shift F5 | Shift F5 or Shift Ctrl 5 | SOH d CR |  |
Shift F6 | Shift F6 or Shift Ctrl 6 | SOH e CR |  |
Shift F7 | Shift F7 or Shift Ctrl 7 | SOH f CR |  |
Shift F8 | Shift F8 or Shift Ctrl 8 | SOH g CR |  |
Shift F9 | Shift F9 or Shift Ctrl 9 | SOH h CR |  |
Shift F10 | Shift F10 or Shift Ctrl 0 | SOH I CR |  |
Shift F11 | Shift F11 or Shift Ctrl F1 or Shift Alt F1 | SOH j CR |  |
Shift F12 | Shift F12 or Shift Ctrl F2 or Shift Alt F2 | SOH k CR |  |
Shift F13 | Shift Ctrl F3 or Shift Alt F3 | SOH l CR |  |
Shift F14 | Shift Ctrl F4 or Shift Alt 4 | SOH m CR |  |
Shift F15 | Shift Ctrl F5 | SOH n CR |  |
Shift F16 | Shift Esc or Shift Alt 6 | SOH o CR |  |
Soft Reset | Ctrl Backspace | n/a |  | Soft reset
Status Line Off | Ctrl Page Down | n/a |  | Hide status line
Status Line On | Ctrl Page Up | n/a |  | Show status line
Tab | Tab | n/a |  |
Up Arrow | Up Arrow or Shift Up Arrow | n/a |  |
9 END :


Tandem 6530: Working with Function Keys

The Tandem emulation provides many key functions. The key functions can be divided into the following areas:

Keys for All Modes

Keys for Local Operations

Application Function Keys (All Modes)

Application Function Keys (Block Modes)

Alphanumeric Keys

Keys for Conversational Mode

Cursor Movement

Screen Display Movement

Editing Functions

Control Key Combinations

Keys for Block Nonprotected Mode

Cursor Movement

Editing Functions

Keys for Block Protected Mode

Cursor Movement

Editing Functions

9 END :


Tandem 6530 Function Keys: All Modes

The descriptions of the following keys apply to all host application modes.

Function

Key

Description

Display Status Line

Ctrl Page Up

Displays the status information in the Status Line at the bottom of the display screen.

Hide Status Line

Ctrl Page Down

Hides the status information in the Status Line.

Break

Break

Sends a break signal to the host. The length of the break may vary.

Print Screen

Shift Scroll Lock

Prints lines 1-24 of the current screen to the printer at AUX1. (The only video attribute which prints is the underline.)

A host application program can send a command to print on the PC’s local printer. Only one print request is processed at a time, and a host application request has priority over a request made from the PC keyboard.

Disconnect Modem

Alt Scroll Lock

Terminates the session and disconnects the modem.

Soft Reset

Ctrl Backspace

Clears errors, unlocks the keyboard, and restarts the session without clearing the display memory.

Hard Reset

Alt Backspace

Clears the display memory and restarts the session.

9 END :


Tandem 6530 Function Keys: Alphanumeric Characters (All Modes)

In Conversational Mode, all alphanumeric keys are transmitted to the NonStop Server as ASCII characters.

In Block Protected Mode, you may enter alphanumeric characters, but the data attribute of an unprotected field restricts which characters you may enter in the field.

In Block Mode (protected and non-protected), ASCII characters are stored before transmission. When the keyboard is locked, you may continue to enter alphanumeric characters if "Block mode type ahead" is enabled in the 6530 emulation’s "General tab" in the Session Properties dialog. The characters are displayed when the keyboard is unlocked.

9 END :


Tandem 6530 Function Keys: Application Functions (All Modes)

A host application may associate an application-defined function with certain keys or key combinations. Read the host application documentation for more information about application-defined functions and their associated keys.
Function | Key(s) | Description
Application-defined Function | Enter | Performs function defined by the host if the option Enable Enter as function key is selected on the General sub-tab of the Emulations tab of the Session Properties dialog.
Application-defined Function | F1 - F16 Shift F1 - F16 | Performs functions defined by the host. Refer to host application documentation for more information.
Function Key | Ctrl F1, F2, F3, F4, F5, F6 Ctrl Shift F1, F2, F3, F4, F5, F6 | Equivalents of F11 - F16 keys. Equivalents of Shift F11 - F16 key combinations.
9 END :


Tandem 6530 Function Keys: Application Functions (Block Modes)

A host application may associate an application-defined function with certain keys or key combinations. Read the host application documentation for more information about application-defined functions and their associated keys.
Function | Key(s) | Description
Application-defined Function | Page Up/Down Alt Page Up/Down Ctrl Insert* Ctrl Delete* Alt Arrow Up/Down Shift Alt Arrow Up/Down | Perform functions defined by the host. Refer to host application documentation for more information.
* Cannot be defined by an application when in non-protected mode and line editing is ON.
9 END :


Tandem 6530 Function Keys: Control Key Combinations (Conversational Mode)

Key Combination | Function
Ctrl @ | Transmit NUL
Ctrl A | Transmit SOH
Ctrl B | Transmit STX
Ctrl C | Transmit ETX
Ctrl D | Transmit EOT
Ctrl E | Transmit ENQ
Ctrl F | Transmit ACK
Ctrl G | Transmit BEL
Ctrl H | Transmit BS
Ctrl I | Transmit HT
Ctrl J | Transmit LF
Ctrl K | Transmit VT
Ctrl L | Transmit FF
Ctrl M | Transmit CR
Ctrl N | Transmit SO
Ctrl O | Transmit SI
Ctrl P | Transmit DLE
Ctrl Q | Transmit DC1
Ctrl R | Transmit DC2
Ctrl S | Transmit DC3
Ctrl T | Transmit DC4
Ctrl U | Transmit NAK
Ctrl V | Transmit SYN
Ctrl W | Transmit ETB
Ctrl X | Transmit CAN
Ctrl Y | Transmit EM
Ctrl Z | Transmit SUB
Ctrl [ | Transmit ESC
Ctrl \ | Transmit FS
Ctrl ] | Transmit GS
Ctrl ^ | Transmit RS
Ctrl _ | Transmit US
9 END :


Tandem 6530 Function Keys: Cursor Movement Functions (Block Protected Mode)

Function

Key(s)

Description

Next Field

Tab

Moves the cursor to the beginning of the next unprotected field.

In EM3270 submode, if the page has no unprotected fields, the cursor moves to the first column of the first line.

Previous Field

Shift Tab

Moves the cursor to the beginning of the previous unprotected field.

In EM3270 submode, the cursor moves to the beginning of the current unprotected field. However, if the cursor is already at the beginning of an unprotected field, or anywhere in a protected field, the cursor moves to the beginning of the previous field. If the page has no unprotected fields, the cursor moves to the first column of the first line.

First Field

Home

Moves the cursor to the beginning of the first unprotected field.

In EM3270 submode, if the page has no unprotected fields, the cursor moves to the first column of the first line.

Last Field

End

Moves the cursor to the beginning of the last unprotected field.

In EM3270 submode, if the page has no unprotected fields, the cursor moves to the first column of the first line.

End of Field

Ctrl Enter

Moves the cursor to the end of the current unprotected field, or to the column following the last nonblank character in the current unprotected field.

Beginning of Line

Shift Enter

Moves the cursor to the first unprotected field in the current line.

This key may also be redefined by a host application.

Next Line

Enter

Moves the cursor to the first unprotected field in the next line. If this key has been configured as a function key, it operates as that function key.

In EM3270 submode, if the page has no unprotected fields, the cursor moves to the first column of the first line. If the page has no fields (i.e. it is a single unformatted field), the cursor moves to the first column of the next line.

End of Page

Ctrl Home

Moves the cursor to the last nonblank character in the last unprotected field of the screen.

Move Left

Left Arrow or Backspace

Moves the cursor one column to the left. Operates as a destructive backspace if insert mode is in effect (see the Editing Functions table for Block Protected Mode).

If the cursor is already in the first column, it wraps to the last column of the previous line.

Move Right

Right Arrow

Moves the cursor one column to the right.

If the cursor is already at the end of a field, it moves to the beginning of the next unprotected field.

Move Up

Up Arrow

Moves the cursor up one line.

If the new cursor location is in a protected field, the cursor moves to the first unprotected field to the left.

Move Down

Down Arrow

Moves the cursor down one line.

If the new cursor location is in a protected field, the cursor moves to the first unprotected field to the left.

9 END :


Tandem 6530 Function Keys: Cursor Movement Functions (Block Nonprotected Mode)

Function | Key(s) | Description
Beginning of Line | Shift Enter | Moves the cursor to the beginning of the current line.
End of Line | Ctrl Enter | Moves the cursor to the end of the current line.
Next Line | Enter | Moves the cursor to the beginning of the next line. The host application may redefine this key.
Beginning of Last Line | End | Moves the cursor to the first column of the last line in the screen.
Beginning of Screen | Home | Moves the cursor to the first column of the first line in the screen.
End of Screen | Ctrl Home | Moves the cursor to the position following the last nonblank character in the screen.
Move Left | Left Arrow or Backspace | Moves the cursor one column to the left. Operates as a destructive backspace if insert mode is in effect. If the cursor is already in the first column of a line, it wraps to the last column of the previous line.
Move Right | Right Arrow | Moves the cursor one column to the right. If the cursor is at the end of a line, it wraps to the beginning of the next line. If the cursor is at the end of the last line, it wraps to the beginning of the first line.
Move Up | Up Arrow | Moves the cursor up one line. If the cursor is already on the first line of the screen, it wraps to the last line.
Move Down | Down Arrow | Moves the cursor down one line. If the cursor is already on the last line of the screen, it wraps to the first line.
Tab | Tab | Moves the cursor to the next tab stop. If at the last tab stop on the line, moves the cursor moves to the beginning of the next line.
Back Tab | Shift Tab | Moves the cursor to the previous tab stop. If no previous tab stop exists, the cursor moves to the beginning of the line. If the cursor is already at the beginning of a line, it moves to the rightmost tab stop of the previous line.
9 END :


Tandem 6530 Function Keys: Cursor Movement Functions (Conversational Mode)

Function

Key(s)

Description

Beginning of Line
or
CR (Carriage Return)

Enter

In local edit mode, it moves the cursor to the first column of the current line. The host application may redefine this key.

If not in local edit mode, it sends a carriage return (CR) character.

End of Line

Ctrl Enter

Moves the cursor to the column following the last nonblank character on the current line.

If the cursor is already beyond this position, it moves to the column following the last nonblank character on the next line.

If the last column on the current line contains a character, the cursor moves to the first column of the next line.

If the cursor is already on the last line of display memory, and the last column contains a character, the cursor moves to this column.

End of Display Screen

Ctrl Home

Moves the cursor to the column following the last nonblank character in the last line visible in the display screen.

If the last column of the last line contains a character, the cursor moves to the first column of the next line.

If the last column of the last line contains a character, and the current line is the end of the display memory, the cursor moves to the last column of the line.

Move Left

Left Arrow or

Backspace

Moves the cursor one column to the left.

The host application may redefine this key as a destructive backspace.

Move Right

Right Arrow

Moves the cursor one column to the right.

Move Up

Up Arrow

Moves the cursor up one line.

If the cursor is on the first line of the display screen, the screen will roll up one line.

If the cursor is on the first line of the display memory, it will not move up.

Move Down

Down Arrow

Moves the cursor down one line. If the cursor is on the last line of the display screen, the screen will roll down one line.

If the cursor is on the last line of the display memory, it will not move down.

9 END :


Tandem 6530 Function Keys: Editing Functions (Block Nonprotected Mode)

Function | Key(s) | Description
Set Tab | Alt 1 | Sets a tab stop at the current cursor column position, which then applies to all lines.
Clear Tab | Shift Alt 1 | Clears a tab stop, which clears the tab stop for all lines.
Clear All Tabs | Alt 3 | Clears all tab stops for all lines.
Erase to End of Line | Alt 2 | Erases characters from the current cursor position to the end of the current line.
Erase to End of Page | Shift Alt 2 | Erases characters from the current cursor position to the end of the page.
Enter Insert Mode | Alt Insert | Enters insert mode, where characters are inserted as they are typed.
Exit Insert Mode | Insert | Turns off insert mode.
Insert Blank Character | Insert | When not in insert mode, inserts a blank character at the current cursor position. The host application may redefine this key.
Delete Character | Delete | Deletes the character at the current cursor position. The host application can redefine this key.
Insert Blank Line | Ctrl Insert | Inserts a line at the current cursor position. The host application may redefine this key.
Delete Line | Ctrl Delete | Deletes the line at the current cursor position. The host application can redefine this key.
9 END :


Tandem 6530 Function Keys: Editing Functions (Block Protected Mode)

Function | Key(s) | Description
Enter Insert Mode | Alt Insert | Inserts all characters as they are typed.
Exit Insert Mode | Insert | Turns off insert mode. If not in insert mode, a space is inserted at the current cursor position.
Insert Blank Character | Insert | When not in insert mode, inserts a blank character at the current cursor position. The host application may redefine this key.
Delete Character | Delete | Deletes the unprotected character at the current cursor position.
Erase to End of Field | Alt 2 | Erases all characters from the current cursor position to the end of the unprotected field.
Erase to End of Page | Shift Alt 2 | Erases all unprotected characters from the current cursor position to the end of the display screen.
9 END :


Tandem 6530 Function Keys: Editing Functions (Conversational Mode)

Function | Key(s) | Description
Local Edit Mode | Alt Enter | Starts local edit mode, allowing you to edit text in the display screen without transmitting characters to the host. Exit local edit mode to transmit the current line to the host.
Set Tab | Alt 1 | Sets a tab stop at the current cursor column position, which then applies to all lines.
Clear Tab | Shift Alt 1 | Clears a tab stop, which clears the same tab stop for all lines.
Clear All Tabs | Alt 3 | Clears all tab stops for all lines.
Delete to End of Line | Alt 2 | Deletes characters from the current cursor position to the end of the current line.
Delete to End of Memory Display | Shift Alt 2 | Deletes characters from the current cursor position to the end of the display memory.
9 END :


Tandem 6530 Function Keys: Screen Display Movement (Conversational Mode)

Function | Key(s) | Description
Beginning of Display Memory | Home | Rolls the display screen up to the first line of display memory and moves the cursor to the first column of the first line.
End of Display Memory | End | Rolls the display screen down to the last line of the display memory and moves the cursor to the first column of the last line.
Roll Up | Alt Up Arrow | Rolls the display screen up one line.
Roll Down | Alt Down Arrow | Rolls the display screen down one line.
Page Up | Page Up | Rolls the display screen up 24 lines.
Page Down | Page Down | Rolls the display screen down 24 lines.
Tab | Tab | Moves the cursor to the next tab stop.
9 END :


Tandem 6530: Working with Scripts

You may wish to automate routine procedures when using DCS and the Tandem 6530 Client Option. DCS provides a powerful scripting language, complete with more than 350 commands and functions applicable to almost every feature of DCS.

Included here are two sample scripts that demonstrate the ability of DCS to automate routine tasks, such as logging onto a host.

Script 1 Example

A simple a routine for logging on to a NonStop Server.

Script 2 Example

A more advanced script may also be used to log on to a NonStop Server. However, it takes advantage of the advanced capabilities of DCS’s robust script language.

For detailed information about the DCS script language, please consult the DCS Script Reference .

9 END :


Tandem 6530 Scripts: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Note

See the IXF file transfer protocol section for Scripting Keywords for use with the protocol.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

EXEC_FUNCTION

true, false

Boolean

RETURN_FUNCTION

true, false

Boolean

BELL_COLUMN

0 (disables)

1-80

Integer

ALLOWHOSTCOLORS

true, false

Boolean

EM3270_MODE

true, false

Boolean

LOCAL_TRANSMIT_COLUMN

1-80

Integer

BLOCK_TYPE_AHEAD

CI_ERROR_RESPONSE

no_response

error_msg_only

del_symbol_only

del_symbol_and_error_msg

String

NLS_ISO8859

true, false

Boolean

LANGUAGE_8

Westeurp_8, Cyrillic_8, Greek_8

String

NLS_ISO646

true, false

Boolean

LANGUAGE_7

USASCII, French_7, German_7, Spanish_7, UK_7, Swedish_7, Danish_7, Norwegian_7, Belgian_7, Portuguese_7

String

AUX1 or AUX2

none, printer, file, device

String

AUX1_DEVICE or AUX2DEVICE

File name or device name (up to 256 characters)

String

GetEmulConfig ()

KeyString

EXEC_FUNCTION

true, false

Boolean

RETURN_FUNCTION

true, false

Boolean

BELL_COLUMN

0 (disables)

1-80

Integer

ALLOWHOSTCOLORS

true, false

Boolean

EM3270_MODE

true, false

Boolean

LOCAL_TRANSMIT_COLUMN

1-80

Integer

BLOCK_TYPE_AHEAD

CI_ERROR_RESPONSE

no_response

error_msg_only

del_symbol_only

del_symbol_and_error_msg

String

NLS_ISO8859

true, false

Boolean

LANGUAGE_8

Westeurp_8, Cyrillic_8, Greek_8

String

NLS_ISO646

true, false

Boolean

LANGUAGE_7

USASCII, French_7, German_7, Spanish_7, UK_7, Swedish_7, Danish_7, Norwegian_7, Belgian_7, Portuguese_7

String

AUX1 or AUX2

none, printer, file, device

String

AUX1_DEVICE or AUX2DEVICE

File name or device name (up to 256 characters)

String

Set Emulation

Emulation

Tandem

String

Settings ()

Keyword

EMULATE

TN6530-8

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


Tandem 6530 Scripts: Example One

This script is a routine for logging on to a NonStop Server. The session must already be configured within the Session Properties dialog, and a connection established, before launching this script.
Script command | Comments
Title "Logon Script" | ;Title of the script which appears ; as DCS’s title during script ; execution
Wait String "Enter Choice>" | ;Waits for NonStop Server to send text ;Enter Choice> to DCS
Send "TACL" | ;Transmits your environment choice ; to the host
Wait String "TACL 1>" | ;Waits for NonStop Server to send TACL ; prompt to DCS
Send UserID | ;Transmits your UserID to the host
Wait String "Password:" | ;Wait for NonStop Server to send the text
Send Password | ;Password: to DCS ;Transmits your password to the host
Cancel | ;Ends the script
This routine may be called from within a larger script (using the Perform command), or may be saved as its own script and called from any other script (using the Spawn command).
9 END :


Tandem 6530 Scripts: Example Two

Like the first script example, this script may also be used to log on to a NonStop Server. However, it takes advantage of the advanced capabilities of DCS’s robust script language.

For example, the Set Emulation and Set Connection commands are used to automatically configure a Tandem emulation for use with a Telnet connection to a Tandem host. A dialog box allows the user to enter the host address each time the script is executed (you can create multi-featured dialog boxes within the DCS script language, or use the Dialog Editor tool to build a dialog box and have it automatically create the script syntax). In addition, an error handling routine detects a failed login attempt and offers the user a chance to log in again.

If you plan to use this script as it is, or modify it for use with another script, be aware that commands which look for strings from a NonStop Server (such as the Wait command), look for the exact character sequence specified in the script, including spaces. If the logon prompts used in this script are not identical to those used by your system, we recommend making a non-scripted connection, then using the copy and paste editing tools to copy the exact login and host prompts from the session window directly into the script document window.

Script command

Comments

Title "Logon Script"

Title of the script which appears as DCS’s title during script execution

$UserIDPrompt="UserID:"

Set Emulation "6530.flx"

Sets emulation to Tandem emulation

Dialog "Telnet Host Information"

Edittext(,,100,10) "Hostname:"

Enter hostname or IP address

Edittext(,,100,10) "Port Number:"

Enter TCP/IP port number

Button "Continue" Resume

Press continue to log in

Dialog End

Wait Resume

Set Connection "Winsock" "Hostname="|Edittext(1)|" Port="|Edittext(2)

Dialog Cancel

Though not included here, the Load command can be used to load an existing session file, eliminating the need for Set Connection or Set Emulation. The format is Load "Session.ses",where Session is the name of the saved session file.

Connect

Connects DCS to the host

Wait String "Enter Choice>" Quiet "40"

Waits for NonStop Server to send text seconds elapse

If Search("Enter Choice>")<>-1

If the proper text is displayed on the screen then

Begin

Starts command block for If statement

Send "TACL"

Transmits environment choice to host

Wait String "TACL 1>" Quiet "10"

Waits for NonStop Server to send TACL prompt to DCS, or until 10 seconds elapse

*TACLLogon

Label for TACL logon procedure

Dialog

Creates a Dialog box with following controls

Edittext(,,100,10) "UserID:"

Places Edittext box in Dialog box width 100 and height 10

Edittext(,,100,10) "Password:" Password

Places Edittext box in Dialog box of width 100, height 10 and entered text is displayed as asterisks in Edittext box

Button "OK" Resume

Places "OK" button on Dialog box which issues Resume command when clicked

Button "Cancel" Cancel

Cancels script when clicked

Dialog End

End of Dialog block

Wait Resume

DCS waits for a Resume command

Set UserID Edittext(1)

Sets UserID environment variable to contents of first edittext box

Set Password Edittext(2)

Sets password variable to contents of second edit text box.

Dialog Cancel

Cancels the dialog box.

Clear

Clears screen and scroll buffer

When String 0 $UserIDPrompt perform LoginError,Goto TACLLogon

If login fails, displays an error message and attempts to log in again

Send UserID

Transmits contents of UserID environment variable to the host

Wait String "Password:" Quiet "10"

Wait for NonStop Server to send the text Password: to DCS

Send Password

Transmits your password to the host

End

End of Begin..End statement

Else

Optional Else case of If..Then..Else

Dialog

Start of dialog block

Message "Connection failed"

Displays message in dialog box

Message "Please reinitiate the connection and try again."

Button "OK" resume

Creates "OK" button

Button "Cancel" Cancel

Creates "Cancel" button

Dialog End

End of dialog block

Wait Resume

Waits for Resume command

Dialog Cancel

Cancels dialog box

Cancel

Ends script execution

*LoginError

Label for error message procedure

Dialog

Displays messages to user

Message "Login to host failed."

Message "Perhaps your UserID or Password were entered incorrectly"

Message "Please attempt to log in again."

Dialog End

End of Dialog block

Wait Delay "2"

Wait two seconds

Dialog Cancel

Cancels Dialog block

Return

Returns script execution to the command immediately following the Perform script command

9 END :


TeleVideo 925/950 Emulation

Selecting the TV950 button on the Emulation tab of the Session Properties dialog enables the TeleVideo 925/950 terminal emulation. The following reference information is available for the TeleVideo 925/950 emulation:

Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Options | Describes each configurable option for the emulation. The options are located on five sub-tabs on the Emulations tab of the Session Properties dialog.
Map Files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape Sequences | Lists the supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


TeleVideo 925/950: General Information and Support

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the TeleVideo 925/950 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

9 END :


TeleVideo 925/950 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the TeleVideo 925/950 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

TeleVideo 925/950 Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Break | Break | Break command
Cursor Move Left | Left Arrow | ^H
Cursor Move Right | Right Arrow | ^L
Cursor Move Up | Up Arrow | ^K
Cursor Move Down | Down Arrow | ^V
Keypad 0 | Num pad 0 | 0
Keypad 1 | Num pad 1 | 1
Keypad 2 | Num pad 2 | 2
Keypad 3 | Num pad 3 | 3
Keypad 4 | Num pad 4 | 4
Keypad 5 | Num pad 5 | 5
Keypad 6 | Num pad 6 | 6
Keypad 7 | Num pad 7 | 7
Keypad 8 | Num pad 8 | 8
Keypad 9 | Num pad 9 | 9
Keypad - | Num pad minus | -
Keypad , | Num pad comma | ,
Keypad . | Num pad period | .
Keypad Enter | Num pad enter | ^M
Home cursor key | Home | 0x1E
DEL key | DEL | 0x7F
F1 key | F1 | ^A @ CR
F2 key | F2 | ^A A CR
F3 key | F3 | ^A B CR
F4 key | F4 | ^A C CR
F5 key | F5 | ^A D CR
F6 key | F6 | ^A E CR
F7 key | F7 | ^A F CR
F8 key | F8 | ^A G CR
F9 key | F9 | ^A H CR
F10 key | F10 | ^A I CR
F11 key | F11 | ^A J CR
Tab key | Tab | ^I
Backspace key | Backspace | ^H
Back tab | Back tab | Esc I
Escape | Escape | Esc
Line feed | Line feed | ^J
Clear space | Clear Space | Esc *
Print | Print | Print command
Send | Send | Send command
Char Insert | Char Insert | Esc Q
Char Delete | Char Delete | Esc W
Line Insert | Line Insert | Esc E
Line Delete | Line Delete | Esc R
Line Erase | Line Erase | Esc T
Page Erase | Page Erase | Esc Y
Return key | Return | ^M
Enter key | Return | ^M
Scroll Lock | Scroll Lock | n/a
Shift-F1 key | Shift-F1 | ^A ` CR
Shift-F2 key | Shift-F2 | ^A a CR
Shift-F3 key | Shift-F3 | ^A b CR
Shift-F4 key | Shift-F4 | ^A c CR
Shift-F5 key | Shift-F5 | ^A d CR
Shift-F6 key | Shift-F6 | ^A e CR
Shift-F7 key | Shift-F7 | ^A f CR
Shift-F8 key | Shift-F8 | ^A g CR
Shift-F9 key | Shift-F9 | ^A h CR
Shift-F10 key | Shift-F10 | ^A i CR
Shift-F11 key | Shift-F11 | ^A j CR
9 END :


TeleVideo 925/950: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

MODEL

TV925, TV950

String

MODE

Full duplex,
Half duplex,
Block,
Local

String

LINESPERPAGE

24, 48, 96

String

COLUMNS

80, 132

String

NUMBEROFPAGES

1, 2, 4

String

ANSWERBACK

TVI925

String

LIGHTSCREEN

true, false

String

DISPLAYCONTROLS

true, false

String

LOCALEDITKEYS

true, false

String

GetEmulConfig ()

KeyString

MODEL

TV925, TV950

String

MODE

Full duplex,
Half duplex,
Block,
Local

String

LINESPERPAGE

24, 48, 96

String

COLUMNS

80, 132

String

NUMBEROFPAGES

1, 2, 4

String

ANSWERBACK

TVI925

String

LIGHTSCREEN

true, false

String

DISPLAYCONTROLS

true, false

String

LOCALEDITKEYS

true, false

String

Set Emulation

Emulation

TV950

String

Settings ()

Keyword

EMULATE

TVI925, TVI950

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


TeleVideo 925/950: Working with Configuration Options

To determine if the TeleVideo 925/950 emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the TeleVideo 925/950 emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\tv950.flx

To configure a session to emulate a TeleVideo 925/950 terminal, begin by clicking TeleVideo 925/950 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Five sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an TeleVideo 925/950 terminal.

The five sub-tabs used to configure the TeleVideo 925/950 emulation are:

General options

Attributes options

Translation options

Keyboard options

Hotspots options

9 END :


TeleVideo 925/950 Configuration Options: General Sub-tab

Session > Properties > Emulations > [TV950] > General

The General tab contains several general configuration options for the TeleVideo 925/950 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Televideo model

Select one of the following terminal models that best suits the applications you will use on the host system.

TV925

TV950

Default: TV925

Transmission mode

Select one of the following transmission modes:

Full Duplex: The emulation sends keystrokes directly to the remote system. Your keystrokes will only display in the session window if the remote system echoes your keystrokes back to DynaComm. The editing keys will only have an effect in the session window if you have checked Local Edit Keys in Host Modes.

Half duplex: The emulation sends keystrokes to the remote system and the session window. The editing keys will only have an effect in the session window if you have checked Local Edit Keys in Host Modes.

Block: The emulation sends keystrokes to the session window and buffers the keystrokes, waiting to send the keystrokes to the remote system. When you select a keyboard command to send the keystrokes, the emulation sends all of your keystrokes since the emulation last sent keystrokes to the remote system.

The following keyboard combinations instruct the emulation to send all or part of the session screen: emulation keystrokes for the terminal’s Send key (F12, Shift + F12, End, and Shift + End) and various escape sequences (including Esc 4, Esc 5, Esc 6, and Esc 7).

Local: The emulation only sends keystrokes to the session window. When in this mode, the emulation does not communicate with the remote system. This mode is not available under TeleVideo 925.

Default: Full Duplex

Lines per page

Select the number of lines that comprise a page in the session window:

24

48

96

TV925 allows 24 lines in a page. TV950 allows 24, 48, or 96 lines in a page. Each page has an equal number of lines, but a session can have no more than 96 lines on all of its pages.

If you select TV950 and then select 96 in Lines Per Page, the emulation will support one page of 96 lines, two pages of 48 lines each, or four pages of 24 lines each. If you select 48 in Lines Per Page, the emulation will support one page of 48 lines or two pages of 24 lines each. If you select 24 in Lines Per Page, the emulation will support one page.

If you select TV925 and then select 48 in Lines Per Page, the emulation will support two pages of 24 lines each. If you select 24 in Lines Per Page, the emulation will support one page.

Default: 24

Number of columns

Select one of the following to set the column width of the display:

80

132

The selection should match the maximum number of characters per line required by an application on the host system.

Default: 80

Number of pages

Select one of the following options to specify the number of pages to remain in the screen buffer in one session:

1

2

4

TV925 allows one or two pages of 24 lines each. TV950 allows one, two, or four pages, totaling no more than 96 lines for all of the pages. The maximum number of pages in a session depends on the number of lines chosen in Lines Per Page.

Default: 1

Answerback

Enter a message to send to the host system when the host requests the terminal to identify itself.

Default: tvi925

Local edit keys

Select to prevent the emulation from sending the keyboard commands of the editing keys to the remote system. The emulation must be in Full Duplex or Half Duplex transmission mode for this setting to have an effect. The emulation sends the commands from the editing keys to the session screen only. Other keys are not affected. The terminal’s editing commands are Character Insert, Character Delete, Line Erase, Page Erase, Send, Print, Line Insert, Line Delete, Clear, Backspace, the cursor keys, Tab, and Back Tab.

Clear to allow the emulation to send the commands from editing keys to the remote system and to the session screen.

Default: Cleared

Note

The status of Local Edit Keys does not affect the emulation if it is in the Local transmission mode. Since the emulation is not communicating with the remote system, the keyboard commands are already sent to the session screen and not the remote system.

Light screen

Select to set the screen background to a light color with a dark foreground color.

Clear to set the screen background to a dark color with a light foreground color.

Default: Cleared

Note

The appearance of the session screen is also affected by selections in the Attributes tab. For example, if you had selected Normal in the Host list box and Reverse in the Local list box, the background will be light and the characters will be dark. If you were to then check Light Screen, the background will be dark and the characters light.

Display controls mode

Select to display a control character on the screen when screen functions are sent or received, rather than performing the function.

Clear to have screen functions operate normally and no control character is displayed on the screen.

Default: Cleared

Note

To display a control sequence without checking Display Controls, type the Escape key before entering the control characters.

9 END :


TeleVideo 925/950: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The TeleVideo 925/950 emulation supports the following escape sequences:

General, display, or terminal functions

Cursor movement functions

Editing functions

Cursor Addressing Codes

Cursor Attributes

Character Attributes

Note

Variable parameters appear in monospaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


TeleVideo 925/950 Escape Sequences: General, Display, or Terminal Functions

Function | Escape Sequence | Description
Auto page - Off | Esc w |
Auto page - On | Esc v |
Bell | Ctrl G |
Block Mode - On | Esc B | Conversational Mode - Off.
Block or Local Mode - Off | Esc C | Conversation Mode - On. Local Mode applies to TV950 only.
Character (Video) Attributes - Set | Esc Gx2 | For x2, use the values shown in the Character Attributes topic.
Controls - Hide | Esc X or Esc u | Monitor Mode - Off.
Controls - Show | Esc U | Monitor Mode - On.
Cursor Attributes - Set | Esc .x1 | For x1, use the values shown in the Cursor Attributes topic.
Cursor Position Request (Page Row Column) | Esc / |
Cursor Position Request (Row Column) | Esc ? |
Full Duplex - On | Esc DF | Effective when the emulation is in Conversational mode (not Block or Local).
Half Duplex - On | Esc DH | Effective when the emulation is in Conversational mode (not Block or Local).
Insert Mode - Off | Esc r | Replace Mode - On
Insert Mode - On | Esc q | Replace Mode - Off
Keyboard - Disable | Esc # | Locks the keyboard, but function keys will still transmit to the remote system (including Print Screen, Break, and Scroll Lock).
Keyboard - Enable (unlock) | Esc " | The following key sequence has the same effect as the escape sequence: hold down the Shift key while you press the Break key twice. The keyboard will also unlock when the status line changes.
Local Mode - On | Esc c | TV950 only.
Page Size | Esc \n | The variable n can be 1 (for 24 lines in a page), 2 (for 48 lines in a page), or 3 (for 96 lines in a page). TV925 can have a maximum of two pages with 24 lines each or one page with 48 lines. TV950 can have a maximum of four pages with 24 lines each, two pages with 48 lines each, or one page of 96 lines.
Print Bi-directional - Off | Ctrl T |
Print Bi-directional - On | Ctrl R |
Print Buffered Transparent - Off | Esc a | Displays characters in the session screen and stops displaying characters on the printer.
Print Buffered Transparent - On | Esc `(grave) | Sends characters through the emulation, and displays them on the printer, but without displaying them on the session screen.
Print Copy Mode - Off | Esc A | Displays characters on the screen only.
Print Copy Mode - On | Esc @ | Displays characters on the screen and on the printer.
Print Page - Formatted | Esc P | Prints from the home position to the cursor position and displays the next page. The cursor remains in the same page position in the newly displayed page as in the previously displayed page.
Print Page - Unformatted | Esc L | Prints from the home position to the cursor position and displays the next page. The cursor remains in the same page position in the newly displayed page as in the previously displayed page.
Protect Mode - Off | Esc ‘ | Disables Protect Mode.
Protect Mode - On | Esc & | Protects the whole session screen.
Protected Writing - Off | Esc ( | Normal Intensity.
Protected Writing - On | Esc ) | Half Intensity.
Screen - Off | Esc o |
Screen - On | Esc n |
Send All Status Line Message | Esc s |
Send Line - All | Esc 6 | Sends all characters from the beginning of the cursor’s line to the character in the cursor’s column, inclusive.
Send Line Unprotected | Esc 4 | Sends unprotected characters from the beginning of the cursor’s line to the character in the cursor’s column, inclusive.
Send Page - All | Esc 7 | Sends all characters on a page from the home position to the character in the cursor’s column, inclusive.
Send Page Unprotected | Esc 5 | Sends unprotected characters on a page from the home position to the character in the cursor’s column, inclusive.
Send Status Line Message | Esc S | Sends the unprotected status line message.
User Line - Display | Esc g | Displays the user line on the twenty-fifth, or status, line.
User Line - Load | Esc fTextCR | Text can be any text up to 79 characters in length.
User Line - Hide | Esc h | Displays the status line on the twenty-fifth, or status, line.
9 END :


TeleVideo 925/950 Escape Sequences: Character Attributes

To enable Character Attributes, use the escape sequence: Esc Gx2 where x2 is a value from the table below.
x2 | Attribute
0 | All attributes off (normal)
1 | Blank (invisible)
2 | Blink (Flashing)
3 | Invisible/Blink
4 | Reverse
5 | Invisible/Reverse
6 | Reverse/Blink
7 | Invisible/Reverse/Blink
8 | Underline
9 | Invisible/Underline
: | Underline/Blink
; | Invisible/Underline/Blink
< | Underline/Reverse
= | Invisible/Underline/Reverse
> | Underline/Reverse/Blink
? | Invisible/Underline/Reverse/Blink
) | Half intensity on (Dim)
( | Half intensity off
9 END :


TeleVideo 925/950 Escape Sequences: Cursor Addressing Codes

To move the cursor to a specific screen location, use escape sequence:

Esc =LineCol

where Line or Col is a value from the table below.

Note

For TV925, Line can be a code for positions 1 through 24, since a page can only have 24 lines in a TeleVideo 925 terminal. For TV950, Line can be any code for positions 1 through 96, depending on the number and size of pages in a session. For TV925 and TV950, Col can be a code for positions 1 through 80. If Line or Col indicate a position outside of the screen page, the cursor is placed in the last line or column of the page, respectively.

Position

Line

Col

Position

Line

Col

1

(Space)

(Space)

49

P

P

2

!

!

50

Q

Q

3

"
(Double Quote)

"
(Double Quote)

51

R

R

4

#

#

52

S

S

5

$

$

53

T

T

6

%

%

54

U

U

7

&

&

55

V

V

8

'
(Single Quote)

'
(Single Quote)

56

W

W

9

(

(

57

X

X

10

)

)

58

Y

Y

11

*
(Asterisk)

*
(Asterisk)

59

Z

Z

12

+

+

60

[

[

13

,
(Comma)

,
(Comma)

61

\

\

14

-
(Hyphen)

-
(Hyphen)

62

]

]

15

.
(Period)

.
(Period)

63

^
(Caret)

^
(Caret)

16

/

/

64

_
(Underscore)

_
(Underscore)

17

0

0

65

`
(Grave)

`
(Grave)

18

1

1

66

a

a

19

2

2

67

b

b

20

3

3

68

c

c

21

4

4

69

d

d

22

5

5

70

e

e

23

6

6

71

f

f

24

7

7

72

g

g

25

8

8

73

h

h

26

9

9

74

i

i

27

:
(Colon)

:
(Colon)

75

j

j

28

;
(Semicolon)

;
(Semicolon)

76

k

k

29

<

<

77

l

l

30

=

=

78

m

m

31

>

>

79

n

n

32

?

?

80

o

o

33

@

@

81

p

34

A

A

82

q

35

B

B

83

r

36

C

C

84

s

37

D

D

85

t

38

E

E

86

u

39

F

F

87

v

40

G

G

88

w

41

H

H

89

x

42

I

I

90

y

43

J

J

91

z

44

K

K

92

{

45

L

L

93

|

46

M

M

94

}

47

N

N

95

~

48

O

O

96

DEL/RUB

9 END :


TeleVideo 925/950 Escape Sequences: Cursor Attributes

To enable Character Attributes, use the escape sequence: Esc .x1 where x1 is a value from the table below.
X1 | TeleVideo 950 Cursor Attribute
0 | Not displayed
1 | Blinking Block
2 | Steady Block
3 | Blinking Underline
4 | Steady Underline
9 END :


TeleVideo 925/950 Escape Sequences: Cursor Movement Functions

Function

Escape Sequence

Description

Carriage Return

Ctrl M

The cursor moves to the first unprotected column on a line.

Cursor Down

Ctrl V

Moves the cursor down to the first unprotected position. If the cursor is in the last line, the cursor does not move.

Cursor Home

Ctrl ^

Moves the cursor to the first unprotected position in the page.

Cursor Left

Ctrl H

Moves the cursor to the previous column. If the cursor is in the first column, the cursor moves to the first unprotected column of the previous line, starting from the last column in the line.

Cursor Position
(Page Row Column)

Esc -PageLineCol

Moves the cursor to the position in the session page indicated by Page, Line, and Col. For TV925, Page can be 0 or 1. For TV950, Page can be 0, 1, 2, 3. For Line and Col, use the values in the Cursor Addressing Codes subtable.

Cursor Position
(Row Column)

Esc =LineCol

Moves the cursor to the position in the session page indicated by Line and Col. For Line and Col, use the values in the Cursor Addressing Codes topic.

Cursor Right

Ctrl L

Moves the cursor to the next column. If the cursor is in the last column, the cursor moves to the first unprotected column of the next line.

Cursor Up

Ctrl K

Moves the cursor up to the first unprotected position. If the cursor is in the first line, the cursor does not move.

Line Feed - Reverse

Esc j

Moves the cursor up one line. If the cursor is at the top of the page, the cursor’s movement depends on whether Auto Page and Protect Mode are on or off.

If Auto Page is active, the cursor moves to the last line of the previous page. If the cursor is on the first page (or only page) it does not move.

If Auto Page is not active, but Protect Mode is active, the cursor does not move.

If both are inactive, the last line of the page is destroyed, the cursor moves up one line as the page rolls down one line, and a new line appears at the top of the page.

Line Feed

Ctrl J

Moves the cursor down one line. If the cursor is at the bottom of the page, the cursor’s movement depends on whether Auto Page and Protect Mode are on or off.

If Auto Page is active, the cursor moves to the first line of the next page.

If Auto Page is not active, but Protect Mode is active, the cursor moves to the top of the current page.

If both are inactive, the first line of the page is destroyed, the cursor moves down one line as the page rolls up one line, and a new line appears at the bottom of the page.

New Line

Ctrl _ (underscore)

Performs a line feed and carriage return.

Page Advance

Esc K

The cursor remains in the same page position in the newly displayed page as in the previously displayed page.

Page Back

Esc J

The cursor remains in the same page position in the newly displayed page as in the previously displayed page.

Tab Back

Esc I

Moves the cursor to the previous unprotected tab stop or the first character position in an unprotected field.

Tab Horizontal

Ctrl I

Moves the cursor to the next unprotected tab stop or the first position of an unprotected field.

Tab

Esc i

Field Tab. In Protect Mode, moves the cursor to the first character position in the first unprotected field from the top of the page, or moves the cursor to the home position.

9 END :


TeleVideo 925/950 Escape Sequences: Editing Functions

Function | Escape Sequence | Description
Character Delete | Esc W | Deletes an unprotected character at the cursor, and shifts unprotected characters on the right of the deleted character to the left.
Character Insert | Esc Q | Inserts characters to the end of a line or the first unprotected field, moving other characters to the right. Destroys characters moving from the eightieth column.
Clear Field | Ctrl X | Clear all characters in the current unprotected field with replacement characters (space characters by default).
Clear Page All | Esc * | Clear all characters on a page to null characters, and return character modes to normal mode.
Clear Page Unprotected | Esc , | Clear all characters on a page with half intensity replacement characters (the default is a space character).
Clear Page Unprotected | Esc : | Clear unprotected characters with null characters.
Clear Page Unprotected | Esc ; or Esc + or Ctrl Z | Clear unprotected characters to the cursor location with replacement characters (the default is a space character).
Erase To End Of Line With Nulls | Esc t | Replaces all characters from the cursor to the end of a line (or an unprotected field) with null characters.
Erase To End Of Line | Esc T | Replaces all unprotected characters from the cursor to the end of a line (or of an unprotected field) with replacement characters (the default character is a space character).
Erase To End Of Page With Nulls | Esc y | Replaces all unprotected characters from the cursor to the end of a page with null characters.
Erase To End Of Page | Esc Y | Replaces characters from the cursor to the end of a page with replacement characters (the default replacement character is a space character).
Line Delete | Esc R | Deletes unprotected lines.
Line Insert | Esc E | Inserts a line in a page with Protect Mode off. Destroys the last line of a page.
Tab Clear - All | Esc 3 | Clears all tabs on a page when Protect Mode is off.
Tab Clear | Esc 2 | Clears the tab in a column when Protect Mode is off.
Tab Set | Esc 1 |
9 END :


TeleVideo 925/950: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.
For the TeleVideo 925/950 emulation, the following map files are available:
Attribute Map | Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.
Character Translation Map | Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.
Hotspot Map | Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.
Keyboard Map | Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.
You can create your own map files using the following editors: Keyboard Map Editor Attribute Map Editor Character Translation Map Editor Hotspot Map Editor
9 END :


TeleVideo 925/950 Map Files: Attributes

Session > Properties > Emulations > [VT950] > Attributes
Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] TeleVideo 925/950 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Dim | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | lt gray | black
Dim | X |  |  |  |  | lt gray | black
Reverse |  | X |  |  |  | black | lt gray
Dim Reverse | X | X |  |  |  | black | lt gray
Flashing |  |  | X |  |  | lt gray | black
Dim Flashing | X |  | X |  |  | lt gray | black
Reverse Flashing |  | X | X |  |  | black | lt gray
Dim Reverse Flashing | X | X | X |  |  | black | lt gray
Underline |  |  |  | X |  | lt gray | black
Dim Underline | X |  |  | X |  | lt gray | black
Reverse Underline |  | X |  | X |  | black | lt gray
Flashing Underline |  |  | X | X |  | lt gray | black
Dim Reverse Underline | X | X |  | X |  | black | lt gray
Dim Flashing Underline | X |  | X | X |  | lt gray | black
Reverse Flashing Underline |  | X | X | X |  | black | lt gray
Dim Reverse Flashing Underline | X | X | X | X |  | black | lt gray
Invisible |  |  |  |  | X | n/a | black
Dim Invisible | X |  |  |  | X | n/a | black
Reverse Invisible |  | X |  |  | X | n/a | lt gray
Flashing Invisible |  |  | X |  | X | n/a | black
Underline Invisible |  |  |  | X | X | n/a | black
Dim Reverse Invisible | X | X |  |  | X | n/a | lt gray
Dim Flashing Invisible | X |  | X |  | X | n/a | black
Dim Underline Invisible | X |  |  | X | X | n/a | black
Reverse Flashing Invisible |  | X | X |  | X | n/a | lt gray
Reverse Underline Invisible |  | X |  | X | X | n/a | lt gray
Flashing Underline Invisible |  |  | X | X | X | n/a | black
Dim Reverse Flashing Invisible | X | X | X |  | X | n/a | lt gray
Dim Reverse Underline Invisible | X | X |  | X | X | n/a | lt gray
Dim Flashing Underline Invisible | X |  | X | X | X | n/a | black
Reverse Flashing Underline Invisible |  | X | X | X | X | n/a | lt gray
Dim Reverse Flashing Underline Invisible | X | X | X | X | X | n/a | lt gray
9 END :


TeleVideo 925/950 Map Files: Character Translations

Session > Properties > Emulations > [VT950] > Translation

Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.

The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead.

The [default] TeleVideo 925/950 character translation map file has the following mappings established.

Host to Display

Display to Windows

Host

Display

Display

Windows

ASCII
DECSUP
DECSPLGR
DISPCTRL
220UK
220DUTCH
220FINNISH
220FRENCH
220FRCAN
220GERMAN
220ITALIAN
220NORDAN
220SPANSIH
220SWEDISH
220SWISS
220ISOLATIN
220DECTECH

FSANSI
FSCOMP1
FSCOMP2

FSCOMP1

FSCOMP1

See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.

9 END :


TeleVideo 925/950 Map Files: Hotspots

Session > Properties > Emulations > [TV 950] > Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] TeleVideo 925/950 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
F9 | F9 | Terminal key F9
F10 | F10 | Terminal key F10
F11 | F11 | Terminal key F11
9 END :


TeleVideo 925/950 Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files. Note SOH (start of heading) is the same as Ctrl + A. The [default] TeleVideo 925/950 keyboard map file has the following mappings established:
Keyboards |  | Characters Transmitted |  | Comments
TeleVideo 925/950 Keyboard | IBM PC Keyboard | ASCII | Hexadecimal |
F1 | F1 | SOH @ CR | 01 40 0D |
F2 | F2 | SOH A CR | 01 41 0D |
F3 | F3 | SOH B CR | 01 42 0D |
F4 | F4 | SOH C CR | 01 43 0D |
F5 | F5 | SOH D CR | 01 44 0D |
F6 | F6 | SOH E CR | 01 45 0D |
F7 | F7 | SOH F CR | 01 46 0D |
F8 | F8 | SOH G CR | 01 47 0D |
F9 | F9 | SOH H CR | 01 48 0D |
F10 | F10 | SOH I CR | 01 49 0D |
F11 | F11 | SOH J CR | 01 4A 0D |
Shift F1 | Shift F1 | SOH ` CR | 01 60 0D |
Shift F2 | Shift F2 | SOH a CR | 01 61 0D |
Shift F3 | Shift F3 | SOH b CR | 01 62 0D |
Shift F4 | Shift F4 | SOH c CR | 01 63 0D |
Shift F5 | Shift F5 | SOH d CR | 01 64 0D |
Shift F6 | Shift F6 | SOH e CR | 01 65 0D |
Shift F7 | Shift F7 | SOH f CR | 01 66 0D |
Shift F8 | Shift F8 | SOH g CR | 01 67 0D |
Shift F9 | Shift F9 | SOH h CR | 01 68 0D |
Shift F10 | Shift F10 | SOH i CR | 01 69 0D |
Shift F11 | Shift F11 | SOH j CR | 01 6A 0D |
Back Tab | Shift Tab | Esc I | 1B 49 |
Backspace | Backspace | BS or Ctrl H | 08 |
Break | Ctrl Pause | N/A | N/A | A 250-millisecond ASCII Break pulse
Character Delete | Delete | Esc W | 1B 57 |
Character Insert | Insert | Esc Q | 1B 51 |
Clear Space | Page Up | Ctrl Z | 1A | Replaces all unprotected characters in a page with replacement characters, which are space characters by default.
Shift Clear Space | Shift Page Up | Esc * | 1B 2A | Replaces the entire page with nulls and turns off protect and half intensity character attributes.
Cursor Down | Arrow Down | SYN or Ctrl V | 16 |
Cursor Left | Arrow Left | BS or Ctrl H | 08 |
Cursor Right | Arrow Right | FF or Ctrl L | 0C |
Cursor Up | Arrow Up | VT or Ctrl K | 0B |
Delete | Ctrl Backspace | Del | 7F |
Escape | Escape | Esc or Ctrl [ | 1B |
Home | Home | RS or Ctrl ^ | 1E |
Line Delete | Ctrl Delete | Esc R | 1B 52 |
Line Erase | Page Down | Esc T | 1B 54 | Replace unprotected characters with replacement characters, which are space characters by default.
Shift Line Erase | Shift Page Down | Esc t | 1B 74 | Replace unprotected characters with null characters.
Line Feed | Ctrl Enter | LF or Ctrl J | 0A |
Line Insert | Ctrl Insert | Esc E | 1B 45 |
Page Erase | Ctrl Page Down | Esc Y | 1B 59 | Replace characters with replacement characters, which are space characters by default.
Shift Page Erase | Shift Ctrl Page Down | Esc y | 1B 79 | Replace characters with null characters.
Print | No default mapping | Esc P | 1B 50 |
Return/Enter | Enter | CR or Ctrl M | 0D |
Send | F12 or End | Esc 7 | 1B 37 | Transfers all characters from the screen’s home position to the cursor.
Shift Send | Shift F12 or Shift End | Esc 6 | 1B 36 | Transfers all characters from the first column of the cursor’s line to the cursor.
Tab | Tab | HT or Ctrl I | 09 |
9 END :


TN3270 Terminal & 3270 Print Emulations

Note

These emulations are not part of the base DCS product. They are only available if you have purchased and installed the TN3270 Client Option.

Selecting the IBM 3270 or IBM 3270 Print button in the Emulations tab of the Session Properties dialog enables the TN3270 terminal emulation or TN3270 Print emulation, respectively. The following reference information is available for the TN3270 & TN3270 Print emulations:

Section

Description

General Information and Support

An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.

Configuration Options for:

TN3270 Terminal Emulation

TN3270 Print Emulation

Describes each configurable option for the emulation.

For the TN3270 terminal emulation, the options are located on seven sub-tabs on the Emulations tab of the Session Properties dialog.

For the TN3270 Print emulation, the options are located on four sub-tabs on the Emulations tab of the Session Properties dialog.

Map Files

Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.

Scripting Parameter Values

A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


TN3270: General Information and Support

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the TN3270 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

9 END :


TN3270 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The text is enclosed in { } (curly braces) to indicate a meta-key function. The table below shows the Meta Strings to use with the TN3270 emulation. Only the keys or functions shown below are supported as Meta Strings.

Note

  • In each emulation, the Meta String text used may vary, even if the key performs a similar function.

  • The information below does not apply to the 3270 Print emulation.

TN3270 Terminal Key or Terminal Function | Meta String
Attention | Attn
Backspace Key | BkS
Back Tab | BkT
Cent | Cent
Clear Key | Clear
Cursor Select | CrSel
Delete Key | Delete
Delete Word | DWord
Double Down | DbD
Double Left | DbL
Double Right | DbR
Double Up | DbU
Down Arrow Key | Down
Duplicate | Dup
Enter key | Enter
Erase Input | ErInp
Erase to End of Field | EnEof
Field Mark | FldMk
Home Key | Home
Insert Key | Insert
Left Arrow Key | Left
Logical NOT | LogNot
Logical OR | LogOr
Move to End of Field | MEOF
Newline | NewLn
Next Word | NextW
PA1 | PA1
PA2 | PA2
PA3 | PA3
PF1 key | PF1
PF10 key | PF10
PF11 key | PF11
PF12 key | PF12
PF13 key | PF13
PF14 key | PF14
PF15 key | PF15
PF16 key | PF16
PF17 key | PF17
PF18 key | PF18
PF19 key | PF19
PF2 key | PF2
PF20 key | PF20
PF21 key | PF21
PF22 key | PF22
PF23 key | PF23
PF24 key | PF24
PF3 key | PF3
PF4 key | PF4
PF5 key | PF5
PF6 key | PF6
PF7 key | PF7
PF8 key | PF8
PF9 key | PF9
Previous Word | PrevW
Reset | Reset
Return Key | Return
Right Arrow Key | Right
System Request | SysReq
Tab Key | Tab
Up Arrow Key | Up
9 END :


TN3270: Working with Configuration Options

To determine if the TN3270 terminal module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the TN3270 terminal module is installed, you should see the following listed:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\3270.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\3287.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\3812.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\tn3270e.dll

To configure a session to emulate a TN3270 terminal, begin by clicking IBM 3270 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of a TN3270 terminal.

The seven sub-tabs used to configure the TN3270 emulation are:

  • General options

  • Session options

  • Advanced options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


TN3270 Configuration Options: Advanced Sub-tab

Session > Properties > Emulations > [TN3270] > Advanced

The Advanced tab contains options related to handling of certain characters and setting up an interface with HLLAPI with the TN3270 terminal emulation. The table below lists all options on the Advanced tab with a description of each.

Use this option

in this manner . . .

General options

All Uppercase

Select to display all alphabetic characters in uppercase.

Clear to allow characters to display as the remote system intends them.

Default: Cleared

Always Auto Skip

Select to automatically move from an unprotected field to the first character position in another unprotected field. This feature activates when you type in the last position of an unprotected field.

Clear to require you to move manually from one unprotected field to another.

Default: Cleared

Convert Nulls to Blanks

Select to convert in-stream null characters to space characters.

Clear to leave the display as the session editor interprets the data stream coming from the remote system.

With this option selected, you do not need to use some features of the editor, such as Nulls Off to prevent data from collapsing to the left-hand side of the display. The IBM 3174 Establishment Controller Functional Description manual, GA23-0218, refers to this feature as Null/Space Processing.

Default: Cleared

Note

Selecting Convert Nulls To Blanks sometimes causes problems with TSO command line programs due to the design of TSO’s main screen.

Display Nulls

Select to display null characters in unprotected fields as centered dots. Checking the box only affects the display of data in the session window. It does not affect the data sent to the host system.

Clear to leave the null characters hidden in the session window.

Default: Cleared

Respect Numeric Fields

Select to require DynaComm to validate the data entered in numeric fields in the session window. DynaComm will only allow numeric and special characters in numeric fields.

Clear to prevent DynaComm from validating the data you are entering.

Default: Cleared

Graphical OIA

Select to display the information contained in the Operator Information Area (OIA) with a special font containing characters apropos to the OIA.

Clear to use characters from the ANSI character set for the characters in the OIA.

Default: Selected

For more information about the OIA, see Understanding the Operator Information Area. For more information about the ANSI character set, see the ANSI Character Set.

HLLAPI group

Enable HLLAPI

Select to enable HLLAPI (EHLLAPI and WinHLLAPI) functionality.

Clear to disable HLLAPI (EHLLAPI and WinHLLAPI) functionality.

Default: Cleared

Convert Nulls to Spaces

Select to convert in-stream HLLAPI null characters to space characters.

Clear to not convert the HLLAPI data stream coming from the remote system.

Default: Cleared

PS Short Name

Select a short name from the list.

Contains all of the available short names: A – Z. No two active sessions may share the same PS Short Name. Therefore, you may have a maximum of 26 active sessions which use Short Names.

Note

  • DynaComm allows you to associate a session file with only one PS Short Name. If you want two similar sessions with different PS Short Names, simply make a copy of the session file under another name and assign the second session a different PS Short Name.

  • If you attempt to open a session which has the same Short Name as an existing, active session, you will be asked if the session may be opened with a different Short Name. DynaComm will select the new short name automatically.

  • You must associate a session with a PS Short Name to allow DynaComm to react correctly when DynaComm receives a WinHLLAPI command, such as the WinHLLAPI command ConnectPS, or to allow DynaComm to automate operations from EHLLAPI. With this association, HLLAPI (WinHLLAPI or EHLLAPI) can connect a session when a HLLAPI application issues a ConnectPS command, and without you needing to manually start DynaComm or a session before you start the HLLAPI application.

Click to display the HLLAPI Auto Launch dialog box to specify HLLAPI parameters for automatic configuration when a session is started.

See the HLLAPI Auto Launch Configuration section for more information.

9 END :


TN3270 Configuration Options: General Sub-tab

Session > Properties > Emulations > [IBM 3270] > General

The General tab contains options related to configuring terminal options with the TN3270 terminal emulation. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

3270 Terminal Type group

  • Type 3278

  • Type 3279

Select the terminal type.

An IBM 3278 is typically a monochrome terminal of limited capability. The IBM 3279 terminal is a 3278 terminal with color capabilities. Each of these terminals have models 2 - 5; however, only the 3279 allows extended character attributes.

Default: Type 3278

3270 Model group

  • Model 2 (24 x 80)

  • Model 3 (32 x 80)

  • Model 4 (43 x 80)

  • Model 5 (27 x 132)

Select a model for the terminal type that you chose in the 3270 Terminal Type group. The numbers in parentheses indicate the number of columns and rows in the model’s terminal session.

Default: Model 2 (24x80)

Enable Extended Attributes

Select to allow extended attributes in a session that uses the 3279 terminal type, and allows DynaComm to send a reply to a Read Partition Query (RPQ) command from the remote host. When extended attributes are enabled, the reply will include terminal type information in the form of IBM-327x-y-E instead of IBM-327x-y (where x is 8 or 9, and where y is 2, 3, 4, or 5).

Clear to prevent the extended colors and highlighting and prevent some replies to a RPQ command.

Default: Cleared

Send OEM Reply to RPQ

Select to allow DynaComm to send the OEM reply field in response to a Read Partition Query (RPQ). The contents of this field contains information about the terminal session and features that a host application can use.

Clear to allow non-OEM query replies only.

Default: Cleared

Force Alternate Size

Select to allow DynaComm to change the session screen to an alternate size when DynaComm receives an Erase Write Alternate command from the remote system. Only Models 3, 4, and 5 have alternate session screen sizes.

Clear to prevent DynaComm from responding to the Erase Write Alternate command.

Default: Clear

Sound

Select to allow DynaComm to make sounds when the remote system utilizes the bell function of the terminal. As a default, DynaComm will make sounds when the remote system directs.

Clear to prevent DynaComm from making sounds when the remote host sends escape sequences for the terminal to make sounds.

Default: Clear

Notify (Update Alarm)

Select to allow DynaComm to beep whenever the contents of the session window change and the session window is not the in-focus (or highlighted) window.

Clear to prevent DynaComm from beeping when the contents of a non-active session window change.

Default: Clear

Type Ahead

Select to allow you to continue typing when the remote system is not accepting new keyboard data. When the remote system is busy with other tasks, it will lock the keyboard.

Clear when the type-ahead capability might conflict with the connection or remote system.

If you want to clear the buffer that the type ahead function uses, press Ctrl+H to clear the type ahead buffer.

Default: Selected

Note

If you have remapped Ctrl+H or are using a keyboard mapping other than the default keyboard mapping in the emulation, Ctrl+H may not clear the type ahead buffer.

9 END :


TN3270 Configuration Options: Session Sub-tab

Session > Properties > Emulations > [IBM 3270] > Session

The Session tab contains options related to configuring a session with the TN3270 terminal emulation. The table below lists all options on the Session tab with a description of each.

Use this option

in this manner . . .

Long Name

Enter up to eight characters to describe the session and connection.

The characters in this edit box appear in the Operator Information Area (OIA) of the session window in order to provide a distinction from other open sessions. This name is not required.

Default: Cleared

Items for Telnet Connection Only group

TN3270E Support

Select to emulate a TN3270E client in the session with a remote system.

Clear to emulate a TN3270 (not enhanced) client in the session with a remote system. A connection attempt is made to an LU from an LU pool instead of connecting to a specific LU by name.

Full TN3270E support allows for a more accurate terminal type, or device type, negotiation and a more complete support of 3270 functions (such as the exchange of device status, support of the standard 3270 Attention and System Request keys, and the BIND information). If the remote system does not support TN3270E functions, the emulation negotiates down to the older TN3270.

Note

When DynaComm and the remote system are required to negotiate down to the older version of TN3270, DynaComm uses the method selected in Attention Key Sequence, even though the text box is grayed-out when you have enabled TN3270E Support.

TLS

Select to enable Transport Layer Security encryption in the remote system session.

Clear to disable TLS encryption.

When TLS is enabled, the LOCK icon appears in the status bar.

Attention Key Sequence

If you have not enabled TN3270E Support, select:

  • IBM Method if the connection uses an IBM TCP/IP host package, or

  • Telnet Method if the connection uses any non-IBM TCP/IP host package.

Default: Telnet Method

LU Name

If you have enabled TN3270E Support, enter up to eight characters in LU Name.

The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required, unless DynaComm is connecting via the Microsoft SNA Server connector. If you enter an LU Name in this box, DynaComm will display the LU Name, not an LU pool name, the OIA for this session window.

Default: Cleared

Character Set

Select the name of a character set to determine how characters are translated between DynaComm and the remote system.

Below is a list of the available character sets:

Austrian/German
Austrian/German CECP
Belgian
Belgian CECP
Canadian Bilingual
Canadian Bilingual CECP
Danish
Danish CECP
English-UK
English-US
English-US (old)
English-US C370 CECP
English-US C370 CECP V2 (default)
English-US CECP
Finnish
Finnish CECP
French
French CECP
Italian
Italian CECP
Netherlands
Netherlands CECP
Norwegian
Norwegian CECP
Portuguese
Portuguese CECP
Spanish CECP
Spanish Speaking
Spanish Speaking CECP
Swedish
Swedish CECP
Swiss French
Swiss French CECP
Swiss German
Swiss German CECP

Default: English-US C370 CECP V.2

9 END :


TN3270: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the TN3270 terminal emulation, the following map files are available:

  • Keyboard Maps

Emulating the 3278 Keyboard

Main Keyboard

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


TN3270 Map Files: Attributes

Note

Does not apply to 3270 Print emulation.

Session > Properties > Emulations > [IBM 3270] > Attributes

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files.

The [default] TN3270 attribute map file has the following mappings established:

Host Attribute | Color
 | Foreground | Background
Unprotected Normal | Green | Black
Unprotected High | Red | Black
Protected Normal | Blue | Black
Protected High | White | Black
Extended Default | Green | Black
Extended Blue | Blue | Black
Extended Red | Red | Black
Extended Pink | Magenta | Black
Extended Green | Green | Black
Extended Turquoise | Lt. Blue | Black
Extended Yellow | Yellow | Black
Extended White | White | Black
9 END :


TN3270 Map Files: Character Translations

Note The information below does not apply to the 3270 Print emulation.
Session > Properties > Emulations > [IBM 3270] > Translation
Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] TN3270 character translation map file has the following mappings established.
Host to Display |  | Display to Windows
Host | Display | Display | Windows
FS437 FS850 | FSANSI FSCOMP1 FSCOMP2. FSOIA FSIBMAPL | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


TN3270 Map Files: Hotspots

Note

The information below does not apply to the 3270 Print emulation.

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] TN3270 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
PF1 | PF1 | Terminal key PF1
PF2 | PF2 | Terminal key PF2
PF3 | PF3 | Terminal key PF3
PF4 | PF4 | Terminal key PF4
PF5 | PF5 | Terminal key PF5
PF6 | PF6 | Terminal key PF6
PF7 | PF7 | Terminal key PF7
PF8 | PF8 | Terminal key PF8
PF9 | PF9 | Terminal key PF9
PF10 | PF10 | Terminal key PF10
PF11 | PF11 | Terminal key PF11
PF12 | PF12 | Terminal key PF12
PF13 | PF13 | Terminal key PF13
PF14 | PF14 | Terminal key PF14
PF15 | PF15 | Terminal key PF15
PF16 | PF16 | Terminal key PF16
PF17 | PF17 | Terminal key PF17
PF18 | PF18 | Terminal key PF18
PF19 | PF19 | Terminal key PF19
PF20 | PF20 | Terminal key PF20
PF21 | PF21 | Terminal key PF21
PF22 | PF22 | Terminal key PF22
PF23 | PF23 | Terminal key PF23
PF24 | PF24 | Terminal key PF24
PA1 | PA1 | Terminal key PA1
PA2 | PA2 | Terminal key PA2
PA3 | PA3 | Terminal key PA3
9 END :


TN3270: Emulating the IBM 3278 Keyboard

This description of the characteristics of the 3270 emulation includes:

  • 3278 keyboard mapping for the PC

  • meta-key string keywords which allow you to embed keystrokes and keyboard functions in strings that can be used in the DCS Script Language or assigned to toolbar buttons.

The TN3270 Client Option supports Models 1, 2, 3, 4, and 5 of both the IBM 3278 and 3279 terminals. The keyboard mapping and keywords are the same for each type of terminal, but the size of each model is different. The size (number of rows and columns) for each terminal is listed below:

Model #

Columns

Rows

1

80

12

2

80

24

3

80

32

4

80

43

5

132

27

The 3270 emulation works with the Telnet connector or the Microsoft SNA Server connector. For more information, see the Telnetsection.

The following section defines keyboard functions for the terminal emulation.

IBM 3278 Keyboard Map. (Lists the IBM PC equivalent keystrokes for the IBM 3278 keyboard.)

IBM 3278 Meta-Key String Keywords for the keyboard

The following topics describe meta-key strings and list the meta-key string representations for keystrokes and keyboard functions. Include the appropriate keyword (including braces) or character within a meta key string to perform the function of the key in a session from a script or session toolbar button.

Meta-Keys overview

Meta-Key String Keywords

9 END :


TN3270 Map Files: IBM 3278 Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

Note: When the Num Lock function is active, keys on the Number Pad (Num Pad) behave as standard keys on a PC keyboard. They do not perform a function or act like a terminal key.

The [default] TN3270 keyboard map file has the following mappings established:

IBM 3278 Keyboard

IBM PC Keyboard

Description

Attention

Escape

SNA Attention key

Backspace

Backspace

Moves cursor left one column and deletes character

Cent ( ¢ )

Ctrl c

Clear

Pause

Clears the screen

Cursor Down

Down Arrow (101 keys)

Shift Down Arrow (101 keys)

Down Arrow (Num Pad - See note )

Shift Down Arrow (Num Pad - See note )

Moves cursor down one row

Cursor Down, Fast

Alt Down Arrow (101 keys)

Alt Down Arrow (Num Pad - See note )

Shift Alt Down Arrow (Num Pad - See note )

Moves cursor down two rows

Cursor Home

Home (101 keys)

Home (Num Pad - See note )

Shift Home (Num Pad - See note )

Moves cursor to the first unprotected field on the screen

Cursor Left

Left Arrow (101 keys)

Shift Left Arrow (101 keys)

Left Arrow (Num Pad - See note )

Shift Left Arrow (Num Pad - See note )

Moves cursor left one column

Cursor Left, Fast

Alt Left Arrow (101 keys)

Alt Left Arrow (Num Pad - See note )

Shift Alt Left Arrow (Num Pad - See note )

Moves cursor left two columns

Cursor Right

Right Arrow (101 keys)

Shift Right Arrow (101 keys)

Right Arrow (Num Pad - See note )

Shift Right Arrow (Num Pad - See note )

Cursor Right, Fast

Alt Right Arrow (101 keys)

Alt Right Arrow (Num Pad - See note )

Shift Alt Right Arrow (Num Pad - See note )

Moves cursor right two columns

Cursor Select

Alt F3

Handles the selector-light-pen function

Cursor to End of Field (MEOF)

End

Moves the cursor to the end of the current field

Shift End

Cursor Up

Up Arrow (101 keys)

Shift Up Arrow (101 keys)

Up Arrow (Num Pad - See note )

Shift Up Arrow (Num Pad - See note )

Moves cursor up one row

Cursor Up, Fast

Alt Up Arrow (101 keys)

Alt Up Arrow (Num Pad - See note )

Shift Alt Up Arrow (Num Pad - See note )

Moves cursor up two rows

Delete

Delete (101 keys)

Shift Delete (101 keys)

. (Period - Num Pad - See note )

Shift . (Period - Num Pad - See note )

Deletes character to the right of the cursor

Duplicate

Shift End (101 keys)

Inserts a unique character code and tab to the next field

Enter

Enter (Main Keyboard)

Enter (Num Pad - See note )

Shift Enter (Num Pad - See note )

Erase Input (ErInp)

Alt End (101 keys)

Alt End (Num Pad - See note )

Shift Alt End (Num Pad - See note )

Erases all input(protected) fields on the screen

Erase to End of Field (ErEOF)

Ctrl End

Erases field from current position to end of field

Field Mark

Shift Home (101 keys)

Inserts a field mark and moves to the next field

Insert

Insert (101 keys)

Shift Insert (101 keys)

Insert (Num Pad - See note )

Shift Insert (Num Pad - See note )

Toggles insert mode

Logical Not ( ¬ )

Shift 6

Inserts the Not operator

Logical Or ( ¦ )

Ctrl o

Inserts the Or operator

Newline

Shift Enter (Main Keyboard)

Moves cursor to the first unprotected position on the next line

Program Access 1

Ctrl Insert (101 keys)

Application dependent

Program Access 2

Ctrl Home (101 keys)

Application dependent

Program Access 3

Ctrl Page Up (101 keys)

Application dependent

Reset

Shift Escape

Resets the keyboard

System Request

Ctrl Alt s

Resets the keyboard and clears all functions

Tab

Tab

+ (Num Pad - See note )

Shift + (Num Pad - See note )

Moves the cursor to the next unprotected filed

Tab Back

Shift Tab

Moves the cursor to the previous unprotected field

Word Delete

Ctrl Delete (101 Key)

Deletes characters to the end of the word

Word Next

Ctrl Right Arrow (101 Key)

Ctrl 6 (Num Pad - See note )

Shift Ctrl 6 (Num Pad - See note )

Moves cursor to next word

Word Previous

Ctrl Left Arrow (101 Key)

Ctrl 4 (Num Pad - See note )

Shift Ctrl 4 (Num Pad - See note )

Moves cursor to the previous word

PF1

F1

Application dependent

PF2

F2

Application dependent

PF3

F3

Application dependent

PF4

F4

Application dependent

PF5

F5

Application dependent

PF6

F6

Application dependent

PF7

F7

Application dependent

PF7

Page Up (101 keys)

Application dependent

PF8

F8

Application dependent

PF8

Page Down (101 keys)

Application dependent

PF9

F9

Application dependent

PF10

F10

Application dependent

PF11

F11

Application dependent

PF12

F12

Application dependent

PF13

Shift F1

Application dependent

PF14

Shift F2

Application dependent

PF15

Shift F3

Application dependent

PF16

Shift F4

Application dependent

PF17

Shift F5

Application dependent

PF18

Shift F6

Application dependent

PF19

Shift F7

Application dependent

PF20

Shift F8

Application dependent

PF21

Shift F9

Application dependent

PF22

Shift F10

Application dependent

PF23

Shift F11

Application dependent

PF24

Shift F12

Application dependent

9 END :


TN3270 Map Files: IBM 3278 Meta-Key String Keywords

Key Function | Keyword
' (Single quote) | '
- | -
! | !
" (Double quote) | '"' (Double quote enclosed in single quotes)
# | #
$ | $
% | %
& | &
( | (
) | )
* | *
, (Comma) | ,
. (Period) | .
/ | /
: | :
; | ;
? | ?
@ | @
\ | \
_ | _
` (Grave) | `
{ | {{
| | ]
| | |
} | }}
~ | ~
+ | +
< | <
= | =
> | >
Attention | {Attn}
Backspace | {Backspace}
Cent ( ¢ ) | [
Change Format | {ChngFrmt}
Clear | {Clear}
Cursor Blink | {CsrBlink}
Cursor Down | {Down}
Cursor Home | {CsrHome}
Cursor Left | {Left}
Cursor Left, Fast | {DblLeft}
Cursor Position | {CsrPos}
Cursor Right Arrow | {Right}
Cursor Right, Fast | {DblRight}
Cursor Select | {CsrSel}
Cursor Up | {Up}
Doc Mode | {Doc}
Duplicate | {Dup}
Enter | {Enter}
Erase EOF | {EOF}
Erase Input | {Erase}
Field Mark | {FieldMark}
Logical Not ( ¬ ) | ^^
Logical Or ( ¦ ) | ¦
Newline | {Newline}
Program Access 1 | {PA1}
Program Access 2 | {PA2}
Program Access 3 | {PA3}
Reset | {Reset}
Ring Bell | {Bell}
System Request | {SysReq}
Tab | {Tab}
Tab Back | {Backtab}
Word Delete | {WordDel}
Word Next | {NextWord}
Word Previous | {PRevWord}
Word Wrap | {WordWrap}
PF1 | {PF1}
PF2 | {PF2}
PF3 | {PF3}
PF4 | {PF4}
PF5 | {PF5}
PF6 | {PF6}
PF7 | {PF7}
PF8 | {PF8}
PF9 | {PF9}
PF10 | {PF10}
PF11 | {PF11}
PF12 | {PF12}
PF13 | {PF13}
PF14 | {PF14}
PF15 | {PF15}
PF16 | {PF16}
PF17 | {PF17}
PF18 | {PF18}
PF19 | {PF19}
PF20 | {PF20}
PF21 | {PF21}
PF22 | {PF22}
PF23 | {PF23}
PF24 | {PF24}
9 END :


TN3270: Script Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Note

  • See Scripting Parameter Values for use with the IND$File file transfer protocol.

  • See Scripting Parameter Values for use with the SNA connector.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

GetEmulConfig ()

KeyString

FS3270_TermType

IBM3278, IBM3279

String

FS3270_TermModel

2, 3, 4, 5

Integer

FS3270_ExtAttrib

true, false

Boolean

FS3270_OEMReply

true, false

Boolean

FS3270_AltSize

true, false

Boolean

FS3270_Sound

true, false

Boolean

FS3270_Notify

true, false

Boolean

FS3270_TypeAhead

true, false

Boolean

FS3270_LongName

String, A sequence of up to eight characters, which describe the session and its connection.

String

FS3270_LUName

A sequence of up to eight characters. The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required, unless DynaComm is connecting via the Microsoft SNA Server connector.

String

FS3270_CharacterSet

This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

String

FS3270_Uppercase

true, false

Boolean

FS3270_AutoSkip

true, false

Boolean

FS3270_ConvertNulls

true, false

Boolean

FS3270_DisplayNulls

true, false

Boolean

FS3270_RespectNumeric

true, false

Boolean

FS3270_GraphicalOIA

true, false

Boolean

EmulConfig

String

FS3270_TermType

IBM3278, IBM3279

String

FS3270_TermModel

2, 3, 4, 5

Integer

FS3270_ExtAttrib

true, false

Boolean

FS3270_OEMReply

true, false

Boolean

FS3270_AltSize

true, false

Boolean

FS3270_Sound

true, false

Boolean

FS3270_Notify

true, false

Boolean

FS3270_TypeAhead

true, false

Boolean

FS3270_LongName

String, A sequence of up to eight characters, which describe the session and its connection.

String

FS3270_LUName

A sequence of up to eight characters. The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required, unless DynaComm is connecting via the Microsoft SNA Server connector.

String

FS3270_CharacterSet

This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

String

FS3270_Uppercase

true, false

Boolean

FS3270_AutoSkip

true, false

Boolean

FS3270_ConvertNulls

true, false

Boolean

FS3270_DisplayNulls

true, false

Boolean

FS3270_RespectNumeric

true, false

Boolean

FS3270_GraphicalOIA

true, false

Boolean

Set Emulation

Emulation

IBM 3270, IBM3287

String

Settings ()

Keyword

EMULATE

IBM3270, IBM 3278

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


IBM: Scripting

You may wish to automate routine procedures when using the TN3270 or TN5250 Client Options. DynaComm provides a powerful scripting language with more than 350 commands and functions applicable to almost every feature of DynaComm.

Two sample scripts are provided below:

Script One Script Two

These two scripts demonstrate the ability of DynaComm to automate a routine task, such as logging onto a host, starting and using a host application (the electronic mail application PROFS is used for these examples), and then logging off.

Specific information about configuration keywords for use in scripts is also included in 3270 Configurations and 5250 Configurations .

For more detailed information about the DynaComm script language, please consult the DynaComm Script Reference Help.

9 END :


IBM: Script Example One

This script is a routine that connects and logs on to an IBM mainframe. A login ID and password are also included in the script.

Before using this script, you must create a session file using a 3270 emulation configuration appropriate to your system. Replace the phrase YourSessionFile in this script with the name of the session file you create.

set $loginid "YourLoginID" ;Defines the Login ID variable

set $password "YourPassword" ;Defines the Password variable

load "YourSessionFile" ;Loads your session file

connect ;Connects to mainframe

if not connect cancel ;Cancels script if no
;connection is made

wait string "running" ;Delays until it sees
;the string running

send $loginid | "{TAB}" | $password | "{ENTER}"
;Enters Id and Password

wait string "Ready" ;Pauses until it sees the
;string Ready

return ;End of script

This routine may be called from within a larger script (using the PERFORM command), or may be saved as its own script and called from any other script (using the SPAWN command).

9 END :


IBM: Script Example Two

This script builds on Script One, taking advantage of the more advanced capabilities of DynaComm’s script language. In addition to the login routine this script:

creates variables for using the PROFS e-mail application

starts PROFS

selects the PROFS e-mail option and addresses the message

places a mail message into a table, then reads and sends each line

tells PROFS to send the message

exits the application, logs off, and disconnects from the host

Before using this script, be sure the system to which DynaComm will connect offers the PROFS application. Also, you must create a message and save it as the text file MESSAGE.TXT in the DynaComm MEMOS directory. If you use a different name for the message file, be sure to change the name of the file in the script.

set $loginid "your login ID" ;Defines the Login ID variable

set $password "your password" ;Defines the Password variable

set $addressee "addressee" ;Defines the Addressee variable

set $sender "your name" ;Defines the Sender variable

set $subject "your subject" ;Defines the Subject variable

set $messageFile directory(memo) | "MESSAGE.TXT"
;Defines the MessageFile variable

load "YOURSESSIONFILE" ;Loads your session file

connect ;Connects to mainframe

if not connect cancel ;Cancels script if no
;connection is made

wait string "running" ;Delays until it sees the
;string running

send $loginid | "{TAB}" | $password | "{ENTER}"
;Enters Id and Password

wait string "Ready" ;Waits for the Ready prompt
;on next screen

send "profs{enter}{enter}" ;Logs on to PROFS

wait string "Mail Wait" ;Waits for last words on
;PROFS screen (Mail Wait)

send "{PF4}" ;Chooses the e-mail option

wait string "Return" ;Waits for last word on
;next screen (Return)

send "{PF1}" ;Chooses the send e-mail option

wait string "Cancel" ;Pauses for last word on
;next screen (Cancel)

send $addressee | "{TAB}" ;Enters the name of the Addressee
;and tabs to the next prompt

send $sender | "{TAB}" ;Enters the name, and tabs to
;the Subject prompt

send $subject | "{NEWLINE}" ;Enters the subject of e-mail
;message goes to next line

table define 0 text $messageFile ;Makes text table and fills
;table with MESSAGE.TXT

record read 0 ;Read first line of table

while not eof () ;WHILE loop begins and checks for
;end of a table

begin ;BEGIN command tells DynaComm the
;beginning of a command block

send @r0 ;Sends the text that was read
;in the RECORD READ command

send "{NEWLINE}" ;Tells DynaComm to go to the next
;line on the screen

record read 0 ;Reads the next line of text from
;the table

end ;Ends the command block and
;returns to the WHILE command

send "{PF7}" ;Sends the message

wait string "More..." ;Pauses for last word on next
;screen (More...)

send "{CLEAR}" ;Returns you to the Process
;Notes and Messages menu

wait string "Return" ;Waits for last word on
;next screen (Return)

send "{PF12}" ;Exits the e-mail system

wait string "Mail Wait" ;Pauses for the string Mail Wait

send "{PF12}" ;Exits the PROFS application

wait string "RUNNING" ;Pauses for the string RUNNING

send "LOGOFF {ENTER}" ;Log off from the host

wait string "RUNNING" ;Pauses for the string RUNNING

send "{enter}" ;Returns to the host login screen

wait string "RUNNING" ;Pauses for the string RUNNING

disconnect ;Disconnects from the host

return ;End of script

9 END :


WinHLLAPI: Developing Applications

More Information

See Also

To develop new applications that communicate with the TN3270 and TN5250 Client Options, the WinHLLAPI interface is recommended. This interface is the only standardized interface among the various platforms.

The FutureSoft implementation of the WinHLLAPI module (WHLLAPI32.DLL) supports Microsoft Windows HLLAPI version 1.1 as defined in the Windows Open Services Architecture. The development files (WHLLAPI.H and WHLLAP32.LIB) are installed in the C:\Program Files\Futuresoft\dcseries\emul folder. The DLLs must be in the same directory with the client applications. The DLLs can be copied to this directory.

WinHLLAPI Development

WHLLAP32.DLL WinHLLAPI DLL (32-bit)

WHLLAP32.LIB WinHLLAPI 32-bit link library

WHLLAPI.H WinHLLAPI 'C' header file

EHLLAPI Development

EHLLAP32.DLL EHLLAPI DLL (32-bit)

EHLLAP32.LIB EHLLAPI 32-bit link library

Configuration

To configure a DCS session file for use with the HLLAPI interface, you must associate a PS Short Name in the session properties (Session >Properties > [IBM emulation] >Advanced). The association allows HLLAPI to start a new session when a program issues a ConnectPS command and allows a HLLAPI application to load DCS directly without starting DCS before starting the HLLAPI application.

See Also

  • Steps to assign a PS Short Name to a saved HLLAPI-enabled session file

  • Steps to assign a PS Short Name to a new HLLAPI-enabled session file

  • Steps to view all reserved PS Short Names for HLLAPI-enabled session files

9 END :


WinHLLAPI: Overview

More Information

See Also

WinHLLAPI defines a standard and consistent IBM EHLLAPI-style Application Programming Interface (API) for the 32-bit versions of the Microsoft Windows graphical environment. It encompasses both familiar IBM EHLLAPI-style routines and a set of Windows-specific extensions designed to allow the programmer to take advantage of the message-driven nature of the Windows graphical environment.

The WinHLLAPI API has been designed to provide a standard to which application developers can program and network software vendors can conform. These API details constitute documentation for application software developers and a specification for network software vendors.

Network software that conforms to WinHLLAPI specification are considered Windows HLLAPI Compliant. To be Windows HLLAPI Compliant, a vendor must implement 100% of this Windows HLLAPI specification. Suppliers of such interfaces shall be referred to as Windows HLLAPI Suppliers. The functions listed under WinHLLAPI Extensions are not required for compliance with the specification.

Applications that are capable of exploiting any WinHLLAPI implementation will be considered as having a WinHLLAPI Interface and will be referred to as WinHLLAPI Applications.

9 END :


WinHLLAPI: IBM EHLLAPI

More Information

See Also

WinHLLAPI has been built on the de facto IBM EHLLAPI programming standard. WinHLLAPI is intended to:

  • provide maximum programming familiarity

  • allow the simplified porting of existing EHLLAPI-based source code

WinHLLAPI is consistent with release 1.0 of IBM Extended Services for OS/2 EHLLAPI Programming Reference.

9 END :


WinHLLAPI: Microsoft Windows Graphical Environment and Windows Specific Extensions

More Information

See Also

The FutureSoft HLLAPI API has been designed for ALL implementations and versions of the Windows environment from and including Windows 3.0. It thus provides for WinHLLAPI implementations and applications in both 16- and 32-bit operating environments.

WinHLLAPI makes provisions for multithreaded Windows-based processes, where a process contains one or more threads of execution. In the Win16 non-multithreaded world, a task corresponds to a process with a single thread. All references to threads in this help refer to actual threads in multithreaded Windows environments. In non-multithreaded environments (such as version 3.0), use of the term thread refers to a Windows process.

The extensions to the Windows environment included in WinHLLAPI are provided for maximum programming compatibility among Windows 95 and Windows NT and for optimum application performance in both environments.

9 END :


WinHLLAPI: Programming Considerations

More Information

See Also

Installation Checking

To detect the presence of any WinHLLAPI implementations on a system, an application that has been linked with the WinHLLAPI Import Library can attempt to call the WinHLLAPIStartup ( ) routine. For each instance, it can issue a LoadLibrary ( ) call and use the WinHLLAPIStartup ( ) routine to discover implementation-specific data.

The FutureSoft version of the WinHLLAPI API specification does not attempt to address explicitly the issue of multiple stacks and multiple concurrent WinHLLAPI implementations. Nothing in the specification should be interpreted as restricting multiple WinHLLAPI DLLs from being present and from being used concurrently by one or more WinHLLAPI application(s).

Byte Ordering

The Intel byte ordering is like that of the DEC VAX and so differs from the Internet and 68000-type processor byte ordering. Take care in your programming to ensure the correct orientation.

Deviation from IBM EHLLAPI

There are a few limited instances where WinHLLAPI diverts from strict adherence to the IBM EHLLAPI conventions. This deviation is due to the nature of the Windows graphical environment and the way it differs from other HLLAPI platforms.

Error constants in WinHLLAPI are consistent with IBM EHLLAPI to maintain backward compatibility with existing software.

Window Handle Passed for Each Asynchronous Call

A window handle is the first parameter passed to the WinHLLAPIAsync entry point. The parameter allows the WinHLLAPIAsync implementation to distinguish between HLLAPI applications.

Pointers in WinHLLAPI

All applications with WinHLLAPI should use FAR pointers.

Blocking Routines in WinHLLAPI

Although blocking functions are supported with WinHLLAPI, they should not be used. Instead, use the WinHLLAPIAsync function in conjunction with a WinHLLAPIAsync Windows message.

9 END :


WinHLLAPI: Emulation Attributes Overview

More Information

See Also

Access these tables for a list of character and field attributes:

  • Character Attributes.

  • Character Color Attributes.

  • Field Attributes.

Note

The attribute bit positions are in IBM format. The leftmost bit in the byte is 0.

9 END :


WinHLLAPI: Character Attributes

More Information | See Also
3270 Character Attributes
Bit Position | Meaning
0 - 1 | Character highlighting
 | 00 = Normal 10 = Reverse video
 | 01 = Blink 11 = Underline
2 - 4 | Character color (color remap may override this definition)
 | 000 = Default 100 = Green
 | 001 = Blue 101 = Turquoise
 | 010 = Red 110 = Yellow
 | 011 = Pink 111 = White
5 - 7 | Reserved (not used)
5250 Character Attributes
Bit Position | Meaning
0 | Reverse image
 | 0 = Normal
 | 1 = Reverse
1 | Underscore
 | 0 = None
 | 1 = Underscore
2 | Blink
 | 0 = None
 | 1 = Blink
3 | Column separators
 | 0 = None
 | 1 = Column separators
4 - 7 | Reserved (not used)
9 END :


WinHLLAPI: Character Color Attributes

More Information | See Also
Bit Position | Meaning
0 - 3 | Background character colors
 | 0000 = Black 0100 = Red
 | 0001 = Blue 0101 = Magenta
 | 0010 = Green 0110 = Brown
 | 0011 = Cyan 0111 = White
4 - 7 | Foreground character colors
 | 0000 = Black 1000 = Gray
 | 0001 = Blue 1001 = Light blue
 | 0010 = Green 1010 = Light green
 | 0011 = Cyan 1011 = Light cyan
 | 0100 = Red 1100 = Light red
 | 0101 = Magenta 1101 = Light magenta
 | 0110 = Brown 1110 = Yellow
 | 0111 = White 1111 = High intensity white
9 END :


WinHLLAPI: Field Attributes

More Information | See Also
3270 Field Attributes
Bit Position | Meaning
0 - 1 | Both set to 1 (field attribute byte)
2 | Unprotected/protected
 | 0 = Unprotected data field
 | 1 = Protected data field
3 | Alpha/numeric
 | 0 = Alphanumeric data
 | 1 = Numeric data only
4 - 5 | I/SPD
 | 00 = Normal intensity, pen not detectable
 | 01 = Normal intensity, pen detectable
 | 10 = High intensity, pen detectable
 | 11 = Non-display, pen not detectable
6 | Reserved
7 | MDT (Modified Data Tag)
 | 0 = Field has not been modified
 | 1 = Field has been modified
5250 Field Attributes
Bit Position | Meaning
0 | Field attribute flag
 | 0=Not a field attribute
 | 1=Field attribute byte
1 | Visibility
 | 0 = Non-display
 | 1 = Display
2 | Unprotected/protected
 | 0 = Unprotected data field
 | 1 = Protected data field
3 | Intensity
 | 0 = Normal
 | 1 = High
4 - 6 | Field Type
 | 000 =Alphanumeric: all characters allowed
 | 001 = Alphabetic only
 | 010 = Numeric shift: automatic shift for numerics
 | 011 = Numeric only
 | 100 = Reserved
 | 101 = Digits:
 | 110 = Magnetic stripe reader data only
 | 111 = Signed Numeric
7 | MDT
 | 0 = Field has not been modified
 | 1 = Field has been modified
9 END :


WinHLLAPI: Functions Overview

More Information

See Also

WinHLLAPI functions are requested by:

  • using the appropriate parameter within the WinHLLAPI ( ) call

  • specifying the function constant (or number equivalent), and

  • specifying the call parameters for the function.

The table below lists all FutureSoft supported WinHLLAPI functions. The links provide a detailed description of each function and the corresponding parameters and return codes.

Function Number

Function

1

Connect Presentation Space

2

Disconnect Presentation Space

3

Send Key

4

Wait

5

Copy Presentation Space

6

Search Presentation Space

7

Query Cursor Location

8

Copy Presentation Space to String

9

Set Session Parameters

10

Query Sessions

11

Reserve

12

Release

13

Copy OIA

14

Query Field Attribute

15

Copy String to Presentation Space

18

Pause

20

Query System

21

Reset System

22

Query Session Status

23

Start Host Notification

24

Query Host Update

25

Stop Host Notification

30

Search Field

31

Find Field Position

32

Find Field Length

33

Copy String to Field

34

Copy Field to String

40

Set Cursor Position

90

Send File

91

Receive File

99

Convert Position / RowCol

9 END :


WinHLLAPI: WinHLLAPI () Call

More Information | See Also
The WinHLLAPI ( ) call requires you to specify four parameters in every call and has the following format:
extern VOID FAR PASCAL WinHLLAPI ( )
LPWORD lpwFunction, /* Function name */ LPBYTE lpbyString, /* String pointer */ LPWORD lpwLength, /* String (data) length */ LPWORD lpwReturnCode ); /* Return code */
Call Parameter Definitions
The parameters used in the WinHLLAPI function calls are:
Parameter | Description
lpwFunction | A pointer to the defined function name of the WinHLLAPI function call. It has a corresponding constant that can be found in WHLLAPI.H. To avoid additional complexity, the function prototype definitions for each function will list the constant instead of correctly listing a pointer to a word containing the function number.
lpbyString | A pointer to the Data String used by most WinHLLAPI functions. Not all functions require a Data String. Some functions only use the Data String on the call (to pass data to WinHLLAPI), some only on the return (passing data back to the WinHLLAPI application), and some on both the call and return.
lpwLength | This is a pointer to the Data Length, or it is the length of the Data String, depending on the particular WinHLLAPI function call. Not all functions require a Data Length. Some functions only use the Data Length on the call (to pass a value to WinHLLAPI () ) and some only on the return (passing a value back to the WinHLLAPI application).
lpwReturnCode | A pointer to the return code. It indicates the status of the function request and is passed on the return from the function. Some functions, however, use this parameter on the call to indicate a position in the host session presentation space. In this situation, the same parameter is referred to as PS Position on the call and Return Code on the return.
9 END :


WinHLLAPI: Prerequisite Calls

More Information | See Also
Most WinHLLAPI functions require a prerequisite call-another function that must be called and successfully completed before the desired call can be issued. The following table lists the WinHLLAPI functions and their prerequisite calls. None indicates that the function has no prerequisite call.
WinHLLAPI Function (Function Number) | Prerequisite Call (Function Number)
Connect Presentation Space (1) | None
Disconnect Presentation Space (2) | Connect Presentation Space (1)
Send Key (3) | Connect Presentation Space (1)
Wait (4) | Connect Presentation Space (1)
Copy Presentation Space (5) | Connect Presentation Space (1)
Search Presentation Space (6) | Connect Presentation Space (1)
Query Cursor Location (7) | Connect Presentation Space (1)
Copy Presentation Space to String (8) | Connect Presentation Space (1)
Set Session Parameters (9) | None
Query Sessions (10) | None
Reserve (11) | Connect Presentation Space (1)
Release (12) | Connect Presentation Space (1)
Copy OIA (13) | Connect Presentation Space (1)
Query Field Attribute (14) | Connect Presentation Space (1)
Copy String to Presentation Space (15) | Connect Presentation Space (1)
Pause (18) | None
Query System (20) | None
Reset System (21) | None
Query Session Status (22) | None
Start Host Notification (23) | None
Query Host Update (24) | Start Host Notification (23)
Stop Host Notification (25) | Start Host Notification (23)
Search Field (30) | Connect Presentation Space (1)
Find Field Position (31) | Connect Presentation Space (1)
Find Field Length (32) | Connect Presentation Space (1)
Copy String to Field (33) | Connect Presentation Space (1)
Copy Field to String (34) | Connect Presentation Space (1)
Set Cursor (40) | Connect Presentation Space (1)
Send File (90) | None
Receive File (91) | None
Convert Position / RowCol (99) | None
Note Some functions use the Return Code to pass a value to the call. This value is the host session presentation space position. Although the parameter is listed as lpwReturnCode in the call syntax, the function listings in this help refer to this parameter as PS Position on the call and Return Code on the return.
9 END :


Function: Connect Presentation Space (1)

More Information | See Also
This function establishes a connection between a presentation space, or session, on the host and a Windows HLLAPI application.
Prerequisite Functions
None.
Function Call
WinHLLAPI (CONNECTPS, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | One character: The short name of the host session to connect with, either an upper- or lower-case letter.
Data Length | NA (defaults to 1).
PS Position | NA
Return Codes |
Code | Description
WHLLOK | Connect request successful. The session is unlocked and ready for input.
WHLLNOTCONNECTED | Connect request failed. The short name session ID is invalid.
WHLLPSBUSY | Connect request successful, but the session is busy.
WHLLINHIBITED | Connect request successful, but the session is locked (input inhibited).
WHLLSYSERROR | Connect request failed due to a system error.
WHLLUNAVAILABLE | Connect request failed. The session is unavailable (already in use).
Remarks |
When using the WinHLLAPI ( ) call, you can only make connected sessions available to other Windows HLLAPI applications by issuing a Disconnect Presentation Space (2) call. Issuing a Reset System (21) call causes the Windows HLLAPI application to disconnect from all host sessions. Alternatively, the Windows HLLAPI application can share the presentation space by setting the appropriate read and write parameters in the Set Session Parameters (9) call.
9 END :


Function: Convert Position / RowCol (99)

More Information | See Also
This function converts a host session presentation space position into row and column values for the PC display or converts PC display row and column values into a host session presentation space position.
Prerequisite Functions
None. |
Function Call
WinHLLAPI (CONVERT, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | A 2-byte string. The first byte is the short name of the host session presentation space to convert. The second byte is P, which to convert a host position to the PC’s row and column; or R, which means to convert the PC’s row and column to a host position.
Data Length | NA, when byte two of Data String is P. Row number, when byte two of Data String is R.
PS Position | Host session presentation space position value, when byte two of Data String is P. Column number, when byte two of Data String is R.
Return Parameters
Parameter | Description
Data Length | Row number, when byte two of Data String is P. A zero indicates an invalid row number in the call parameter Data Length, when byte two of Data String on the call is R.
Return Codes
Code | Description
WHLLOK | Invalid column number on the call.
>0 | Column number, when byte two of Data String on the call is P. Host session presentation space position, when byte two of Data String on the call is R.
WHLLINVALIDPSID | Function failed due to an invalid short name session ID or a system error.
WHLLINVALIDRC | Byte two in Data String on the call is invalid (neither P nor R).
Remarks
If you need to determine the number of rows and columns that a host session presentation space supports, use Query Session Status (22).
9 END :


Function: Copy Field to String (34)

More Information

See Also

This function copies the contents of a field in the host session presentation space to a string. You can use Copy Field to String for either protected or unprotected fields.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYFIELDTOSTRING, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

Buffer to hold the copied field. If session option EAB (extended attributes) is set, the buffer must be defined at least twice the length of the field to be copied.

Data Length

Number of characters to copy.

PS Position

A position in the host session presentation space of the field to be copied. This value may be any byte within the field, since the copy always starts at the beginning of the field.

Return Parameters

Parameter

Description

Data String

Data copied from the specified field. The first byte of Data String is the first byte in the specified field.

Return Codes

Code

Description

WHLLOK

Copied successfully.

WHLLNOTCONNECTED

The Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

One or more call parameters are invalid.

WHLLTRUNCATED

The field was copied, but the data to be copied and Data String were not the same size. If Data String is smaller than the specified field, the remaining copy data is truncated.

WHLLPOSITIONERROR

PS Position is invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

The host session presentation space is unformatted.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

The following session options affect this function: EAB/NOEAB, ATTRB/NOATTRB, DISPLAY/NODISPLAY, and XLATE/NOXLATE. See Set Session Parameters (9) for details. These session options have the following effect:

Session Option

Effect on this Function

NOATTRB

Unknown values are translated into spaces.

ATTRB

Unknown values are copied untranslated.

NOEAB

Extended attribute bytes are not copied to the string.

EAB, XLATE

Extended attribute bytes are copied and translated into CGA colors.

EAB, NOXLATE

Extended attribute bytes are returned.

DISPLAY

Data in a non-display field are copied to the target buffer.

NODISPAY

Data in a non-display field are copied as null characters to the target buffer.

See Character Attributes, Character Color Attributes, and Field Attributes for descriptions.

Information about the field to copy can be obtained with Find Field Position (31) and Find Field Length (32). The field is copied into Data String beginning with the first byte of the field and ends when one of the following occurs:

  • The end of the field is reached.

  • The end of Data String is reached.

9 END :


Function: Copy OIA (13)

More Information

See Also

This function returns the host session Operator Information Area (OIA).

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYOIA, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String buffer to hold the OIA. Must be defined for at least 103 bytes.

Data Length

Length of Data String in characters.

PS Position

NA

Return Parameters

Parameter

Description

Data String

A 103-byte string containing a copy of the OIA.

Return Codes

Code

Description

WHLLOK

OIA copied successfully.

WHLLNOTCONNECTED

The Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

OIA not copied. The Data Length contains an invalid value.

WHLLPSBUSY

OIA copied successfully, but the host session is busy.

WHLLINHIBITED

OIA copied successfully, but the host session is locked (input inhibited).

WHLLSYSERROR

Failed due to a system error.

Remarks

The 103-byte string returned in Data String contains three areas of information, as follows:

Byte 1

OIA format: 1, a 3270 session; or 9, a 5250 session.

Bytes 2 - 81

OIA image in binary format.

Bytes 82 - 103

OIA group indicator meanings. Unused positions are set to hexadecimal 0x00.

Note

The 5250 OIA image is always returned in ASCII. The 3270 OIA image will be returned in one of the following states depending on Set Session Parameter (9)

  • OLDOIA: OIA image returned in 3270 PC format.

  • NEWOIA: OIA image returned in ASCII format.

OIA Group Indicator Meanings for 3270 Sessions

Group 1: Online and screen ownership

1 byte (Data String position 82) applies to Data String position 2

Bits 0 - 1 Reserved

Bit 2 SSCP-LU session owns screen

Bit 3 LU-LU session owns screen

Bit 4 Online and not owned

Bit 5 Subsystem ready

Bits 6 - 7 Reserved

Group 2: Character selection

1 byte (Data String position 83) applies to Data String position 37

Bit 0 Reserved

Bit 1 APL

Bits 2 - 7 Reserved

Group 3: Shift state

1 byte (Data String position 84) applies to Data String position 43

Bit 0 Upper shift

Bit 1 Numeric

Bits 2 - 7 Reserved

Group 4: PSS group 1

1 byte (Data String position 85) not used (reserved)

Group 5: Highlight group 1

1 byte (Data String position 86) applies to Data String position 48

Bit 0 User-selectable

Bit 1 Field inherit

Bits 2 - 7 Reserved

Group 6: Color group 1

1 byte (Data String position 87) applies to Data String position 50

Bit 0 User-selectable

Bit 1 Field inherit

Bits 2 - 7 Reserved

Group 7: Insert

1 byte (Data String position 88) applies to Data String position 53

Bit 0 Insert mode

Bit 1 - 7 Reserved

Group 8: Input inhibited

5 bytes (Data String positions 89 - 93) apply to Data String position 10 (except where noted)

Byte 1 (Data String position 89)

Bit 0 Non-resetable machine check

Bit 1 Reserved

Bit 2 Machine check

Bit 3 Communications check

Bit 4 Program check

Bit 5 Reserved

Bit 6 Device not working

Bit 7 Reserved

Byte 2 (Data String position 90)

Bit 0 OIA time

Bit 1 Terminal wait

Bit 2 Reserved

Bit 3 Minus function

Bit 4 Too much entered

Bits 5 - 7 Reserved

Byte 3 (Data String position 91)

Bit 0 Reserved

Bit 1 User-unauthorized

Bit 2 User-unauthorized, minus function

Bit 3 Invalid dead key combination

Bit 4 Wrong place

Bits 5 - 7 Reserved

Byte 4 (Data String position 92)

Bits 0 - 1 Reserved

Bit 2 System wait

Bits 3 - 7 Reserved

Byte 5 (Data String position 93)

Bits 0 - 7 Reserved

Group 9: PSS group 2

1 byte (Data String position 94) not used (reserved)

Group 10: Highlight group 2

1 byte (Data String position 95)

Bit 0 Selected

Bit 1 - 7 Reserved

Group 11: Color group 2

1 byte (Data String position 96)

Bit 0 Selected

Bit 1 - 7 Reserved

Group 12: Communication error reminder applies to Data String position 23

1 byte (Data String position 97)

Bit 0 Communications error

Bit 1 - 7 Reserved

Group 13: Printer status applies to Data String position 62

1 byte (Data String position 98)

Bit 0 Reserved

Bit 1 Printer malfunction

Bit 2 Printer printing

Bit 3 Printer assignment

Bit 4 - 7 Reserved

Group 14: Graphics

1 byte (Data String position 99) not used (reserved)

Group 15: Not used

1 byte (Data String position 100) not used (reserved)

Group 16: Autokey play/record status

1 byte (Data String position 101) not used (reserved)

Group 17: Autokey abort/pause status

1 byte (Data String position 102) not used (reserved)

Group 18: Enlarge state

1 byte (Data String position 103) not used (reserved)

OIA Group Indicator Meanings for 5250 Sessions

Group 1: Online and screen ownership

1 byte (Data String position 82) applies to Data String position 19

Bits 0 - 2 Reserved

Bit 3 System available

Bit 4 Reserved

Bit 5 Subsystem ready

Bits 6 - 7 Reserved

Group 2: Character selection

1 byte (Data String position 83) applies to Data String position 44

Bits 0 - 4 Reserved

Bit 5 Diacritic mode

Bit 6 - 7 Reserved

Group 3: Shift state

1 byte (Data String position 84) applies to Data String position 39

Bits 0 Reserved

Bit 1 Keyboard Shift

Bits 2 - 7 Reserved

Group 4: PSS group 1

1 byte (Data String position 85) not used (reserved)

Group 5: Highlight group 1

1 byte (Data String position 86) not used (reserved)

Group 6: Color group 1

1 byte (Data String position 87) not used (reserved)

Group 7: Insert

1 byte (Data String position 88) applies to Data String position 49

Bit 0 Insert mode

Bits 1 - 7 Reserved

Group 8: Input inhibited

5 bytes (Data String positions 89 - 93) apply to Data String position 58 (except where noted)

Byte 1 (Data String position 89)

Bit 0 - 7 Reserved

Byte 2 (Data String position 90)

Bit 0 - 7 Reserved

Byte 3 (Data String position 91)

Bits 0 - 4 Reserved

Bit 5 User input error (II)

Bits 6 - 7 Reserved

Byte 4 (Data String position 92)

Bits 0 - 1 Reserved

Bit 2 System wait

Bits 3 - 7 Reserved

Byte 5 (Data String position 93)

Bits 0 - 4 Reserved

Bit 5 User input error (II)

Bits 6 - 7 Reserved

Group 9: PSS group 2

1 byte (Data String position 94) not used (reserved)

Group 10: Highlight group 2

1 byte (Data String position 95) not used (reserved)

Group 11: Color group 2

1 byte (Data String position 96) not used (reserved)

Group 12: Communication error reminder applies to Data String position 29

1 byte (Data String position 97)

Bit 0 - 6 Reserved

Bit 7 Message Waiting (MW)

Group 13: Printer status

1 byte (Data String position 98) not used (reserved)

Group 14: Graphics

1 byte (Data String position 99) not used (reserved)

Group 15: Not used

1 byte (Data String position 100) not used (reserved)

Group 16: Autokey play/record status

1 byte (Data String position 101) not used (reserved)

Group 17: Autokey abort/pause status

1 byte (Data String position 102) not used (reserved)

Group 18: Enlarge state

1 byte (Data String position 103) not used (reserved)

9 END :


Function: Copy Presentation Space (5)

More Information

See Also

This function copies the contents of the current host session's presentation space into a string buffer.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYPS, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String that will contain the host session presentation space. The string length must be the maximum size of the presentation space. Or, if the session option EAB has been set with Set Session Parameters (9), the string length must be defined to be at least twice the size of the presentation space.

Data Length

NA (the length of the presentation space is assumed)

PS Position

NA

Return Parameters

Parameter

Description

Data String

String containing the host session presentation space.

Return Codes

Code

Description

WHLLOK

Host session presentation space successfully copied to Data String. The session is active and the keyboard is unlocked.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a session.

WHLLPSBUSY

Host session presentation space successfully copied to Data String. The session is waiting for a host response.

WHLLINHIBITED

Host session presentation space successfully copied to Data String. the keyboard is locked.

WHLLSYSERROR

Failed due to a system error.

Remarks

This function copies the entire host session presentation space to the string. To copy only a portion of the presentation space, use Copy Presentation Space to String (8).

This function translates characters from EBCDIC to ASCII. The translation depends on the setting of the following session options:

Session Option

Effect on this Function

NOATTRB

Unknown values are translated into spaces.

ATTRB

Unknown values are copied untranslated.

NOEAB

Extended attribute bytes are not passed to the string.

EAB, XLATE

Extended attribute bytes are passed and translated into CGA colors.

EAB, NOXLATE

Extended attribute bytes are passed and not translated.

DISPLAY

Data in non-display fields are copied to the target buffer.

NODISPLAY

Data in non-display fields are copied as null characters to the target buffer.

For descriptions, see:

  • Character Attributes

  • Character Color Attributes

  • Field Attributes

9 END :


Function: Copy Presentation Space to String (8)

More Information

See Also

This function copies all or part of the host session presentation space into a string buffer.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYPSTOSTR, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String that will contain the specified portion of the host session presentation space.

Note

If the EAB option is set under Set Session Parameters (9) to include extended attribute bytes in the copy, the string must be at least twice the size of the presentation space that is copied.

Data Length

Number of characters.

PS Position

Position in the host session presentation space where the copying is to begin. Must be greater than zero and less than or equal to the maximum size of the host session presentation space.

Return Parameters

Parameter

Description

Data String

String containing the specified portion of the host session presentation space.

Return Codes

Code

Description

WHLLOK

The specified portion of the host session presentation space successfully copied to Data String. The session is active, and the keyboard is unlocked.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a session.

WHLLPARAMETERERROR

Data Length of zero specified.

WHLLPSBUSY

The specified portion of the host session presentation space successfully copied to Data String. The session is waiting for a host response.

WHLLINHIBITED

The specified portion of the host session presentation space successfully copied to Data String. The keyboard is locked.

WHLLPOSITIONERROR

PS Position value specified is invalid.

WHLLSYSERROR

Failed due to a system error.

Remarks

PS Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

Character translation from EBCDIC to ASCII is performed by this function. The translation depends on the setting of the following session options:

Session Option

Effect on this Function

NOATTRB

Unknown values are translated into spaces.

ATTRB

Unknown values are copied untranslated.

NOEAB

Extended attribute bytes are not copied to the string.

EAB, XLATE

Extended attribute bytes are copied and translated into CGA colors.

EAB, NOXLATE

Extended attribute bytes are copied and not translated.

DISPLAY

Data in non-display fields are copied to the target buffer.

NODISPLAY

Data in non-display fields are copied as null characters to the target buffer.

For descriptions, see:

  • Character Attributes

  • Character Color Attributes

  • Field Attributes

9 END :


Function: Copy String to Field (33)

More Information

See Also

This function copies a string into the specified field in the host session presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYSTRINGTOFIELD, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String to copy to the specified field.

Data Length

Number of characters. NA if session option EOT is specified.

PS Position

A position in the host session presentation space of the field to copy Data String to. This value can be any byte within the field, since the copy always starts at the beginning of the field.

Return Codes

Code

Description

WHLLOK

Copied successfully.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

Data Length invalid (set to zero).

WHLLINHIBITED

Specified field is protected, or attempted copy of invalid data (such as a field attribute).

WHLLTRUNCATED

Copied successfully, but one or more characters were truncated.

WHLLPOSITIONERROR

PS Position is invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

The host session presentation space is unformatted.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

This function is affected by the session options STRLEN/STREOT, EOT=c and EAB/NOEAB. See Set Session Parameters (9) for details on these session options.

Data String is copied to the specified field, starting with the first position of the field, until one of the following occurs:

  • The end of the field is encountered.

  • If the EOT session option is set and an EOT is encountered.

  • If the EOT session option is not set, and the number of characters specified by Data Length has been copied.

9 END :


Function: Copy String to Presentation Space (15)

More Information

See Also

This function copies an ASCII string directly to a specified position in the host session presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (COPYSTRTOPS, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String of ASCII data to copy to the host session presentation space.

Data Length

Number of characters. NA if session option EOT is specified.

PS Position

Position in the host session presentation space where Data String is to be copied.

Return Codes

Code

Description

WHLLOK

Data String successfully copied.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

Data Length has a value of zero (invalid).

WHLLINHIBITED

The host session presentation space is protected or inhibited, or Data String contains illegal data (such as a field attribute byte).

WHLLTRUNCATED

Data String was truncated during the copy (partial copy).

WHLLPOSITIONERROR

PS Position is an invalid value.

WHLLSYSERROR

Failed due to a system error.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

This function is affected by the session options STRLEN/STREOT and EOT=c. If the session option STREOT has been specified, the copying of the string ends when an EOT is encountered in Data String. See Set Session Parameters (9) for details.

This function is similar to, but faster than, Send Key (3). However, keyboard mnemonics that can be sent with Send Key cannot be sent with this function.

Data String cannot be larger than the maximum size of the host session presentation space.

The 5250 emulation normally supports a presentation space of 24 rows by 80 columns. When the host displays an error message, or when the operator presses the SysReq key, row 25 displays. When row 25 is displaying, the row is a valid area for this function.

9 END :


Function: Disconnect Presentation Space (2)

More Information

See Also

This function disconnects a host session from the Windows HLLAPI session.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (DISCONNECTPS, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

NA

Data Length

NA

PS Position

NA

Return Codes

Code

Description

WHLLOK

Disconnect successful.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLSYSERROR

The disconnect failed due to a system error.

Remarks

After calling this function, other functions that require a connected session are not valid and should not be called. The Windows HLLAPI application should disconnect from all connected sessions before exiting.

This function does not reset the session parameters to their defaults. In order to reset the default values, the Windows HLLAPI application must issue a Reset System (21).

9 END :


Function: Find Field Length (32)

More Information

See Also

This function determines the length of a specified field in the host session presentation space. You can use Find Field Length for either protected or unprotected fields but only in a field-formatted host presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (FINDFIELDLENGTH, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

A 2-byte string that must be one of the following:

[space][space] This (current) field.

T[space] This (current) field.

P[space] Previous field (protected or unprotected).

N[space] Next field (protected or unprotected).

NP Next Protected field.

NU Next Unprotected field.

PP Previous Protected field.

PU Previous Unprotected field.

Data Length

NA (length of 2 is implied).

PS Position

The position in the host session presentation space where the find starts.

Return Parameters

Data Length

Description

0

If Return Code = 28, the field length is zero. If Return Code = 24, the host session presentation space is unformatted.

>0

Length of the specified field. This value includes all characters from the beginning of the specified field up to the character preceding the next attribute byte.

Return Codes

Code

Description

WHLLOK

Specified field length was found.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

One or more of the call parameters are invalid.

WHLLPOSITIONERROR

PS Position is invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

Specified field was not found, or the host session presentation space is unformatted.

WHLLZEROLENFIELD

The specified field has a length of zero.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

The 5250 emulation normally supports a presentation space of 24 rows by 80 columns. When the host displays an error message, or when the operator presses the SysReq key, row 25 displays. When row 25 is displaying, the row is a valid area for this function.

9 END :


Function: Find Field Position (31)

More Information

See Also

This function determines the starting position of a field in the host session presentation space. You can use Find Field Position for either protected or unprotected fields but only in a field-formatted host presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (FINDFIELDPOSITION, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

A 2-byte string that must be one of the following:

[space][space] This (current) field.

T[space] This (current) field.

P[space] Previous field (protected or unprotected).

N[space] Next field (protected or unprotected).

NP Next Protected field.

NU Next Unprotected field.

PP Previous Protected field.

PU Previous Unprotected field.

Data Length

NA (length of 2 is implied).

PS Position

The position in the host session presentation space where the find starts.

Return Parameters

Data Length

Description

0

If Return Code = 28, the field length is zero. If Return Code = 24, the host session presentation space is unformatted.

>0

Starting position of the requested field.

Return Codes

Code

Description

WHLLOK

The specified field was found.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

One or more of the call parameters are invalid.

WHLLPOSITIONERROR

PS Position is invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

The specified field was not found, or the host session presentation space is unformatted.

WHLLZEROLENFIELD

The specified field has a length of zero.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

The 5250 emulation normally supports a presentation space of 24 rows by 80 columns. When the host displays an error message, or when the operator presses the SysReq key, row 25 displays. When row 25 is displaying, the row is a valid area for this function.

9 END :


Function: Pause (18)

More Information

See Also

This function forces the application to wait for an amount of time.

Prerequisite Functions

None.

Function Call

WinHLLAPI (PAUSE, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

NA

Data Length

Amount of time to pause in multiples of 0.5 seconds.

Example: A value of 240 indicates 2 minutes (120 seconds).

PS Position

NA

Return Codes

Code

Description

WHLLOK

Pause completed (specified wait time has expired).

WHLLSYSERROR

Failed due to a system error. Any time results are unpredictable.

WHLLPSCHANGED

The OIA or presentation space of the host session has been updated.

See Query Host Update (24) for more information.

Remarks

You should use the Windows environment timer facility, WM_TIMER, instead of timing loops to wait for an event to occur. Note that by calling Start Host Notification (23) before this function, a host event can terminate the Pause. When this happens, call Query Host Update (24) to determine which session had the update and the type of update that occurred.

The FPAUSE/IPAUSE session options affect this function. See Set Session Parameters (9) for details. If IPAUSE is set, the pending host event satisfies the Pause call until Query Host Update (24) is completed.

9 END :


Function: Query Cursor Location (7)

More Information | See Also
This function determines the location of the cursor in the host session presentation space.
Prerequisite Functions
Connect Presentation Space (1)
Function Call
WinHLLAPI (QUERYCURSORLOC, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | NA
Data Length | NA
PS Position | NA
Return Parameters
Parameter | Description
lpwLength | Data Length: the position of the cursor in the host session presentation space.
Return Codes
Code | Description
WHLLOK | Cursor successfully located.
WHLLNOTCONNECTED | Windows HLLAPI application is not currently connected.
WHLLSYSERROR | Failed due to a system error.
Remarks
The 5250 emulation normally supports a presentation space of 24 rows by 80 columns. When the host displays an error message, or when the operator presses the SysReq key, row 25 displays. When row 25 is displaying, the row is a valid area for this function.
9 END :


Function: Query Field Attribute (14)

More Information

See Also

This function returns the attribute byte of the field containing the specified position in the host session presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (QUERYFIELDATTRIBUTE, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

NA

Data Length

NA

PS Position

A position in the host session presentation space that is within the field for which you want the attribute byte returned.

Return Parameters

Parameter

Description

Data Length

The attribute value if the screen is formatted. Zero if the screen is not formatted.

Return Codes

Code

Description

WHLLOK

Field attribute found successfully.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPOSITIONERROR

Invalid value specified for PS Position.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

Field attribute not found due to unformatted host session presentation space.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

You must examine the attribute byte to determine all of the current field attributes. See Field Attributes for descriptions of field attributes.

9 END :


Function: Query Host Update (24)

More Information | See Also
This function determines whether the presentation space or the Operator Information Area (OIA), or both, have been updated in a host session since one of the following occurred: Start Host Notification (23) was called. The previous call of this function.
Prerequisite Functions
Start Host Notification (23)
Function Call
WinHLLAPI (QUERYHOSTUPDATE, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | Short name session ID of the desired host session, or a space or a null for the current host session.
Data Length | NA (length of 1 is implied).
PS Position | NA
Return Codes |
Code | Description
WHLLOK | No updates.
WHLLNOTCONNECTED | The host session specified is invalid.
WHLLNOTAVAILABLE | Start Host Notification (23) has not been called prior to this function in the specified host session.
WHLLSYSERROR | Failed due to a system error.
WHLLOIAUPDATE | One or more updates to the OIA of the specified host session.
WHLLPSUPDATE | One or more updates to the presentation space of the specified host session.
WHLLBOTHUPDATE | One or more updates to both the OIA and the presentation space of the specified host session.
9 END :


Function: Query Sessions (10)

More Information | See Also
This function returns the number of host screen sessions that are active, and returns a string containing information on each of the host screen sessions. Host printer sessions are not supported.
Prerequisite Functions
None.
Function Call
WinHLLAPI (QUERYSESSIONS, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | String buffer to hold the information string. Must be defined as 12* (number of active host sessions) bytes.
Data Length | 12* (number of active host sessions).
Return Parameters |
Parameter | Description
Data String | 12-byte fields (one for each active host 3270 session) with session information, in the following format: Byte 1: Short name session ID. Bytes 2 - 9: Long name session ID. Byte 10: Session type (H for host. P for personal computer). Bytes 11 - 12: Size of the presentation space expressed as a binary number (not ASCII).
Data Length | The number of active host 3270 screen sessions.
Return Codes |
Code | Description
WHLLOK | Call successful.
WHLLPARAMETERERROR | Data Length is invalid.
WHLLSYSERROR | Failed due to a system error.
Remarks
The return value of Data Length is set when the Return Code is 0 or 2. If you receive a Return Code of 2, use Data Length to recalculate the necessary value for the size of Data String (and the value for Data Length on the call). Depending on the Session parameter specified the presentation size will vary:
CFGSIZE | The size of presentation space configured by the user.
NOCFGSIZE | The current size of the presentation space at the time the call is issued.
9 END :


Function: Query Session Status (22)

More Information

See Also

This function accesses the status of a specified session.

Prerequisite Functions

None.

Function Call

WinHLLAPI (QUERYSESSIONSTATUS, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

18-byte string for returned session information. The first byte is a short name session ID of the session to query, or a space or null character to indicate the current session.

Data Length

18

PS Position

NA

Return Parameters

Parameters

Description

Data String

Session status - an 18-byte string with the following format:

Byte 1 Short name session ID.

Bytes 2 - 9 Long name session ID.

Byte 10 Session type: D for 3270 host, P for personal computer, F for 5250 host, G for 5250 printer, and E for 3270 printer.

Byte 11 Sessions characteristics as a binary number explained below:

0 EAB

If bit 0 (EAB) = 0, the session has base attributes.

If bit 0 (EAB) =1, the session has extended attributes.

1 PSS

If bit 1 (PSS) = 0, the session does not support programmed symbols.

If bit 1 (PSS)=1, the session supports programmed symbols.

2 - 7 Reserved

Bytes 12 - 13 Number of rows in the host session presentation space. This is a binary number, not ASCII. If the session type is E or G (printers), the value is binary zero.

Bytes 14 - 15 Number of columns in the host session presentation space. This is a binary number, not ASCII. If the session type is E or G (printers), the value is binary zero.

Bytes 16 - 17 Host code page number, expressed as a binary number.

Byte 18 Reserved.

Return Codes

Code

Description

WHLLOK

The requested session status is returned successfully.

WHLLNOTCONNECTED

The requested session is invalid.

WHLLPARAMETERERROR

Data Length is invalid.

WHLLSYSERROR

Failed due to a system error.

Remarks

The rows and columns returned in Data String (positions 12 - 13 and 14 - 15) are the number of rows and columns that correspond to the Model type of the terminal.

9 END :


Function: Query System (20)

More Information | See Also
This function determines the level and version of WHLLAPI under which the Windows HLLAPI application is running.
Prerequisite Functions
None.
Function Call
WinHLLAPI (QUERYSYSTEM, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | Buffer for query data (must be defined for 35 bytes).
Data Length | NA (length of 35 is implied).
PS Position | NA
Return Parameters |
Parameter | Description
Data String | System status - a 35-byte string with the following format: 1 WinHLLAPI version number 2 - 3 WinHLLAPI level number 4 - 9 WinHLLAPI version date (mmddyy) 10 - 12 Reserved 13 Always U 14 Always E 15 - 16 WinHLLAPI product version number 17 - 18 WinHLLAPI product level number 19 Reserved 20 - 23 Reserved 24 - 27 Reserved 28 - 29 Reserved 30 - 31 Reserved 32 Reserved 33 - 35 Reserved
Return Codes |
Code | Description
WHLLOK | Query completed successfully.
WHLLSYSERROR | Failed due to a system error.
9 END :


Function: Receive File (91)

More Information

See Also

This function transfers a file from the host to the PC running the Windows HLLAPI application. The file transfer can be synchronous (dedicated) or asynchronous (call-and-return). See the Remarks section for information on asynchronous file transfers.

Prerequisite Functions

None.

Function Call

WinHLLAPI (hWnd, RECEIVEFILE, lpbyString, lpwLength, lpwReturnnCode)

WinHLLAPIAsync (hWnd, RECEIVEFILE, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

RECEIVE command parameters.

Data Length

Length of Data String. NA if session option EOT is specified.

PS Position

NA

Return Codes

Code

Description

WHLLOK

File transfer started successfully (asynchronous mode only).

WHLLPARAMETERERROR

Parameter error; or Data Length is zero or greater than 128.

WHLLFTXCOMPLETE

File transfer completed (synchronous mode only).

WHLLFTXSEGMENTED

Transfer completed with one or more segmented records (synchronous mode only).

WHLLSYSERROR

Failed due to a system error.

WHLLFTXABORTED

File transfer aborted. Due to the user entering Ctrl+Break, or due to the expiration of the time-out period (a time-out would be set by Set Session Parameters (9)).

WHLLINVALIDFUNCTIONNUM

Invalid function number.

WHLLFILENOTFOUND

PC file not found.

WHLLACCESSDENIED

Access denied to PC file.

WHLLMEMORY

Insufficient memory.

WHLLINVALIDENVIRONMENT

Invalid environment.

WHLLINVALIDFORMAT

Invalid format.

Remarks

1 When no parameters (options) are entered for this command, the parameters established for IND$FILE are used.

2 The following session options affect this function: STRLEN/STREOT, EOT=c, QUIET/NOQUIET, and TIMEOUT=0/TIMEOUT=c. See Set Session Parameters (9) for details.

3 You cannot use this function with 5250 sessions, 5250 printer sessions, or 3270 printer sessions. Only one file transfer operation is supported at a time, regardless of the number of host sessions accessed by the Windows HLLAPI application.

4 Data String should contain the RECEIVE command parameters that you would normally enter at the DOS prompt. For example, to send the file SALES.RPT from your PC to the CMS file SLS REPRT A on the host session with the short name session ID of E:

Data String SALES.RPT E:SLS REPRT A (ASCII CRLF

Data Length 35

Asynchronous Mode

When asynchronous mode is enabled by calling WinHLLAPIAsync, the function initiates the file transfer and immediately returns control to the Windows HLLAPI application, freeing your application to perform other tasks while the file transfer is occurring.

Because asynchronous mode returns control immediately, you must use the Windows message notification to determine the completion status of the file transfer. Use the RegisterWindowsMessage ( ) function to register the message WinHLLAPIAsyncFileTransfer. The message notification is in the format:

(wMsgID, wParm, lParm)

where

wMsgID Message ID returned by RegisterWindowsMessage.

wParm Status indicator. The high byte contains the short name session ID. The low byte contains the status. If the low byte contains two, the file transfer is still in progress. If the low byte contains three, the file transfer has completed.

lParm Depends upon the low byte value of wParm. If the low byte of wParm contains two (transfer in progress), lParm is the number of bytes that have been transferred. If the low byte of wParm contains three (transfer completed), lParm is the two-digit host TRANS code.

9 END :


Function: Release (12)

More Information | See Also
This function releases the currently connected host session presentation space, that was locked with Reserve (11)
Prerequisite Functions
Connect Presentation Space (1)
Function Call
WinHLLAPI (RELEASE, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | NA
Data Length | NA
PS Position | NA
Return Codes |
Code | Description
WHLLOK | Host session presentation space has been released (unlocked).
WHLLNOTCONNECTED | Windows HLLAPI application is not currently connected to a host session.
WHLLSYSERROR | Failed due to a system error.
Remarks
If you do not release the host session presentation space locked with Reserve (11), it remains locked until the Windows HLLAPI application calls:
Disconnect Presentation Space (2) Reset System (21)
9 END :


Function: Reserve (11)

More Information | See Also
This function reserves the currently connected host session presentation space, locking out the user and preventing keyboard input.
Prerequisite Functions
Connect Presentation Space (1)
Function Call
WinHLLAPI (RESERVE, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | NA
Data Length | NA
PS Position | NA
Return Codes |
Code | Description
WHLLOK | The host session presentation space has been reserved (locked).
WHLLNOTCONNECTED | Windows HLLAPI application is not currently connected to a host session.
WHLLINHIBITED | Host session is inhibited.
WHLLSYSERROR | Failed due to a system error.
Remarks |
Reserve locks out keyboard input. You can prevent the user from gaining access to the host session with this function. Once the host session presentation space is reserved, it remains locked until the Windows HLLAPI application calls one of the following:
Disconnect Presentation Space (2)
Release (12)
Reset System(21)
9 END :


Function: Reset System (21)

More Information

See Also

This function reinitializes the system to its default (start) state:

  • All session options are reset to their defaults.

  • Event notification is stopped.

  • Any reserved sessions are released.

  • Connected sessions are disconnected.

The current status of host sessions is updated.

Prerequisite Functions

None.

Function Call

WinHLLAPI (RESETSYSTEM, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

NA

Data Length

NA

PS Position

NA

Return Codes

Code

Description

WHLLOK

The system has been reset.

WHLLSYSERROR

Failed due to a system error.

Remarks

This function is normally used at the beginning and end of a Windows HLLAPI application to reset the system to initial default conditions.

Note

This function resets all connected sessions the HLLAPI application owned. As a result, caution is advised when using this function.

9 END :


Function: Search Field (30)

More Information

See Also

This function searches a field in the host session presentation space for the specified string. You can use Search Field for either protected or unprotected fields but only in a field-formatted host presentation space.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (SEARCHFIELD, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String for which to search.

Data Length

Length of the search string. NA if session option EOT is specified.

PS Position

Position in the host session presentation space of the field to search. If session options SRCHFROM and SRCHFRWD are set, the parameter indicates the position to search from. If session options SRCHFROM and SRCHBKWD are set, the parameter indicates a position to search to. If the session option SRCHALL is set, the parameter can indicate the position of any byte in the field to search.

Return Parameters

Parameters

Description

0

Search string not found.

>0

Search string found. Value is the host session presentation space position where the string begins.

Return Codes

Code

Description

WHLLOK

The search string was found.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

Data String had a length of zero, or of greater than the host session presentation space size.

WHLLPOSITIONERROR

PS Position is invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLNOFIELD

Search string was not found, or the host session presentation space is unformatted.

Remarks

Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.

The following four session option parameters affect this function:

STRLEN/STREOT

EOT=c

SRCHALL/SRCHFROM

SRCHFRWD/SRCHBKWD

See Set Session Parameters (9) for details on these session options. The first two parameters affect string length and termination, but the last two directly affect how the host session presentation space can be examined:

Session Option

Effect on this Function

SRCHALL

Searches the entire field, specified by PS Position, for the search string.

SRCHFROM, SRCHFRWD

The search begins at PS Position and moves to the end of the field. The search ends when the specified string is found or when the end of the field is reached.

SRCHFROM, SRCHBKWD

The search begins at the end of the field and moves to the beginning of the field. The search ends when the specified string is found or when PS Position is reached.

9 END :


Function: Search Presentation Space (6)

More Information | See Also
This function allows you to search the host session presentation space for a specified string.
Prerequisite Functions
Connect Presentation Space (1)
Function Call
WinHLLAPI (SEARCHPS, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | String for which to search.
Data Length | Length of the search string. NA if session option EOT is specified.
PS Position | Position in the host session presentation space. If the session options SRCHFROM and SRCHFRWD are set, the parameter indicates the position from which to search. If the session options SRCHFROM and SRCHBKWD are set, the parameter indicates the position to search to. NA if session option SRCHALL is set.
Return Parameters
Parameter | Description
Data Length | If equal to zero, the parameter indicates the string was not found. If greater than zero, indicates the host session presentation space position where the string was found.
Return Codes
Code | Description
WHLLOK | Completed successfully. You must check the Data Length parameter to determine if the string was found.
WHLLNOTCONNECTED | Windows HLLAPI application is not currently connected to a session.
WHLLPARAMETERERROR | Invalid parameters were specified.
WHLLPOSITIONERROR | PS Position value is invalid.
WHLLSYSERROR | Failed due to a system error.
WHLLNOFIELD | String was not found.
Remarks
Position in the host session presentation space is determined by starting in the upper, left corner of the screen display (row 1, column 1). At the end of each screen display row, the next host session presentation space position is column 1 of the following screen display row. This process continues until the end of the host session presentation space (screen display) is reached.
The following four session option parameters affect this function: STRLEN/STREOT, EOT=c, SRCHALL/SRCHFROM, and SRCHFRWD/SRCHBKWD. See Set Session Parameters (9) for details on these session options. The first two parameters affect string length and termination, but the last two directly affect how the host session presentation space can be examined:
Session Option | Effect on this Function
SRCHALL, SRCHFRWD | Overrides the PS Position parameter and searches from the beginning of the host session presentation space for the string. If the string exists, the first instance of the string is returned.
SRCHALL, SRCHBKWD | Overrides the PS Position parameter and searches from the end of the host session presentation space for the string. If the string exists, the last instance of the string is returned.
SRCHFROM, SRCHFRWD | The search begins at PS Position and moves to the end of the host session presentation space. The search ends when the string is found or when the end of the presentation space is reached.
SRCHFROM, SRCHBKWD | The search begins at the end of the host session presentation space and moves to the beginning of the presentation space. The search ends when the string is found or when PS Position is reached.
This function can help determine when the host session is available for input. If the Windows HLLAPI application is waiting for a specific message or prompt, issue this function until the message or prompt is found.
You can also use the SRCHFROM session option in combination with this function to find multiple occurrences of a string in the host session presentation space.
9 END :


Function: Send File (90)

More Information

See Also

This function transfers a file from the PC running the Windows HLLAPI application to the host. The file transfer can be synchronous (dedicated) or asynchronous (call-and-return). See the Remarks section for information on asynchronous file transfers.

Prerequisite Functions

None.

Function Call

WinHLLAPI (SENDFILE, lpbyString, lpwLength, lpwReturnnCode)

WinHLLAPIAsync (hWnd, SENDFILE, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

SEND command parameters.

Data Length

Length of Data String. NA if the session option EOT is specified.

PS Position

NA

Return Codes

Code

Description

WHLLOK

File transfer started successfully (asynchronous mode only).

WHLLPARAMETERERROR

Parameter error; or Data Length is zero or greater than 128.

WHLLFTXCOMPLETE

File transfer completed (synchronous mode only).

WHLLFTXSEGMENTED

Transfer completed with one or more segmented records (synchronous mode only).

WHLLSYSERROR

Failed due to a system error.

WHLLTRANSABORTED

File transfer aborted. Due to the user entering Ctrl+Break, or due to the time-out period expiring. Set Session Parameters (9) sets a time-out.

WHLLINVALIDFUNCTIONNUM

Invalid function number.

WHLLFILENOTFOUND

PC file not found.

WHLLACCESSDENIED

Access denied to PC file.

WHLLMEMORY

Insufficient memory.

WHLLINVALIDENVIRONMENT

Invalid environment.

Remarks

1 When no parameters (options) are entered for this command, the parameters established for IND$FILE are used.

2 The following session options affect this function: STRLEN/STREOT, EOT=c, QUIET/NOQUIET, and TIMEOUT=0/TIMEOUT=c. See Set Session Parameters (9) for details.

3 You cannot use this function with 5250 sessions, 5250 printer sessions, or 3270 printer sessions. Only one file transfer operation is supported at a time, regardless of the number of host sessions accessed by the Windows HLLAPI application.

4 Data String should contain the SEND command parameters that you would normally enter at the DOS prompt. For example, to send the file SALES.RPT from your PC to the CMS file SLS REPRT A on the host session with the short name session ID of E:

Data String SALES.RPT E:SLS REPRT A (ASCII CRLF

Data Length 35

Asynchronous Mode

When asynchronous mode is enabled by calling WinHLLAPIAsync, the function initiates the file transfer and immediately returns control to the Windows HLLAPI application, freeing your application to perform other tasks while the file transfer is occurring.

Because asynchronous mode returns control immediately, use the Windows message notification to determine the completion status of the file transfer. Use the RegisterWindowsMessage ( ) function to register the message WinHLLAPIAsyncFileTransfer. The message notification is in the format:

(wMsgID, wParm, lParm)

where

wMsgID Message ID returned by RegisterWindowsMessage

wParm Status indicator. The high byte contains the short name session ID. The low byte contains the status. If the low byte contains zero, the file transfer is still in progress. If the low byte contains one, the file transfer has completed.

lParm Depends upon the low byte value of wParm. If the low byte of wParm contains zero (transfer in progress), lParm is the number of bytes that have been transferred. If the low byte of wParm contains one (transfer completed), lParm is the two-digit host TRANS code.

9 END :


Function: Send Key (3)

More Information

See Also

This function sends one or more characters, representing keystrokes, to the connected host session. The function can send up to a maximum of 255 characters at any one time. The command sends keystrokes that appear to the session as if they are entered at the keyboard. The keystrokes can include host function keys and AID (Attention IDentifier) keys.

Prerequisite Functions

Connect Presentation Space (1)

Function Call

WinHLLAPI (SENDKEY, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String of characters representing keystrokes, maximum of 255 bytes (including host function key codes).

Data Length

Length of Data String in bytes. This parameter is overridden if in EOT mode.

Return Codes

Code

Description

WHLLOK

Keystrokes sent successfully.

WHLLNOTCONNECTED

Windows HLLAPI application is not currently connected to a host session.

WHLLPARAMETERERROR

The function call contains an invalid parameter.

WHLLPSBUSY

The session is busy - all of the keystrokes could not be sent.

WHLLINHIBITED

Input to the session is inhibited; keystrokes were rejected, or an invalid host function key codes were sent. Some of the keystrokes may have been received by the host session.

WHLLSYSERROR

Failed due to a system error.

Remarks

You cannot send keystrokes to the host session when the keyboard is locked or busy (input inhibited). You can check the keyboard status with Wait (4). It is also your responsibility to treat input-protected or numeric-only host fields appropriately.

The following five session options affect this function: AUTORESET/NORESET, STRLEN/STREOT, EOT=c, and ESC=c. The session options are set with Set Session Parameters (9).

You can increase the performance of the Send Key function by setting the session option NORESET. If this session option is set to AUTORESET, a reset code is always added to the beginning of the keystroke string, resetting all states that can be reset (except input-inhibited states). The added reset code bytes are not deducted from the Data String length of 255.

By default, the length of the Data String parameter must be specified by the Data Length parameter. Optionally, you can implicitly define the Data Length parameter by using the EOT delimiter character, which is specified with Set Session Parameters (9).

Note

Better character transfer performance is achieved with Copy String To Field (33) or Copy String To Presentation Space (15). However, only this function (Send Key (3)) can send the host function keys.

The special codes associated with this function allow the function to send host function keys (including AID keys) to the host. These codes consist of an Escape character (default is @, the at sign) and a mnemonic code, that corresponds to the supported host functions. The desired host function key codes are included as part of the Data String parameters. The Escape character can be changed with the session option ESC=c. See Set Session Parameters (9).

Note

When the Data String contains AID keys, the string includes characters up to, and including, the first AID key encountered. The segment string and segment length are set internally to the proper values as the segment is sent to the host. Because some host applications process AID keys differently, some keystrokes in a subsequent segment could be lost. Therefore do not create a Data String containing more than one AID key.

The characters that make up the host function key codes are part of the Data String and make up its total length. You must not exceed the maximum of 255 characters in the Data String, when using host function key codes. For example, if you need to send a string that contains the [Enter] key. The code for [Enter] is @E; therefore, an [Enter] is considered two bytes in the Data Length parameter.

The following table lists the host function keys and their corresponding codes. Please note, if a character is used in the code, the case of the character is important.

Meaning

Mnemonic

3270

5250

@

@@

Yes

Alternate Cursor

@$

Yes

Yes

Attention

@A@Q

Yes

Yes

Backspace

@<

Yes

Yes

Back tab (Left Tab)

@B

Yes

Yes

Clear

@C

Yes

Yes

Command Function Key

@A@Y

Yes

Cursor Down

@V

Yes

Cursor Left

@L

Yes

Cursor Right

@Z

Yes

Cursor Select

@A@J

Yes

Cursor Up

@U

Yes

Yes

Delete

@D

Yes

Yes

Duplicate

@S@x

Yes

Yes

End

@q

Yes

Enter

@E

Yes

Yes

Erase EOF

@F

Yes

Yes

Erase Input

@A@F

Yes

Yes

Field Exit

@A@E

Yes

Field Mark

@S@y

Yes

Yes

Field -

@A@-

Yes

Field +

@A@+

Yes

Help

@H

Yes

Hexadecimal

@A@X

Yes

Home

@0 (zero)

Yes

Yes

Insert

@I

Yes

Yes

Insert Toggle

@A@I

Yes

Host Print

@P

Yes

Left Tab (Back Tab)

@B

Yes

Yes

New Line

@N

Yes

Yes

Page Up

@u

Yes

Page Down

@v

Yes

Print (PC)

@A@t

Yes

Record Backspace

@A@<

Yes

Reset

@R

Yes

Yes

Right Tab (Tab)

@T

Yes

Yes

System Request

@A@H

Yes

Yes

Tab (Right Tab)

@T

Yes

Yes

Test

@A@C

Yes

PA1

@x

Yes

PA2

@y

Yes

PA3

@z

Yes

PA4

@+

Yes

PA5

@%

Yes

PA6

@&

Yes

PA7

@'

Yes

PA8

@(

Yes

PA9

@)

Yes

PA10

@*

Yes

PF1/F1

@1

Yes

Yes

PF2/F2

@2

Yes

Yes

PF3/F3

@3

Yes

Yes

PF4/F4

@4

Yes

Yes

PF5/F5

@5

Yes

Yes

PF6/F6

@6

Yes

Yes

PF7/F7

@7

Yes

Yes

PF8/F8

@8

Yes

Yes

PF9/F9

@9

Yes

Yes

PF10/F10

@a

Yes

Yes

PF11/F11

@b

Yes

Yes

PF12/F12

@c

Yes

Yes

PF13

@d

Yes

Yes

PF14

@e

Yes

Yes

PF15

@f

Yes

Yes

PF16

@g

Yes

Yes

PF17

@h

Yes

Yes

PF18

@i

Yes

Yes

PF19

@j

Yes

Yes

PF20

@k

Yes

Yes

PF21

@l

Yes

Yes

PF22

@m

Yes

Yes

PF23

@n

Yes

Yes

PF24

@o

Yes

Yes

Note

If you want to use the at sign ( @ ) in the Data String, you must use the two-byte code @@.

9 END :


Function: Set Cursor (40)

More Information | See Also
This function places the cursor at a specified position in the host session presentation space.
Prerequisite Functions
Connect Presentation Space (1)
Function Call
WinHLLAPI (SETCURSOR, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | NA
Data Length | NA
PS Position | Position in the host session presentation space, the location of the cursor.
Return Codes |
Code | Description
WHLLOK | Cursor successfully placed at the specified position.
WHLLNOTCONNECTED | Windows HLLAPI application is not currently connected to a host session.
WHLLPSBUSY | Host session is busy.
WHLLPOSITIONERROR | PS Position is invalid (less than one, or greater than the maximum host session presentation space size).
WHLLSYSERROR | Failed due to a system error.
Remarks
The 5250 emulation normally supports a presentation space of 24 rows by 80 columns. When the host sends an error message, or when the operator presses the SysReq key, the emulation displays row 25. When row 25 is displaying, it is a valid area for this function.
9 END :


Function: Set Session Parameters (9)

More Information

See Also

This function sets the options of the host session. Session options that are not set with this function use their default values. Session options set with this function remain in effect until one of the following occurs:

  • Another Set Session Parameters (9) call sets a new value.

  • Reset System (21) is called.

Prerequisite Functions

None.

Function Call

WinHLLAPI (SETSESSIONPARAMETERS, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

String containing the desired session options to set. If more than one session option is set, use a comma or space to separate the session options. See the Remarks section for an explanation of the session options.

Data Length

Explicit length of Data String (EOT cannot be used).

PS Position

NA

Return Parameters

Parameter

Description

Data Length

Remains the same as the call value if all session options in Data String are valid. If Data String contains any invalid session options, Data Length is set to the number of valid session options contained in Data String.

Return Codes

Code

Description

WHLLOK

All of the requested session options set as specified.

WHLLPARAMETERERROR

Data String contains one or more invalid session options.

WHLLSYSERROR

Failed due to a system error.

Remarks

The following table lists the functions and the session options that affect them.

Function Name & Number

Session Options

Connect Presentation Space (1)

CONLOG / CONPHYS,
WRITE_SUPER / WRITE_WRITE /
WRITE_READ / WRITE_NONE /
SUPER_WRITE / READ_WRITE,
NOKEY/KEY$nnnnnnn

Send Key (3)

STRLEN / STREOT,
EOT=c,
ESC=c,
AUTORESET / NORESET,
RETRY / NORETRY

Wait (4)

TWAIT / LWAIT / NWAIT

Copy Presentation Space (5)

NOATTRB / ATTRB,
EAB / NOEAB,
XLATE / NOXLATE,
DISPLAY / NODISPLAY

Search Presentation Space (6)

STRLEN / STREOT,
EOT=c,
SRCHALL / SRCHFROM,
SRCHFRWD / SRCHBKWD

Copy Presentation Space to String (8)

NOATTRB / ATTRB,
EAB / NOEAB,
XLATE / NOXLATE,
DISPLAY / NODISPLAY

Query Sessions (10)

NOCFGSIZE / CFGSIZE

Copy OIA (13)

OLDOIA / NEWOIA

Copy String to Presentation Space (15)

STRLEN / STREOT,
EOT=c,
EAB / NOEAB

Pause (18)

FPAUSE / IPAUSE

Search Field (30)

STRLEN / STREOT,
EOT=c,
SRCHALL / SRCHFROM,
SRCHFRWD / SRCHBKWD

Copy String to Field (33)

STRLEN / STREOT,
EOT=c,
EAB / NOEAB

Copy Field to String (34)

NOATTRB / ATTRB,
EAB / NOEAB,
XLATE / NOXLATE,
DISPLAY / NODISPLAY

Send File (90)

STRLEN / STREOT,
EOT=c,
NOQUIET / QUIET,
TIMEOUT=0 / TIMEOUT=c

Receive File (91)

STRLEN / STREOT,
EOT=c,
NOQUIET / QUIET,
TIMEOUT=0 / TIMEOUT=c

Descriptions of the Session Options

The session options are described in the following sections, grouped by function. Each group includes

  • a general description of the session options

  • specific information on each option

  • a list of the Windows HLLAPI functions affected by the session options.

STRLEN / STREOT

Specifies how the length of Data String is determined.

STRLEN

Data Length explicitly defined. This is the default setting.

STREOT

Data Length not necessarily defined; Data String parameter on a function call ends in an EOT character.

Applies to:

Send Key (3)

Search Presentation Space (6)

Copy String to Presentation Space (15)

Search Field (30)

Copy String to Field (33)

Send File (90)

Receive File (91)

EOT=c

When the STREOT session option is set, specifies the delimiter character to mark the end of the Data String parameter on a function call.

EOT=c

Set the EOT (end of transmission) character to c, which must be a one-byte literal character. There must not be a space on either side of the equal sign, since a space character is not a valid EOT character. The default EOT character is binary zero.

Applies to:

Send Key (3)

Search Presentation Space (6)

Copy String to Presentation Space (15)

Search Field (30)

Copy String to Field (33)

Send File (90)

Receive File (91)

SRCHALL / SRCHFROM

Determines how the host session presentation space is searched.

SRCHALL

If using Search Presentation Space (6), search the entire host session presentation space. If using Search Field (30), search the entire field. SRCHALL is the default setting.

SRCHFROM

If the session option SRCHFRWD is set, start the search at specified PS Position and stop at the end of the field or host session presentation space. If the session option SRCHBKWD is set, start search at the end and stop at specified PS Position.

Applies to:

Search Presentation Space (6)

Search Field (30)

SRCHFRWD / SRCHBKWD

When the SRCHFROM session option is set, determines the direction of the search.

SRCHFRWD

When the session option SRCHFROM is set, start the search at specified PS Position and stop at the end of the field or host session presentation space. This is the default setting.

SRCHBKWD

When the session option SRCHFROM is set, start the search at the end of the field or host session presentation space and continue to PS Position.

Applies to:

Search Presentation Space (6)

Search Field (30)

SRCHFRWD / SRCHBKWD

When the SRCHFROM session option is set, determines the direction of the search.

SRCHFRWD

When the session option SRCHFROM is set, start the search at specified PS Position and stop at the end of the field or host session presentation space. This is the default setting.

SRCHBKWD

When the session option SRCHFROM is set, start the search at the end of the field or host session presentation space and continue to PS Position.

Applies to:

Search Presentation Space (6)

Search Field (30)

NOATTRB / ATTRB

Determines how to translate attributes to the Windows HLLAPI application.

NOATTRB

Translates EBCDIC bytes that do not have ASCII equivalents to spaces (ASCII 0x20 hexadecimal).

NOATTRB is the default setting.

ATTRB

EBCDIC bytes that do not have ASCII equivalents are not translated, but are passed as their original EBCDIC values.

Applies to:

Copy Presentation Space (5)

Copy Presentation Space to String (8)

Copy Field to String (34)

FPAUSE / IPAUSE

Determines the type of pause to use.

FPAUSE

Full pause. Pause for the length of time specified in Pause (18). FPAUSE is the default setting.

IPAUSE

Interruptible pause. Once a Start Host Notification (23) call is made, any host event ends the pause.

Applies to:

Pause (18)

NOQUIET / QUIET

Determines whether the file transfer functions, Send File (90) and Receive File (91), will generate messages displayed to the user.

Note

The 5250 emulation does not support these options.

NOQUIET

SEND and RECEIVE messages are displayed.

QUIET

SEND and RECEIVE messages are not displayed.

Applies to:

Send File (90)

Receive File (91)

TIMEOUT=0 / TIMEOUT=c

Sets the time-out interval used during file transfer operations. If a time-out occurs, the file transfer aborts.

Note

The 5250 emulation does not support these options.

TIMEOUT=0

Sets the time-out to 30 seconds. There must not be a space on either side of the equal sign. The value is a zero.

TIMEOUT=0 is the default setting.

TIMEOUT=c

Sets the time-out to another value. A Ctrl+Break is issued automatically after the period. There must not be a space on either side of the equal sign. The c is a one-byte character that can only be one of the following values:

1: 30 seconds (0.5 minutes)

2: 60 seconds (1.0 minutes)

3: 90 seconds (1.5 minutes)

4: 120 seconds (2.0 minutes)

5: 150 seconds (2.5 minutes)

6: 180 seconds (3.0 minutes)

7: 210 seconds (3.5 minutes)

8: 240 seconds (4.0 minutes)

9: 270 seconds (4.5 minutes)

J: 300 seconds (5.0 minutes)

K: 330 seconds (5.5 minutes)

L: 360 seconds (6.0 minutes)

M: 390 seconds (6.5 minutes)

N: 420 seconds (7.0 minutes)

Applies to:

Send File (90)

Receive File (91)

ESC=c

Specifies the escape character to use for 3270 function key codes.

Set the Escape character to c, which is a one-byte literal character. There must not be a space on either side of the equal sign (a space character is not a valid Escape character). The default Escape character is the at sign ( @ ).

Applies to:

Send Key (3)

AUTORESET / NORESET

Determines if Send Key (3) sends a reset prior to the keystroke string or not.

AUTORESET

A reset precedes the keystroke string specified with a Send Key (3), attempting to reset any states that can be reset (except input-inhibited). AUTORESET is the default setting.

NORESET

A reset does not precede the keystroke string specified with a Send Key (3).

Applies to:

Send Key (3)

TWAIT / LWAIT / NWAIT

Determines the characteristics of a wait period.

TWAIT

Wait (4): Wait up to 60 seconds before timing out on XCLOCK or XSYSTEM.

Get Key (51): Wait until a keystroke is queued before returning. TWAIT is the default setting.

LWAIT

Wait (4): Wait until the XCLOCK or XSYSTEM clears. This setting is not recommended because Windows HLLAPI does not regain control until the host is available.

Get Key (51): Waits until a keystroke is queued before returning.

NWAIT

No wait period applies. Wait (4) and Get Key (51) calls each other, check their respective status and return immediately.

Applies to:

Wait (4)

EAB / NOEAB

Determines whether to include extended attributes (EABs) or not.

EAB

Include extended attributes (EABs) with Data String. Since there is an EAB for every character that displays, you must define Data String to be twice the size of the host session presentation space or field.

NOEAB

Do not include any extended attributes (EABs) with Data String (no EABs). This is the default setting.

Applies to:

Copy Presentation Space (5)

Copy Presentation Space to String (8)

Copy String to Presentation Space (15)

Copy String to Field (33)

Copy Field to String (34)

XLATE / NOXLATE

Determines the translation of extended attributes (EABs).

XLATE

Translate extended attributes (EABs) into CGA colors.

NOXLATE

Do not translate extended attributes (EABs).

Applies to:

Copy Presentation Space (5)

Copy Presentation Space to String (8)

Copy Field to String (34)

CONLOG / CONPHYS

Specifies which application will be the foreground application when connecting to a session.

CONLOG

After connection, the Windows HLLAPI application remains the foreground application.

CONLOG is the default setting.

CONPHYS

After connection, the specified session becomes the foreground application, updating the session and accepting keyboard input. The Windows HLLAPI application can still access the session (to monitor for a specific event, for example).

To return the foreground control to the Windows HLLAPI application, call Disconnect Presentation Space (2)

Applies to:

Connect Presentation Space (1)

OLDOIA / NEWOIA

Specifies the format for the data returned from Copy OIA (13).

OLDOIA

Data returned in 3270 PC format. With a 5250 emulation, the OIA is always returned in ASCII; therefore, OLDOIA is accepted, but ignored.

NEWOIA

Data is returned in ASCII format.

Applies to:

Copy OIA (13)

NOCFGSIZE / CFGSIZE

Determines the presentation space size returned by Query Sessions (10)

NOCFGSIZE

Returns the current size of the connected presentation space.

CFGSIZE

Returns the configured size of the presentation space, ignoring any override of the presentation space by the host.

Applies to:

Query Sessions (10)

DISPLAY / NODISPLAY

Specifies whether non-display fields will be copied when using:

Copy Presentation Space (5)

Copy Presentation Space to String (8)

Copy OIA (13)

Copy String to Presentation Space (15)

Copy String to Field (33)

Copy Field to String (34)

DISPLAY

Non-display fields are copied to the target buffer in the same manner as display fields.

NODISPLAY

Non-display fields are copied as a string of nulls to the target buffer. This allows applications to display the copied buffer in the presentation window without displaying confidential information, such as passwords.

Applies to:

Copy Presentation Space (5)

Copy Presentation Space to String (8)

Copy String to Presentation Space (15)

Copy String to Field (33)

Copy Field to String (34)

WRITE_SUPER / WRITE_WRITE / WRITE_READ /
WRITE_NONE / SUPER_WRITE / READ_WRITE

Specifies whether a Windows HLLAPI application can or will share the presentation space with another application. The HLLAPI application connected with the presentation space using Connect Presentation Space (1)

WRITE_SUPER

Set by a Windows HLLAPI application that requires write access, and allows only supervisory applications to connect to its presentation space.

WRITE_WRITE

Set by a Windows HLLAPI application that requires write access, and allows other applications that have predictable behavior to connect to its presentation space.

WRITE_READ

Set by a Windows HLLAPI application that requires write access, and allows other applications to use read-only functions on its connected presentation space.

WRITE_NONE

Set by a Windows HLLAPI application that requires exclusive access to the connected presentation space. No other applications, not even supervisory, will have access to its presentation space.

SUPER_WRITE

Set by a Windows HLLAPI supervisory application allowing applications with write access to share the connected presentation space. The application setting this parameter will not cause errors for other application but provides only supervisory-type functions.

READ_WRITE

Set by a Windows HLLAPI application that requires read-only access, and allows other applications that perform read-only functions to connect to its presentation space.

NOKEY/KEY$nnnnnnnn

Allows applications that have sharing requirements to limit access to a partner application (i.e. an application developed to work with it).

NOKEY

Allows the application to be compatible with existing applications that do not specify the KEY parameter.

KEY$nnnnnnn

Specifies the keyword to restrict sharing of the presentation space. The keyword must be exactly 8-bytes long.

9 END :


Function: Start Host Notification (23)

More Information

See Also

This function enables notifying the Windows HLLAPI application of changes in the host session presentation space or Operation Information Area (OIA).

Prerequisite Functions

None.

Function Call

WinHLLAPI (STARTHOSTNOTIFICATION, lpbyString, lpwLength, lpwReturnnCode)

WinHLLAPIAsync (hWnd, STARTHOSTNOTIFICATION, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

A 7-byte string in the following format:

Byte 1 Short name session ID of the desired host session, or a space or null character to indicate the current host session.

Byte 2 Notification mode. P for presentation space update only. O for OIA update only. B for both presentation space and OIA updates. When calling WinHLLAPIAsync, this position should be A.

Bytes 3 - 6 Not used; no error occurs if an old Windows HLLAPI application uses these positions.

Byte 7 Reserved, or fill with one of the following if you are using WinHLLAPIAsync and A in byte 2: P for presentation space update only, O for OIA update only, or B for both presentation space and OIA updates.

Data Length

Length of host event buffer (256 recommended).

PS Position

NA

Return Parameters

Parameters

Description

Data String

A 7-byte string in the following format:

Byte 1 Short name session ID of the desired host session, or a space or null character to indicate the current host session.

Byte 2 Notification mode. P for presentation space update only. O for OIA update only. B for both presentation space and OIA updates. When calling WinHLLAPIAsync, this position should be A.

Bytes 3 - 6 Not used; no error occurs if an old Windows HLLAPI application uses these positions.

Byte 7 Reserved, or fill with one of the following if you are using WinHLLAPIAsync and A in byte 2: P for presentation space update only, O for OIA update only, or B for both presentation space and OIA updates.

Return Codes

Code

Description

WHLLOK

Host notification enabled.

WHLLNOTCONNECTED

Host session is invalid.

WHLLPARAMETERERROR

One or more parameters are invalid.

WHLLSYSERROR

Failed due to a system error.

WHLLCANCEL

Asynchronous function was canceled.

Remarks

Once enabled, host notification is enabled until you call Stop Host Notification (25).

Once you call Start Host Notification, you can use Pause (18) to notify the Windows HLLAPI application when the presentation space or the OIA of a host session have been updated. Use Query Host Update (24) to determine which parts of the host session (presentation space, OIA, or both) have been updated

Asynchronous Mode

When asynchronous mode is enabled by calling WinHLLAPIAsync, the function initiates host notification and immediately returns control to the Windows HLLAPI application. This frees your application to perform other tasks while waiting for host updates.

Because asynchronous mode returns control immediately, you must use the Windows message notification to determine when host updates have occurred. Use the RegisterWindowsMessage ( ) function to register the message WinHLLAPIAsync. See WinHLLAPIAsync for details.

9 END :


Function: Stop Host Notification (25)

More Information | See Also
This function disables notifying the Windows HLLAPI application of changes in the host session presentation space or Operation Information Area (OIA).
Prerequisite Functions
Start Host Notification (23)
Function Call
WinHLLAPI (STOPHOSTNOTIFICATION, lpbyString, lpwLength, lpwReturnnCode)
Call Parameters
Parameter | Description
Data String | Short name session ID of the desired host session, or a space or null character to indicate the current host session.
Data Length | NA (length of one is implied).
PS Position | NA
Return Codes |
Code | Description
WHLLOK | Host notification disabled (function successful).
WHLLNOTCONNECTED | The specified host session is invalid.
WHLLNOTAVAILABLE | Start Host Notification (23) has not been called prior to this function for the specified host session.
WHLLSYSERROR | Failed due to a system error.
Remarks
Once host notification has been disabled, Query Host Update (24) can no longer determine updates to the host session, and host events do not satisfy Pause (18).
9 END :


Function: Wait (4)

More Information

See Also

This function determines whether the host session is in a wait state. If, for some reason, the session is in a wait state, this function causes the Windows HLLAPI application to wait for the an amount of time to see if the wait condition clears. The amount of time to wait is set by session options with Set Session Parameters (9).

Prerequisite Functions

Connect Presentation Space (1) .

Function Call

WinHLLAPI (WAIT, lpbyString, lpwLength, lpwReturnnCode)

WinHLLAPIAsync (hWnd, WAIT, lpbyString, lpwLength, lpwReturnnCode)

Call Parameters

Parameter

Description

Data String

NA

Data Length

NA

PS Position

NA

Return Codes

Code

Description

WHLLOK

Keyboard is unlocked and ready for input.

WHLLNOTCONNECTED

Windows HLLAPI application is not connected to a valid host session.

WHLLPSBUSY

Wait function timed out while still in XCLOCK or XSYSTEM for 3270 terminals; or Input Inhibited for 5250 terminals.

WHLLINHIBITED

Keyboard is locked.

WHLLSYSERROR

Failed due to a system error.

WHLLCANCEL

Asynchronous function was canceled.

Remarks

Wait can be used to provide other functions, such as Send Key (3), enough time to complete or be processed. You can also use Wait to see if the keyboard is inhibited (a return code of 4). However, when the return code is zero, the keyboard is unlocked, and Wait has executed successfully, even though, the original transaction or preceding function may not have finished processing on the host. If there are keywords or prompts you are expecting, use Search Field (30) or Search Presentation Space (6) in combination with Wait.

The length of time that this function will wait is affected by the session options TWAIT, LWAIT, and NWAIT. See Set Session Parameters (9) for details on these session options.

Although both APIs are supported, you should use WinHLLAPIAsync instead of WinHLLAPI whenever possible. Note that if NWAIT is specified, the WinHLLAPIAsync call will work the same as the WinHLLAPI call and not send a message.

9 END :


WinHLLAPI: Working withExtensions

More Information

See Also

The WinHLLAPI: Extensions section describes Application Programming Interface (API) extensions to WinHLLAPI that effect asynchronous communication. The extensions are provided for maximum Microsoft Windows programming compatibility and optimum application performance.

MS Windows Versions

The extensions have been designed for all implementations and versions of the Microsoft Windows graphical environment beginning with Microsoft Windows version 3.0. They provide for WinHLLAPI implementations and applications in 16- and 32-bit operating environments.

Multithread Processes

WinHLLAPI allows multithreaded Windows-based processes. A process contains one or more threads of execution. In the non-multithreaded world of the 16-bit Windows environment, a task corresponds to a process with a single thread. All references to threads in this document refer to actual threads in multithreaded Windows environments. In non-multithreaded environments, such as the Windows version 3.0 graphical environment, "thread" is synonymous with "process."

WHLLAPI.H Header File

Each extension function call has a corresponding prototype in the WHLLAPI.H header file.

Supported Extensions

Four extensions are provided by FutureSoft WinHLLAPI:

  • WinHLLAPIStartup

  • WinHLLAPIAsync

  • WinHLLAPICancelAsyncRequest

  • WinHLLAPICleanup

In addition, four more extensions are supported by FutureSoft WinHLLAPI. These extensions work specifically with 16-bit WinHLLAPI applications.

  • WinHLLAPISetBlockingHook

  • WinHLLAPICancelBlockingCall

  • WinHLLAPIISBlocking

  • WinHLLAPIUnhookBlockingHook

9 END :


Extensions: WinHLLAPIStartup ( )

More Information

See Also

This function allows an application to specify the version of WinHLLAPI required and to retrieve details of the specific WinHLLAPI implementation.

Note

This function must be called by an application before issuing any further WinHLLAPI calls to register itself with a WinHLLAPI implementation.

Syntax

int WinHLLAPIStartup (WORD wVersionRequired, LPWHLLAPIDATA lpData)

Remarks

For this release of FutureSoft WinHLLAPI, 1.1 is the correct version number.

In order to support future WinHLLAPI implementations and applications that may have functionality differences from WinHLLAPI version 1.1, a negotiation takes place in WinHLLAPIStartup ( ). An application passes to WinHLLAPIStartup ( ) the WinHLLAPI version of which it can take advantage. If this version is lower than the lowest version supported by the WinHLLAPI DLL, the DLL cannot support the application and the WinHLLAPIStartup ( ) call fails. Otherwise, the call succeeds and returns the highest version of WinHLLAPI supported by the DLL. If this version is lower than the lowest version supported by the application, the application either fails its initialization or attempts to find another WinHLLAPI DLL on the system.

This negotiation allows both a WinHLLAPI DLL and a WinHLLAPI application to support a range of WinHLLAPI versions. An application can successfully use a DLL if there is any overlap in the versions. The following chart gives examples of how WinHLLAPIStartup ( ) works in conjunction with different application and DLL versions:

Details of the actual WinHLLAPI implementation are described in the WHLLAPIDATA structure defined as follows:

typedef struct tagWHLLAPIDATA {

WORD wVersion;

char szDescription[WHLLDESCRIPTION_LEN+1];

} WHLLAPIDATA, * PWHLLAPIDATA, FAR * LPWHLLAPIDATA;

App Versions

DLL Versions

To WinHLLAPI Startup

From WinHLLAPI Startup

Result

1.0

1.0

1.0

1.0

use 1.0

1.0 2.0

1.0

2.0

1.0

use 1.0

1.0

1.02 2.0

1.0

2.0

use 1.0

1.0

2.0 3.0

1.0

WHLLINVALID

fail

2.0 3.0

1.0

3.0

1.0

app fails

1.0 2.0 3.0

1.0 2.0 3.0

3.0

3.0

use 3.0

Having made its last WinHLLAPI call, an application should call the WinHLLAPICleanup ( ) routine.

Parameter

Type

Description

wVersionRequired

WORD

Specifies the version of WinHLLAPI support required. The high order byte specifies the minor version (revision) number; the low-order byte specifies the major version number. For this release of WinHLLAPI, 1.1 is the correct version number.

lpData

Structure

Containing information about the underlying WinHLLAPI DLL implementation. The first wVersion field has the same structure as the wVersionRequired parameter and the szDescription field contains a string identifying the vendor of the WinHLLAPI DLL. The description field is only meant to provide a display string for the application and should not be used to programmatically distinguish between WinHLLAPI implementations.

Returns

The return value indicates whether the application registered successfully and whether the WinHLLAPI implementation can support the specified version number. It is zero if it registered successfully and the specified version can be supported; otherwise, it is one of the following return codes:

WHLLSYSNOTREADY Indicates that the underlying network subsystem is not ready for network communication.

WHLLVERNOTSUPPORTED The version of WinHLLAPI support requested is not provided by this particular WinHLLAPI implementation.

WHLLINVALID The WinHLLAPI version specified by the application is not supported by this DLL.

Windows HLLAPI Supplier Notes

Each WinHLLAPI implementation must make a WinHLLAPIStartup ( ) call before issuing any other WinHLLAPI calls. This function can thus be used for initialization purposes.

See Also

WinHLLAPICleanup ( )

9 END :


Extensions: WinHLLAPIAsync ( )

More Information

See Also

This function provides an asynchronous flavor to the following HLLAPI functions: WAIT, STARTHOSTNOTIFICATION, SENDFILE, and RECEIVEFILE. You should use WinHLLAPIAsync ( ) instead of the blocking versions of these functions.

Syntax

HANDLE WinHLLAPIAsync (hWnd, lpwFunction, lpbyString, lpwLength, lpwReturnCode);

When the asynchronous operation is complete, and when WinHLLAPIAsync or WinHLLAPIAsyncFileTransfer is an input string to RegisterWindowMessage, RegisterWindowMessage sends a message to the application's window hWnd.

For WAIT and STARTHOSTNOTIFICATION the wParam argument contains the asynchronous task handle as returned by the original function call.

The high 16 bits of lParam contain any error code. The error code may be any error as defined in WHLLAPI.H. An error code of zero indicates successful completion of the asynchronous function. The low 16 bits contains the original function number.

For SENDFILE and RECEIVEFILE, the wParam and lParam contain status information. See the Asynchronous Mode section of Send File (90) and Receive File (91) for details.

Returns

The return value specifies whether the asynchronous resolution request was successful.

It is nonzero if the operation was successful and the actual return value is an asynchronous task handle that can be subsequently used to cancel the asynchronous resolution request if necessary. It is zero if the function failed.

The asynchronous function can be canceled at any time by passing the handle returned by WinHLLAPIAsync to WinHLLAPICancelAsyncRequest ( ).

WinHLLAPI Supplier Notes

The WinHLLAPI supplier must ensure that messages are successfully posted to the application. If a PostMessage ( ) operation fails, the Windows HLLAPI implementation must re-post that message.

See Also

WinHLLAPICancelAsyncRequest ( )

9 END :


Extensions: WinHLLAPICancelAsyncRequest ( )

More Information |  |  | See Also
This function cancels an outstanding request based on WinHLLAPIAsync ( ).
Syntax
int WinHLLAPICancelAsyncRequest (HANDLE hAsyncTaskID, WORD wFunction) An asynchronous task previously initiated by issuing one of the WinHLLAPIAsync ( ) functions can be canceled prior to completion by issuing the WinHLLAPICancelAsyncRequest ( ) function and by specifying the asynchronous task ID that is returned in the initial function in the hAsyncTaskID parameter and the WinHLLAPI function number.
Parameter | Type | Description
hAsyncTaskID | HANDLE | Specifies the asynchronous task to cancel.
wFunction | WORD | Specifies the function number to cancel.
Returns
The return value specifies whether the original asynchronous request was canceled. It is zero if the request was canceled; otherwise, it is one of the following return codes: WHLLINVALID Indicates that the specified asynchronous task ID was invalid. WHLLALREADY The asynchronous routine being canceled has already completed.
Remarks
Should an attempt to cancel an existing asynchronous WinHLLAPIAsync ( ) routine fail with an error code of WHLLALREADY, it can be for one of two reasons. First, the original routine has already completed and the application has dealt with the resultant message. Or second, the original routine has already completed, but the resultant message is still waiting in the application window queue.
See Also
WinHLLAPIAsync ( ) WinHLLAPICancelBlockingCall ( )
9 END :


Extensions: WinHLLAPICleanup ( )

More Information

See Also

This routine should be called by an application to de-register itself from a Windows HLLAPI implementation.

Syntax

BOOL WinHLLAPICleanup (void)

Returns

The return value indicates whether the de-registration was successful. It is non-zero if the application was successfully deregistered; otherwise, it is zero.

Windows HLLAPI Supplier Notes

Use the WinHLLAPICleanup ( ) call to indicate deregistration of a Windows HLLAPI application from a Windows HLLAPI implementation. This function can be used, for example, to free up resources allocated to the specific application.

See Also

WinHLLAPIStartup ( )

9 END :


Extensions: WinHLLAPIIsBlocking ( )

More Information

See Also

Note

This extension is specific to 16-bit environments and is provided only for compatibility with existing HLLAPI applications.

This function allows a task to determine if it is executing while waiting for a previous blocking call to complete.

Returns

This function always returns FALSE. See the note above.

9 END :


Extensions: WinHLLAPICancelBlockingCall ( )

More Information

See Also

Note

This extension is specific to 16-bit environments and is provided only for compatibility with existing HLLAPI applications.

This function cancels any outstanding blocking operation for its thread. Any canceled outstanding blocked call will cause an error code of WHLLCANCEL. Examples of blocking calls are WinHLLAPI with the function number set to GETKEY, WAIT, PAUSE, SENDFILE or RECEIVEFILE. You should use WinHLLAPIAsync ( ) instead of the blocking versions of these functions.

Under Windows NT, a multi-threaded application may have multiple blocking operations outstanding; but only one per thread. To distinguish between multiple outstanding calls, WinHLLAPICancelBlockingCall cancels the outstanding operation on the current (or calling) application thread if one exists; otherwise, it fails. By default under Windows NT, WinHLLAPI will suspend the calling application thread while an operation is outstanding. As a result, the thread on which the blocking operation was initiated will not regain control (and hence will not be able to issue a call to WinHLLAPICancelBlockingCall) unless a blocking hook is registered for the thread using WinHLLAPISetBlockingHook.

Returns

This function always returns WHLLINVALID. See the note above.

9 END :


Extensions: WinHLLAPISetBlockingHook ( )

More Information

See Also

Note

This extension is specific to 16-bit environments and is provided only for compatibility with existing HLLAPI applications.

This function installs a new function that a WinHLLAPI Implementation should use to implement blocking HLLAPI function calls.

Returns

This function always returns NULL. See the note above.

9 END :


Extensions: WinHLLAPIUnhookBlockingHook ( )

More Information

See Also

Note

This extension is specific to 16-bit environments and is provided only for compatibility with existing HLLAPI applications.

This function removes any previous blocking hook that has been installed and reinstalls the default blocking mechanism.

Returns

This function always returns TRUE. See the note above.

See Also

WinHLLAPISetBlockingHook ( )

9 END :


IBM: OEM Data Stream Format

You can use the Write Structured Field Read Partition Query command to determine if DynaComm is presently connected to your system. The following reply type is added when it is present: The data is in hexadecimal and EBCDIC.
OEM Auxiliary Device Reply
Field Name | Offset (Decimal) | Description
SFLEN | +0 | Structured field length.
x'818F' | +2 | Structured field ID.
x'0000' | +4 | Reserved field.
'DYNA32 ' | +6 | Device Type. This field will always contain the value DYNA32 with a trailing blank in EBCDIC.
OSID | +14 | O/S Type. This field contains the operating system name padded with blanks in EBCDIC. The current values are: DOS3, WIN3, OS2.
x'04010000' | +22 | Reserved field.
SUBLEN | +26 | Subfield length, the length of the subfield that follows. The field will usually have a minimum length of 12.
x'FF' | +27 | Subfield ID. This value identifies the subfield as a DynaComm type.
MAJ_VER | +28 | Major Version Number. This one byte value identifies the major version number.
MIN_VER | +29 | Minor Version Number. This one byte value identifies the minor version number.
SYSFLG1 | +30 | System Flag 1. All reserved for future use.
SYSFLG2 | +31 | System Flag 2. All reserved for future use.
NETADDR | +32 | Network Address. This field contains the TCP/IP network address of the workstation in network byte order. Although the field is 10 bytes long, only the first 4 bytes are used.
LOGINNAME | +42 | Not used.
X'00' | +42+LL | Null terminator. This null byte terminates the LOGINNAME field and is always present.
9 END :


IBM: The Operator Information Area (OIA)

DynaComm displays the Operator Information Area, or OIA, in an area at the bottom of the session window. The OIA contains information about the state of the current session.

4-_ X-SYSTEM A Sess-1 ^ LU1234 #§ rr/cc

Within the OIA, the following indicators may occur:
X (Clock) | Keyboard Locked. The keyboard is locked since an attention (AID) generating key was pressed.
X SYSTEM | Keyboard Locked. This OIA indicator warns that the keyboard is locked. The Reset key must be pressed before any other operation can take place.
X Num | Keyboard Locked. You attempted to enter a non-numeric character in a numeric field.
X <-‡-> | Keyboard Locked. Go elsewhere. You cannot enter data at the current location. Move the cursor to an unprotected field.
PROGxxx | A severe error has occurred in the 3270 data stream. Consult the IBM 3270 manual or 3x74 manual for a description of error codes. For example, PROG505 means that the host is unavailable.
A | Session Short Name. Column 19 contains the short name assigned to the session. If the value is numeric, the EHLLAPI Short Name was not assigned to the profile name.
Sess-1 | Session Long Name. Column 21 in the OIA is the session long name. This is an eight character name identifying which session you are currently viewing. You can change this string in the Long Name edit text box on the Session tab of the IBM 3270 emulation tab in the Session Properties dialog box. The default value is SESS3270 for the TN3270 Client Option and SESS5250 for the TN5250 Client Option.
^ | Insert Mode. This indicator shows whether insert mode is active. To reset insert mode, press the Insert key again, the Reset key, or any AID generating keys. The AID, or attention identifier, generating keys are: Enter, PA1, PA2, PA3, Clear, and PF1 to PF24.
MW | Message Waiting indicator for 5250 mode.
LU1234 | LU Name. Column 58 contains the LU Name, not an LU pool name, if configured in the Session tab the 3270 emulation in this session window.
# | Numeric Field. Column 72 contains a pound sign if the field at the cursor location is a numeric field.
§ | Operator Selectable Field. Column 73 contains this character if the field at the cursor location is operator selectable.
rr/cc | Cursor Location. The cursor position is displayed as row and column values, where the uppermost and leftmost position is 1/1.
9 END :


IBM: Special Characters for Printer Functions

Below are the special character codes for printer functions. Escape and binary codes are entered via the C-style syntax using the backslash character ( \ ). Inline spaces are treated as part of the sequence.
Character Codes | Printer Function
\a | Bell (alert)
\b | Backspace
\e | Escape
\f | Form feed
\n | Newline
\r | Carriage Return
\t | Horizontal Tab
\v | Vertical Tab
\' | Single quotation mark
\" | Double quotation mark
\\ | Backslash
\xhh | ASCII character in hexadecimal notation
The sequence \xhh allows you to specify any ASCII character as a hexadecimal number. For example, you can send the ASCII backspace character as the C-style escape sequence ( \b ), or you can enter it as \x08 . You must use at least one digit for a hexadecimal escape sequence, but you can omit the second digit. Therefore, you can specify the hexadecimal escape sequence for the backspace as either \x8 or \x08 .
Control sequences are entered using the caret format. For example, to enter a Ctrl+A value, you would type ^A . To enter a caret, enter the caret character twice. Example: ^^ .
9 END :


IBM: Supported SCS Control Sequences

The table below is a list of supported SCS (SNA Character String) control sequences.
Function | EBCDIC Hexadecimal Codes | Description
BEL | 2F | Bell
CR | 0D | Carriage return
FF | 0C | Form feed
GE | 08 xx | Graphic escape
HT | 05 | Horizontal tab
IRS | 1E | Interchange record separator
LF | 25 | Linefeed
NL | 15 | Newline
NUL | 00 | Null
RFF | 3A | Required form feed
RNL | 06 | Required newline
SA | 28+ | Set attribute
SHF | 2B C1+ | Set horizontal format
SLD | 2B C6+ | Set line density
SPD | 2B+ | Set print density
SVF | 2B C2+ | Set vertical format
TRN | 35+ | Transparency block
ATRN | 36 | Absolute transparency
VT | 0B | Vertical tab
9 END :


IBM: Tracing TN3270 or TN5250 Emulations

DynaComm’s tracing facility allows you to trace a session so that you or a FutureSoft Support Analyst can resolve problems in a session with a remote system. To configure a trace, select the Trace tab in the Session Properties dialog. To play back a binary trace, select the Trace Play connector on the Connectors tab of the Session Properties dialog.

Whenever you use DynaComm’s trace facility, either to record a trace or to playback a binary trace for the IBM 3270 and the IBM 5250 emulations, check Block Mode on the Trace tab and Block Mode File on the tab for the Trace Play connector. If you do not check these boxes, the trace may not record or playback properly.

See Also

  • Trace tab

  • Trace Play connector

  • Steps to set up a trace session for a terminal in Block mode

  • Steps to set up a trace session for a terminal not in Block mode

  • Steps to playback a session trace

9 END :


TN3270 Print: Working with Configuration Options

To determine if the TN3270 Print module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the TN3270 Print module is installed, you should see the following listed:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\3270.flx

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\tn3270e.dll

To configure a session to emulate a TN3270 Print session, begin by clicking IBM 3270 Print in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Four sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties for a TN3270 Print session.

The four sub-tabs used to configure the TN3270 Print emulation are:

  • General options

  • Session options

  • Page Layout options

  • Transparency options

9 END :


TN3270 Print Configuration Options: General Sub-tab

Session > Properties > Emulations > [IBM 3270 Print] > General

The General tab contains options related to formatting print outs with the TN3270 Print terminal emulation. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

Host SCS Formatting Orders group

  • Will Be Ignored

Select to allow the 3270Print emulation to ignore most SCS (SNA Character String) formatting for an LU1 printer, except for carriage return and line feed characters.

  • Will Be Recognized

Select to allow the print job to be formatted as the remote system intended. After a print job, the print settings (such as tabs stops, vertical tabs, and margins) are reset to values as if the printer had just powered on.

Default selection

Add Form Feed Before Print Job

Select to allow the 3270Print emulation to add a blank page to the beginning of each job. The 3270 Print emulation adds an ASCII form feed (the FF character, or hexadecimal 0C) to the print job.

Clear to not add a form feed.

Default: Cleared

Add Form Feed After Print Job

Select to allow the 3270Print emulation to append a blank page to the end of each job. The 3270 Print emulation adds an ASCII form feed (the FF character, or hexadecimal 0C) to the print job.

Clear to not add a form feed.

Default: Cleared

Suppress Initial Form Feed

Select to allow the 3270Print emulation to discard the first form feed at the beginning of a print job. Many remote systems include a form feed at the beginning of a print job to align the printer. When printing through Windows, the alignment is automatic, and the initial form feed is generally superfluous.

Clear to not add a form feed.

Default: Cleared

Print Upper Case Only

Select to force all characters to their uppercase equivalent. This will not affect special characters, such as accented characters.

Clear to have printed output contain upper- and lowercase characters.

Default: Cleared

Print Blank Lines

Select to allow the 3270Print emulation to print a blank line when it encounters lines that contain only null characters.

Clear so that blank lines do not print.

Default: Selected

Wrap Text At Right Margin

Select to have characters outside the right margin print on the next line.

Clear so that characters beyond the right margin will not be printed.

The 3270Print emulation starts printing the excess characters at the beginning of the next line. The factors which determine whether some character in a line will print outside the right margin are the number of characters in the line, the size of the printed characters, and the number of characters allowed in a line on a printed page . The font setting in the Print Setup dialog determines the size of the characters. The value in Characters Per Line in the Page Layout tab determines the number of characters allowed in a line on the printed page.

Default: Selected

9 END :


TN3270 Print Configuration Options: Page Layout Sub-tab

Session > Properties > Emulations > [IBM 3270 Print] > Page Layout

The Page Layout tab contains options related to formatting margins and pages with the TN3270 Print terminal emulation. The table below lists all options on the Page Layout tab with a description of each.

Use this option

in this manner . . .

Margins (inches) group

  • Top

  • Bottom

  • Left

  • Right

Select a decimal number in each of the text boxes (Top, Left, Right, and Bottom) to place the print job on a physical page.

The value in each text box must be in the range of 0.0 to 22.0 inches. However, as a practical matter, the values should be within the smallest margin that the printer can allow. For example, some laser printers might have a minimum margin of 0.3 inch for sheets of paper and 0.6 inch for envelopes.

Default: 0.5 inch

Page Format group

  • Lines Per Page

  • Characters Per Line

Enter an integer in Lines Per Page and Characters Per Line.

These values control the format of the printout. The value in each text box must be in the range of 1 to 200; however, the size of the characters and print media will dictate the values in the text boxes.

Default: 60 lines per page

Default: 132 characters per line

9 END :


TN3270 Print Configuration Options: Session Sub-tab

Session > Properties > Emulations > [IBM 3270 Print] > Session

The Session tab contains options related to configuring a session with the TN3270 Print terminal emulation. The table below lists all options on the Session tab with a description of each.

Use this option

in this manner . . .

Long Name

Enter up to eight characters to describe the session and connection.

This name is not required.

Default: Cleared

Items for Telnet Connection Only group

LU Name

Enter up to eight characters for a printer session.

The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required, and if the edit box is empty, the remote system will assign a pooled LU if one is available.

Default: Cleared

Printer Connect Method

Select one of the following:

  • When you select Connect, the name in LU Name specifies the actual name of an LU device for the print session. The remote system will reject the connection if the LU name is not a valid LU name on its system, if the LU name and device request do not match, or if the device represented by the LU name is busy.

  • When you select Associate, the name in LU Name specifies the LU of a display session. The remote system assigns a unique print session LU to each display LU.

Default: Connect

Character Set group

[list]

Select a character set to determine how characters are translated between DynaComm and the remote system.

Choose a character set from one of the following:

Austrian/German
Austrian/German CECP
Belgian
Belgian CECP
Canadian Bilingual
Canadian Bilingual CECP
Danish
Danish CECP
English-UK
English-US
English-US (old)
English-US C370 CECP
English-US C370 CECP V2 (default)
English-US CECP
Finnish
Finnish CECP
French
French CECP
Italian
Italian CECP
Netherlands
Netherlands CECP
Norwegian
Norwegian CECP
Portuguese
Portuguese CECP
Spanish CECP
Spanish Speaking
Spanish Speaking CECP
Swedish
Swedish CECP
Swiss French
Swiss French CECP
Swiss German
Swiss German CECP

Default: English-US C370 CECP V.2

9 END :


TN3270 Print Configuration Options: Transparency Sub-tab

Session > Properties > Emulations > [IBM 3270 Print] > Transparency

The Transparency tab contains options related to formatting margins and pages with the TN3270 Print terminal emulation. The table below lists all options on the Transparency tab with a description of each.

Use this option

in this manner . . .

Enable Printer Transparency

Select to bypass the Windows printer driver for the printer selected in the Print Setup dialog (File > Print Setup) and to send the print job directly to the printer.

Clear to use the Windows printer driver.

When selected, DynaComm will also send to the printer any printer formatting commands contained in the print job’s SCS Transparency Blocks.

Default: Cleared

Printer Initialization String

Printer Deinitialization String

Enter an escape sequence in each text box that is valid for the printer that you have configured in the Print Setup dialog.

The escape sequences are the instructions to start a print job (Printer Initialization String) and to end a print job (Printer Deinitialization String). Each string can contain up to 255 characters.

Enter each character of the escape sequence as a two digit, hexadecimal number and separate each pair of digits with a space. For example, with a PCL printer, the following escape sequence will eject a page and then reset the printer:

Esc &l0H Esc E

where Esc is the escape character. The hexadecimal representation of the above escape sequence is:

1b 26 6c 30 48 1b 45

Note

  • The spaces in the example immediately above are required to separate the hexadecimal numbers. If a space were a part of the escape sequence, the hexadecimal representation of the space should be entered. The hexadecimal representation of a space character is 20.

  • For a complete list of characters and their hexadecimal representation, see the ASCII Character Set and the ANSI Character Set.

9 END :


TN5250 Terminal & 5250 Print Emulations

Note

These emulations are not part of the core DCS product. They are only available if you have purchased and installed the TN5250 Client Option.

Selecting the IBM 5250 or IBM 5250 Print button in the Emulations tab of the Session Properties dialog enables the TN5250 terminal emulation or 5250 Print emulation, respectively. The following reference information is available for the TN5250 & 5250 Print emulations:

Section

Description

General Information and Support

An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.

Configuration Parameters for

TN5250 Emulation

TN5250 Print Emulation

Describes each configurable option for the emulation.

For the TN5250 terminal emulation, the options are located on seven sub-tabs on the Emulations tab of the Session Properties dialog.

For the TN5250 Print emulation, the options are located on two sub-tabs on the Emulations tab of the Session Properties dialog.

Map Files

Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.

Scripting Parameter Values

A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


TN5250: General Information and Support

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing section and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the TN5250 F1 terminal key. If you prefer F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

9 END :


TN5250 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The text is enclosed in { } (curly braces) to indicate a meta-key function. The table below shows the Meta Strings to use with the TN5250 emulation. Only the keys or functions shown below are supported as Meta Strings.

Note

  • In each emulation, the Meta String text used may vary, even if the key performs a similar function.

  • The information below does not apply to the 5250 Print emulation.

TN5250 Terminal Key or Terminal Function | Meta String
Return Key | Return
Tab Key | Tab
Backspace Key | BkS
Clear Key | Clear
Home Key | Home
Left Arrow Key | Left
Right Arrow Key | Right
Up Arrow Key | Up
Down Arrow Key | Down
Insert Key | Insert
Delete Key | Delete
PF1 key | PF1
PF2 key | PF2
PF3 key | PF3
PF4 key | PF4
PF5 key | PF5
PF6 key | PF6
PF7 key | PF7
PF8 key | PF8
PF9 key | PF9
PF10 key | PF10
PF11 key | PF11
PF12 key | PF12
PF13 key | PF13
PF14 key | PF14
PF15 key | PF15
PF16 key | PF16
PF17 key | PF17
PF18 key | PF18
PF19 key | PF19
PF20 key | PF20
PF21 key | PF21
PF22 key | PF22
PF23 key | PF23
PF24 key | PF24
Newline | NewLn
Backtab | BkT
Field Mark | FldMk
Duplicate | Dup
Reset | Reset
Delete Word | DWord
Erase Input | ErInp
Previous Word | PrevW
Next Word | NextW
PA1 | PA1
PA2 | PA2
PA3 | PA3
Double Left | DbL
Double Right | DbR
System Request | SysReq
Attention | Attn
Erase to End of Field | ErEof
Move to End of Field | MEOF
Double Up | DbU
Double Down | DbD
Test Request | TReq
Field Exit | FExit
Field Plus | FPlus
Field Minus | FMinus
Roll Up | RollUp
Roll Down | RollDown
Print | Print
Help | Help
Record Backspace | RBS
Cursor Select | CrSel
Logical NOT | LogNot
Logical OR | LogOr
Cent | Cent
Enter key | Enter
Destructive Field Backspace | DsFldBS
9 END :


TN5250: Working with Configuration Options

To determine if the TN5250 terminal module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the TN5250 terminal module is installed, you should see the following listed:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\5250.flx

To configure a session to emulate a TN5250 terminal, begin by clicking IBM 5250 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of a TN5250 terminal.

The seven sub-tabs used to configure the TN3270 emulation are:

  • General options

  • Session options

  • Advanced options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


TN5250 Configuration Options: General Sub-tab

Session > Properties > Emulations > [IBM 5250] > General

The General tab contains options related to configuring terminal options with the TN5250 terminal emulation. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

5250 Model group

  • Model 2 (24x80)

  • Model 5 (27x132)

Select a model to designate the terminal type.

The numbers in parentheses indicate the number of columns and rows in the model’s terminal session.

Default: Model 2

Sound

Select to enable sounds when the remote system utilizes the bell function of the terminal. As a default, sounds are produced when the remote system directs.

Clear to disable sound capability.

Default: Cleared

Notify (Update Alarm)

Select to enable the bell sound when the contents of the session window change and the session window is not the in-focus (or highlighted) window.

Clear to disable the bell sound when the contents of a non-active session window change.

Default: Cleared

Type Ahead

Select to enable the type-ahead capability when the remote system is not accepting new keyboard data.

Clear to disable type-ahead.

Default: Selected

Note

  • If you have remapped Ctrl+H or are using a keyboard mapping other than the default keyboard mapping in the emulation, Ctrl+H may not clear the type-ahead buffer.

  • If you want to clear the buffer that the type-ahead function uses, press Ctrl+H.

Delay

Enter an integer to specify the type-ahead delay in milliseconds.

Default: 300

9 END :


TN5250 Configuration Options: Session Sub-tab

Session > Properties > Emulations > [IBM 5250] > Session

The Session tab contains options related to configuring a session with the TN5250 terminal emulation. The table below lists all options on the Session tab with a description of each.

Use this option

in this manner . . .

Long Name

Enter up to eight characters to describe the session and connection.

The characters in this edit box appear in the Operator Information Area (OIA) of the session window in order to provide a distinction from other open sessions. This name is not required.

Default: Blank

TN5250E Options group

Device Name

Enter up to eight characters for a printer session.

The name is not case sensitive. It cannot contain of special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required. The remote system assigns a default name if left blank. If you have problems assigning a name, contact your AS/400 administrator.

Default: Blank

User Name

If user login is required, type the user name in this field.

Default: Blank

Password

If user login is required and password protected, type the password in this field.

Default: Blank

Character Set list

[list]

Select the name of a character set to determine how characters are translated between your emulation session and the remote system.

Austrian/German
Austrian/German CECP
Belgian
Belgian CECP
Canadian Bilingual
Canadian Bilingual CECP
Danish
Danish CECP
English-UK
English-US
English-US (old)
English-US C370 CECP
English-US C370 CECP V2 (default)
English-US CECP
Finnish
Finnish CECP
French
French CECP
Italian
Italian CECP
Netherlands
Netherlands CECP
Norwegian
Norwegian CECP
Portuguese
Portuguese CECP
Spanish CECP
Spanish Speaking
Spanish Speaking CECP
Swedish
Swedish CECP
Swiss French
Swiss French CECP
Swiss German
Swiss German CECP

Default: English-US C370 CECP V.2

9 END :


TN5250 Configuration Options: Advanced Sub-tab

Session > Properties > Emulations > [IBM 5250] > Advanced

The Advanced tab contains options related to handling of certain characters and setting up an interface with HLLAPI with the TN5250 terminal emulation. The table below lists all options on the Advanced tab with a description of each.

Use this option

in this manner . . .

All Uppercase

Select to have all alphabetic characters display in uppercase.

Clear to display alphabetic characters as they appear as the remote system intends them.

Default: Cleared

Display Nulls

Select to display null characters in unprotected fields as centered dots. Checking the box only affects the display of data in the session window. It does not affect the data sent to the host system.

Clear to leave null characters hidden in the session window.

Default: Cleared

Graphical OIA

Select to display the information contained in the Operator Information Area (OIA) with a special font containing characters apropos to the OIA.

Clear to use characters from the ANSI character set for the display characters in the OIA.

Default: Selected

For more information about the OIA, see Understanding the Operator Information Area.

For more information about the ANSI character set, see the ANSI Character Set.

HLLAPI group

Enable HLLAPI

Select to enable HLLAPI (EHLLAPI and WinHLLAPI) functionality.

Clear to disable HLLAPI (EHLLAPI and WinHLLAPI) functionality.

Default: Cleared

Convert Nulls to Spaces

Select to convert in-stream HLLAPI null characters to space characters.

Clear to not convert the HLLAPI data stream coming from the remote system.

Default: Cleared

PS Short Name

Select a short name (A-Z) to associate with a session file.

No two active sessions may share the same PS Short Name. Therefore, you may have a maximum of 26 active sessions that use Short Names.

Note

  • You must associate a session with a PS Short Name to allow DynaComm to react correctly when DynaComm receives a WinHLLAPI command, such as the WinHLLAPI command ConnectPS, or to allow DynaComm to automate operations from EHLLAPI. With this association, HLLAPI (WinHLLAPI or EHLLAPI) can connect a session when a HLLAPI application issues a ConnectPS command, and without you needing to manually start DynaComm or a session before you start the HLLAPI application.

  • A single session file can be associated with only one PS Short Name. If you want two similar sessions with different PS Short Names, make a copy of the session file under another name and assign the second session a different PS Short Name.

  • If you attempt to open a session which has the same Short Name as an existing, active session, you will be asked if the session may be opened with a different Short Name. DynaComm will select the new short name automatically.

Click to display the HLLAPI Auto Launch dialog box.

See HLLAPI Auto-Launch Configuration for more information.

9 END :


TN5250: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the TN5250 terminal emulation, the following map files are available:

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


TN5250 Map Files: Attributes

Note

The information below does not apply to 5250 Print emulation.

Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files.

The [default] TN5250 attribute map file has the following mappings established:

Host Attribute | Color
 | Fore | Back
(20) Green | green | black
(21) Reverse Green | black | green
(22) White | white | black
(23) Reverse White | black | white
(24) Underscore Green | green | black
(25) Underscore Reverse Green | black | green
(26) Underscore White | white | black
(27) Invisible | black | black
(28) Red | red | black
(29) Reverse Red | black | red
(2A) Blink Red | red | black
(2B) Reverse Blink Red | black | red
(2C) Underscore Red | red | black
(2D) Underscore Reverse Red | black | red
(2E) Underscore Blink Red | red | black
(2F) Invisible | black | black
(30) Column Sep Turquoise | lt. blue | black
(31) Reverse ColSep Turquoise | black | lt. blue
(33) Column Sep Yellow | yellow | black
(33) Reverse ColSep Yellow | black | yellow
(34) Underscore Column Sep Turquoise | lt. blue | black
(35) Reverse Underscore ColSep Turquoise | black | lt. blue
(36) Underscore ColSep Yellow | yellow | black
(37) Invisible | black | black
(38) Pink | magenta | black
(39) Reverse Pink | black | magenta
(3A) Blue | blue | black
(3B) Reverse Blue | black | blue
(3C) Underscore Pink | magenta | black
(3D) Reverse Underscore Pink | black | magenta
(3E) Underscore Blue | blue | black
(3F) Invisible | black | black
9 END :


TN5250 Map Files: Character Translations

Note Does not apply to 5250 Print emulation.
Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] TN5250 character translation map file has the following mappings established:
Host to Display |  | Display to Windows
Host | Display | Display | Windows
FS437 FS850 | FSANSI FSCOMP1 FSCOMP2 FSOIA FSIBMAPL | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


TN5250 Map Files: Hotspots

Note

Does not apply to 5250 Print emulation.

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] AT&T 4425 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | PF1 | Terminal key PF1
F2 | PF2 | Terminal key PF2
F3 | PF3 | Terminal key PF3
F4 | PF4 | Terminal key PF4
F5 | PF5 | Terminal key PF5
F6 | PF6 | Terminal key PF6
F7 | PF7 | Terminal key PF7
F8 | PF8 | Terminal key PF8
F9 | PF9 | Terminal key PF9
F10 | PF10 | Terminal key PF10
F11 | PF11 | Terminal key PF11
F12 | PF12 | Terminal key PF12
F13 | PF13 | Terminal key PF13
F14 | PF14 | Terminal key PF14
F15 | PF15 | Terminal key PF15
F16 | PF16 | Terminal key PF16
F17 | PF17 | Terminal key PF17
F18 | PF18 | Terminal key PF18
F19 | PF19 | Terminal key PF19
F20 | PF20 | Terminal key PF20
F21 | PF21 | Terminal key PF21
F22 | PF22 | Terminal key PF22
F23 | PF23 | Terminal key PF23
F24 | PF24 | Terminal key PF24
PA1 | PA1 | Terminal key PA1
PA2 | PA2 | Terminal key PA2
PA3 | PA3 | Terminal key PA3
9 END :


TN5250 Map Files: Keyboard

Note

When Num Lock is active, keys on the Number Pad (or Num Pad) will behave as a normal key on a PC keyboard instead of as a function or key from a terminal’s keyboard.

IBM 5250 Keyboard

IBM PC Keyboard

Description

Attention

Escape

SNA Attention key

Backspace

Backspace

Moves the cursor left one column and deletes character

Cent ( c )

Ctrl c

Clear

Pause

Clears the screen

Cursor Down

Down Arrow
(101 keys)

Moves cursor down one row

Down Arrow
(Num Pad)

Shift Down Arrow
(Num Pad)

Cursor Down, Fast

Alt Down Arrow
(101 keys)

Moves cursor down two rows

Alt Down Arrow
(Num Pad)

Shift Alt Down Arrow
(Num Pad)

Cursor Home

Home
(101 keys)

Moves cursor to the first unprotected field on the screen

Home
(Num Pad)

Shift Home
(Num Pad)

Cursor Left

Left Arrow
(101 keys)

Moves cursor left one column

Left Arrow
(Num Pad)

Shift Left Arrow
(Num Pad)

Cursor Left, Fast

Shift Left Arrow
(101 keys)

Moves cursor left two columns

Alt Left Arrow
(101 keys)

Alt Left Arrow
(Num Pad)

Shift Alt Left Arrow
(Num Pad)

Cursor Right

Right Arrow
(101 keys)

Moves cursor right one column

Right Arrow
(Num Pad)

Shift Right Arrow
(Num Pad)

Cursor Right, Fast

Shift Right Arrow
(101 keys)

Moves cursor right two columns

Alt Right Arrow
(101 keys)

Alt Right Arrow
(Num Pad)

Shift Alt Right Arrow
(Num Pad)

Cursor Select

Alt F3

Selects a cursor in light pen emulation

Cursor to End of Field
(MEOF)

End

Moves cursor to the end of the current field

Cursor Up

Up Arrow
(101 keys)

Moves cursor up one row

Up Arrow
(Num Pad)

Shift Up Arrow
(Num Pad)

Cursor Up, Fast

Alt Up Arrow
(101 keys)

Moves cursor up two rows

Alt Up Arrow
(Num Pad)

Shift Alt Up Arrow
(Num Pad)

Delete

Delete
(101 keys)

Deletes character to the right of the cursor

.
(Period - Num Pad)

Shift .
(Period - Num Pad)

Duplicate

Shift End
(101 keys)

Inserts a unique character code and tab to the next field

Enter

Enter
(Main Keyboard)

Enter

Enter
(Num Pad)

Erase to End of Field
(ErEOF)

Ctrl End
(101 keys)

Erases field from current position to end of field

Ctrl End
(Num Pad)

Erase Input
(ErInp)

Alt End
(101 keys)

Erases all input (or protected) fields on the screen

Alt End
(Num Pad)

Shift Alt End
(Num Pad)

Field Exit

Enter (Num Pad)

Check a field and tab to the next non-bypass input field

Shift Enter
(Num Pad)

Field Mark

Shift Home
(101 keys)

Inserts a field mark and moves to the next field

Field Minus

-
(Minus - Num Pad)

Check a numeric field and then Field Exit

Shift -
(Minus - Num Pad)

Field Plus

+
(Plus - Num Pad)

Check a numeric field and then Field Exit

Shift +
(Plus - Num Pad)

Help

Ctrl F1

Produces help from the remote system

Insert

Insert
(101 keys)

Toggles insert mode

Insert
(Num Pad)

Shift Insert
(Num Pad)

Newline

Shift Enter
(Main Keyboard)

Moves cursor to the first unprotected position on the next line

Logical Not
( ¬ )

Shift 6

Inserts the logical not operator

Logical Or
( | )

Ctrl o

Inserts the logical or operator.

Program Access 1

Ctrl Insert
(101 keys)

Application dependent

Program Access 2

Ctrl Home
(101 keys)

Application dependent

Program Access 3

Ctrl Page Up
(101 keys)

Application dependent

Reset

Shift Escape

Resets the keyboard

Roll Down

Page Down

Performs the 5250 roll down function

Roll up

Page Up

Performs the 5250 roll up function

System Request

Ctrl Alt s

Resets the keyboard and clears all functions

Tab

Tab

Moves the cursor to the next unprotected filed

Tab Back

Shift Tab

Moves the cursor to the previous unprotected field

Test Request

Alt Scroll Lock

Performs the test request function

Word Delete

Ctrl Delete
(101 keys)

Deletes characters to the end of the word

Ctrl .
(Period - Num Pad)

Shift Ctrl .
(Period - Num Pad)

Word Next

Ctrl Right Arrow
(101 keys)

Moves cursor to next word

Ctrl 6
(Num Pad)

Shift Ctrl 6
(Num Pad)

Word Previous

Ctrl Left Arrow
(101 keys)

Moves cursor to the previous word

Ctrl 4
(Num Pad)

Shift Ctrl 4
(Num Pad)

PF1

F1

Application dependent

PF2

F2

Application dependent

PF3

F3

Application dependent

PF4

F4

Application dependent

PF5

F5

Application dependent

PF6

F6

Application dependent

PF7

F7

Application dependent

PF8

F8

Application dependent

PF9

F9

Application dependent

PF10

F10

Application dependent

PF11

F11

Application dependent

PF12

F12

Application dependent

PF13

Shift F1

Application dependent

PF14

Shift F2

Application dependent

PF15

Shift F3

Application dependent

PF16

Shift F4

Application dependent

PF17

Shift F5

Application dependent

PF18

Shift F6

Application dependent

PF19

Shift F7

Application dependent

PF20

Shift F8

Application dependent

PF21

Shift F9

Application dependent

PF22

Shift F10

Application dependent

PF23

Shift F11

Application dependent

PF24

Shift F12

Application dependent

9 END :


TN5250: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Note

HLLAPI sessions cannot be configured via script.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

FS5250_TermModel

2, 5

String

FS5250_Sound

true, false

Boolean

FS5250_Notify

true, false

Boolean

FS5250_TypeAhead

true, false

Boolean

FS5250_LongName

String, A sequence of up to eight characters, which describe the session and its connection.

String

FS5250_CharacterSet

This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

String

FS5250_UpperCase

true, false

Boolean

FS5250_DisplayNulls

true, false

Boolean

FS5250_GraphicalOIA

true, false

Boolean

GetEmulConfig ()

KeyString

FS5250_TermModel

2, 5

String

FS5250_Sound

true, false

Boolean

FS5250_Notify

true, false

Boolean

FS5250_TypeAhead

true, false

Boolean

FS5250_LongName

String, A sequence of up to eight characters, which describe the session and its connection.

String

FS5250_CharacterSet

This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

String

FS5250_UpperCase

true, false

Boolean

FS5250_DisplayNulls

true, false

Boolean

FS5250_GraphicalOIA

true, false

Boolean

Set Emulation

Emulation

IBM 5250

String

Settings ()

Keyword

EMULATE

IBM5250

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


WinHLLAPI: Unsupported Functions for the TN5250 Emulation

More Information

See Also

Most WinHLLAPI functions are supported for both TN3270 and TN5250 emulators. However, the following functions are not supported by the TN5250 emulation:

Send File (90)

Receive File (91)

9 END :


TN5250 Print: Working with Configuration Options

To determine if the TN5250 Print module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the TN5250 Print module is installed, you should see the following listed:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\5250.flx

To configure a session to emulate a TN5250 Print session, begin by clicking IBM 5250 Print in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Two sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of a TN5250 Print session.

The two sub-tabs used to configure the TN3270 Print emulation are:

  • General options

  • Session options

9 END :


TN5250 Print Configuration Options: General Sub-tab

Session > Properties > Emulations > [IBM 5250 Print] > General

The 5250 Print emulation allows a DynaComm session to emulate an IBM-3812 printer. This emulation supports the printer portion of the TN5250E protocol.

Note

The 5250 Print emulation uses the Windows printer configured in the Print Setup dialog. The appropriate printer must be selected and configured before the print session connects with the remote system. Otherwise, a printout might be lost, might print in an un-secure location, or might print on an unsuitable printer.

Use this option

in this manner . . .

Print Stream Processing group

  • Use Host Driver

  • Use Client Emulation

Select one option to specify the print driver to process print job(s).

Default: Use Client Emulation

Note

  • The Client Emulation selection uses the current Windows print driver.

  • If you select Use Host Driver, and your host printer driver is not listed in the Host Printer Driver list, select "other" at the bottom of the list. The "other" selection will operate as a generic printer suitable for basic text output.

Format group

  • Ignore Host Formatting

  • APO

  • COR

Choose one print job formatting option from the following:

Ignore Host Formatting

When selected, DynaComm ignores all formatting information sent by the host. Choose this option to ignore such formatting as overstrike, underscore, emphasis, italics, etc. This forces the print job to use the setup settings specified for the Windows printer.

APO (Automatic Print Orientation)

APO will calculate the page size and compare it to the paper size.

If the page and paper sizes match, it will automatically determine whether to print in Portrait or Landscape mode.

If the page and paper sizes do not match, the page will be fitted to the best orientation to fit the paper (possibly using a reduced output size).

COR (Computer Output Reduction)

COR will print the document in Landscape orientation using reduced font size and spacing. The document will be 70% of normal size.

Default: APO

9 END :


TN5250 Print Configuration Options: Session Sub-tab

Session > Properties > Emulations > [IBM 5250 Print] > Session

The TN5250 Print emulation allows a DynaComm session to emulate an IBM-3812 printer. This emulation supports the printer portion of the TN5250E protocol.

The Session tab contains options related to configuring a print session to emulate an IBM-3812 print. The table below lists all options on the Session tab with a description of each.

Note

The TN5250 Print emulation uses the Windows printer configured in the Print Setup dialog. The appropriate printer must be selected and configured before the print session connects with the remote system. Otherwise, a printout might be lost, print in an non-secure location, or print on an unsuitable printer.

Use this option

in this manner . . .

Long Name

Enter up to eight characters to describe the session and connection.

The characters in this edit box appear in the Operator Information Area (OIA) of the session window in order to provide a distinction from other open sessions. This name is not required.

Default: Cleared

TN5250E Options group

Device Name

Enter up to eight characters for a printer session.

The name is not case sensitive. It cannot contain special characters (such as the following symbols: percent %, dollars $, number #, and at sign @). This name is not required. The remote system assigns a default name if left blank. If you have problems assigning a name, contact your AS/400 administrator.

Default: Blank

User Name

If user login is required, type the user name in this field.

Default: Blank

Password

If user login is required and password protected, type the password in this field.

Default: Blank

Character Set list

[list]

Select the name of a character set to determine how characters are translated between your emulation session and the remote system.

Austrian/German
Austrian/German CECP
Belgian
Belgian CECP
Canadian Bilingual
Canadian Bilingual CECP
Danish
Danish CECP
English-UK
English-US
English-US (old)
English-US C370 CECP
English-US C370 CECP V2 (default)
English-US CECP
Finnish
Finnish CECP
French
French CECP
Italian
Italian CECP
Netherlands
Netherlands CECP
Norwegian
Norwegian CECP
Portuguese
Portuguese CECP
Spanish CECP
Spanish Speaking
Spanish Speaking CECP
Swedish
Swedish CECP
Swiss French
Swiss French CECP
Swiss German
Swiss German CECP

Default: English-US C370 CECP V.2

9 END :


Wyse 50/60 Emulation

Selecting the Wyse button in the Emulations tab of the Session Properties dialog enables the Wyse 50/60 terminal emulation. The following reference information is available for the Wyse 50/60 emulation:

Section | Description
General Information and Support | An overview of the emulation features with important notes on how the emulation may differ from the host terminal it is emulating. Also provides detailed information describing which terminal features are supported by the emulation and how they are implemented.
Configuration Options | Describes each configurable option for the emulation. The options are located on five sub-tabs on the Emulations tab of the Session Properties dialog.
Map Files | Lists the default mappings for the keyboard, terminal attributes, character translations, and hotspots.
Escape Sequences | Lists all supported escape sequences.
Scripting Parameter Values | A summary listing of the parameter values applicable to the emulation for those commands or functions which affect the emulation.

9 END :


Wyse 50/60: General Information and Support

Printing and Connection Functions

Printing and connection functions are performed by the application, not by the emulation. See Printing and Connectors, respectively, for more information.

F1 Key

The F1 key will normally access the online Help file system. When a session window is active, however, the F1 key is mapped in the default key map to behave as the Wyse 50/60 F1 terminal key. If you prefer to use F1 to access the online Help system, use the Keyboard Map Editor to remove the default mapping for this key.

Note

DCS supports both 24- and 25-line modes. However, screen splitting is supported in 24-line mode only.

9 END :


Wyse 50/60 Map Files: Terminal Key Meta Strings

A Terminal Key Meta String is text that is used to simulate the function of a terminal key. The meta string text is enclosed in { } (curly braces) to indicate a meta-key function. Use either the Keyboard Map Editor or the Hotspots Map Editor to assign meta string text.

The table below shows the Meta Strings available for use with the Wyse 50/60 emulation. Only the key or functions shown below are supported as Meta Strings. To send other keys or functions, use escape sequences. The Sends Escape Sequence column is included for reference only.

Note

The Meta String text used in each emulation may vary, even if the key performs a similar function.

Wyse 50/60 Terminal Key or Terminal Function | Meta String | Sends Escape Sequence
Cursor Move Left | Left arrow | ^H
Display Un-shifted Label Line | Shift Key | Shift Key
Cursor Move Right | Right arrow | ^L
Cursor Move Up | Up arrow | ^K
Cursor Move Down | Down arrow | ^J
Enter key | Num pad enter | ^M
Return key | Return | ^M
Backspace key | Backspace | BS
Tab key | Tab | Tab
Shifted Tab | Shifted Tab | Esc I
Break key | Break | ^[
Delete key | Delete | DEL
Shifted Delete key | ShiftDelete | DEL
Ctrl Delete key | CtrlDelete | US
Ctrl Shifted Delete key | CtrlShiftDelete | US
Insert key | Insert | Esc r
Shifted Insert key | Shift Insert | Esc q
Print key | Print | Esc 7
Shifted Print key | Shift Print | Esc P
Home key | Home | RS
Shifted Home key | ShiftHome | Esc {
Previous / Next Page | Prev/Next | Esc H
Shifted Previous / Next Page | ShiftPrevNext | Esc H
Line Insert Character | LineInsChar | Esc Q
Shifted Line Insert Character | ShiftLineInsChar | Esc Q
Ctrl Line Insert Character | CtrlLineInsChar | Esc E
Ctrl Shifted Line Insert Character | CtrlShiftLineInsChar | Esc E
Line Del Char | LineDelChar | Esc W
Shifted Line Del Char | ShiftLineDelChar | Esc R
Ctrl Line Del Char | CtrlLineDelChar | Esc W
Scrn Clr Line | ScrnClrLine | Esc T
Shifted Scrn Clr Line | ShiftScrnClrLine | Esc Y
F1 key | F1 | SOH @ CR
F2 key | F2 | SOH A CR
F3 key | F3 | SOH B CR
F4 key | F4 | SOH C CR
F5 key | F5 | SOH D CR
F6 key | F6 | SOH E CR
F7 key | F7 | SOH F CR
F8 key | F8 | SOH G CR
F9 key | F9 | SOH H CR
F10 key | F10 | SOH I CR
F11 key | F11 | SOH J CR
F12 key | F12 | SOH K CR
F13 key | F13 | SOH L CR
F14 key | F14 | SOH M CR
F15 key | F15 | SOH N CR
F16 key | F16 | SOH O CR
Shift F1 key | ShiftF1 | SOH ` CR
Shift F2 key | ShiftF2 | SOH a CR
Shift F3 key | ShiftF3 | SOH b CR
Shift F4 key | ShiftF4 | SOH c CR
Shift F5 key | ShiftF5 | SOH d CR
Shift F6 key | ShiftF6 | SOH e CR
Shift F7 key | ShiftF7 | SOH f CR
Shift F8 key | ShiftF8 | SOH g CR
Shift F9 key | ShiftF9 | SOH h CR
Shift F10 key | ShiftF10 | SOH i CR
Shift F11 key | ShiftF11 | SOH j CR
Shift F12 key | ShiftF12 | SOH k CR
Shift F13 key | ShiftF13 | SOH l CR
Shift F14 key | ShiftF14 | SOH m CR
Shift F15 key | ShiftF15 | SOH n CR
Shift F16 key | ShiftF16 | SOH o CR
Scroll Lock | Scroll Lock | n/a
Escape | Escape | Esc
Escape | ShiftEscape | Esc
Backspace key | ShiftBackspace | BS
Cursor Move Left | ShiftLeft | ^H
Cursor Move Right | ShiftRight | ^L
Cursor Move Up | ShiftUp | ^K
Cursor Move Down | ShiftDown | ^J
Return key | ShiftReturn | ^M
Enter key | ShiftEnter | ^M
9 END :


Wyse 50/60: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Programmer's Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

EmulConfig

String

MODE

wy50, wy60

String

ENDOFBLOCK

uscr, crlfetx

String

COMMMODE

full, block, half, halfblock

String

CLEARONWIDTHCHANGE

true, false

String

LOCALECHO

true, false

String

LINEWRAP

true, false

String

RECEIVECR

true, false

String

AUTOSCROLL

true, false

String

SOUNDS

true, false

String

ANSWERBACK

string

String

GetEmulConfig ()

KeyString

MODE

wy50, wy60

String

ENDOFBLOCK

uscr, crlfetx

String

COMMMODE

full, block, half, halfblock

String

CLEARONWIDTHCHANGE

true, false

String

LOCALECHO

true, false

String

LINEWRAP

true, false

String

RECEIVECR

true, false

String

AUTOSCROLL

true, false

String

SOUNDS

true, false

String

ANSWERBACK

string

String

Set Emulation

Emulation

WYSE

String

Settings ()

Keyword

EMULATE

Wyse60

String

*applies only to those:

  • functions where a parameter requires a keyword.

  • commands where a parameter requires both a keyword and a value.

9 END :


Wyse 50/60: Working with Configuration Options

To determine if the Wyse 50/60 emulation module is installed on your terminal, use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Wyse 50/60 emulation module is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\EMUL\wyse.flx

To configure a session to emulate a Wyse 50/60 terminal, begin by clicking Wyse 50/60 in the row of horizontal buttons at the top of the Emulations tab in the Session Properties dialog. Seven sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the session to emulate the properties of an Wyse 50/60 terminal.

The five sub-tabs used to configure the Wyse 50/60 emulation are:

  • General options

  • Attributes options

  • Translation options

  • Keyboard options

  • Hotspots options

9 END :


Wyse 50/60 Configuration Options: General Sub-tab

Session > Properties > Emulations > [Wyse] > General

The General tab contains several general configuration options for the Wyse 50/60 emulation. The table below lists each option found on the tab along with a description of the resulting action when the option is selected.

Use this option

in this manner . . .

Emulation Mode group

  • WY-50

  • WY-60

Select a terminal model from the following that best suits the applications you will use on the host system.

Default: WY-60

End-of-Block Sequence group

  • US/CR

  • CRLF/ETX

Select one option to determine how the emulation, while in block mode, will indicate the end of a block of data, when transmitting session characters with the remote system.

The host requirements determine which characters are used.

If US/CR is selected, the emulation sends a unit separator character (Ctrl+Underscore, or hexadecimal 1F) to signify the end of a block and sends a carriage return character (Ctrl+M, or hexadecimal 0D) to indicate the end of a transmission.

If CR-LF/ETX is selected, the emulation sends a carriage return character followed by a line feed character (Ctrl+J, or hexadecimal 0A) to signify the end of a block and sends an end-of-text character (Ctrl+C, or hexadecimal 03) to indicate the end of a transmission.

Default: US/CR

Communication mode group

  • Full duplex

  • Block

  • Half duplex

  • Half duplex block

Select one of the following options to specify the type of communication:

Full Duplex: The emulation and the remote system send characters to and receive characters from each other at the same time.

Block: The emulation collects most of your keystrokes in the session until you or the remote system enters an escape sequence for sending data to the remote system. When an escape sequence is entered, the emulation will send all or a portion of a page, depending on the escape sequence, to the remote system. The keys that you should press for the Send key (the Enter key in the emulation) and Print key (a key that you have mapped to the print function) depend on the key map that the emulation is using.

The emulation does not collect, but immediately sends to the remote system, the Break key and the function keys (F1 through F16); however, for the emulation to send a function key to the remote system, the function key must have a remote direction (not normal or local).

Half duplex: The emulation and the remote system only send characters when the other is not sending characters.

Half-duplex block: Block mode operating at half duplex.

Clear on width range

Note

Applies to Wyse 60 only.

Select to place the emulation into Width-Change-Clear mode. When in this mode, the session is cleared whenever the number of columns in a session changes.

Clear to prevent the emulation from clearing the session when the number of columns in a session changes.

Default: Cleared

Local echo

Select so that keystrokes sent to the host are also displayed in the session window. This setting is useful when keystrokes are not displayed in the session (due to the host system not automatically echoing the keystrokes back to the PC).

Clear so that keystrokes sent to the host are not also displayed in the session window. This setting is the default because most host systems automatically echo the keystrokes back to the PC (which are then displayed in the session).

Default: Cleared

Note

If you observe two characters appear on the screen for each of your keystrokes, clear this setting.

End-of-line wrap mode

Note

Applies to Wyse 60 only.

Select to move the cursor to the beginning of the next line, when the session cursor is in the last column of the present line, and when the emulation receives a character.

Clear to move the cursor from the last column to the first column of the next line only when the emulation receives an explicit escape sequence to do so. For example, when the emulation sequentially receives a carriage return character (CR, or hexadecimal 0D) and a line feed character (LF, or hexadecimal 0A), the emulation will move the session cursor to the first column of the next line.

Default: Selected

Received CR mode

Select to move the session cursor to the first column of the next line (in effect, a carriage return function and a line feed function), when the emulation receives a carriage return (CR, or hexadecimal 0D).

Clear to move the session cursor to the first column of the current line, when the emulation receives a carriage return character.

Default: Cleared

Autoscroll mode

Select to enter a new line in the session when a new character enters the session at the last character position of a text segment. When a character enters the last character position of a text segment, the emulation moves each line of the session screen up one line, while destroying the previously first line of the session, entering a new line as the last line in the session, and moving the session cursor to the beginning of the new last line.

Clear to prevent the emulation from scrolling the session screen. When a character enters the last character position of a text segment, the emulation displays the character and moves the cursor to the home position of the session screen.

Default: Selected

Sounds

Select to enable all emulation sounds (margin bell, error beep, etc.).

Clear to disable all emulation sounds.

Default: Selected

Note

If sounds are enabled in the emulation but a sound has been disabled by the host application or by an escape sequence, the emulation will not be able to play the sound.

If sounds are not enabled in the emulation, they will not be played even if sent by the host application or by using an escape sequence.

Answerback

Enter up to twenty (20) characters as a terminal ID for the PC.

You only need to enter a terminal ID in Answerback if the remote system will query the emulation for a terminal ID.

Default: Blank

9 END :


Wyse 50/60: Working with Escape Sequences

Escape sequences can be used to emulate specific terminal functions or terminal keyboard keys that perform functions. For a general discussion of escape sequences, see Escape Sequences Overview.

The Wyse 50/60 emulation supports the following escape sequences:

General, Display, or Terminal Functions

Display Attributes

Cursor Movement Functions

Editing Functions

Field Codes

Line and Column Position

Note

Variable parameters appear in mono-spaced italic bold type; the variable space, however, indicates the space character and is not a variable.

9 END :


Wyse 50/60 Escape Sequences: General, Display, or Terminal Functions

Function

Escape Sequences

Description

ACK Mode - Off

Esc e6

Wyse 60 Only.

ACK Mode - On (Default)

Esc e7

Wyse 60 Only.

The emulation sends an ASCII ACK character (Ctrl + F, or hexadecimal 06) to the host when the emulation receives Ctrl + E or after the emulation changes port parameters, prints a page, or changes a font.

Answer Back Message - Send

Esc c<

Wyse 60 Only.

Answer Back Message - Set

Esc c;Ans Ctrl Y

Wyse 60 Only. Ans can be up to 20 characters.

Answer Back Mode - Off

Esc eSpace

Wyse 60 Only.

Answer Back Mode - On

Esc e!

Wyse 60 Only.

Bell

Ctrl G

The ASCII BEL (Bell) character.

Bell - Set Margin Bell At Cursor Position

Esc `J

Bell - Turn off Margin Bell

Esc eL

Wyse 60 Only.

Bell - Turn on Margin bell

Esc eM

Wyse 60 Only.

Block Mode - On

Esc B

Caps Lock - Off

Esc e'

Wyse 60 Only.

Caps Lock - On

Esc e&

Wyse 60 Only.

Character Attributes Mode - Off

Esc e0

Wyse 60 Only.

Turns on the last active attributes mode: Page (the default) or Line.

Character Attributes Mode - On (Default)

Esc e1

Wyse 60 Only.

Allows the Character Display Attribute escape sequence to assign the attributes to each character entered until the emulation enters another attributes mode.

Character Display Attribute - Set

Esc GAttr

Assigns attributes when Character Attributes mode is active.

See Display Attribute to determine which characters to use for Attr.

Character Display Attribute (Write Protected) - Set

Esc `W

W can be one of the following characters:

6 for Reverse,
7 for Dim (Default), or
A for Normal.

Using one of these attributes clears any other write protected character attribute.

In Wyse 60, W can also be one or more of the following characters:

B for Blink,
C for Invisible,
E for Underline,
F for Reverse, and
G for Dim

Character Set - Define Primary

Esc cBBank

Wyse 60 Only.

Defines the primary character set with a character set in a font bank. Bank is a number in the range of 0 to 3. The default is 0.

Character Set - Define Secondary

Esc cCBank

Wyse 60 Only.

Defines the secondary character set with a character set in a font bank. Bank is a number in the range of 0 to 3. The default is 1.

Character Set - Load Bank With a Character Set

Esc c@Bank CharSet

Wyse 60 Only.

Loads a character set into a font bank. Bank is a number in the range of 0 to 3. CharSet is one of the following characters:

@ for Native mode
A for Multinational
B for Standard ASCII
C for Graphics 1
D for PC Equivalent
E for Graphics 2
F for Graphics 3
G for Standard ANSI
` for 44-line Native Mode
a for 44-line Multinational
b for 44-line PC Equivalent
c for 44-line Standard ASCII
d for 44-line Standard ANSI

Character Set - Select Primary (Default)

Esc cD

Wyse 60 Only.

Deselects the secondary character set.

Character Set - Select Secondary

Esc cE

Wyse 60 Only.

Deselects the primary character set.

Columns in Session - 132 columns

Esc `;

Columns in Session - 80 columns

Esc `:

Cursor Display

Esc `Display

Display is an integer from 0 to 5, where :

0 is Off,
1 is On (default state),
2 is Steady Block (default type),
3 is Blinking Line,
4 is Steady Line, and
5 is Blinking Block

Cursor Mode - Autoscroll Mode Off

Esc N

Cursor Mode - Autoscroll Mode On (Default)

Esc O

Cursor Mode - End of Line Wrap Off

Esc d.

Wyse 60 Only.

Cursor Mode - End of Line Wrap On

Esc d/

Wyse 60 Only.

Cursor Mode - Received CR Off (Default)

Esc e4

Wyse 60 Only.

Cursor Mode - Received CR On

Esc e5

Wyse 60 Only.

Cursor Read Line and Col

Esc ?

For 80-column sessions. Returns the symbols for the line and column numbers followed by a carriage return.

Cursor Read Line and Column

Esc b

For 132 or 80-column sessions. Returns the line number followed by R and the column number followed by C.

Cursor Read Page, Line, and Col

Esc w`

Wyse 60 Only.

For 80-column sessions. Returns the page number and the symbols for the line and column numbers followed by a carriage return.

Cursor Read Page, Line, and Column

Esc /

For 80-column sessions. Returns the page or pane number and the symbols for the line and column numbers followed by a carriage return. A pane number is only returned if the session window is split.

Edit Mode - Duplex

Esc l

Edit Mode - Local

Esc k

Escape

Ctrl [

The ASCII ESC (Escape) character.

Field Attribute - Set

Esc ANAttr

N is an integer, where"

0 refers to the session lines (data area),
1 refers to the label line
2 refers to the terminal message field in the status line
3 refers to the host message field in the status line

Attr is a character representing a set of attributes.

See Display Attribute to determine which characters to use for Attr. Session lines only accept the Reverse attribute.

Full-duplex Mode - On

Esc C Esc D F

Function Key Label - Clear

Esc z Field Ctrl M

See Field Codes to determine which characters to use for Field.

Function Key Label - Set and Display

Esc z Field Label Ctrl M

See Field Codes to determine which characters to use for Field.

The variable Label can be up to nine characters in an 80-column session or up to seven characters in a 132-column session.

Graphics Character Display

Esc H Char

Enters a graphics character in non-graphics mode.

Char is a character from the following set {0 1 2 3 4 5 6 7 8 9 : ; < = > ?}. The members of the set correspond to the sixteen graphics characters.

Graphics Mode - Off

Esc H Ctrl C

Graphics Mode - On

Esc H Ctrl B

Half-duplex Mode - On

Esc C Esc D H

Insert Mode - Off (Default)

Esc r

Replace Mode - On.

Insert Mode - On

Esc q

Replace Mode - Off. New characters push the character at the cursor and to the right of the cursor to the right.

If Page Edit mode is off, characters moving off a line or to the beginning of protected characters are destroyed.

If Page Edit mode is active, the characters move to the next line, and characters moving past the end of a page are destroyed.

Keyboard - Lock (SI)

Ctrl O

Keyboard - Lock (SI)

Esc #

Keyboard - Unlock (SO)

Ctrl N

Keyboard - Unlock (SO)

Esc "

Label Line - Clear (Shifted)

Esc z ) Ctrl M

Label Line - Clear (Unshifted)

Esc z ( Ctrl M

Label Line - Set (Shifted)

Esc z ) Text Ctrl M

Text can be up to 78 characters in an 80-column session or can be up to 130 characters in an 132-column session.

Label Line - Set and Display (Unshifted)

Esc z ( Text Ctrl M

Text can be up to 78 characters in an 80-column session or can be up to 130 characters in an 132-column session.

Line Attribute - Set

Esc GLattr

Wyse 60 Only.

Assigns attributes when in Line Attributes mode. Lattr is one of the following characters:

@ for single height/single width characters,

A for single height/double width characters,

B for the top half of double height/single width characters

C for the bottom half of double height/single width characters

D for the top half of double height/ double width characters

E for the bottom half of double height/ double width characters.

Line Attributes Mode - On

Esc e3

Wyse 60 Only.

The Character Display Attribute escape sequence assigns the attributes to each character until the end of the line or until another attribute is encountered.

Line Lock Mode - Off (Default)

Esc `I

Wyse 60 Only.

Unlocks all locked lines.

Line Lock Mode - On

Esc `H

Wyse 60 Only.

A locked line does not move when the session scrolls. When the cursor moves, it moves to an unlocked line.

Lines in Session - Display 24 lines

Esc e(

Wyse 60 Only.

Clears the session.

Lines in Session - Display 25 lines

Esc e)

Wyse 60 Only.

Clears the session, and prevents the display of function key labels.

Lines in Session - Display 42 lines

Esc e*

Wyse 60 Only.

Clears the session.

Lines in Session - Display 43 lines

Esc e+

Wyse 60 Only.

Clears the session, and prevents the display of function key labels.

Monitor Mode - Off

Esc X

Monitor Mode - Off (Default)

Esc u

Monitor Mode - On

Esc U

Page - Assign Attribute To Unprotected Characters

Esc !Attr

Wyse 50 Only.

See Display Attributes to determine which characters to use for Attr.

Page Attributes Mode - On

Esc e 2

Wyse 60 Only.

Allows the Character Display Attribute escape sequence assigns the attributes to each character until the end of the page or until another attribute is encountered.

Page - Display a Specific Page

Esc w Page

Wyse 60 Only.

When the session has 24 lines, the session has two pages named zero and one. Page can be an integer, 0 or 1. The cursor maintains its position from page to page.

Page - Display Next

Esc w C

Wyse 60 Only.

The cursor maintains its position from page to page.

Page - Display Previous

Esc w B

Wyse 60 Only.

The cursor maintains its position from page to page.

Page Edit Mode - Off (Default)

Esc e "

Wyse 60 Only.

Page Edit Mode - On

Esc e #

Wyse 60 Only.

When Protect Mode is active, the emulation turns off Page Edit mode.

Page Memory Division

Esc w G

Wyse 60 Only.

Clears the session with null characters. Displays the first page with the cursor at the home position. Restores the session to full screen from split screens.

Page or Screen - Activate Next

Esc K

If the screen is split, activates the other pane. If the screen is not split, and if the session has more than one page (Wyse 60), activates the next page.

Page or Screen - Activate Previous

Esc J

If the screen is split, activates the other pane. If the screen is not split, and if the session has more than one page (Wyse 60), activates the previous page.

Print - All Characters on Formatted Page

Esc P

Print - All Characters on Unformatted Page

Esc L

Print - All Characters on Unformatted Page

Esc p

Print - Unprotected Characters on Formatted Page

Esc @

Print Mode - Auxiliary On

Ctrl R

The ASCII DC2 (Device Control 2) character.

Print Mode - Transparent On

Ctrl X

The ASCII CAN (Cancel) character.

Print Mode - Transparent On

Esc d #

Wyse 60 Only.

Print Modes - Off

Ctrl T

The ASCII DC4 (Device Control 4) character.

Programmable Key Definitions - Clear All

Esc c U

Wyse 60 Only.

Protect Mode - Off (Default)

Esc '

Protect Mode - On

Esc &

Cursor cannot move to a protected area. No data can scroll off the screen. Cannot delete protected lines or insert lines at a protected line.

Request Acknowledgment

Ctrl E

The ASCII ENQ (Enquiry) character. Asks the host to send the ASCII ACK (Acknowledge) character if ACK mode is active.

Screen - Activate Lower Pane

Esc }

Effective only when the screen is split.

Screen - Activate Upper Pane

Esc ]

Effective only when the screen is split.

Screen - Full Restore

Esc x@

Wyse 60 Only.

Homes the cursor if Screen Horizontal Split Into Two Pages (Esc x A) splits the session. Preserves the cursor position if Screen Horizontal Split (Esc x C) splits the session.

Screen - Full Restore (Clear)

Esc x0

Clears the session, homes the cursor, and turns off Protect mode.

Screen - Horizontal Split

Esc xCLine

Wyse 60 Only.

Line is a character from Line & Column Position indicating the number of the line which should will become the top line in the lower pane. Retains characters in the session.

Screen - Horizontal Split (Clear)

Esc x3Line

Wyse 60 Only.

Line is a character from Line & Column Position, indicating the number of the line which should be the top line in the lower pane. Clears characters in the session.

Screen - Horizontal Split into Two Pages

Esc xLine

Wyse 60 Only.

Line is a character from Line & Column Position, indicating the number of the line which should be the top line in the lower pane. Retains characters in the session.

Screen - Horizontal Split into Two Pages (Clear)

Esc x1Line

Line is a character from Line & Column Position, indicating the number of the line which should be the top line in the lower pane. For Wy 50, the escape sequence can only use a character for rows two through twenty-four. Clears characters in the session.

Screen - Lower Horizontal Split One Line

Esc xP

Wyse 60 Only.

Screen - Raise Horizontal Split One Line

Esc xR

Wyse 60 Only.

Screen - Restore Normal

Esc ^0

Wyse 60 Only.

Screen - Reverse

Esc ^1

Wyse 60 Only.

Send - All Characters in a Marked Block

Esc s

Send - Mark Beginning of Block

Esc 8

Places an STX (hexadecimal 02) character at the cursor.

Send - Mark End of Block

Esc 9

Places an ETX (hexadecimal 03) character at the cursor.

Send - Terminal ID

Esc Space

Send - Unprotected Characters in a Marked Block

Esc S

Send All Characters in the Cursor’s Line

Esc 6

Sends characters from the beginning of the line to the cursor. If Protect Mode is active, the emulation sends spaces instead of any graphics characters. Does not send any null characters.

Send All Characters on the Page

Esc 7

Sends characters from the beginning of the page to the cursor. If Protect Mode is active, the emulation sends spaces instead of any graphics characters. Does not send any null characters. If the page is split into panes, the emulation only sends the characters from the current pane.

Send Cursor Character

Esc M

If Protect Mode is active, the emulation sends spaces instead of any graphics character. Does not send null characters.

Send Unprotected Characters in the Cursor’s Line

Esc 4

Sends characters from the beginning of the line to the cursor. If Protect Mode is active, the emulation sends spaces instead of any graphics characters. Does not send any null characters.

Send Unprotected on the Page

Esc 5

Sends characters from the beginning of the page to the cursor. If Protect Mode is active, the emulation sends spaces instead of any graphics characters. Does not send any null characters. If the page is split into panes, the emulation only sends the characters from the current pane.

Status Line – Enter a Message

Esc F Msg Ctrl M

Msg can be up to 46 characters for an 80-column session or up to 98 characters for a 132-column session.

Status Line - Off

Esc 'c

Wyse 60 Only.

Status Line - On (Extended)

Esc 'a

Wyse 60 Only.

Status Line - On (Standard)

Esc 'b

Wyse 60 Only.

Terminal ID Send

Esc Space

Time Of Day - Load

Esc c8HHMM

Wyse 60 Only.

HH is the hour and is a two-digit decimal from 00 and 23. MM is the minutes and is a two digit decimal from 00 to 59.

Width-Change-Clear Mode - Off (Default)

Esc e .

Wyse 60 Only.

Width-Change-Clear Mode - On

Esc e /

Wyse 60 Only.

Clears the session when the width of the session changes from 80 to 132 columns or from 132 to 80 columns.

Write Protect Mode - Off (Default)

Esc (

Write Protect Mode - On

Esc )

9 END :


Wyse 50/60 Escape Sequences: Cursor Movement Functions

Function | Escape Sequences | Description
Backspace | Ctrl H | The ASCII BS (backspace) character.
Cursor Down | Ctrl J | Scrolls the screen. The ASCII LF (line feed) character.
Cursor Home | Ctrl ^ | The ASCII RS (Record Separator) character.
Cursor Home | Esc { |
Cursor Left | Ctrl H | The ASCII BS (backspace) character.
Cursor Move to Line and Column | Esc aLnRCoC | This escape sequence is for 132 or 80-column sessions. Ln is an integer from 1 to 43, depending on the number of lines in the session page. Co is an integer from 1 to 132, depending on the width of the session.
Cursor Move to Line and Column Position | Esc =LineCol | For 80-column sessions. See Line & Column Position for the value for Line and Col.
Cursor Move to Page, Line, and Column | Esc -PgLineCol | For 80-column sessions with more than one page or pane (split screen). Pg can be: 0 for the upper pane or the first page; or 1 for the lower pane or the second page. See Line & Column Position for the value for Line and Col.
Cursor Move to Page, Line, and Column Position | Esc w@PgLineCol | Wyse 60 Only. For 80-column sessions with more than one page. Pg can be 0 or 1 for a page in the session. See the Line & Column Position for the value for Line and Col.
Cursor Right | Ctrl L | The ASCII FF (form feed) character.
Cursor To Start Of Line | Ctrl M | The ASCII CR (carriage return) character.
Cursor To Start Of Next Line | Ctrl _ | The ASCII US (Unit Separator) character.
Cursor Up | Ctrl K | Does not scroll the screen. The ASCII VT (vertical tab) character.
Cursor Up | Esc j | Reverse line feed. Scrolls the session screen.
Tab | Esc i | Moves the cursor to the next unprotected tab stop.
Tab | Ctrl I | Moves the cursor to the next unprotected tab stop. The ASCII HT (horizontal tab) character.
Tab Back | Esc I | Moves the cursor to the previous unprotected tab stop.
9 END :


Wyse 50/60 Escape Sequences: Display Attributes

Note

Session lines only accept the Reverse attribute when applied with the Field Attribute escape sequence.

Attr | Attribute
(space) | Space character
0 | Normal
1 | Invisible
2 | Blink
3 | Invisible/Blink
4 | Reverse
5 | Invisible/Reverse
6 | Reverse/Blink
7 | Invisible/Reverse/Blink
8 | Underline
9 | Invisible/Underline
: | Underline/Blink
; | Invisible/Underline/Blink
< | Underline/Reverse
= | Invisible/Underline/Reverse
> | Underline/Reverse/Blink
? | Invisible/Underline/Reverse/Blink
P | Dim
q | Dim/Invisible
r | Dim/Blink
s | Dim/Invisible/Blink
t | Dim/Reverse
u | Dim/Invisible/Reverse
v | Dim/Blink/Reverse
w | Dim/Invisible/Blink/Reverse
x | Dim/ Underline
y | Dim/Invisible/ Underline
z | Dim/Blink/ Underline
{ | Dim/Invisible/Blink/ Underline
| (bar) | Dim/Reverse/Underline
} | Dim/Invisible/Reverse/Underline
~ | Dim/Blink/Reverse/Underline
DEL | Dim/Invisible/Blink/Reverse/Underline
9 END :


Wyse 50/60 Escape Sequences: Editing Functions

Function

Escape Sequences

Description

Character - Delete at Cursor

Esc W

Characters to the right of the cursor move left and a space character fills at the line's end or at the column before a protected field. In Page Edit mode, characters move from the following line instead of filling with space characters.

Character - Insert a Space Character

Esc Q

Column - Clear Unprotected Characters With a Specified Character

Esc cIChar

Wyse 60 Only.

Char can be any character. Clears the column if a line is not locked. For more information about entering values for Char, see the Page - Clear Unprotected Characters With a Specified Character function.

Column - Clear Unprotected Characters With Null Characters

Esc c K

Wyse 60 Only.

Clears the column if a line is not locked.

Column - Delete the Cursor’s Column

Esc c J

Wyse 60 Only.

All columns to the right move one column to the left. The emulation ignores the escape sequence if a line is locked.

Column - Insert a Column of Null Characters

Esc c M

Wyse 60 Only.

All columns at the cursor and to the right of the cursor move right. If a line is locked, the emulation ignores the escape sequence.

Line - Replace All Unprotected Characters with Null Characters to End of Line

Esc c L

Wyse 60 Only.

Replaces all unprotected characters with null characters from the cursor position to the end of the current line.

Line - Replace All Unprotected Characters with Space Characters to End of Line

Esc c O

Wyse 60 Only.

Replaces all unprotected characters with space characters from the cursor position to the end of the current line.

Line - Replace All Unprotected Characters with Null Characters from Cursor to End of Line

Esc t

Replaces all unprotected characters with null characters from the current cursor position to the start of a protected field or to the end of the line.

Line - Replace All Unprotected Characters with Space Characters from Cursor to End of Line

Esc T

Replaces all unprotected characters with space characters from the current cursor position to the start of a protected field or to the end of the line.

Line - Replace Unprotected Foreground with Null Characters from Cursor to End of Line

Esc c S

Wyse 60 Only.

Replaces all unprotected characters in the foreground line with null characters from the current cursor position to the start of a protected field or to the end of the line.

Line - Replace Unprotected Foreground with Space Characters from Cursor to End of Line

Esc c R

Wyse 60 Only.

Replaces all unprotected characters in the foreground line with space characters from the current cursor position to the start of a protected field or to the end of the line.

Line - Delete Line with Cursor

Esc R

All following lines move up one line, and the cursor moves to the beginning of the line. If Protect Mode is active, this escape sequence is ignored.

Line - Insert a Line Of Space Characters

Esc E

When inserting a line, the emulation destroys the line at the bottom of the session page. If Protect Mode is active, the emulation ignores this escape sequence.

Page - Replace Unprotected Characters With a Specified Character

Esc .Char

Replaces all unprotected characters on the page with a specified character, Char. (Char can be any character.) Moves the cursor to the home position and turns off Protect mode.

When entering a character above hexadecimal 7E (decimal 126, the tilde character) in the ASCII and ANSI character sets (or in the Wyse emulation, the Primary and Secondary character sets), you must enter the characters using an Alt key sequence:

Esc . Alt + 0 + CharCode

where CharCode is a three-digit decimal representation of the character, and where you hold down the Alt key while you enter the zero and then the digits in CharCode.

For more information about the decimal representations of characters, see the ANSI and ASCII character sets and the Wyse terminal documentation.

Page - Replace Unprotected Characters With Null Characters

Esc :

Replaces all unprotected characters on the page with null characters. Moves the cursor to the home position and turns off Protect mode.

Page - Replace Unprotected Characters With Space Characters

Esc ; or Ctrl Z

Replaces all unprotected characters on the page with space characters. Moves the cursor to the home position and turns off Protect mode.

Page - Replace All Unprotected Characters with Null Characters from Cursor to End of Page

Esc y

Replaces all unprotected characters on the page with null characters from the current cursor position to the start of a protected field or to the end of the page.

Page - Replace All Unprotected Characters with Space Characters from Cursor to End of Page

Esc Y

Replaces all unprotected characters on the page with space characters from the current cursor position to the start of a protected field or to the end of the page.

Page - Replace Unprotected Foreground with Null Characters from Cursor to End of Page

Esc cQ

Wyse 60 Only.

Replaces all unprotected characters in the foreground page with null characters from the current cursor position to the start of a protected field or to the end of the page.

Page - Replace Unprotected Foreground with Space Characters from Cursor to End of Page

Esc cP

Wyse 60 Only.

Replaces all unprotected characters in the foreground line with space characters from the current cursor position to the start of a protected field or to the end of the page.

Page - Replace With Null Characters

Esc *

Replaces all characters on the page with null characters. Moves the cursor to the home position and turns off Protect, Write Protect, and Insert modes.

Page - Replace With Space Characters

Esc +

Replaces all characters on the page with space characters. Moves the cursor to the home position and turns off Protect, Write Protect, and Insert modes.

Page - Clear With Write Protected Space Characters

Esc ,

Replaces all characters on the page with write protected space characters. Moves the cursor to the home position and turns off Protect, Write Protect, and Insert modes.

Rectangle - Clear All Characters Inside With a Specified Character

Esc cHLine~ColChar

Wyse 60 Only.

Clears the characters in a rectangle on a 132 column page with the character Char specified in the escape sequence. For more information about entering values for Char, see the Page - Clear Unprotected Characters With a Specified Character function. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Clear All Characters Inside With a Specified Character

Esc cHLineColChar

Wyse 60 Only.

Clears the characters in a rectangle on an 80 column page with the character Char specified in the escape sequence. For more information about entering values for Char, see the Page - Clear Unprotected Characters With a Specified Character function. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Clear Unprotected Characters Inside With a Specified Character

Esc cFLine~ColChar

Wyse 60 Only.

Clears the characters in a rectangle on a 132 column page with the character Char specified in the escape sequence. For more information about entering values for Char, see the Page - Clear Unprotected Characters With a Specified Character function. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Clear Unprotected Characters Inside With a Specified Character

Esc cFLineColChar

Wyse 60 Only.

Clears the characters in a rectangle on an 80 column page with the character Char specified in the escape sequence. For more information about entering values for Char, see the Page - Clear Unprotected Characters With a Specified Character function. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Draw

Esc cGLine~Col

Wyse 60 Only.

Draws a rectangle on a 132 column page if there is no locked line between the cursor and the line indicated by Line. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Draw

Esc cGLineCol

Wyse 60 Only.

Draws a rectangle on an 80 column page if there is no locked line between the cursor and the line indicated by Line. See the Line & Column Position subtable for the value for Line and Col.

Rectangle - Draw

Esc cNWidthHeight

Wyse 60 Only.

Draws a rectangle on a page if there is no locked line between the cursor and the line indicated by Height. Note that Width (columns) and Height (lines) indicate the distance to the right of and down from the cursor and are not screen coordinates. Use the values from the Line & Column Position subtable, substituting Line for Height and Col for Width.

Tab - Clear All

Esc 0

Tab - Clear Tab in the Cursor’s Column

Esc 2

Tab - Set

Esc 1

Write Protect a Column - Set

Esc V

Clears the column to write protected space characters.

9 END :


Wyse 50/60 Escape Sequences: Field Codes

Note

For 80-column sessions, only the field codes for F1 through F8 are available for an escape sequence. For 132-column sessions, all of the field codes (F1 through F16) are available for an escape sequence.

Function Key | Field Code for Unshifted Function Key | Field Code for Shift Function Key
F1 | 0 | P
F2 | 1 | Q
F3 | 2 | R
F4 | 3 | S
F5 | 4 | T
F6 | 5 | U
F7 | 6 | V
F8 | 7 | W
F9 | 8 | X
F10 | 9 | Y
F11 | : |
F12 | : | [
F13 | < | |
F14 | = | ]
F15 | > | ^
F16 | ? | -
9 END :


Wyse 50/60 Escape Sequences: Line & Column Position

Position

Line

Col

Position

Line

Col

1

(Space)

(Space)

41

H

H

2

!

!

42

I

I

3

"
(Double Quote)

"
(Double Quote)

43

J

J

4

#

#

44

K

5

$

$

45

L

6

%

%

46

M

7

&

&

47

N

8

'
(Single Quote)

'
(Single Quote)

48

O

9

(

(

49

P

10

)

)

50

Q

11

*
(Asterisk)

*
(Asterisk)

51

R

12

+

+

52

S

13

,
(Comma)

,
(Comma)

53

T

14

-
(Hyphen)

-
(Hyphen)

54

U

15

.
(Period)

.
 (Period)

55

V

16

/

/

56

W

17

0

0

57

X

18

1

1

58

Y

19

2

2

59

Z

20

3

3

60

[

21

4

4

61

\

22

5

5

62

]

23

6

6

63

^
(Caret)

24

7

7

64

_
(Underscore)

25

8

8

65

`
(Grave)

26

9

9

66

a

27

:
(Colon)

:
(Colon)

67

b

28

;
(Semicolon)

;
(Semicolon)

68

c

29

<

<

69

d

30

=

=

70

e

31

>

>

71

f

32

?

?

72

g

33

@

@

73

h

34

A

A

74

i

35

B

B

75

j

36

C

C

76

k

37

D

D

77

l

38

E

E

78

m

39

F

F

79

n

40

G

G

80

o

9 END :


Wyse 50/60: Working with Map Files

To make an emulation function as closely to the original terminal, various original terminal attributes, keyboard functions and characters must be mapped or associated with the attributes, keyboard keys, and other controls that are available on your terminal. This is accomplished with several different "map" files. Each of these map files has default settings that are established when you select an emulation for a session.

For the Wyse 50/60 emulation, the following map files are available:

  • Keyboard Map

Lists the default keyboard mapping for the emulation, showing which PC keyboard keys are mapped to emulate which terminal keys or functions.

  • Attribute Map

Lists the default display attribute mapping for the emulation, describing how each display attribute will appear on a PC VGA monitor.

  • Character Translation Map

Lists the default character translation mapping for the emulation. This shows which characters and hex values will be sent from the PC to the host system and from the screen display to the Windows Clipboard.

  • Hotspot Map

Lists the default display hotspot mapping for the emulation, describing which screen characters have been mapped to be hotspots. Clicking a hotspot activates a predefined behavior, such as sending a string to the host.

You can create your own map files using the following editors:

  • Keyboard Map Editor

  • Attribute Map Editor

  • Character Translation Map Editor

  • Hotspot Map Editor

9 END :


Wyse 50/60 Map Files: Attributes

Session > Properties > Emulations > [Wyse] > Attributes
Attribute map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .acm file extension. Use the Attributes Map Editor to create custom attribute map files. The [default] Wyse 50/60 attribute map file has the following mappings established:
Host Attribute | Local Attributes |  |  |  |  | Color
 | Dim | Reverse | Blink | Underline | Invisible | Fore | Back
Normal |  |  |  |  |  | white | black
Dim | X |  |  |  |  | white | black
Reverse video |  | X |  |  |  | black | white
Dim Reverse video | X | X |  |  |  | black | white
Flashing |  |  | X |  |  | white | black
Dim Flashing | X |  | X |  |  | white | black
Reverse video Flashing |  | X | X |  |  | black | white
Dim Reverse video Flashing | X | X | X |  |  | black | white
Underline |  |  |  | X |  | white | black
Dim Underline | X |  |  | X |  | white | black
Reverse video Underline |  | X |  | X |  | black | white
Flashing Underline |  |  | X | X |  | white | black
Dim Reverse video Underline | X | X |  | X |  | black | white
Dim Flashing Underline | X |  | X | X |  | white | black
Reverse video Flashing Underline |  | X | X | X |  | black | white
Dim Reverse video Flashing Underline | X | X | X | X |  | black | white
Invisible |  |  |  |  | X | n/a | black
Dim Invisible | X |  |  |  | X | n/a | black
Reverse video Invisible |  | X |  |  | X | n/a | white
Flashing Invisible |  |  | X |  | X | n/a | black
Underline Invisible |  |  |  | X | X | n/a | black
Dim Reverse video Invisible | X | X |  |  | X | n/a | white
Dim Flashing Invisible | X |  | X |  | X | n/a | black
Dim Underline Invisible | X |  |  | X | X | n/a | black
Reverse video Flashing Invisible |  | X | X |  | X | n/a | white
Reverse video Underline Invisible |  | X |  | X | X | n/a | white
Flashing Underline Invisible |  |  | X | X | X | n/a | black
Dim Reverse video Flashing Invisible | X | X | X |  | X | n/a | white
Dim Reverse video Underline Invisible | X | X |  | X | X | n/a | white
Dim Flashing Underline Invisible | X |  | X | X | X | n/a | black
Reverse video Flashing Underline Invisible |  | X | X | X | X | n/a | white
Dim Reverse video Flashing Underline Invisible | X | X | X | X | X | n/a | white
9 END :


Wyse 50/60 Map Files: Character Translations

Session > Properties > Emulations > [Wyse] > Translation
Character translation map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .trf file extension. Use the Character Translation Map Editor to create custom character translation map files.
The default mappings are a one-to-one mapping such that each character in one set is matched to the identical character in the other set. For example, in the Host to Display translation dialog, the Host FSANSI character 0x3F (the question mark symbol) is mapped to Display FSANSI character 0x3F (also the question mark). If you change the character in Display FSANSI to 0x21 (the exclamation point symbol), it will then be associated with Host FSANSI 0x3F such that whenever the received host data indicates to display character 0x3F, the character 0x21 will be displayed instead. The [default] HP 700/94 character translation map file has the following mappings established.
Host to Display |  | Display to Windows
Host | Display | Display | Windows
WYSENATIVE WYSEASCII WYSEMULTINAT WYSEGRAPH1 WYSEPCEQUIV WYSEGRAPH2 WYSEGRAPH3 WYSEANSI | FSANSI FSCOMP1 FSCOMP2 | FSCOMP1 | FSCOMP1
See Appendix A: Character Sets for a listing of the hexadecimal code and screen character representation of each Display character set.
9 END :


Wyse 50/60 Map Files: Hotspots

Session > Properties > Emulations > [Wyse] > Hotspots

Hotspot map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .hot file extension. Use the Hotspot Map Editor to add or remove hotspots.

The [default] Wyse 50/60 hotspot map file has the following mappings established:

Hotspot Text | Function | Mapped to…
F1 | F1 | Terminal key F1
F2 | F2 | Terminal key F2
F3 | F3 | Terminal key F3
F4 | F4 | Terminal key F4
F5 | F5 | Terminal key F5
F6 | F6 | Terminal key F6
F7 | F7 | Terminal key F7
F8 | F8 | Terminal key F8
F9 | F9 | Terminal key F9
F10 | F10 | Terminal key F10
F11 | F11 | Terminal key F11
F12 | F12 | Terminal key F12
F13 | F13 | Terminal key F13
F14 | F14 | Terminal key F14
F15 | F15 | Terminal key F15
F16 | F16 | Terminal key F16
9 END :


Wyse 50/60 Map Files: Keyboard

Keyboard map files are stored in c:\PROGRAM FILES\FUTURESOFT\DCSERIES\maps. These files have the .kbm file extension. Use the Keyboard Map Editor to create custom keyboard map files.

The [default] Wyse 50/60 keyboard map file has the following mappings established:

Keyboards

Characters Transmitted

Comments

Wyse 50/60 Keyboard

IBM PC Keyboard

ASCII

Hexadecimal

F1

F1

SOH @ CR

01 40 0D

F2

F2

SOH A CR

01 41 0D

F3

F3

SOH B CR

01 42 0D

F4

F4

SOH C CR

01 43 0D

F5

F5

SOH D CR

01 44 0D

F6

F6

SOH E CR

01 45 0D

F7

F7

SOH F CR

01 46 0D

F8

F8

SOH G CR

01 47 0D

F9

F9

SOH H CR

01 48 0D

F10

F10

SOH I CR

01 49 0D

F11

F11 or
Ctrl F1

SOH J CR

01 4A 0D

F12

F12 or
Ctrl F2

SOH K CR

01 4B 0D

F13

F13 or
Ctrl F3

SOH L CR

01 4C 0D

F14

F14 or
Ctrl F4

SOH M CR

01 4D 0D

F15

F15 or
Ctrl F5

SOH N CR

01 4E 0D

F16

F16 or
Ctrl F6

SOH O CR

01 4F 0D

Shift F1

Shift F1

SOH ` CR

01 60 0D

Shift F2

Shift F2

SOH a CR

01 61 0D

Shift F3

Shift F3

SOH b CR

01 62 0D

Shift F4

Shift F4

SOH c CR

01 63 0D

Shift F5

Shift F5

SOH d CR

01 64 0D

Shift F6

Shift F6

SOH e CR

01 65 0D

Shift F7

Shift F7

SOH f CR

01 66 0D

Shift F8

Shift F8

SOH g CR

01 67 0D

Shift F9

Shift F9

SOH h CR

01 68 0D

Shift F10

Shift F10

SOH i CR

01 69 0D

Shift F11

Shift F11 or Shift Ctrl F1

SOH j CR

01 6A 0D

Shift F12

Shift F12 or Shift Ctrl F2

SOH k CR

01 6B 0D

Shift F13

Shift F13 or Shift Ctrl F3

SOH l CR

01 6C 0D

Shift F14

Shift F14 or Shift Ctrl F4

SOH m CR

01 6D 0D

Shift F15

Shift F15 or Shift Ctrl F5

SOH n CR

01 6E 0D

Shift F16

Shift F16 or Shift Ctrl F6

SOH o CR

01 6F 0D

Backspace

Backspace

BS or Ctrl H

08

Break

Ctrl Pause

n/a

n/a

Sends a break signal to the host. A 250-millisecond ASCII Break pulse is the default; hold down the key to increase duration of pulse.

Character Delete

/
(num pad)

Esc W

1B 57

Delete the character at the cursor. Other unprotected characters move one character position to the left. A space character fills the line’s end, or in Page Edit mode, a character wraps from the following line to the cursor’s line.

Character Insert

Insert

Esc Q

1B 51

Insert a space character at the cursor’s position. Ignored in Protect mode.

Cursor Down

Arrow Down

LF or
Ctrl J

0A

Move the cursor down one line. The screen scrolls if the key is pressed when the cursor is at the bottom of the session screen.

Cursor Home

Home

RS or
Ctrl ^

1E

Move the cursor to the home position on the page.

Cursor Left

Arrow Left

BS or Ctrl H

08

Move the cursor one character position to the left.

Cursor Right

Arrow Right

FF or Ctrl L

0C

Move the cursor one character position to the right.

Cursor Up

Arrow Up

VT or Ctrl K

0B

Move the cursor up one line. The screen does not scroll if the key is pressed when the cursor is at the top of the session screen.

Delete

Delete

Del

7F

Enter
(num pad)

Enter
(num pad)

CR or Ctrl M

0D

Move the cursor to the start of the cursor’s line.

Enter
(num pad)

Enter
(num pad)

HT or Ctrl I

09

Move the cursor to the home position in the page.

Escape

Escape

Esc or Ctrl [

1B

Funct
(Hold)

Scroll Lock

n/a

n/a

Insert

- (num pad)

Esc q

1B 72

Insert mode - On (Replace mode - Off). In Page Edit mode, characters that move to the right of the line’s end or to the beginning of a protected field are lost.

Line Clear

*
(num pad)

Esc T

1B 54

Clear unprotected characters in the cursor’s line from the cursor to the line’s end.

Line Delete

Shift /
(num pad)

Esc R

1B 52

Delete the cursor’s line, move up the following lines by one line, and move the cursor to the first column. Ignored in Protect mode.

Line Insert

Shift Insert

Esc E

1B 45

Insert a line of space characters, moving down the lines following the cursor’s line, and destroying the previously last line. Ignored in Protect mode.

Page Next

Page Down

Esc K

1B 4B

Activate the next page in a split screen.

Page Previous

Page Up

Esc J

1B 4A

Activate the previous page in a split screen.

Print

Shift End

Esc P

1B 50

Print a formatted version of the session screen.

Replace

Shift –
(num pad)

Esc r

1B 72

Replace mode – On
(Insert mode - Off).

Return

Enter

CR LF or
Ctrl J Ctrl M

0D 0A

Move the cursor to start of the next line after the cursor’s line.

Return

Enter

CR or Ctrl M

0D

Move the cursor to the start of the cursor’s line.

Screen Clear

Shift *
(num pad)

Esc Y

1B 59

Clear unprotected characters from the cursor to the page’s end.

Send

F12 or End

Esc 7

1B 37

Send the entire page to the host.

Shift Break

Shift Break

n/a

n/a

Send a two-second break signal to the remote system to disconnect from the host.

Note

Applies to Wyse 60 only.

Shift Cursor Home

Shift Home

Esc {

1B 7B

Move the cursor to the home position in the page.

Shift Tab

Shift Tab

Esc I

1B 49

Move the cursor to the previous tab position.

Tab

Tab

HT or Ctrl I

09

Move the cursor to the next tab position.

9 END :


File Transfers: Working with File Transfer Protocols

One of the most useful features of data communications is the ability to transfer files from one computer to another over an electronic connection. DCS file transfer protocols optimize the movement of information by providing the ability to:

  • start a transfer with a few mouse clicks or keystrokes with customized menus or toolbars.

  • transfer files in the background while you work in another session or application.

  • automate transfers through the DCS script language. With the right script, you can schedule file transfers at night to take advantage of low phone rates or easier network access..

When transferring files electronically, the sending and receiving systems must use the same conventions for the transfer of information. A file transfer protocol is an agreed upon method for transferring a file and is similar, in human terms, to a cultural custom. File transfer protocols are the customs by which computers exchange information: how the exchange begins, how it progresses, and how it ends.

File Type

The transfer protocol that you choose depends in part on the type of file that you want to transfer.

  • Text transfer protocols are designed for text entered by simple text editors, such as Windows’ Notepad (but not word processors, such as WordPerfect or Microsoft Word). Further, text protocols are not designed for binary files, files with ZIP, EXE, or COM as the file type. Text transfer protocols regulate the flow of data and do not check the data for errors.

  • Binary transfer protocols (XYModem, ZModem and Kermit) can transfer any kind of file. Binary transfer protocols control the flow of data and attempt to detect errors. When a receiving computer using a binary protocol detects an error, it asks the sender to transfer a new copy of the data that had an error.

However, protocols cannot eliminate all file transfer problems. Severing or unplugging the communications line, or filling the receiving computer’s hard drive during the transfer, makes the transfer difficult to complete.

DCS File Transfer Protocols

DCS provides up to five file transfer protocols. However, the protocols available on your particular terminal depend on the ones chosen during the installation process. To determine the protocols you have access to on your system, use the Help > About DynaComm > Modules command to view a listing of all installed modules. The file transfer protocols are listed with a prefix of:

c:\Program Files\FutureSoft\DCSeries\ft\

The following table provides the corresponding file name for each file transfer protocol:

File Transfer Protocol

File name

Kermit

kermit.flx

XYModem

xymodem.flx

ZModem

zmodem.flx

IXF (with Tandem Client Option only)

wixfdll.flx

IND$FILE (with 3270 Client Option only)

indfile.flx

See Also

  • IND$FILE

  • IXF

  • Kermit

  • XYModem

  • ZModem

9 END :


File Transfers: Selecting A Protocol

A file transfer protocol can be selected:

  • When creating a new session

If you use the New Session Wizard to create the new session, the third dialog box displays a list of all installed file transfer protocols as well as a <None> selection. If you do not want to specify a file transfer protocol, select <None>. Otherwise, select one of the listed protocols before clicking Next.

If the New Session Wizard is disabled, the File New Session command or the New toolbar button creates a new session file and displays the Session Properties dialog. By default, the ZModem file transfer protocol is selected for the new session. All installed file transfer protocols appear on the File Transfers tab. A different protocol can be selected by clicking on the approriate file transfer protocol button.

  • To modify a saved session file

The file transfer protocol can be changed in an open session file through the Session Properties dialog. The session can be actively connected to a host or be. However, do not change the protocol during a file transfer. First, stop the current transfer, change the protocol, and then restart the transfer.

See Also

General

  • Creating a session file

  • New session default configuration

  • Required session configuration

  • New Session Wizard

Tasks

  • Steps to select or change a file transfer protocol

  • Steps to create a new session file with the New Session Wizard

  • Steps to create a new session file with the New Session Wizard disabled

9 END :


FTP Application

DCS provides a standalone FTP (File Transfer Protocol) application.

By default, FTP is installed in the installation directory of DCS. A shortcut is provided in the DCS program group. The FTP utility supports file transfers to and from a host using the FTP protocol over a TCP/IP connection.

For more information see the FTP Online Reference .

9 END :


File Transfers: Kermit File Transfer Protocol

Session > Properties > File Transfers > Kermit

The Kermit file transfer protocol was developed to provide a file transfer mechanism for mini- and mainframe computers using operating systems:

  • limited to seven-bit characters

  • not able to work with ASCII control characters (ASCII 0 through 31)

  • not able to work with the ASCII Delete character (ASCII 127)

Kermit was originally developed as a half-duplex protocol and uses seven or eight data bits per character. It is designed to convert the eighth bit by stripping it and prefixing the resuliting character with another character. Since Kermit’s first development, many enhancements have been made including:

  • handling multiple file transfers

  • operating in a full-duplex sliding window mode

  • support of variable block sizes up to 1,024 characters per block.

See Also

  • Configuration options

  • Remote Kermit

  • Remote Kermit dialog box

Tasks

  • Steps to receive a host file

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol .

  • Steps to determine which file transfer protocols are installed .

9 END :


File Transfers: Remote Kermit

Session > Remote Kermit

Select Remote Kermit on the Session menu to perform Kermit operations on the remote system. To enable (make available) the Remote Kermit command, you must first select the Kermit file transfer protocol in the File Transfers tab of the Session Properties dialog. All responses from the remote system are displayed in the session window. The remote system must be in Kermit server mode and you must have a connected session to that system for the DCS Kermit commands to function correctly. To end Remote Kermit operations, click Stop in the Remote Kermit dialog.

Note

The Kermit Server commands supported by DCS are not necessarily supported by all host Kermit Servers.

The display of one or more text boxes and their titles change according to the item selected in the Kermit Command box.

See Also

  • Remote Kermit dialog box

9 END :


Kermit Protocol: Working with Configuration Options

Before configuring the Kermit file transfer protocol, determine if this protocol is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the Kermit file transfer protocol is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\FT\kermit.flx

To begin configuring a session to use the Kermit file transfer protocol, click Kermit in the row of horizontal buttons at the top of the File Transfers tab in the Session Properties dialog. Two sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the protocol.

The two sub-tabs used to configure the Kermit file transfer protocol are:

  • General options

  • Advanced options

9 END :


Kermit Protocol Configuration Options: General Sub-tab

Session > Properties > File Transfers > [Kermit] > General

The General tab contains items related to general properties for all file transfer protocols but offers only the selections in each group that apply to Kermit. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

Time Constraint group

  • Standard

  • Loose

Select when connecting to a remote system which is responsive.

Select when the remote system is sluggish.

Your selection in this group box affects how long the protocol will wait for data from the remote system. If the remote system does not respond within a period of time, the protocol will require the sending system to send the last data packets again or will end the transfer.

Default: Standard

Transfer Type group

  • Binary

  • Text

Select Binary when transferring a file with any data that requires all eight bits of a byte.

Otherwise (when transferring ASCII text files), select Text.

Default: Binary

Error Checking group

  • 1-byte Checksum

  • 2-byte Checksum

  • 3-byte CRC

Select a button to change the algorithm by which the protocol checks for errors.

The algorithms are generally ranked from better (detecting more errors) to worse (detecting fewer errors): 3-byte CRC (a 16-bit Cyclic Redundancy Check), 2-byte Checksum (12-bit) and 1-byte Checksum (6-bit). If the implementation of Kermit does not support the 3-byte CRC, the protocol will step down to the next level.

Default: 1-byte Checksum

Note

Generally, with longer packets, binary transfers, and faster transmission speeds, the 3-byte CRC algorithm is best for finding errors. The others may not detect errors as often in such situations.

If File Exists group

  • Prompt

  • Skip

  • Abort

  • Append

  • Overwrite

Select the action to perform when a transferred file has the same name as one in the destination directory.

Prompt displays a dialog, allowing you to rename the transferring file.

Skip preserves the existing file by preventing the transfer of any file with the same name as an existing file on the receiving system, but allowing other files in a group of files to transfer.

Abort stops transferring files when the protocol encounters a transferring file with the same name as an existing file on the remote system.

Append adds the contents of a transferring file to the contents of the existing file on the receiving system.

Overwrite replaces the existing file with the transferring file.

Default: Prompt

Timeout group

Timeout (seconds)

[text box]

Select to enable timeout.

Enter an integer between 0 and 9999 in the text box to represent the number of seconds to wait before stopping the transfer.

Default: Cleared

Packets group

Sliding Window (1-31)

Select to allow the protocol to send the number of packets, indicated in the text box, before waiting for an acknowledgment from the receiving system, that the receiving system has received the packets without error. Enter a number in the range of one to thirty-one in the text box to indicate the number of packets to send in a block.

Clear to require the protocol to wait for an acknowledgment after sending each packet.

Default: Cleared

Note

Older implementations of Kermit do not support a sliding window transfer.

Packet Size (80-9024)

Select to determine the size of a packet that the protocol will send. Enter the number of bytes in the range of 80 to 9024 in the text box.

Clear to allow the default maximum packet size (between eighty and ninety-four characters).

Default: Cleared

Generally, a larger packet size will allow the data to transfer faster. However, if the protocol uses larger packets, and the communications line is noisy, the transfer may take longer, because more data will become corrupted during the transfer, and the protocol must retransmit more bytes to replace the corrupted data. If the remote system or the connection does not support a larger packet size, the protocol will automatically choose a smaller packet size.

If Host File Exists group

Change Filename

Select to send a prompt to change the file name when adding files to the Files To Send list box in the Select Files To Send dialog.

Clear to require the uploaded files to use the same file name on the remote system as the file has on your computer.

Default: Cleared

Status Dialog Actions group

Disable for scripting

Select to disable all actions of the File Transfer Status dialog when a file transfer command is executed within a script.

Default: Cleared

--------------------------------------------------------------------------------------------------------------------------------------------

Returns the default settings to all items.

9 END :


Kermit Protocol Configuration Options: Advanced Sub-tab

Session > Properties > File Transfers > Kermit > Advanced

The Advanced tab contains items related to only to the Kermit protocol. The table below lists all options on the Advanced tab with a description of each.

Use this option

in this manner . . .

Host Initialization group

Automatic Host Initialization

Select to start the transfer program on the remote system when OK is clicked in the Receive File and Select Files To Send dialogs. The dialogs display after Receive File and Send File commands are selected on the Session menu, respectively.

The host program is started with the name of the transfer program and parameters entered in Host Kermit Activation Command and other edit text boxes.

Clear to manually start and configure the transfer program on the remote system before selecting Send File or Receive File in the Session menu.

Default: Cleared

Host Kermit Activation Command

Default: kermit

Host Kermit Server Activation Command

Enter the command to start the Kermit server program on the remote system.

With the Kermit server program, the protocol on the remote system receives your instructions through DynaComm’s Remote Kermit capability (Session > Remote Kermit), which sends Kermit packets containing instructions, instead of receiving instructions from the keyboard (command-line interface). DynaComm sends this command when you select Remote Kermit in the Session menu.

Default: server

Note

Not all implementations of Kermit on remote systems support server operations.

Binary Transfer Setting Command

Enter the command to direct the remote system to send or receive a binary file.

Default: set file type binary

Text Transfer Setting Command

Enter the command to direct the remote system to send or receive a text file.

Default: set file type text

Send Packet Length Setting Command

Enter the command to set the maximum size of a packet that the protocol on the remote system will send to DynaComm. If you do not enter a number, the remote system may default to ninety-four (or fewer) bytes in a packet. The command on some systems has the following form:

set send packet-length Integer

where Integer is a value in the range of 10 to 9024.

Default: set send packet-length

Receive Packet Length Setting Command

Enter the command to set the maximum size of a packet that the protocol on the remote system will expect.

If you do not enter a number, the remote system may default to ninety-four (or fewer) bytes in a packet. The command on some systems has the following form:

set send packet-length Integer

where Integer is a value in the range of 10 to 9024.

Default: set receive packet-length

Sliding Window Size Setting Command

Enter the command to configure the protocol on the remote system to allow it to send a number of packets before waiting for an acknowledgment.

Whenever the number of unacknowledged packets is under the number set in this command, the remote system will send more packets. If you do not enter a number, the remote system may default to zero packets, requiring an acknowledgment after sending each packet. The command on some systems has the following form:

set window Integer

where Integer is a value in the range of zero to thirty-one.

Default: set window

Exit Host Kermit Command

Enter the command directing the closure of any open files (for instance, log files) and to terminate the file transfer protocol.

Default: exit

9 END :


File Transfers: IND$FILE File Transfer Protocol

Session > Properties > File Transfers > IND$FILE

Note

This file transfer protocol is not part of the base DCS product. It is available only with the TN3270 Client Option.

Selecting the IND$FILE button in the File Transfers tab of the Session Properties dialog enables the protocol. The IBM IND$FILE file transfer program allows your local computer and a remote system to transfer files between each other.

DynaComm provides several options for configuring the IND$FILE protocol. Usually, you will configure the transfer settings when you configure the terminal session in the Session Properties dialog. After the session is connected and you are ready to start a transfer, DynaComm will present additional options (such as file selection). For more information on transferring a file, see Transferring Files .

To configure the IND$FILE program, select the Properties option in the Session menu. If you have not already configured the 3270 emulation and a connector, do so now. Then select the File Transfers tab, and then click IND$FILE. The Session and Advanced sub-tabs will appear.

Note

The TN5250 Client Option does not support file transfers.

See Also

  • Configuration options

  • Scripting Parameter Values

  • Steps to receive a host file

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol .

  • Steps to determine which file transfer protocols are installed .

9 END :


IND$FILE Protocol: Scripting Parameter Values

The scripting keywords shown below are a summary only. Please consult the Script Online Reference for detailed information about a function or command and the associated keywords for its parameters.

Note

  • See the Scripting Parameter Values for use with the TN3270 & TN3270 Print emulations.

  • See the Scripting Parameter Values for use with the Microsoft SNA Server connector.

Function

Parameter(s)

Keyword*

Value(s) Returned

Value Type

GetXferConfig ()

KeyString

IND3270_HostEnvironment

CMS, TSO, CICS

String

IND3270_ChkBlockSize

true, false

Boolean

IND3270_BlockSize

1 to 6233

Integer

IND3270_ChkRecLength

Applicable only for the CMS and TSO environments.

true, false

Boolean

IND3270_RecLength

Applicable only for the CMS and TSO environments.

1 to 32760

Integer

IND3270_RecFormat

Default, Fixed, Variable, Undefined

String

IND3270_Append

true, false

Boolean

IND3270_ConvertASCII

true, false

Boolean

IND3270_ConvertCRLF

true, false

Boolean

IND3270_ChkSpace

Applicable only for the TSO environments.

true, false

Boolean

IND3270_SpacePrimary

Applicable only for the TSO environments.

1 to 6233

Integer

IND3270_SpaceSecondary

Applicable only for the TSO environments.

1 to 6233

Integer

IND3270_SpaceUnits

Applicable only for the TSO environments.

Blocks, Tracks, Cylinders

String

IND3270_HostProgram

String. The string should be the name of the host program that transfers files between the host and DynaComm, usually IND$FILE.

String

IND3270_PaceketSize

256 to 32000

Integer

IND3270_PCCodePage

ISO Latin-1 (Windows NSI), English-US, Canadian French

String

IND3270_HostCodePage

English-US, Canadian French

String

IND3270_Options

Parameters that your host requires for which neither the Session or Advanced tabs provide settings.

String

Set BinaryTransfers

Protocol

IND$FILE

String

Settings ()

Keyword

BINARYTRANSFERS

IND$FILE

String

XferConfig

String

IND3270_HostEnvironment

CMS, TSO, CICS

String

IND3270_ChkBlockSize

true, false

Boolean

IND3270_BlockSize

1 to 6233

Integer

IND3270_ChkRecLength

Applicable only for the CMS and TSO environments.

true, false

Boolean

IND3270_RecLength

Applicable only for the CMS and TSO environments.

1 to 32760

Integer

IND3270_RecFormat

Default, Fixed, Variable, Undefined

String

IND3270_Append

true, false

Boolean

IND3270_ConvertASCII

true, false

Boolean

IND3270_ConvertCRLF

true, false

Boolean

IND3270_ChkSpace

Applicable only for the TSO environments.

true, false

Boolean

IND3270_SpacePrimary

Applicable only for the TSO environments.

1 to 6233

Integer

IND3270_SpaceSecondary

Applicable only for the TSO environments.

1 to 6233

Integer

IND3270_SpaceUnits

Applicable only for the TSO environments.

Blocks, Tracks, Cylinders

String

IND3270_HostProgram

String. The string should be the name of the host program that transfers files between the host and DynaComm, usually IND$FILE.

String

IND3270_PaceketSize

256 to 32000

Integer

IND3270_PCCodePage

ISO Latin-1 (Windows NSI), English-US, Canadian French

String

IND3270_HostCodePage

English-US, Canadian French

String

IND3270_Options

Parameters that your host requires for which neither the Session or Advanced tabs provide settings.

String

*Applies only to those commands where a parameter requires both a keyword and a value.

9 END :


IND$FILE Protocol: Working with Configuration Options

Before configuring the IND$FILE file transfer protocol, determine if the protocol is installed. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the IND$FILE protocol is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\FT\indfile.flx

To begin configuring a session to use the IND$FILE file transfer protocol, click IND$FILE in the row of horizontal buttons at the top of the File Transfers tab in the Session Properties dialog. Two sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the protocol.

The two sub-tabs used to configure the IND$FILE protocol are:

  • Session options

  • Advanced options

9 END :


IND$FILE Protocol Configuration Options: Session Sub-tab

Session > Properties > File Transfers > [IND$FILE] > Session

The Session tab contains items related to general properties for the IND$FILE file transfer protocol. The table below lists all options on the Session tab with a description of each.

Use this option

in this manner . . .

Host Environment group

  • CMS

  • TSO

  • CICS

The host environment determines which items you can configure on the rest of the tab.

CMS - Conversational Monitor System

TSO – Time Sharing Options

CICS – Customer Information Control System

Default: CMS

Block Size

Select and then enter a number in the text box to represent the block byte size in a new data set.

Clear to set the default block size to equal the record length.

The block size can vary from 1 byte to 6233 bytes. For performance, always use a large block size unless your system (or the path to the system) cannot handle the larger block size.

This option is available only when TSO is selected in the Host Environment group.

Default: Cleared

Note

If you are appending to an existing file, the IND$FILE program ignores any block size specification in the Session Properties dialog.

Record group

Note

This option group is available if CMS or TSO is selected in Host Environment group.

Length

[text box]

Select and then enter a number in the text box to represent the byte size of the logical record length (number of characters per record) of the host data set.

Clear to allow the record length to be eighty characters. Typically, the default on a host is typically eighty characters; however, the length can range from 1 character to 32,760 characters. The default record length is generally eighty characters for fixed length records and eighty-four characters for variable length records.

Default: Cleared

When you select Length, you will also need to select an item representing the format of a logical record on the host.

  • Default

Select to use the defaults set on the host, or if the host does not have a default format, the number entered in Length.

  • Variable

Select to allow the records in a file to vary in length (variable format records contain a length indicator).

  • Fixed

Select to keep all records the same length. The host pads fixed length records with trailing blanks when it receives a record shorter than the specified length.

  • Undefined

Select for files containing transparent data or for files with unknown length.

Default: Fixed

Note

If you are appending to an existing file, the IND$FILE program ignores any record format specification.

Timeout group

Select option and then enter parameter.

Timeout (seconds)

[text box]

Select to enable timeout.

Enter an integer between 0 and 9999 in the text box to represent the number of seconds to wait before stopping the transfer.

Default: Cleared

Space group

This option group is available if CMS or TSO is selected in Host Environment group.

Space

[primary allocation, secondary allocation]

  • Blocks

  • Tracks

  • Cylinders

Select to specify the amount of space allocated for a new data set.

Clear to allow IND$FILE to use the defaults on the remote system.

After selecting you must do the folowing:

1 Enter in:

[primary allocation] the initial sizing for the data set to occupy in the range between 0 – 99999.

[secondary allocation] the additional amount of space to add in the range between 0 – 99999, if the primary allocation is not large enough.

2 Select a unit of space: blocks, tracks, or cylinders

Default: Cleared with Blocks selected

Note

If you are appending to an existing file, IND$FILE ignores any space specification in the Session Properties dialog box.

Status Dialog Actions group

Disable for scripting

Select to prevent requesting user input during file transfers initiated by scripts.

This is useful when a script is used to launch an automated and unattended process, allowing the script to perform file transfers without the need for user intervention.

Default: Cleared

Append to Existing File

Select to prevent a transferring file from overwriting an existing file.

Clear to allow the transferring file to overwrite an existing file on the receiving system.

Default: Cleared

Convert ASCII<->EBCDIC

Select to convert the characters in transferring text files.

Clear to prevent the conversion of the characters in a file.

When sending a file to a host, the characters are converted from ASCII to EBCDIC, and when DynaComm receives a text file, the characters are converted from EBCDIC to ASCII.

For instance, you may want to leave this option cleared when transferring non-text files.

Default: Selected

Convert CRLF

Select to replace characters, indicating the end of a line in a text file with end-of-record marks in a mainframe text file, or vice versa, depending on whether the mainframe or the PC is receiving the text file.

Clear to prevent the conversion of the characters in a file.

In text files sent to a remote system, IND$FILE converts each carriage return character followed by a line feed character to an end-of-record mark. Conversely, in text files sent from a remote system, IND$FILE converts each end-of-record mark to a carriage return character followed by a line feed character.

You may want to leave Convert CRLF cleared when transferring non-text files.

Default: Cleared

9 END :


IND$FILE Protocol Configuration Options: Advanced Sub-tab

Session > Properties > File Transfers > [IND$FILE] > Advanced

The Advanced tab contains items related to special transfer configurations for the IND$FILE file transfer protocol. The table below lists all options on the Advanced tab with a description of each.

Use this option

in this manner . . .

Program Name

Enter the name of the host file transfer program.

Default: IND$FILE

Packet Size

Enter the size of data blocks transferred between the remote system and DynaComm. Values between 256 and 32,767 allowed.

Generally, the larger the packet, the faster the file transfers. The maximum packet size is 32,767, and the default size is 4096 bytes; however, in practical terms the largest packet size in a session depends on the size that the host will accept.

Default: 4096

PC Code Page

Select the name of a PC code page.

Your selection refers to the character set defined in Windows that IND$FILE will use when converting characters between the character set used on your PC (referred to in this list box) and the character set used on the remote system (referred to in your selection in Host Code Page).

Default: ISO Latin-1 (Windows ANSI)

Note

Refer to IBM's National Language Support Reference Manual, Volume 2, SE09-8002-02 for information on character sets and code pages.

Host Code Page

Select the name of a host code page.

Your selection refers to the character set specified on the remote system. IND$FILE uses this to convert characters between the character set used on the remote system (referred to in this list box) and the character set used on your PC (referred to in your selection in PC Code Page).

Default: English-US

Note

Refer to IBM's National Language Support Reference Manual, Volume 2, SE09-8002-02 for information on character sets and code pages.

Extra Transfer Options

Enter any other file transfer parameters, as needed.

Sometimes when exchanging files with a remote host, the transfer may require parameters not supplied with options on the Session or Advanced tabs. The options must be in an appropriate format for the operating system. Parameters are appended only to the file transfer command.

9 END :


File Transfers: IXF File Transfer Protocol

The Tandem 6530 Information Xchange Facility (IXF) file transfer protocol provides a means to transfer data between a local terminal running DCS and a Tandem host system or network.

DCS provides many options for configuring the IXF protocol. Begin by selecting and configuring the protocol in the Session Properties dialog. When you are ready to send, receive, or print files, DCS also allows you to configure additional transfer options.

To select and configure the IXF protocol

1 On the Session menu, select Properties.

2 Select the File Transfers tab and then click IXF in the row of horiztonal buttons.

3 Select the appropriate options and enter parameters where needed.

4 Click the OK dialog button.

In all cases, the IXF options selected during configuration of the session may be overridden on a transfer-by-transfer basis.

See Also

  • Configuration options

  • Printing Files

  • Special Considerations

  • Scripting Configuration Keywords

9 END :


IXF Protocol: Scripting Configuration Keywords

The scripting keywords shown below are a summary only. Please consult the Script Online Reference for detailed information about a particular function or command and the associated keywords for its parameters.
GENERAL
Configuration Option | Keyword = value type | Value(s)
Host IXF Program | IXF_HostProgram = String | String (48 character limit)
Consecutive retryable errors | IXF_MaxRetries = Integer | Positive integer (5 digit limit)
Default host $Vol.Svol | IXF_DefaultVol = String | Volume/subvolume name
Host record size | IXF_RecordSize = Integer | Positive integer (1-4096)
Host share file access | IXF_Share = Boolean | TRUE, FALSE
Packet depth | IXF_PacketDepth = Integer | 1 -16
Binary/Text Transfer | IXF_Binary = Boolean | TRUE (Binary transfer), FALSE (Text transfer)
File code | IXF_FileCode = Integer | 0 - 65535 (may not be 101 for binary transfer)
Edit increment | IXF_EditIncrement = Number | 0.001 - 2000.999
PRINT
Configuration Option | Keyword = value type | Value(s)
Send files to host printer | IXF_ENABLEPRINTER = Boolean | TRUE, FALSE
Strip high bit | IXF_StripHighBit = Boolean | TRUE, FALSE
Skip perforations | IXF_SkipPerfs = Boolean | TRUE, FALSE
RECEIVE
Configuration Option | Keyword = value type | Value(s)
Make extensions | IXF_MakeExtension = Boolean | TRUE, FALSE
Number of extension chars. | IXF_NumExtensionChars = Integer | 1 - 3
Add CR,LF to each record | IXF_CRLF = Boolean | TRUE, FALSE
Keep host source file date | IXF_KeepHostFileDate = Boolean | TRUE, FALSE
If File Exists | IXF_RcvFileExistOption = String | ReceiveAbort, ReceivePrompt, ReceiveOverwrite, ReceiveAppend
SEND
Configuration Option | Keyword = value type | Value(s)
Use PC file name extensions | IXF_NoExtensions = Boolean | TRUE, FALSE
Set new file owner | IXF_Owner = Boolean | TRUE, FALSE
Group ID | IXF_Group = Integer | 0 - 255
User ID | IXF_User = Integer | 0 - 255
RWEP Security | IXF_FileSecurity = String | Four character string, using A, N, G, O, C, U, S (may also be -), or D
Primary Host Extent Size | IXF_PrimaryHostExt = Integer | 1 - 65535
Secondary Host Extent Size | IXF_SecondaryHostExt = Integer | 1 - 65535
Keep PC source file date | IXF_KeepPCFileDate = Boolean | TRUE, FALSE
If File Exists | IXF_SendFileExistOption = String | SendAbort, SendPurge, SendErase, SendAppend
TABS
Note The Delete tab characters option is always enabled by default; use these keywords only to change from the default.
Configuration Option | Keyword = value type | Value(s)
Set Tab Option | IXF_TabOption = String | DeleteTabs, TabsToSpaces, TabList
Set Tabs Every [X] Columns | IXF_TabsEvery = Integer | Positive integer (1-4096)
Set Tabs at Specific Columns | IXF_TabList = String | Comma-delimited list of up to 128 Tab Stops in range 1 - 4096
9 END :


IXF Protocol: Printing Files

Printing a PC file on a NonStop Server is the same as sending a file, except that the file is printed on a host device. Before sending a file to print on the host, you must enable the IXF file printing option (which is off by default).

The general steps to print files with the IXF file transfer protocol are:

  1. To configure IXF to print a file, open the Session Properties dialog, select File Transfers. Select the IXF button and select the Print tab and make sure the option to Send files to host printer is checked. Click OK to close the dialog.

  1. To begin the file transfer process for printing a PC file on a NonStop Server system printer, select Session > Send File. A file selection dialog box appears, allowing you to specify the file(s) to print on the host.

  1. Select files from the file list and use the Add or Add All buttons to create a list of files to send to the host. All files sent to the host will be transferred using the options specified with the current IXF configuration. Additional options are available by clicking the Setup button. Click the OK button to begin the IXF transfer.

See Also

  • Print sub-tab

  • Special printing considerations

9 END :


IXF Protocol: Special Considerations

When working with the IXF file transfer protocol several considerations must be evaluated before proceeding with file transfers. These considerations fall into three areas:

File Sizes

Host file and disk size

Local terminal file and disk size

Host Initiated File Transfers

Wait option

HOSTEXEC

Printing

Printing files that include special characters

9 END :


IXF Protocol Special Considerations: Sizing

Sizing considerations for the IXF file transfer protocol fall into two categories:

  • Host sizing

  • Local terminal sizing

Host File and Disk Size

  • The NonStop Server file system allocates storage space for a disk file in the form of file extents. A file extent is a contiguous block of storage containing a multiple of 2048 bytes (one page). The first extent, called the primary extent, can have a different size than the other extents, which are called secondary extents. On a NonStop DP1 disk, the maximum number of extents is 16. On a NonStop DP2 disk, the default is 16 and the maximum is 978.

  • When a file is created on the host, the entire primary extent is initially allocated for data storage. As long as additions to the file do not exceed the capacity provided by the primary extent, no secondary extent allocation is necessary. If the file does grow beyond the limits of the primary extent, secondary extents are allocated to the file one at a time.

  • When you send a local file to the host as a new file or with the Purge host file option selected (Session > Properties > File Transfers > IXF > Send), you can override the File Extents option default settings of 4,16.

  • On NonStop DP1 disks, the number of extents is always 16. When files are transferred as binary files, the PC IXF values (either default or specified) change to the minimum size required to accommodate the PC file. When files are not transferred as binary files, the number of extents or the extent size is set to allow the host file size to be twice the size of the PC file.

Note

On DP1 disks or for files larger than 32 MB, do not select a primary or secondary value that is too large. An excessively large value can prevent the file system from finding contiguous blocks that are large enough to transfer the file and allow for growth. Select a combination of primary and secondary values that allocates sufficient storage for growth.

  • On NonStop DP2 disks, the number of extents is determined by the size of the PC file being transferred. IXF will attempt to keep the primary (PRI) and secondary (SEC) extent sizes as specified and adjust the maximum number of extents. IXF will also adjust the extent size if necessary.

Note

The DP2 disk and the default IXF primary and secondary default values of 4,16 allow a host file size of approximately 32 MB.

Local Terminal File and Disk Size

When receiving files, be sure the destination disk (or diskette) has enough room for the files transferred from the host. If the disk space is insufficient for the file(s) being transferred, IXF fills the disk (diskette), quits, and displays an error message indicating which file was being transferred when the error occurred.

9 END :


IXF Protocol Special Considerations: Host Initiated Transfers

Sizing considerations for the IXF file transfer protocol fall into two categories:

  • Using the WAIT option

  • Using HOSTEXEC

Using the WAIT option

Using the "Wait" option with any IXF transfer delays processing of any IXF process until it is triggered from the host. The message HOST CONNECTED on the Status Line (in the File Transfer Status dialog) indicates that IXF on the local terminal is waiting for direction from the host.

To start the transfer, enter an IXF command for the local terminal from another terminal connected to the host. At a TACL prompt, enter:

ixf [/out LogFile/] $Terminal

where out LogFile writes IXF messages to the specified host message log instead of displaying them on the Status Line. Without this option, IXF messages go to the PC that started the host IXF. The slashes are required at the beginning and end of the out option.

where $Terminal specifies the device name by which the host refers to the PC.

If the transfer fails, TACL displays an error message.

Using HOSTEXEC

Electronic mail and other application programs use the HOSTEXEC option when they start both the PC IXF and the host IXF. The host application sends an escape sequence to the 6530 emulation in order to start an IXF transfer on the PC running DCS 7. This option is for application development only and is not supported through the DCS 7 interface. For more information about host-initiated IXF transfers and a program that performs this function (HIIXF), contact Tandem directly.

9 END :


IXF Protocol Special Considerations: Printing

Keep the following in mind when printing files with the IXF file transfer protocol:

  • Form feed (FF) characters cause a skip to top-of-form.

  • Horizontal tab (HT) characters are handled according to the options selected and parameters specified on the Tabs sub-tab of the Session Properties dialog.

  • Backspace (BS) characters cause the printer to back up one character (used for overprinting).

  • Carriage return (CR) characters cause the printer to return to the start of the line.

  • Line feed (LF) characters cause the printer to advance one line.

  • All other ASCII control characters are discarded (unless you select the "Binary" option).

  • The high order bit (msb) of each byte is set to zero before being interpreted (unless you select the "Binary" option, or uncheck the "Strip high bit" option).

  • All ASCII display (graphic) characters are passed through unaltered.

9 END :


IXF Protocol: Working with Configuration Options

Before configuring the IXF file transfer protocol, determine if the protocol is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the IXF protocol is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\FT\wixfdll.flx

To begin configuring a session to use the IXF file transfer protocol, click IXF in the row of horizontal buttons at the top of the File Transfers tab in the Session Properties dialog. Five sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the protocol.

The five sub-tabs used to configure the IXF protocol are:

  • General options

  • Print options

  • Receive options

  • Send options

  • Tabs options

9 END :


IXF Protocol Configuration Options: General Sub-tab

Session > Properties > File Transfers > [IXF] > General

The General sub-tab contains options related to configuring the IXF file transfer protocol. The table below lists all options on the General tab with a description of each.

Use this option

in this manner . . .

IXF Parameters group

Host IXF program

Specify a host IXF program.

Default: $SYSTEM.SYSTEM.IXF

Maximum retries

You may specify the number of times IXF retries a communication action when the host reports block transmission errors.

Default: 20

Packet depth
(pkts / block)

You may set the number of packets per IXF block to a value from 1 to 16.

Default: 16

Default host volume

Sets the default system, volume, and/or subvolume for NonStop Server file names. If you do not specify the system, volume, or subvolume in a host file, IXF assumes the current subvolume as the default. Use this option to override the current setting.

Default: Blank

Record size

Specifies a record length for output to the host. (For binary transfers, IXF sets the value to 4096.)

For a nonbinary transfer, CR/LF pairs are treated as record separators. Therefore, the output record length must be equal to or greater than the number of characters between CR/LF pairs in order to prevent truncation. (No truncation occurs during a binary transfer, regardless of the output record length.)

Attempting to transfer a binary file with a record length greater than 239 to a NonStop Server produces an invalid Edit file. To create a readable file, copy the invalid file to a new file by entering the following command at the TACL prompt:

EDIT (InvalidFile) PUT (NewFile)

This breaks the invalid file into records of 239 or fewer bytes. (Transferring the new file back to the PC does not restore the structure of the original file.)

Default: 132

Host share file access

When checked, this option causes the IXF host to open a file to be transferred with share exclusion instead of with protected exclusion. After IXF has opened the file, another host program can open and write to the file.

Default: Cleared

Transfer Type group

Select one of the available options.

  • Binary

File code

Select to specify a binary transfer.

You may also specify a destination host file code. The value must be a number from 0 to 65535. (Do not use a value of 101.)

  • Edit

Increment

Specifies an edit file transfer. You may also specify an edit line increment of the destination host file. Enter a value between 0.001 and 2000.999.

Default: Edit (set to 1.0)

Timeout group

Timeout (seconds)

Select to enable entry of an integer between 0 and 9999 in the text box to represent the number of seconds to wait before stopping the transfer.

Default: Cleared

Status Dialog Actions group

Disable for scripting

Select to disable all actions of the File Transfer Status dialog when a file transfer command is executed within a script.

Default: Cleared

9 END :


IXF Protocol Configuration Options: Print Sub-tab

Session > Properties > File Transfers > [IXF] > Print
The Print sub-tab contains items related to configuring print files transferred with the IXF file transfer protocol. The table below lists all options on the Print tab with a description of each.
Use this option | in this manner . . .
Printer Attributes group
Send files to host printer (host filename is printer name) | When checked, this option sends the transferred file to a host printer, allowing the local PC file to be printed on a NonStop Server system. If multiple files are sent when this option has been checked, all files will be printed. See Printing Files . Default: Cleared
Strip high bit from printer files | When checked, strips the high-order bit (msb), causing each data byte to be transferred as 7 bits rather than 8 bits. The standard print control characters HT, BS, CR, FF and BS are not affected. Default: Cleared
Skip paper perforations on host printer | When checked, enables the automatic perforation skip that occurs by default on Tandem host printers. Default: Selected
9 END :


IXF Protocol Configuration Options: Receive Sub-tab

Session > Properties > File Transfers > [IXF] > Receive

The Receive sub-tab contains items related to configuring files transferred with the IXF file transfer protocol. The table below lists all options on the Receive tab with a description of each.

Use this option

in this manner . . .

Worstation File Attributes group

Make extensions using last [x] chars.

Select to create a file extension from the last x characters specified in this option. The default value is 3 characters.

Default: Cleared

Add CR,LF to each record

Select to append a carriage return (CR) and line feed (LF) to the end of each host file record when the file is transferred to the PC. This is useful when transferring structured files from a Tandem host to a PC edit file.

Default: Cleared

Keep host file date and time.

Select to specify that the destination file keep the last modification date of the source file.

Default: Cleared

If Received File Exists group

  • Abort file transfer

IXF will not transfer the file. Instead, as soon as a match with an existing file occurs, IXF ends and reports the error.

  • Prompt for new filename
    Default selection

IXF will ask for a new filename. The transferred file will be saved with the specified name.

  • Overwrite existing file

The existing file is deleted and the transferred file is saved with the same name as the deleted file.

  • Append to existing file

IXF appends the transferred file to the end of the existing file.

9 END :


IXF Protocol Configuration Options: Send Sub-tab

Session > Properties > File Transfers > [IXF] > Send

The Send tab contains items related to configuring files transferred with the IXF file transfer protocol. The table below lists all options on the Send tab with a description of each.

Use this option

in this manner . . .

Host Fle Attributes

Use PC filename extensions.

When checked, DOS file extensions are retained in the filename of the new host file. On a NonStop Server, the end of the filename is truncated as necessary to accommodate the extension, yet remain within the 8-character limit. For example, LONGNAME.TXT becomes LONGNTXT.

When not checked, extensions are dropped altogether and only the first 8 characters are used for the NonStop Server file name. For example, LONGNAME.TXT becomes LONGNAME. This can cause problems in some circumstances. For example, if the files LONGNAME.TXT and LONGNAME.CHR are transferred, LONGNAME.CHR also becomes LONGNAME and the host will replace the first file transferred with the second if the "Overwrite existing file" option has been selected.

Default: Selected

Set new file owner

  • Group

  • User

When checked, assigns a specific owner to a file copied to a Tandem host. The file’s security is set the same as the default user ID.

This option accepts all user IDs except Group: 0 and User: 0. If the specified user does not exist, the host IXF rejects the command.

If you check this option but do not change the owner from Group: 0 and User: 0 (the default) to a valid owner, the host IXF will reject the command.

If unchecked, the owner of the file is the same as the PAID (Process Access ID) of the host IXF (usually the person performing the file transfer).

Default: Cleared

RWEP security

Four positions are defined as follows:

R Read

W Write

E Execute

P Purge

Enter four characters to assign the security level of a file transferred to the host.

Default: If you do not use this option, the security level defaults to that assigned by the host IXF Process Access ID (PAID), typically the level assigned to you as a host user.

The following security levels can be set for each specified position:

Security Level

Description

A

Anyone on the host system.

G

Anyone who is included in your user group on the host system, when they are logged on locally.

O

Only the file owner, when logged on locally.

D

Uses the host-assigned default for an individual position.

N

Anyone with access to the host network.

C

Anyone in your user group on the host system, when logged on locally or via a network.

U

Only the file owner (user), when logged on locally or via a network.

S

Only the system administrator.

Note

The default security level for each position is "D".

Keep PC file date and time.

When checked, specifies that the destination file saved to the host keeps the last modification date of the source PC file.

Default: Cleared

File Extents group

  • Primary

  • Secondary

Specify values to override the default disk file allocation used by the host IXF when a new file is created or purged on the NonStop Server.

Two values may be specified as integers from 1 to 65535. If you specify only one value, it is used for both primary and secondary extents

  • Primary value allocates the number of pages for the primary extent (a page comprises 2048 bytes)

Default: 4

  • Secondary value specifies the number of pages in each secondary extent.

Default: 16

The default extent sizes provide as much as 488 KB (DP1) or 32 MB (DP2) of disk storage for each file. If the file you intend to transfer is larger than this, alter the default values accordingly.

For more information, see the "Special IXF Considerations" section.

If Sent File Exists group

Select one of the available options.

  • Abort file transfer

IXF will not transfer the file. Instead, as soon as a match with an existing file occurs, IXF ends and reports the error.

  • Purge host file

Deletes any file in the host subvolume that has the same name as the file being copied. IXF displays a message to identify purged files.

  • Erase host file, not attributes

Erases the data contained in the existing host file, but does not change existing file extents sizes or other file attributes (such as file code, type, record, and length). IXF displays a list of the files that are erased.

  • Append to host file

IXF appends the transferred file to the end of the existing file.

Default: Abort file transfer

9 END :


IXF Protocol Configuration Options: Tabs Sub-tab

Session > Properties > File Transfers > [IXF] > Tabs

The Tabs sub-tab contains items related to handling tabs in files transferred with the IXF file transfer protocol. The table below lists all options on the Tabs tab with a description of each.

Note

These options affect only nonbinary files you transfer to a host. They have no effect on files you receive from a host, or on binary files (HT characters always are transferred).

Use this option

in this manner . . .

Tab Characters group

  • Delete tab characters

Select to remove TAB characters from the transferred file.

  • Change tabs to spaces

Tab width

Select to place TAB stops every x columns, where x is the value of the tab width (and counting the first column as column one). The TABs are not represented as TAB characters, but as a number of spaces equal to the tab width.

Tab width default: 8 (columns)

  • Change tab characters to spaces using tab list

Select to place TAB stops at every column indicated in the comma-delimited list (ColA, ColB, ColC, ...).

Since the leftmost column is considered column one, a TAB list of "5, 11, 17, 23," for example, would place a tab stop 5 columns from the left side, 11 columns from the left side, and so on. The tabbed distance between each column is not represented as a TAB character, but as an appropriate number of space characters between each column.

Default: Delete tab characters

9 END :


File Transfers: XYModem File Transfer Protocol

Session > Properties > File Transfers > XYModem

Although the XModem or YModem file transfer protocols are older and slower than the ZModem protocol, they are useful for transferring files to those systems and applications which may not support ZModem. Both protocols perform error checking and allow you to configure operational features, such as the size of data packets (block size), the number of retries, and how to proceed when the file name of a transferring file is the same as a file in the destination directory.

See Also

  • Configuration options

  • Select Files to Send dialog box

  • Receive File dialog box

Tasks

  • Steps to receive a host file

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol .

  • Steps to determine which file transfer protocols are installed

9 END :


XYModem Protocol: Working with Configuration Options

Before configuring the XYModem file transfer protocol, determine if this protocol is installed on your terminal. Use the Help > About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the XYModem file transfer protocol is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\FT\xymodem.flx

To begin configuring a session to use the XYModem file transfer protocol, click XYModem in the row of horizontal buttons at the top of the File Transfers tab in the Session Properties dialog. Two sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the protocol.

The two sub-tabs used to configure the IXF file transfer protocol are:

  • General options

  • Advanced options

9 END :


XYModem Protocol Configuration Options: General Sub-tab

Session > Properties > File Transfers > [XYModem] > General

The General tab contains items related to general properties for all file transfer protocols but offers selections in each group that apply to the XYModem protocol. The table below lists all options on General tab with a description for each.

Use this option

in this manner . . .

Protocol group

  • X-Modem

  • Y-Modem

  • Y-Modem-G

Select the specific modem type:

Selection of YModem is recommended. However, you must select a protocol supported by the host system or application.

Default: Y-Modem

Note

The YModem-G option allows the sending system to transfer the entire file without waiting for the receiving system to acknowledge that each packet was received correctly. If the receiving system detects an error, it will terminate the transfer. This option should be selected only when the sending and receiving systems have a direct connection or an error-free transmission line.

Transfer Type group

  • Binary

  • ASCII

Select Binary if you are sending files containing characters other than ASCII characters.

Select ASCII if you are sending files that only contain ASCII characters.

Some examples of binary files:

Applications (EXE and COM files)

Application extensions (DLL files)

Compressed files (ZIP files)

Microsoft Word, WordPad, and Excel documents (DOC, WRI, and XLS files)

Compiled scripts (DCT files)

Default: Binary

Error Checking group

  • Checksum

  • CRC-16

Select the error-checking scheme that the remote system supports.

CRC-16 is the standard 16 bit CRC.

Checksum is also provided as an error-checking option, which may provide better quality data transmission and reception with some host systems.

Default: CRC-16

If File Exists group

  • Prompt

  • Resume

  • Overwrite

Select the action to perfom if a file exists in the destination directory with the same name as the transferring file.

Prompt displays a dialog box to allow for renaming the transferring file.

Resume continues a previously halted transfer.

Overwrite replaces the existing file with the transferring file.

Default: Prompt

Block Size group

  • 128 bytes

  • 1 KB

Select the size of the blocks (or frames) during the transfer.

At the end of block, the sender pauses the transfer and waits for the receiver to acknowledge the receipt of the frame.

Selecting 1K provides the fastest transfer over a good, but occasionally noisy, connection. Selecting 128 provides the fastest transfer over a bad, or noisy, connection.

Default: 1 KB

Retries group

Maximum retries

Enter an integer between 1 to 100 to set the maximum number of times to resend blocks (packets) during a file transfer.

The sender will resend a section when an error has occurred in the section. When the sender exceeds the number in Maximum Retries, the transfer stops.

Default: 20

Timeout group

Timeout (seconds)

Select to enable entry of an integer between 0 and 9999 in the text box to represent the number of seconds to wait before stopping the transfer.

Default: Cleared

Status Dialog Actions group

Disable for scripting

Select to disable all actions of the File Transfer Status dialog when a file transfer command is executed within a script.

Default: Cleared

----------------------------------------------------------------------------------------------------------------------------------------------

Returns the default settings to all items.

9 END :


XYModem Protocol Configuration Options: Advanced Sub-tab

Session > Properties > File Transfers > [XYModem] > Advanced
The Advanced tab contains items related to only to the XYModem protocol. The table below lists all options on the Advanced tab with a description of each.
Use this option in this manner . . .
Host Program Activation
Automatic Host XModem Program Activation | Select to automatically start the transfer program on the remote system when the session is opened. Clear to allow manual start of the file transfer using the Send File or Receive File selections on the Session menu. Default: Cleared Note See the examplebelow.
Host Receive Program Activation Command | Enter the command to start the Host Receive Program. Also, enter any operational parameters normally used in the command line for the program. Default: rx-y
Host Send Program Activation Command | Enter the command to start the Host Send Program. Also, enter any operational parameters normally used in the command line for the program. Default: sx-y
Automatic Host YModem Program Activation | Select to automatically start the transfer program on the remote system when the session is opened. Clear to allow manual start of the file transfer using the Send File or Receive File selections on the Session menu. Default: Cleared Note See the examplebelow.
Host Receive Program Activation Command | Enter the command to start the Host Receive Program. Also, enter any operational parameters normally used in the command line for the program. Default: rb-y
Host Send Program Activation Command | Enter the command to start the Host Send Program. Also, enter any operational parameters normally used in the command line for the program. Default: sb-y
An example: When preparing to receive files from FutureSoft’s BBS, and after selecting the files to receive, the BBS asks you to specify the transfer protocol to use. When selecting XModem - 1K on the BBS, enter 1 for the protocol. This entry activates the XModem protocol on the BBS. After activating XModem on the BBS, select Receive File on the Session menu to display the Receive Files dialog. In this dialog indicate where the received file(s) is to be placed. Click OK in the dialog to begin the transfer.
When Host Program Activation is selected, enter 1 in the text box. After selecting the files on the BBS, select Receive File on the Session menu to display the Receive Files dialog. In this dialog indicate where the received file(s) is to be placed on the local system. Click OK in the dialog to begin the transfer.
For more complicated scenarios, the text boxes in Host Program Activation allow you to enter a default command line to start the protocol with operating parameters unique to the session and the implementation of the protocol on the remote system.
9 END :


File Transfers: ZModem File Transfer Protocol

Session > Properties > File Transfers > ZModem

The ZModem file transfer protocol allows you to transfer one or more files at a time and is regarded as one of the fastest transfer protocols. It performs error checking and allows you to configure its operational features, such as the size of data packets (block size), the number of retries, and how to proceed when the file name of a transferring file is the same as a file in the destination directory.

See Also

  • Select Files to Send dialog box

  • Receive File dialog box

Tasks

  • Steps to receive a host file

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol

  • Steps to determine which file transfer protocols are installed

9 END :


ZModem Protocol: Working with Configuration Options

Before configuring the ZModem file transfer protocol, determine if this protocol is installed on your terminal. Use the Help About DynaComm command to display the About DynaComm dialog box. Click Modules >>> to list all currently installed base DCS product modules and all Client Option modules. If the ZModem file transfer protocol is installed, you should see the following listing:

c:\PROGRAM FILES\FUTURESOFT\DCSERIES\FT\zmodem.flx

To begin configuring a session to use the ZModem file transfer protocol, click ZModem in the row of horizontal buttons at the top of the File Transfers tab in the Session Properties dialog. Two sub-tabs appear below the row of horizontal buttons. These tabs contain all the options needed to configure the protocol.

The two sub-tabs used to configure the ZModem file transfer protocol are:

  • General options

  • Advanced options

9 END :


ZModem Protocol Configuration Options: General Sub-tab

Session > Properties > File Transfers > [Zmodem] > General

The General tab contains items related to general properties for all file transfer protocols but offers only the selections in each group that apply to ZModem. The table below lists all options for the General tab with a description of each.

Use this option

in this manner . . .

File Type group

  • Binary

  • ASCII

Select Binary if you are sending files containing characters other than ASCII characters.

Select ASCII if you are sending files that only contain ASCII characters.

Some examples of binary files:

Applications (EXE and COM files)

Application extensions (DLL files)

Compressed files (ZIP files)

Microsoft Word, WordPad, and Excel documents (DOC, WRI, and XLS files)

Compiled scripts (DCT files)

Default: Binary

Error Checking group

  • CRC-16

  • CRC-32

  • Auto-check

Select the checking scheme that the remote system supports. CRC-32 is the standard 32 bit scheme and detects more errors than CRC-16.

Select Auto-check to choose the error checking scheme based upon DCS’s negotiation with the remote system.

Default: Auto-check

If File Exists group

  • Prompt

  • Skip

  • Resume

  • Overwrite

Select the action to perform when a file exists in the destination directory has the same name as the transferring file.

Prompt displays a dialog, allowing you to rename the transferring file.

Skip preserves the existing file by preventing the transfer.

Resume continues a previously halted transfer.

Overwrite replaces the existing file with the transferring file.

Default: Prompt

Block Size group

  • 128

  • 256

  • 512

  • 1KB

  • Continuous

Select the size of the blocks (or frames) to pass during the transfer.

At the end of a block, the sender pauses the transfer and waits for the receiver to acknowledge the receipt of the frame. Selecting Continuous sends the entire file as the block size for a transfer. This selection produces the quickest transfer over good, noise-free, communications lines. If the File Transfer Status dialog indicates no retries, the transfer maybe taking place over a noise-free line.

Over noisy lines, you may want to make a different selection, Choosing a specific block size takes less time to recover from a corrupted frame. Select 1K to provide the fastest transfer over a good, but occasionally noisy, connection. Select 128 to provide the fastest transfer over a bad, or noisy, connection.

Default: Continuous

Retries group

Maximum Retries

Enter an integer between 1 and 100 to set the maximum number of times to resend bad blocks, or packets, during a file transfer.

A section is resent when an error has occurred. When the sender exceeds the number in Maximum Retries, the transfer stops.

Default: 20

Consecutive Retries

Enter an integer between 1 and 100 to set the maximum number of times to resend the same block, or packet, of the transferring file.

When the sender tries to send the same section of the file more times than the number in Consecutive Retries, the transfer stops.

Default: 20

Timeout group

Timeout (seconds)

Select to enter an integer between 0 and 9999 in the text box to represent the number of seconds to wait before stopping the transfer.

Default: Cleared

Status Dialog Actions group

Disable for Scripting

Select to turn off the display of the File Transfer Status dialog when a file transfer command is executed within a script.

Default: Cleared

AutoStart

Select to allow remote systems to automatically prepare for a transfer.

Clear to prevent the remote system from automatically sending files.

The remote system must be readied to send a file. However, when the remote system sends the file, the remote system signals the local system to receive a file. The name of the file on the remote system is, by default, is the file name on the local system. The file location is DNLOAD, the default directory for downloads.

Default: Selected

----------------------------------------------------------------------------------------------------------------------------------------------

Returns the default settings to all items.

9 END :


ZModem Protocol Configuration Options: Advanced Sub-tab

Session > Properties > File Transfers > [Zmodem] > Advanced

The Advanced tab contains items related only to the ZModem protocol. The table below lists all options on the Advanced tab with a description of each.

Use this option in this manner . . .

Host Program Activation group

Automatic Host ZModem Program Activation

Select to automatically start the transfer program on the remote system you click OK in the Receive File and Select Files To Send dialogs.

Clear to allow manual start of the file transfer using the Send File or Receive File selections on the Session menu.

The host program is activated by using the name of the transfer program and the program’s parameters entered in the text boxes in Host Program Activation.

Default: Cleared

Note

To use the items in Host Program Activation, you must be well acquainted with the particular implementation of the transfer protocol on the remote system.

See the example below.

Host Receive Program Activation Command

Enter the command to start the Host Receive Program. Also, enter any operational parameters normally used in the command line for the program.

Default: rz

Host Send Program Activation Command

Enter the command to start the Host Send Program. Also, enter any operational parameters normally used in the command line for the program.

Default: sz

Escape Control Characters

Select when the same file has been transferred more than once and the transfer stops in the same place each time. All characters from hexadecimal 00 (ASCII NUL character) to hexadecimal 1F (the ASCII US, or Unit Separator, character) are removed.

Clear to allow most control characters through during the transfer.

Default: Cleared

The following characters are stripped from the transfer:

Ctrl + M, @, Ctrl + M

Characters: carriage return, at-sign, and carriage return
(ASCII CR character, (hexadecimal 0D); at-sign character, ( hexadecimal 40); and ASCII CR, (hexadecimal 0D))

Ctrl + P

Data Link Escape character
(ASCII DLE character (hexadecimal 10))

Ctrl + Q

Xon character
(ASCII DC1 character (hexadecimal 11))

Ctrl + S

Xoff character
(ASCII DC3 character (hexadecimal 13))

Ctrl + X

Cancel character
(ASCII CAN character (or hexadecimal 18))

DEL

Delete character
(ASCII DEL character (hexadecimal 7F))

Change File Name

Select to send a prompt to change the file name of a file that you add to the Files To Send list box in the Select Files To Send dialog.

Clear the box to require the uploaded files to use the same file name on the remote system as the file has on your computer.

Default: Cleared

An example:

When preparing to receive files from FutureSoft’s BBS, and after selecting the files to receive, the BBS asks you to specify the transfer protocol to use. When selecting ZModem on the BBS, enter Z for the protocol. This entry activates the ZModem protocol on the BBS. After activating ZModem on the BBS, select Receive File on the Session menu to display the Receive Files dialog. In this dialog indicate where the received file(s) is to be placed. Click OK in the dialog to begin the transfer.

With Host Program Activation active, you enter Z in the Host Receive Program Activation Command box. After selecting the files on the BBS, you then select Receive File on the Session menu to display the Receive Files dialog. In this dialog indicate where the received file(s) is to be placed. Click OK in the dialog to begin the transfer.

For more complicated scenarios, the text boxes in Host Program Activation allow you to enter a default command line to start the protocol with operating parameters unique to the session and the implementation of the protocol on the remote system.

9 END :


File Transfers: Transferring Files

When files are transferred between two computers, both computers must use the same protocol. Some protocols (for instance, text transfer protocols) require specifying similar parameters on both computer systems. Usually, the default configuration options work appropriately. However, for some protocols (especially, text transfer protocols), you may need to experiment with the protocol configuration options to determine which settings transfer the files most efficiently.

Getting Started

Before you send or receive file(s) you must have:

  • a connected session with a remote host, and

  • a file transfer protocol selected in the Session Properties dialog.

You may change the file transfer protocol at any time before starting a transfer. The selected protocol or protocol configuration options can be changed through the Session Properties dialog. This dialog is accessed with either the:

  • Session Properties command, or

  • Properties dialog button.

See Also

File Transfer Protocols

  • Steps to select or change a file transfer protocol

  • Kermit

  • XYModem

  • ZModem

  • IXF (for Tandem 6530 emulations only)

  • IND$FILE (for TN3270 terminal emulations only)

Other related topics

  • Sending Files

  • Steps to send a file

  • Receiving Files

  • Steps to receive a file

Note

For more information about the transfer protocol for Telnet sessions (known as File Transfer Protocol, or FTP), see FTP, which is included with the base DCS product. To launch FTP, select Tools > FTP, or select FTP in the DynaComm Connectivity Series 8 program group.

9 END :


File Transfers: Sending Files

After a connection to a host has been established, the following are available:

  • Session Send File command

  • Send File button on the toolbar

Files can be sent to any host that:

  • supports the selected file transfer protocol, and

  • is "readied" to send the file(s)

Within DCS, the exact settings and configuration requirements for sending a file to a host will vary by host, host application, and the file transfer protocol. The default file transfer protocol settings may need to be changed to suit your particular host or host application.Check with your system administrator or consult the host application documentation if you need assistance configuring the host to receive a file.

Select Files to Send dialog

All file transfer protocols in DCS use the Session Send File command to start the process of sending a file to a host. This command displays the Select Files to Send dialog which is where you select the file(s) to send.

The Select Files to Send dialog contains a Setup button that is used to access the configuration options for the selected file transfer protocol. You can change any protocol configuration option and then click OK to return to the Select Files to Send dialog. If you want to change the selected file transfer protocol, you must cancel the Session Send File command and access the File Transfers tab in the Sesssion Properties dialog.

See Also

  • Select Files to Send dialog

  • Steps to send a file to a host .

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol .

  • Steps to determine which file transfer protocols are installed .

9 END :


Select Files to Send Dialog Box

Select Files to Send Dialog

Session > Send File
The Select Files to Send dialog appears after accessing the Send Files command on the Session menu. This dialog allows you to select single or multiple files from either the local terminal or a system on your network (with the appropriate permissions in place). The table below lists each Select Files to Send dialog element with a description of each:
Use this element | in this manner . . .
File Name | Either enter or select the file name from the scroll list to be transferred.
Directories | Select the folder where the file to be transferred is stored. Default: c:\program files\futuresoft\dcseries\upload
List Files of Type | Select the file type for the files to display in the File Name scroll list. Default: All Files (*.*)
Drives | Select the drive where the files to be transferred are stored.
Files to send | Displays a running total of the selected files.
Total Size (bytes) | Displays a running total of the file size for all selected files.
Local Filename (column) | Displays all local (PC) file names that have been selected for the transfer.
Host Filename (column) | Displays the corresponding host name for the file when it is transferred.
Size (bytes) (column) | Displays the individual file size.
-------------------------------------------------------------------------------------------------
 | Click to accept the selections made and to start the transfer.
 | Click to discard any changes, close the dialog, and abort the transfer process.
 | Click to display the Property dialog for the selected file transfer protocol. Properties for the protocol can be changed in the dialog before starting the transfer.
 | Click to display the Online Reference.
 | Click to display the Map Network Drive dialog. If needed, a network drive can be mapped for access through the Drives list box.
 | Click to add the selected file displayed in File Name to the list shown in the Files to send list.
 | Click to all the files in the selected folder to the list shown in the Files to send list. Note Some file transfer protocols will only send a single file. In those situations, this button is not available.
 | Click to remove the highlighted file name in the Files to send list from the transfer.
 | Click to remove the all files in the Files to send list from the transfer.
9 END :


Confirm Host Filename Dialog Box

Confirm Host Filename Dialog

Session > Send File > OK
The Confirm Host Filename dialog appears when you click OK in the Select File to Send dialog. The table below lists all dialog tab elements with a description of each.
Use this option | in this manner . . .
Enter Host Filename
Local File: | Displays the name of the local file selected to be sent to the host.
[transferred filename] | Lists the name of the transferred file as it will appear on the host. Change this name if a file with the same name currently exists on the host. Otherwise the existing file maybe overwritten with the transferred file contents.
-------------------------------------------------------------------------------------------------
 | Click to accept the information in the textboxes and to close the dialog.
 | Click to discard changes and to close the dialog.
9 END :


File Transfers: Receiving Files

After a connection to a host has been established, the following are available:

  • Session Receive File command

  • Receive File button on the toolbar

Files can be received from any host that:

  • supports the selected file transfer protocol, and

  • is "readied" to receive the file(s).

Within DCS, the exact settings and configuration requirements for receiving a file from a host will vary by host, host application, and file transfer protocol. The default file transfer protocol settings may need to be changed to suit your particular host or host application.Check with your system administrator or consult the host application documentation if you need assistance configuring the host to send a file.

Receive File dialog box

All file transfer protocols in DCS use the Session Receive File command to start the process of transferring a file to your local terminal. This command displays the Receive File dialog box which is where you specify the file(s) to send.

The Receive File dialog box options reflect the file transfer protocol selected:

  • Kermit/XYModem/ZModem options

  • IND$FILE options

  • IXF options

The Receive File dialog box contains a Setup button that is used to access the selected file transfer protocol configuration options. You can change all appropriate options and then click OK to return to the Receive File dialog box. If you want to change the selected file transfer protocol, you must cancel the Session Receive File command and access the Sesssion Properties dialog.

See Also

  • Steps to receive a host file

  • Steps to connect to a host when Auto Connect is disabled .

  • Steps to select or change a file transfer protocol .

  • Steps to determine which file transfer protocols are installed .

9 END :


File Transfer Status Dialog Box

During file transfers, the File Transfer Status dialog appears. If multiple files are transferred, information in the Batch Transfer area of the dialog changes as each file is transferred.
Use this element | in this manner . . .
Current File group |
Local | The full path and name of the local file.
Host | The full path and name of the host file.
Total Bytes | The size of the current file transfer, in bytes.
Transferred | The total number of bytes transferred. Updated continuously as the file is transferred.
[Status Gauge] | A visual progress indicator that shows how much of the current file has been transferred.
Batch Transfer group |
Total Files | Indicates the total number of files to be transferred during the current transfer process.
Current File | Number of the current file, which is also a cumulative total of how many files have been transferred so far during the batch process.
Total Bytes | The sum of the sizes of all files to be transferred in the current batch process, measured in bytes.
Transferred | The total number of bytes transferred in the batch process. Updated continuously as the files are transferred.
[Status Gauge] | A visual progress indicator showing how much of the current batch process has been completed.
Status group |
[Message] | A message line indicating the progress of the current transfer.
Retries | Indicates the number of times the transfer process has been restarted for the file.
Host Version | Displays the Host IXF software version. Older versions of IXF are not compatible with IXF protocol in DCS.
Progress group |
Time elapsed | Indicates the total amount of time that has passed during all transfer processes.
Estimated total time | An estimate of the total time required for all files to be transferred.
Estimated total time remaining (batch) | An estimate of the total time required for all files to be transferred for the current batch process.
Estimated time remaining (file) | An estimate of the remaining time required for the current file to be transferred.
Average Throughput (bytes/sec) | Indicates the transfer rate in bytes per second as measured during the current file transfer. The rate is updated as each block of data is transferred.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to cancel the current file transfer and return to the main menu. If multiple files are being transferred, those files which have already been transferred are not affected. Files that have not been transferred must be re-selected and transferred again, if desired.
9 END :


File Transfers: Sending a Text File

Edit > Paste From File

Paste From File sends the entire contents of a text file to a remote system. The contents of the text file are sent in a manner similar to entering the text in the session with your computer’s keyboard. The text in the file could be:

  • text that you might put into an email message, or

  • a series of instructions for the remote system.

Special formatting may be required. For example, a file with a series of instructions might need to be formatted so that each instruction is on a separate line.Check with the system administrator or applications analyst for the remote system application for this information.

Note

  • Since Paste From File is a pasting operation, the operation contains no error checking protocol. If you need to transfer a file with a large amount of text to a remote system, a binary transfer protocol, such as ZModem, provides for error checking and is a safer method of sending large amounts of data.

  • When using Paste From File, if you see that characters from your file are changed or missing on the remote system, slow down the transfer by making the file sections sent to the remote system smaller or by increasing the interval between the sections, or both.

See Also

  • Paste From File dialog box

  • Steps to send a text file to a host

9 END :


Select Log File Dialog Box

Session > Log Incoming Data > Log To File

The Select Log File dialog allows you to direct a copy of the session data to a new text file or to a previously saved text file. When sending session data to a previously saved file, you can elect to overwrite the previous contents with the new session data or to append the new session data to the old file contents. You can also mark the session data with a time stamp and indicate the beginning and ending of the data.

Use this element

in this manner . . .

Look in

[list box]

[expanded folder list box]

Select a new folder from the drop down list or use standard Windows navigation methods to select the folder from the list of displayed folders that contains the file to collect log data.

Default: DCSeries

File name

Select or enter the file name to collect log data.

Default: Blank

Files of type

Select the file types to display in the directory window in the dialog.

Default: Text Files (*.txt)

File Options group

  • Append

Adds new log data at the end of any existing data in the file.

  • Overwrite

Removes existing data before storing new log data.

Default Selection: Append

Logging Options group

Time/Date Stamp

Select to place a time and data stamp in the log file.

Default: Cleared

Header

Select to add a header at the beginning of the log data.

The Header scroll box becomes available for entry of header data.

Default: Cleared

Footer

Select to add a footer at the end of the log data.

The Footer scroll box becomes available for entry of header data.

Default: Cleared

Text Editor group

Header

Enter alphanumeric text to appear at the beginning of the log data.

Default: Blank

Footer

Enter alphanumeric text to appear at the end of the log data.

Default: Blank

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept changes and to close the dialog.

Click to discard changes and to close the dialog.

9 END :


To receive a file from a host

1 If the file transfer protocol does not have an auto-start capability or if the auto-start capability is turned off, you must do the following:

a On the Session menu, select Receive File.

The Receive Files dialog box appears. To change the parameters for a protocol, click Setup and make the appropriate selections.

b Select a directory in the Directories list. Received files are placed in the selected directory.

c Click OK.

2 Prepare the remote system to send the file.

3 If you are receiving a text file, you may now need to prepare the remote system.

The File Transfer Status dialog box appears. This dialog tracks the progress of the transfer.

Note

By default, the ZModem protocol automatically starts a file transfer if the host initiates the transfer. In this case, start with step 3. You may also disable this option.

9 END :


To select or change a file transfer protocol

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the File Transfers tab.

4 Select the desired protocol by clicking one of the File Transfers buttons across the top of the dialog.

5 Complete other selections on the individual sub-tab(s) as needed.

6 Click OK.

7 On the File menu, select Save to store the changes.

Note

  • Only those file transfer protocols that have been installed will appear in the Session Properties dialog.

  • If you do not save your changes, the selected session properties are discarded when you close the session.

  • The properties selected for a particular session do not affect the properties chosen for any other session(s).

9 END :


To send a file to a host

1 Prepare the remote system to receive a file or group of files.

2 On the Session menu, select Send File.

The Send Files to Host dialog box appears. To change the parameters for a protocol, click Setup.

3 In the Send Files to Host dialog box, choose one of the following:

  • To send one file

Enter a name in File Name or double-click a filename in the File Name list.

  • To send more than one file (a batch transfer)

Click on a directory name in the Directories list, select a filename and then click Add. Select another filename and then click Add.

To send all of the files in a directory, select a directory and then click Add All.

4 Click OK.

The File Transfer Status dialog box appears. This dialog tracks the progress of the transfer.

Note

  • By default, the ZModem protocol automatically starts a file transfer if the host initiates the transfer. In this case, start with step 3. You may also disable this option.

  • If the protocol that you have chosen does not support batch transfers, you will not be able to select more than one file.

9 END :


To send a text file to a host

1 Create and save a text file, if needed.

2 Open or start a session with a remote system.

3 Ready the remote system to receive the text.

The remote system must be in a state to receive the text. For instance, if the remote system is at the command prompt, or if the session screen is formatted with fields, it may not be appropriate to send text to the system.

4 On the Edit menu, select Paste From File.

The Paste From File dialog box appears.

5 In the Paste From File dialog box:

  • Specify the file containing the text to send using the Look in, File name, and Files of type parameters.

  • In the Paste Buffer Size group, select the text size to be sent at a time.

6 In the Delay group, specify the wait interval, if needed.

7 Click Paste.

The File Transfer Status dialog box appears. This dialog tracks the progress of the transfer.

9 END :


To view installed file transfer protocols

1 On the Help menu, select About DynaComm.

2 In the About DynaComm dialog box, click Modules >>>.

A scroll list of all installed software modules and components is displayed.

3 In the Module list, locate all files listed in the c:\Program Files\FutureSoft\DCSeries\ft\ directory.

Use the File Transfer Protocol Files list to determine which protocols are installed.

9 END :


To view session file transfer properties

1 Open a saved session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 Click the File Transfers tab.

To determine which File Transfer protocol has been configured for the session, locate the depressed button in the horizontal row of buttons at the top of the dialog.

To determine which options have been selected, click on the sub-tab(s) in the lower half of the dialog box to bring each set of properties into view.

9 END :


Printing in DCS

DCS offers a range of local printing options, including:

  • printing the current screen

  • printing a selected area

  • printing entire session contents

  • allowing the host system to send raw data directly to your local printer

  • printing using a specific font, and adding header and footer information to each page

These are specified through the File Print Setup command.

Before printing you must have installed and configured a printer in Windows 95/98 or NT 4.0. The printer may be either attached to your workstation or available as a network device.

See Also

Related

  • Print Setup dialog box

  • Print Preview window

Tasks

  • Steps to configure a local print job

  • Steps to configure a printer

  • Steps to preview a print job.

  • Steps to print from a session window

  • Steps to print a script file or memo document.

9 END :


Printer Configuration

Printers are installed and configured with the Windows Add/Remove Hardware wizard. Refer to your Windows documentation for help with this wizard.

You do have the option of configuring an installed printer without leaving DCS. This is done with the Print Setup command accessed from the File menu. This command is available when a session, memo or script document are active in the DCS window.

The Print Setup command displays the Print Setup dialog. Clicking the Properties button in this dialog displays the Properties dialog box where all printer configuration options for the specific printer are set up. Refer to the individual printer documentation for help with these configuration options.

See Also

Related

  • Print Setup dialog box

Tasks

  • Steps to configure a local print job

  • Steps to configure a printer

9 END :


Preview a Print Job

Before sending a job to a printer, you may choose to view the printed document on the screen. This will help you determine such things as the number of pages in the job and if page headers and footers are needed. You can also view multiple documents at the same time to make comparisons, if needed.

Options include viewing individual pages:

  • side-by-side or one at a time

  • in two levels of magnification

See Also

Related

  • Print Preview window

  • Print Setup dialog box

Tasks

  • Steps to preview a print job

9 END :


Printing to a File

Print output may be redirected to a file. This is done through the Print command accessed from the File menu. When the Print dialog box appears check Print to file.

The print file contents are raw printer data. You may view the raw data with any text editor (such as Microsoft’s WordPad). However, to print the file as anything other than raw data, it must be sent to a printer configured with a PCL print driver.

To send the print file to a printer for output, type the following at a DOS command prompt:

copy filename.ext LPTx /B

where:

filename is the fully qualified path and name of the file (example: c:/output.prn)

.ext is the file extension (usually .prn)

x is the correct LPT port number (example: LPT1)

The /B parameter indicates that the file is a binary file.

See Also

Related

  • Print Setup dialog box

  • Print dialog box for a file

  • Print dialog box for a session

Tasks

  • Steps to print from a session window

  • Steps to print a script file or memo document

9 END :


To print from an open session window

1 On the File menu, select Print.

2 Choose one of the following in the Print Options group:

  • Current Screen

Sends the displayed 24 lines to the printer.

  • Selection

Sends the highlighted text to the printer.

  • All

Sends the entire history buffer of the session to the printer.

3 If needed, select Print to file if you want to store the print job in a file to be printed later.

4 Click OK.

Note

  • The session contents to be printed must be in the active window before starting these steps.

  • Open sessions that have not been configured or do not have an active connection to a host will appear as an empty window. These session contents cannot be printed.

9 END :


To print a script or memo document

1 On the File menu, select Print.

2 Choose one of the following in the Print Options group:

  • Current Screen

Sends the displayed 24 lines to the printer.

  • Selection

Sends the highlighted text to the printer.

  • All

Sends the entire history buffer of the session to the printer.

3 If needed, select Print to file if you want to store the print job in a file to be printed later.

4 Click OK.

Note

The script file or memo document to be printed must be in the active window before starting these steps.

9 END :


ANSI Character Set

Hexidecimal Octal Decimal Character

80 200 128

81 201 129

82 202 130

83 203 131

84 204 132

85 205 133

86 206 134

87 207 135

88 210 136

89 211 137

8A 212 138

8B 213 139

8C 214 140

8D 215 141

8E 216 142

8F 217 143

90 220 144

91 221 145

92 222 146

93 223 147

94 224 148

95 225 149

96 226 150

97 227 151

98 230 152

99 231 153

9A 232 154

9B 233 155

9C 234 156

9D 235 157

9E 236 158

9F 237 159

A0 240 160

A1 241 161 ¡

A2 242 162 ¢

A3 243 163 £

A4 244 164 ¤

A5 245 165 ¥

A6 246 166 ¦

A7 247 167 §

A8 250 168 ¨

A9 251 169 ©

AA 252 170 ª

AB 253 171 «

AC 254 172 ¬

2D 255 173

AE 256 174 ®

AF 257 175 ¯

B0 260 176 °

B1 261 177 ±

B2 262 178 2

B3 263 179 3

B4 264 180 ´

B5 265 181 µ

B6 266 182 ¶

B7 267 183 ·

B8 270 184 ¸

B9 271 185 1

BA 272 186 º

BB 273 187 »

BC 274 188 1/4

BD 275 189 1/2

BE 276 190 3/4

BF 277 191 ¿

C0 300 192 À

C1 301 193 Á

C2 302 194 Â

C3 303 195 Ã

C4 304 196 Ä

C5 305 197 Å

C6 306 198 Æ

C7 307 199 Ç

C8 310 200 È

C9 311 201 É

CA 312 202 Ê

CB 313 203 Ë

CC 314 204 Ì

CD 315 205 Í

CE 316 206 Î

CF 317 207 Ï

D0 320 208 Ð

D1 321 209 Ñ

D2 322 210 Ò

D3 323 211 Ó

D4 324 212 Ô

D5 325 213 Õ

D6 326 214 Ö

D7 327 215 x

D8 330 216 Ø

D9 331 217 Ù

DA 332 218 Ú

DB 333 219 Û

DC 334 220 Ü

DD 335 221 Ý

DE 336 222 Þ

DF 337 223 ß

E0 340 224 à

E1 341 225 á

E2 342 226 â

E3 343 227 ã

E4 344 228 ä

E5 345 229 å

E6 346 230 æ

E7 347 231 ç

E8 350 232 è

E9 351 233 é

EA 352 234 ê

EB 353 235 ë

EC 354 236 ì

ED 355 237 í

EE 356 238 î

EF 357 239 ï

F0 360 240 ð

F1 361 241 ñ

F2 362 242 ò

F3 363 243 ó

F4 364 244 ô

F5 365 245 õ

F6 366 246 ö

F7 367 247 "

F8 370 248 ø

F9 371 249 ù

FA 372 250 ú

FB 373 251 û

FC 374 252 ü

FD 375 253 ý

FE 376 254 þ

FF 377 255 ÿ

9 END :


ASCII Character Set

Hexidecimal Octal Decimal Character Ctrl

00 000 000 NUL

01 001 001 SOH ^A

02 002 002 STX ^B

03 003 003 ETX ^C

04 004 004 EOT ^D

05 005 005 ENQ ^E

06 006 006 ACK ^F

07 007 007 BEL ^G

08 010 008 BS ^H

09 011 009 HT ^I

0A 012 010 LF ^J

0B 013 011 VT ^K

0C 014 012 FF ^L

0D 015 013 CR ^M

0E 016 014 SO ^N

0F 017 015 SI ^O

10 020 016 DLE ^P

11 021 017 DC1 ^Q

12 022 018 DC2 ^R

13 023 019 DC3 ^S

14 024 020 DC4 ^T

15 025 021 NAK ^U

16 026 022 SYN ^V

17 027 023 ETB ^W

18 030 024 CAN ^X

19 031 025 EM ^Y

1A 032 026 SUB ^Z

1B 033 027 ESC ^[

1C 034 028 FS ^\

1D 035 029 GS ^]

1E 036 030 RS ^^

1F 037 031 US ^_

20 040 032 SP

21 041 033 !

22 042 034 "

23 043 035 #

24 044 036 $

25 045 037 %

26 046 038 &

27 047 039 '

28 050 040 (

29 051 041 )

2A 052 042 *

2B 053 043 +

2C 054 044 ,

2D 055 045 -

2E 056 046 .

2F 057 047 /

30 060 048 0

31 061 049 1

32 062 050 2

33 063 051 3

34 064 052 4

35 065 053 5

36 066 054 6

37 067 055 7

38 070 056 8

39 071 057 9

3A 072 058 :

3B 073 059 ;

3C 074 060 <

3D 075 061 =

3E 076 062 >

3F 077 063 ?

40 100 064 @

41 101 065 A

42 102 066 B

43 103 067 C

44 104 068 D

45 105 069 E

46 106 070 F

47 107 071 G

48 110 072 H

49 111 073 I

4A 112 074 J

4B 113 075 K

4C 114 076 L

4D 115 077 M

4E 116 078 N

4F 117 079 O

50 120 080 P

51 121 081 Q

52 122 082 R

53 123 083 S

54 124 084 T

55 125 085 U

56 126 086 V

57 127 087 W

58 130 088 X

59 131 089 Y

5A 132 090 Z

5B 133 091 [

5C 134 092 \

5D 135 093 ]

5E 136 094 ^

5F 137 095 _

60 140 096 `

61 141 097 a

62 142 098 b

63 143 099 c

64 144 100 d

65 145 101 e

66 146 102 f

67 147 103 g

68 150 104 h

69 151 105 i

6A 152 106 j

6B 153 107 k

6C 154 108 l

6D 155 109 m

6E 156 110 n

6F 157 111 o

70 160 112 p

71 161 113 q

72 162 114 r

73 163 115 s

74 164 116 t

75 165 117 u

76 166 118 v

77 167 119 w

78 170 120 x

79 171 121 y

7A 172 122 z

7B 173 123 {

7C 174 124 |

7D 175 125 }

7E 176 126 ~

7F 177 127 DEL

9 END :


EBCDIC Character Set

Decimal Hexidecimal Name Character Meaning

0 00 NUL Null

1 01 SOH Start of heading

2 02 STX Start of text

3 03 ETX End of text

4 04 SEL Select

5 05 HT Horizontal tab

6 06 RNL Required new line

7 07 DEL Delete

8 08 GE Graphic escape

9 09 SPS Superscript

10 0A RPT Repeat

11 0B VT Vertical tab

12 0C FF Form feed

13 0D CR Carriage return

14 0E SO Shift out

15 0F SI Shift in

16 10 DLE Data length escape

17 11 DC1 Device control 1

18 12 DC2 Device control 2

19 13 DC3 Device control 3

20 14 RES/ENP Restore/enable presentation

21 15 NL New line

22 16 BS Backspace

23 17 POC Program-operator communication

24 18 CAN Cancel

25 19 EM End of medium

26 1A UBS Unit backspace

27 1B CU1 Customer use 1

28 1C IFS Interchange file separator

29 1D IGS Interchange group separator

30 1E IRS Interchange record separator

31 1F IUS/ITB Interchange unit separator/

intermediate transmission block

32 20 DS Digit select

33 21 SOS Start of significance

34 22 FS Field separator

35 23 WUS Word underscore

36 24 BYP/INP Bypass/inhibit presentation

37 25 LF Line feed

38 26 ETB End of transmission block

39 27 ESC Escape

40 28 SA Set attribute

41 29 SFE Start field extended

42 2A SM/SW Set mode/switch

43 2B CSP Control sequence prefix

44 2C MFA Modify field attribute

45 2D ENQ Enquiry

46 2E ACK Acknowledge

47 2F BEL Bell

48 30 (not assigned)

49 31 (not assigned)

50 32 SYN Synchronous idle

51 33 IR Index return

52 34 PP Presentation position

53 35 TRN Transparent

54 36 NBS Numeric backspace

55 37 EOT End of transmission

56 38 SBS Subscript

57 39 IT Indent tab

58 3A RFF Required form feed

59 3B CU3 Customer use 3

60 3C DC4 Device control 4

61 3D NAK Negative acknowledge

62 3E (not assigned)

63 3F SUB Substitute

64 40 SP Space

65 41 RSP Required space

66 42 (not assigned)

67 43 (not assigned)

68 44 (not assigned)

69 45 (not assigned)

70 46 (not assigned)

71 47 (not assigned)

72 48 (not assigned)

73 49 (not assigned)

74 4A ¢

75 4B .

76 4C <

77 4D (

78 4E +

79 4F Ð Logical OR

80 50 &

81 51 (not assigned)

82 52 (not assigned)

83 53 (not assigned)

84 54 (not assigned)

85 55 (not assigned)

86 56 (not assigned)

87 57 (not assigned)

88 58 (not assigned)

89 59 (not assigned)

90 5A !

91 5B $

92 5C *

93 5D )

94 5E ;

95 5F ¬ Logical NOT

96 60 –

97 61 /

98 62 (not assigned)

99 63 (not assigned)

100 64 (not assigned)

101 65 (not assigned)

102 66 (not assigned)

103 67 (not assigned)

104 68 (not assigned)

105 69 (not assigned)

106 6A ¦ Broken pipe

107 6B ,

108 6C %

109 6D

110 6E >

111 6F ?

112 70 (not assigned)

113 71 (not assigned)

114 72 (not assigned)

115 73 (not assigned)

116 74 (not assigned)

117 75 (not assigned)

118 76 (not assigned)

119 77 (not assigned)

120 78 (not assigned)

121 79 ` Grave accent

122 7A :

123 7B #

124 7C @

125 7D '

126 7E =

127 7F "

128 80 (not assigned)

129 81 a

130 82 b

131 83 c

132 84 d

133 85 e

134 86 f

135 87 g

136 88 h

137 89 i

138 8A (not assigned)

139 8B (not assigned)

140 8C (not assigned)

141 8D (not assigned)

142 8E (not assigned)

143 8F (not assigned)

144 90 (not assigned)

145 91 j

146 92 k

147 93 l

148 94 m

149 95 n

150 96 o

151 97 p

152 98 q

153 99 r

154 9A (not assigned)

155 9B (not assigned)

156 9C (not assigned)

157 9D (not assigned)

158 9E (not assigned)

159 9F (not assigned)

160 A0 (not assigned)

161 A1 ~

162 A2 s

163 A3 t

164 A4 u

165 A5 v

166 A6 w

167 A7 x

168 A8 y

169 A9 z

170 AA (not assigned)

171 AB (not assigned)

172 AC (not assigned)

173 AD (not assigned)

174 AE (not assigned)

175 AF (not assigned)

176 B0 (not assigned)

177 B1 (not assigned)

178 B2 (not assigned)

179 B3 (not assigned)

180 B4 (not assigned)

181 B5 (not assigned)

182 B6 (not assigned)

183 B7 (not assigned)

184 B8 (not assigned)

185 B9 (not assigned)

186 BA (not assigned)

187 BB (not assigned)

188 BC (not assigned)

189 BD (not assigned)

190 BE (not assigned)

191 BF (not assigned)

192 C0 Opening brace

193 C1 A

194 C2 B

195 C3 C

196 C4 D

197 C5 E

198 C6 F

199 C7 G

200 C8 H

201 C9 I

202 CA SHY Syllable hyphen

203 CB (not assigned)

204 CC (not assigned)

205 CD (not assigned)

206 CE (not assigned)

207 CF (not assigned)

208 D0 Closing brace

209 D1 J

210 D2 K

211 D3 L

212 D4 M

213 D5 N

214 D6 O

215 D7 P

216 D8 Q

217 D9 R

218 DA (not assigned)

219 DB (not assigned)

220 DC (not assigned)

221 DD (not assigned)

222 DE (not assigned)

223 DF Reverse slash

224 E0 \ Numeric space

225 E1 NSP

226 E2 S

227 E3 T

228 E4 U

229 E5 V

230 E6 W

231 E7 X

232 E8 Y

233 E9 Z

234 EA (not assigned)

235 EB (not assigned)

236 EC (not assigned)

237 ED (not assigned)

238 EE (not assigned)

239 EF (not assigned)

240 F0 0

241 F1 1

242 F2 2

243 F3 3

244 F4 4

245 F5 5

246 F6 6

247 F7 7

248 F8 8

249 F9 9

250 FA (not assigned)

251 FB (not assigned)

252 FC (not assigned)

253 FD (not assigned)

254 FE (not assigned)

255 FF (not assigned)

9 END :


IBM Extended Character Set

Hexidecimal Octal Decimal Character

80 200 128 Ç

81 201 129 ü

82 202 130 é

83 203 131 â

84 204 132 ä

85 205 133 à

86 206 134 å

87 207 135 ç

88 210 136 ê

89 211 137 ë

8A 212 138 è

8B 213 139 ï

8C 214 140 î

8D 215 141 ì

8E 216 142 Ä

8F 217 143 Å

90 220 144 É

91 221 145 æ

92 222 146 Æ

93 223 147 ô

94 224 148 ö

95 225 149 ò

96 226 150 û

97 227 151 ù

98 230 152 ÿ

99 231 153 Ö

9A 232 154 Ü

9B 233 155 ¢

9C 234 156 £

9D 235 157 ¥

9E 236 158 Pt

9F 237 159 ¦

A0 240 160 á

A1 241 161 í

A2 242 162 ó

A3 243 163 ú

A4 244 164 ñ

A5 245 165 Ñ

A6 246 166 ª

A7 247 167 º

A8 250 168 ¿

A9 251 169 _

AA 252 170 ¬

AB 253 171 1/2

AC 254 172 1/4

2D 255 173 ¡

AE 256 174 «

AF 257 175 »

B0 260 176

B1 261 177

B2 262 178

B3 263 179

B4 264 180

B5 265 181

B6 266 182

B7 267 183

B8 270 184

B9 271 185

BA 272 186

BB 273 187

BC 274 188

BD 275 189

BE 276 190

BF 277 191

C0 300 192

C1 301 193

C2 302 194

C3 303 195

C4 304 196

C5 305 197

C6 306 198

C7 307 199

C8 310 200

C9 311 201

CA 312 202

CB 313 203

CC 314 204

CD 315 205

CE 316 206

CF 317 207

D0 320 208

D1 321 209

D2 322 210

D3 323 211

D4 324 212

D5 325 213

D6 326 214

D7 327 215

D8 330 216

D9 331 217

DA 332 218

DB 333 219

DC 334 220

DD 335 221

DE 336 222

DF 337 223

E0 340 224

E1 341 225 ß

E2 342 226

E3 343 227 ¶

E4 344 228

E5 345 229

E6 346 230 µ

E7 347 231

E8 350 232

E9 351 233

EA 352 234

EB 353 235

EC 354 236

ED 355 237

EE 356 238

EF 357 239

F0 360 240

F1 361 241 ±

F2 362 242

F3 363 243

F4 364 244

F5 365 245

F6 366 246

F7 367 247

F8 370 248 °

F9 371 249

FA 372 250

FB 373 251

FC 374 252

FD 375 253 2

FE 376 254 "

FF 377 255

9 END :


Glossary

Symbols & Numbers

* (asterisk)

*.* (asterisk-dot-askterisk)

.. (dot-dot)

/ (forward slash)

// (double forward slash)

? (question mark)

@ (at)

3270

3287 printer support

400

401

402

403

404

A

accelerator keys

activation

Active Client

Active Document

Active Platform

Active Server

Active Server Page

ActiveX

ActiveX Automation

ActiveX component

ActiveX control

ActiveX scripting

address

ADSL

aggregation

analog

Anonymous FTP

ANSI terminal

API

APPC

applet

application layer

application shortcut key

AS/400 (Application System/400)

ASCII

asymmetric encryption

asynchronous

asynchronous transfer mode

asynchronous transmission

ATM

attribute

authentication

Authenticode

B

backbone

bandwidth

baud

BBS

bit

block

block length

block mode

block size

block transfer

bot

bps

BRI

browser

bulletin board system

byte

C

cache

CGI

character mode

CICS

class

class library

class object

client

Client/Server

COM

communications protocol

compound document

container application

control

CORBA

CPI-C

CRC

CUT mode

D

data compression

data link layer

data transfer

DCOM

DDE

DFT mode

DHCP

dial-up line

digital

Digital Subscriber Line

distributed processing

DLC

DLL

DNS

domain

dongle

DSL

E

EBCDIC

EHLLAPI

EEHLLAPI

emulate

enquiry character

escape sequence

event

extended ASCII

F

FAQ

FDDI

file server

File Transfer Protocol

firewall

flat address space

flow control

frame

FTP

FTP client

FTP server

full duplex

full path

function

G

gateway

GDI

gigabyte

gopher

GUI

H

half-duplex

hexidecimal

HDSL

HLLAPI

host

hot link

hotspots

HTML

HTTP

hypertext

I

IDSL

IND$FILE

inheritance

instance

instruction set

interface

internet

Internet

intranet

IP

IP address

IPX

IPX/SPX

ISDN

ISO/OSI reference model

ISP

J

Java

JavaBean

JavaScript

JDBC

Jet

JPEG

JScript

K

Kb

KB

Kerberos

Kermit

kilobit

kilobyte

L

label

latency

LAN

link

lock

lockout

log

login

log in

logoff

log off

logon

log on

logout

log out

M

macro

MAPI

mark

MDI

megabit

megabyte

metacharacter

metakey

metatag or meta tag

method

middleware

MIME

mode

modem

multitasking

multithreading

N

NAK

Navigator

Netscape Navigator

NetWare for SAA

network protocol

newline character

nibble

node

NUL

O

object

object model

object-oriented

octal

OCX

ODBC

OLE

P

packet

packet filtering

packet header

packet switching

parameter

parity

parity bit

parity check

parity error

path

pathname

PEM

PGP

physical layer

ping

pixels

Point-to-Point Protocol

point-to-point tunneling

Point-to-Point Tunneling Protocol

POP

POP3

port

port number

PPP

PPTP

presentation layer

Pretty Good Privacy

PRI

Primary Rate Interface

Privacy Enhanced Mail

private key

property

protocol

proxy

proxy server

public key

public key encryption

Q

quadbit

R

RADSL

RARP

Real-Time Protocol

relative URL

remote

remote access

Remote Access Service

remote administration

remote login

remote system

remote terminal

rename

router

RTS

RXD

S

scalability

script

scripting language

SDK

SDLC

SDSL

secondary service provider

second-level domain

secure channel

secure site

Sequenced Packet Exchange

serial

serial communication

serial interface

Serial Line Internet Protocol

server

service provider

session

SGML

signature

Simple Mail Transfer Protocol

SLIP

S/MIME

SMP

SMTP

SNA

SNMP

socket

SPX

SSL

standard ASCII

start bit

stop bit

SYN

sync character

synchronous

synchronous protocol

synchronous transmission

Systems Network Architecture

T

T1

T2

T3

T4

T-carrier

TCP

TCP/IP

Telnet

Terabyte

terminal emulation

transaction

transfer

transfer rate

transmit

transport layer

TXD

U

UDP

Uniform Resource Locator

URL

User Datagram Protocol

user interface

V

VAX

VB

VBA

VBX

VDSL

virgule

Visual Basic

Visual Basic for Applications

VT-100, VT-200, VT-300

W

WAN

WBEM

Web-Based Application

Web-Based Enterprise Management

Web browser

Web site

Winsock

World Wide Web

X

X.25

XModem

Y

YModem

Z

ZModem


Connectors: Tasks

To work with a connector, choose one of the following tasks:

General

  • Select or change a connector

  • Steps to configure a connector

  • Steps to view connector properties

Microsoft SNA

  • Steps to configure the Microsoft SNA connector

Trace Play Facility

  • Steps to set up trace file for terminal in block mode

  • Steps to set up trace file for terminal not in block mode

  • Steps to playback a session trace file

9 END :


Find Dialog Box

Edit > Find

The Find dialog box appears when the Find command is selected from the Edit menu. The Find command is available with a session, script file or memo document on display.

The table below describes each component of the dialog box and how it is used:

Use this component

in this manner . . .

Find what

Enter the character string to search for.

You must enter at least one character before the Find Next button becomes available.

Match whole word only

Select to find all occurrences of the Find what string in the display with a space character before and after the string.

Clear to locate all occurrences of the Find what string. This includes occurrences within character strings.

Match case

Select to find all occurrences of the Find what string in the display that have the same character case sequence as entered in the Find what text box.

Clear to find all occurrences of the Find what string with any character case sequence.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to continue the search.

Click to discard changes and to close the dialog.

9 END :


Font Dialog Box

Session > Properties > Displays > Font > Specify font > Choose

The Font dialog box appears when Choose is clicked on the Font sub-tab (Displays tab of the Session Properties dialog). The Specify font option must be selected in the Font group to make the Choose button available.

This dialog box is used to select a different template for your terminal’s keyboard. The templates reflect language variations and can be used as the basis for setting up custom keyboard map files.

The table below describes each component of the dialog box and how it is used:

Use this component

in this manner . . .

Font

Enter a font name in the font name text box.

Alternately, you can select a font name in the font name list, using the scroll bar to view all available font names, if necessary.

Sample

Displays a small sample of the selected font as it will appear on your terminal screen.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selected font.

Click to discard changes and to close the dialog.

9 END :


Hotspot & Keyboard Map Editors: Launch Sub-Tab

Session > Properties > Emulations > [Editor tab] > [Mapping tab]

The Launch sub-tab allows you to map an executable file to a hotspot or keyboard key. Select the editor you are working with to display the detailed help:

  • Keyboard Map Editor

  • Hotspot Map Editor

9 END :


Hotspot & Keyboard Map Editors: Menu Sub-Tab

Session > Properties > Emulations > [Editor tab] > [Mapping tab]

The Menu sub-tab allows you to map a menu item (selection) to a hotspot or keyboard key. Select the editor you are working with to display the detailed help:

  • Keyboard Map Editor

  • Hotspot Map Editor

9 END :


Hotspot & Keyboard Map Editors: String Sub-Tab

Session > Properties > Emulations > [Editor tab] > [Mapping tab]

The String sub-tab allows you to map a character string or a meta-key string to a hotspot or keyboard key. Select the editor you are working with to display the detailed help:

  • Keyboard Map Editor

  • Hotspot Map Editor

9 END :


Hotspot & Keyboard Map Editors: Terminal Sub-Tab

Session > Properties > Emulations > [Editor] > [Mapping tab]

The Terminal sub-tab allows you to map a terminal function to a hotspot or keyboard key. Select the editor you are working with to display the detailed help:

  • Keyboard Map Editor

  • Hotspot Map Editor

9 END :


Hotspots Setup: Launch Tab

Session > Properties > Emulations > Hotspots > Edit > Launch tab
The Launch tab is the third sub-tab displayed in the Hotspots Setup dialog. This tab provides the options for associating a compiled script or an executable file with selected hotspot text. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Type of file to launch group
Script | Select to specify a compiled script file.
Other | Select to specify an executable file (.exe file type)
File Name group |
[list box] | Select a script or executable file name from the drop-down list.
 | Click this button to display the Open dialog box. In the Open dialog box, navigate to the file location. Select the script or executable file name and then click Open to place the file name text box on the Launch sub-tab.
9 END :


Hotspots Setup: Menu Tab

Session > Properties > Emulations > Hotspots > Edit > Menu tab
The Menu tab is the second sub-tab displayed in the Hotspots Setup dialog. This tab provides the options for associating a menu selection (function) with the selected hotspot text. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Menu items | Choose a menu selection from the list to associate with the hotspot text listed in Hotspots.
9 END :


Hotspots Setup: String Tab

Session > Properties > Emulations > Hotspots > Edit > String tab

The String tab is the second sub-tab displayed in the Hotspots Setup dialog. This tab provides the options for associating a text string with selected hotspot text.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Type

Select the type of string to send.

  • Normal - the contents of the String text box are entered at the insertion cursor in the session window (just as you would enter text with the keyboard)

  • Include Meta Key - the contents of the String text box are entered at the location of the insertion cursor in a session window and performs any terminal functions indicated by meta-keys in the string.

A terminal function is symbolized in the string by a meta-key. A meta-key consists of curly braces surrounding a name of a terminal function. The names of the terminal functions are listed in the Terminal Keys list box on the Terminal tab.

For instance, to specify the performance of the function of a Tab key followed by the function for a Left Arrow key would appear as the following:

{Tab}{Left}

Note

The name for each key must be spelled, including spaces, as it is spelled in Terminal Keys on the Terminal tab.

If a left curly brace does not have a corresponding right curly brace, all characters after and including the left curly brace are ignored.

  • Hex - the contents of the String text box are sent as an escape sequence to the remote system. The escape sequence must be in the form of pairs of hexadecimal numbers with each pair of numbers separated by a space or comma. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the Escape Sequences section listed under a particular emulation in the table of contents (Contents tab) for this Online Reference.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set..

String

Enter up to thirty characters for the character string.

9 END :


Hotspots Setup: Terminal Tab

Session > Properties > Emulations > Hotspots > Edit >Terminal tab

The Terminal tab is the first sub-tab displayed in the Hotspots Setup dialog. This tab provides the options for associating a terminal key with selected hotspot text.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Terminal Keys | Select a keyboard function in the Terminal Keys listing. The selected function is assigned or associated with the hotspot text shown in the Hotspots text box.
Escape Sequence | Displays the escape sequence string generated by the selected terminal key.
Description | Displays a short description of the selected terminal key.
9 END :


Keyboard Map: Launch Tab

Session > Properties > Emulations > Keyboard > Edit > Launch

The Launch tab is the third sub-tab displayed in the Keyboard Map dialog. This tab provides the options for associating a compiled script or an executable file with the selected keyboard key.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Type of file to launch group

  • Script

Select to specify a DCS compiled script file.

  • Other

Select to specify an executable file (.exe file type)

File Name group

[list box]

Select a script or executable file name from the drop-down list to associate with the selected key.

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the file location. Select the script or executable file name and then click Open to place the file name text box on the Launch sub-tab.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to set the association of the executable file to the selected key.

9 END :


Keyboard Map: Menu Tab

Session > Properties > Emulations > Keyboard > Edit > Menu
The Menu tab is the fourth sub-tab displayed in the Keyboard Map dialog. This tab provides the options for associating a menu selection with the selected keyboard key. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Menu items | Choose a menu selection from the list to associate with the selected key.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to set the association of the menu function to the selected key.
9 END :


Keyboard Map: String Tab

Session > Properties > Emulations > Keyboard > Edit > String

The String tab is the second sub-tab displayed in the Keyboard Map dialog. This tab provides the options for associating a text string with the selected keyboard key.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Type group

[list box]

Select the type of string to send.

  • Normal - the contents of the String text box are entered at the insertion cursor in the session window (just as you would enter text with the keyboard)

  • Include Meta Key - the contents of the String text box are entered at the location of the insertion cursor in a session window and performs any terminal functions indicated by meta-keys in the string.

A terminal function is symbolized in the string by a meta-key. A meta-key consists of curly braces surrounding a name of a terminal function.

When the Include Meta-Key type is selected, the Insert button and list box to the right become available. All terminal functions are shown in the list box. Each function is surrounded with curly braces.

To indicate the execution of the function of a Tab key followed by execution of the function for a Left Arrow key would appear as the following:

{Tab}{Left}

Note:

  • The name for each key must be spelled, including spaces, as it is spelled in the list box.

  • If a left curly brace does not have a corresponding right curly brace, all characters after and including the left curly brace are ignored.

  • Hex - the contents of the String text box are sent as an escape sequence to the remote system. The escape sequence must be in the form of pairs of hexadecimal numbers with each pair of numbers separated by a space or comma. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the Escape Sequences section listed under a particular emulation in the table of contents (Contents tab) for this Online Reference.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set..

String group

[text box]

Enter up to thirty characters for the character string.

Click to insert the meta-key function shown in the list box to the right in the String text box.

This element is available when Include Meta-Keys is selected in the Type group.

[meta-keys list box]

Select a meta-key from the drop down list to associate with the selected key.

This element is available when Include Meta-Keys is selected in the Type group.

The Insert button is used to insert the selected meta-key in the String text box. Use this method to include meta-keys rather than manually keying them so that the meta-key is properly spelled and formatted.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to set the association of the string to the selected key.

9 END :


Keyboard Map: Terminal Tab

Session > Properties > Emulations > Keyboard > Edit > Terminal
The Terminal tab is the first sub-tab displayed in the Keyboard Map dialog. This dialog provides several options for associating or mapping functions and actions with selected keyboard keys. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Terminal Keys group
[scroll list box] | Select a keyboard function in the Terminal Keys listing to associate with the selected key.
Escape Sequence | Displays the escape sequence string generated by the selected terminal key.
Description | Displays a short description of the selected terminal key.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to set the association of the terminal key function to the selected key.
9 END :


Menu Dialog Box

Tools > Customize > Menus > Add > Menu

The Menu dialog box appears when the Add key is clicked from the Menu Editor (Customize Menus dialog). This dialog box is used to set up a new menu that is accessed from the menu bar.

The table below describes each component of the dialog box and how it is used:

Use this element

in this manner . . .

Enter a name for the menu

Enter a name for the new menu.

This name appears on the menu bar. Spaces can be used in the name but their use is not recommended because it may present ambiguity to the user.

To specify the accelerator key, place an "&" in front of a letter in the name. For example, specifying "HostA&pp" indicates to use the P key in conjunction with the Alt key for fast access of the Host Applications menu.

Append to menu xxxx

Select to add the new menu as a sub-menu name.

The new menu is added to the xxxx menu. This menu was highlighted in the Menu group on the Menus tab when the dialog box was accessed. A ? symbol is placed to the right of the new menu name to indicate a sub-menu exists.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the new menu name.

Click to discard changes and to close the dialog.

9 END :


Menu Item Dialog

Tools > Customize > Menus > Add > Menu Item
The Menu Item dialog box appears when the Add button is clicked from the Menu Editor (Customize Menus dialog) and Menu Item is selected from the submenu. This dialog box is used to set up a new menu selection that is accessed from a menu. The table below describes each element of the dialog with a description of each.
Use this element | in this manner . . .
Caption | Enter a character string for the menu item. This string appears on the menu as the menu selection.
Prompt | Displays the command or path of the file name that will be executed when the menu selection is accessed.
 | Assigns a menu command to the menu item. Tell me more
 | Assigns the designated string to the menu item. Tell me more
 | Assigns the selected file to the menu item. Tell me more
Append to menu xxxx | Select to add the menu item to the highlighted menu name. Clear to add the menu item as a new menu.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to add the new menu item to the highlighted menu name.
 | Click to discard changes and to close the dialog.
9 END :


Menu Item: Command Tab

Tools > Customize > Menus > Add > Menu Item > Command
The Command tab is the first sub-tab displayed in the Menu Item dialog. This tab provides the options for associating a menu command (function) with the menu item. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Menu commands group |
[scroll list box] | Select a menu command to associate with the menu item.
9 END :


Menu Item: Launch Tab

Tools > Customize > Menus > Add > Menu Item > Launch

The Launch tab is the third sub-tab displayed in the Menu Item dialog. This tab provides the options for associating a compiled script or an executable file with the menu item.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

  • Script

Select to specify a DCS compiled script file that will be started when the menu item is selected.

  • Other

Select to specify an executable file (.exe file type) that will be started when the menu item is selected.

File Name group

[list box]

Select a script or executable file name from the drop-down list to associate with the menu item.

Click this button to display the Open dialog box.

In the Open dialog box, navigate to the file location. Select the script or executable file name and then click Open to place the selected file name in the Filename text box.

9 END :


Menu Item: String Tab

Tools > Customize > Menus > Add > Menu Item > String

The String tab is the second sub-tab displayed in the Menu Item dialog. This tab provides the options for associating a text string with the selected keyboard key.

The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

Type group

[list box]

Select the type of string to send.

  • Normal - the contents of the String text box are entered at the insertion cursor in the session window (just as you would enter text with the keyboard)

  • Include Meta Key - the contents of the String text box are entered at the location of the insertion cursor in a session window and performs any terminal functions indicated by meta-keys in the string.

A terminal function is symbolized in the string by a meta-key. A meta-key consists of curly braces surrounding a name of a terminal function.

When the Include Meta-Key type is selected, the Insert button and list box to the right become available. All terminal functions are shown in the list box. Each function is surrounded with curly braces.

To indicate the execution of the function of a Tab key followed by execution of the function for a Left Arrow key would appear as the following:

{Tab}{Left}

Note:

  • The name for each key must be spelled, including spaces, as it is spelled in the list box.

  • If a left curly brace does not have a corresponding right curly brace, all characters after and including the left curly brace are ignored.

  • Hex - the contents of the String text box are sent as an escape sequence to the remote system. The escape sequence must be in the form of pairs of hexadecimal numbers with each pair of numbers separated by a space or comma. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the Escape Sequences section listed under a particular emulation in the table of contents (Contents tab) in this Online Reference.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set..

String

Enter the string text, meta-keys, or hex to be associated with the menu item.

9 END :


New Session Wizard: Connector Type Dialog Box

File > New > Session > Next
The Connector Type dialog box is the second screen presented when the New Session Wizard is activated. This dialog box allows you to select the connector for the new session. The connectors displayed are those available for the base product and any installed Client Options. The table below lists all dialog elements with a description of each.
Note: The default connector used by the New Session Wizard can be changed in the Available modules dialog box. Access this dialog box with the Tools > Options > File Locations > […] command.
Use this element | in this manner . . .
Please select the type of connector to use: | Displays the list of available connectors. Only installed connectors are shown in the available list.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to discard any changes in this dialog box and return to the previous dialog box.
 | Click to accept the selected connector and continue on to the next dialog box in the wizard program.
 | Click to discard changes and to close the dialog.
 | Click to display the Online Reference.
9 END :


New Session Wizard: Emulation Type Dialog Box

File > New > Session or
The Emulation Type dialog box is the first screen presented when the New Session Wizard is activated. You started the wizard by accessing the File New > Session command or by clicking on the New toolbar button. The table below lists all dialog elements with a description of each.
Note: Activating the New Session Wizard can be turned off with the User New Session Wizard selection on the General tab of the Options dialog box.
Use this element | in this manner . . .
Please select the type of emulation to use: | Displays the list of available emulations. Only those that are installed are in the available list.
Use new session wizard | Check to always activate the New Session Wizard when the New toolbar button is clicked. Uncheck to never activate the New Session Wizard.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to accept the selected emulation and continue to the next dialog box in the wizard program.
 | Click to discard changes and to cloe the dialog.
 | Click to display the Online Reference.
9 END :


New Session Wizard: File Transfer Type Dialog Box

File > New > Session > Next > Next
The File Transfer Type dialog box is the third screen presented when the New Session Wizard is activated. The File Transfer Type dialog allows you to select the binary file transfer protocol for the session. The table below lists all dialog elements with a description of each.
Use this element | in this manner . . .
Please select the type of file transfer to use: | Displays the list of available file transfer protocols. Only those file transfer protocols that are installed are displayed in the available list.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to discard any changes in this dialog box and return to the previous dialog box.
 | Click to accept the selected file transfer protocol and end the wizard program. The Session Properties dialog appears.
 | Click to discard changes and to close the dialog.
 | Click to display the Online Reference.
9 END :


Paste From File Dialog Box

Edit > Paste From File

The Paste From File dialog box is used to set the parameters for sending the contents of a text file to a remote host.

The table below lists each dialog element with a description of each.

Use this element

in this manner . . .

Look in

[list box]

[expanded folder list box]

Select a new folder from the drop down list or use standard Windows navigation methods to select the folder from the list of displayed folders that contains the file to send.

Default: DCSeries

File name

Select or enter the file name to send.

Default: Blank

Files of type

Select the file types to display in the directory window.

Default: Text Files (*.txt)

Paste Buffer Size group

  • Char at a time

Select to send one character at a time to the remote system.

This selection transfers the file slowly and is for systems that are only able to process the incoming characters at a slow rate.

Default: Cleared

  • Line at a time

Select to send whole lines at a time to the remote system.

A line of text is the characters between the beginning of the file or the previous end of line character to the next end of line character or the end of the file. PC text files end each line with two characters: the carriage return and line feed characters (CR, or hexadecimal 0D; and LF, or hexadecimal 0A), which are hidden at the end of a line.

End Of Line Character(s)

When you select Line at a time, select the character that ends a line of text in the sending file.

If the end of line character(s) in the text file are different from the end of line characters used on the remote system, choose one of these:

  • None Select to strip away the end of line characters from the lines of the file and to paste the lines as a continuous stream of characters.

  • CR Select to strip away the end of line characters from the lines of the file, to replace each set of end of line characters with a single carriage return character, and to paste the lines of text with the new end of line character.

  • CRLF Select to strip away the end of line characters from the lines of the file, to replace each set of end of line characters with a carriage return character and a line feed character, and to paste the lines of text with the new end of line characters.

  • LF Select to strip away the end of line characters from the lines of the file, to replace each set of end of line characters with a single line feed character, and to paste the lines of text with the new end of line character.

Default: None

  • Specified bytes

Select to specify the number of bytes (characters) sent at a time.

Default selection

Byte(s)

When you select Specified bytes, choose an integer in the range of 1 to 5000.

Default: 1000 bytes (characters)

Delay group

  • None

Select to send the file as fast as the connection allows.

On slow remote systems, the remote system may lose characters if the file is transferred too quickly.

Default selection

  • Interval

Select to slow down the transfer of the file to the remote system.

Millisecond(s)

When you select Interval, enter an integer between 1 to 1000 (1000 milliseconds is equal to 1 second) to specify the number of milliseconds to wait (the file transfer protocol) before sending the next segment.

Default: One (1) millisecond

-------------------------------------------------------------------------------------------------------------------------------------------

Click to start the pasting (file transfer) function.

Click to discard changes and to close the dialog.

9 END :


Paste Special Dialog Box

Edit > Paste Special

The Paste Special dialog box appears when the Paste Special command is selected from the Edit menu. This command provides OLE capability by placing a copy of the clipboard contents into a receiving document as an OLE object.

The table below describes each component of the dialog box and how it is used:

Use this component

in this manner . . .

Source

Identifies the source location of the material that has been placed on the clipboard.

  • Paste

Select to copy the clipboard contents to the receiving document.

  • Paste Link

Select to copy the clipboard contents to the receiving document and establish a link to the original sending file/document.

When updates are made to either file, the changes are reflected in the linked document.

As

Lists the possible format types for the copied clipboard material.

Display As Icon

Select to have the application icon represent the pasted item in the receiving document.

Clear to show the pasted item or text in its full form.

Result

Describes the resulting action of the selections chosen in the dialog box.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selections and copy the clipboard contents to the cursor location.

Click to discard changes and to close the dialog.

9 END :


[Script/Memo] Print Dialog Box

File > Print

The Print dialog box provides several options for printing from a script file or memo document.

The table below lists each Print dialog element with a description of each.

Use this element

in this manner . . .

Printer group

Name

Select the printer name from the printer list.

Click to display the Windows Properties dialog box for the selected printer.

Status

Displays the status or condition of the selected printer.

Type

Displays the printer name/type.

Where

Displays the printer port or connection.

Comment

Displays any additional notes included when the printer is set up during installation.

Print to file

Click to send the print job to a file rather than the selected printer.

The Print to File dialog box appears. This option is useful when you have a large job to print or when you would like to print during specific hours.

Default: Cleared

Print range group

  • All

  • Pages

  • Selection

Select one to specify how many pages and which ones to print.

When Pages is chosen, you must indicate:

  • from a beginning page number

  • to an ending page number

Default: All

Note

Selection is available only when printing from a session.

Copies group

Number of copies

Enter or select the number of copies to print.

Default: 1 (one)

Collate

Select to print all pages in each copy (set) of the print before starting the next copy when multiple copies are specified.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selections and send the print to the printer (or file).

Click to discard changes and to close the dialog.

9 END :


[Session] Print Dialog Box

File > Print

The Print dialog box provides several options for printing from a session window.

The table below lists each dialog element with a description of each.

Use this element

in this manner . . .

Printer

Displays the printer name.

Print Option group

  • Current Screen

  • Selection

  • All

Select one to designate what portion of the session to print.

  • Current screen - only the lines in the current screen display

  • Selection - only the highlighted portion of the screen

  • All - the entire screen buffer

Default: Current Screen

Print to file

Click to send the print job to a file rather than the selected printer.

The Print to File dialog box appears when you click OK. You will then designate the file to save the print job into.

This option is useful when you have a large job to print or when you would like to print during specific hours.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selections and send the print job to the printer (or file).

Click to discard changes and to close the dialog.

Click to display the printer’s Windows Properties dialog.

Click to display the Online Reference.

9 END :


[Session] Print Setup Dialog

File > Print Setup

The File > Print Setup command displays the Print Setup dialog box. The Print Setup dialog box for a session window contains the following configuration settings.

The table below lists each dialog element with a description of each.

Use this element

in this manner . . .

Printer group

  • Default

Displays the default printer set up in Windows.

  • Specific

Displays the printer list box.

Select a different printer from this list to change the printer that will print the print request.

Default Selection: Default

Font group

  • Screen

Selects the font displayed in the session window as the print font.

  • Specific

Displays the font name and size list boxes.

Select the font name and size from these lists to change the font for the print request.

Default Selection: Screen

Option group

Raw Passthrough Mode

By-passes the print driver to download text or printer programs directly to the printer.

Settings:

  • Always

  • Auto

  • Never

Default: Auto

Note:

The selected printer must support Raw Passthrough Mode otherwise, the printer output will be unpredictable.

Keep Print Channel Open Between Host Print Jobs

Select to close the print channel when the remote system becomes inactive. This allows other print jobs to print. The channel is closed when the remote system sends a form feed at the end of the print job.

Clear to ignore form feeds sent from the remote system at the end of a print job. You must manually close the printer channel with the Session > Close Printer Channel command.

Default: Cleared

Page group

Header

Select a Header code or enter text to print in the header area (top of each page) of a print request.

Default: &L&S (Left Align and Session Name)

Footer

Select a Footer code or enter text to print in the footer area (bottom of each page) of a print request.

Default: &C&P (Current Date and Page Number)

Header/Footer Code

does this . . .

&S

prints session name

&P

includes the page number

&T

prints the current time

&D

prints the current date

&L

left aligns header text

&C

centers header text

&R

right aligns header text

-------------------------------------------------------------------------------------------------------------------------------------------

Click to send the print request to the specified printer name.

Click to discontinue the print request.

Click to display the Properties dialog box for the selected printer.

Click to display the Online Reference.

9 END :


Properties Dialog Box

Custom button > [right click] > Properties

The Properties dialog box appears when you right click on a custom button and select Button Properties on the pop-up menu. This dialog box is the Custom Button Editor interface that allows you to display and modify the properties of a custom button.

The elements displayed depend on the category selected at the top of the dialog box (Menu, Script, String, or Launch). The table below lists all dialog elements with a description of each.

Use this element

in this manner . . .

  • Menu

Select to associate a menu selection with the custom button.

The menu selection is performed when the custom button is clicked.

  • Script

Select to associate a script file with the custom button.

The script is started when the custom button is clicked.

  • String

Select to associate a text string or a meta-key string with the custom button.

When the custom button is clicked, the text string is printed at the location of the cursor or the meta-key function is performed.

  • Launch

Select to associate an executable file (.exe) with the custom button.

The executable is started when the custom button is clicked.

Default: Menu

Select a menu

Choose a menu selection from the drop down list to assign to the custom button.

This element is displayed when Menu is selected.

Directory

Displays the folder where the script or executable file is stored. The default location is Program Files\Futuresoft\DCSeries\scripts

Click Browse to display the Open dialog. Use standard Windows navigation methods to choose a different script or executable file.

This element is displayed when Script or Launch is selected.

Select a script

Select a new executable file from the drop down list.

This element is displayed when Script is selected.

String Type

Select the type of string to send.

  • Normal - the contents of the String text box are entered at the insertion cursor in the session window (just as you would enter text with the keyboard)

  • Include Meta Key - the contents of the String text box are entered at the location of the insertion cursor in a session window and performs any terminal functions indicated by meta-keys in the string.

A terminal function is symbolized in the string by a meta-key. A meta-key consists of curly braces surrounding a name of a terminal function. The names of the terminal functions are listed in the Terminal Keys list box on the Terminal tab.

For instance, to specify the performance of the function of a Tab key followed by the function for a Left Arrow key would appear as the following:

{Tab}{Left}

Note:

  • The name for each key must be spelled, including spaces, as it is spelled in Terminal Keys on the Terminal tab.

  • If a left curly brace does not have a corresponding right curly brace, all characters after and including the left curly brace are ignored.

  • Hex - the contents of the String text box are sent as an escape sequence to the remote system. The escape sequence must be in the form of pairs of hexadecimal numbers with each pair of numbers separated by a space or comma. The following are hexadecimal digits: 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F.

For more information about the escape sequences for an emulation, see the Escape Sequences section listed under emulation in the table of contents (Contents tab) in this Online Reference.

For more information about the hexadecimal representations of characters, see the ASCII character set and the ANSI character set..

This element is displayed when String is selected.

Type a string

Enter the string to assign to the custom button.

The string text depends on the selected String Type.

This element is displayed when String is selected.

Select a file

Select a new executable file from the drop down list.

This element is displayed when Launch is selected.

Tooltips

Enter the text to display when the mouse cursor is moved over the custom button.

Description

Displays a brief description of the selected action.

-------------------------------------------------------------------------------------------------------------------------------------------

Click to accept the selections.

Click to discard changes and to close the dialog box.

Click to display the Online Reference.

9 END :


[IND$FILE] Receive File Dialog Box

Session > Receive File
The Receive File dialog appears after accessing the Receive File command on the Session menu. This dialog allows you to select single or multiple files from either the local terminal or a system on your network (with the appropriate permissions set up). The table below lists each Receive File dialog element with a description of each:
Use this element | in this manner . . .
Source (Host) File
Filename | Enter the name of the host file to be transferred. Other options may appear in addition to the filename text box. The options shown depend on the option selected in the Host Environment group on the Session sub-tab of the Session Properties File Transfers tab for IND$FILE.
Destination (PC) File group
Filename | Enter the file name for the file that is to be transferred to your PC.
Directories | Select the folder where the transferred file is to be stored. Use standard Windows navigation techniques to select a folder.
Drives | Select the drive where the folder and file is located that will store the transferred file.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to accept the selections made and starts the transfer.
 | Click to discard any changes, close the dialog, and abort the transfer process.
 | Click to display the Property dialog for the selected file transfer protocol. Properties for the protocol can be changed in the dialog before starting the transfer.
 | Click to display the Online Reference.
 | Click to display the Map Network Drive dialog. If needed, a network drive can be mapped for access through the Drives list box.
9 END :


[IXF] Receive File Dialog Box

Session > Receive File
The Receive File dialog appears after accessing the Receive File command on the Session menu. This dialog allows you to select single or multiple files from either the local terminal or a system on your network (with the appropriate permissions set up). The table below lists each Receive File dialog element with a description of each:
Use this element | in this manner . . .
Source (Host) File
Filename | Enter the name of the host file to be transferred.
Destination (PC) File group
Filename | Enter the file name for the file that is to be transferred to your PC.
Directories | Select the folder where the transferred file is to be stored. Use standard Windows navigation techniques to select a folder.
Drives | Select the drive where the folder and file is located that will store the transferred file.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to accept the selections made and to start the transfer.
 | Click to discard any changes, close the dialog, and abort the transfer process.
 | Click to display the Property dialog for the selected file transfer protocol. Properties for the protocol can be changed in the dialog before starting the transfer.
 | Click to display the Online Reference.
 | Click to display the Map Network Drive dialog. If needed, a network drive can be mapped for access through the Drives list box.
9 END :


Receive File Dialog Box

Session > Receive File
The Receive File dialog appears after accessing the Receive File command on the Session menu. This dialog allows you to select single or multiple files from either the local terminal or a system on your network (with the appropriate permissions set up). The table below lists each Receive File dialog element with a description of each:
Use this element | in this manner . . .
Destination (PC) File group
Filename | Enter the file name for the file that is to be transferred to your PC.
Directories | Select the folder where the transferred file is to be stored. Use standard Windows navigation techniques to select a folder.
Drives | Select the drive where the folder and file is located that will store the transferred file.
-------------------------------------------------------------------------------------------------------------------------------------------
 | Click to accept the selections made and to start the transfer.
 | Click to discard any changes, close the dialog, and abort the transfer process.
 | Click to display the Property dialog for the selected file transfer protocol. Properties for the protocol can be changed in the dialog before starting the transfer.
 | Click to display the Online Reference.
 | Click to display the Map Network Drive dialog. If needed, a network drive can be mapped for access through the Drives list box.
9 END :


Remote Kermit Dialog Box

Session > Remote Kermit

The Remote Kermit dialog box appears when an active session has been configured with the Kermit file transfer and the Session Remote Kermit command is accessed. This dialog box displays a list of available commands and a text box for entry of arguments for the selected command, if any.

Kermit command syntax: command argument

The available Remote Kermit commands are listed below with a description of the arguments available for each.

Use this command

in this manner . . .

copy file

Copy a source file on the remote system to a destination on the remote system.

1 In argument, enter the path names of the source and destination files.

Separate the file names with a space.

2 Click Perform to copy the file.

Script language equivalent: KERMIT COPY

directory

List the files in the directory on the remote system indicated by the path entered in argument.

1 In argument, enter a directory path on the remote system.

2 Click Perform to display the file listing in the directory.

Script language equivalent: KERMIT DIRECTORY

erase file

Delete files on the remote system.

1 In argument, enter a path name.

2 Click Perform.

Script language equivalent: KERMIT ERASE

finish

Exit the server mode on the remote system and closes the Remote Kermit dialog box.

1 In argument, enter any parameters that the remote server may accept.

2 Click Perform.

If the remote system does not support the Finish command, try the following key sequence in the session window:

Ctrl A $ Space GF4 Ctrl M (Ctrl M is a carriage return.)

Script language equivalent: KERMIT FINISH

free space

Display the number of free bytes (possibly including disk usage information) in the remote system directory entered in argument.

1 In argument, enter a directory path for the remote system.

2 Click Perform.

Script language equivalent: KERMIT FREESPACE

get file

Retrieve a file from the remote system.

1 In argument, enter a path name.

2 Click Perform to display the Receive File dialog.

3 To specify a file name to save the received file with, enter a name in File Name.

4 To specify where to save the received file, select a new directory in the Directories and Drives list boxes.

5 Click OK to begin the transfer.

The File Transfer Status dialog box appears.

Script language equivalent: FILE RECEIVE BINARY (with the REMOTE option included)

logout

Exit server mode and log out from the remote system.

This command is similar to the Kermit bye command.

1 In argument, enter any parameters that the remote sever may accept.

2 Click Perform.

Script language equivalent: KERMIT LOGOUT

Note

Not all Kermit servers support the logout command.

message

Send a message to the remote system.

1 In argument, enter the destination (or name of the receiver on the system), a space, and a message. The message may be up to twenty-two letters.

2 Click Perform.

Script language equivalent: KERMIT MESSAGE

new directory

Change the current directory on the remote system.

1 In argument, enter a directory path.

If you enter no path information, the server will change directories to the default directory.

2 Click Perform.

Script language equivalent: KERMIT NEWDIRECTORY

put file

Send a file to the remote system.

1 Click Perform

Select Files To Send dialog box appears.

2 Select the files to send to the remote system.

3 Click OK.

The File Transfer Status dialog box appears.

Script language equivalent: FILE SEND BINARY (with the REMOTE option included)

remote help

Display a brief summary of instructions on a topic.

1 In argument, enter the topic name.

2 Click Perform.

Script language equivalent: KERMIT HELP

rename file

Rename a file on the remote system.

1 In argument, enter the current path name of the file followed by a space and then the new path name for the file.

2 Click Perform.

Script language equivalent: KERMIT RENAME

type file

Display the contents of a file on the remote system in the session window.

1 In argument, enter a path name.

2 Click Perform.

Script language equivalent: KERMIT TYPE

who

Display list of users logged into the remote system, or display information about one user on the remote system.

1 To see a list of all users logged into the remote system, leave argument blank.

To see information for a specific user, enter a user name in argument.

2 Click Perform.

Script language equivalent: KERMIT WHO

-------------------------------------------------------------------------------------------------------------------------------------------

Click to execute or perform the selected command with any arguments specified in argument.

Click to discard changes and to close the dialog.

9 END :


What's New in DCS

DCS offers many new features. Each of these is listed below with a short description. Follow the links to a full discussion of the feature.

File Transfer Time Out

A time-out feature has been added to all file transfer protocols. By default the feature is not enabled. When enabled, the time-out length can be set from 1 to 9999 seconds. New scripting keywords have been added that allow for setting the timeout, enabling or disabling the File Transfer Status dialog, and providing the ability to handle the return of timeout values.

HLLAPI enhancements

For TN3270 & TN5250 Client Options, improved support for multiple (max = 26), simultaneous sessions has been implemented. The Emulations Advanced tab of the Session Properties dialog now has an HLLAPI group box that provides the ability to enable/disable HLLAPI functionality within a session and also to access to the HLLAPI Auto-Launch configurator. This utility establishes a short name with a specific session file for quick access and ease of use for saved HLLAPI enabled sessions.

Installation enhancements

New distribution media

DCS is distributed on CD-ROM. This includes all installation files as well as all documentation. Documentation will be located in the /documentation folder.

Selection screens replace certain command line options

The command line options (-allusers, -SMS, -admin, -netclient) used during installation have been incorporated into the installation routine as selections presented during the installation process.

One-time installation of core product and client options

Separate installation of client options after installation of the core product is no longer required. During installation a screen is presented that allows for selecting all software packages to be installed in one installation session. However, client options can be selectively installed "after the fact", if needed.

Web Install

Web Install is a new installation method that allows for custom installation from a central administration point within the corporate network. Netscape Navigator 4.x (and later) or Microsoft Internet Explorer 4.x (and later) is used from a local workstation to seamlessly install DCS and all or selected Client Options from a web server.

Web enabled deployment of user files

The ability to place all user-type files (session and mapper files) on a single web server or across multiple web servers for access from, or download to individual workstations has been implemented. This feature allows for full range of control, as determined by the system administrator, over the user’s ability to modify session properties.

Documentation Library Update

To provide more extensive search capabilities and easier access to the most current documentation available, the DCS documentation library consists of:

Print:

Getting Started with DCS

Designed for the end user who is responsible for using DCS to complete job tasks; includes a features overview, installation and configuration procedures and a tutorial covering the major DCS functions.

Getting Started with DCS for Administrators

Designed for the System Administrator who is responsible for installing and maintaining DCS throughout the business enterprise; focuses on the use of Web Install and DynaComm Multi-user Administrator functions.

Getting Started with DCS for Programmers

Designed for the application developer or programmer who is responsible for creating and supporting DCS scripts used to support job tasks.

Guide to Client Options

Designed for any user who is responsible for installing and working with add-on Client Option emulation packages.

Technical Support Card

Designed for any user who must register the DCS product or requires FutureSoft contact information.

Online Help:

Online Reference*

Technical and reference information for basic DCS features and functions as well as all core and all add-on client options

FTP Online Reference*

Includes all reference information for FutureSoft’s 32-bit offering of the File Transfer Protocol application as specified by RFC

Administrator Online Reference*

Technical and reference information for installation and maintenance of DCS; includes DynaComm Multi-user Administrator and (Enterprise Manager) information

Programmer Online Reference*

Includes all Scripting and Visual Basic Interface information

MS Word files:

Release Notes*

Combination of software Release Notes and Readme file information; includes last minute information not included in the documentation as well as important items of particular significance.

Adobe Acrobat PDF files:

Script Language Reference*

Copy of the DCS Script Language Online Reference in e-book format.

* These items are provided on the installation CD-ROM in the /documentation folder. The most current versions of online Help systems and Release Notes files can be downloaded from:

www.futuresoft.com/documentation

9 END :


accelerator keys

A keyboard key(s) that is used in conjunction with another key(s) to perform a function or access a command. Using the combined keys is a faster method than using individual mouse clicks to perform the same function.

For example, to access the File drop-down menu with accelerator keys, hold down the Alt key and then press the F key.


activation n.

A programming process that loads an object into memory, putting the object into an executable or running state. Also, the process of binding an object so as to put the object into its running state. Also, invoking a particular operation, such as setting a method or property, on an object.

See also object


Active Client

Active Client n.

The client-side element of the Active Platform technologies that enable the delivery of "least common denominator" components or applications across multiple operating systems and browsers. Active Client technology is available for key commercial computing operating ystems including Windows 95®, Windows NT®, Apple Macintosh, and UNIX. It includes support for HTML, scripting (VBScript and Jscript), Java applets, ActiveX™ Components, ActiveX Controls and Active Documents.


Active Document

Active Document n.

A Windows-based, non-HTML application embedded in a browser, providing a way for the functionality of these applications to be accessible from within the browser interface.


Active Platform

Active Platform n.

An integrated, comprehensive set of client (Active Client) and server (Active Server) component-based development technologies that make it easy for developers to integrate the connectivity of the Internet with the power of the personal computer. The Active Platform is an open platform developers can use to take full advantage of Microsoft’s leading, standards-based implementations of HTML, open scripting, component architecture and underlying operating system services.


Active Server

Active Server n.

The Active Server is the sever-side element of the Active Platform technologies, delivered with Windows NT, providing a consistent server-side component and scripting model, and an integrated set of system services, for component application management, database access, transactions, and messaging. Facilitating deployment of component-based server applications and reducing the complexity associated with network programming.


Active Server Page

Active Server Page n.

The server-side execution environment in Microsoft Internet Information Server 3.0 that executes ActiveX Scripts and ActiveX Components on a server. Used by web developers to create Web-based applications by combining scripts and components.


ActiveX

ActiveX n.

A set of technologies that enable software components written in different languages to work together in networked environments. The set was developed by Microsoft in the mid 1990s and is currently administered by the Open Group standards organization, and are being implemented on multiple platforms. The core technology elements of ActiveX are Component Object Model (COM) and Distributed Component Object Model (DCOM). COM-based technologies were formerly referred to as OLE.


ActiveX Automation

ActiveX Automation n.

A language-neutral way to manipulate an ActiveX Component’s methods from outside an application. ActiveX Automation is typically used to create components that expose methods to programming tools and macro languages. ActiveX Automation was previously called OLE Automation.


ActiveX component

ActiveX component n.

A compiled software component based on the component object model (COM) that encapsulates a set of business functionality. The functionality in an ActiveX component is accessed through ActiveX Automation interfaces. The ActiveX Component can execute either on a client computer or on a server computer, transparent to the calling application, through DCOM. ActiveX Components can be driven by a scripting language such as VBScript or JScript. All Java applets, running in the Microsoft virtual machine for Java, are automatically ActiveX Components and use the file extension .class. ActiveX Components that run within the calling application process use the file extension .exe.

See also COM


ActiveX control

ActiveX control n.

A compiled software component based on the Component Object Model (COM) that encapsulates a set of business or user interface functions. An ActiveX Control is used to provide user interface components and is designed to run on the client computer. These were formerly called OLE Controls. Optimizations in the technology resulted in smaller, faster software components and support for key features used to distribute components ‘just in time’ over networks such as the Internet. ActiveX Controls can be embedded in Web pages for use over the Internet as well as combined to create client/server applications that run over a corporate network. They can be created by a variety of programming languages from Microsoft or from third-party vendors. ActiveX controls use the file extension .ocx.

See also COM , control , and event


ActiveX scripting

ActiveX scripting n.

The act of using a scripting language to drive ActiveX Components. ActiveX Scripting is made possible by plugging a scripting engine into a host application. A scripting engine enables the processing of a specific scripting language such as VBScript or Jscript. Examples of host applications that contain scripting engines are Microsoft Internet Explorer and Internet Information Server with Active Server Pages.

See also Active Server Page, ActiveX Automation, ActiveX component, script


address

address n.

1 A location in memory where data is stored. A number.

2 An Internet site or location. A name or token.

3 A code for an e-mail destination.

See also URL


ADSL

ADSL n.

Acronym for: Asymmetric Digital Subscriber Line

A high-speed digital communications technology over standard copper phone lines with speeds up to 8 Mbps downstream (to the customer) and up to 640 Kbps upstream.


aggregation

aggregation n.

A programming composition technique for implementing component objects. Using this technique, developers can build a new object using one or more existing objects that support some or all of the new object’s required interfaces.


analog

analog adj.

Of, being, or related to a mechanism or signal that continuously varies in strength or quantity.


Anonymous FTP

Anonymous FTP n.

Acronym for: Anonymous File Transfer Protocol

Used in the process of connecting to a remote computer as an anonymous or guest user in order to transfer public files to your local computer.

See also FTP


ANSI terminal

ANSI terminal n.

A display (or video) terminal that follows commands in the ANSI standard terminal language, that is used on many bulletin board systems. Uses ANSI (American National Standards Institute) X3.64 escape sequences to control the cursor, clear the screen and set colors, for example. Communications programs often support the ANSI terminal.


API

API n.

Acronym for: Application Programming Interface

A set of routines that an application program uses to request and carry out lower-level services performed by a computer’s operating system. Also, a set of calling conventions in programming that define how a service is invoked through the application.


APPC

APPC n.

Acronym for: Advanced Program-to-Program Communication

A communications protocol developed by IBM as part of the SNA architecture. It allows two different computers to communicate and exchange data directly, on an equal level. The architectural basis for APPC is a logical unit type called LU 6.2, that allows conversations between logical units. APPC operates on a peer-to-peer basis rather than a master/slave relationship.


applet

applet n.

A small program, often written in Java, that is downloaded over the Internet and executed on the local machine. An applet runs within the browser and typically adds interactive elements to a Web page.


application layer

application layer n.

Layer 7 of the Open Systems Interconnection (OSI) reference model. This layer determines the software interactions with the user and deals with such processes as file transfer or remote access to a computer.


application shortcut key

application shortcut key n.

Typically a combination of keys that quickly access or perform a function in an application.


AS/400 (Application System/400)

AS/400 (Application System/400) n.

An IBM midrange computer series introduced in 1988 that supercedes the Sustem/36 and System/38.


ASCII

ASCII n.

Acronym for: American Standard Code for Information Interchange

A coding scheme developed in 1968 to handle data transmission among different hardware and software systems. The scheme uses 7 or 8 bits to assign a numeric value to letters, numerals and special characters. ASCII is divided into Standard ASCII – 128 characters and Extended ASCII – an additional 128 characters.

See also ASCII Character Set


asymmetric encryption

asymmetric encryption n.

A form of cryptosystem in which encryption and decryption are performed using two different keys, one of which is referred to as the public key and one of which is referred to as the private key.


asynchronous

asynchronous adj.

Term used to describe a sequence of operations that occur without respect to time. The term is also used to describe the devices that operate in asynchronous mode such as interactive terminals.


asynchronous transfer mode

asynchronous transfer mode n.

See ATM


asynchronous transmission

asynchronous transmission n.

Transmission in which each information character is individually synchronized. The synchronization is typically achieved with the use of start elements and stop elements.


ATM

ATM n.

Acronym for: Asynchronous Transfer Mode

A communications protocol for transmission of data, voice, audio, video, and frame relay traffic in real time.


attribute

attribute n.

An element of additional information.


authentication

authentication n.

A process used to verify the integrity of transmitted data such as a user’s logon information.


Authenticode

Authenticode n.

A security feature of Microsoft Internet Explorer (IE) that allows vendors to distribute downloadable executable code and attach a digital certificate of authenticity. The certificate assures the recipient that the code is unaltered and from the original developer.


backbone

backbone n.

A network of communication transmission that carries major traffic between smaller networks.


bandwidth

bandwidth n.

The capacity of the transmission medium stated in bits per second (bps) or as a frequency (Hz). Generally, a higher bandwidth number indicates faster data-transfer capability.


baud

baud n.

Roughly the speed at which a modem transfers data. One baud is approximately equal to one bps, although baud rate and bps are not always synonymous. Bps is usually a more accurate measure of modem speed.


BBS

BBS n.

Acronym for: Bulletin Board System

A shared file system where users can enter or post information for other users to read or download. Many bulletin boards are set up according to a particular topic of interest.


bit

bit n.

A binary digit, the basic unit of computer storage. A bit may have a value of either zero or one. All computer information is ultimately represented as bits in computer storage, whether the storage is disk storage or memory storage.


block

block n.

A sequence of continuous data characters or bytes transmitted as a unit.


block length

block length n.

The length of a block of data in bytes. Typical block length ranges are from 512 bytes to 4,096 kilobytes (KB).


block mode

block mode n.

A mode of terminal operation in which data is edited within the terminal before it is transferred as a block to the host computer.

See also character mode


block size

block size n.

The declared size of a block of data that is transferred via FTP, modem or within a computer.


block transfer

block transfer n.

The movement of data in discrete blocks.


bot

bot n.

Short for: robot

A program that performs a repetitive or time consuming task.


bps

bps n.

Acronym for: Bits Per Second

The speed at which data bits are transmitted over a communications medium, such as a transmission wire or a modem. Common PC modem speeds are 28.8 (28,800) and 14.4 (14,400) bps.


BRI

BRI n.

Acronym for: Basic Rate Interface

An ISDN subscriber service that uses two B (64 Kbps) channels and one D (64 Kbps) channel to transmit voice, video, and data signals.


browser

browser n.

A program that interprets hypertext markup language (HTML) and displays information on a computer screen. Using a browser, a person can read hypertext and view graphical images. A person uses a browser to view the contents of network nodes and to navigate among nodes. Popular examples include Microsoft Internet Explorer and Netscape Navigator.


bulletin board system

bulletin board system n.

See BBS


byte

byte n.

Short for: binary term

A unit of data, typically consisting of 8 bits.


cache

cache n.

Usually a temporary local store for information, a special memory subsystem where frequently used data values are copied and stored for quick access.


CGI

CGI n.

Acronym for: Common Gateway Interface

A server-side interface for initiating software services. A set of interfaces that describe how a Web server communicates with software on the same computer. Any software can be a CGI program if it handles input and output according to the CGI standard.

See also gateway and server


character mode

character mode n.

A mode of terminal operation in which data is transferred to the host a line at a time.

Compare block mode


CICS

CICS n.

Acronym for: Customer Information Control System

An application subsystem used for transaction processing. This is a very popular subsystem which is available on UNIX systems as well.


class

class n.

A generalized category in object-oriented programming that describes a group of more specific items called objects. A class provides a template for defining the behavior of a particular type of object. Objects of a given class are identical to each other in form and behavior. A class is a descriptive tool used in a program to define a set of attributes or services that characterize any member (object) of the class. Program classes are comparable in concept to how people organize information – one familiar example being the categories animal, vegetable, and mineral, which define elements of the physical world.


class library

class library n.

A collection of one or more classes that programmers use to implement functionality.


class object

class object n.

A member object within a class.


client

client n.

A program that facilitates a connection to server computers and manages and presents information retrieved form those sources. In a client/server environment, the workstation is usually the client computer. In referring to COM objects, an object that requests services from another object.

See also container application


Client/Server

Client/Server n.

A model of computing whereby client applications running on a desktop or personal computer access information on remote servers or host computers. The client portion of the application is typically optimized for user interaction, whereas the server portion provides the centralized, multi-user functionality.


COM

COM n.

Acronym for: Component Object Model

The object-oriented programming model that defines how objects interact within a single application or between applications. In COM, client software accesses an object through a pointer to an interface – a related set of functions called methods – on the object.


communications protocol

communications protocol n.

A set of rules or standards designed to enable computers to connect with one another and to exchange information with as few errors as possible. Some communication protocols contain other protocols, such as hardware protocols and file transfer protocols. Examples include HTTP, TCP/IP, and SNA.


compound document

compound document n.

An electronic document that contains data in different formats created by different applications. Compound documents are created in a container application, such as Microsoft Word, and information from another application, such as a spreadsheet from Microsoft Excel, a sound clip, or a bitmap, is either embedded in or linked to the container application.


container application

container application n.

An application that supports compound documents or components. A container application provides storage for the embedded object, a site for display, access to the display site, and an advisory sink for receiving notification of changes in the object. Microsoft Word and Microsoft Internet Explorer are both examples of a container application.


control

control n.

In a graphical user interface, an object on the screen that can be manipulated by a user to perform an action. Perhaps the most common controls are buttons that a user can click to select an option, and scroll bars that a user employs to move through a document of position text in a window.

See also ActiveX control


CORBA

CORBA n.

Acronym for: Common Object Request Broker Architecture

An Object Management Group specification for the interface definition between OMG-compliant objects.


CPI-C

CPI-C n.

Acronym for: Common Programming Interface for Communications

An SAA-compliant API that uses SNA Logical Unit 2.6 for communications.


CRC

CRC n.

Acronym for: Cyclical Redundancy Check

A procedure used for checking errors in data transmission that uses a complex calculation to generate a number based on the data transmitted The number is generated and sent by the sending device. The receiving device performs the same calculation and compares the resulting value with the number sent with the data to determine data validity. Communication protocols such as XModem and Kermit use cyclical redundancy checking.


CUT mode

CUT mode n.

Acronym for: Control Unit Terminal mode

A mode that allows a 3270 terminal to have a single session with the mainframe.

Compare DFT mode


data compression

data compression n.

A method for reducing the amount of space or bandwidth needed to transmit a block of data.


data link layer

data link layer n.

The second layer in the ISO/OSI reference model. The focus of this layer is on the coding, addressing and transmitting of information and is the lowest of the three layers involved in actually moving data between devices.

See also ISO/OSI reference model


data transfer

data transfer n.

The movement of information from one location to another. The transfer can occur within the same computer, between two separate computers, or between a computer and an external device such as a file server.


DCOM

DCOM n.

Acronym for: Distributed Component Object Model

Additions to the Component Object Model (COM) that facilitate the transparent distribution of objects over networks and over the Internet. DCOM is part of the specification managed by The Open Group for deployment across heterogeneous platforms.

See also COM


DDE

DDE n.

Acronym for: Dynamic Data Exchange

A protocol for data exchange between Microsoft Windows applications that allows them to request and exchange data automatically.


DFT mode

DFT mode n.

Acronym for: Distributed Function Terminal mode

A mode that allows a 3270 terminal to have five concurrent coax sessions with an IBM mainframe.

Compare CUT mode


DHCP

DHCP n.

Acronym for: Dynamic Host Configuration Protocol

A TCP/IP protocol that enables a network connected to the Internet to assign a temporary IP address to a host automatically when the host connects to the network.


dial-up line

dial-up line n.

A communications connection that is established with the public switched telephone dial network.


digital

digital adj.

The representation of data with numbers typically by computers.


Digital Subscriber Line

Digital Subscriber Line n.

See DSL


distributed processing

distributed processing n.

The physical or logical distribution of software components, processing, data, and management of application software.


DLC

DLC n.

Acronym for: Data Link Control

An error correction protocol in the Systems Network Architecture (SNA) that is responsible for transmission of data between two nodes over a physical link.


DLL

DLL n.

Acronym for: Dynamic Link Library

A feature of the Microsoft Windows family of operating systems that supports executable routines¯usually serving a specific function or set of functions¯to be stored separately as files with the extension .dll, and to be loaded only when called by the program that needs them. This saves memory during program execution and enables code reusability.


DNS

DNS n.

Acronym for: Domain Name System

The naming system developed for Internet hosts such that a text domain name entered into a browser screen is translated into a numerical IP address used to locate the host. The DNS names consist of a first or top level domain identifier (such as .com, .edu, .gov, .org, and .net), a second-level domain identifier (the site name of a business or organization), and one or more subdomains identifying second level servers within the top level domain.


domain

domain n.

A logical classifications system used on the Internet to group or organize the various hosts. For example, the domain for hosts that are operated or controlled by a government entity typically are identified with ".gov" in the domain name.


dongle

dongle n.

Any physical device used to prevent access to a computer system.


DSL

DSL n.

Acronym for: Digital Subscriber Line

A digital communications technology that provides high-speed transmissions over standard copper telephone lines. Several variations of DSL exist: ADSL, DSL Lite, HDSL, RADSL, SDSL, VDSL.


EBCDIC

EBCDIC n.

Acronym for: Extended Binary Coded Decimal Interchange Code

A code developed by IBM that uses 8 bits to represent 256 possible characters.

Compare ASCII


EEHLLAPI

EEHLLAPI n.

Acronym for: Entry Emulator High-Level Language Application Program Interface

A subset of IBM’s HLLAPI function set, a programming interface that allows a PC application to communicate with a mainframe application.

See EHLLAPI


EHLLAPI

EHLLAPI n.

Acronym for: Emulator High Level Language Application Program Interface

Originally developed by IBM for its PC/3270 product, EHLLAPI has become the industry standard for API automation of 3270 transactions. EHLLAPI is the successor to HLLAPI.


emulate

emulate vb.

To behave in the same manner as another. Specifically in the field of computers, when a hardware device such as a PC, functions as another hardware device does through the use of a software program.


enquiry character

enquiry character n.

Abbreviated: ENQ

A control code transmitted from one station to request a response from the receiving station.


escape sequence

escape sequence n.

A character string beginning with the ESC character (ASCII 27, hexadecimal 1B). Such strings constitute a command to perform some action. Escape sequences are sent to the terminal from the host, or entered through the keyboard.

See control function


event

event n.

Any action, often generated by a user or an ActiveX Control, to which a program might respond. Typical events include pressing a keyboard key, choosing a button using a mouse click, and other mouse actions. Programmers write code to respond to these actions.


extended ASCII

extended ASCII n.

The set of characters assigned to the ASCII values between decimal 128 and 255 (hexadecimal 80 through FF). The specific set of characters is dependent on the particular computer, program, font or graphic character.


FAQ

FAQ n.

Acronym for: Frequently Asked Question

Usually a document that contains questions and answers which address specific topics or issues. A visitor can find a FAQ on most every Web site. A FAQ serves to introduce a visitor to the topic or subject of the Web site and to offer general guidelines about how to best use the site.


FDDI

FDDI n.

Acronym for: Fiber Distributed Data Interface

An emerging standard for network data transfer based on fiber optic technology, established by the American National Standards Institute (ANSI). FDDI specifies a 100-million bit per second (Mbps) data rate. The access control mechanism for this interface uses token ring¯a network formed in a close loop (ring)- technology.


file server

file server n.

A computer that contains disk files available to all users connected to a local-area network (LAN). In some LANs, a microcomputer is designated as the file server, while in others it is a computer with a large disk drive and specialized software. Some file servers also offer other resources, such as a gateway and protocol conversion.


File Transfer Protocol

File Transfer Protocol n.

See FTP


firewall

firewall n.

A security mechanism¯such as FutureSoft’s Firewall Plus¯that provides Internet access from desktops inside an organization, while at the same time preventing access to the corporate LAN by outside Internet users.

See also proxy server


flat address space

flat address space n.

A computer memory scheme where each location in memory is identified with a unique number.


flow control

flow control n.

The orderly regulation of data received by a receiving entity. Special characters or control signals at the RS232 interface are used to control the data flow.


frame

frame n.

In synchronous communications, a package of information transmitted as a single unit. Each packet is organized with the same basic structure that starts with a preamble bit pattern, ends with a postamble bit pattern, and contains control information as well as data.


FTP

FTP n.

Acronym for: File Transfer Protocol

The Internet standard high-speed protocol for downloading or transferring files from one computer to another using TCP/IP. Files transferred with this protocol are typically large and may take a long time to transfer. The protocol also includes commands to perform common file management functions such as listing directories and directory contents.


FTP client

FTP client n.

A program that uses FTP (File Transfer Protocol) used on a local computer to get or send files with an FTP site over a network.


FTP server

FTP server n.

A file server that allows the sending and receiving of files by users.


full duplex

full duplex n.

Two way electronic communications that carries information in both directions at the same time.


full path

full path n.

A complete listing of all directories and components for a pathname in a hierarchical file system.


function

function n.

The action or performance of a program or routine. Often, the term refers to a subroutine or statement that returns values.


gateway

gateway n.

Conversion software that integrates dissimilar entities such as network protocols, software object models, or data storage devices.


GDI

GDI n.

Acronym for: Graphical Device Interface

A graphics display system used by applications to display or print bitmapped text, images, and other graphical elements.


gigabyte

gigabyte n.

Acronym: GB

1,024 megabytes.


gopher

gopher n.

An Internet protocol and software program designed to search for, retrieve, and display documents from remote computers or sites. Gopher clients are used to connect to remote Gopher servers. Interaction is typically carried out through a menu hierarchy. Gopher was created by a development team at the University of Minnesota and is named after that school’s mascot.


GUI

GUI n.

Acronym for: Graphical User Interface

A user interface that displays graphics and characters and that provides an event model for users to control the operating environment.


half-duplex

half-duplex n.

Two way electronic communication that takes place in only one direction at a time.


HDSL

HDSL n.

Acronym for: High-bit-rate Digital Subscriber Line

A high-speed digital communications technology over standard copper phone lines at rates of 1.544 Mbps in both directions.


hexidecimal

hexidecimal n.

A number system that is based on the number sixteen (binary is based on the number two, and decimal is based on the number ten).

In computers, everything (even alphabetic characters, large integers, or fractional numbers) is represented in the binary number system (a series of ones and zeros). Since a hexadecimal representation of a value is easily converted to a binary representation, and vice versa, hexadecimal numbers are shorthand for binary numbers.

The digits in the binary number system, or base 2, are:
{0, 2}

The digits in the decimal number system, or base 10, are:
{0, 1, 2, 3, 4, 5, 6, 7, 8, 9)

The digits in the hexadecimal number system, or base 16, are:
{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, F}


HLLAPI

HLLAPI n.

Acronym for: High Level Language Application Program Interface

An IBM programming interface that allows a PC application to communicate with a mainframe application. Succeeded by EEHLLAPI.


host

host n.

A computer that provides services to remote computers or users.


hot link

hot link n.

A connection to a document or other file on the Internet that generally appears as a highlighted word or image on the screen. Also called hypertext link or link.


hotspots

hotspots n.

An area of the screen that can be activated with a mouse to send commands to the host.


HTML

HTML n.

Acronym for: Hypertext Markup Language

A tag-based notation language used to format documents that can then be interpreted and rendered by an Internet browser, usually on the World Wide Web, but that can also be rendered on a local computer or internal network by a browser.


HTTP

HTTP n.

Acronym for: Hypertext Transfer Protocol

A basic communication protocol for Internet or Web server file input and output.


hypertext

hypertext n.

Electronic text documents that are associated through the use of hot links. The user can browse through related topics in a nonlinear structure.


IDSL

IDSL n.

Acronym for: Internet Digital Subscriber Line

A high-speed digital communications technology over standard copper phone lines providing Internet access at up to 1.1 Mbps.


IND$FILE

IND$FILE n.

An IBM mainframe program that transfers files between the mainframe and a PC functioning as a 3270 terminal.


inheritance

inheritance n.

In object-oriented programming, the transfer of the characteristics of an object class to a second object class that is derived from the first class.


instance

instance n.

An object for which memory is allocated or persistent.


instruction set

instruction set n.

The group or set of instructions that a particular machine recognizes and is capable of executing.


interface

interface n.

1 The point at which a connection is made between two elements so that they can work with one another. In computing, different types of interfaces occur on different levels, ranging from highly visible user interfaces to often invisible yet necessary interfaces that connect devices and components. A developer activates an interface using programming language commands.

2 A group of related functions that provide access to COM objects. The set of interfaces defines a contract that allows objects to interact according to the Component Object Model (COM).


internet

internet n.

A set of dissimilar computer networks that are joined together by gateways that handle data transfer and the conversion of messages from the sending network to the protocols used by the receiving networks.


Internet

Internet n.

The world-wide collection of networks and gateways that uses the TCP/IP suite of protocols to communicate with one another.


intranet

intranet n.

Use of Internet standards, technologies, and products within an enterprise to function as a collaborative processing infrastructure. The term intranet is generally used to describe the application of Internet technologies on internal corporate networks.


IP

IP n.

Acronym for: Internet Protocol

The packet-switching protocol for network communications between Internet host computers.


IP address

IP address n.

A 32-bit address that identifies the network and host in a network.


IPX

IPX n.

Acronym for: Internetwork Packet Exchange

The Novell Netware protocol for addressing and routing packets between local area networks (LANs).


IPX/SPX

IPX/SPX n.

Acronym for: Internetwork Packet Exchange/Sequenced Packet Exchange

The Novell Netware network and transport protocols for addressing and routing packets (IPX) and ensuring their correct delivery (SPX) between local area networks (LANs).


ISDN

ISDN n.

Acronym for: Integrated Services Digital Network

An emerging technology that is beginning to be offered by most telephone service providers as a faster alternative to traditional modems. ISDN combines voice and digital network services in a single medium, making it possible to offer telephone customers digital data service and voice connection through a single "wire."


ISO/OSI reference model

ISO/OSI reference model n.

Acronym for: International Organization for Standardization/Open Systems Interconnection reference model

A layered architecture that standardizes seven levels of service and types of interaction for computers exchanging information through a communications network. Each succeeding layer builds on and relies on the prior level(s) standards.


ISP

ISP n.

Acronym for: Internet Service Provider

A business that provides access to the Internet for individuals, businesses, and other organizations.


Java

Java n.

An object-oriented programming language developed by Sun Microsystems. Java was designed to run on any platform through the compilation of Java programs into bytecode which is not reliant on platform-specific instructions. Java runs on a computer in a special software environment known as a virtual machine.


JavaBean

JavaBean n.

An independent code segment that can be combined with other JavaBean components to create a Java applet or application.


JavaScript

JavaScript n.

A scripting language that evolved from Netscape’s LiveScript language and was made more compatible with Java. It uses an HTML page as its interface and is considered easier to write than Java.

See also JScript


JDBC

JDBC n.

Acronym for: Java Database Connectivity

Data access interfaces based on ODBC for use with the Java language.


Jet

Jet n.

A Microsoft desktop database engine available in most of Microsoft’s development tools and office products, including Microsoft Access, Microsoft Office, and Microsoft Visual Basic.


JPEG

JPEG n.

Acronym for: Joint Photographic Experts Group

A widely accepted international standard for compression of color image files, sometimes used on the Internet.


JScript

JScript n.

The Microsoft open implementation of JavaScript. JScript is fully compatible with JavaScript in Netscape Navigator, version 2.0.


Kb

Kb n.

See kilobit


KB

KB n.

See kilobyte


Kerberos

Kerberos n.

The basis of most of the distributed computing environment (DCE) security services. Kerberos provides the secure use of distributed software components.


Kermit

Kermit n.

A file transfer protocol used in asynchronous communications between computers.

Compare XModem, YModem, ZModem.


kilobit

kilobit n.

A data unit equal to 1,024 bits.

Abbreviated Kb or Kbit.


kilobyte

kilobyte n.

A data unit of 1,024 bytes.

Abbreviated K, KB, or Kbyte.


label

label n.

An identifier. A label can be a word, symbol, or other group of characters and is used to identify hardware or software devices or items.


LAN

LAN n.

Acronym for: Local Area Network

A connection among a set of computers, printers, and other like devices, in a relatively limited physical area. Each device on a LAN is called a node. Nodes are connected to one another with cables. The cables carry messages from one device to another. Computers connected to a LAN can generally share applications or files from a local file server and may be able to connect to other LANs or to the Internet using routers.


latency

latency n.

The time required for a signal to travel from one point to another on a network.


link

link n.

1 A circuit or transmission path between a sender and a receiver.

2 A selection of text or graphics that sends the user to a new location in a document or network when clicked on with a pointing device.


lock

lock n.

A software program or hardware device that prevents access to or modification of a software program or hardware device.

See also dongle.


lockout

lockout n.

Denying access to a resource such as a file, directory or program.


log

log n.

A record of transactions that take place on a computer system. A log can include transaction information only, data only or both.


log in

log in vb.

See log on


log off

log off vb.

To end a session with a computer by entering a command to terminate the session.


log on

log on vb.

To enter a code or set of codes to gain access to a computer or network.


log out

log out vb.

See logout


login

login n.

See logon


logoff

logoff n.

The process of ending a session with a computer.


logon

logon n.

A name or identifier that a user enters to gain access to a computer or network.


logout

logout n.

See logoff


macro

macro n.

A set of keystrokes and instructions recorded and saved under a short key code or macro name. The instructions in the macro are executed when the macro name is entered at a command prompt or the key code is used.


MAPI

MAPI n.

Acronym for: Messaging Applications Programming Interface

An open and comprehensive messaging interface used by programmers to create messaging and workgroup applications-such as electronic mail, scheduling, calendaring, and document management. In a distrubted cline/server environment, MAPI provides enterprise messaging services within WOSA.


mark

mark n.

In digital transmission, the state of a communications line (positive or negative) corresponding to a binary 1.


MDI

MDI n.

Acronym for: Multiple-Document Interface

A user interface in an application that allows the user to have more than one document open at the same time.


megabit

megabit n.

Abbreviation: Mb

Usually 1,048,576 bits.


megabyte

megabyte n.

Abbreviation: MB

Usually 1,048,576 bytes.


metacharacter

metacharacter n.

A character embedded in a program source or a data stream that conveys information about other characters.


meta key

meta key n.

A textual representation of a keyboard function. For example {Enter} is a meta key reference for the Enter key. Meta keys are emulation specific.


metatag

metatag or meta tag n.

A tag or code in an HTML or XML document that is used to include notational information. Information in a metatag is not processed but simply used for identification or description and is displayed only through the Markup Language editor.


method

method n.

A process performed by an object when it receives a message.


middleware

middleware n.

Network-aware system software, layered between an application, the operating system, and the network transport layers, whose purpose is to facilitate some aspect of cooperative processing. Examples of middleware include directory services, message-passing mechanisms, distributed TP monitors, object request brokers, remote procedure call (RPC) services, and database gateways.


MIME

MIME n.

Acronym for: Multipurpose Internet Mail Extension

A protocol widely used on the Internet that extends the SMTP (Simple Mail Transfer Protocol) to permit data, such as video, sound, and binary files, to be transmitted by Internet e-mail without having to be translated into ASCII format first.


mode

mode n.

The operational or functional state of a computer or computer program.


modem

modem n.

A communications device that enables a computer to transmit information over a telephone line. A modem has both hardware and software components that convert the digital signal from a computer into an analog signal that is then carried over a telephone line.


multitasking

multitasking n.

The ability to simultaneously execute multiple applications within an operating system.


multithreading

multithreading n.

Running several processes in rapid sequence within a single program.


NAK

NAK n.

Acronym for: Negative Acknowledgment

A control code transmitted to a sending station or computer by the receiving unit as a signal that transmitted information has arrived incorrectly. ASCII character 21; Hexidecimal 15.


Navigator

Navigator n.

See Netscape Navigator


Netscape Navigator

Netscape Navigator n.

A family of Web browser programs made by Netscape Corporation.


NetWare for SAA

NetWare for SAA n.

Novell gateway package for connecting NetWare networks to various machines that support IBM’s SNA, including AS/400s, 3090s, and 370s.


network protocol

network protocol n.

A set of rules and parameters that define and enable communication through a network.


newline character

newline character n.

A control character that causes the cursor on a display of the printing mechanism on a printer to move to the beginning of the next line.


nibble

nibble n.

Half a byte (4 bits).


node

node n.

A device connected to a network that is capable of communicating with other network devices.


NUL

NUL n.

A character that means "nothing". A NUL character displays nothing and causes no specific action to take place. ASCII character 0, Hexidecimal 00.


Number: 400

HTTP status code – Bad Request.

Indicates that a client request cannot be completed because the syntax of the request is incorrect.


Number: 401

HTTP status code – Unauthorized.

Indicates that a client request cannot be completed because the transaction did not supply a required Authorization header.


Number: 402

HTTP status code – Payment Required.

Indicates that a client request cannot be completed because the transaction did not supply a ChargeTo header.


Number: 403

HTTP status code – Forbidden.

Indicates that a client request cannot be completed because access is restricted.


Number: 404

HTTP status code – Not Found.

Indicates that a client request cannot be completed because the server is unable to find an address that matches the URL requested.


Number: 3270

A family of IBM products (display terminals, printers, and control units) that communicate to IBM mainframes.

See TN3270


Number: 3287 printer support

A feature of TN3270E that allows for network addressable LUs and explicit printer support for LU1 and LU3 and provides end-to-end printer acknowledgment.


object

object n.

A variable comprising both routines and data that is treated as a discrete entity. An object is based on a specific model, where a client using an object’s services gains access to the object’s data through an interface consisting of a set of methods or related functions. The client can then call these methods to perform desired operations.


object model

object model n.

The structural foundation for an object-oriented design or application.


object-oriented

object-oriented n.

Being a system or language that supports the use of objects.


octal

octal n.

The base-8 number system consisting of the digits 0 through 7. The octal system is used in programming as a compact means of representing binary numbers.


OCX

OCX n.

Short for OLE custom control. A software module based on OLE and COM technologies that produces a control that adds some desired feature to the application.


ODBC

ODBC n.

Acronym for: Open DataBase Connectivity

An interface providing a common language for Windows applications to gain access to a database on a network.


OLE

OLE n.

Acronym for: Object Linking and Embedding

A technology for transferring and sharing information among applications. When an object is linked to a compound document, a reference to the original object is created such that if the original object is modified, the document will also reflect the changes. When an object is embedded in a compound document, a static copy of the original object is placed in the document. Changes to the original object is not reflected in the compound document copy.


packet

packet n.

A group of bits that includes data plus control information. A packet is transmitted as a whole from one device to another on a network.


packet filtering

packet filtering n.

The process of controlling network access based on IP addresses. Firewalls often incorporate filters that allow or deny entry to a local area network or accept or reject packets, such as e-mail, based on the origin of the packet.


packet header

packet header n.

The portion of a data packet that precedes the body. The header contains data that identifies the source and destination of the packet as well as control and timing information.


packet switching

packet switching n.

A method of transmitting messages through a communication network, in which long messages are subdivided into short packets. Each packet may travel a different path and arrive "out of order". The receiving computer reassembles the packets in the correct order.


parameter

parameter n.

A value given to a variable in a program that remains constant until the value is replaced or the operation ends.


parity

parity n.

An error checking procedure in which a parity bit (0 or 1) is appended to the end of a block of data such that the number of 1s in the data block has an even number of 1s (even parity) or an odd number of 1s (odd parity). The receiving party then uses the parity bit to determine if the received data equals or is the same as the data sent. This method of error checking is useful for determining single or odd number of bit transmission errors. However, if an even number of bits is inverted due to error, an undetected error occurs. In typical modem-to-modem communications, parity is one parameter that must be agreed upon by both the sending and receiving modems before transmission can be started.


parity bit

parity bit n.

An extra bit used to check for errors in data transmission between computers.


parity check

parity check n.

The use of parity to check the accuracy of transmitted data.


parity error

parity error n.

An error in parity that indicates an error in transmitted data. Either all or part of the message must be retransmitted.


path

path n.

In file storage, the route followed through the directories in finding, sorting, and retrieving files in a structured collection of information, such as a database, a program, or files stored on disk.


pathname

pathname n.

In a hierarchical filing system, a listing of the directories or folders that lead from the current directory to a file.


PEM

PEM n.

See Privacy-Enhanced Mail


PGP

PGP n.

Acronym for: Pretty Good Privacy

A program for public key encryption, using the RSA algorithm, developed by Philip Zimmermann.


physical layer

physical layer n.

The first, or lowest, of the seven layers in the ISO/OSI reference model for standardizing computer to computer communication. The physical layer is totally hardware-oriented and deals with all aspects of establishing and maintaining a physical link between communicating computers.


ping

ping n.

Acronym for: Packet Internet Groper

A protocol for testing whether a particular computer is connected to the Internet by sending a packet to its IP address and waiting for a response.


pixel

pixel n.

A picture element. The smallest spot on a monitor screen.

Regarding characters in a session window: Generally, a character that is a number of pixels wide and high will appear larger on a monitor with a lower resolution (for instance, 640 by 480) than on the same monitor with a higher resolution (for instance, 800 by 600), since the pixels of the lower resolution screen are larger than the pixels of the higher resolution screen.


Point-to-Point Protocol

Point-to-Point Protocol n.

See PPP


point-to-point tunneling

point-to-point tunneling n.

A means of setting up secure communications over an open, public network such as the Internet.

See also PPTP


Point-to-Point Tunneling Protocol

Point-to-Point Tunneling Protocol n.

See PPTP


POP

POP n.

Acronym for: Post Office Protocol

A protocol for servers on the Internet that receive, store, and transmit e-mail and for clients on computers that connect to the servers to download and upload e-mail. POP uses the SMTP message format protocol.


POP3

POP3 n.

Acronym for: Post Office Protocol 3

The current version of the messaging protocol commonly used on the Internet.

See also POP


port

port n.

An interface on a computer configured as data terminal equipment and capable of having a modem attached for communication with a remote data terminal.


port number

port number n.

A number that enables IP packets to be sent to a particular process on a computer connected to the Internet.


PPP

PPP n.

Acronym for: Point-to-Point Protocol

Defines how data packets are exchanged with other Internet-based systems using a modem connection. PPP can provide router-to-router and host-to-network connections over both synchronous and asynchronous circuits.


PPTP

PPTP n.

Acronym for: Point-to-Point Tunneling Protocol

An extension of the Point-to-Point Protocol used for communications on the Internet. PPTP works over a local call to an Internet Service Provider to gain secure access to the corporate network using the Internet. PPTP, an open, industry standard, supports the most prevalent networking protocols—IP, IPX, and NetBEUI. Companies can use PPTP to out source their remote dial-up needs to an Internet service provider or other carrier to reduce cost and complexity.


presentation layer

presentation layer n.

The sixth of seven layers in the ISO/OSI reference model. This layer standardizes formatting information so that it can be displayed or printed.

See also ISO/OSI reference model


Pretty Good Privacy

Pretty Good Privacy n.

See PGP


PRI

PRI n.

Acronym for: Primary Rate Interface

One of two ISDN transmission rate services. The first service operates at 1.536 Mbps, transmits data over 23 B channels and sends signaling information at 64 Kbps over one D channel in the United States, Canada, and Japan. The second service operates at 1.984 Mbps, transmits data over 30 B channels and sends signaling information at 64 Kbps over one D channel in Europe and Australia.


Primary Rate Interface

Primary Rate Interface n.

See PRI


Privacy Enhanced Mail

Privacy Enhanced Mail n.

Acronym: PEM

An Internet standard for e-mail systems that use encryption techniques to ensure the privacy and security of messages.

Compare with PGP


private key

private key n.

One of two keys used in public key encryption. The user keeps the private key secret and uses it to encrypt digital signatures and to decrypt received messages.


property

property n.

A characteristic of an object or device.


protocol

protocol n.

A mutually determined set of formats and procedures for the exchange of information between computers.


proxy

proxy n.

A computer that acts as a go-between or barrier between a network and the Internet by presenting only a single network address to external sites.


proxy server

proxy server n.

A go-between computer that converts information from Web servers into HTML to be delivered to a client computer. Also, a firewall component that manages Internet traffic to and from a secure local area network.


public key

public key n.

One of two keys used in public key encryption. A user provides the public key to others who then use the key for encrypting messages to be sent to the user and for decrypting the user’s digital signature.


public key encryption

public key encryption n.

An asymmetric scheme that uses a pair of keys for encryption. One key in the pair is used to encrypt data and the second key is used to decrypt the data.


quadbit

quadbit n.

A set of 4 bits representing one of 16 possible combinations. In communications, quadbits are a means of increasing transmission rates by encoding 4 bits at a time, instead of 1 or 2. The 16 quadbits are 0000, 0001, 0010, 0011, 0100, 0101, 0110, 0111, 1000, 1001, 1010, 1011, 1100, 1101, 1110, and 1111.


RADSL

RADSL n.

Acronym for: Rate-adaptive Asymmetric Digital Subscriber Line

A high-speed digital communications technology over standard copper phone lines capable of adjusting transmission speed based on signal quality and length of the transmission line.


RARP

RARP n.

Acronym for: Reverse Address Resolution Protocol

A TCP/IP protocol for determining the IP address of a node on a local area network connected to the Internet, when only the hardware address is known.


Real-Time Protocol

Real-Time Protocol n.

Acronym: RTP

An Internet-standard network transport protocol used in delivering real-time data, including audio and video.


relative URL

relative URL n.

Short for: relative uniform resource locator.

A form of URL in which the domain and some or all directory names are omitted. Only the document name and extension are provided for the file which is found in a location relative to the pathname of the current document.

Acronym: RELURL


remote

remote adj.

Not in the immediate area but rather some distance away.


remote access

remote access n.

The use of a remote computer.


Remote Access Service

Remote Access Service n.

Acronym: RAS

Windows software that allows a user to gain access to a network server through the use of a modem.


remote administration

remote administration n.

The performance of system administration duties and functions from a remote computer or network.


remote login

remote login n.

The act of logging into a computer not in the immediate area through a local computer. After performing the login, the user’s local computer acts like a terminal connected to the remote system.


remote system

remote system n.

The computer accessed via modem by a remote user.


remote terminal

remote terminal n.

The terminal accessing a computer system that is remote to the terminal.


rename

rename n.

A command in most file transfer protocol (FTP) clients that assigns a new name to a file or files.


router

router n.

An intermediary device on a communications network responsible for making decisions about which of several paths upon which message traffic will flow on a network or the Internet. To do this, it uses a routing protocol to gather information about the network, and algorithms to choose the best route based on several criteria called routing metrics.


RTS

RTS n.

Acronym for: Request to Send

The signal sent from a computer to a modem that requests permission to transmit. RTS is a hardware signal sent over pin 4 in RS-232-C connections.


RXD

RXD n.

Short for: Receive (x) Data

A line used to carry received serial data from one device to another, such as from a modem to a computer. The RXD line is pin 3 in RS-232-C connections.


S/MIME

S/MIME n.

Acronym for: Secure/Multipurpose Internet Mail Extensions

An Internet e-mail security-oriented protocol that adds public key encryption and support for digital signatures to the widely used MIME e-mail protocol.


scalability

scalability n.

The capability to use the same software environment on many classes of computers and hardware configurations. While often associated with an evolution to large systems, larger organizations often have need for the same software service to be provided with good performance to both small and large groups of users.


script

script n.

A program that consists of a set of instructions for an application or utility program. Typically a user created program that runs within an application. Scripts can be part of communications software to automate certain procedures, such as modem initialization, dialing, and host user log-on procedures.


scripting language

scripting language n.

A programming language that is typically associated with a specific application and is used to automate application tasks and functions.


SDK

SDK n.

Acronym for: software development kit

A set of programs or utilities designed for use by software developers (programmers) to more quickly and easily write programs for an application, user interface, operating system or programming language.


SDLC

SDLC n.

Acronym for: Synchronous Data Link Control

The data transmission protocol most often used by SNA (Systems Network Architecture) networks.


SDSL

SDSL n.

Acronym for: Symmetric Digital Subscriber Line

A high-speed digital communications technology over one pair of copper wire at rates of 1.544 Mbps in both directions.


second-level domain

second-level domain n.

The level immediately below the top level in the Internet domain system.


secondary service provider

secondary service provider n.

A company providing Internet access to customers through a connection to a primary service provider. The secondary service provider buys bandwidth from larger Internet service provider(s).


secure channel

secure channel n.

A communications connection protected from unauthorized access by encryption techniques or by isolation of the individual connection from others.


secure site

secure site n.

An Internet web site protected from unauthorized access with the use of encryption techniques, firewall software and isolation configurations.


Sequenced Packet Exchange

Sequenced Packet Exchange n.

See SPX


serial

serial n.

One at a time. For example, in serial communications, data is transferred one bit at a time.


serial communication

serial communication n.

Transferring data or messages one bit at a time over a single channel. Serial communication can be either synchronous or asynchronous.


serial interface

serial interface n.

Transmission of data in which data and control bits are sent sequentially over a single channel.


Serial Line Internet Protocol

Serial Line Internet Protocol n.

See SLIP


server

server n.

A computer or software package that provides a particular service to network users. Some examples are mail servers that route messages and Internet servers that handle communications with the Internet and World Wide Web.


service provider

service provider n.

See ISP


session

session n.

A discrete instance of two computers maintaining a single connection. For example, when you start DCS on your local computer and connect to a host a session is established.


SGML

SGML n.

Acronym for: Standard Generalized Markup Language

An original documentation markup standard promulgated by primary defense contractors as a standard for the development and display of documentation. HTML is a subset of SGML.


signature

signature n.

A unique number built into hardware or software for authentication purposes.


Simple Mail Transfer Protocol

Simple Mail Transfer Protocol n.

See SMTP


SLIP

SLIP n.

Acronym for: Serial Line Internet Protocol

A data link protocol used to transfer TCP/IP data packets over serial lines such as telephone circuits or RS-232 cables interconnecting two systems. SLIP is being replaced by PPP.


SMP

SMP n.

Acronym for: Symmetric Multiprocessing

A multiprocessor architecture in which all processors are identical, share memory, ad execute both user code and operating system code.


SMTP

SMTP n.

Acronym for: Simple Mail Transfer Protocol

A TCP/IP protocol for sending messages from one computer to another on a network.


SNA

SNA n.

Acronym for: Systems Network Architecture

A widely used communications framework developed by IBM to define network functions and to establish standards for enabling its different models of computers to exchange and process data. SNA contains separate layers. As changes occur in one layer, no other layer need be changed. An IBM-developed layered network architecture that isolates applications from system network services, so developers can write applications independent of the lower-level networking software layers.


SNMP

SNMP n.

Acronym for: Simple Network Management Protocol

The TCP/IP protocol for network management which uses agents (hardware or software) to monitor and report network device activity. The device information is stored in a structure called a management information block.


socket

socket n.

An identifier consisting of a node address and a port number for a service on a node on a network.


SPX

SPX n.

Acronym for: Sequenced Packet Exchange

Novell’s proprietary protocol suite, the native transport that allows a session with a NetWare server.


SSL

SSL n.

Acronym for: Secure Sockets Layer

The Netscape protocol for providing security in Internet communications. It uses public key encryption, including digital certificates and digital signatures, to pass data between a browser and a server.


standard ASCII

standard ASCII n.

The set of characters assigned to ASCII values between decimal 0 and 127 (hexadecimal 00 through 7F). These characters include the letters A through Z (uppercase and lowercase), numerals 0 through 9, and some special characters, such as colons and parentheses.


start bit

start bit n.

In asynchronous communications, the bit that signals the beginning of a character.


stop bit

stop bit n.

In asynchronous communications, the bit that signals the end of a character.


Symbol: *

1 A character used to indicate multiplication in applications and programming languages.

2 A wildcard character used to represent one or more characters.


Symbol: *.*

A file specification representing any combination of filename and extension.


Symbol: @

A character used to separate account names and domain names in Internet e-mail addresses.


Symbol: ..

Notation representing the parent directory in MS-DOS and UNIX syntax.


Symbol: //

Notation used to separate the URL protocol from the URL host machine name. Ex: http://www.futuresoft.com


Symbol: /

1 A character used to separate parts of an Internet address (URL) in Web browsers or a directory path in FTP or UNIX.

2 A character used to flag parameters in a command.


Symbol: ?

A wildcard character used to represent any other single character.


SYN

SYN n.

Short for: synchronous idle character

In synchronous communications, a character used to enable the sending and receiving devices to maintain the same timing.


sync character

sync character n.

See SYN


synchronous

synchronous n.

Occurring at the same time.


synchronous protocol

synchronous protocol n.

A set of guidelines developed to standardize synchronous communications between computers. High-level Data Link Control (HDLC) and Synchronous Data Link Control (SDLC) protocols are examples of bit-oriented synchronous protocols. Binary synchronous (BISYNC) protocol is an example of a character-oriented synchronous protocol.


synchronous transmission

synchronous transmission n.

Transferring information in blocks of bits separated by equal time intervals.


Systems Network Architecture

Systems Network Architecture n.

See SNA


T1

T1 n.

A high speed communications line originally developed by AT&T for carrying multiple voice calls (up to 24) at the same time. It is also used to transfer data (text and images) at the rate of 1.544 Mbps for Internet connections. Also called T-1 carrier.


T2

T2 n.

A high speed communications line used to transfer data at 6.312 Mbps or 96 voice channels. Also called T-2 carrier.


T3

T3 n.

A high speed communications used to transfer data (text and images) at the rate of 44.736 Mbps or 672 voice channels. Also called T-3 carrier.


T4

T4 n.

A high speed communications used to transfer data (text and images) at the rate of 274.176 Mbps or 4,032 voice channels. Also called T-4 carrier.


T-carrier

T-carrier n.

A long-distance, digital communications line used to carry voice and transfer data that was introduced by AT&T in 1993. Several capacity levels, referred to as T1, T2, T3 and T4, are available.


TCP

TCP n.

Acronym for: Transmission Control Protocol.

One of the protocols in the transport layer (layer 4) of the ISO/OSI reference model. This protocol provides a reliable transmission method that includes flow control, error control, and the exchange of status information.


TCP/IP

TCP/IP n.

Acronym for: Transmission Control Protocol/Internet Protocol.

A set of protocols for communications over interconnected networks. TCP/IP is the result of research and development conducted by the Defense Advanced Research Project Agency (DARPA) on the experimental packet-switched network ARPANET. TCP/IP has come to dominate the protocols used for data transmission over networks, in particular the Internet.


Telnet

Telnet n.

A protocol in the TCP/IP suite of protocols. This protocol, implemented in two modules, allows a user at a terminal or personal computer to log on to a remote, host computer and interact with an application as if the user were local to the host.


Terabyte

Terabyte n.

1,0099,511,627,776 bytes.

Abbreviation: TB


terminal emulation

terminal emulation n.

Imitation of a particular terminal type to effect communications with a host. Many host computers are designed to communicate with only certain kinds of terminals. Terminal emulation, effected with a software package, allows, for example, a PC to communicate with an IBM host by acting like an IBM terminal such as a TN3270 or TN5250.


transaction

transaction n.

A group of processing activities commonly associated with database management, order entry, and other online systems. Typically the group of activities are either entirely completed, or if not completed, leave the database and processing system in the same state as before the transaction started.


transfer

transfer n.

The movement of data from one location to another, either within the same computer or from one computer to another.


transfer rate

transfer rate n.

The speed at which data is moved from one location to another. Transfer rate is measured in number of units of information per unit of time, as in bits per second (bps) or characters per second (cps).


transmit

transmit vb.

To send information from one location to another over a communications line.


transport layer

transport layer n.

Layer 4 of the ISO/OSI reference model. This layer provides guidelines for quality of service and accurate delivery of information.


TXD

TXD n.

Short for: Transmit (tx) Data.

A line used to carry transmitted data from one device to another. The TXD line is pin 2 in RS-232-C connections.


UDP

UDP n.

Acronym for: User Datagram Protocol.

A transport-level protocol in the TCP/IP suite. Unlike TCP, this protocol provides a connectionless service and is therefore an unreliable service since a path between sender and receiver is not established before transmission, and verification of the delivery of messages is not done. However it is a faster service than TCP due to the low overhead.


Uniform Resource Locator

Uniform Resource Locator n.

See URL


URL

URL n.

Acronym for: Uniform Resource Locator.

An address for a site or resource on the Internet. The URL includes the protocol to use (such as, http: for a Web page or ftp: for an FTP site), and the name of the server (such as www.futuresoft.com) for the site or resource. A URL can contain more detail, such as the name of a page of hypertext, usually identified by a suffix of .html or .htm.


User Datagram Protocol

User Datagram Protocol n.

See UDP


user interface

user interface n.

Acronym: UI

The part of an application that the user interacts with to perform functions and tasks with the software.


VAX

VAX n.

Acronym for: virtual address extension

A series of 32-bit minicomputers from Digital Equipment Corporation. The VAX has a flat address space and a large instruction set.


VB

VB n.

Acronym for: Visual Basic

A high-level, visual programming version of Basic developed for building Windows-based applications.


VBA

VBA n.

Acronym for: Visual Basic for Applications

A macro-language version of Visual Basic used to program Windows 9x applications.


VBX

VBX n.

Short for: Visual Basic Extension

A reusable binary component (software module) that are designed to work specifically with Visual Basic.


VDSL

VDSL n.

Acronym for: Very high-rate Digital Subscriber Line

A high-speed digital communications technology over standard copper phone lines at rates up to 52 Mbps downstream (to the customer) but only within about 1000 feet of the central exchange.


virgule

virgule n.

The forward slash (/) character.


Visual Basic

Visual Basic n.

See VB


Visual Basic for Applications

Visual Basic for Applications n.

See VBA


VT-100, VT-200, VT-300

VT-100, VT-200, VT-300 n.

A series of asynchronous display terminals from Digital Equipment Corporation for its PDP and VAX computers. Available in text and graphics models in both monochrome and color.


WAN

WAN n.

Acronym for: Wide Area Network

A network that spans a large geographic region and uses both public and private communications to connect various LANs.


WBEM

WBEM n.

Acronym for: Web-Based Enterprise Management

A protocol that links a Web browser directly to a device or application that monitors a network.


Web-Based Application

Web-Based Application n.

A software program that uses HTTP for its core communication protocol and delivers Web-based information to the user in the HTML language.


Web-Based Enterprise Management

Web-Based Enterprise Management n.

See WBEM


Web browser

Web browser n.

A software program that reads HTTP pages over TCP/IP port 80 (Internet).


Web site

Web site n.

A collection of HTML documents served up by a Web server that comprise a company’s, user’s or organization group of web pages that share a particular association. The web pages may be contained on an individual Web server or across several Web servers.


Winsock

Winsock n.

Short for: Windows Sockets

An application programming interface (API) standard that provides a TCP/IP interface under Windows.


World Wide Web

World Wide Web n.

Acronym: World Wide Web

The network of computers and communications devices all over the world that serve up hypertext documents stored on HTTP servers. Hypertext documents are written in HTML and contain links to access other hypertext documents. The documents are viewed and manipulated through the use of a Web browser.


X.25

X.25 n.

A recommendation by the International Telecommunication Union Telecommunication Standardization Sector (ITU-T) that describes the connection between a terminal and a packet-switching network. The standard includes the physical, link, and network protocols in the interface between the computer or business machine that provides data in the form of digital signals and the equipment that provides the functions required to establish, maintain, and terminate a connection.


XModem

XModem n.

A half-duplex file transfer protocol used in asynchronous communications that transfers one file at a time in blocks of 128 bytes.


YModem

YModem n.

A half-duplex file transfer protocol based on the XModem protocol that includes the abilities to transfer multiple files, transfer in 128 and 1-kilobyte blocks, cyclical redundancy checking (CRC), and support of a block number zero used to transport the filename, data of file creation or last modification, and its length.


ZModem

ZModem n.

A full-duplex file transfer protocol based on the XModem protocol that includes the abilities to transfer multiple files, transfer in 128 and 1-kilobyte blocks, varies the block size based on the quality of the line determined by the number of retransmission requests received, and is able to restart an interrupted file transfer from the point of failure.


Menus and Menu Selections

Five menu names appear on the menu bar for the "empty" DCS application window. Any other menu names that may appear have been added through the Menu Editor.

Use the links below to find information on the five menus and the selections on each:

File

Script

View

Tools

Help

9 END :


Tasks

Several tasks can be performed from the "empty" DCS application window. Pick the area you are interested in from the links below:

Creating sessions

Opening saved session files

Working with the Toolbar Editor

Working with the Menu Editor

Customizing the DCS application

9 END :


What do you want to know?

You are looking at the application window. The application window contains a title bar, menu bar, toolbars, client area, and a status bar.

What would you like to see?

Information about ...

Application Window Components

Standard Toolbar Buttons

Menus and Menu Selections

Tasks

9 END :


What do you want to know?

You are looking at a memo window. You edit text files in memo windows. Also, memo documents can be OLE/ActiveX containers. Therefore memo documents can contain objects from other applications.

What would you like to see?

Information about ...

Working with Memo Documents

DCS and OLE/ActiveX

Standard Toolbar

Menus and Menu Selections

Procedures for …

All DCS OLE/ActiveX tasks

9 END :


What do you want to know?

You are looking at the Attributes dialog. This dialog is the interface for the Attributes Editor and allows you to customize several attributes for display characters.

What would you like to see?

Information about ...

All dialog options

Attributes Editor

Procedures for …

Changing an attribute

Selecting an attribute file

9 END :


What do you want to know?

You are looking at the IND$FILE Properties dialog. This dialog has two tabs that provide options for customizing the file transfer protocol before you start the transfer of file(s).

What would you like to see?

Information about ...

Session tab options

Advanced tab options

IND$FILE file transfer protocol

Scripting parameters for IND$FILE

Procedures for …

Selecting or changing a file transfer protocol

Sending a file

Receiving a file

9 END :


What do you want to know?

You are looking at the IXF Properties dialog. This dialog provides five tabs with options for customizing the IXF file transfer protocol. These same tabs are found in the Session Properties dialog.

What would you like to see?

Information about ...

General tab options

Print tab options

Receive tab options

Send tab options

Tabs tab options

Special Considerations for IXF

Scripting configuration keywords for IXF

Procedures for …

Selecting or changing a file transfer protocol

Sending a file

Receiving a file

9 END :


What do you want to know?

You are looking at the Kermit Properties dialog. This dialog provides two tabs with options for customizing the Kermit file transfer protocol. These same tabs are found in the Session Properties dialog.

What would you like to see?

Information about ...

General tab options

Advanced tab options

Remote Kermit

Procedures for …

Selecting or changing a file transfer protocol

Sending a file

Receiving a file

9 END :


What do you want to know?

You are looking at the Keyboard Map dialog. This is the Keyboard Map Editor interface that provides the ability to map keyboard keys to a terminal key function, string, menu selection, or an executable file.

What would you like to see?

Information about ...

Keyboard Map Editor

Keyboard Map dialog

Keyboard Map Editor tasks

9 END :


What do you want to know?

You have started the New Session Wizard by clicking on the New Session toolbar button. This wizard walks you through the basic process of creating a new session.

What would you like to see?

Information about ...

New Session Wizard

Default session configuration

Required session configuration options

Procedures for …

Creating a new session with the New Session Wizard

Disabling the New Session Wizard

Creating a new session without the New Session Wizard

9 END :


What do you want to know?

You are looking at the Options dialog. This dialog has two tabs that provide options for customizing the DCS application.

What would you like to see?

Information about ...

General tab options

File Locations tab options

Customizing the DCS application

Customizing a session

Procedures for …

Changing General options

Changing File Locations options

9 END :


Changing Options on the File Locations Tab

The File Locations tab in the Options dialog offers options to customize file locations for the DCS application and all sessions.

Use the following procedure to make changes to options on this tab:

To modify a file location

1 On the Tools menu, select Options.

2 Click the File Locations tab.

3 In the Directory Types list, select a category.

The default file location for the selected category is displayed in User Directory. If you select Emulators, Connectors, or File Transfers, the default module is shown in User Default Module.

4 Click the User Directory More button (ellipsis) and use standard navigation techniques to select a new directory.

5 If the selected directory type is Emulators, Connectors, or File Transfers, click the User Default Module More button (ellipsis) and use standard navigation techniques to select a new directory.

6 In the Options dialog, click OK.

See also

Changing options on the General tab

9 END :


Changing Options on the General Tab

The General tab in the Options dialog offers several miscellaneous options to customize the DCS application and all sessions. Most options are check boxes that are either enabled or disabled. You may enable as many options as needed.

Use the following procedure to make changes to options on this tab:

To enable/disable an option on the General tab in the Options dialog

1 On the Tools menu, select Options.

2 Do one of the following:

  • To enable an option, place a checkmark in front of the option.

  • To disable an option, clear the checkmark in front of the option.

3 Click OK.

The one exception to the above procedure is when you specify the width and height of a session window when the session is embedded in another application. Use the text boxes to enter the needed dimensions.

See also

Changing options on the File Locations tab

9 END :


What do you want to know?

You are looking at the Print dialog for a session. This dialog has several options for customizing your print.

What would you like to see?

Information about ...

Print dialog

Printer configuration

Preview a print job

Printing to a file

Procedures for …

Printing from an open session window

Printing from an open script file or memo document

Previewing a print job

Configuring a printer

Configuring a local print job

9 END :


What do you want to know?

You are looking at the Connectors tab in the Session Properties dialog. This tab provides sub-tab(s) with options for configuring the selected connector.

What would you like to see?

Information about ...

Session Properties Connectors tab

Working with Connectors

Procedures for …

Configuring a connector

Select or change a connector

View all installed connectors

View a session's connector properties

9 END :


What do you want to know?

You are looking at the Displays tab of the Session Properties dialog. This tab provides four sub-tabs with options for customizing display features of the DCS application.

What would you like to see?

Information about ...

Session Properties Displays tab

Working with Session Displays

Procedures for …

Customizing session window components

Customizing session window contents

9 END :


What do you want to know?

You are looking at the Emulations tab in the Session Properties dialog. This tab provides sub-tab(s) with options for configuring the selected terminal emulation.

What would you like to see?

Information about ...

Session Properties Emulations tab

Working with emulations

Procedures for …

Selecting or changing an emulation

Viewing all installed emulators

Viewing a session's emulation properties

9 END :


What do you want to know?

You are looking at the File Transfers tab in the Session Properties dialog. This tab provides sub-tab(s) with options for configuring the selected file transfer protocol.

What would you like to see?

Information about ...

Session Properties File Transfers tab

Working with File Transfer Protocols

Selecting a Protocol

Procedures for …

View all installed file transfer protocols

View a session’s file transfer protocol properties

Selecting or changing a file transfer protocol

Send a file

Send a text file

Receive a file

9 END :


What do you want to know?

You are looking at the General tab of the Session Properties dialog. This dialog offers several options for customizing the DCS application.

What would you like to see?

Information about ...

Session Properties General tab options

Customizing general session options

Procedures for …

Customizing general session options

9 END :


What do you want to know?

You are looking at the Mouse tab of the Session Properties dialog. This dialog provides three tabs with options for customizing the behavior of the three mouse buttons.

What would you like to see?

Information about ...

Session Properties Mouse tab options

Working with Mouse Actions and Behavior

Customizing Mouse Actions and Behavior

Procedures for …

Customizing Mouse Actions and Behavior

9 END :


What do you want to know?

You are looking at the Trace tab of the Session Properties dialog. This dialog provides offers options for customizing a trace file.

What would you like to see?

Information about ...

Working with the Trace Facility

Text Report trace example

Session Properties Trace tab options

Configuring the Trace Play connector

Procedures for …

Set up a trace for a terminal in Block mode (IBM)

Set up a trace for a terminal not in Block mode (IBM)

9 END :


What do you want to know?

You are looking at the XYModem Properties dialog. This dialog provides two tabs with options for customizing the XYModem file transfer protocol. These same tabs are found in the Session Properties dialog.

What would you like to see?

Information about ...

General tab options

Advanced tab options

Procedures for …

Selecting or changing a file transfer protocol

Sending a file

Receiving a file

9 END :


What do you want to know?

You are looking at the ZModem Properties dialog. This dialog provides two tabs with options for customizing the Kermit file transfer protocol. These same tabs are found in the Session Properties dialog.

What would you like to see?

Information about ...

General tab options

Advanced tab options

Procedures for …

Selecting or changing a file transfer protocol

Sending a file

Receiving a file

9 END :


Dialogs & Dialog Boxes

Below are links to all information available for all dialogs and dialog boxes found in DCS.

To find a dialog/dialog box:

  • The links are in alphabetical order by the name listed on the dialog’s title bar.

  • If you are looking for a tab or sub-tab in a dialog, the links below will lead you to them.

  • Some dialog boxes use Windows Help and are not listed below.

Dialogs & Dialog Boxes

About DynaComm

Attributes

Available Modules

Change Keyboard Template

Character Map Editor

Confirm Host Filename

Customize

File Transfer Status

Find

Font

HLLAPI Auto-Launch Configuration

Hotspots Setup

IND$FILE Properties

Insert Object

IXF Properties

Kermit Properties

Key Properties

Keyboard Map

Menu

Menu Item

New Session Wizard – Connector Type

New Session Wizard – Emulation Type

New Session Wizard – File Transfer Type

New Toolbar

Options

Paste from File

Paste Special

Print [Script/Memo]

Print [Session]

Print Setup

Properties

Receive file [Kermit]

Receive file [ZModem]

Receive file [XYModem]

Receive file [IND$FILE]

Receive file [IXF]

Remote Kermit

Script Compiler

Script Status

Select Files To Send

Select Log File

Session Properties

Toolbars

XYModem Property

ZModem Properties

9 END :


Functions

Below are links to all information available for all functions found in DCS.

Starting DCS

DCS File Types

Emulations

Connectors

File Transfer Protocols

Creating Sessions

Opening Sessions

Printing

Escape Sequences

History Buffer

Meta Keys (Terminal Keyboard Functions)

Customizing

Scripts

OLE/ActiveX

9 END :


Menus & Menu Selections

Below are links to all information available for all menus and menu selections found in DCS. The links are in alphabetical order by the name listed on the dialog’s title bar.

Menus

Edit

File

Insert

Session

Script

Tools

View

Window

Help

9 END :


Toolbars & Toolbar Buttons

Below are links to all information available for all toolbars and toolbar buttons found in DCS.

Toolbars

Standard

File

Edit

OLE

Script

Session

Trace

Transfer

Toolbar Editors

Toolbar Editor

Custom Button Editor

Tasks

Toolbar Editor

Custom Button Editor

Toolbars

Buttons

Custom Buttons

9 END :


Window Help

Below are links to all information available for windows found in DCS.

DCS Application Window

Components

Appearance

Session Windows

Components

Appearance

Print Preview Window

Components

9 END :


What do you want to know?

Help is available! What do you want to see?

Information about ...

Windows

Dialog Boxes

Toolbars & Toolbar Buttons

Menus & Menu Selection

Functions

Procedures to …

Access, Display, View . . .

Add, Assign, Create . . .

Change, Edit, Insert, Save . . .

Configure, Select, Set Up . . .

Delete, Remove, Reset . . .

Start, Open, Connect, Stop

Send, Receive, Print, Log . . .

Enable/Disable, Show/Hide, Turn On/Off . . .

9 END :


Menus and Menu Selections

Eight menu names appear on the menu bar for a memo window. Any other menu names that may appear have been added through the Menu Editor.

Use the links below to find information on the eight menus and the selections on each:

File

Edit

Insert

Script

View

Tools

Window

Help

9 END :


WinHLLAPI: Contents

Concepts

  • Introduction

  • Programming with Windows HLLAPI

  • Extensions for the Windows Environment

  • Attributes

Functions

  • Application Functions

  • Connect/Disconnect Functions

  • Copy Functions

  • Information Functions

  • Query Functions

  • Send/Receive Functions

  • Search Functions

  • Start/Stop Functions

9 END :


Escape Sequences

Escape sequences are strings of characters that:

1) are formatted in a specified manner by an emulation,

3) typically begin with the ESC character and are followed by one or more additional characters,

2) instruct a program or device to perform a particular function.

Escape sequences can be used to emulate specific terminal functions or the action executed when a key on a terminal keyboard is accessed. The ESC character is represented internally as the ASCII character code 27 (hexidecimal 1B).

An escape sequence is "mapped to" or associated with:

  • a terminal keyboard key or key sequence with the Keyboard Map Editor

  • a hotspot with the Hotspot Editor

  • a menu item with the Menu Editor

  • a toolbar button with the Toolbar Editor

9 END :


To access the Options dialog

1 On the Tools menu, select Options.

The Options dialog appears with two tabs, General and File Locations

2 Click either tab to display a corresponding set of options.

9 END :


To configure a local print job

1 On the File menu, select Print Setup.

2 In the Print Setup dialog box, select a printer name from the Name list.

3 Change the font by clicking on Specific and then choosing a font name and size from the list boxes.

4 Change the Options selections, if needed. Consult with your system administrator before changing these options.

5 Create Header text by either using the arrow key at the end of the Header box to select text codes or by entering custom text in the Header box.

6 Create Footer text by either using the arrow key at the end of the Footer box to select text codes or by entering custom text in the Footer box.

Note

Local printing options do not affect output printed to a host or remote system.

9 END :


To configure a printer

1 On the File menu, select Print Setup.

2 In the Print Setup dialog box, select a printer name from the Name list.

3 Click Properties to display the Properties dialog for the selected printer.

4 Make changes, as necessary, to the dialog box options.

Note

Changes to the printer properties are temporary and affect only the current print job; they are not saved with the session, script, or memo file and have no effect on print jobs for other windows or applications.

5 Click OK.

Note

Local printing options do not affect output printed to a host or remote system.

9 END :


To create a new memo document

1 On the File menu, select New.

2 On the New sub-menu, select Memo.

A new memo document is opened.

3 On the File menu, select Save.

The Save As dialog appears with the memos folder open by default.

4 Enter a name for the memo file and click Save.

9 END :


To create a session window caption

1 Open a new session or an existing session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the General tab.

4 In the Session window caption group, enter a text string to appear on the title bar.

Note

This string will replace the session file name seen on the window title bar.

5 Click OK.

The caption is immediately reflected on the session window title bar.

6 On the File menu, select Save to store the changes.

9 END :


To enable/disable the automatic save of a session window position

1 Open a saved session file.

2 On the Session menu, click Properties.

3 In the Session Properties dialog, click the General tab.

4 In the Options group, select/clear Save window position.

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

5 Click OK.

6 On the File menu, click Save.

9 END :


To enable/disable display of session messages

1 Open a new or existing session file.

2 On the Session menu, click Properties.

3 In the Session Properties dialog, click the General tab.

4 In the Messages group, select/clear the following, as needed:

  • Disconnect confirmation

  • Save confirmation

  • Connection information

  • Error information

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

5 Click OK.

6 On the File menu, click Save.

9 END :


To enable/disable keyboard accelerator keys

1 On the Tools menu, select Customize.

The Customize dialog appears.

2 Click the Menus tab.

3 Select/clear Disable keyboard accelerators.

Note

The option is enabled when a checkmark appears.

The option is disabled when the checkbox is cleared.

4 Click OK.

The Customize dialog closes.

Note

This setting applies globally to all menu items except the top-level menus (File, Session, etc.). ALT+F continues to display the File menu, and a menu selection can be activated with the arrow keys by pressing Enter. However, a menu selection cannot be activated with its accelerator key(s).

9 END :


To open a session file and customized mapper file(s) stored on the local machine

1 Select File from the menu bar.

2 On the File menu, select Open > Session.

3 In the Open dialog, select the desired session file.

4 Click OK.

5 On the menu bar, click Session and then select Properties.

The Session Properties dialog appears.

6 Click Emulations and then click one of the mapper sub-tabs.

The different mappers are accessed on:

Attribute mapper = Attributes sub-tab.

Character translation mapper = Translation sub-tab.

Keyboard mapper = Keyboard sub-tab.

Hotspot mapper = Hotspot sub-tab.

7 In the corresponding Map group, select Local File.

8 Either select the desired map file name from the drop down list or click Browse to display the Open dialog box.

Use standard Windows navigation and selection techniques to locate the desired session file.

9 Click Open.

10 Repeat steps 7 through 9 for each mapper file to be opened.

11 Click OK.

All selected mapper files are loaded.

9 END :


To open a session file and customized mapper file(s) stored on a web server

1 Select File from the menu bar.

2 On the File menu, select Open > Session From Web Server.

The Open file from web server dialog box appears.

3 In the Open file from web server dialog box, enter the desired session file URL after the http:// notation.

An example is provided for you to follow.

4 Click OK.

The Downloading status dialog displays to track the download process of the selected session file.

5 On the menu bar, click Session and then select Properties.

The Session Properties dialog appears.

6 Click Emulations and then click one of the following sub-tabs.

Attribute map files = Attributes

Character translation map files = Translation

Keyboard map files = Keyboard

Hotspot map files = Hotspot

7 In the corresponding Map group, select Internet File and then enter the mapper file URL.

The mapper files must have the appropriate corresponding file name extensions:

Attribute mapper = .acm

Character translation mapper = .trf

Keyboard mapper = .kbd

Hotspot mapper = .hot

8 Repeat step 7 for each mapper file to be opened.

9 Click OK.

All selected mapper files are downloaded.

9 END :


To open a session file stored on the local machine and customized mapper file(s) stored on a web server

1 Select File from the menu bar.

2 On the File menu, select Open > Session.

3 In the Open dialog, select the desired session file.

4 Click OK.

5 On the menu bar, click Session and then select Properties.

The Session Properties dialog appears.

6 Click Emulations and then click one of the mapper sub-tabs.

The different mappers are accessed on:

Attribute mapper = Attributes sub-tab.

Character translation mapper = Translation sub-tab.

Keyboard mapper = Keyboard sub-tab.

Hotspot mapper = Hotspot sub-tab.

7 In the corresponding Map group, select Internet File and then enter the mapper file URL.

The mapper files must have the appropriate corresponding file name extensions:

Attribute mapper = .acm

Character translation mapper = .trf

Keyboard mapper = .kbd

Hotspot mapper = .hot

8 Repeat step 7 for each mapper file to be opened.

9 Click OK.

All selected mapper files are downloaded.

9 END :


To open a session file from the local PC

1 Select File from the menu bar.

2 On the File menu, select Open > Session.

3 In the Open dialog, select the desired session file.

Click Browse to use standard Windows navigation and selection techniques to locate the desired session file.

4 Click OK.

The session file opens and attempts a connection (if Auto Connect is enabled) with the specified remote host.

5 Repeat steps 1 through 4 for each session to be opened.

9 END :


To open a session file stored on a web server

1 Select File from the menu bar.

2 On the File menu, select Open > Session From Web Server.

The Open file from web server dialog box appears.

3 In the Open file from web server dialog box, enter the desired session file URL after the http:// notation.

An example is provided for you to follow.

4 Click OK.

The Downloading status dialog appears to track the download process.

9 END :


To select or change an emulation

1 Open a new or saved session.

2 On the Session menu, select Properties.

3 In the Session Properties dialog, click the Emulations tab.

4 Select the desired emulation by clicking one of the Emulation buttons across the top of the dialog.

5 Complete other selections on the individual sub-tab(s) as needed.

6 Click OK.

7 On the File menu, select Save to store the changes.

Note

  • Only those emulations that have been installed will appear in the Session Properties dialog.

  • If you do not save your changes, the selected session properties are discarded when you close the session.

  • The properties selected for a particular session do not affect the properties chosen for a different session.

9 END :


To start a compiled script from Windows Explorer

1 Start Windows Explorer.

2 Navigate through the file system to display the compiled script (,dct) file to start.

3 Double click on the compiled script file name.

Note

A separate instance of DCS is automatically started with this method.

9 END :


To start DCS with an automatic open of a session, script, or memo file

1 On the Windows taskbar, click Start.

2 On the Start menu, select Run.

3 In the Run dialog box, enter dcseries "filename",

where filename is the complete path and name of a saved session, script, or memo file to open when DynaComm starts.

4 Click OK.

Note

The opening and closing quotation marks must be included.

Tip

Use the Browse button to select the filename. This automatically enters the full path and file name in the Open box.

9 END :


To start DCS and then start a compiled script from a DOS command line

1 Click Start on the Windows taskbar.

2 Select Run from the Start menu.

3 Enter dcseries "filename" in the Run dialog box.

4 Click OK.

Note

  • The opening and closing quotation marks must be included.

  • filename is the complete path and name of the compiled script file to start when DynaComm starts.

Tip

Use the Browse button to select the filename. This automatically enters the full path and file name in the Open box.

9 END :


To start DCS from the DOS command line

1 Click Start on the Windows taskbar.

2 Select Run from the Start menu.

3 Enter dcseries in the Run dialog box.

4 Click OK.

9 END :


To start DCS from the Start menu

1 Click Start on the Windows taskbar.

2 Select Programs from the Start menu and then select DynaComm Connectivity Series 8.

3 Select DynaComm Connectivity Series from the DCS program menu.

9 END :


To start DCS in a browser

1 Start your Internet browser.

2 In the text box used for URL address entry, enter the URL for the DCS web page.

The URL is entered in Location for Netscape Navigator or in Address for Internet Explorer.

3 Press Enter.

DCS appears inside the Web browser window.

9 END :


To start FTP from a DOS command line

1 Select Start from the Windows task bar.

2 On the Start menu, select Run.

3 Use the Browse button to locate the Ftp.exe file.

4 Click OK.

Note

By default, the Ftp.exe file is installed in the DCSeries directory.

9 END :


To start FTP from the DCS program group

To start FTP from the DCSeries program group

1 Select Start from the Windows task bar.

2 On the Start menu, select Programs > DynaComm Connectivity Series 8 > FTP.

9 END :


To start FTP from within DCS

1 Start DCS.

2 Select Tools from the menu bar.

3 On the Tools menu, select FTP.

9 END :


To view installed emulations

1 On the Help menu, select About DynaComm.

2 In the About DynaComm dialog box, click Modules >>>.

A scroll list of all installed software modules and components is displayed.

3 In the Module list, locate all files listed in the c:\Program Files\FutureSoft\DCSeries\emul\ directory.

Use the Emulation Files >Main list to determine which protocols are installed.

9 END :


To view session emulator properties

1 Open a saved session.

2 On the Session menu, select Properties.

The Session Properties dialog appears.

3 Click the Emulations tab.

To determine which emulation has been configured for the session, locate the depressed button in the horizontal row of buttons at the top of the dialog.

To determine which options have been selected, click on the sub-tab(s) in the lower half of the dialog box to bring each set of properties into view.

9 END :


Close [Application Control menu]

Exits the DCS application.


Maximize [Control menu]

Expands the application window to fill the terminal screen.


Minimize [Control menu]

Shrinks the application window to a button that is placed on the Windows taskbar.


Move [Control menu]

Moves the application window to a different location on the screen. After selecting this option, the cursor changes shape.

To move the window

Method 1: Use the arrow keys to move the window, and then press Enter.

Method 2: Use the mouse to click on the main title bar and move the window.


Restore [Control menu]

Returns the application window to the last size and position prior to changing it. Modifying the size of the application window does not affect the size of the client windows.


Size [Control menu]

Changes the application window dimensions. After selecting this option, the cursor changes shape.

To change the window dimensions

Use the arrow keys to resize the window, and then press Enter.


Close

Closes the client window. This action does not affect any other client windows.


Maximize

Expands the client window to fill the application window.


Minimize

Shrinks the client window to a button that is placed at the bottom of the application window.


Move

Moves the client window to a different location on the screen. After selecting this option, the cursor changes shape.

To move the window

Method 1: Use the arrow keys to move the window, and then press Enter.

Method 2: Use the mouse to click on the main title bar and move the window.


Next

Activates another open client window. The next client window that is activated is in the same order that the client windows were opened.


Restore

Returns the client window to the last size and position prior to changing it.


Size

Changes the client window dimensions. After selecting this option, the cursor changes shape.

To change the window dimensions

Use the arrow keys to resize the window, and then press Enter.


Edit Clear

Deletes a highlighted selection from the active memo or script window. A copy is not placed on the Clipboard. This option is equivalent to using the Delete or Backspace key.


Edit Clear Screen

Deletes all characters in the active session screen.


Edit Copy

Copies a highlighted selection from the active window to the Clipboard. The Paste command can then be used to place the copied selection in another location or window.


Edit Copy Screen to Buffer

Copies the active session screen to the session window’s history buffer. The history buffer is limited to 9,999 lines. The lines are copied into the buffer on a first-in, first-out basis.


Edit Copy Special

Copies the selected area of the active session window to a specific destination in a specific format. The possible formats depend on the specified destination.


Edit Cut

Copies a highlighted selection from the active window to the Clipboard and then removes the selection. The Paste command can then be used to place the copied selection in another location or window.


Edit Find . . .

Searches for a character, word, or character sequence in the active window.


Edit Find Next

Repeats the previous search starting from the point of the cursor in the display or file.


Edit Go To Line

Shows the line in the script file and moves the input cursor to the beginning of the line.


Edit Links

Displays the Links dialog box.

This dialog box displays a list of linked OLE objects placed in a memo document with the Paste Special command. You can edit a linked object or change the link itself.


Edit Object

Displays the Insert Object dialog box.

The dialog box is used to place an OLE object into a memo document.


Edit Object Properties

Displays the Object Properties dialog box.

This dialog box displays object properties for the selected or highlighted object.


Edit Paste

Places a copy of the Clipboard either at the location of the cursor (inserts) or in place of a highlighted selected (replaces).


Edit Paste from File . . .

Sends text from a file on your local computer to a connected remote system.


Edit Paste Special

Copies the contents of the Clipboard into a memo window. Unformatted and formatted text, such as Microsoft Word documents or *.rtf documents, as well as graphics can be copied. Also, a link may be established that allows for automatic updating of the copy displayed in the memo window.


Edit Replace

Searches for a sequence of characters and, when found, replaces it with another sequence of characters.


Edit Select All

Highlights the entire contents of the current window.


Edit Send

Transfers a highlighted selection from the connected session window to the remote system. This option is equivalent to using the Copy command and then the Paste command within the session.


Edit Undo

Reverses the most recent modification to a script or memo window including deleted, replaced or inserted text selections or characters.


File Close

Closes the active client window and the corresponding file. If you have made changes, you will be prompted to save them before the window is closed.


File Exit

Closes all client windows and the DCS application.


File [recent file list]

Lists the last eight files that were opened.


File New > Memo

Creates a new memo document.

Enter or modify text and/or OLE objects from other applications in this file.


File New > Script

Creates a new script file.

Enter or modify script commands in this file. This file must be compiled before the script can be executed.


File New > Session…

Creates a new session.

The Session Properties dialog is displayed to allow you to configure the window for a connection to a remote system


File Open > Memo . . .

File Open > Memo…

Opens an existing memo document for editing or viewing.


File Open > Script . . .

File Open > Script…

Opens an existing script document for editing and compiling.


File Open > Session . . .

File Open > Session…

Opens an existing session file for connection to a host.


File Open > Session From Web Server

Opens an existing Web session file for connection to a host.


File Print . . .

Prints the contents of the active window.


File Print Preview

Displays the contents of the active window as it will appear printed.


File Print Setup . . .

Modifies print parameters for the currently selected printer.


File Save

Saves changes made to session properties (for session files) or to the file (memo or script files) in the active client window.


File Save As . . .

Displays the Save As dialog box. Enter a name to save the session or document in the active window.


File Send Mail . . .

Accesses MS Windows Messaging to create a mail message. The active window becomes an attachment to the mail message.


Help About DynaComm . . .

Displays the About DynaComm dialog box.

The About DynaComm dialog box provides information about the DCS application and a link to the FutureSoft web site.


Help Contents

Displays the Online Reference Help explorer window.

The Table of Contents is listed in the left pane. The default Help topic is displayed in the right pane.


Help Help on Help

Displays the Windows Help system.


Help Script Reference

Displays the Online Programmer Reference Help explorer window.

The Table of Contents is listed in the left pane. The default Help topic is displayed in the right pane.


Insert Object...

Places an object, such as a picture, into the memo at the location of the cursor.


Client Control Menu

The client Control menu is available in an active client window. This menu lists commands that change the size or position of the client window. The table below lists each menu selection as a link to a short description. Also, shortcut keys, if available, are listed along with any notes about the command. Click on a command to see a short description.
Command | Shortcut Key | Notes
Restore |  |
Move |  |
Size |  |
Minimize |  |
Maximize |  |
--------------------------------------------------------------------------------------------------------------------------------------
Close |  |
--------------------------------------------------------------------------------------------------------------------------------------
Next |  |
9 END :


Script Compile . . .

Creates a task file (.dct) from a script text file (.dcp).

The Compile Script dialog box appears to indicate the progress of the compilation process. The script commands and functions are checked for syntax errors.


Script Pause

Temporarily suspends the execution of a compiled script.


Script Run . . .

Executes a compiled script stored in a .dct file.


Script Status . . .

Displays the Script Status dialog.

The Script Status dialog box appears to display the current state or condition of each executing script.


Script Stop

Ends the execution of a script.


Session Close Printer Channel

Closes a print channel opened for a print job from a remote system.


Session Connect All

Connects all open session windows to the remote systems specified in the session properties.

Session properties are set up or modified in the Session Properties dialog.


Session Connect/Disconnect

Toggles the active session window connection with the remote system. Connect appears when the session with the host has terminated or not made an initial connection. Disconnect appears when the session has an active connection with the host.

The connection uses the properties specified in the Session Properties dialog.


Session Disconnect All

Disconnects all connected sessions from the remote systems.


Session Log Incoming Data > Log to File . . .

Directs a copy of all characters entering a session window to a file.

The command displays the Select Log File dialog box to specify a file to collect the log data.


Session Log Incoming Data > Log to Printer

Directs a copy of all characters entering a session window to the default Windows printer.


Session Properties

Displays the Session Properties dialog with the current settings for the active session window.


Session Receive File . . .

Receives a file or group of files from a remote system.

The transfer parameters are specified on the File Transfers tab in the Session Properties dialog.


Session Remote Kermit . . .

Allows you to perform Kermit operations on the remote system.

Responses from the remote system are displayed in the session window. The remote system must support and be in Kermit server mode.


Session Reset Terminal > Break

Sends a break signal to the remote system to pause the transmission of data to the session.


Session Reset Terminal > Defaults

Resets the emulation properties to the settings set up in the Session Properties dialog for the active session.


Session Reset Terminal > Hard

Resets the emulation properties to the terminal manufacturer’s specifications for the active session.

Selecting this option clears the buffer associated with the emulation.


Session Reset Terminal > Soft

Aborts the activity that the terminal emulation is currently performing.


Session Send File

Sends a file or a group of files to a remote system.

The transfer parameters are specified on the File Transfers tab in the Session Properties dialog.


Session Trace > Pause/Resume

Temporarily stops or continues a trace or the replay of a trace file.


Session Trace > Start/Stop

Toggles the collection or replay of trace information on or off. This command closes the Trace function.


Tools Customize . . .

Displays the Customize dialog box for access to the Toolbar Editor and the Menu Editor.


Tools FTP

Starts the FTP application.


Tools HLLAPI Auto-Launch

Accesses the HLLAPI Auto-Launch Configuration function and displays the HLLAPI Auto-Launch Configuration dialog box.


Tools Options . . .

Displays the Options dialog box.

The Options dialog box allows for set up of several general application operating parameters as well as folder locations for various file types.


View Full Screen

Enlarges the client window to completely fill the terminal display area.

The application title bar and menu bar are hidden. Use Alt+8 or the screen icon that appears to return the display inside the application window.


View Status Bar

Toggles the display of the Status Bar at the bottom of the application window.

This status bar provides information about active menu selections, the state of a connection in a session window, the state of a trace or replay of a trace and the location of the cursor in a connected session window.


View Toolbar . . .

Displays the Toolbars dialog.


Window Arrange Icons

Places all window icons (minimized windows) above the application status bar.


Window Cascade

Stacks all open windows such that the top left corner of each window is accessible.

The active window is the first window in the stack.


Window Close All

Closes all open client windows.


Window open window list

Lists all open client windows.

A checkmark indicates the active window.


Window Tile Horizontally

Fills the application window with equally sized windows of all open client windows.

Each client window has a horizontal dimension equal to the application window. The active window is placed in the upper left of the application window.


Window Tile Vertically

Fills the application window with equally sized windows of all open client windows.

Each client window has a vertical dimension equal to the application window. The active window is placed in the upper left of the application window.


Erase

type popup definition text here


Find

type popup definition text here


Find Next

type popup definition text here


GoToLine

type popup definition text here


Replace

type popup definition text here


Select All

type popup definition text here


Undo

type popup definition text here


Close

Closes the active client window and the corresponding file. If you have made changes, you will be prompted to save them before the window is closed.


Exit

Closes all client windows and the DCS application.


Print Preview

Displays the contents of the active window as it will appear printed.


Print Setup

Modifies print parameters for the currently selected printer.


Save As

Displays the Save As dialog box. Enter a name to save the session or document in the active window.


Compile Script

Creates a task file (.dct) from a script text file (.dcp).

The Compile Script dialog box appears to indicate the progress of the compilation process. The script commands and functions are checked for syntax errors.


Pause Script

Continues the execution of a compiled script.


Resume Script

Continues the execution of a compiled script.


Run Script

Executes a compiled script stored in a .dct file.


Stop Script

Ends the execution of a script.


Default Terminal Reset

Resets the emulation properties to the settings set up in the Session Properties dialog for the active session.


Hard Terminal Reset

Resets the emulation properties to the terminal manufacturer’s specifications for the active session.

Selecting this option clears the buffer associated with the emulation.


Soft Terminal Reset

Aborts the activity that the terminal emulation is currently performing.


About

Displays the About DynaComm dialog box.

This dialog box provides information about the DCS product such as version number and date.


Connect/Disconnect

Toggles on or off a connection with a host. A session file must be in the active window.


Copy

Places a copy of highlighted text from a session window into the clipboard.


Cut

Removes highlighted text from the session window.


Help

Activates the What's This help feature.

After clicking this button, the cursor changes shape and you can then click a menu selection or window component to see popup help for the selection.


New

Accesses the New Session command.

It displays either the New Session wizard or the Session Properties dialog box. If the New Session wizard appears, you are guided through the process of selecting an emulation, connector, and file transfer protocol. If the Session Properties dialog box appears, a new session was automatically created with default session properties of ANSI-BBS (emulator), Telnet (connector), and ZModem (file transfer protocol).


Open

Displays the Open dialog box.

The default directory is C:/Program Files/FutureSoft/DCSeries/Session.


Paste

Places a copy of the clipboard contents into a session window or file at the cursor location.


Print

Sends a request to print the active session window.


Receive File

Displays the Receive File dialog to start the transfer of a file from a remote host to your local computer.


Save

Stores changes made in the Session Properties dialog box for the active session or changes made in a script or memo file.


Send File

Displays the Send File dialog to start the transfer of a file from your local computer to a remote host.


Session Properties

Displays the Session Properties dialog box.


Pause/Resume Trace

Temporarily stops a trace or the replay of a trace file or re-starts a paused trace.


Start/Stop Trace

Begins saving trace information or begins replay of a saved trace file, or stops a trace or the replay of a trace file.


Remote Kermit

Allows you to perform Kermit operations on the remote system.

Responses from the remote system are displayed in the session window. The remote system must support and be in Kermit server mode.


Client area

Displays the open client window(s).

See Windows Help for more information.


Custom Button

Click this to access a menu selection.

This custom button can be reconfigured with the Toolbar Editor.


Custom Button

Click this to run a compiled script.

This custom button can be reconfigured with the Toolbar Editor


Custom Button

Click this to send a string to a remote system.

This custom button can be reconfigured with the Toolbar Editor


Custom Toolbar

A custom toolbar set up by a user.

This custom toolbar can be reconfigured with the Toolbar Editor.


DCS Standard Toolbar

Use the buttons to access DCS functions.

This toolbar can be reconfigured with the Toolbar Editor.


Status bar

Displays information about a function or action and the location of the cursor in a session window. Toggle the display of the Status Bar on or off with the View > Status Bar command.


Title Bar

Displays the application name and the active client window name(s).

See Windows Help for more information.


Toolbar Area

An Area to place toolbars.

For more information about toolbars, see the Toolbar Editor


Bottom window border

The bottom edge of the window. Drag this border to change the horizontal size of the window.

See Windows Help for more information.


Maximize

Click this to expand the window to fill the terminal screen.

See Windows Help for more information.


Minimize

Click this to reduce the window to an icon on the Taskbar.

See Windows Help for more information.


Restore

Click this to return the window to its former size and position.

See Windows Help for more information.


Left window border

The left edge of the window. Drag this border to change the vertical size of the window.

See Windows Help for more information.


Right window border

The right edge of the window. Drag this border to change the vertical size of the window.

See Windows Help for more information.


Top window border

The top edge of the window. Drag this border to change the horizontal size of the window.

See Windows Help for more information.